/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ee=["require","exports","vs/base/common/platform","vs/editor/common/core/position","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/range","vs/base/common/functional","vs/base/common/lifecycle","vs/base/common/stopwatch","vs/base/common/event","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/uint","vs/base/common/uri","vs/base/common/diff/diffChange","vs/base/common/arrays","vs/base/common/iterator","vs/base/common/keyCodes","vs/base/common/linkedList","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/base/common/hash","vs/editor/common/core/characterClassifier","vs/editor/common/core/selection","vs/editor/common/core/token","vs/editor/common/diff/diffComputer","vs/editor/common/model/wordHelper","vs/editor/common/modes/linkComputer","vs/editor/common/modes/supports/inplaceReplaceSupport","vs/editor/common/standalone/standaloneEnums","vs/editor/common/standalone/standaloneBase","vs/editor/common/viewModel/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],te=function(T){for(var t=[],M=0,p=T.length;M<p;M++)t[M]=ee[T[M]];return t};"use strict";var be=this,Ee=typeof global=="object"?global:{},ue;(function(T){T.global=be;var t=function(){function M(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1}return Object.defineProperty(M.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),M.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=M._isWindows(),this._isNode=typeof module!="undefined"&&!!module.exports,this._isElectronRenderer=typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="renderer",this._isWebWorker=typeof T.global.importScripts=="function")},M._isWindows=function(){return typeof navigator!="undefined"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process!="undefined"?process.platform==="win32":!1},M}();T.Environment=t})(ue||(ue={}));var ue;(function(T){var t=function(){function P(o,S,u){this.type=o,this.detail=S,this.timestamp=u}return P}();T.LoaderEvent=t;var M=function(){function P(o){this._events=[new t(1,"",o)]}return P.prototype.record=function(o,S){this._events.push(new t(o,S,T.Utilities.getHighPerformanceTimestamp()))},P.prototype.getEvents=function(){return this._events},P}();T.LoaderEventRecorder=M;var p=function(){function P(){}return P.prototype.record=function(o,S){},P.prototype.getEvents=function(){return[]},P.INSTANCE=new P,P}();T.NullLoaderEventRecorder=p})(ue||(ue={}));var ue;(function(T){var t=function(){function M(){}return M.fileUriToFilePath=function(p,P){if(P=decodeURI(P).replace(/%23/g,"#"),p){if(/^file:\/\/\//.test(P))return P.substr(8);if(/^file:\/\//.test(P))return P.substr(5)}else if(/^file:\/\//.test(P))return P.substr(7);return P},M.startsWith=function(p,P){return p.length>=P.length&&p.substr(0,P.length)===P},M.endsWith=function(p,P){return p.length>=P.length&&p.substr(p.length-P.length)===P},M.containsQueryString=function(p){return/^[^\#]*\?/gi.test(p)},M.isAbsolutePath=function(p){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(p)},M.forEachProperty=function(p,P){if(p){var o=void 0;for(o in p)p.hasOwnProperty(o)&&P(o,p[o])}},M.isEmpty=function(p){var P=!0;return M.forEachProperty(p,function(){P=!1}),P},M.recursiveClone=function(p){if(!p||typeof p!="object"||p instanceof RegExp||!Array.isArray(p)&&Object.getPrototypeOf(p)!==Object.prototype)return p;var P=Array.isArray(p)?[]:{};return M.forEachProperty(p,function(o,S){S&&typeof S=="object"?P[o]=M.recursiveClone(S):P[o]=S}),P},M.generateAnonymousModule=function(){return"===anonymous"+M.NEXT_ANONYMOUS_ID+++"==="},M.isAnonymousModule=function(p){return M.startsWith(p,"===anonymous")},M.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=T.global.performance&&typeof T.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?T.global.performance.now():Date.now()},M.NEXT_ANONYMOUS_ID=1,M.PERFORMANCE_NOW_PROBED=!1,M.HAS_PERFORMANCE_NOW=!1,M}();T.Utilities=t})(ue||(ue={}));var ue;(function(T){function t(P){if(P instanceof Error)return P;var o=new Error(P.message||String(P)||"Unknown Error");return P.stack&&(o.stack=P.stack),o}T.ensureError=t;var M=function(){function P(){}return P.validateConfigurationOptions=function(o){function S(l){if(l.phase==="loading"){console.error('Loading "'+l.moduleId+'" failed'),console.error(l),console.error("Here are the modules that depend on it:"),console.error(l.neededBy);return}if(l.phase==="factory"){console.error('The factory method of "'+l.moduleId+'" has thrown an exception'),console.error(l);return}}if(o=o||{},typeof o.baseUrl!="string"&&(o.baseUrl=""),typeof o.isBuild!="boolean"&&(o.isBuild=!1),typeof o.paths!="object"&&(o.paths={}),typeof o.config!="object"&&(o.config={}),typeof o.catchError=="undefined"&&(o.catchError=!1),typeof o.recordStats=="undefined"&&(o.recordStats=!1),typeof o.urlArgs!="string"&&(o.urlArgs=""),typeof o.onError!="function"&&(o.onError=S),Array.isArray(o.ignoreDuplicateModules)||(o.ignoreDuplicateModules=[]),o.baseUrl.length>0&&(T.Utilities.endsWith(o.baseUrl,"/")||(o.baseUrl+="/")),typeof o.cspNonce!="string"&&(o.cspNonce=""),typeof o.preferScriptTags=="undefined"&&(o.preferScriptTags=!1),Array.isArray(o.nodeModules)||(o.nodeModules=[]),o.nodeCachedData&&typeof o.nodeCachedData=="object"&&(typeof o.nodeCachedData.seed!="string"&&(o.nodeCachedData.seed="seed"),(typeof o.nodeCachedData.writeDelay!="number"||o.nodeCachedData.writeDelay<0)&&(o.nodeCachedData.writeDelay=1e3*7),!o.nodeCachedData.path||typeof o.nodeCachedData.path!="string")){var u=t(new Error("INVALID cached data configuration, 'path' MUST be set"));u.phase="configuration",o.onError(u),o.nodeCachedData=void 0}return o},P.mergeConfigurationOptions=function(o,S){o===void 0&&(o=null),S===void 0&&(S=null);var u=T.Utilities.recursiveClone(S||{});return T.Utilities.forEachProperty(o,function(l,c){l==="ignoreDuplicateModules"&&typeof u.ignoreDuplicateModules!="undefined"?u.ignoreDuplicateModules=u.ignoreDuplicateModules.concat(c):l==="paths"&&typeof u.paths!="undefined"?T.Utilities.forEachProperty(c,function(E,w){return u.paths[E]=w}):l==="config"&&typeof u.config!="undefined"?T.Utilities.forEachProperty(c,function(E,w){return u.config[E]=w}):u[l]=T.Utilities.recursiveClone(c)}),P.validateConfigurationOptions(u)},P}();T.ConfigurationOptionsUtil=M;var p=function(){function P(o,S){if(this._env=o,this.options=M.mergeConfigurationOptions(S),this._createIgnoreDuplicateModulesMap(),this._createNodeModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""){if(this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var u=this.options.nodeRequire.main.filename,l=Math.max(u.lastIndexOf("/"),u.lastIndexOf("\\"));this.options.baseUrl=u.substring(0,l+1)}if(this.options.nodeMain&&this._env.isNode){var u=this.options.nodeMain,l=Math.max(u.lastIndexOf("/"),u.lastIndexOf("\\"));this.options.baseUrl=u.substring(0,l+1)}}}return P.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var o=0;o<this.options.ignoreDuplicateModules.length;o++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[o]]=!0},P.prototype._createNodeModulesMap=function(){this.nodeModulesMap=Object.create(null);for(var o=0,S=this.options.nodeModules;o<S.length;o++){var u=S[o];this.nodeModulesMap[u]=!0}},P.prototype._createSortedPathsRules=function(){var o=this;this.sortedPathsRules=[],T.Utilities.forEachProperty(this.options.paths,function(S,u){Array.isArray(u)?o.sortedPathsRules.push({from:S,to:u}):o.sortedPathsRules.push({from:S,to:[u]})}),this.sortedPathsRules.sort(function(S,u){return u.from.length-S.from.length})},P.prototype.cloneAndMerge=function(o){return new P(this._env,M.mergeConfigurationOptions(o,this.options))},P.prototype.getOptionsLiteral=function(){return this.options},P.prototype._applyPaths=function(o){for(var S,u=0,l=this.sortedPathsRules.length;u<l;u++)if(S=this.sortedPathsRules[u],T.Utilities.startsWith(o,S.from)){for(var c=[],E=0,w=S.to.length;E<w;E++)c.push(S.to[E]+o.substr(S.from.length));return c}return[o]},P.prototype._addUrlArgsToUrl=function(o){return T.Utilities.containsQueryString(o)?o+"&"+this.options.urlArgs:o+"?"+this.options.urlArgs},P.prototype._addUrlArgsIfNecessaryToUrl=function(o){return this.options.urlArgs?this._addUrlArgsToUrl(o):o},P.prototype._addUrlArgsIfNecessaryToUrls=function(o){if(this.options.urlArgs)for(var S=0,u=o.length;S<u;S++)o[S]=this._addUrlArgsToUrl(o[S]);return o},P.prototype.moduleIdToPaths=function(o){var S=this.nodeModulesMap[o]===!0||this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(o);if(S)return this.isBuild()?["empty:"]:["node|"+o];var u=o,l;if(!T.Utilities.endsWith(u,".js")&&!T.Utilities.isAbsolutePath(u)){l=this._applyPaths(u);for(var c=0,E=l.length;c<E;c++)this.isBuild()&&l[c]==="empty:"||(T.Utilities.isAbsolutePath(l[c])||(l[c]=this.options.baseUrl+l[c]),!T.Utilities.endsWith(l[c],".js")&&!T.Utilities.containsQueryString(l[c])&&(l[c]=l[c]+".js"))}else!T.Utilities.endsWith(u,".js")&&!T.Utilities.containsQueryString(u)&&(u=u+".js"),l=[u];return this._addUrlArgsIfNecessaryToUrls(l)},P.prototype.requireToUrl=function(o){var S=o;return T.Utilities.isAbsolutePath(S)||(S=this._applyPaths(S)[0],T.Utilities.isAbsolutePath(S)||(S=this.options.baseUrl+S)),this._addUrlArgsIfNecessaryToUrl(S)},P.prototype.isBuild=function(){return this.options.isBuild},P.prototype.isDuplicateMessageIgnoredFor=function(o){return this.ignoreDuplicateModulesMap.hasOwnProperty(o)},P.prototype.getConfigForModule=function(o){if(this.options.config)return this.options.config[o]},P.prototype.shouldCatchError=function(){return this.options.catchError},P.prototype.shouldRecordStats=function(){return this.options.recordStats},P.prototype.onError=function(o){this.options.onError(o)},P}();T.Configuration=p})(ue||(ue={}));var ue;(function(T){var t=function(){function u(l){this._env=l,this._scriptLoader=null,this._callbackMap={}}return u.prototype.load=function(l,c,E,w){var g=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new p;else if(this._env.isElectronRenderer){var f=l.getConfig().getOptionsLiteral().preferScriptTags;f?this._scriptLoader=new M:this._scriptLoader=new P(this._env)}else this._env.isNode?this._scriptLoader=new P(this._env):this._scriptLoader=new M;var m={callback:E,errorback:w};if(this._callbackMap.hasOwnProperty(c)){this._callbackMap[c].push(m);return}this._callbackMap[c]=[m],this._scriptLoader.load(l,c,function(){return g.triggerCallback(c)},function(A){return g.triggerErrorback(c,A)})},u.prototype.triggerCallback=function(l){var c=this._callbackMap[l];delete this._callbackMap[l];for(var E=0;E<c.length;E++)c[E].callback()},u.prototype.triggerErrorback=function(l,c){var E=this._callbackMap[l];delete this._callbackMap[l];for(var w=0;w<E.length;w++)E[w].errorback(c)},u}(),M=function(){function u(){}return u.prototype.attachListeners=function(l,c,E){var w=function(){l.removeEventListener("load",g),l.removeEventListener("error",f)},g=function(m){w(),c()},f=function(m){w(),E(m)};l.addEventListener("load",g),l.addEventListener("error",f)},u.prototype.load=function(l,c,E,w){if(/^node\|/.test(c)){var g=l.getConfig().getOptionsLiteral(),f=o(l.getRecorder(),g.nodeRequire||T.global.nodeRequire),m=c.split("|"),A=null;try{A=f(m[1])}catch(r){w(r);return}l.enqueueDefineAnonymousModule([],function(){return A}),E()}else{var L=document.createElement("script");L.setAttribute("async","async"),L.setAttribute("type","text/javascript"),this.attachListeners(L,E,w);var _=l.getConfig().getOptionsLiteral().trustedTypesPolicy;_&&(c=_.createScriptURL(c)),L.setAttribute("src",c);var n=l.getConfig().getOptionsLiteral().cspNonce;n&&L.setAttribute("nonce",n),document.getElementsByTagName("head")[0].appendChild(L)}},u}(),p=function(){function u(){}return u.prototype.load=function(l,c,E,w){var g=l.getConfig().getOptionsLiteral().trustedTypesPolicy;g&&(c=g.createScriptURL(c));try{importScripts(c),E()}catch(f){w(f)}},u}(),P=function(){function u(l){this._env=l,this._didInitialize=!1,this._didPatchNodeRequire=!1}return u.prototype._init=function(l){this._didInitialize||(this._didInitialize=!0,this._fs=l("fs"),this._vm=l("vm"),this._path=l("path"),this._crypto=l("crypto"))},u.prototype._initNodeRequire=function(l,c){var E=c.getConfig().getOptionsLiteral().nodeCachedData;if(!!E&&!this._didPatchNodeRequire){this._didPatchNodeRequire=!0;var w=this,g=l("module");function f(m){var A=m.constructor,L=function(n){try{return m.require(n)}finally{}};return L.resolve=function(n,r){return A._resolveFilename(n,m,!1,r)},L.main=process.mainModule,L.extensions=A._extensions,L.cache=A._cache,L}g.prototype._compile=function(m,A){var L=g.wrap(m.replace(/^#!.*/,"")),_=c.getRecorder(),n=w._getCachedDataPath(E,A),r={filename:A},i;try{var s=w._fs.readFileSync(n);i=s.slice(0,16),r.cachedData=s.slice(16),_.record(60,n)}catch(D){_.record(61,n)}var a=new w._vm.Script(L,r),v=a.runInThisContext(r),d=w._path.dirname(A),b=f(this),h=[this.exports,b,this,A,d,process,Ee,Buffer],C=v.apply(this.exports,h);return w._handleCachedData(a,L,n,!r.cachedData,c),w._verifyCachedData(a,L,n,i,c),C}}},u.prototype.load=function(l,c,E,w){var g=this,f=l.getConfig().getOptionsLiteral(),m=o(l.getRecorder(),f.nodeRequire||T.global.nodeRequire),A=f.nodeInstrumenter||function(v){return v};this._init(m),this._initNodeRequire(m,l);var L=l.getRecorder();if(/^node\|/.test(c)){var _=c.split("|"),n=null;try{n=m(_[1])}catch(v){w(v);return}l.enqueueDefineAnonymousModule([],function(){return n}),E()}else{c=T.Utilities.fileUriToFilePath(this._env.isWindows,c);var r=this._path.normalize(c),i=this._getElectronRendererScriptPathOrUri(r),s=Boolean(f.nodeCachedData),a=s?this._getCachedDataPath(f.nodeCachedData,c):void 0;this._readSourceAndCachedData(r,a,L,function(v,d,b,h){if(v){w(v);return}var C;d.charCodeAt(0)===u._BOM?C=u._PREFIX+d.substring(1)+u._SUFFIX:C=u._PREFIX+d+u._SUFFIX,C=A(C,r);var D={filename:i,cachedData:b},F=g._createAndEvalScript(l,C,D,E,w);g._handleCachedData(F,C,a,s&&!b,l),g._verifyCachedData(F,C,a,h,l)})}},u.prototype._createAndEvalScript=function(l,c,E,w,g){var f=l.getRecorder();f.record(31,E.filename);var m=new this._vm.Script(c,E),A=m.runInThisContext(E),L=l.getGlobalAMDDefineFunc(),_=!1,n=function(){return _=!0,L.apply(null,arguments)};return n.amd=L.amd,A.call(T.global,l.getGlobalAMDRequireFunc(),n,E.filename,this._path.dirname(E.filename)),f.record(32,E.filename),_?w():g(new Error("Didn't receive define call in "+E.filename+"!")),m},u.prototype._getElectronRendererScriptPathOrUri=function(l){if(!this._env.isElectronRenderer)return l;var c=l.match(/^([a-z])\:(.*)/i);return c?"file:///"+(c[1].toUpperCase()+":"+c[2]).replace(/\\/g,"/"):"file://"+l},u.prototype._getCachedDataPath=function(l,c){var E=this._crypto.createHash("md5").update(c,"utf8").update(l.seed,"utf8").update(process.arch,"").digest("hex"),w=this._path.basename(c).replace(/\.js$/,"");return this._path.join(l.path,w+"-"+E+".code")},u.prototype._handleCachedData=function(l,c,E,w,g){var f=this;l.cachedDataRejected?this._fs.unlink(E,function(m){g.getRecorder().record(62,E),f._createAndWriteCachedData(l,c,E,g),m&&g.getConfig().onError(m)}):w&&this._createAndWriteCachedData(l,c,E,g)},u.prototype._createAndWriteCachedData=function(l,c,E,w){var g=this,f=Math.ceil(w.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),m=-1,A=0,L=void 0,_=function(){setTimeout(function(){L||(L=g._crypto.createHash("md5").update(c,"utf8").digest());var n=l.createCachedData();if(!(n.length===0||n.length===m||A>=5)){if(n.length<m){_();return}m=n.length,g._fs.writeFile(E,Buffer.concat([L,n]),function(r){r&&w.getConfig().onError(r),w.getRecorder().record(63,E),_()})}},f*Math.pow(4,A++))};_()},u.prototype._readSourceAndCachedData=function(l,c,E,w){if(!c)this._fs.readFile(l,{encoding:"utf8"},w);else{var g=void 0,f=void 0,m=void 0,A=2,L=function(_){_?w(_):--A==0&&w(void 0,g,f,m)};this._fs.readFile(l,{encoding:"utf8"},function(_,n){g=n,L(_)}),this._fs.readFile(c,function(_,n){!_&&n&&n.length>0?(m=n.slice(0,16),f=n.slice(16),E.record(60,c)):E.record(61,c),L()})}},u.prototype._verifyCachedData=function(l,c,E,w,g){var f=this;!w||l.cachedDataRejected||setTimeout(function(){var m=f._crypto.createHash("md5").update(c,"utf8").digest();w.equals(m)||(g.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+E+"' now, but a RESTART IS REQUIRED")),f._fs.unlink(E,function(A){A&&g.getConfig().onError(A)}))},Math.ceil(5e3*(1+Math.random())))},u._BOM=65279,u._PREFIX="(function (require, define, __filename, __dirname) { ",u._SUFFIX=`
});`,u}();function o(u,l){if(l.__$__isRecorded)return l;var c=function(w){u.record(33,w);try{return l(w)}finally{u.record(34,w)}};return c.__$__isRecorded=!0,c}T.ensureRecordedNodeRequire=o;function S(u){return new t(u)}T.createScriptLoader=S})(ue||(ue={}));var ue;(function(T){var t=function(){function u(l){var c=l.lastIndexOf("/");c!==-1?this.fromModulePath=l.substr(0,c+1):this.fromModulePath=""}return u._normalizeModuleId=function(l){var c=l,E;for(E=/\/\.\//;E.test(c);)c=c.replace(E,"/");for(c=c.replace(/^\.\//g,""),E=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;E.test(c);)c=c.replace(E,"/");return c=c.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),c},u.prototype.resolveModule=function(l){var c=l;return T.Utilities.isAbsolutePath(c)||(T.Utilities.startsWith(c,"./")||T.Utilities.startsWith(c,"../"))&&(c=u._normalizeModuleId(this.fromModulePath+c)),c},u.ROOT=new u(""),u}();T.ModuleIdResolver=t;var M=function(){function u(l,c,E,w,g,f){this.id=l,this.strId=c,this.dependencies=E,this._callback=w,this._errorback=g,this.moduleIdResolver=f,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return u._safeInvokeFunction=function(l,c){try{return{returnedValue:l.apply(T.global,c),producedError:null}}catch(E){return{returnedValue:null,producedError:E}}},u._invokeFactory=function(l,c,E,w){return l.isBuild()&&!T.Utilities.isAnonymousModule(c)?{returnedValue:null,producedError:null}:l.shouldCatchError()?this._safeInvokeFunction(E,w):{returnedValue:E.apply(T.global,w),producedError:null}},u.prototype.complete=function(l,c,E){this._isComplete=!0;var w=null;if(this._callback)if(typeof this._callback=="function"){l.record(21,this.strId);var g=u._invokeFactory(c,this.strId,this._callback,E);w=g.producedError,l.record(22,this.strId),!w&&typeof g.returnedValue!="undefined"&&(!this.exportsPassedIn||T.Utilities.isEmpty(this.exports))&&(this.exports=g.returnedValue)}else this.exports=this._callback;if(w){var f=T.ensureError(w);f.phase="factory",f.moduleId=this.strId,this.error=f,c.onError(f)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},u.prototype.onDependencyError=function(l){return this._isComplete=!0,this.error=l,this._errorback?(this._errorback(l),!0):!1},u.prototype.isComplete=function(){return this._isComplete},u}();T.Module=M;var p=function(){function u(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return u.prototype.getMaxModuleId=function(){return this._nextId},u.prototype.getModuleId=function(l){var c=this._strModuleIdToIntModuleId.get(l);return typeof c=="undefined"&&(c=this._nextId++,this._strModuleIdToIntModuleId.set(l,c),this._intModuleIdToStrModuleId[c]=l),c},u.prototype.getStrModuleId=function(l){return this._intModuleIdToStrModuleId[l]},u}(),P=function(){function u(l){this.id=l}return u.EXPORTS=new u(0),u.MODULE=new u(1),u.REQUIRE=new u(2),u}();T.RegularDependency=P;var o=function(){function u(l,c,E){this.id=l,this.pluginId=c,this.pluginParam=E}return u}();T.PluginDependency=o;var S=function(){function u(l,c,E,w,g){g===void 0&&(g=0),this._env=l,this._scriptLoader=c,this._loaderAvailableTimestamp=g,this._defineFunc=E,this._requireFunc=w,this._moduleIdProvider=new p,this._config=new T.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return u.prototype.reset=function(){return new u(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},u.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},u.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},u._findRelevantLocationInStack=function(l,c){for(var E=function(i){return i.replace(/\\/g,"/")},w=E(l),g=c.split(/\n/),f=0;f<g.length;f++){var m=g[f].match(/(.*):(\d+):(\d+)\)?$/);if(m){var A=m[1],L=m[2],_=m[3],n=Math.max(A.lastIndexOf(" ")+1,A.lastIndexOf("(")+1);if(A=A.substr(n),A=E(A),A===w){var r={line:parseInt(L,10),col:parseInt(_,10)};return r.line===1&&(r.col-="(function (require, define, __filename, __dirname) { ".length),r}}}throw new Error("Could not correlate define call site for needle "+l)},u.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var l=[],c=0,E=0,w=this._modules2.length;E<w;E++){var g=this._modules2[E];if(!!g){var f=this._buildInfoPath[g.id]||null,m=this._buildInfoDefineStack[g.id]||null,A=this._buildInfoDependencies[g.id];l[c++]={id:g.strId,path:f,defineLocation:f&&m?u._findRelevantLocationInStack(f,m):null,dependencies:A,shim:null,exports:g.exports}}}return l},u.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new T.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=T.NullLoaderEventRecorder.INSTANCE),this._recorder},u.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},u.prototype.enqueueDefineAnonymousModule=function(l,c){if(this._currentAnnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var E=null;this._config.isBuild()&&(E=new Error("StackLocation").stack||null),this._currentAnnonymousDefineCall={stack:E,dependencies:l,callback:c}},u.prototype.defineModule=function(l,c,E,w,g,f){var m=this;f===void 0&&(f=new t(l));var A=this._moduleIdProvider.getModuleId(l);if(this._modules2[A]){this._config.isDuplicateMessageIgnoredFor(l)||console.warn("Duplicate definition of module '"+l+"'");return}var L=new M(A,l,this._normalizeDependencies(c,f),E,w,f);this._modules2[A]=L,this._config.isBuild()&&(this._buildInfoDefineStack[A]=g,this._buildInfoDependencies[A]=(L.dependencies||[]).map(function(_){return m._moduleIdProvider.getStrModuleId(_.id)})),this._resolve(L)},u.prototype._normalizeDependency=function(l,c){if(l==="exports")return P.EXPORTS;if(l==="module")return P.MODULE;if(l==="require")return P.REQUIRE;var E=l.indexOf("!");if(E>=0){var w=c.resolveModule(l.substr(0,E)),g=c.resolveModule(l.substr(E+1)),f=this._moduleIdProvider.getModuleId(w+"!"+g),m=this._moduleIdProvider.getModuleId(w);return new o(f,m,g)}return new P(this._moduleIdProvider.getModuleId(c.resolveModule(l)))},u.prototype._normalizeDependencies=function(l,c){for(var E=[],w=0,g=0,f=l.length;g<f;g++)E[w++]=this._normalizeDependency(l[g],c);return E},u.prototype._relativeRequire=function(l,c,E,w){if(typeof c=="string")return this.synchronousRequire(c,l);this.defineModule(T.Utilities.generateAnonymousModule(),c,E,w,null,l)},u.prototype.synchronousRequire=function(l,c){c===void 0&&(c=new t(l));var E=this._normalizeDependency(l,c),w=this._modules2[E.id];if(!w)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+l+"'. This is the first mention of this module!");if(!w.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+l+"'. This module has not been resolved completely yet.");if(w.error)throw w.error;return w.exports},u.prototype.configure=function(l,c){var E=this._config.shouldRecordStats();c?this._config=new T.Configuration(this._env,l):this._config=this._config.cloneAndMerge(l),this._config.shouldRecordStats()&&!E&&(this._recorder=null)},u.prototype.getConfig=function(){return this._config},u.prototype._onLoad=function(l){if(this._currentAnnonymousDefineCall!==null){var c=this._currentAnnonymousDefineCall;this._currentAnnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(l),c.dependencies,c.callback,null,c.stack)}},u.prototype._createLoadError=function(l,c){var E=this,w=this._moduleIdProvider.getStrModuleId(l),g=(this._inverseDependencies2[l]||[]).map(function(m){return E._moduleIdProvider.getStrModuleId(m)}),f=T.ensureError(c);return f.phase="loading",f.moduleId=w,f.neededBy=g,f},u.prototype._onLoadError=function(l,c){var E=this._createLoadError(l,c);this._modules2[l]||(this._modules2[l]=new M(l,this._moduleIdProvider.getStrModuleId(l),[],function(){},function(){},null));for(var w=[],g=0,f=this._moduleIdProvider.getMaxModuleId();g<f;g++)w[g]=!1;var m=!1,A=[];for(A.push(l),w[l]=!0;A.length>0;){var L=A.shift(),_=this._modules2[L];_&&(m=_.onDependencyError(E)||m);var n=this._inverseDependencies2[L];if(n)for(var g=0,f=n.length;g<f;g++){var r=n[g];w[r]||(A.push(r),w[r]=!0)}}m||this._config.onError(E)},u.prototype._hasDependencyPath=function(l,c){var E=this._modules2[l];if(!E)return!1;for(var w=[],g=0,f=this._moduleIdProvider.getMaxModuleId();g<f;g++)w[g]=!1;var m=[];for(m.push(E),w[l]=!0;m.length>0;){var A=m.shift(),L=A.dependencies;if(L)for(var g=0,f=L.length;g<f;g++){var _=L[g];if(_.id===c)return!0;var n=this._modules2[_.id];n&&!w[_.id]&&(w[_.id]=!0,m.push(n))}}return!1},u.prototype._findCyclePath=function(l,c,E){if(l===c||E===50)return[l];var w=this._modules2[l];if(!w)return null;var g=w.dependencies;if(g)for(var f=0,m=g.length;f<m;f++){var A=this._findCyclePath(g[f].id,c,E+1);if(A!==null)return A.push(l),A}return null},u.prototype._createRequire=function(l){var c=this,E=function(w,g,f){return c._relativeRequire(l,w,g,f)};return E.toUrl=function(w){return c._config.requireToUrl(l.resolveModule(w))},E.getStats=function(){return c.getLoaderEvents()},E.hasDependencyCycle=function(){return c._hasDependencyCycle},E.config=function(w,g){g===void 0&&(g=!1),c.configure(w,g)},E.__$__nodeRequire=T.global.nodeRequire,E},u.prototype._loadModule=function(l){var c=this;if(!(this._modules2[l]||this._knownModules2[l])){this._knownModules2[l]=!0;var E=this._moduleIdProvider.getStrModuleId(l),w=this._config.moduleIdToPaths(E),g=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(E.indexOf("/")===-1||g.test(E))&&w.push("node|"+E);var f=-1,m=function(A){if(f++,f>=w.length)c._onLoadError(l,A);else{var L=w[f],_=c.getRecorder();if(c._config.isBuild()&&L==="empty:"){c._buildInfoPath[l]=L,c.defineModule(c._moduleIdProvider.getStrModuleId(l),[],null,null,null),c._onLoad(l);return}_.record(10,L),c._scriptLoader.load(c,L,function(){c._config.isBuild()&&(c._buildInfoPath[l]=L),_.record(11,L),c._onLoad(l)},function(n){_.record(12,L),m(n)})}};m(null)}},u.prototype._loadPluginDependency=function(l,c){var E=this;if(!(this._modules2[c.id]||this._knownModules2[c.id])){this._knownModules2[c.id]=!0;var w=function(g){E.defineModule(E._moduleIdProvider.getStrModuleId(c.id),[],g,null,null)};w.error=function(g){E._config.onError(E._createLoadError(c.id,g))},l.load(c.pluginParam,this._createRequire(t.ROOT),w,this._config.getOptionsLiteral())}},u.prototype._resolve=function(l){var c=this,E=l.dependencies;if(E)for(var w=0,g=E.length;w<g;w++){var f=E[w];if(f===P.EXPORTS){l.exportsPassedIn=!0,l.unresolvedDependenciesCount--;continue}if(f===P.MODULE){l.unresolvedDependenciesCount--;continue}if(f===P.REQUIRE){l.unresolvedDependenciesCount--;continue}var m=this._modules2[f.id];if(m&&m.isComplete()){if(m.error){l.onDependencyError(m.error);return}l.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(f.id,l.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(f.id)+"' and '"+this._moduleIdProvider.getStrModuleId(l.id)+"'. The cyclic path follows:");var A=this._findCyclePath(f.id,l.id,0)||[];A.reverse(),A.push(f.id),console.warn(A.map(function(n){return c._moduleIdProvider.getStrModuleId(n)}).join(` => 
`)),l.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[f.id]=this._inverseDependencies2[f.id]||[],this._inverseDependencies2[f.id].push(l.id),f instanceof o){var L=this._modules2[f.pluginId];if(L&&L.isComplete()){this._loadPluginDependency(L.exports,f);continue}var _=this._inversePluginDependencies2.get(f.pluginId);_||(_=[],this._inversePluginDependencies2.set(f.pluginId,_)),_.push(f),this._loadModule(f.pluginId);continue}this._loadModule(f.id)}l.unresolvedDependenciesCount===0&&this._onModuleComplete(l)},u.prototype._onModuleComplete=function(l){var c=this,E=this.getRecorder();if(!l.isComplete()){var w=l.dependencies,g=[];if(w)for(var f=0,m=w.length;f<m;f++){var A=w[f];if(A===P.EXPORTS){g[f]=l.exports;continue}if(A===P.MODULE){g[f]={id:l.strId,config:function(){return c._config.getConfigForModule(l.strId)}};continue}if(A===P.REQUIRE){g[f]=this._createRequire(l.moduleIdResolver);continue}var L=this._modules2[A.id];if(L){g[f]=L.exports;continue}g[f]=null}l.complete(E,this._config,g);var _=this._inverseDependencies2[l.id];if(this._inverseDependencies2[l.id]=null,_)for(var f=0,m=_.length;f<m;f++){var n=_[f],r=this._modules2[n];r.unresolvedDependenciesCount--,r.unresolvedDependenciesCount===0&&this._onModuleComplete(r)}var i=this._inversePluginDependencies2.get(l.id);if(i){this._inversePluginDependencies2.delete(l.id);for(var f=0,m=i.length;f<m;f++)this._loadPluginDependency(l.exports,i[f])}}},u}();T.ModuleManager=S})(ue||(ue={}));var K,ue;(function(T){var t=new T.Environment,M=null,p=function(u,l,c){typeof u!="string"&&(c=l,l=u,u=null),(typeof l!="object"||!Array.isArray(l))&&(c=l,l=null),l||(l=["require","exports","module"]),u?M.defineModule(u,l,c,null,null):M.enqueueDefineAnonymousModule(l,c)};p.amd={jQuery:!0};var P=function(u,l){l===void 0&&(l=!1),M.configure(u,l)},o=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){P(arguments[0]);return}if(typeof arguments[0]=="string")return M.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){M.defineModule(T.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};o.config=P,o.getConfig=function(){return M.getConfig().getOptionsLiteral()},o.reset=function(){M=M.reset()},o.getBuildInfo=function(){return M.getBuildInfo()},o.getStats=function(){return M.getLoaderEvents()},o.define=function(){return p.apply(null,arguments)};function S(){if(typeof T.global.require!="undefined"||typeof require!="undefined"){var u=T.global.require||require;if(typeof u=="function"&&typeof u.resolve=="function"){var l=T.ensureRecordedNodeRequire(M.getRecorder(),u);T.global.nodeRequire=l,o.nodeRequire=l,o.__$__nodeRequire=l}}t.isNode&&!t.isElectronRenderer?(module.exports=o,require=o):(t.isElectronRenderer||(T.global.define=p),T.global.require=o)}T.init=S,(typeof T.global.define!="function"||!T.global.define.amd)&&(M=new T.ModuleManager(t,T.createScriptLoader(t),p,o,T.Utilities.getHighPerformanceTimestamp()),typeof T.global.require!="undefined"&&typeof T.global.require!="function"&&o.config(T.global.require),K=function(){return p.apply(null,arguments)},K.amd=p.amd,typeof doNotInitLoader=="undefined"&&S())})(ue||(ue={}));"use strict";var Se=this,ve;(function(T){var t=Se||{},M=t.Plugin&&t.Plugin.Resources?t.Plugin.Resources:void 0,p=t&&t.document&&t.document.location&&t.document.location.hash.indexOf("pseudo=true")>=0;function P(c,E){var w;return E.length===0?w=c:w=c.replace(/\{(\d+)\}/g,function(g,f){var m=f[0];return typeof E[m]!="undefined"?E[m]:g}),p&&(w="\uFF3B"+w.replace(/[aouei]/g,"$&$&")+"\uFF3D"),w}function o(c,E){var w=c[E];return w||(w=c["*"],w)?w:null}function S(c,E){for(var w=[],g=0;g<arguments.length-2;g++)w[g]=arguments[g+2];return P(E,w)}function u(c){return function(E,w){var g=Array.prototype.slice.call(arguments,2);return P(c[E],g)}}var l=function(){function c(){this.localize=S}return c.prototype.setPseudoTranslation=function(E){p=E},c.prototype.create=function(E,w){return{localize:u(w[E])}},c.prototype.load=function(E,w,g,f){if(f=f||{},!E||E.length===0)g({localize:S});else{var m=void 0;if(M&&M.getString)m=".nls.keys",w([E+m],function(_){g({localize:function(n,r){if(!_[n])return"NLS error: unknown key "+n;var i=_[n].keys;if(r>=i.length)return"NLS error unknow index "+r;var s=i[r],a=[];a[0]=n+"_"+s;for(var v=0;v<arguments.length-2;v++)a[v+1]=arguments[v+2];return M.getString.apply(M,a)}})});else if(f.isBuild)w([E+".nls",E+".nls.keys"],function(_,n){c.BUILD_MAP[E]=_,c.BUILD_MAP_KEYS[E]=n,g(_)});else{var A=f["vs/nls"]||{},L=A.availableLanguages?o(A.availableLanguages,E):null;m=".nls",L!==null&&L!==c.DEFAULT_TAG&&(m=m+"."+L),w([E+m],function(_){Array.isArray(_)?_.localize=u(_):_.localize=u(_[E]),g(_)})}}},c.prototype._getEntryPointsMap=function(){return t.nlsPluginEntryPoints=t.nlsPluginEntryPoints||{},t.nlsPluginEntryPoints},c.prototype.write=function(E,w,g){var f=g.getEntryPoint(),m=this._getEntryPointsMap();m[f]=m[f]||[],m[f].push(w),w!==f&&g.asModule(E+"!"+w,"define(['vs/nls', 'vs/nls!"+f+`'], function(nls, data) { return nls.create("`+w+'", data); });')},c.prototype.writeFile=function(E,w,g,f,m){var A=this._getEntryPointsMap();if(A.hasOwnProperty(w)){for(var L=g.toUrl(w+".nls.js"),_=["/*---------------------------------------------------------"," * Copyright (c) Microsoft Corporation. All rights reserved."," *--------------------------------------------------------*/"],n=A[w],r={},i=0;i<n.length;i++)r[n[i]]=c.BUILD_MAP[n[i]];_.push('define("'+w+'.nls", '+JSON.stringify(r,null,"	")+");"),f(L,_.join(`\r
`))}},c.prototype.finishBuild=function(E){E("nls.metadata.json",JSON.stringify({keys:c.BUILD_MAP_KEYS,messages:c.BUILD_MAP,bundles:this._getEntryPointsMap()},null,"	"))},c.DEFAULT_TAG="i-default",c.BUILD_MAP={},c.BUILD_MAP_KEYS={},c}();T.NLSPlugin=l,function(){K("vs/nls",new l)}()})(ve||(ve={})),K(ee[15],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffChange=void 0;class M{constructor(P,o,S,u){this.originalStart=P,this.originalLength=o,this.modifiedStart=S,this.modifiedLength=u}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.DiffChange=M}),K(ee[4],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createErrorWithActions=t.isErrorWithActions=t.ExpectedError=t.NotSupportedError=t.NotImplementedError=t.getErrorMessage=t.disposed=t.readonly=t.illegalState=t.illegalArgument=t.canceled=t.CancellationError=t.isPromiseCanceledError=t.transformErrorForSerialization=t.onUnexpectedExternalError=t.onUnexpectedError=t.setUnexpectedErrorHandler=t.errorHandler=t.ErrorHandler=void 0;class M{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(a){setTimeout(()=>{throw a.stack?new Error(a.message+`

`+a.stack):a},0)}}addListener(a){return this.listeners.push(a),()=>{this._removeListener(a)}}emit(a){this.listeners.forEach(v=>{v(a)})}_removeListener(a){this.listeners.splice(this.listeners.indexOf(a),1)}setUnexpectedErrorHandler(a){this.unexpectedErrorHandler=a}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(a){this.unexpectedErrorHandler(a),this.emit(a)}onUnexpectedExternalError(a){this.unexpectedErrorHandler(a)}}t.ErrorHandler=M,t.errorHandler=new M;function p(s){t.errorHandler.setUnexpectedErrorHandler(s)}t.setUnexpectedErrorHandler=p;function P(s){l(s)||t.errorHandler.onUnexpectedError(s)}t.onUnexpectedError=P;function o(s){l(s)||t.errorHandler.onUnexpectedExternalError(s)}t.onUnexpectedExternalError=o;function S(s){if(s instanceof Error){let{name:a,message:v}=s;const d=s.stacktrace||s.stack;return{$isError:!0,name:a,message:v,stack:d}}return s}t.transformErrorForSerialization=S;const u="Canceled";function l(s){return s instanceof Error&&s.name===u&&s.message===u}t.isPromiseCanceledError=l;class c extends Error{constructor(){super(u);this.name=this.message}}t.CancellationError=c;function E(){const s=new Error(u);return s.name=s.message,s}t.canceled=E;function w(s){return s?new Error(`Illegal argument: ${s}`):new Error("Illegal argument")}t.illegalArgument=w;function g(s){return s?new Error(`Illegal state: ${s}`):new Error("Illegal state")}t.illegalState=g;function f(s){return s?new Error(`readonly property '${s} cannot be changed'`):new Error("readonly property cannot be changed")}t.readonly=f;function m(s){const a=new Error(`${s} has been disposed`);return a.name="DISPOSED",a}t.disposed=m;function A(s){return s?s.message?s.message:s.stack?s.stack.split(`
`)[0]:String(s):"Error"}t.getErrorMessage=A;class L extends Error{constructor(a){super("NotImplemented");a&&(this.message=a)}}t.NotImplementedError=L;class _ extends Error{constructor(a){super("NotSupported");a&&(this.message=a)}}t.NotSupportedError=_;class n extends Error{constructor(){super(...arguments);this.isExpected=!0}}t.ExpectedError=n;function r(s){const a=s;return a instanceof Error&&Array.isArray(a.actions)}t.isErrorWithActions=r;function i(s,a=Object.create(null)){const v=new Error(s);return a.actions&&(v.actions=a.actions),v}t.createErrorWithActions=i}),K(ee[16],te([0,1,4]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.firstOrDefault=t.lastIndex=t.uniqueFilter=t.distinctES6=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.mergeSort=t.quickSelect=t.findFirstInSorted=t.binarySearch=t.equals=t.tail2=t.tail=void 0;function p(R,k=0){return R[R.length-(1+k)]}t.tail=p;function P(R){if(R.length===0)throw new Error("Invalid tail call");return[R.slice(0,R.length-1),R[R.length-1]]}t.tail2=P;function o(R,k,W=(q,Y)=>q===Y){if(R===k)return!0;if(!R||!k||R.length!==k.length)return!1;for(let q=0,Y=R.length;q<Y;q++)if(!W(R[q],k[q]))return!1;return!0}t.equals=o;function S(R,k,W){let q=0,Y=R.length-1;for(;q<=Y;){const X=(q+Y)/2|0,ie=W(R[X],k);if(ie<0)q=X+1;else if(ie>0)Y=X-1;else return X}return-(q+1)}t.binarySearch=S;function u(R,k){let W=0,q=R.length;if(q===0)return 0;for(;W<q;){const Y=Math.floor((W+q)/2);k(R[Y])?q=Y:W=Y+1}return W}t.findFirstInSorted=u;function l(R,k,W){if(R=R|0,R>=k.length)throw new TypeError("invalid index");let q=k[Math.floor(k.length*Math.random())],Y=[],X=[],ie=[];for(let le of k){const se=W(le,q);se<0?Y.push(le):se>0?X.push(le):ie.push(le)}return R<Y.length?l(R,Y,W):R<Y.length+ie.length?ie[0]:l(R-(Y.length+ie.length),X,W)}t.quickSelect=l;function c(R,k){return w(R,k,0,R.length-1,[]),R}t.mergeSort=c;function E(R,k,W,q,Y,X){let ie=W,le=q+1;for(let se=W;se<=Y;se++)X[se]=R[se];for(let se=W;se<=Y;se++)ie>q?R[se]=X[le++]:le>Y?R[se]=X[ie++]:k(X[le],X[ie])<0?R[se]=X[le++]:R[se]=X[ie++]}function w(R,k,W,q,Y){if(!(q<=W)){const X=W+(q-W)/2|0;w(R,k,W,X,Y),w(R,k,X+1,q,Y),!(k(R[X],R[X+1])<=0)&&E(R,k,W,X,q,Y)}}function g(R,k){const W=[];let q;for(const Y of c(R.slice(0),k))!q||k(q[0],Y)!==0?(q=[Y],W.push(q)):q.push(Y);return W}t.groupBy=g;function f(R,k,W){const q=[];function Y(le,se,ae){if(!(se===0&&ae.length===0)){const he=q[q.length-1];he&&he.start+he.deleteCount===le?(he.deleteCount+=se,he.toInsert.push(...ae)):q.push({start:le,deleteCount:se,toInsert:ae})}}let X=0,ie=0;for(;;){if(X===R.length){Y(X,0,k.slice(ie));break}if(ie===k.length){Y(X,R.length-X,[]);break}const le=R[X],se=k[ie],ae=W(le,se);ae===0?(X+=1,ie+=1):ae<0?(Y(X,1,[]),X+=1):ae>0&&(Y(X,0,[se]),ie+=1)}return q}t.sortedDiff=f;function m(R,k,W){const q=f(R,k,W),Y=[],X=[];for(const ie of q)Y.push(...R.slice(ie.start,ie.start+ie.deleteCount)),X.push(...ie.toInsert);return{removed:Y,added:X}}t.delta=m;function A(R,k,W){if(W===0)return[];const q=R.slice(0,W).sort(k);return _(R,k,q,W,R.length),q}t.top=A;function L(R,k,W,q,Y){return W===0?Promise.resolve([]):new Promise((X,ie)=>{(async()=>{const le=R.length,se=R.slice(0,W).sort(k);for(let ae=W,he=Math.min(W+q,le);ae<le;ae=he,he=Math.min(he+q,le)){if(ae>W&&await new Promise(_e=>setTimeout(_e)),Y&&Y.isCancellationRequested)throw M.canceled();_(R,k,se,ae,he)}return se})().then(X,ie)})}t.topAsync=L;function _(R,k,W,q,Y){for(const X=W.length;q<Y;q++){const ie=R[q];if(k(ie,W[X-1])<0){W.pop();const le=u(W,se=>k(ie,se)<0);W.splice(le,0,ie)}}}function n(R){return R.filter(k=>!!k)}t.coalesce=n;function r(R){let k=0;for(let W=0;W<R.length;W++)R[W]&&(R[k]=R[W],k+=1);R.length=k}t.coalesceInPlace=r;function i(R,k,W){R.splice(W,0,R.splice(k,1)[0])}t.move=i;function s(R){return!Array.isArray(R)||R.length===0}t.isFalsyOrEmpty=s;function a(R){return Array.isArray(R)&&R.length>0}t.isNonEmptyArray=a;function v(R,k){if(!k)return R.filter((q,Y)=>R.indexOf(q)===Y);const W=Object.create(null);return R.filter(q=>{const Y=k(q);return W[Y]?!1:(W[Y]=!0,!0)})}t.distinct=v;function d(R){const k=new Set;return R.filter(W=>k.has(W)?!1:(k.add(W),!0))}t.distinctES6=d;function b(R){const k=Object.create(null);return W=>{const q=R(W);return k[q]?!1:(k[q]=!0,!0)}}t.uniqueFilter=b;function h(R,k){for(let W=R.length-1;W>=0;W--){const q=R[W];if(k(q))return W}return-1}t.lastIndex=h;function C(R,k){return R.length>0?R[0]:k}t.firstOrDefault=C;function D(R,k,W=(q,Y)=>q===Y){let q=0;for(let Y=0,X=Math.min(R.length,k.length);Y<X&&W(R[Y],k[Y]);Y++)q++;return q}t.commonPrefixLength=D;function F(R){return[].concat(...R)}t.flatten=F;function I(R,k){let W=typeof k=="number"?R:0;typeof k=="number"?W=R:(W=0,k=R);const q=[];if(W<=k)for(let Y=W;Y<k;Y++)q.push(Y);else for(let Y=W;Y>k;Y--)q.push(Y);return q}t.range=I;function H(R,k,W){return R.reduce((q,Y)=>(q[k(Y)]=W?W(Y):Y,q),Object.create(null))}t.index=H;function z(R,k){return R.push(k),()=>Q(R,k)}t.insert=z;function Q(R,k){const W=R.indexOf(k);if(W>-1)return R.splice(W,1),k}t.remove=Q;function ne(R,k,W){const q=R.slice(0,k),Y=R.slice(k);return q.concat(W,Y)}t.arrayInsert=ne;function J(R,k){let W;if(typeof k=="number"){let q=k;W=()=>{const Y=Math.sin(q++)*179426549;return Y-Math.floor(Y)}}else W=Math.random;for(let q=R.length-1;q>0;q-=1){const Y=Math.floor(W()*(q+1)),X=R[q];R[q]=R[Y],R[Y]=X}}t.shuffle=J;function e(R,k){const W=R.indexOf(k);W>-1&&(R.splice(W,1),R.unshift(k))}t.pushToStart=e;function $(R,k){const W=R.indexOf(k);W>-1&&(R.splice(W,1),R.push(k))}t.pushToEnd=$;function V(R,k){return Array.isArray(R)?R.map(k):k(R)}t.mapArrayOrNot=V;function B(R){return Array.isArray(R)?R:[R]}t.asArray=B;function x(R){return R[Math.floor(Math.random()*R.length)]}t.getRandomElement=x;function re(R,k){for(const W of R){const q=k(W);if(q!==void 0)return q}}t.mapFind=re}),K(ee[7],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=void 0;function M(p){const P=this;let o=!1,S;return function(){return o||(o=!0,S=p.apply(P,arguments)),S}}t.once=M}),K(ee[17],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var M;(function(p){function P(s){return s&&typeof s=="object"&&typeof s[Symbol.iterator]=="function"}p.is=P;const o=Object.freeze([]);function S(){return o}p.empty=S;function*u(s){yield s}p.single=u;function l(s){return s||o}p.from=l;function c(s){return!s||s[Symbol.iterator]().next().done===!0}p.isEmpty=c;function E(s){return s[Symbol.iterator]().next().value}p.first=E;function w(s,a){for(const v of s)if(a(v))return!0;return!1}p.some=w;function g(s,a){for(const v of s)if(a(v))return v}p.find=g;function*f(s,a){for(const v of s)a(v)&&(yield v)}p.filter=f;function*m(s,a){for(const v of s)yield a(v)}p.map=m;function*A(...s){for(const a of s)for(const v of a)yield v}p.concat=A;function*L(s){for(const a of s)for(const v of a)yield v}p.concatNested=L;function _(s,a,v){let d=v;for(const b of s)d=a(d,b);return d}p.reduce=_;function*n(s,a,v=s.length){for(a<0&&(a+=s.length),v<0?v+=s.length:v>s.length&&(v=s.length);a<v;a++)yield s[a]}p.slice=n;function r(s,a=Number.POSITIVE_INFINITY){const v=[];if(a===0)return[v,s];const d=s[Symbol.iterator]();for(let b=0;b<a;b++){const h=d.next();if(h.done)return[v,p.empty()];v.push(h.value)}return[v,{[Symbol.iterator](){return d}}]}p.consume=r;function i(s,a,v=(d,b)=>d===b){const d=s[Symbol.iterator](),b=a[Symbol.iterator]();for(;;){const h=d.next(),C=b.next();if(h.done!==C.done)return!1;if(h.done)return!0;if(!v(h.value,C.value))return!1}}p.equals=i})(M=t.Iterable||(t.Iterable={}))}),K(ee[18],te([0,1,4]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ResolvedKeybinding=t.ResolvedKeybindingPart=t.ChordKeybinding=t.SimpleKeybinding=t.createSimpleKeybinding=t.createKeybinding=t.KeyChord=t.KeyMod=t.KeyCodeUtils=t.KeyCode=void 0;var p;(function(n){n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.KEY_0=21]="KEY_0",n[n.KEY_1=22]="KEY_1",n[n.KEY_2=23]="KEY_2",n[n.KEY_3=24]="KEY_3",n[n.KEY_4=25]="KEY_4",n[n.KEY_5=26]="KEY_5",n[n.KEY_6=27]="KEY_6",n[n.KEY_7=28]="KEY_7",n[n.KEY_8=29]="KEY_8",n[n.KEY_9=30]="KEY_9",n[n.KEY_A=31]="KEY_A",n[n.KEY_B=32]="KEY_B",n[n.KEY_C=33]="KEY_C",n[n.KEY_D=34]="KEY_D",n[n.KEY_E=35]="KEY_E",n[n.KEY_F=36]="KEY_F",n[n.KEY_G=37]="KEY_G",n[n.KEY_H=38]="KEY_H",n[n.KEY_I=39]="KEY_I",n[n.KEY_J=40]="KEY_J",n[n.KEY_K=41]="KEY_K",n[n.KEY_L=42]="KEY_L",n[n.KEY_M=43]="KEY_M",n[n.KEY_N=44]="KEY_N",n[n.KEY_O=45]="KEY_O",n[n.KEY_P=46]="KEY_P",n[n.KEY_Q=47]="KEY_Q",n[n.KEY_R=48]="KEY_R",n[n.KEY_S=49]="KEY_S",n[n.KEY_T=50]="KEY_T",n[n.KEY_U=51]="KEY_U",n[n.KEY_V=52]="KEY_V",n[n.KEY_W=53]="KEY_W",n[n.KEY_X=54]="KEY_X",n[n.KEY_Y=55]="KEY_Y",n[n.KEY_Z=56]="KEY_Z",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.US_SEMICOLON=80]="US_SEMICOLON",n[n.US_EQUAL=81]="US_EQUAL",n[n.US_COMMA=82]="US_COMMA",n[n.US_MINUS=83]="US_MINUS",n[n.US_DOT=84]="US_DOT",n[n.US_SLASH=85]="US_SLASH",n[n.US_BACKTICK=86]="US_BACKTICK",n[n.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",n[n.US_BACKSLASH=88]="US_BACKSLASH",n[n.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",n[n.US_QUOTE=90]="US_QUOTE",n[n.OEM_8=91]="OEM_8",n[n.OEM_102=92]="OEM_102",n[n.NUMPAD_0=93]="NUMPAD_0",n[n.NUMPAD_1=94]="NUMPAD_1",n[n.NUMPAD_2=95]="NUMPAD_2",n[n.NUMPAD_3=96]="NUMPAD_3",n[n.NUMPAD_4=97]="NUMPAD_4",n[n.NUMPAD_5=98]="NUMPAD_5",n[n.NUMPAD_6=99]="NUMPAD_6",n[n.NUMPAD_7=100]="NUMPAD_7",n[n.NUMPAD_8=101]="NUMPAD_8",n[n.NUMPAD_9=102]="NUMPAD_9",n[n.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",n[n.NUMPAD_ADD=104]="NUMPAD_ADD",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",n[n.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",n[n.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.MAX_VALUE=112]="MAX_VALUE"})(p=t.KeyCode||(t.KeyCode={}));class P{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(r,i){this._keyCodeToStr[r]=i,this._strToKeyCode[i.toLowerCase()]=r}keyCodeToStr(r){return this._keyCodeToStr[r]}strToKeyCode(r){return this._strToKeyCode[r.toLowerCase()]||0}}const o=new P,S=new P,u=new P;(function(){function n(r,i,s=i,a=s){o.define(r,i),S.define(r,s),u.define(r,a)}n(0,"unknown"),n(1,"Backspace"),n(2,"Tab"),n(3,"Enter"),n(4,"Shift"),n(5,"Ctrl"),n(6,"Alt"),n(7,"PauseBreak"),n(8,"CapsLock"),n(9,"Escape"),n(10,"Space"),n(11,"PageUp"),n(12,"PageDown"),n(13,"End"),n(14,"Home"),n(15,"LeftArrow","Left"),n(16,"UpArrow","Up"),n(17,"RightArrow","Right"),n(18,"DownArrow","Down"),n(19,"Insert"),n(20,"Delete"),n(21,"0"),n(22,"1"),n(23,"2"),n(24,"3"),n(25,"4"),n(26,"5"),n(27,"6"),n(28,"7"),n(29,"8"),n(30,"9"),n(31,"A"),n(32,"B"),n(33,"C"),n(34,"D"),n(35,"E"),n(36,"F"),n(37,"G"),n(38,"H"),n(39,"I"),n(40,"J"),n(41,"K"),n(42,"L"),n(43,"M"),n(44,"N"),n(45,"O"),n(46,"P"),n(47,"Q"),n(48,"R"),n(49,"S"),n(50,"T"),n(51,"U"),n(52,"V"),n(53,"W"),n(54,"X"),n(55,"Y"),n(56,"Z"),n(57,"Meta"),n(58,"ContextMenu"),n(59,"F1"),n(60,"F2"),n(61,"F3"),n(62,"F4"),n(63,"F5"),n(64,"F6"),n(65,"F7"),n(66,"F8"),n(67,"F9"),n(68,"F10"),n(69,"F11"),n(70,"F12"),n(71,"F13"),n(72,"F14"),n(73,"F15"),n(74,"F16"),n(75,"F17"),n(76,"F18"),n(77,"F19"),n(78,"NumLock"),n(79,"ScrollLock"),n(80,";",";","OEM_1"),n(81,"=","=","OEM_PLUS"),n(82,",",",","OEM_COMMA"),n(83,"-","-","OEM_MINUS"),n(84,".",".","OEM_PERIOD"),n(85,"/","/","OEM_2"),n(86,"`","`","OEM_3"),n(110,"ABNT_C1"),n(111,"ABNT_C2"),n(87,"[","[","OEM_4"),n(88,"\\","\\","OEM_5"),n(89,"]","]","OEM_6"),n(90,"'","'","OEM_7"),n(91,"OEM_8"),n(92,"OEM_102"),n(93,"NumPad0"),n(94,"NumPad1"),n(95,"NumPad2"),n(96,"NumPad3"),n(97,"NumPad4"),n(98,"NumPad5"),n(99,"NumPad6"),n(100,"NumPad7"),n(101,"NumPad8"),n(102,"NumPad9"),n(103,"NumPad_Multiply"),n(104,"NumPad_Add"),n(105,"NumPad_Separator"),n(106,"NumPad_Subtract"),n(107,"NumPad_Decimal"),n(108,"NumPad_Divide")})();var l;(function(n){function r(d){return o.keyCodeToStr(d)}n.toString=r;function i(d){return o.strToKeyCode(d)}n.fromString=i;function s(d){return S.keyCodeToStr(d)}n.toUserSettingsUS=s;function a(d){return u.keyCodeToStr(d)}n.toUserSettingsGeneral=a;function v(d){return S.strToKeyCode(d)||u.strToKeyCode(d)}n.fromUserSettings=v})(l=t.KeyCodeUtils||(t.KeyCodeUtils={}));var c;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl",n[n.KeyCode=255]="KeyCode"})(c||(c={}));var E;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl"})(E=t.KeyMod||(t.KeyMod={}));function w(n,r){const i=(r&65535)<<16>>>0;return(n|i)>>>0}t.KeyChord=w;function g(n,r){if(n===0)return null;const i=(n&65535)>>>0,s=(n&4294901760)>>>16;return s!==0?new A([f(i,r),f(s,r)]):new A([f(i,r)])}t.createKeybinding=g;function f(n,r){const i=!!(n&2048),s=!!(n&256),a=r===2?s:i,v=!!(n&1024),d=!!(n&512),b=r===2?i:s,h=n&255;return new m(a,v,d,b,h)}t.createSimpleKeybinding=f;class m{constructor(r,i,s,a,v){this.ctrlKey=r,this.shiftKey=i,this.altKey=s,this.metaKey=a,this.keyCode=v}equals(r){return this.ctrlKey===r.ctrlKey&&this.shiftKey===r.shiftKey&&this.altKey===r.altKey&&this.metaKey===r.metaKey&&this.keyCode===r.keyCode}getHashCode(){const r=this.ctrlKey?"1":"0",i=this.shiftKey?"1":"0",s=this.altKey?"1":"0",a=this.metaKey?"1":"0";return`${r}${i}${s}${a}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new A([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}t.SimpleKeybinding=m;class A{constructor(r){if(r.length===0)throw M.illegalArgument("parts");this.parts=r}getHashCode(){let r="";for(let i=0,s=this.parts.length;i<s;i++)i!==0&&(r+=";"),r+=this.parts[i].getHashCode();return r}equals(r){if(r===null||this.parts.length!==r.parts.length)return!1;for(let i=0;i<this.parts.length;i++)if(!this.parts[i].equals(r.parts[i]))return!1;return!0}}t.ChordKeybinding=A;class L{constructor(r,i,s,a,v,d){this.ctrlKey=r,this.shiftKey=i,this.altKey=s,this.metaKey=a,this.keyLabel=v,this.keyAriaLabel=d}}t.ResolvedKeybindingPart=L;class _{}t.ResolvedKeybinding=_}),K(ee[8],te([0,1,7,17]),function(T,t,M,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ImmortalReference=t.ReferenceCollection=t.MutableDisposable=t.Disposable=t.DisposableStore=t.toDisposable=t.combinedDisposable=t.dispose=t.isDisposable=t.MultiDisposeError=t.trackDisposable=t.setDisposableTracker=void 0;const P=!1;let o=null;function S(r){o=r}if(t.setDisposableTracker=S,P){const r="__is_disposable_tracked__";o=new class{trackDisposable(i){const s=new Error("Potentially leaked disposable").stack;setTimeout(()=>{i[r]||console.log(s)},3e3)}markTracked(i){if(i&&i!==A.None)try{i[r]=!0}catch(s){}}}}function u(r){!o||o.markTracked(r)}function l(r){return o&&o.trackDisposable(r),r}t.trackDisposable=l;class c extends Error{constructor(i){super(`Encountered errors while disposing of store. Errors: [${i.join(", ")}]`);this.errors=i}}t.MultiDisposeError=c;function E(r){return typeof r.dispose=="function"&&r.dispose.length===0}t.isDisposable=E;function w(r){if(p.Iterable.is(r)){let i=[];for(const s of r)if(s){u(s);try{s.dispose()}catch(a){i.push(a)}}if(i.length===1)throw i[0];if(i.length>1)throw new c(i);return Array.isArray(r)?[]:r}else if(r)return u(r),r.dispose(),r}t.dispose=w;function g(...r){return r.forEach(u),f(()=>w(r))}t.combinedDisposable=g;function f(r){const i=l({dispose:()=>{u(i),r()}});return i}t.toDisposable=f;class m{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(u(this),this._isDisposed=!0,this.clear())}clear(){try{w(this._toDispose.values())}finally{this._toDispose.clear()}}add(i){if(!i)return i;if(i===this)throw new Error("Cannot register a disposable on itself!");return u(i),this._isDisposed?m.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(i),i}}t.DisposableStore=m,m.DISABLE_DISPOSED_WARNING=!1;class A{constructor(){this._store=new m,l(this)}dispose(){u(this),this._store.dispose()}_register(i){if(i===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(i)}}t.Disposable=A,A.None=Object.freeze({dispose(){}});class L{constructor(){this._isDisposed=!1,l(this)}get value(){return this._isDisposed?void 0:this._value}set value(i){var s;this._isDisposed||i===this._value||((s=this._value)===null||s===void 0||s.dispose(),i&&u(i),this._value=i)}clear(){this.value=void 0}dispose(){var i;this._isDisposed=!0,u(this),(i=this._value)===null||i===void 0||i.dispose(),this._value=void 0}}t.MutableDisposable=L;class _{constructor(){this.references=new Map}acquire(i,...s){let a=this.references.get(i);a||(a={counter:0,object:this.createReferencedObject(i,...s)},this.references.set(i,a));const{object:v}=a,d=M.once(()=>{--a.counter==0&&(this.destroyReferencedObject(i,a.object),this.references.delete(i))});return a.counter++,{object:v,dispose:d}}}t.ReferenceCollection=_;class n{constructor(i){this.object=i}dispose(){}}t.ImmortalReference=n}),K(ee[19],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LinkedList=void 0;class M{constructor(o){this.element=o,this.next=M.Undefined,this.prev=M.Undefined}}M.Undefined=new M(void 0);class p{constructor(){this._first=M.Undefined,this._last=M.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===M.Undefined}clear(){this._first=M.Undefined,this._last=M.Undefined,this._size=0}unshift(o){return this._insert(o,!1)}push(o){return this._insert(o,!0)}_insert(o,S){const u=new M(o);if(this._first===M.Undefined)this._first=u,this._last=u;else if(S){const c=this._last;this._last=u,u.prev=c,c.next=u}else{const c=this._first;this._first=u,u.next=c,c.prev=u}this._size+=1;let l=!1;return()=>{l||(l=!0,this._remove(u))}}shift(){if(this._first!==M.Undefined){const o=this._first.element;return this._remove(this._first),o}}pop(){if(this._last!==M.Undefined){const o=this._last.element;return this._remove(this._last),o}}_remove(o){if(o.prev!==M.Undefined&&o.next!==M.Undefined){const S=o.prev;S.next=o.next,o.next.prev=S}else o.prev===M.Undefined&&o.next===M.Undefined?(this._first=M.Undefined,this._last=M.Undefined):o.next===M.Undefined?(this._last=this._last.prev,this._last.next=M.Undefined):o.prev===M.Undefined&&(this._first=this._first.next,this._first.prev=M.Undefined);this._size-=1}*[Symbol.iterator](){let o=this._first;for(;o!==M.Undefined;)yield o.element,o=o.next}}t.LinkedList=p}),K(ee[2],te([0,1]),function(T,t){"use strict";var M;Object.defineProperty(t,"__esModule",{value:!0}),t.isLittleEndian=t.OS=t.OperatingSystem=t.setImmediate=t.globals=t.translationsConfigFile=t.locale=t.Language=t.language=t.userAgent=t.platform=t.isIOS=t.isWeb=t.isNative=t.isLinuxSnap=t.isLinux=t.isMacintosh=t.isWindows=t.PlatformToString=t.Platform=t.isPreferringBrowserCodeLoad=t.browserCodeLoadingCacheStrategy=t.isElectronSandboxed=void 0;const p="en";let P=!1,o=!1,S=!1,u=!1,l=!1,c=!1,E=!1,w,g=p,f,m;const A=typeof self=="object"?self:typeof global=="object"?global:{};let L;typeof process!="undefined"?L=process:typeof A.vscode!="undefined"&&(L=A.vscode.process);const _=typeof((M=L==null?void 0:L.versions)===null||M===void 0?void 0:M.electron)=="string"&&L.type==="renderer";if(t.isElectronSandboxed=_&&(L==null?void 0:L.sandboxed),t.browserCodeLoadingCacheStrategy=(()=>{if(t.isElectronSandboxed)return"bypassHeatCheck";const h=L==null?void 0:L.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof h=="string")return h==="none"||h==="code"||h==="bypassHeatCheck"||h==="bypassHeatCheckAndEagerCompile"?h:"bypassHeatCheck"})(),t.isPreferringBrowserCodeLoad=typeof t.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!_)m=navigator.userAgent,P=m.indexOf("Windows")>=0,o=m.indexOf("Macintosh")>=0,E=(m.indexOf("Macintosh")>=0||m.indexOf("iPad")>=0||m.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,S=m.indexOf("Linux")>=0,c=!0,w=navigator.language,g=w;else if(typeof L=="object"){P=L.platform==="win32",o=L.platform==="darwin",S=L.platform==="linux",u=S&&!!L.env.SNAP&&!!L.env.SNAP_REVISION,w=p,g=p;const h=L.env.VSCODE_NLS_CONFIG;if(h)try{const C=JSON.parse(h),D=C.availableLanguages["*"];w=C.locale,g=D||p,f=C._translationsConfigFile}catch(C){}l=!0}else console.error("Unable to resolve platform.");var n;(function(h){h[h.Web=0]="Web",h[h.Mac=1]="Mac",h[h.Linux=2]="Linux",h[h.Windows=3]="Windows"})(n=t.Platform||(t.Platform={}));function r(h){switch(h){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}t.PlatformToString=r;let i=0;o?i=1:P?i=3:S&&(i=2),t.isWindows=P,t.isMacintosh=o,t.isLinux=S,t.isLinuxSnap=u,t.isNative=l,t.isWeb=c,t.isIOS=E,t.platform=i,t.userAgent=m,t.language=g;var s;(function(h){function C(){return t.language}h.value=C;function D(){return t.language.length===2?t.language==="en":t.language.length>=3?t.language[0]==="e"&&t.language[1]==="n"&&t.language[2]==="-":!1}h.isDefaultVariant=D;function F(){return t.language==="en"}h.isDefault=F})(s=t.Language||(t.Language={})),t.locale=w,t.translationsConfigFile=f,t.globals=A,t.setImmediate=function(){if(t.globals.setImmediate)return t.globals.setImmediate.bind(t.globals);if(typeof t.globals.postMessage=="function"&&!t.globals.importScripts){let D=[];t.globals.addEventListener("message",I=>{if(I.data&&I.data.vscodeSetImmediateId)for(let H=0,z=D.length;H<z;H++){const Q=D[H];if(Q.id===I.data.vscodeSetImmediateId){D.splice(H,1),Q.callback();return}}});let F=0;return I=>{const H=++F;D.push({id:H,callback:I}),t.globals.postMessage({vscodeSetImmediateId:H},"*")}}if(L&&typeof L.nextTick=="function")return L.nextTick.bind(L);const C=Promise.resolve();return D=>C.then(D)}();var a;(function(h){h[h.Windows=1]="Windows",h[h.Macintosh=2]="Macintosh",h[h.Linux=3]="Linux"})(a=t.OperatingSystem||(t.OperatingSystem={})),t.OS=o||E?2:P?1:3;let v=!0,d=!1;function b(){if(!d){d=!0;const h=new Uint8Array(2);h[0]=1,h[1]=2,v=new Uint16Array(h.buffer)[0]===(2<<8)+1}return v}t.isLittleEndian=b}),K(ee[20],te([0,1,2]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.nextTick=t.platform=t.env=t.cwd=void 0;let p;typeof process!="undefined"?p=process:typeof M.globals.vscode!="undefined"?p={get platform(){return M.globals.vscode.process.platform},get env(){return M.globals.vscode.process.env},nextTick(P){return M.setImmediate(P)},cwd(){return M.globals.vscode.process.env.VSCODE_CWD||M.globals.vscode.process.execPath.substr(0,M.globals.vscode.process.execPath.lastIndexOf(M.globals.vscode.process.platform==="win32"?"\\":"/"))}}:p={get platform(){return M.isWindows?"win32":M.isMacintosh?"darwin":"linux"},nextTick(P){return M.setImmediate(P)},get env(){return Object.create(null)},cwd(){return"/"}},t.cwd=p.cwd,t.env=p.env,t.platform=p.platform,t.nextTick=p.nextTick}),K(ee[21],te([0,1,20]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.delimiter=t.sep=t.toNamespacedPath=t.parse=t.format=t.extname=t.basename=t.dirname=t.relative=t.resolve=t.join=t.isAbsolute=t.normalize=t.posix=t.win32=void 0;const p=65,P=97,o=90,S=122,u=46,l=47,c=92,E=58,w=63;class g extends Error{constructor(i,s,a){let v;typeof s=="string"&&s.indexOf("not ")===0?(v="must not be",s=s.replace(/^not /,"")):v="must be";const d=i.indexOf(".")!==-1?"property":"argument";let b=`The "${i}" ${d} ${v} of type ${s}`;b+=`. Received type ${typeof a}`,super(b),this.code="ERR_INVALID_ARG_TYPE"}}function f(r,i){if(typeof r!="string")throw new g(i,"string",r)}function m(r){return r===l||r===c}function A(r){return r===l}function L(r){return r>=p&&r<=o||r>=P&&r<=S}function _(r,i,s,a){let v="",d=0,b=-1,h=0,C=0;for(let D=0;D<=r.length;++D){if(D<r.length)C=r.charCodeAt(D);else{if(a(C))break;C=l}if(a(C)){if(!(b===D-1||h===1))if(h===2){if(v.length<2||d!==2||v.charCodeAt(v.length-1)!==u||v.charCodeAt(v.length-2)!==u){if(v.length>2){const F=v.lastIndexOf(s);F===-1?(v="",d=0):(v=v.slice(0,F),d=v.length-1-v.lastIndexOf(s)),b=D,h=0;continue}else if(v.length!==0){v="",d=0,b=D,h=0;continue}}i&&(v+=v.length>0?`${s}..`:"..",d=2)}else v.length>0?v+=`${s}${r.slice(b+1,D)}`:v=r.slice(b+1,D),d=D-b-1;b=D,h=0}else C===u&&h!==-1?++h:h=-1}return v}function n(r,i){if(i===null||typeof i!="object")throw new g("pathObject","Object",i);const s=i.dir||i.root,a=i.base||`${i.name||""}${i.ext||""}`;return s?s===i.root?`${s}${a}`:`${s}${r}${a}`:a}t.win32={resolve(...r){let i="",s="",a=!1;for(let v=r.length-1;v>=-1;v--){let d;if(v>=0){if(d=r[v],f(d,"path"),d.length===0)continue}else i.length===0?d=M.cwd():(d=M.env[`=${i}`]||M.cwd(),(d===void 0||d.slice(0,2).toLowerCase()!==i.toLowerCase()&&d.charCodeAt(2)===c)&&(d=`${i}\\`));const b=d.length;let h=0,C="",D=!1;const F=d.charCodeAt(0);if(b===1)m(F)&&(h=1,D=!0);else if(m(F))if(D=!0,m(d.charCodeAt(1))){let I=2,H=I;for(;I<b&&!m(d.charCodeAt(I));)I++;if(I<b&&I!==H){const z=d.slice(H,I);for(H=I;I<b&&m(d.charCodeAt(I));)I++;if(I<b&&I!==H){for(H=I;I<b&&!m(d.charCodeAt(I));)I++;(I===b||I!==H)&&(C=`\\\\${z}\\${d.slice(H,I)}`,h=I)}}}else h=1;else L(F)&&d.charCodeAt(1)===E&&(C=d.slice(0,2),h=2,b>2&&m(d.charCodeAt(2))&&(D=!0,h=3));if(C.length>0)if(i.length>0){if(C.toLowerCase()!==i.toLowerCase())continue}else i=C;if(a){if(i.length>0)break}else if(s=`${d.slice(h)}\\${s}`,a=D,D&&i.length>0)break}return s=_(s,!a,"\\",m),a?`${i}\\${s}`:`${i}${s}`||"."},normalize(r){f(r,"path");const i=r.length;if(i===0)return".";let s=0,a,v=!1;const d=r.charCodeAt(0);if(i===1)return A(d)?"\\":r;if(m(d))if(v=!0,m(r.charCodeAt(1))){let h=2,C=h;for(;h<i&&!m(r.charCodeAt(h));)h++;if(h<i&&h!==C){const D=r.slice(C,h);for(C=h;h<i&&m(r.charCodeAt(h));)h++;if(h<i&&h!==C){for(C=h;h<i&&!m(r.charCodeAt(h));)h++;if(h===i)return`\\\\${D}\\${r.slice(C)}\\`;h!==C&&(a=`\\\\${D}\\${r.slice(C,h)}`,s=h)}}}else s=1;else L(d)&&r.charCodeAt(1)===E&&(a=r.slice(0,2),s=2,i>2&&m(r.charCodeAt(2))&&(v=!0,s=3));let b=s<i?_(r.slice(s),!v,"\\",m):"";return b.length===0&&!v&&(b="."),b.length>0&&m(r.charCodeAt(i-1))&&(b+="\\"),a===void 0?v?`\\${b}`:b:v?`${a}\\${b}`:`${a}${b}`},isAbsolute(r){f(r,"path");const i=r.length;if(i===0)return!1;const s=r.charCodeAt(0);return m(s)||i>2&&L(s)&&r.charCodeAt(1)===E&&m(r.charCodeAt(2))},join(...r){if(r.length===0)return".";let i,s;for(let d=0;d<r.length;++d){const b=r[d];f(b,"path"),b.length>0&&(i===void 0?i=s=b:i+=`\\${b}`)}if(i===void 0)return".";let a=!0,v=0;if(typeof s=="string"&&m(s.charCodeAt(0))){++v;const d=s.length;d>1&&m(s.charCodeAt(1))&&(++v,d>2&&(m(s.charCodeAt(2))?++v:a=!1))}if(a){for(;v<i.length&&m(i.charCodeAt(v));)v++;v>=2&&(i=`\\${i.slice(v)}`)}return t.win32.normalize(i)},relative(r,i){if(f(r,"from"),f(i,"to"),r===i)return"";const s=t.win32.resolve(r),a=t.win32.resolve(i);if(s===a||(r=s.toLowerCase(),i=a.toLowerCase(),r===i))return"";let v=0;for(;v<r.length&&r.charCodeAt(v)===c;)v++;let d=r.length;for(;d-1>v&&r.charCodeAt(d-1)===c;)d--;const b=d-v;let h=0;for(;h<i.length&&i.charCodeAt(h)===c;)h++;let C=i.length;for(;C-1>h&&i.charCodeAt(C-1)===c;)C--;const D=C-h,F=b<D?b:D;let I=-1,H=0;for(;H<F;H++){const Q=r.charCodeAt(v+H);if(Q!==i.charCodeAt(h+H))break;Q===c&&(I=H)}if(H!==F){if(I===-1)return a}else{if(D>F){if(i.charCodeAt(h+H)===c)return a.slice(h+H+1);if(H===2)return a.slice(h+H)}b>F&&(r.charCodeAt(v+H)===c?I=H:H===2&&(I=3)),I===-1&&(I=0)}let z="";for(H=v+I+1;H<=d;++H)(H===d||r.charCodeAt(H)===c)&&(z+=z.length===0?"..":"\\..");return h+=I,z.length>0?`${z}${a.slice(h,C)}`:(a.charCodeAt(h)===c&&++h,a.slice(h,C))},toNamespacedPath(r){if(typeof r!="string")return r;if(r.length===0)return"";const i=t.win32.resolve(r);if(i.length<=2)return r;if(i.charCodeAt(0)===c){if(i.charCodeAt(1)===c){const s=i.charCodeAt(2);if(s!==w&&s!==u)return`\\\\?\\UNC\\${i.slice(2)}`}}else if(L(i.charCodeAt(0))&&i.charCodeAt(1)===E&&i.charCodeAt(2)===c)return`\\\\?\\${i}`;return r},dirname(r){f(r,"path");const i=r.length;if(i===0)return".";let s=-1,a=0;const v=r.charCodeAt(0);if(i===1)return m(v)?r:".";if(m(v)){if(s=a=1,m(r.charCodeAt(1))){let h=2,C=h;for(;h<i&&!m(r.charCodeAt(h));)h++;if(h<i&&h!==C){for(C=h;h<i&&m(r.charCodeAt(h));)h++;if(h<i&&h!==C){for(C=h;h<i&&!m(r.charCodeAt(h));)h++;if(h===i)return r;h!==C&&(s=a=h+1)}}}}else L(v)&&r.charCodeAt(1)===E&&(s=i>2&&m(r.charCodeAt(2))?3:2,a=s);let d=-1,b=!0;for(let h=i-1;h>=a;--h)if(m(r.charCodeAt(h))){if(!b){d=h;break}}else b=!1;if(d===-1){if(s===-1)return".";d=s}return r.slice(0,d)},basename(r,i){i!==void 0&&f(i,"ext"),f(r,"path");let s=0,a=-1,v=!0,d;if(r.length>=2&&L(r.charCodeAt(0))&&r.charCodeAt(1)===E&&(s=2),i!==void 0&&i.length>0&&i.length<=r.length){if(i===r)return"";let b=i.length-1,h=-1;for(d=r.length-1;d>=s;--d){const C=r.charCodeAt(d);if(m(C)){if(!v){s=d+1;break}}else h===-1&&(v=!1,h=d+1),b>=0&&(C===i.charCodeAt(b)?--b==-1&&(a=d):(b=-1,a=h))}return s===a?a=h:a===-1&&(a=r.length),r.slice(s,a)}for(d=r.length-1;d>=s;--d)if(m(r.charCodeAt(d))){if(!v){s=d+1;break}}else a===-1&&(v=!1,a=d+1);return a===-1?"":r.slice(s,a)},extname(r){f(r,"path");let i=0,s=-1,a=0,v=-1,d=!0,b=0;r.length>=2&&r.charCodeAt(1)===E&&L(r.charCodeAt(0))&&(i=a=2);for(let h=r.length-1;h>=i;--h){const C=r.charCodeAt(h);if(m(C)){if(!d){a=h+1;break}continue}v===-1&&(d=!1,v=h+1),C===u?s===-1?s=h:b!==1&&(b=1):s!==-1&&(b=-1)}return s===-1||v===-1||b===0||b===1&&s===v-1&&s===a+1?"":r.slice(s,v)},format:n.bind(null,"\\"),parse(r){f(r,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return i;const s=r.length;let a=0,v=r.charCodeAt(0);if(s===1)return m(v)?(i.root=i.dir=r,i):(i.base=i.name=r,i);if(m(v)){if(a=1,m(r.charCodeAt(1))){let I=2,H=I;for(;I<s&&!m(r.charCodeAt(I));)I++;if(I<s&&I!==H){for(H=I;I<s&&m(r.charCodeAt(I));)I++;if(I<s&&I!==H){for(H=I;I<s&&!m(r.charCodeAt(I));)I++;I===s?a=I:I!==H&&(a=I+1)}}}}else if(L(v)&&r.charCodeAt(1)===E){if(s<=2)return i.root=i.dir=r,i;if(a=2,m(r.charCodeAt(2))){if(s===3)return i.root=i.dir=r,i;a=3}}a>0&&(i.root=r.slice(0,a));let d=-1,b=a,h=-1,C=!0,D=r.length-1,F=0;for(;D>=a;--D){if(v=r.charCodeAt(D),m(v)){if(!C){b=D+1;break}continue}h===-1&&(C=!1,h=D+1),v===u?d===-1?d=D:F!==1&&(F=1):d!==-1&&(F=-1)}return h!==-1&&(d===-1||F===0||F===1&&d===h-1&&d===b+1?i.base=i.name=r.slice(b,h):(i.name=r.slice(b,d),i.base=r.slice(b,h),i.ext=r.slice(d,h))),b>0&&b!==a?i.dir=r.slice(0,b-1):i.dir=i.root,i},sep:"\\",delimiter:";",win32:null,posix:null},t.posix={resolve(...r){let i="",s=!1;for(let a=r.length-1;a>=-1&&!s;a--){const v=a>=0?r[a]:M.cwd();f(v,"path"),v.length!==0&&(i=`${v}/${i}`,s=v.charCodeAt(0)===l)}return i=_(i,!s,"/",A),s?`/${i}`:i.length>0?i:"."},normalize(r){if(f(r,"path"),r.length===0)return".";const i=r.charCodeAt(0)===l,s=r.charCodeAt(r.length-1)===l;return r=_(r,!i,"/",A),r.length===0?i?"/":s?"./":".":(s&&(r+="/"),i?`/${r}`:r)},isAbsolute(r){return f(r,"path"),r.length>0&&r.charCodeAt(0)===l},join(...r){if(r.length===0)return".";let i;for(let s=0;s<r.length;++s){const a=r[s];f(a,"path"),a.length>0&&(i===void 0?i=a:i+=`/${a}`)}return i===void 0?".":t.posix.normalize(i)},relative(r,i){if(f(r,"from"),f(i,"to"),r===i||(r=t.posix.resolve(r),i=t.posix.resolve(i),r===i))return"";const s=1,a=r.length,v=a-s,d=1,b=i.length-d,h=v<b?v:b;let C=-1,D=0;for(;D<h;D++){const I=r.charCodeAt(s+D);if(I!==i.charCodeAt(d+D))break;I===l&&(C=D)}if(D===h)if(b>h){if(i.charCodeAt(d+D)===l)return i.slice(d+D+1);if(D===0)return i.slice(d+D)}else v>h&&(r.charCodeAt(s+D)===l?C=D:D===0&&(C=0));let F="";for(D=s+C+1;D<=a;++D)(D===a||r.charCodeAt(D)===l)&&(F+=F.length===0?"..":"/..");return`${F}${i.slice(d+C)}`},toNamespacedPath(r){return r},dirname(r){if(f(r,"path"),r.length===0)return".";const i=r.charCodeAt(0)===l;let s=-1,a=!0;for(let v=r.length-1;v>=1;--v)if(r.charCodeAt(v)===l){if(!a){s=v;break}}else a=!1;return s===-1?i?"/":".":i&&s===1?"//":r.slice(0,s)},basename(r,i){i!==void 0&&f(i,"ext"),f(r,"path");let s=0,a=-1,v=!0,d;if(i!==void 0&&i.length>0&&i.length<=r.length){if(i===r)return"";let b=i.length-1,h=-1;for(d=r.length-1;d>=0;--d){const C=r.charCodeAt(d);if(C===l){if(!v){s=d+1;break}}else h===-1&&(v=!1,h=d+1),b>=0&&(C===i.charCodeAt(b)?--b==-1&&(a=d):(b=-1,a=h))}return s===a?a=h:a===-1&&(a=r.length),r.slice(s,a)}for(d=r.length-1;d>=0;--d)if(r.charCodeAt(d)===l){if(!v){s=d+1;break}}else a===-1&&(v=!1,a=d+1);return a===-1?"":r.slice(s,a)},extname(r){f(r,"path");let i=-1,s=0,a=-1,v=!0,d=0;for(let b=r.length-1;b>=0;--b){const h=r.charCodeAt(b);if(h===l){if(!v){s=b+1;break}continue}a===-1&&(v=!1,a=b+1),h===u?i===-1?i=b:d!==1&&(d=1):i!==-1&&(d=-1)}return i===-1||a===-1||d===0||d===1&&i===a-1&&i===s+1?"":r.slice(i,a)},format:n.bind(null,"/"),parse(r){f(r,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return i;const s=r.charCodeAt(0)===l;let a;s?(i.root="/",a=1):a=0;let v=-1,d=0,b=-1,h=!0,C=r.length-1,D=0;for(;C>=a;--C){const F=r.charCodeAt(C);if(F===l){if(!h){d=C+1;break}continue}b===-1&&(h=!1,b=C+1),F===u?v===-1?v=C:D!==1&&(D=1):v!==-1&&(D=-1)}if(b!==-1){const F=d===0&&s?1:d;v===-1||D===0||D===1&&v===b-1&&v===d+1?i.base=i.name=r.slice(F,b):(i.name=r.slice(F,v),i.base=r.slice(F,b),i.ext=r.slice(v,b))}return d>0?i.dir=r.slice(0,d-1):s&&(i.dir="/"),i},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize=M.platform==="win32"?t.win32.normalize:t.posix.normalize,t.isAbsolute=M.platform==="win32"?t.win32.isAbsolute:t.posix.isAbsolute,t.join=M.platform==="win32"?t.win32.join:t.posix.join,t.resolve=M.platform==="win32"?t.win32.resolve:t.posix.resolve,t.relative=M.platform==="win32"?t.win32.relative:t.posix.relative,t.dirname=M.platform==="win32"?t.win32.dirname:t.posix.dirname,t.basename=M.platform==="win32"?t.win32.basename:t.posix.basename,t.extname=M.platform==="win32"?t.win32.extname:t.posix.extname,t.format=M.platform==="win32"?t.win32.format:t.posix.format,t.parse=M.platform==="win32"?t.win32.parse:t.posix.parse,t.toNamespacedPath=M.platform==="win32"?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep=M.platform==="win32"?t.win32.sep:t.posix.sep,t.delimiter=M.platform==="win32"?t.win32.delimiter:t.posix.delimiter}),K(ee[9],te([0,1,2]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StopWatch=void 0;const p=M.globals.performance&&typeof M.globals.performance.now=="function";class P{constructor(S){this._highResolution=p&&S,this._startTime=this._now(),this._stopTime=-1}static create(S=!0){return new P(S)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?M.globals.performance.now():Date.now()}}t.StopWatch=P}),K(ee[10],te([0,1,4,7,8,19,9]),function(T,t,M,p,P,o,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Relay=t.EventBufferer=t.EventMultiplexer=t.PauseableEmitter=t.Emitter=t.setGlobalLeakWarningThreshold=t.Event=void 0;var u;(function(_){_.None=()=>P.Disposable.None;function n(e){return($,V=null,B)=>{let x=!1,re;return re=e(R=>{if(!x)return re?re.dispose():x=!0,$.call(V,R)},null,B),x&&re.dispose(),re}}_.once=n;function r(e,$){return b((V,B=null,x)=>e(re=>V.call(B,$(re)),null,x))}_.map=r;function i(e,$){return b((V,B=null,x)=>e(re=>{$(re),V.call(B,re)},null,x))}_.forEach=i;function s(e,$){return b((V,B=null,x)=>e(re=>$(re)&&V.call(B,re),null,x))}_.filter=s;function a(e){return e}_.signal=a;function v(...e){return($,V=null,B)=>P.combinedDisposable(...e.map(x=>x(re=>$.call(V,re),null,B)))}_.any=v;function d(e,$,V){let B=V;return r(e,x=>(B=$(B,x),B))}_.reduce=d;function b(e){let $;const V=new g({onFirstListenerAdd(){$=e(V.fire,V)},onLastListenerRemove(){$.dispose()}});return V.event}_.snapshot=b;function h(e,$,V=100,B=!1,x){let re,R,k,W=0;const q=new g({leakWarningThreshold:x,onFirstListenerAdd(){re=e(Y=>{W++,R=$(R,Y),B&&!k&&(q.fire(R),R=void 0),clearTimeout(k),k=setTimeout(()=>{const X=R;R=void 0,k=void 0,(!B||W>1)&&q.fire(X),W=0},V)})},onLastListenerRemove(){re.dispose()}});return q.event}_.debounce=h;function C(e){const $=new Date().getTime();return r(n(e),V=>new Date().getTime()-$)}_.stopwatch=C;function D(e){let $=!0,V;return s(e,B=>{const x=$||B!==V;return $=!1,V=B,x})}_.latch=D;function F(e,$=!1,V=[]){let B=V.slice(),x=e(k=>{B?B.push(k):R.fire(k)});const re=()=>{B&&B.forEach(k=>R.fire(k)),B=null},R=new g({onFirstListenerAdd(){x||(x=e(k=>R.fire(k)))},onFirstListenerDidAdd(){B&&($?setTimeout(re):re())},onLastListenerRemove(){x&&x.dispose(),x=null}});return R.event}_.buffer=F;class I{constructor($){this.event=$}map($){return new I(r(this.event,$))}forEach($){return new I(i(this.event,$))}filter($){return new I(s(this.event,$))}reduce($,V){return new I(d(this.event,$,V))}latch(){return new I(D(this.event))}debounce($,V=100,B=!1,x){return new I(h(this.event,$,V,B,x))}on($,V,B){return this.event($,V,B)}once($,V,B){return n(this.event)($,V,B)}}function H(e){return new I(e)}_.chain=H;function z(e,$,V=B=>B){const B=(...k)=>R.fire(V(...k)),x=()=>e.on($,B),re=()=>e.removeListener($,B),R=new g({onFirstListenerAdd:x,onLastListenerRemove:re});return R.event}_.fromNodeEventEmitter=z;function Q(e,$,V=B=>B){const B=(...k)=>R.fire(V(...k)),x=()=>e.addEventListener($,B),re=()=>e.removeEventListener($,B),R=new g({onFirstListenerAdd:x,onLastListenerRemove:re});return R.event}_.fromDOMEventEmitter=Q;function ne(e){const $=new g;let V=!1;return e.then(void 0,()=>null).then(()=>{V?$.fire(void 0):setTimeout(()=>$.fire(void 0),0)}),V=!0,$.event}_.fromPromise=ne;function J(e){return new Promise($=>n(e)($))}_.toPromise=J})(u=t.Event||(t.Event={}));class l{constructor(n){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${n}_${l._idPool++}`}start(n){this._stopWatch=new S.StopWatch(!0),this._listenerCount=n}stop(){if(this._stopWatch){const n=this._stopWatch.elapsed();this._elapsedOverall+=n,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${n.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}l._idPool=0;let c=-1;function E(_){const n=c;return c=_,{dispose(){c=n}}}t.setGlobalLeakWarningThreshold=E;class w{constructor(n,r=Math.random().toString(18).slice(2,5)){this.customThreshold=n,this.name=r,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(n){let r=c;if(typeof this.customThreshold=="number"&&(r=this.customThreshold),!(r<=0||n<r)){this._stacks||(this._stacks=new Map);const i=new Error().stack.split(`
`).slice(3).join(`
`),s=this._stacks.get(i)||0;if(this._stacks.set(i,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=r*.5;let a,v=0;for(const[d,b]of this._stacks)(!a||v<b)&&(a=d,v=b);console.warn(`[${this.name}] potential listener LEAK detected, having ${n} listeners already. MOST frequent listener (${v}):`),console.warn(a)}return()=>{const a=this._stacks.get(i)||0;this._stacks.set(i,a-1)}}}}class g{constructor(n){var r;this._disposed=!1,this._options=n,this._leakageMon=c>0?new w(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((r=this._options)===null||r===void 0?void 0:r._profName)?new l(this._options._profName):void 0}get event(){return this._event||(this._event=(n,r,i)=>{var s;this._listeners||(this._listeners=new o.LinkedList);const a=this._listeners.isEmpty();a&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const v=this._listeners.push(r?[n,r]:n);a&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,n,r);const d=(s=this._leakageMon)===null||s===void 0?void 0:s.check(this._listeners.size);let b;return b={dispose:()=>{d&&d(),b.dispose=g._noop,this._disposed||(v(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},i instanceof P.DisposableStore?i.add(b):Array.isArray(i)&&i.push(b),b}),this._event}fire(n){var r,i;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new o.LinkedList);for(let s of this._listeners)this._deliveryQueue.push([s,n]);for((r=this._perfMon)===null||r===void 0||r.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[s,a]=this._deliveryQueue.shift();try{typeof s=="function"?s.call(void 0,a):s[0].call(s[1],a)}catch(v){M.onUnexpectedError(v)}}(i=this._perfMon)===null||i===void 0||i.stop()}}dispose(){var n,r,i;(n=this._listeners)===null||n===void 0||n.clear(),(r=this._deliveryQueue)===null||r===void 0||r.clear(),(i=this._leakageMon)===null||i===void 0||i.dispose(),this._disposed=!0}}t.Emitter=g,g._noop=function(){};class f extends g{constructor(n){super(n);this._isPaused=0,this._eventQueue=new o.LinkedList,this._mergeFn=n==null?void 0:n.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const n=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(n))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(n){this._listeners&&(this._isPaused!==0?this._eventQueue.push(n):super.fire(n))}}t.PauseableEmitter=f;class m{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new g({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(n){const r={event:n,listener:null};this.events.push(r),this.hasListeners&&this.hook(r);const i=()=>{this.hasListeners&&this.unhook(r);const s=this.events.indexOf(r);this.events.splice(s,1)};return P.toDisposable(p.once(i))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(n=>this.hook(n))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(n=>this.unhook(n))}hook(n){n.listener=n.event(r=>this.emitter.fire(r))}unhook(n){n.listener&&n.listener.dispose(),n.listener=null}dispose(){this.emitter.dispose()}}t.EventMultiplexer=m;class A{constructor(){this.buffers=[]}wrapEvent(n){return(r,i,s)=>n(a=>{const v=this.buffers[this.buffers.length-1];v?v.push(()=>r.call(i,a)):r.call(i,a)},void 0,s)}bufferEvents(n){const r=[];this.buffers.push(r);const i=n();return this.buffers.pop(),r.forEach(s=>s()),i}}t.EventBufferer=A;class L{constructor(){this.listening=!1,this.inputEvent=u.None,this.inputEventListener=P.Disposable.None,this.emitter=new g({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(n){this.inputEvent=n,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=n(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}t.Relay=L}),K(ee[22],te([0,1,10]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CancellationTokenSource=t.CancellationToken=void 0;const p=Object.freeze(function(u,l){const c=setTimeout(u.bind(l),0);return{dispose(){clearTimeout(c)}}});var P;(function(u){function l(c){return c===u.None||c===u.Cancelled||c instanceof o?!0:!c||typeof c!="object"?!1:typeof c.isCancellationRequested=="boolean"&&typeof c.onCancellationRequested=="function"}u.isCancellationToken=l,u.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:M.Event.None}),u.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:p})})(P=t.CancellationToken||(t.CancellationToken={}));class o{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?p:(this._emitter||(this._emitter=new M.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class S{constructor(l){this._token=void 0,this._parentListener=void 0,this._parentListener=l&&l.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new o),this._token}cancel(){this._token?this._token instanceof o&&this._token.cancel():this._token=P.Cancelled}dispose(l=!1){l&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof o&&this._token.dispose():this._token=P.None}}t.CancellationTokenSource=S}),K(ee[5],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.GraphemeBreakType=t.breakBetweenGraphemeBreakType=t.getGraphemeBreakType=t.singleLetterHash=t.getNLines=t.uppercaseFirstLetter=t.containsUppercaseCharacter=t.fuzzyContains=t.stripUTF8BOM=t.startsWithUTF8BOM=t.UTF8_BOM_CHARACTER=t.removeAnsiEscapeCodes=t.lcut=t.isEmojiImprecise=t.isFullWidthCharacter=t.containsFullWidthCharacter=t.containsUnusualLineTerminators=t.UNUSUAL_LINE_TERMINATORS=t.isBasicASCII=t.containsEmoji=t.containsRTL=t.decodeUTF8=t.encodeUTF8=t.getCharContainingOffset=t.prevCharLength=t.nextCharLength=t.getNextCodePoint=t.computeCodePoint=t.isLowSurrogate=t.isHighSurrogate=t.commonSuffixLength=t.commonPrefixLength=t.startsWithIgnoreCase=t.equalsIgnoreCase=t.isUpperAsciiLetter=t.isLowerAsciiLetter=t.compareSubstringIgnoreCase=t.compareIgnoreCase=t.compareSubstring=t.compare=t.lastNonWhitespaceIndex=t.getLeadingWhitespace=t.firstNonWhitespaceIndex=t.splitLines=t.regExpFlags=t.regExpContainsBackreference=t.regExpLeadsToEndlessLoop=t.createRegExp=t.stripWildcards=t.convertSimple2RegExpPattern=t.rtrim=t.ltrim=t.trim=t.truncate=t.count=t.escapeRegExpCharacters=t.escape=t.format=t.isFalsyOrWhitespace=void 0;function M(N){return!N||typeof N!="string"?!0:N.trim().length===0}t.isFalsyOrWhitespace=M;const p=/{(\d+)}/g;function P(N,...U){return U.length===0?N:N.replace(p,function(y,O){const j=parseInt(O,10);return isNaN(j)||j<0||j>=U.length?y:U[j]})}t.format=P;function o(N){return N.replace(/[<>&]/g,function(U){switch(U){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return U}})}t.escape=o;function S(N){return N.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}t.escapeRegExpCharacters=S;function u(N,U){let y=0;const O=U.charCodeAt(0);for(let j=N.length-1;j>=0;j--)N.charCodeAt(j)===O&&y++;return y}t.count=u;function l(N,U,y="\u2026"){return N.length<=U?N:`${N.substr(0,U)}${y}`}t.truncate=l;function c(N,U=" "){const y=E(N,U);return w(y,U)}t.trim=c;function E(N,U){if(!N||!U)return N;const y=U.length;if(y===0||N.length===0)return N;let O=0;for(;N.indexOf(U,O)===O;)O=O+y;return N.substring(O)}t.ltrim=E;function w(N,U){if(!N||!U)return N;const y=U.length,O=N.length;if(y===0||O===0)return N;let j=O,G=-1;for(;G=N.lastIndexOf(U,j-1),!(G===-1||G+y!==j);){if(G===0)return"";j=G}return N.substring(0,j)}t.rtrim=w;function g(N){return N.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}t.convertSimple2RegExpPattern=g;function f(N){return N.replace(/\*/g,"")}t.stripWildcards=f;function m(N,U,y={}){if(!N)throw new Error("Cannot create regex from empty string");U||(N=S(N)),y.wholeWord&&(/\B/.test(N.charAt(0))||(N="\\b"+N),/\B/.test(N.charAt(N.length-1))||(N=N+"\\b"));let O="";return y.global&&(O+="g"),y.matchCase||(O+="i"),y.multiline&&(O+="m"),y.unicode&&(O+="u"),new RegExp(N,O)}t.createRegExp=m;function A(N){return N.source==="^"||N.source==="^$"||N.source==="$"||N.source==="^\\s*$"?!1:!!(N.exec("")&&N.lastIndex===0)}t.regExpLeadsToEndlessLoop=A;function L(N){return!!N.match(/([^\\]|^)(\\\\)*\\\d+/)}t.regExpContainsBackreference=L;function _(N){return(N.global?"g":"")+(N.ignoreCase?"i":"")+(N.multiline?"m":"")+(N.unicode?"u":"")}t.regExpFlags=_;function n(N){return N.split(/\r\n|\r|\n/)}t.splitLines=n;function r(N){for(let U=0,y=N.length;U<y;U++){const O=N.charCodeAt(U);if(O!==32&&O!==9)return U}return-1}t.firstNonWhitespaceIndex=r;function i(N,U=0,y=N.length){for(let O=U;O<y;O++){const j=N.charCodeAt(O);if(j!==32&&j!==9)return N.substring(U,O)}return N.substring(U,y)}t.getLeadingWhitespace=i;function s(N,U=N.length-1){for(let y=U;y>=0;y--){const O=N.charCodeAt(y);if(O!==32&&O!==9)return y}return-1}t.lastNonWhitespaceIndex=s;function a(N,U){return N<U?-1:N>U?1:0}t.compare=a;function v(N,U,y=0,O=N.length,j=0,G=U.length){for(;y<O&&j<G;y++,j++){let ce=N.charCodeAt(y),fe=U.charCodeAt(j);if(ce<fe)return-1;if(ce>fe)return 1}const Z=O-y,oe=G-j;return Z<oe?-1:Z>oe?1:0}t.compareSubstring=v;function d(N,U){return b(N,U,0,N.length,0,U.length)}t.compareIgnoreCase=d;function b(N,U,y=0,O=N.length,j=0,G=U.length){for(;y<O&&j<G;y++,j++){let ce=N.charCodeAt(y),fe=U.charCodeAt(j);if(ce!==fe){const ge=ce-fe;if(!(ge===32&&C(fe))&&!(ge===-32&&C(ce)))return h(ce)&&h(fe)?ge:v(N.toLowerCase(),U.toLowerCase(),y,O,j,G)}}const Z=O-y,oe=G-j;return Z<oe?-1:Z>oe?1:0}t.compareSubstringIgnoreCase=b;function h(N){return N>=97&&N<=122}t.isLowerAsciiLetter=h;function C(N){return N>=65&&N<=90}t.isUpperAsciiLetter=C;function D(N){return h(N)||C(N)}function F(N,U){return N.length===U.length&&I(N,U)}t.equalsIgnoreCase=F;function I(N,U,y=N.length){for(let O=0;O<y;O++){const j=N.charCodeAt(O),G=U.charCodeAt(O);if(j!==G){if(D(j)&&D(G)){const Z=Math.abs(j-G);if(Z!==0&&Z!==32)return!1}else if(String.fromCharCode(j).toLowerCase()!==String.fromCharCode(G).toLowerCase())return!1}}return!0}function H(N,U){const y=U.length;return U.length>N.length?!1:I(N,U,y)}t.startsWithIgnoreCase=H;function z(N,U){let y,O=Math.min(N.length,U.length);for(y=0;y<O;y++)if(N.charCodeAt(y)!==U.charCodeAt(y))return y;return O}t.commonPrefixLength=z;function Q(N,U){let y,O=Math.min(N.length,U.length);const j=N.length-1,G=U.length-1;for(y=0;y<O;y++)if(N.charCodeAt(j-y)!==U.charCodeAt(G-y))return y;return O}t.commonSuffixLength=Q;function ne(N){return 55296<=N&&N<=56319}t.isHighSurrogate=ne;function J(N){return 56320<=N&&N<=57343}t.isLowSurrogate=J;function e(N,U){return(N-55296<<10)+(U-56320)+65536}t.computeCodePoint=e;function $(N,U,y){const O=N.charCodeAt(y);if(ne(O)&&y+1<U){const j=N.charCodeAt(y+1);if(J(j))return e(O,j)}return O}t.getNextCodePoint=$;function V(N,U){const y=N.charCodeAt(U-1);if(J(y)&&U>1){const O=N.charCodeAt(U-2);if(ne(O))return e(O,y)}return y}function B(N,U){const y=de.getInstance(),O=U,j=N.length,G=$(N,j,U);U+=G>=65536?2:1;let Z=y.getGraphemeBreakType(G);for(;U<j;){const oe=$(N,j,U),ce=y.getGraphemeBreakType(oe);if(me(Z,ce))break;U+=oe>=65536?2:1,Z=ce}return U-O}t.nextCharLength=B;function x(N,U){const y=de.getInstance(),O=U,j=V(N,U);U-=j>=65536?2:1;let G=y.getGraphemeBreakType(j);for(;U>0;){const Z=V(N,U),oe=y.getGraphemeBreakType(Z);if(me(oe,G))break;U-=Z>=65536?2:1,G=oe}return O-U}t.prevCharLength=x;function re(N,U){const y=de.getInstance(),O=N.length,j=U,G=$(N,O,U),Z=y.getGraphemeBreakType(G);U+=G>=65536?2:1;let oe=Z;for(;U<O;){const fe=$(N,O,U),ge=y.getGraphemeBreakType(fe);if(me(oe,ge))break;U+=fe>=65536?2:1,oe=ge}const ce=U;for(U=j,oe=Z;U>0;){const fe=V(N,U),ge=y.getGraphemeBreakType(fe);if(me(ge,oe))break;U-=fe>=65536?2:1,oe=ge}return[U,ce]}function R(N,U){return U>0&&J(N.charCodeAt(U))?re(N,U-1):re(N,U)}t.getCharContainingOffset=R;function k(N){const U=N.length;let y=0,O=0;for(;O<U;){const Z=$(N,U,O);O+=Z>=65536?2:1,Z<128?y+=1:Z<2048?y+=2:Z<65536?y+=3:y+=4}const j=new Uint8Array(y);O=0;let G=0;for(;O<U;){const Z=$(N,U,O);O+=Z>=65536?2:1,Z<128?j[G++]=Z:Z<2048?(j[G++]=192|(Z&1984)>>>6,j[G++]=128|(Z&63)>>>0):Z<65536?(j[G++]=224|(Z&61440)>>>12,j[G++]=128|(Z&4032)>>>6,j[G++]=128|(Z&63)>>>0):(j[G++]=240|(Z&1835008)>>>18,j[G++]=128|(Z&258048)>>>12,j[G++]=128|(Z&4032)>>>6,j[G++]=128|(Z&63)>>>0)}return j}t.encodeUTF8=k;function W(N){const U=N.byteLength,y=[];let O=0;for(;O<U;){const j=N[O];let G;if(j>=240&&O+3<U?G=(N[O++]&7)<<18>>>0|(N[O++]&63)<<12>>>0|(N[O++]&63)<<6>>>0|(N[O++]&63)<<0>>>0:j>=224&&O+2<U?G=(N[O++]&15)<<12>>>0|(N[O++]&63)<<6>>>0|(N[O++]&63)<<0>>>0:j>=192&&O+1<U?G=(N[O++]&31)<<6>>>0|(N[O++]&63)<<0>>>0:G=N[O++],G>=0&&G<=55295||G>=57344&&G<=65535)y.push(String.fromCharCode(G));else if(G>=65536&&G<=1114111){const Z=G-65536,oe=55296+((Z&1047552)>>>10),ce=56320+((Z&1023)>>>0);y.push(String.fromCharCode(oe)),y.push(String.fromCharCode(ce))}else y.push(String.fromCharCode(65533))}return y.join("")}t.decodeUTF8=W;const q=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function Y(N){return q.test(N)}t.containsRTL=Y;const X=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function ie(N){return X.test(N)}t.containsEmoji=ie;const le=/^[\t\n\r\x20-\x7E]*$/;function se(N){return le.test(N)}t.isBasicASCII=se,t.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function ae(N){return t.UNUSUAL_LINE_TERMINATORS.test(N)}t.containsUnusualLineTerminators=ae;function he(N){for(let U=0,y=N.length;U<y;U++)if(_e(N.charCodeAt(U)))return!0;return!1}t.containsFullWidthCharacter=he;function _e(N){return N=+N,N>=11904&&N<=55215||N>=63744&&N<=64255||N>=65281&&N<=65374}t.isFullWidthCharacter=_e;function Ae(N){return N>=127462&&N<=127487||N===8986||N===8987||N===9200||N===9203||N>=9728&&N<=10175||N===11088||N===11093||N>=127744&&N<=128591||N>=128640&&N<=128764||N>=128992&&N<=129003||N>=129280&&N<=129535||N>=129648&&N<=129750}t.isEmojiImprecise=Ae;function Ne(N,U){if(N.length<U)return N;const y=/\b/g;let O=0;for(;y.test(N)&&!(N.length-y.lastIndex<U);)O=y.lastIndex,y.lastIndex+=1;return N.substring(O).replace(/^\s/,"")}t.lcut=Ne;const we=/\x1B\x5B[12]?K/g,Ce=/\x1b\[\d+m/g,Pe=/\x1b\[0?m/g;function Me(N){return N&&(N=N.replace(we,""),N=N.replace(Ce,""),N=N.replace(Pe,"")),N}t.removeAnsiEscapeCodes=Me,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Le(N){return!!(N&&N.length>0&&N.charCodeAt(0)===65279)}t.startsWithUTF8BOM=Le;function De(N){return Le(N)?N.substr(1):N}t.stripUTF8BOM=De;function pe(N,U){if(!N||!U||N.length<U.length)return!1;const y=U.length,O=N.toLowerCase();let j=0,G=-1;for(;j<y;){const Z=O.indexOf(U[j],G+1);if(Z<0)return!1;G=Z,j++}return!0}t.fuzzyContains=pe;function Ue(N,U=!1){return N?(U&&(N=N.replace(/\\./g,"")),N.toLowerCase()!==N):!1}t.containsUppercaseCharacter=Ue;function Re(N){return N.charAt(0).toUpperCase()+N.slice(1)}t.uppercaseFirstLetter=Re;function Ie(N,U=1){if(U===0)return"";let y=-1;do y=N.indexOf(`
`,y+1),U--;while(U>0&&y>=0);return y===-1?N:(N[y-1]==="\r"&&y--,N.substr(0,y))}t.getNLines=Ie;function Fe(N){const U=90-65+1;return N=N%(2*U),N<U?String.fromCharCode(97+N):String.fromCharCode(65+N-U)}t.singleLetterHash=Fe;function Te(N){return de.getInstance().getGraphemeBreakType(N)}t.getGraphemeBreakType=Te;function me(N,U){return N===0?U!==5&&U!==7:N===2&&U===3?!1:N===4||N===2||N===3||U===4||U===2||U===3?!0:!(N===8&&(U===8||U===9||U===11||U===12)||(N===11||N===9)&&(U===9||U===10)||(N===12||N===10)&&U===10||U===5||U===13||U===7||N===1||N===13&&U===14||N===6&&U===6)}t.breakBetweenGraphemeBreakType=me;var ke;(function(N){N[N.Other=0]="Other",N[N.Prepend=1]="Prepend",N[N.CR=2]="CR",N[N.LF=3]="LF",N[N.Control=4]="Control",N[N.Extend=5]="Extend",N[N.Regional_Indicator=6]="Regional_Indicator",N[N.SpacingMark=7]="SpacingMark",N[N.L=8]="L",N[N.V=9]="V",N[N.T=10]="T",N[N.LV=11]="LV",N[N.LVT=12]="LVT",N[N.ZWJ=13]="ZWJ",N[N.Extended_Pictographic=14]="Extended_Pictographic"})(ke=t.GraphemeBreakType||(t.GraphemeBreakType={}));class de{constructor(){this._data=ye()}static getInstance(){return de._INSTANCE||(de._INSTANCE=new de),de._INSTANCE}getGraphemeBreakType(U){if(U<32)return U===10?3:U===13?2:4;if(U<127)return 0;const y=this._data,O=y.length/3;let j=1;for(;j<=O;)if(U<y[3*j])j=2*j;else if(U>y[3*j+1])j=2*j+1;else return y[3*j+2];return 0}}de._INSTANCE=null;function ye(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),K(ee[23],te([0,1,5]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.doHash=t.hash=void 0;function p(_){return P(_,0)}t.hash=p;function P(_,n){switch(typeof _){case"object":return _===null?o(349,n):Array.isArray(_)?l(_,n):c(_,n);case"string":return u(_,n);case"boolean":return S(_,n);case"number":return o(_,n);case"undefined":return o(937,n);default:return o(617,n)}}t.doHash=P;function o(_,n){return(n<<5)-n+_|0}function S(_,n){return o(_?433:863,n)}function u(_,n){n=o(149417,n);for(let r=0,i=_.length;r<i;r++)n=o(_.charCodeAt(r),n);return n}t.stringHash=u;function l(_,n){return n=o(104579,n),_.reduce((r,i)=>P(i,r),n)}function c(_,n){return n=o(181387,n),Object.keys(_).sort().reduce((r,i)=>(r=u(i,r),P(_[i],r)),n)}class E{constructor(){this._value=0}get value(){return this._value}hash(n){return this._value=P(n,this._value),this._value}}t.Hasher=E;var w;(function(_){_[_.BLOCK_SIZE=64]="BLOCK_SIZE",_[_.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(w||(w={}));function g(_,n,r=32){const i=r-n,s=~((1<<i)-1);return(_<<n|(s&_)>>>i)>>>0}function f(_,n=0,r=_.byteLength,i=0){for(let s=0;s<r;s++)_[n+s]=i}function m(_,n,r="0"){for(;_.length<n;)_=r+_;return _}function A(_,n=32){return _ instanceof ArrayBuffer?Array.from(new Uint8Array(_)).map(r=>r.toString(16).padStart(2,"0")).join(""):m((_>>>0).toString(16),n/4)}t.toHexString=A;class L{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(n){const r=n.length;if(r!==0){const i=this._buff;let s=this._buffLen,a=this._leftoverHighSurrogate,v,d;for(a!==0?(v=a,d=-1,a=0):(v=n.charCodeAt(0),d=0);;){let b=v;if(M.isHighSurrogate(v))if(d+1<r){const h=n.charCodeAt(d+1);M.isLowSurrogate(h)?(d++,b=M.computeCodePoint(v,h)):b=65533}else{a=v;break}else M.isLowSurrogate(v)&&(b=65533);if(s=this._push(i,s,b),d++,d<r)v=n.charCodeAt(d);else break}this._buffLen=s,this._leftoverHighSurrogate=a}}_push(n,r,i){return i<128?n[r++]=i:i<2048?(n[r++]=192|(i&1984)>>>6,n[r++]=128|(i&63)>>>0):i<65536?(n[r++]=224|(i&61440)>>>12,n[r++]=128|(i&4032)>>>6,n[r++]=128|(i&63)>>>0):(n[r++]=240|(i&1835008)>>>18,n[r++]=128|(i&258048)>>>12,n[r++]=128|(i&4032)>>>6,n[r++]=128|(i&63)>>>0),r>=64&&(this._step(),r-=64,this._totalLen+=64,n[0]=n[64+0],n[1]=n[64+1],n[2]=n[64+2]),r}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),A(this._h0)+A(this._h1)+A(this._h2)+A(this._h3)+A(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,f(this._buff,this._buffLen),this._buffLen>56&&(this._step(),f(this._buff));const n=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(n/4294967296),!1),this._buffDV.setUint32(60,n%4294967296,!1),this._step()}_step(){const n=L._bigBlock32,r=this._buffDV;for(let D=0;D<64;D+=4)n.setUint32(D,r.getUint32(D,!1),!1);for(let D=64;D<320;D+=4)n.setUint32(D,g(n.getUint32(D-12,!1)^n.getUint32(D-32,!1)^n.getUint32(D-56,!1)^n.getUint32(D-64,!1),1),!1);let i=this._h0,s=this._h1,a=this._h2,v=this._h3,d=this._h4,b,h,C;for(let D=0;D<80;D++)D<20?(b=s&a|~s&v,h=1518500249):D<40?(b=s^a^v,h=1859775393):D<60?(b=s&a|s&v|a&v,h=2400959708):(b=s^a^v,h=3395469782),C=g(i,5)+b+d+h+n.getUint32(D*4,!1)&4294967295,d=v,v=a,a=g(s,30),s=i,i=C;this._h0=this._h0+i&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+a&4294967295,this._h3=this._h3+v&4294967295,this._h4=this._h4+d&4294967295}}t.StringSHA1=L,L._bigBlock32=new DataView(new ArrayBuffer(320))}),K(ee[11],te([0,1,15,23]),function(T,t,M,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LcsDiff=t.MyArray=t.Debug=t.stringDiff=t.StringDiffSequence=void 0;class P{constructor(g){this.source=g}getElements(){const g=this.source,f=new Int32Array(g.length);for(let m=0,A=g.length;m<A;m++)f[m]=g.charCodeAt(m);return f}}t.StringDiffSequence=P;function o(w,g,f){return new E(new P(w),new P(g)).ComputeDiff(f).changes}t.stringDiff=o;class S{static Assert(g,f){if(!g)throw new Error(f)}}t.Debug=S;class u{static Copy(g,f,m,A,L){for(let _=0;_<L;_++)m[A+_]=g[f+_]}static Copy2(g,f,m,A,L){for(let _=0;_<L;_++)m[A+_]=g[f+_]}}t.MyArray=u;var l;(function(w){w[w.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(l||(l={}));class c{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new M.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(g,f){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,f),this.m_originalCount++}AddModifiedElement(g,f){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,f),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class E{constructor(g,f,m=null){this.ContinueProcessingPredicate=m;const[A,L,_]=E._getElements(g),[n,r,i]=E._getElements(f);this._hasStrings=_&&i,this._originalStringElements=A,this._originalElementsOrHash=L,this._modifiedStringElements=n,this._modifiedElementsOrHash=r,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(g){return g.length>0&&typeof g[0]=="string"}static _getElements(g){const f=g.getElements();if(E._isStringArray(f)){const m=new Int32Array(f.length);for(let A=0,L=f.length;A<L;A++)m[A]=p.stringHash(f[A],0);return[f,m,!0]}return f instanceof Int32Array?[[],f,!1]:[[],new Int32Array(f),!1]}ElementsAreEqual(g,f){return this._originalElementsOrHash[g]!==this._modifiedElementsOrHash[f]?!1:this._hasStrings?this._originalStringElements[g]===this._modifiedStringElements[f]:!0}OriginalElementsAreEqual(g,f){return this._originalElementsOrHash[g]!==this._originalElementsOrHash[f]?!1:this._hasStrings?this._originalStringElements[g]===this._originalStringElements[f]:!0}ModifiedElementsAreEqual(g,f){return this._modifiedElementsOrHash[g]!==this._modifiedElementsOrHash[f]?!1:this._hasStrings?this._modifiedStringElements[g]===this._modifiedStringElements[f]:!0}ComputeDiff(g){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,g)}_ComputeDiff(g,f,m,A,L){const _=[!1];let n=this.ComputeDiffRecursive(g,f,m,A,_);return L&&(n=this.PrettifyChanges(n)),{quitEarly:_[0],changes:n}}ComputeDiffRecursive(g,f,m,A,L){for(L[0]=!1;g<=f&&m<=A&&this.ElementsAreEqual(g,m);)g++,m++;for(;f>=g&&A>=m&&this.ElementsAreEqual(f,A);)f--,A--;if(g>f||m>A){let a;return m<=A?(S.Assert(g===f+1,"originalStart should only be one more than originalEnd"),a=[new M.DiffChange(g,0,m,A-m+1)]):g<=f?(S.Assert(m===A+1,"modifiedStart should only be one more than modifiedEnd"),a=[new M.DiffChange(g,f-g+1,m,0)]):(S.Assert(g===f+1,"originalStart should only be one more than originalEnd"),S.Assert(m===A+1,"modifiedStart should only be one more than modifiedEnd"),a=[]),a}const _=[0],n=[0],r=this.ComputeRecursionPoint(g,f,m,A,_,n,L),i=_[0],s=n[0];if(r!==null)return r;if(!L[0]){const a=this.ComputeDiffRecursive(g,i,m,s,L);let v=[];return L[0]?v=[new M.DiffChange(i+1,f-(i+1)+1,s+1,A-(s+1)+1)]:v=this.ComputeDiffRecursive(i+1,f,s+1,A,L),this.ConcatenateChanges(a,v)}return[new M.DiffChange(g,f-g+1,m,A-m+1)]}WALKTRACE(g,f,m,A,L,_,n,r,i,s,a,v,d,b,h,C,D,F){let I=null,H=null,z=new c,Q=f,ne=m,J=d[0]-C[0]-A,e=-1073741824,$=this.m_forwardHistory.length-1;do{const V=J+g;V===Q||V<ne&&i[V-1]<i[V+1]?(a=i[V+1],b=a-J-A,a<e&&z.MarkNextChange(),e=a,z.AddModifiedElement(a+1,b),J=V+1-g):(a=i[V-1]+1,b=a-J-A,a<e&&z.MarkNextChange(),e=a-1,z.AddOriginalElement(a,b+1),J=V-1-g),$>=0&&(i=this.m_forwardHistory[$],g=i[0],Q=1,ne=i.length-1)}while(--$>=-1);if(I=z.getReverseChanges(),F[0]){let V=d[0]+1,B=C[0]+1;if(I!==null&&I.length>0){const x=I[I.length-1];V=Math.max(V,x.getOriginalEnd()),B=Math.max(B,x.getModifiedEnd())}H=[new M.DiffChange(V,v-V+1,B,h-B+1)]}else{z=new c,Q=_,ne=n,J=d[0]-C[0]-r,e=1073741824,$=D?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const V=J+L;V===Q||V<ne&&s[V-1]>=s[V+1]?(a=s[V+1]-1,b=a-J-r,a>e&&z.MarkNextChange(),e=a+1,z.AddOriginalElement(a+1,b+1),J=V+1-L):(a=s[V-1],b=a-J-r,a>e&&z.MarkNextChange(),e=a,z.AddModifiedElement(a+1,b+1),J=V-1-L),$>=0&&(s=this.m_reverseHistory[$],L=s[0],Q=1,ne=s.length-1)}while(--$>=-1);H=z.getChanges()}return this.ConcatenateChanges(I,H)}ComputeRecursionPoint(g,f,m,A,L,_,n){let r=0,i=0,s=0,a=0,v=0,d=0;g--,m--,L[0]=0,_[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const b=f-g+(A-m),h=b+1,C=new Int32Array(h),D=new Int32Array(h),F=A-m,I=f-g,H=g-m,z=f-A,ne=(I-F)%2==0;C[F]=g,D[I]=f,n[0]=!1;for(let J=1;J<=b/2+1;J++){let e=0,$=0;s=this.ClipDiagonalBound(F-J,J,F,h),a=this.ClipDiagonalBound(F+J,J,F,h);for(let B=s;B<=a;B+=2){B===s||B<a&&C[B-1]<C[B+1]?r=C[B+1]:r=C[B-1]+1,i=r-(B-F)-H;const x=r;for(;r<f&&i<A&&this.ElementsAreEqual(r+1,i+1);)r++,i++;if(C[B]=r,r+i>e+$&&(e=r,$=i),!ne&&Math.abs(B-I)<=J-1&&r>=D[B])return L[0]=r,_[0]=i,x<=D[B]&&1447>0&&J<=1447+1?this.WALKTRACE(F,s,a,H,I,v,d,z,C,D,r,f,L,i,A,_,ne,n):null}const V=(e-g+($-m)-J)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(e,V))return n[0]=!0,L[0]=e,_[0]=$,V>0&&1447>0&&J<=1447+1?this.WALKTRACE(F,s,a,H,I,v,d,z,C,D,r,f,L,i,A,_,ne,n):(g++,m++,[new M.DiffChange(g,f-g+1,m,A-m+1)]);v=this.ClipDiagonalBound(I-J,J,I,h),d=this.ClipDiagonalBound(I+J,J,I,h);for(let B=v;B<=d;B+=2){B===v||B<d&&D[B-1]>=D[B+1]?r=D[B+1]-1:r=D[B-1],i=r-(B-I)-z;const x=r;for(;r>g&&i>m&&this.ElementsAreEqual(r,i);)r--,i--;if(D[B]=r,ne&&Math.abs(B-F)<=J&&r<=C[B])return L[0]=r,_[0]=i,x>=C[B]&&1447>0&&J<=1447+1?this.WALKTRACE(F,s,a,H,I,v,d,z,C,D,r,f,L,i,A,_,ne,n):null}if(J<=1447){let B=new Int32Array(a-s+2);B[0]=F-s+1,u.Copy2(C,s,B,1,a-s+1),this.m_forwardHistory.push(B),B=new Int32Array(d-v+2),B[0]=I-v+1,u.Copy2(D,v,B,1,d-v+1),this.m_reverseHistory.push(B)}}return this.WALKTRACE(F,s,a,H,I,v,d,z,C,D,r,f,L,i,A,_,ne,n)}PrettifyChanges(g){for(let f=0;f<g.length;f++){const m=g[f],A=f<g.length-1?g[f+1].originalStart:this._originalElementsOrHash.length,L=f<g.length-1?g[f+1].modifiedStart:this._modifiedElementsOrHash.length,_=m.originalLength>0,n=m.modifiedLength>0;for(;m.originalStart+m.originalLength<A&&m.modifiedStart+m.modifiedLength<L&&(!_||this.OriginalElementsAreEqual(m.originalStart,m.originalStart+m.originalLength))&&(!n||this.ModifiedElementsAreEqual(m.modifiedStart,m.modifiedStart+m.modifiedLength));)m.originalStart++,m.modifiedStart++;let r=[null];if(f<g.length-1&&this.ChangesOverlap(g[f],g[f+1],r)){g[f]=r[0],g.splice(f+1,1),f--;continue}}for(let f=g.length-1;f>=0;f--){const m=g[f];let A=0,L=0;if(f>0){const s=g[f-1];s.originalLength>0&&(A=s.originalStart+s.originalLength),s.modifiedLength>0&&(L=s.modifiedStart+s.modifiedLength)}const _=m.originalLength>0,n=m.modifiedLength>0;let r=0,i=this._boundaryScore(m.originalStart,m.originalLength,m.modifiedStart,m.modifiedLength);for(let s=1;;s++){const a=m.originalStart-s,v=m.modifiedStart-s;if(a<A||v<L||_&&!this.OriginalElementsAreEqual(a,a+m.originalLength)||n&&!this.ModifiedElementsAreEqual(v,v+m.modifiedLength))break;const d=this._boundaryScore(a,m.originalLength,v,m.modifiedLength);d>i&&(i=d,r=s)}m.originalStart-=r,m.modifiedStart-=r}if(this._hasStrings)for(let f=1,m=g.length;f<m;f++){const A=g[f-1],L=g[f],_=L.originalStart-A.originalStart-A.originalLength,n=A.originalStart,r=L.originalStart+L.originalLength,i=r-n,s=A.modifiedStart,a=L.modifiedStart+L.modifiedLength,v=a-s;if(_<5&&i<20&&v<20){const d=this._findBetterContiguousSequence(n,i,s,v,_);if(d){const[b,h]=d;(b!==A.originalStart+A.originalLength||h!==A.modifiedStart+A.modifiedLength)&&(A.originalLength=b-A.originalStart,A.modifiedLength=h-A.modifiedStart,L.originalStart=b+_,L.modifiedStart=h+_,L.originalLength=r-L.originalStart,L.modifiedLength=a-L.modifiedStart)}}}return g}_findBetterContiguousSequence(g,f,m,A,L){if(f<L||A<L)return null;const _=g+f-L+1,n=m+A-L+1;let r=0,i=0,s=0;for(let a=g;a<_;a++)for(let v=m;v<n;v++){const d=this._contiguousSequenceScore(a,v,L);d>0&&d>r&&(r=d,i=a,s=v)}return r>0?[i,s]:null}_contiguousSequenceScore(g,f,m){let A=0;for(let L=0;L<m;L++){if(!this.ElementsAreEqual(g+L,f+L))return 0;A+=this._originalStringElements[g+L].length}return A}_OriginalIsBoundary(g){return g<=0||g>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[g])}_OriginalRegionIsBoundary(g,f){if(this._OriginalIsBoundary(g)||this._OriginalIsBoundary(g-1))return!0;if(f>0){const m=g+f;if(this._OriginalIsBoundary(m-1)||this._OriginalIsBoundary(m))return!0}return!1}_ModifiedIsBoundary(g){return g<=0||g>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[g])}_ModifiedRegionIsBoundary(g,f){if(this._ModifiedIsBoundary(g)||this._ModifiedIsBoundary(g-1))return!0;if(f>0){const m=g+f;if(this._ModifiedIsBoundary(m-1)||this._ModifiedIsBoundary(m))return!0}return!1}_boundaryScore(g,f,m,A){const L=this._OriginalRegionIsBoundary(g,f)?1:0,_=this._ModifiedRegionIsBoundary(m,A)?1:0;return L+_}ConcatenateChanges(g,f){let m=[];if(g.length===0||f.length===0)return f.length>0?f:g;if(this.ChangesOverlap(g[g.length-1],f[0],m)){const A=new Array(g.length+f.length-1);return u.Copy(g,0,A,0,g.length-1),A[g.length-1]=m[0],u.Copy(f,1,A,g.length,f.length-1),A}else{const A=new Array(g.length+f.length);return u.Copy(g,0,A,0,g.length),u.Copy(f,0,A,g.length,f.length),A}}ChangesOverlap(g,f,m){if(S.Assert(g.originalStart<=f.originalStart,"Left change is not less than or equal to right change"),S.Assert(g.modifiedStart<=f.modifiedStart,"Left change is not less than or equal to right change"),g.originalStart+g.originalLength>=f.originalStart||g.modifiedStart+g.modifiedLength>=f.modifiedStart){const A=g.originalStart;let L=g.originalLength;const _=g.modifiedStart;let n=g.modifiedLength;return g.originalStart+g.originalLength>=f.originalStart&&(L=f.originalStart+f.originalLength-g.originalStart),g.modifiedStart+g.modifiedLength>=f.modifiedStart&&(n=f.modifiedStart+f.modifiedLength-g.modifiedStart),m[0]=new M.DiffChange(A,L,_,n),!0}else return m[0]=null,!1}ClipDiagonalBound(g,f,m,A){if(g>=0&&g<A)return g;const L=m,_=A-m-1,n=f%2==0;if(g<0){const r=L%2==0;return n===r?0:1}else{const r=_%2==0;return n===r?A-1:A-2}}}t.LcsDiff=E}),K(ee[12],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NotImplementedProxy=t.withUndefinedAsNull=t.withNullAsUndefined=t.createProxyObject=t.getAllMethodNames=t.getAllPropertyNames=t.validateConstraint=t.validateConstraints=t.areFunctions=t.isFunction=t.isEmptyObject=t.assertAllDefined=t.assertIsDefined=t.assertType=t.isUndefinedOrNull=t.isDefined=t.isUndefined=t.isBoolean=t.isNumber=t.isObject=t.isStringArray=t.isString=t.isArray=void 0;function M(h){return Array.isArray(h)}t.isArray=M;function p(h){return typeof h=="string"}t.isString=p;function P(h){return Array.isArray(h)&&h.every(C=>p(C))}t.isStringArray=P;function o(h){return typeof h=="object"&&h!==null&&!Array.isArray(h)&&!(h instanceof RegExp)&&!(h instanceof Date)}t.isObject=o;function S(h){return typeof h=="number"&&!isNaN(h)}t.isNumber=S;function u(h){return h===!0||h===!1}t.isBoolean=u;function l(h){return typeof h=="undefined"}t.isUndefined=l;function c(h){return!E(h)}t.isDefined=c;function E(h){return l(h)||h===null}t.isUndefinedOrNull=E;function w(h,C){if(!h)throw new Error(C?`Unexpected type, expected '${C}'`:"Unexpected type")}t.assertType=w;function g(h){if(E(h))throw new Error("Assertion Failed: argument is undefined or null");return h}t.assertIsDefined=g;function f(...h){const C=[];for(let D=0;D<h.length;D++){const F=h[D];if(E(F))throw new Error(`Assertion Failed: argument at index ${D} is undefined or null`);C.push(F)}return C}t.assertAllDefined=f;const m=Object.prototype.hasOwnProperty;function A(h){if(!o(h))return!1;for(let C in h)if(m.call(h,C))return!1;return!0}t.isEmptyObject=A;function L(h){return typeof h=="function"}t.isFunction=L;function _(...h){return h.length>0&&h.every(L)}t.areFunctions=_;function n(h,C){const D=Math.min(h.length,C.length);for(let F=0;F<D;F++)r(h[F],C[F])}t.validateConstraints=n;function r(h,C){if(p(C)){if(typeof h!==C)throw new Error(`argument does not match constraint: typeof ${C}`)}else if(L(C)){try{if(h instanceof C)return}catch(D){}if(!E(h)&&h.constructor===C||C.length===1&&C.call(void 0,h)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}t.validateConstraint=r;function i(h){let C=[],D=Object.getPrototypeOf(h);for(;Object.prototype!==D;)C=C.concat(Object.getOwnPropertyNames(D)),D=Object.getPrototypeOf(D);return C}t.getAllPropertyNames=i;function s(h){const C=[];for(const D of i(h))typeof h[D]=="function"&&C.push(D);return C}t.getAllMethodNames=s;function a(h,C){const D=I=>function(){const H=Array.prototype.slice.call(arguments,0);return C(I,H)};let F={};for(const I of h)F[I]=D(I);return F}t.createProxyObject=a;function v(h){return h===null?void 0:h}t.withNullAsUndefined=v;function d(h){return typeof h=="undefined"?null:h}t.withUndefinedAsNull=d;function b(h){return class{constructor(){return new Proxy({},{get(C,D){if(C[D])return C[D];throw new Error(`Not Implemented: ${h}->${String(D)}`)}})}}}t.NotImplementedProxy=b}),K(ee[13],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toUint32=t.toUint8=t.Constants=void 0;var M;(function(o){o[o.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",o[o.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",o[o.MAX_UINT_8=255]="MAX_UINT_8",o[o.MAX_UINT_16=65535]="MAX_UINT_16",o[o.MAX_UINT_32=4294967295]="MAX_UINT_32",o[o.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(M=t.Constants||(t.Constants={}));function p(o){return o<0?0:o>255?255:o|0}t.toUint8=p;function P(o){return o<0?0:o>4294967295?4294967295:o|0}t.toUint32=P}),K(ee[14],te([0,1,2,21]),function(T,t,M,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.uriToFsPath=t.URI=void 0;const P=/^\w[\w\d+.-]*$/,o=/^\//,S=/^\/\//;function u(d,b){if(!d.scheme&&b)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${d.authority}", path: "${d.path}", query: "${d.query}", fragment: "${d.fragment}"}`);if(d.scheme&&!P.test(d.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(d.path){if(d.authority){if(!o.test(d.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(S.test(d.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function l(d,b){return!d&&!b?"file":d}function c(d,b){switch(d){case"https":case"http":case"file":b?b[0]!==w&&(b=w+b):b=w;break}return b}const E="",w="/",g=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class f{constructor(b,h,C,D,F,I=!1){typeof b=="object"?(this.scheme=b.scheme||E,this.authority=b.authority||E,this.path=b.path||E,this.query=b.query||E,this.fragment=b.fragment||E):(this.scheme=l(b,I),this.authority=h||E,this.path=c(this.scheme,C||E),this.query=D||E,this.fragment=F||E,u(this,I))}static isUri(b){return b instanceof f?!0:b?typeof b.authority=="string"&&typeof b.fragment=="string"&&typeof b.path=="string"&&typeof b.query=="string"&&typeof b.scheme=="string"&&typeof b.fsPath=="string"&&typeof b.with=="function"&&typeof b.toString=="function":!1}get fsPath(){return r(this,!1)}with(b){if(!b)return this;let{scheme:h,authority:C,path:D,query:F,fragment:I}=b;return h===void 0?h=this.scheme:h===null&&(h=E),C===void 0?C=this.authority:C===null&&(C=E),D===void 0?D=this.path:D===null&&(D=E),F===void 0?F=this.query:F===null&&(F=E),I===void 0?I=this.fragment:I===null&&(I=E),h===this.scheme&&C===this.authority&&D===this.path&&F===this.query&&I===this.fragment?this:new A(h,C,D,F,I)}static parse(b,h=!1){const C=g.exec(b);return C?new A(C[2]||E,v(C[4]||E),v(C[5]||E),v(C[7]||E),v(C[9]||E),h):new A(E,E,E,E,E)}static file(b){let h=E;if(M.isWindows&&(b=b.replace(/\\/g,w)),b[0]===w&&b[1]===w){const C=b.indexOf(w,2);C===-1?(h=b.substring(2),b=w):(h=b.substring(2,C),b=b.substring(C)||w)}return new A("file",h,b,E,E)}static from(b){return new A(b.scheme,b.authority,b.path,b.query,b.fragment)}static joinPath(b,...h){if(!b.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let C;return M.isWindows&&b.scheme==="file"?C=f.file(p.win32.join(r(b,!0),...h)).path:C=p.posix.join(b.path,...h),b.with({path:C})}toString(b=!1){return i(this,b)}toJSON(){return this}static revive(b){if(b){if(b instanceof f)return b;{const h=new A(b);return h._formatted=b.external,h._fsPath=b._sep===m?b.fsPath:null,h}}else return b}}t.URI=f;const m=M.isWindows?1:void 0;class A extends f{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=r(this,!1)),this._fsPath}toString(b=!1){return b?i(this,!0):(this._formatted||(this._formatted=i(this,!1)),this._formatted)}toJSON(){const b={$mid:1};return this._fsPath&&(b.fsPath=this._fsPath,b._sep=m),this._formatted&&(b.external=this._formatted),this.path&&(b.path=this.path),this.scheme&&(b.scheme=this.scheme),this.authority&&(b.authority=this.authority),this.query&&(b.query=this.query),this.fragment&&(b.fragment=this.fragment),b}}const L={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function _(d,b){let h,C=-1;for(let D=0;D<d.length;D++){const F=d.charCodeAt(D);if(F>=97&&F<=122||F>=65&&F<=90||F>=48&&F<=57||F===45||F===46||F===95||F===126||b&&F===47)C!==-1&&(h+=encodeURIComponent(d.substring(C,D)),C=-1),h!==void 0&&(h+=d.charAt(D));else{h===void 0&&(h=d.substr(0,D));const I=L[F];I!==void 0?(C!==-1&&(h+=encodeURIComponent(d.substring(C,D)),C=-1),h+=I):C===-1&&(C=D)}}return C!==-1&&(h+=encodeURIComponent(d.substring(C))),h!==void 0?h:d}function n(d){let b;for(let h=0;h<d.length;h++){const C=d.charCodeAt(h);C===35||C===63?(b===void 0&&(b=d.substr(0,h)),b+=L[C]):b!==void 0&&(b+=d[h])}return b!==void 0?b:d}function r(d,b){let h;return d.authority&&d.path.length>1&&d.scheme==="file"?h=`//${d.authority}${d.path}`:d.path.charCodeAt(0)===47&&(d.path.charCodeAt(1)>=65&&d.path.charCodeAt(1)<=90||d.path.charCodeAt(1)>=97&&d.path.charCodeAt(1)<=122)&&d.path.charCodeAt(2)===58?b?h=d.path.substr(1):h=d.path[1].toLowerCase()+d.path.substr(2):h=d.path,M.isWindows&&(h=h.replace(/\//g,"\\")),h}t.uriToFsPath=r;function i(d,b){const h=b?n:_;let C="",{scheme:D,authority:F,path:I,query:H,fragment:z}=d;if(D&&(C+=D,C+=":"),(F||D==="file")&&(C+=w,C+=w),F){let Q=F.indexOf("@");if(Q!==-1){const ne=F.substr(0,Q);F=F.substr(Q+1),Q=ne.indexOf(":"),Q===-1?C+=h(ne,!1):(C+=h(ne.substr(0,Q),!1),C+=":",C+=h(ne.substr(Q+1),!1)),C+="@"}F=F.toLowerCase(),Q=F.indexOf(":"),Q===-1?C+=h(F,!1):(C+=h(F.substr(0,Q),!1),C+=F.substr(Q))}if(I){if(I.length>=3&&I.charCodeAt(0)===47&&I.charCodeAt(2)===58){const Q=I.charCodeAt(1);Q>=65&&Q<=90&&(I=`/${String.fromCharCode(Q+32)}:${I.substr(3)}`)}else if(I.length>=2&&I.charCodeAt(1)===58){const Q=I.charCodeAt(0);Q>=65&&Q<=90&&(I=`${String.fromCharCode(Q+32)}:${I.substr(2)}`)}C+=h(I,!0)}return H&&(C+="?",C+=h(H,!1)),z&&(C+="#",C+=b?z:_(z,!1)),C}function s(d){try{return decodeURIComponent(d)}catch(b){return d.length>3?d.substr(0,3)+s(d.substr(3)):d}}const a=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function v(d){return d.match(a)?d.replace(a,b=>s(b)):d}}),K(ee[35],te([0,1,4,8,2,12]),function(T,t,M,p,P,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.SimpleWorkerServer=t.SimpleWorkerClient=t.logOnceWebWorkerWarning=void 0;const S="$initialize";let u=!1;function l(f){!P.isWeb||(u||(u=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(f.message))}t.logOnceWebWorkerWarning=l;class c{constructor(m){this._workerId=-1,this._handler=m,this._lastSentReq=0,this._pendingReplies=Object.create(null)}setWorkerId(m){this._workerId=m}sendMessage(m,A){let L=String(++this._lastSentReq);return new Promise((_,n)=>{this._pendingReplies[L]={resolve:_,reject:n},this._send({vsWorker:this._workerId,req:L,method:m,args:A})})}handleMessage(m){!m||!m.vsWorker||this._workerId!==-1&&m.vsWorker!==this._workerId||this._handleMessage(m)}_handleMessage(m){if(m.seq){let n=m;if(!this._pendingReplies[n.seq]){console.warn("Got reply to unknown seq");return}let r=this._pendingReplies[n.seq];if(delete this._pendingReplies[n.seq],n.err){let i=n.err;n.err.$isError&&(i=new Error,i.name=n.err.name,i.message=n.err.message,i.stack=n.err.stack),r.reject(i);return}r.resolve(n.res);return}let A=m,L=A.req;this._handler.handleMessage(A.method,A.args).then(n=>{this._send({vsWorker:this._workerId,seq:L,res:n,err:void 0})},n=>{n.detail instanceof Error&&(n.detail=M.transformErrorForSerialization(n.detail)),this._send({vsWorker:this._workerId,seq:L,res:void 0,err:M.transformErrorForSerialization(n)})})}_send(m){let A=[];if(m.req){const L=m;for(let _=0;_<L.args.length;_++)L.args[_]instanceof ArrayBuffer&&A.push(L.args[_])}else{const L=m;L.res instanceof ArrayBuffer&&A.push(L.res)}this._handler.sendMessage(m,A)}}class E extends p.Disposable{constructor(m,A,L){super();let _=null;this._worker=this._register(m.create("vs/base/common/worker/simpleWorker",s=>{this._protocol.handleMessage(s)},s=>{_&&_(s)})),this._protocol=new c({sendMessage:(s,a)=>{this._worker.postMessage(s,a)},handleMessage:(s,a)=>{if(typeof L[s]!="function")return Promise.reject(new Error("Missing method "+s+" on main thread host."));try{return Promise.resolve(L[s].apply(L,a))}catch(v){return Promise.reject(v)}}}),this._protocol.setWorkerId(this._worker.getId());let n=null;typeof self.require!="undefined"&&typeof self.require.getConfig=="function"?n=self.require.getConfig():typeof self.requirejs!="undefined"&&(n=self.requirejs.s.contexts._.config);const r=o.getAllMethodNames(L);this._onModuleLoaded=this._protocol.sendMessage(S,[this._worker.getId(),JSON.parse(JSON.stringify(n)),A,r]);const i=(s,a)=>this._request(s,a);this._lazyProxy=new Promise((s,a)=>{_=a,this._onModuleLoaded.then(v=>{s(o.createProxyObject(v,i))},v=>{a(v),this._onError("Worker failed to load "+A,v)})})}getProxyObject(){return this._lazyProxy}_request(m,A){return new Promise((L,_)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(m,A).then(L,_)},_)})}_onError(m,A){console.error(m),console.info(A)}}t.SimpleWorkerClient=E;class w{constructor(m,A){this._requestHandlerFactory=A,this._requestHandler=null,this._protocol=new c({sendMessage:(L,_)=>{m(L,_)},handleMessage:(L,_)=>this._handleMessage(L,_)})}onmessage(m){this._protocol.handleMessage(m)}_handleMessage(m,A){if(m===S)return this.initialize(A[0],A[1],A[2],A[3]);if(!this._requestHandler||typeof this._requestHandler[m]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+m));try{return Promise.resolve(this._requestHandler[m].apply(this._requestHandler,A))}catch(L){return Promise.reject(L)}}initialize(m,A,L,_){this._protocol.setWorkerId(m);const n=(i,s)=>this._protocol.sendMessage(i,s),r=o.createProxyObject(_,n);return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(r),Promise.resolve(o.getAllMethodNames(this._requestHandler))):(A&&(typeof A.baseUrl!="undefined"&&delete A.baseUrl,typeof A.paths!="undefined"&&typeof A.paths.vs!="undefined"&&delete A.paths.vs,typeof A.trustedTypesPolicy!==void 0&&delete A.trustedTypesPolicy,A.catchError=!0,self.require.config(A)),new Promise((i,s)=>{self.require([L],a=>{if(this._requestHandler=a.create(r),!this._requestHandler){s(new Error("No RequestHandler!"));return}i(o.getAllMethodNames(this._requestHandler))},s)}))}}t.SimpleWorkerServer=w;function g(f){return new w(f,null)}t.create=g}),K(ee[24],te([0,1,13]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CharacterSet=t.CharacterClassifier=void 0;class p{constructor(u){let l=M.toUint8(u);this._defaultValue=l,this._asciiMap=p._createAsciiMap(l),this._map=new Map}static _createAsciiMap(u){let l=new Uint8Array(256);for(let c=0;c<256;c++)l[c]=u;return l}set(u,l){let c=M.toUint8(l);u>=0&&u<256?this._asciiMap[u]=c:this._map.set(u,c)}get(u){return u>=0&&u<256?this._asciiMap[u]:this._map.get(u)||this._defaultValue}}t.CharacterClassifier=p;var P;(function(S){S[S.False=0]="False",S[S.True=1]="True"})(P||(P={}));class o{constructor(){this._actual=new p(0)}add(u){this._actual.set(u,1)}has(u){return this._actual.get(u)===1}}t.CharacterSet=o}),K(ee[3],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Position=void 0;class M{constructor(P,o){this.lineNumber=P,this.column=o}with(P=this.lineNumber,o=this.column){return P===this.lineNumber&&o===this.column?this:new M(P,o)}delta(P=0,o=0){return this.with(this.lineNumber+P,this.column+o)}equals(P){return M.equals(this,P)}static equals(P,o){return!P&&!o?!0:!!P&&!!o&&P.lineNumber===o.lineNumber&&P.column===o.column}isBefore(P){return M.isBefore(this,P)}static isBefore(P,o){return P.lineNumber<o.lineNumber?!0:o.lineNumber<P.lineNumber?!1:P.column<o.column}isBeforeOrEqual(P){return M.isBeforeOrEqual(this,P)}static isBeforeOrEqual(P,o){return P.lineNumber<o.lineNumber?!0:o.lineNumber<P.lineNumber?!1:P.column<=o.column}static compare(P,o){let S=P.lineNumber|0,u=o.lineNumber|0;if(S===u){let l=P.column|0,c=o.column|0;return l-c}return S-u}clone(){return new M(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(P){return new M(P.lineNumber,P.column)}static isIPosition(P){return P&&typeof P.lineNumber=="number"&&typeof P.column=="number"}}t.Position=M}),K(ee[6],te([0,1,3]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Range=void 0;class p{constructor(o,S,u,l){o>u||o===u&&S>l?(this.startLineNumber=u,this.startColumn=l,this.endLineNumber=o,this.endColumn=S):(this.startLineNumber=o,this.startColumn=S,this.endLineNumber=u,this.endColumn=l)}isEmpty(){return p.isEmpty(this)}static isEmpty(o){return o.startLineNumber===o.endLineNumber&&o.startColumn===o.endColumn}containsPosition(o){return p.containsPosition(this,o)}static containsPosition(o,S){return!(S.lineNumber<o.startLineNumber||S.lineNumber>o.endLineNumber||S.lineNumber===o.startLineNumber&&S.column<o.startColumn||S.lineNumber===o.endLineNumber&&S.column>o.endColumn)}containsRange(o){return p.containsRange(this,o)}static containsRange(o,S){return!(S.startLineNumber<o.startLineNumber||S.endLineNumber<o.startLineNumber||S.startLineNumber>o.endLineNumber||S.endLineNumber>o.endLineNumber||S.startLineNumber===o.startLineNumber&&S.startColumn<o.startColumn||S.endLineNumber===o.endLineNumber&&S.endColumn>o.endColumn)}strictContainsRange(o){return p.strictContainsRange(this,o)}static strictContainsRange(o,S){return!(S.startLineNumber<o.startLineNumber||S.endLineNumber<o.startLineNumber||S.startLineNumber>o.endLineNumber||S.endLineNumber>o.endLineNumber||S.startLineNumber===o.startLineNumber&&S.startColumn<=o.startColumn||S.endLineNumber===o.endLineNumber&&S.endColumn>=o.endColumn)}plusRange(o){return p.plusRange(this,o)}static plusRange(o,S){let u,l,c,E;return S.startLineNumber<o.startLineNumber?(u=S.startLineNumber,l=S.startColumn):S.startLineNumber===o.startLineNumber?(u=S.startLineNumber,l=Math.min(S.startColumn,o.startColumn)):(u=o.startLineNumber,l=o.startColumn),S.endLineNumber>o.endLineNumber?(c=S.endLineNumber,E=S.endColumn):S.endLineNumber===o.endLineNumber?(c=S.endLineNumber,E=Math.max(S.endColumn,o.endColumn)):(c=o.endLineNumber,E=o.endColumn),new p(u,l,c,E)}intersectRanges(o){return p.intersectRanges(this,o)}static intersectRanges(o,S){let u=o.startLineNumber,l=o.startColumn,c=o.endLineNumber,E=o.endColumn,w=S.startLineNumber,g=S.startColumn,f=S.endLineNumber,m=S.endColumn;return u<w?(u=w,l=g):u===w&&(l=Math.max(l,g)),c>f?(c=f,E=m):c===f&&(E=Math.min(E,m)),u>c||u===c&&l>E?null:new p(u,l,c,E)}equalsRange(o){return p.equalsRange(this,o)}static equalsRange(o,S){return!!o&&!!S&&o.startLineNumber===S.startLineNumber&&o.startColumn===S.startColumn&&o.endLineNumber===S.endLineNumber&&o.endColumn===S.endColumn}getEndPosition(){return p.getEndPosition(this)}static getEndPosition(o){return new M.Position(o.endLineNumber,o.endColumn)}getStartPosition(){return p.getStartPosition(this)}static getStartPosition(o){return new M.Position(o.startLineNumber,o.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(o,S){return new p(this.startLineNumber,this.startColumn,o,S)}setStartPosition(o,S){return new p(o,S,this.endLineNumber,this.endColumn)}collapseToStart(){return p.collapseToStart(this)}static collapseToStart(o){return new p(o.startLineNumber,o.startColumn,o.startLineNumber,o.startColumn)}static fromPositions(o,S=o){return new p(o.lineNumber,o.column,S.lineNumber,S.column)}static lift(o){return o?new p(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn):null}static isIRange(o){return o&&typeof o.startLineNumber=="number"&&typeof o.startColumn=="number"&&typeof o.endLineNumber=="number"&&typeof o.endColumn=="number"}static areIntersectingOrTouching(o,S){return!(o.endLineNumber<S.startLineNumber||o.endLineNumber===S.startLineNumber&&o.endColumn<S.startColumn||S.endLineNumber<o.startLineNumber||S.endLineNumber===o.startLineNumber&&S.endColumn<o.startColumn)}static areIntersecting(o,S){return!(o.endLineNumber<S.startLineNumber||o.endLineNumber===S.startLineNumber&&o.endColumn<=S.startColumn||S.endLineNumber<o.startLineNumber||S.endLineNumber===o.startLineNumber&&S.endColumn<=o.startColumn)}static compareRangesUsingStarts(o,S){if(o&&S){const c=o.startLineNumber|0,E=S.startLineNumber|0;if(c===E){const w=o.startColumn|0,g=S.startColumn|0;if(w===g){const f=o.endLineNumber|0,m=S.endLineNumber|0;if(f===m){const A=o.endColumn|0,L=S.endColumn|0;return A-L}return f-m}return w-g}return c-E}return(o?1:0)-(S?1:0)}static compareRangesUsingEnds(o,S){return o.endLineNumber===S.endLineNumber?o.endColumn===S.endColumn?o.startLineNumber===S.startLineNumber?o.startColumn-S.startColumn:o.startLineNumber-S.startLineNumber:o.endColumn-S.endColumn:o.endLineNumber-S.endLineNumber}static spansMultipleLines(o){return o.endLineNumber>o.startLineNumber}}t.Range=p}),K(ee[25],te([0,1,3,6]),function(T,t,M,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=t.SelectionDirection=void 0;var P;(function(S){S[S.LTR=0]="LTR",S[S.RTL=1]="RTL"})(P=t.SelectionDirection||(t.SelectionDirection={}));class o extends p.Range{constructor(u,l,c,E){super(u,l,c,E);this.selectionStartLineNumber=u,this.selectionStartColumn=l,this.positionLineNumber=c,this.positionColumn=E}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(u){return o.selectionsEqual(this,u)}static selectionsEqual(u,l){return u.selectionStartLineNumber===l.selectionStartLineNumber&&u.selectionStartColumn===l.selectionStartColumn&&u.positionLineNumber===l.positionLineNumber&&u.positionColumn===l.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(u,l){return this.getDirection()===0?new o(this.startLineNumber,this.startColumn,u,l):new o(u,l,this.startLineNumber,this.startColumn)}getPosition(){return new M.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(u,l){return this.getDirection()===0?new o(u,l,this.endLineNumber,this.endColumn):new o(this.endLineNumber,this.endColumn,u,l)}static fromPositions(u,l=u){return new o(u.lineNumber,u.column,l.lineNumber,l.column)}static liftSelection(u){return new o(u.selectionStartLineNumber,u.selectionStartColumn,u.positionLineNumber,u.positionColumn)}static selectionsArrEqual(u,l){if(u&&!l||!u&&l)return!1;if(!u&&!l)return!0;if(u.length!==l.length)return!1;for(let c=0,E=u.length;c<E;c++)if(!this.selectionsEqual(u[c],l[c]))return!1;return!0}static isISelection(u){return u&&typeof u.selectionStartLineNumber=="number"&&typeof u.selectionStartColumn=="number"&&typeof u.positionLineNumber=="number"&&typeof u.positionColumn=="number"}static createWithDirection(u,l,c,E,w){return w===0?new o(u,l,c,E):new o(c,E,u,l)}}t.Selection=o}),K(ee[26],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TokenizationResult2=t.TokenizationResult=t.Token=void 0;class M{constructor(S,u,l){this.offset=S|0,this.type=u,this.language=l}toString(){return"("+this.offset+", "+this.type+")"}}t.Token=M;class p{constructor(S,u){this.tokens=S,this.endState=u}}t.TokenizationResult=p;class P{constructor(S,u){this.tokens=S,this.endState=u}}t.TokenizationResult2=P}),K(ee[27],te([0,1,11,5]),function(T,t,M,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffComputer=void 0;const P=3;function o(A,L,_,n){return new M.LcsDiff(A,L,_).ComputeDiff(n)}class S{constructor(L){const _=[],n=[];for(let r=0,i=L.length;r<i;r++)_[r]=g(L[r],1),n[r]=f(L[r],1);this.lines=L,this._startColumns=_,this._endColumns=n}getElements(){const L=[];for(let _=0,n=this.lines.length;_<n;_++)L[_]=this.lines[_].substring(this._startColumns[_]-1,this._endColumns[_]-1);return L}getStartLineNumber(L){return L+1}getEndLineNumber(L){return L+1}createCharSequence(L,_,n){const r=[],i=[],s=[];let a=0;for(let v=_;v<=n;v++){const d=this.lines[v],b=L?this._startColumns[v]:1,h=L?this._endColumns[v]:d.length+1;for(let C=b;C<h;C++)r[a]=d.charCodeAt(C-1),i[a]=v+1,s[a]=C,a++}return new u(r,i,s)}}class u{constructor(L,_,n){this._charCodes=L,this._lineNumbers=_,this._columns=n}getElements(){return this._charCodes}getStartLineNumber(L){return this._lineNumbers[L]}getStartColumn(L){return this._columns[L]}getEndLineNumber(L){return this._lineNumbers[L]}getEndColumn(L){return this._columns[L]+1}}class l{constructor(L,_,n,r,i,s,a,v){this.originalStartLineNumber=L,this.originalStartColumn=_,this.originalEndLineNumber=n,this.originalEndColumn=r,this.modifiedStartLineNumber=i,this.modifiedStartColumn=s,this.modifiedEndLineNumber=a,this.modifiedEndColumn=v}static createFromDiffChange(L,_,n){let r,i,s,a,v,d,b,h;return L.originalLength===0?(r=0,i=0,s=0,a=0):(r=_.getStartLineNumber(L.originalStart),i=_.getStartColumn(L.originalStart),s=_.getEndLineNumber(L.originalStart+L.originalLength-1),a=_.getEndColumn(L.originalStart+L.originalLength-1)),L.modifiedLength===0?(v=0,d=0,b=0,h=0):(v=n.getStartLineNumber(L.modifiedStart),d=n.getStartColumn(L.modifiedStart),b=n.getEndLineNumber(L.modifiedStart+L.modifiedLength-1),h=n.getEndColumn(L.modifiedStart+L.modifiedLength-1)),new l(r,i,s,a,v,d,b,h)}}function c(A){if(A.length<=1)return A;const L=[A[0]];let _=L[0];for(let n=1,r=A.length;n<r;n++){const i=A[n],s=i.originalStart-(_.originalStart+_.originalLength),a=i.modifiedStart-(_.modifiedStart+_.modifiedLength);Math.min(s,a)<P?(_.originalLength=i.originalStart+i.originalLength-_.originalStart,_.modifiedLength=i.modifiedStart+i.modifiedLength-_.modifiedStart):(L.push(i),_=i)}return L}class E{constructor(L,_,n,r,i){this.originalStartLineNumber=L,this.originalEndLineNumber=_,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=r,this.charChanges=i}static createFromDiffResult(L,_,n,r,i,s,a){let v,d,b,h,C;if(_.originalLength===0?(v=n.getStartLineNumber(_.originalStart)-1,d=0):(v=n.getStartLineNumber(_.originalStart),d=n.getEndLineNumber(_.originalStart+_.originalLength-1)),_.modifiedLength===0?(b=r.getStartLineNumber(_.modifiedStart)-1,h=0):(b=r.getStartLineNumber(_.modifiedStart),h=r.getEndLineNumber(_.modifiedStart+_.modifiedLength-1)),s&&_.originalLength>0&&_.originalLength<20&&_.modifiedLength>0&&_.modifiedLength<20&&i()){const D=n.createCharSequence(L,_.originalStart,_.originalStart+_.originalLength-1),F=r.createCharSequence(L,_.modifiedStart,_.modifiedStart+_.modifiedLength-1);let I=o(D,F,i,!0).changes;a&&(I=c(I)),C=[];for(let H=0,z=I.length;H<z;H++)C.push(l.createFromDiffChange(I[H],D,F))}return new E(v,d,b,h,C)}}class w{constructor(L,_,n){this.shouldComputeCharChanges=n.shouldComputeCharChanges,this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.originalLines=L,this.modifiedLines=_,this.original=new S(L),this.modified=new S(_),this.continueLineDiff=m(n.maxComputationTime),this.continueCharDiff=m(n.maxComputationTime===0?0:Math.min(n.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};const L=o(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),_=L.changes,n=L.quitEarly;if(this.shouldIgnoreTrimWhitespace){const a=[];for(let v=0,d=_.length;v<d;v++)a.push(E.createFromDiffResult(this.shouldIgnoreTrimWhitespace,_[v],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:n,changes:a}}const r=[];let i=0,s=0;for(let a=-1,v=_.length;a<v;a++){const d=a+1<v?_[a+1]:null,b=d?d.originalStart:this.originalLines.length,h=d?d.modifiedStart:this.modifiedLines.length;for(;i<b&&s<h;){const C=this.originalLines[i],D=this.modifiedLines[s];if(C!==D){{let F=g(C,1),I=g(D,1);for(;F>1&&I>1;){const H=C.charCodeAt(F-2),z=D.charCodeAt(I-2);if(H!==z)break;F--,I--}(F>1||I>1)&&this._pushTrimWhitespaceCharChange(r,i+1,1,F,s+1,1,I)}{let F=f(C,1),I=f(D,1);const H=C.length+1,z=D.length+1;for(;F<H&&I<z;){const Q=C.charCodeAt(F-1),ne=C.charCodeAt(I-1);if(Q!==ne)break;F++,I++}(F<H||I<z)&&this._pushTrimWhitespaceCharChange(r,i+1,F,H,s+1,I,z)}}i++,s++}d&&(r.push(E.createFromDiffResult(this.shouldIgnoreTrimWhitespace,d,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),i+=d.originalLength,s+=d.modifiedLength)}return{quitEarly:n,changes:r}}_pushTrimWhitespaceCharChange(L,_,n,r,i,s,a){if(!this._mergeTrimWhitespaceCharChange(L,_,n,r,i,s,a)){let v;this.shouldComputeCharChanges&&(v=[new l(_,n,_,r,i,s,i,a)]),L.push(new E(_,_,i,i,v))}}_mergeTrimWhitespaceCharChange(L,_,n,r,i,s,a){const v=L.length;if(v===0)return!1;const d=L[v-1];return d.originalEndLineNumber===0||d.modifiedEndLineNumber===0?!1:d.originalEndLineNumber+1===_&&d.modifiedEndLineNumber+1===i?(d.originalEndLineNumber=_,d.modifiedEndLineNumber=i,this.shouldComputeCharChanges&&d.charChanges&&d.charChanges.push(new l(_,n,_,r,i,s,i,a)),!0):!1}}t.DiffComputer=w;function g(A,L){const _=p.firstNonWhitespaceIndex(A);return _===-1?L:_+1}function f(A,L){const _=p.lastNonWhitespaceIndex(A);return _===-1?L:_+2}function m(A){if(A===0)return()=>!0;const L=Date.now();return()=>Date.now()-L<A}}),K(ee[28],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getWordAtText=t.ensureValidWordDefinition=t.DEFAULT_WORD_REGEXP=t.USUAL_WORD_SEPARATORS=void 0,t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function M(u=""){let l="(-?\\d*\\.\\d\\w*)|([^";for(const c of t.USUAL_WORD_SEPARATORS)u.indexOf(c)>=0||(l+="\\"+c);return l+="\\s]+)",new RegExp(l,"g")}t.DEFAULT_WORD_REGEXP=M();function p(u){let l=t.DEFAULT_WORD_REGEXP;if(u&&u instanceof RegExp)if(u.global)l=u;else{let c="g";u.ignoreCase&&(c+="i"),u.multiline&&(c+="m"),u.unicode&&(c+="u"),l=new RegExp(u.source,c)}return l.lastIndex=0,l}t.ensureValidWordDefinition=p;const P={maxLen:1e3,windowSize:15,timeBudget:150};function o(u,l,c,E,w=P){if(c.length>w.maxLen){let L=u-w.maxLen/2;return L<0?L=0:E+=L,c=c.substring(L,u+w.maxLen/2),o(u,l,c,E,w)}const g=Date.now(),f=u-1-E;let m=-1,A=null;for(let L=1;!(Date.now()-g>=w.timeBudget);L++){const _=f-w.windowSize*L;l.lastIndex=Math.max(0,_);const n=S(l,c,f,m);if(!n&&A||(A=n,_<=0))break;m=_}if(A){let L={word:A[0],startColumn:E+1+A.index,endColumn:E+1+A.index+A[0].length};return l.lastIndex=0,L}return null}t.getWordAtText=o;function S(u,l,c,E){let w;for(;w=u.exec(l);){const g=w.index||0;if(g<=c&&u.lastIndex>=c)return w;if(E>0&&g>E)return null}return null}}),K(ee[29],te([0,1,24]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.computeLinks=t.LinkComputer=t.StateMachine=t.Uint8Matrix=t.State=void 0;var p;(function(f){f[f.Invalid=0]="Invalid",f[f.Start=1]="Start",f[f.H=2]="H",f[f.HT=3]="HT",f[f.HTT=4]="HTT",f[f.HTTP=5]="HTTP",f[f.F=6]="F",f[f.FI=7]="FI",f[f.FIL=8]="FIL",f[f.BeforeColon=9]="BeforeColon",f[f.AfterColon=10]="AfterColon",f[f.AlmostThere=11]="AlmostThere",f[f.End=12]="End",f[f.Accept=13]="Accept",f[f.LastKnownState=14]="LastKnownState"})(p=t.State||(t.State={}));class P{constructor(m,A,L){const _=new Uint8Array(m*A);for(let n=0,r=m*A;n<r;n++)_[n]=L;this._data=_,this.rows=m,this.cols=A}get(m,A){return this._data[m*this.cols+A]}set(m,A,L){this._data[m*this.cols+A]=L}}t.Uint8Matrix=P;class o{constructor(m){let A=0,L=0;for(let n=0,r=m.length;n<r;n++){let[i,s,a]=m[n];s>A&&(A=s),i>L&&(L=i),a>L&&(L=a)}A++,L++;let _=new P(L,A,0);for(let n=0,r=m.length;n<r;n++){let[i,s,a]=m[n];_.set(i,s,a)}this._states=_,this._maxCharCode=A}nextState(m,A){return A<0||A>=this._maxCharCode?0:this._states.get(m,A)}}t.StateMachine=o;let S=null;function u(){return S===null&&(S=new o([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),S}var l;(function(f){f[f.None=0]="None",f[f.ForceTermination=1]="ForceTermination",f[f.CannotEndIn=2]="CannotEndIn"})(l||(l={}));let c=null;function E(){if(c===null){c=new M.CharacterClassifier(0);const f=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let A=0;A<f.length;A++)c.set(f.charCodeAt(A),1);const m=".,;";for(let A=0;A<m.length;A++)c.set(m.charCodeAt(A),2)}return c}class w{static _createLink(m,A,L,_,n){let r=n-1;do{const i=A.charCodeAt(r);if(m.get(i)!==2)break;r--}while(r>_);if(_>0){const i=A.charCodeAt(_-1),s=A.charCodeAt(r);(i===40&&s===41||i===91&&s===93||i===123&&s===125)&&r--}return{range:{startLineNumber:L,startColumn:_+1,endLineNumber:L,endColumn:r+2},url:A.substring(_,r+1)}}static computeLinks(m,A=u()){const L=E();let _=[];for(let n=1,r=m.getLineCount();n<=r;n++){const i=m.getLineContent(n),s=i.length;let a=0,v=0,d=0,b=1,h=!1,C=!1,D=!1,F=!1;for(;a<s;){let I=!1;const H=i.charCodeAt(a);if(b===13){let z;switch(H){case 40:h=!0,z=0;break;case 41:z=h?0:1;break;case 91:D=!0,C=!0,z=0;break;case 93:D=!1,z=C?0:1;break;case 123:F=!0,z=0;break;case 125:z=F?0:1;break;case 39:z=d===34||d===96?0:1;break;case 34:z=d===39||d===96?0:1;break;case 96:z=d===39||d===34?0:1;break;case 42:z=d===42?1:0;break;case 124:z=d===124?1:0;break;case 32:z=D?0:1;break;default:z=L.get(H)}z===1&&(_.push(w._createLink(L,i,n,v,a)),I=!0)}else if(b===12){let z;H===91?(C=!0,z=0):z=L.get(H),z===1?I=!0:b=13}else b=A.nextState(b,H),b===0&&(I=!0);I&&(b=1,h=!1,C=!1,F=!1,v=a+1,d=H),a++}b===13&&_.push(w._createLink(L,i,n,v,s))}return _}}t.LinkComputer=w;function g(f){return!f||typeof f.getLineCount!="function"||typeof f.getLineContent!="function"?[]:w.computeLinks(f)}t.computeLinks=g}),K(ee[30],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BasicInplaceReplace=void 0;class M{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(P,o,S,u,l){if(P&&o){let c=this.doNavigateValueSet(o,l);if(c)return{range:P,value:c}}if(S&&u){let c=this.doNavigateValueSet(u,l);if(c)return{range:S,value:c}}return null}doNavigateValueSet(P,o){let S=this.numberReplace(P,o);return S!==null?S:this.textReplace(P,o)}numberReplace(P,o){let S=Math.pow(10,P.length-(P.lastIndexOf(".")+1)),u=Number(P),l=parseFloat(P);return!isNaN(u)&&!isNaN(l)&&u===l?u===0&&!o?null:(u=Math.floor(u*S),u+=o?S:-S,String(u/S)):null}textReplace(P,o){return this.valueSetsReplace(this._defaultValueSet,P,o)}valueSetsReplace(P,o,S){let u=null;for(let l=0,c=P.length;u===null&&l<c;l++)u=this.valueSetReplace(P[l],o,S);return u}valueSetReplace(P,o,S){let u=P.indexOf(o);return u>=0?(u+=S?1:-1,u<0?u=P.length-1:u%=P.length,P[u]):null}}t.BasicInplaceReplace=M,M.INSTANCE=new M}),K(ee[31],te([0,1]),function(T,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WrappingIndent=t.TrackedRangeStickiness=t.TextEditorCursorStyle=t.TextEditorCursorBlinkingStyle=t.SymbolTag=t.SymbolKind=t.SignatureHelpTriggerKind=t.SelectionDirection=t.ScrollbarVisibility=t.ScrollType=t.RenderMinimap=t.RenderLineNumbersType=t.OverviewRulerLane=t.OverlayWidgetPositionPreference=t.MouseTargetType=t.MinimapPosition=t.MarkerTag=t.MarkerSeverity=t.KeyCode=t.InlineHintKind=t.IndentAction=t.EndOfLineSequence=t.EndOfLinePreference=t.EditorOption=t.EditorAutoIndentStrategy=t.DocumentHighlightKind=t.DefaultEndOfLine=t.CursorChangeReason=t.ContentWidgetPositionPreference=t.CompletionTriggerKind=t.CompletionItemTag=t.CompletionItemKind=t.CompletionItemInsertTextRule=t.AccessibilitySupport=void 0;var M;(function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"})(M=t.AccessibilitySupport||(t.AccessibilitySupport={}));var p;(function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"})(p=t.CompletionItemInsertTextRule||(t.CompletionItemInsertTextRule={}));var P;(function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet"})(P=t.CompletionItemKind||(t.CompletionItemKind={}));var o;(function(e){e[e.Deprecated=1]="Deprecated"})(o=t.CompletionItemTag||(t.CompletionItemTag={}));var S;(function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(S=t.CompletionTriggerKind||(t.CompletionTriggerKind={}));var u;(function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"})(u=t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));var l;(function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"})(l=t.CursorChangeReason||(t.CursorChangeReason={}));var c;(function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(c=t.DefaultEndOfLine||(t.DefaultEndOfLine={}));var E;(function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"})(E=t.DocumentHighlightKind||(t.DocumentHighlightKind={}));var w;(function(e){e[e.None=0]="None",e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"})(w=t.EditorAutoIndentStrategy||(t.EditorAutoIndentStrategy={}));var g;(function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.autoClosingBrackets=5]="autoClosingBrackets",e[e.autoClosingOvertype=6]="autoClosingOvertype",e[e.autoClosingQuotes=7]="autoClosingQuotes",e[e.autoIndent=8]="autoIndent",e[e.automaticLayout=9]="automaticLayout",e[e.autoSurround=10]="autoSurround",e[e.codeLens=11]="codeLens",e[e.codeLensFontFamily=12]="codeLensFontFamily",e[e.codeLensFontSize=13]="codeLensFontSize",e[e.colorDecorators=14]="colorDecorators",e[e.columnSelection=15]="columnSelection",e[e.comments=16]="comments",e[e.contextmenu=17]="contextmenu",e[e.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",e[e.cursorBlinking=19]="cursorBlinking",e[e.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",e[e.cursorStyle=21]="cursorStyle",e[e.cursorSurroundingLines=22]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",e[e.cursorWidth=24]="cursorWidth",e[e.disableLayerHinting=25]="disableLayerHinting",e[e.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",e[e.dragAndDrop=27]="dragAndDrop",e[e.emptySelectionClipboard=28]="emptySelectionClipboard",e[e.extraEditorClassName=29]="extraEditorClassName",e[e.fastScrollSensitivity=30]="fastScrollSensitivity",e[e.find=31]="find",e[e.fixedOverflowWidgets=32]="fixedOverflowWidgets",e[e.folding=33]="folding",e[e.foldingStrategy=34]="foldingStrategy",e[e.foldingHighlight=35]="foldingHighlight",e[e.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=37]="fontFamily",e[e.fontInfo=38]="fontInfo",e[e.fontLigatures=39]="fontLigatures",e[e.fontSize=40]="fontSize",e[e.fontWeight=41]="fontWeight",e[e.formatOnPaste=42]="formatOnPaste",e[e.formatOnType=43]="formatOnType",e[e.glyphMargin=44]="glyphMargin",e[e.gotoLocation=45]="gotoLocation",e[e.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",e[e.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",e[e.hover=48]="hover",e[e.inDiffEditor=49]="inDiffEditor",e[e.letterSpacing=50]="letterSpacing",e[e.lightbulb=51]="lightbulb",e[e.lineDecorationsWidth=52]="lineDecorationsWidth",e[e.lineHeight=53]="lineHeight",e[e.lineNumbers=54]="lineNumbers",e[e.lineNumbersMinChars=55]="lineNumbersMinChars",e[e.linkedEditing=56]="linkedEditing",e[e.links=57]="links",e[e.matchBrackets=58]="matchBrackets",e[e.minimap=59]="minimap",e[e.mouseStyle=60]="mouseStyle",e[e.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=62]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",e[e.multiCursorModifier=64]="multiCursorModifier",e[e.multiCursorPaste=65]="multiCursorPaste",e[e.occurrencesHighlight=66]="occurrencesHighlight",e[e.overviewRulerBorder=67]="overviewRulerBorder",e[e.overviewRulerLanes=68]="overviewRulerLanes",e[e.padding=69]="padding",e[e.parameterHints=70]="parameterHints",e[e.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",e[e.quickSuggestions=73]="quickSuggestions",e[e.quickSuggestionsDelay=74]="quickSuggestionsDelay",e[e.readOnly=75]="readOnly",e[e.renameOnType=76]="renameOnType",e[e.renderControlCharacters=77]="renderControlCharacters",e[e.renderIndentGuides=78]="renderIndentGuides",e[e.renderFinalNewline=79]="renderFinalNewline",e[e.renderLineHighlight=80]="renderLineHighlight",e[e.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",e[e.renderValidationDecorations=82]="renderValidationDecorations",e[e.renderWhitespace=83]="renderWhitespace",e[e.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",e[e.roundedSelection=85]="roundedSelection",e[e.rulers=86]="rulers",e[e.scrollbar=87]="scrollbar",e[e.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=89]="scrollBeyondLastLine",e[e.scrollPredominantAxis=90]="scrollPredominantAxis",e[e.selectionClipboard=91]="selectionClipboard",e[e.selectionHighlight=92]="selectionHighlight",e[e.selectOnLineNumbers=93]="selectOnLineNumbers",e[e.showFoldingControls=94]="showFoldingControls",e[e.showUnused=95]="showUnused",e[e.snippetSuggestions=96]="snippetSuggestions",e[e.smartSelect=97]="smartSelect",e[e.smoothScrolling=98]="smoothScrolling",e[e.stickyTabStops=99]="stickyTabStops",e[e.stopRenderingLineAfter=100]="stopRenderingLineAfter",e[e.suggest=101]="suggest",e[e.suggestFontSize=102]="suggestFontSize",e[e.suggestLineHeight=103]="suggestLineHeight",e[e.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",e[e.suggestSelection=105]="suggestSelection",e[e.tabCompletion=106]="tabCompletion",e[e.tabIndex=107]="tabIndex",e[e.unusualLineTerminators=108]="unusualLineTerminators",e[e.useTabStops=109]="useTabStops",e[e.wordSeparators=110]="wordSeparators",e[e.wordWrap=111]="wordWrap",e[e.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=114]="wordWrapColumn",e[e.wordWrapOverride1=115]="wordWrapOverride1",e[e.wordWrapOverride2=116]="wordWrapOverride2",e[e.wrappingIndent=117]="wrappingIndent",e[e.wrappingStrategy=118]="wrappingStrategy",e[e.showDeprecated=119]="showDeprecated",e[e.inlineHints=120]="inlineHints",e[e.editorClassName=121]="editorClassName",e[e.pixelRatio=122]="pixelRatio",e[e.tabFocusMode=123]="tabFocusMode",e[e.layoutInfo=124]="layoutInfo",e[e.wrappingInfo=125]="wrappingInfo"})(g=t.EditorOption||(t.EditorOption={}));var f;(function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(f=t.EndOfLinePreference||(t.EndOfLinePreference={}));var m;(function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"})(m=t.EndOfLineSequence||(t.EndOfLineSequence={}));var A;(function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"})(A=t.IndentAction||(t.IndentAction={}));var L;(function(e){e[e.Other=0]="Other",e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"})(L=t.InlineHintKind||(t.InlineHintKind={}));var _;(function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.MAX_VALUE=112]="MAX_VALUE"})(_=t.KeyCode||(t.KeyCode={}));var n;(function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"})(n=t.MarkerSeverity||(t.MarkerSeverity={}));var r;(function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"})(r=t.MarkerTag||(t.MarkerTag={}));var i;(function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"})(i=t.MinimapPosition||(t.MinimapPosition={}));var s;(function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(s=t.MouseTargetType||(t.MouseTargetType={}));var a;(function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"})(a=t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));var v;(function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"})(v=t.OverviewRulerLane||(t.OverviewRulerLane={}));var d;(function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"})(d=t.RenderLineNumbersType||(t.RenderLineNumbersType={}));var b;(function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"})(b=t.RenderMinimap||(t.RenderMinimap={}));var h;(function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"})(h=t.ScrollType||(t.ScrollType={}));var C;(function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"})(C=t.ScrollbarVisibility||(t.ScrollbarVisibility={}));var D;(function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"})(D=t.SelectionDirection||(t.SelectionDirection={}));var F;(function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"})(F=t.SignatureHelpTriggerKind||(t.SignatureHelpTriggerKind={}));var I;(function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"})(I=t.SymbolKind||(t.SymbolKind={}));var H;(function(e){e[e.Deprecated=1]="Deprecated"})(H=t.SymbolTag||(t.SymbolTag={}));var z;(function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"})(z=t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={}));var Q;(function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"})(Q=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var ne;(function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(ne=t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));var J;(function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"})(J=t.WrappingIndent||(t.WrappingIndent={}))}),K(ee[32],te([0,1,22,10,18,14,3,6,25,26,31]),function(T,t,M,p,P,o,S,u,l,c,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createMonacoBaseAPI=t.KeyMod=void 0;class w{static chord(m,A){return P.KeyChord(m,A)}}t.KeyMod=w,w.CtrlCmd=2048,w.Shift=1024,w.Alt=512,w.WinCtrl=256;function g(){return{editor:void 0,languages:void 0,CancellationTokenSource:M.CancellationTokenSource,Emitter:p.Emitter,KeyCode:E.KeyCode,KeyMod:w,Position:S.Position,Range:u.Range,Selection:l.Selection,SelectionDirection:E.SelectionDirection,MarkerSeverity:E.MarkerSeverity,MarkerTag:E.MarkerTag,Uri:o.URI,Token:c.Token}}t.createMonacoBaseAPI=g}),K(ee[33],te([0,1,13]),function(T,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PrefixSumComputer=t.PrefixSumIndexOfResult=void 0;class p{constructor(S,u){this.index=S,this.remainder=u}}t.PrefixSumIndexOfResult=p;class P{constructor(S){this.values=S,this.prefixSum=new Uint32Array(S.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(S,u){S=M.toUint32(S);const l=this.values,c=this.prefixSum,E=u.length;return E===0?!1:(this.values=new Uint32Array(l.length+E),this.values.set(l.subarray(0,S),0),this.values.set(l.subarray(S),S+E),this.values.set(u,S),S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(c.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(S,u){return S=M.toUint32(S),u=M.toUint32(u),this.values[S]===u?!1:(this.values[S]=u,S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),!0)}removeValues(S,u){S=M.toUint32(S),u=M.toUint32(u);const l=this.values,c=this.prefixSum;if(S>=l.length)return!1;let E=l.length-S;return u>=E&&(u=E),u===0?!1:(this.values=new Uint32Array(l.length-u),this.values.set(l.subarray(0,S),0),this.values.set(l.subarray(S+u),S),this.prefixSum=new Uint32Array(this.values.length),S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(c.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(S){return S<0?0:(S=M.toUint32(S),this._getAccumulatedValue(S))}_getAccumulatedValue(S){if(S<=this.prefixSumValidIndex[0])return this.prefixSum[S];let u=this.prefixSumValidIndex[0]+1;u===0&&(this.prefixSum[0]=this.values[0],u++),S>=this.values.length&&(S=this.values.length-1);for(let l=u;l<=S;l++)this.prefixSum[l]=this.prefixSum[l-1]+this.values[l];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],S),this.prefixSum[S]}getIndexOf(S){S=Math.floor(S),this.getTotalValue();let u=0,l=this.values.length-1,c=0,E=0,w=0;for(;u<=l;)if(c=u+(l-u)/2|0,E=this.prefixSum[c],w=E-this.values[c],S<w)l=c-1;else if(S>=E)u=c+1;else break;return new p(c,S-w)}}t.PrefixSumComputer=P}),K(ee[34],te([0,1,5,3,33]),function(T,t,M,p,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MirrorTextModel=void 0;class o{constructor(u,l,c,E){this._uri=u,this._lines=l,this._eol=c,this._versionId=E,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(u){u.eol&&u.eol!==this._eol&&(this._eol=u.eol,this._lineStarts=null);const l=u.changes;for(const c of l)this._acceptDeleteRange(c.range),this._acceptInsertText(new p.Position(c.range.startLineNumber,c.range.startColumn),c.text);this._versionId=u.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const u=this._eol.length,l=this._lines.length,c=new Uint32Array(l);for(let E=0;E<l;E++)c[E]=this._lines[E].length+u;this._lineStarts=new P.PrefixSumComputer(c)}}_setLineText(u,l){this._lines[u]=l,this._lineStarts&&this._lineStarts.changeValue(u,this._lines[u].length+this._eol.length)}_acceptDeleteRange(u){if(u.startLineNumber===u.endLineNumber){if(u.startColumn===u.endColumn)return;this._setLineText(u.startLineNumber-1,this._lines[u.startLineNumber-1].substring(0,u.startColumn-1)+this._lines[u.startLineNumber-1].substring(u.endColumn-1));return}this._setLineText(u.startLineNumber-1,this._lines[u.startLineNumber-1].substring(0,u.startColumn-1)+this._lines[u.endLineNumber-1].substring(u.endColumn-1)),this._lines.splice(u.startLineNumber,u.endLineNumber-u.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(u.startLineNumber,u.endLineNumber-u.startLineNumber)}_acceptInsertText(u,l){if(l.length!==0){let c=M.splitLines(l);if(c.length===1){this._setLineText(u.lineNumber-1,this._lines[u.lineNumber-1].substring(0,u.column-1)+c[0]+this._lines[u.lineNumber-1].substring(u.column-1));return}c[c.length-1]+=this._lines[u.lineNumber-1].substring(u.column-1),this._setLineText(u.lineNumber-1,this._lines[u.lineNumber-1].substring(0,u.column-1)+c[0]);let E=new Uint32Array(c.length-1);for(let w=1;w<c.length;w++)this._lines.splice(u.lineNumber+w-1,0,c[w]),E[w-1]=c[w].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(u.lineNumber,E)}}}t.MirrorTextModel=o}),K(ee[36],te([0,1,16,11,2,14,3,6,27,34,28,29,30,32,12,9]),function(T,t,M,p,P,o,S,u,l,c,E,w,g,f,m,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.EditorSimpleWorker=void 0;class L extends c.MirrorTextModel{get uri(){return this._uri}get version(){return this._versionId}get eol(){return this._eol}getValue(){return this.getText()}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(i){return this._lines[i-1]}getWordAtPosition(i,s){let a=E.getWordAtText(i.column,E.ensureValidWordDefinition(s),this._lines[i.lineNumber-1],0);return a?new u.Range(i.lineNumber,a.startColumn,i.lineNumber,a.endColumn):null}getWordUntilPosition(i,s){const a=this.getWordAtPosition(i,s);return a?{word:this._lines[i.lineNumber-1].substring(a.startColumn-1,i.column-1),startColumn:a.startColumn,endColumn:i.column}:{word:"",startColumn:i.column,endColumn:i.column}}words(i){const s=this._lines,a=this._wordenize.bind(this);let v=0,d="",b=0,h=[];return{*[Symbol.iterator](){for(;;)if(b<h.length){const C=d.substring(h[b].start,h[b].end);b+=1,yield C}else if(v<s.length)d=s[v],h=a(d,i),b=0,v+=1;else break}}}getLineWords(i,s){let a=this._lines[i-1],v=this._wordenize(a,s),d=[];for(const b of v)d.push({word:a.substring(b.start,b.end),startColumn:b.start+1,endColumn:b.end+1});return d}_wordenize(i,s){const a=[];let v;for(s.lastIndex=0;(v=s.exec(i))&&v[0].length!==0;)a.push({start:v.index,end:v.index+v[0].length});return a}getValueInRange(i){if(i=this._validateRange(i),i.startLineNumber===i.endLineNumber)return this._lines[i.startLineNumber-1].substring(i.startColumn-1,i.endColumn-1);let s=this._eol,a=i.startLineNumber-1,v=i.endLineNumber-1,d=[];d.push(this._lines[a].substring(i.startColumn-1));for(let b=a+1;b<v;b++)d.push(this._lines[b]);return d.push(this._lines[v].substring(0,i.endColumn-1)),d.join(s)}offsetAt(i){return i=this._validatePosition(i),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(i.lineNumber-2)+(i.column-1)}positionAt(i){i=Math.floor(i),i=Math.max(0,i),this._ensureLineStarts();let s=this._lineStarts.getIndexOf(i),a=this._lines[s.index].length;return{lineNumber:1+s.index,column:1+Math.min(s.remainder,a)}}_validateRange(i){const s=this._validatePosition({lineNumber:i.startLineNumber,column:i.startColumn}),a=this._validatePosition({lineNumber:i.endLineNumber,column:i.endColumn});return s.lineNumber!==i.startLineNumber||s.column!==i.startColumn||a.lineNumber!==i.endLineNumber||a.column!==i.endColumn?{startLineNumber:s.lineNumber,startColumn:s.column,endLineNumber:a.lineNumber,endColumn:a.column}:i}_validatePosition(i){if(!S.Position.isIPosition(i))throw new Error("bad position");let{lineNumber:s,column:a}=i,v=!1;if(s<1)s=1,a=1,v=!0;else if(s>this._lines.length)s=this._lines.length,a=this._lines[s-1].length+1,v=!0;else{let d=this._lines[s-1].length+1;a<1?(a=1,v=!0):a>d&&(a=d,v=!0)}return v?{lineNumber:s,column:a}:i}}class _{constructor(i,s){this._host=i,this._models=Object.create(null),this._foreignModuleFactory=s,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(i){return this._models[i]}_getModels(){let i=[];return Object.keys(this._models).forEach(s=>i.push(this._models[s])),i}acceptNewModel(i){this._models[i.url]=new L(o.URI.parse(i.url),i.lines,i.EOL,i.versionId)}acceptModelChanged(i,s){!this._models[i]||this._models[i].onEvents(s)}acceptRemovedModel(i){!this._models[i]||delete this._models[i]}async computeDiff(i,s,a,v){const d=this._getModel(i),b=this._getModel(s);if(!d||!b)return null;const h=d.getLinesContent(),C=b.getLinesContent(),F=new l.DiffComputer(h,C,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:a,shouldMakePrettyDiff:!0,maxComputationTime:v}).computeDiff(),I=F.changes.length>0?!1:this._modelsAreIdentical(d,b);return{quitEarly:F.quitEarly,identical:I,changes:F.changes}}_modelsAreIdentical(i,s){const a=i.getLineCount(),v=s.getLineCount();if(a!==v)return!1;for(let d=1;d<=a;d++){const b=i.getLineContent(d),h=s.getLineContent(d);if(b!==h)return!1}return!0}async computeDirtyDiff(i,s,a){let v=this._getModel(i),d=this._getModel(s);if(!v||!d)return null;let b=v.getLinesContent(),h=d.getLinesContent();return new l.DiffComputer(b,h,{shouldComputeCharChanges:!1,shouldPostProcessCharChanges:!1,shouldIgnoreTrimWhitespace:a,shouldMakePrettyDiff:!0,maxComputationTime:1e3}).computeDiff().changes}async computeMoreMinimalEdits(i,s){const a=this._getModel(i);if(!a)return s;const v=[];let d;s=M.mergeSort(s,(b,h)=>{if(b.range&&h.range)return u.Range.compareRangesUsingStarts(b.range,h.range);let C=b.range?0:1,D=h.range?0:1;return C-D});for(let{range:b,text:h,eol:C}of s)if(typeof C=="number"&&(d=C),!(u.Range.isEmpty(b)&&!h)){const D=a.getValueInRange(b);if(h=h.replace(/\r\n|\n|\r/g,a.eol),D!==h){if(Math.max(h.length,D.length)>_._diffLimit){v.push({range:b,text:h});continue}const F=p.stringDiff(D,h,!1),I=a.offsetAt(u.Range.lift(b).getStartPosition());for(const H of F){const z=a.positionAt(I+H.originalStart),Q=a.positionAt(I+H.originalStart+H.originalLength),ne={text:h.substr(H.modifiedStart,H.modifiedLength),range:{startLineNumber:z.lineNumber,startColumn:z.column,endLineNumber:Q.lineNumber,endColumn:Q.column}};a.getValueInRange(ne.range)!==ne.text&&v.push(ne)}}}return typeof d=="number"&&v.push({eol:d,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),v}async computeLinks(i){let s=this._getModel(i);return s?w.computeLinks(s):null}async textualSuggest(i,s,a,v){const d=new A.StopWatch(!0),b=new RegExp(a,v),h=new Set;e:for(let C of i){const D=this._getModel(C);if(!!D){for(let F of D.words(b))if(!(F===s||!isNaN(Number(F)))&&(h.add(F),h.size>_._suggestionsLimit))break e}}return{words:Array.from(h),duration:d.elapsed()}}async computeWordRanges(i,s,a,v){let d=this._getModel(i);if(!d)return Object.create(null);const b=new RegExp(a,v),h=Object.create(null);for(let C=s.startLineNumber;C<s.endLineNumber;C++){let D=d.getLineWords(C,b);for(const F of D)if(!!isNaN(Number(F.word))){let I=h[F.word];I||(I=[],h[F.word]=I),I.push({startLineNumber:C,startColumn:F.startColumn,endLineNumber:C,endColumn:F.endColumn})}}return h}async navigateValueSet(i,s,a,v,d){let b=this._getModel(i);if(!b)return null;let h=new RegExp(v,d);s.startColumn===s.endColumn&&(s={startLineNumber:s.startLineNumber,startColumn:s.startColumn,endLineNumber:s.endLineNumber,endColumn:s.endColumn+1});let C=b.getValueInRange(s),D=b.getWordAtPosition({lineNumber:s.startLineNumber,column:s.startColumn},h);if(!D)return null;let F=b.getValueInRange(D);return g.BasicInplaceReplace.INSTANCE.navigateValueSet(s,C,D,F,a)}loadForeignModule(i,s,a){const v=(h,C)=>this._host.fhr(h,C);let b={host:m.createProxyObject(a,v),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(b,s),Promise.resolve(m.getAllMethodNames(this._foreignModule))):new Promise((h,C)=>{T([i],D=>{this._foreignModule=D.create(b,s),h(m.getAllMethodNames(this._foreignModule))},C)})}fmr(i,s){if(!this._foreignModule||typeof this._foreignModule[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._foreignModule[i].apply(this._foreignModule,s))}catch(a){return Promise.reject(a)}}}t.EditorSimpleWorker=_,_._diffLimit=1e5,_._suggestionsLimit=1e4;function n(r){return new _(r,null)}t.create=n,typeof importScripts=="function"&&(P.globals.monaco=f.createMonacoBaseAPI())});"use strict";(function(){var T,t;const M=self.MonacoEnvironment,p=M&&M.baseUrl?M.baseUrl:"../../../",P=typeof((T=self.trustedTypes)===null||T===void 0?void 0:T.createPolicy)=="function"?(t=self.trustedTypes)===null||t===void 0?void 0:t.createPolicy("amdLoader",{createScriptURL:l=>l}):void 0;if(typeof self.define!="function"||!self.define.amd){let l=p+"vs/loader.js";P&&(l=P.createScriptURL(l)),importScripts(l)}require.config({baseUrl:p,catchError:!0,trustedTypesPolicy:P});let o=function(l){require([l],function(c){setTimeout(function(){let E=c.create((w,g)=>{self.postMessage(w,g)},null);for(self.onmessage=w=>E.onmessage(w.data);u.length>0;)self.onmessage(u.shift())},0)})},S=!0,u=[];self.onmessage=l=>{if(!S){u.push(l);return}S=!1,o(l.data)}})()}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fd6f3bce6709b121a895d042d343d71f317d74e7/core/vs/base/worker/workerMain.js.map
