/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var J=["require","exports","vs/base/common/lifecycle","vs/base/common/path","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/platform/instantiation/common/instantiation","vs/base/common/types","vs/base/common/network","vs/base/common/uri","vs/base/common/event","vs/base/node/pfs","vs/platform/log/common/log","fs","vs/base/common/errors","vs/base/common/buffer","vs/base/common/platform","vs/base/common/strings","vs/base/common/objects","vs/base/common/arrays","vs/base/common/resources","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/files/common/files","vs/platform/registry/common/platform","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/configuration/common/configuration","vs/base/common/cancellation","vs/platform/configuration/common/configurationRegistry","vs/base/common/errorMessage","vs/base/common/stream","vs/base/common/extpath","vs/base/parts/ipc/common/ipc","child_process","vs/platform/extensions/common/extensions","vs/platform/localizations/common/localizations","vs/base/common/semver/semver","vs/base/common/uuid","vs/platform/product/common/product","vs/platform/product/common/productService","vs/platform/telemetry/common/telemetry","vs/base/node/zip","vs/base/common/map","vs/base/node/decoder","os","vs/base/parts/ipc/node/ipc.cp","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/request/common/request","vs/platform/telemetry/common/telemetryUtils","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/console","vs/base/common/glob","vs/base/common/marshalling","vs/base/common/labels","vs/base/node/extpath","vs/base/node/userDataPath","vs/base/node/watcher","vs/base/parts/storage/common/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/processes","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/platform/extensionManagement/common/extensionNls","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/download/common/download","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProvider","vs/platform/localizations/node/localizations","vs/platform/log/node/spdlogLog","vs/platform/environment/node/environmentService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","path","vs/base/common/normalization","vs/base/common/performance","vs/base/common/iterator","util","crypto","vs/base/common/process","yauzl","yazl","zlib","vs/code/node/cliProcessMain","graceful-fs"],Q=function(q){for(var t=[],w=0,A=q.length;w<A;w++)t[w]=J[q[w]];return t};define(J[54],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=void 0;function w(A,T){if(!A)throw new Error(T?`Assertion failed (${T})`:"Assertion Failed")}t.ok=w}),define(J[55],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=t.createMemoizer=t.createDecorator=void 0;function w(d){return(g,I,f)=>{let O=null,S=null;if(typeof f.value=="function"?(O="value",S=f.value):typeof f.get=="function"&&(O="get",S=f.get),!S)throw new Error("not supported");f[O]=d(S,I)}}t.createDecorator=w;let A=0;function T(){const d=`$memoize${A++}`;let g;const I=function(O,S,u){let R=null,E=null;if(typeof u.value=="function"?(R="value",E=u.value,E.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof u.get=="function"&&(R="get",E=u.get),!E)throw new Error("not supported");const p=`${d}:${S}`;u[R]=function(...y){return g=this,this.hasOwnProperty(p)||Object.defineProperty(this,p,{configurable:!0,enumerable:!1,writable:!0,value:E.apply(this,y)}),this[p]}};return I.clear=()=>{typeof g!="undefined"&&Object.getOwnPropertyNames(g).forEach(f=>{f.indexOf(d)===0&&delete g[f]})},I}t.createMemoizer=T;function b(d,g,I){return T()(d,g,I)}t.memoize=b;function k(d,g,I){return w((f,O)=>{const S=`$debounce$${O}`,u=`$debounce$result$${O}`;return function(...R){this[u]||(this[u]=I?I():void 0),clearTimeout(this[S]),g&&(this[u]=g(this[u],...R),R=[this[u]]),this[S]=setTimeout(()=>{f.apply(this,R),this[u]=I?I():void 0},d)}})}t.debounce=k;function C(d,g,I){return w((f,O)=>{const S=`$throttle$timer$${O}`,u=`$throttle$result$${O}`,R=`$throttle$lastRun$${O}`,E=`$throttle$pending$${O}`;return function(...p){if(this[u]||(this[u]=I?I():void 0),(this[R]===null||this[R]===void 0)&&(this[R]=-Number.MAX_VALUE),g&&(this[u]=g(this[u],...p)),!this[E]){const y=this[R]+d;y<=Date.now()?(this[R]=Date.now(),f.apply(this,[this[u]]),this[u]=I?I():void 0):(this[E]=!0,this[S]=setTimeout(()=>{this[E]=!1,this[R]=Date.now(),f.apply(this,[this[u]]),this[u]=I?I():void 0},y-Date.now()))}}})}t.throttle=C}),define(J[20],Q([0,1,15]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.firstOrDefault=t.lastIndex=t.uniqueFilter=t.distinctES6=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.mergeSort=t.quickSelect=t.findFirstInSorted=t.binarySearch=t.equals=t.tail2=t.tail=void 0;function A(c,l=0){return c[c.length-(1+l)]}t.tail=A;function T(c){if(c.length===0)throw new Error("Invalid tail call");return[c.slice(0,c.length-1),c[c.length-1]]}t.tail2=T;function b(c,l,m=(v,D)=>v===D){if(c===l)return!0;if(!c||!l||c.length!==l.length)return!1;for(let v=0,D=c.length;v<D;v++)if(!m(c[v],l[v]))return!1;return!0}t.equals=b;function k(c,l,m){let v=0,D=c.length-1;for(;v<=D;){const j=(v+D)/2|0,W=m(c[j],l);if(W<0)v=j+1;else if(W>0)D=j-1;else return j}return-(v+1)}t.binarySearch=k;function C(c,l){let m=0,v=c.length;if(v===0)return 0;for(;m<v;){const D=Math.floor((m+v)/2);l(c[D])?v=D:m=D+1}return m}t.findFirstInSorted=C;function d(c,l,m){if(c=c|0,c>=l.length)throw new TypeError("invalid index");let v=l[Math.floor(l.length*Math.random())],D=[],j=[],W=[];for(let _ of l){const $=m(_,v);$<0?D.push(_):$>0?j.push(_):W.push(_)}return c<D.length?d(c,D,m):c<D.length+W.length?W[0]:d(c-(D.length+W.length),j,m)}t.quickSelect=d;function g(c,l){return f(c,l,0,c.length-1,[]),c}t.mergeSort=g;function I(c,l,m,v,D,j){let W=m,_=v+1;for(let $=m;$<=D;$++)j[$]=c[$];for(let $=m;$<=D;$++)W>v?c[$]=j[_++]:_>D?c[$]=j[W++]:l(j[_],j[W])<0?c[$]=j[_++]:c[$]=j[W++]}function f(c,l,m,v,D){if(!(v<=m)){const j=m+(v-m)/2|0;f(c,l,m,j,D),f(c,l,j+1,v,D),!(l(c[j],c[j+1])<=0)&&I(c,l,m,j,v,D)}}function O(c,l){const m=[];let v;for(const D of g(c.slice(0),l))!v||l(v[0],D)!==0?(v=[D],m.push(v)):v.push(D);return m}t.groupBy=O;function S(c,l,m){const v=[];function D(_,$,H){if(!($===0&&H.length===0)){const X=v[v.length-1];X&&X.start+X.deleteCount===_?(X.deleteCount+=$,X.toInsert.push(...H)):v.push({start:_,deleteCount:$,toInsert:H})}}let j=0,W=0;for(;;){if(j===c.length){D(j,0,l.slice(W));break}if(W===l.length){D(j,c.length-j,[]);break}const _=c[j],$=l[W],H=m(_,$);H===0?(j+=1,W+=1):H<0?(D(j,1,[]),j+=1):H>0&&(D(j,0,[$]),W+=1)}return v}t.sortedDiff=S;function u(c,l,m){const v=S(c,l,m),D=[],j=[];for(const W of v)D.push(...c.slice(W.start,W.start+W.deleteCount)),j.push(...W.toInsert);return{removed:D,added:j}}t.delta=u;function R(c,l,m){if(m===0)return[];const v=c.slice(0,m).sort(l);return p(c,l,v,m,c.length),v}t.top=R;function E(c,l,m,v,D){return m===0?Promise.resolve([]):new Promise((j,W)=>{(async()=>{const _=c.length,$=c.slice(0,m).sort(l);for(let H=m,X=Math.min(m+v,_);H<_;H=X,X=Math.min(X+v,_)){if(H>m&&await new Promise(ee=>setTimeout(ee)),D&&D.isCancellationRequested)throw w.canceled();p(c,l,$,H,X)}return $})().then(j,W)})}t.topAsync=E;function p(c,l,m,v,D){for(const j=m.length;v<D;v++){const W=c[v];if(l(W,m[j-1])<0){m.pop();const _=C(m,$=>l(W,$)<0);m.splice(_,0,W)}}}function y(c){return c.filter(l=>!!l)}t.coalesce=y;function P(c){let l=0;for(let m=0;m<c.length;m++)c[m]&&(c[l]=c[m],l+=1);c.length=l}t.coalesceInPlace=P;function o(c,l,m){c.splice(m,0,c.splice(l,1)[0])}t.move=o;function i(c){return!Array.isArray(c)||c.length===0}t.isFalsyOrEmpty=i;function e(c){return Array.isArray(c)&&c.length>0}t.isNonEmptyArray=e;function n(c,l){if(!l)return c.filter((v,D)=>c.indexOf(v)===D);const m=Object.create(null);return c.filter(v=>{const D=l(v);return m[D]?!1:(m[D]=!0,!0)})}t.distinct=n;function s(c){const l=new Set;return c.filter(m=>l.has(m)?!1:(l.add(m),!0))}t.distinctES6=s;function a(c){const l=Object.create(null);return m=>{const v=c(m);return l[v]?!1:(l[v]=!0,!0)}}t.uniqueFilter=a;function r(c,l){for(let m=c.length-1;m>=0;m--){const v=c[m];if(l(v))return m}return-1}t.lastIndex=r;function h(c,l){return c.length>0?c[0]:l}t.firstOrDefault=h;function L(c,l,m=(v,D)=>v===D){let v=0;for(let D=0,j=Math.min(c.length,l.length);D<j&&m(c[D],l[D]);D++)v++;return v}t.commonPrefixLength=L;function M(c){return[].concat(...c)}t.flatten=M;function F(c,l){let m=typeof l=="number"?c:0;typeof l=="number"?m=c:(m=0,l=c);const v=[];if(m<=l)for(let D=m;D<l;D++)v.push(D);else for(let D=m;D>l;D--)v.push(D);return v}t.range=F;function U(c,l,m){return c.reduce((v,D)=>(v[l(D)]=m?m(D):D,v),Object.create(null))}t.index=U;function B(c,l){return c.push(l),()=>K(c,l)}t.insert=B;function K(c,l){const m=c.indexOf(l);if(m>-1)return c.splice(m,1),l}t.remove=K;function Z(c,l,m){const v=c.slice(0,l),D=c.slice(l);return v.concat(m,D)}t.arrayInsert=Z;function ae(c,l){let m;if(typeof l=="number"){let v=l;m=()=>{const D=Math.sin(v++)*179426549;return D-Math.floor(D)}}else m=Math.random;for(let v=c.length-1;v>0;v-=1){const D=Math.floor(m()*(v+1)),j=c[v];c[v]=c[D],c[D]=j}}t.shuffle=ae;function re(c,l){const m=c.indexOf(l);m>-1&&(c.splice(m,1),c.unshift(l))}t.pushToStart=re;function Y(c,l){const m=c.indexOf(l);m>-1&&(c.splice(m,1),c.push(l))}t.pushToEnd=Y;function le(c,l){return Array.isArray(c)?c.map(l):l(c)}t.mapArrayOrNot=le;function ne(c){return Array.isArray(c)?c:[c]}t.asArray=ne;function z(c){return c[Math.floor(Math.random()*c.length)]}t.getRandomElement=z;function N(c,l){for(const m of c){const v=l(m);if(v!==void 0)return v}}t.mapFind=N}),define(J[56],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getNodeType=t.stripComments=t.visit=t.findNodeAtOffset=t.contains=t.getNodeValue=t.getNodePath=t.findNodeAtLocation=t.parseTree=t.parse=t.getLocation=t.createScanner=t.ParseOptions=t.ParseErrorCode=t.SyntaxKind=t.ScanError=void 0;var w;(function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",e[e.InvalidCharacter=6]="InvalidCharacter"})(w=t.ScanError||(t.ScanError={}));var A;(function(e){e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.Unknown=16]="Unknown",e[e.EOF=17]="EOF"})(A=t.SyntaxKind||(t.SyntaxKind={}));var T;(function(e){e[e.InvalidSymbol=1]="InvalidSymbol",e[e.InvalidNumberFormat=2]="InvalidNumberFormat",e[e.PropertyNameExpected=3]="PropertyNameExpected",e[e.ValueExpected=4]="ValueExpected",e[e.ColonExpected=5]="ColonExpected",e[e.CommaExpected=6]="CommaExpected",e[e.CloseBraceExpected=7]="CloseBraceExpected",e[e.CloseBracketExpected=8]="CloseBracketExpected",e[e.EndOfFileExpected=9]="EndOfFileExpected",e[e.InvalidCommentToken=10]="InvalidCommentToken",e[e.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=12]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",e[e.InvalidUnicode=14]="InvalidUnicode",e[e.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",e[e.InvalidCharacter=16]="InvalidCharacter"})(T=t.ParseErrorCode||(t.ParseErrorCode={}));var b;(function(e){e.DEFAULT={allowTrailingComma:!0}})(b=t.ParseOptions||(t.ParseOptions={}));function k(e,n=!1){let s=0,a=e.length,r="",h=0,L=16,M=0;function F(Y){let le=0,ne=0;for(;le<Y;){const z=e.charCodeAt(s);if(z>=48&&z<=57)ne=ne*16+z-48;else if(z>=65&&z<=70)ne=ne*16+z-65+10;else if(z>=97&&z<=102)ne=ne*16+z-97+10;else break;s++,le++}return le<Y&&(ne=-1),ne}function U(Y){s=Y,r="",h=0,L=16,M=0}function B(){const Y=s;if(e.charCodeAt(s)===48)s++;else for(s++;s<e.length&&g(e.charCodeAt(s));)s++;if(s<e.length&&e.charCodeAt(s)===46)if(s++,s<e.length&&g(e.charCodeAt(s)))for(s++;s<e.length&&g(e.charCodeAt(s));)s++;else return M=3,e.substring(Y,s);let le=s;if(s<e.length&&(e.charCodeAt(s)===69||e.charCodeAt(s)===101))if(s++,(s<e.length&&e.charCodeAt(s)===43||e.charCodeAt(s)===45)&&s++,s<e.length&&g(e.charCodeAt(s))){for(s++;s<e.length&&g(e.charCodeAt(s));)s++;le=s}else M=3;return e.substring(Y,le)}function K(){let Y="",le=s;for(;;){if(s>=a){Y+=e.substring(le,s),M=2;break}const ne=e.charCodeAt(s);if(ne===34){Y+=e.substring(le,s),s++;break}if(ne===92){if(Y+=e.substring(le,s),s++,s>=a){M=2;break}switch(e.charCodeAt(s++)){case 34:Y+='"';break;case 92:Y+="\\";break;case 47:Y+="/";break;case 98:Y+="\b";break;case 102:Y+="\f";break;case 110:Y+=`
`;break;case 114:Y+="\r";break;case 116:Y+="	";break;case 117:const N=F(4);N>=0?Y+=String.fromCharCode(N):M=4;break;default:M=5}le=s;continue}if(ne>=0&&ne<=31)if(d(ne)){Y+=e.substring(le,s),M=2;break}else M=6;s++}return Y}function Z(){if(r="",M=0,h=s,s>=a)return h=a,L=17;let Y=e.charCodeAt(s);if(C(Y)){do s++,r+=String.fromCharCode(Y),Y=e.charCodeAt(s);while(C(Y));return L=15}if(d(Y))return s++,r+=String.fromCharCode(Y),Y===13&&e.charCodeAt(s)===10&&(s++,r+=`
`),L=14;switch(Y){case 123:return s++,L=1;case 125:return s++,L=2;case 91:return s++,L=3;case 93:return s++,L=4;case 58:return s++,L=6;case 44:return s++,L=5;case 34:return s++,r=K(),L=10;case 47:const le=s-1;if(e.charCodeAt(s+1)===47){for(s+=2;s<a&&!d(e.charCodeAt(s));)s++;return r=e.substring(le,s),L=12}if(e.charCodeAt(s+1)===42){s+=2;const ne=a-1;let z=!1;for(;s<ne;){if(e.charCodeAt(s)===42&&e.charCodeAt(s+1)===47){s+=2,z=!0;break}s++}return z||(s++,M=1),r=e.substring(le,s),L=13}return r+=String.fromCharCode(Y),s++,L=16;case 45:if(r+=String.fromCharCode(Y),s++,s===a||!g(e.charCodeAt(s)))return L=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=B(),L=11;default:for(;s<a&&ae(Y);)s++,Y=e.charCodeAt(s);if(h!==s){switch(r=e.substring(h,s),r){case"true":return L=8;case"false":return L=9;case"null":return L=7}return L=16}return r+=String.fromCharCode(Y),s++,L=16}}function ae(Y){if(C(Y)||d(Y))return!1;switch(Y){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function re(){let Y;do Y=Z();while(Y>=12&&Y<=15);return Y}return{setPosition:U,getPosition:()=>s,scan:n?re:Z,getToken:()=>L,getTokenValue:()=>r,getTokenOffset:()=>h,getTokenLength:()=>s-h,getTokenError:()=>M}}t.createScanner=k;function C(e){return e===32||e===9||e===11||e===12||e===160||e===5760||e>=8192&&e<=8203||e===8239||e===8287||e===12288||e===65279}function d(e){return e===10||e===13||e===8232||e===8233}function g(e){return e>=48&&e<=57}var I;(function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"})(I||(I={}));function f(e,n){const s=[],a=new Object;let r;const h={value:{},offset:0,length:0,type:"object",parent:void 0};let L=!1;function M(F,U,B,K){h.value=F,h.offset=U,h.length=B,h.type=K,h.colonOffset=void 0,r=h}try{P(e,{onObjectBegin:(F,U)=>{if(n<=F)throw a;r=void 0,L=n>F,s.push("")},onObjectProperty:(F,U,B)=>{if(n<U||(M(F,U,B,"property"),s[s.length-1]=F,n<=U+B))throw a},onObjectEnd:(F,U)=>{if(n<=F)throw a;r=void 0,s.pop()},onArrayBegin:(F,U)=>{if(n<=F)throw a;r=void 0,s.push(0)},onArrayEnd:(F,U)=>{if(n<=F)throw a;r=void 0,s.pop()},onLiteralValue:(F,U,B)=>{if(n<U||(M(F,U,B,i(F)),n<=U+B))throw a},onSeparator:(F,U,B)=>{if(n<=U)throw a;if(F===":"&&r&&r.type==="property")r.colonOffset=U,L=!1,r=void 0;else if(F===","){const K=s[s.length-1];typeof K=="number"?s[s.length-1]=K+1:(L=!0,s[s.length-1]=""),r=void 0}}})}catch(F){if(F!==a)throw F}return{path:s,previousNode:r,isAtPropertyKey:L,matches:F=>{let U=0;for(let B=0;U<F.length&&B<s.length;B++)if(F[U]===s[B]||F[U]==="*")U++;else if(F[U]!=="**")return!1;return U===F.length}}}t.getLocation=f;function O(e,n=[],s=b.DEFAULT){let a=null,r=[];const h=[];function L(F){Array.isArray(r)?r.push(F):a!==null&&(r[a]=F)}return P(e,{onObjectBegin:()=>{const F={};L(F),h.push(r),r=F,a=null},onObjectProperty:F=>{a=F},onObjectEnd:()=>{r=h.pop()},onArrayBegin:()=>{const F=[];L(F),h.push(r),r=F,a=null},onArrayEnd:()=>{r=h.pop()},onLiteralValue:L,onError:(F,U,B)=>{n.push({error:F,offset:U,length:B})}},s),r[0]}t.parse=O;function S(e,n=[],s=b.DEFAULT){let a={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(F){a.type==="property"&&(a.length=F-a.offset,a=a.parent)}function h(F){return a.children.push(F),F}P(e,{onObjectBegin:F=>{a=h({type:"object",offset:F,length:-1,parent:a,children:[]})},onObjectProperty:(F,U,B)=>{a=h({type:"property",offset:U,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:F,offset:U,length:B,parent:a})},onObjectEnd:(F,U)=>{a.length=F+U-a.offset,a=a.parent,r(F+U)},onArrayBegin:(F,U)=>{a=h({type:"array",offset:F,length:-1,parent:a,children:[]})},onArrayEnd:(F,U)=>{a.length=F+U-a.offset,a=a.parent,r(F+U)},onLiteralValue:(F,U,B)=>{h({type:i(F),offset:U,length:B,parent:a,value:F}),r(U+B)},onSeparator:(F,U,B)=>{a.type==="property"&&(F===":"?a.colonOffset=U:F===","&&r(U))},onError:(F,U,B)=>{n.push({error:F,offset:U,length:B})}},s);const M=a.children[0];return M&&delete M.parent,M}t.parseTree=S;function u(e,n){if(!!e){let s=e;for(let a of n)if(typeof a=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let r=!1;for(const h of s.children)if(Array.isArray(h.children)&&h.children[0].value===a){s=h.children[1],r=!0;break}if(!r)return}else{const r=a;if(s.type!=="array"||r<0||!Array.isArray(s.children)||r>=s.children.length)return;s=s.children[r]}return s}}t.findNodeAtLocation=u;function R(e){if(!e.parent||!e.parent.children)return[];const n=R(e.parent);if(e.parent.type==="property"){const s=e.parent.children[0].value;n.push(s)}else if(e.parent.type==="array"){const s=e.parent.children.indexOf(e);s!==-1&&n.push(s)}return n}t.getNodePath=R;function E(e){switch(e.type){case"array":return e.children.map(E);case"object":const n=Object.create(null);for(let s of e.children){const a=s.children[1];a&&(n[s.children[0].value]=E(a))}return n;case"null":case"string":case"number":case"boolean":return e.value;default:return}}t.getNodeValue=E;function p(e,n,s=!1){return n>=e.offset&&n<e.offset+e.length||s&&n===e.offset+e.length}t.contains=p;function y(e,n,s=!1){if(p(e,n,s)){const a=e.children;if(Array.isArray(a))for(let r=0;r<a.length&&a[r].offset<=n;r++){const h=y(a[r],n,s);if(h)return h}return e}}t.findNodeAtOffset=y;function P(e,n,s=b.DEFAULT){const a=k(e,!1);function r(j){return j?()=>j(a.getTokenOffset(),a.getTokenLength()):()=>!0}function h(j){return j?W=>j(W,a.getTokenOffset(),a.getTokenLength()):()=>!0}const L=r(n.onObjectBegin),M=h(n.onObjectProperty),F=r(n.onObjectEnd),U=r(n.onArrayBegin),B=r(n.onArrayEnd),K=h(n.onLiteralValue),Z=h(n.onSeparator),ae=r(n.onComment),re=h(n.onError),Y=s&&s.disallowComments,le=s&&s.allowTrailingComma;function ne(){for(;;){const j=a.scan();switch(a.getTokenError()){case 4:z(14);break;case 5:z(15);break;case 3:z(13);break;case 1:Y||z(11);break;case 2:z(12);break;case 6:z(16);break}switch(j){case 12:case 13:Y?z(10):ae();break;case 16:z(1);break;case 15:case 14:break;default:return j}}}function z(j,W=[],_=[]){if(re(j),W.length+_.length>0){let $=a.getToken();for(;$!==17;){if(W.indexOf($)!==-1){ne();break}else if(_.indexOf($)!==-1)break;$=ne()}}}function N(j){const W=a.getTokenValue();return j?K(W):M(W),ne(),!0}function c(){switch(a.getToken()){case 11:let j=0;try{j=JSON.parse(a.getTokenValue()),typeof j!="number"&&(z(2),j=0)}catch(W){z(2)}K(j);break;case 7:K(null);break;case 8:K(!0);break;case 9:K(!1);break;default:return!1}return ne(),!0}function l(){return a.getToken()!==10?(z(3,[],[2,5]),!1):(N(!1),a.getToken()===6?(Z(":"),ne(),D()||z(4,[],[2,5])):z(5,[],[2,5]),!0)}function m(){L(),ne();let j=!1;for(;a.getToken()!==2&&a.getToken()!==17;){if(a.getToken()===5){if(j||z(4,[],[]),Z(","),ne(),a.getToken()===2&&le)break}else j&&z(6,[],[]);l()||z(4,[],[2,5]),j=!0}return F(),a.getToken()!==2?z(7,[2],[]):ne(),!0}function v(){U(),ne();let j=!1;for(;a.getToken()!==4&&a.getToken()!==17;){if(a.getToken()===5){if(j||z(4,[],[]),Z(","),ne(),a.getToken()===4&&le)break}else j&&z(6,[],[]);D()||z(4,[],[4,5]),j=!0}return B(),a.getToken()!==4?z(8,[4],[]):ne(),!0}function D(){switch(a.getToken()){case 3:return v();case 1:return m();case 10:return N(!0);default:return c()}}return ne(),a.getToken()===17?s.allowEmptyContent?!0:(z(4,[],[]),!1):D()?(a.getToken()!==17&&z(9,[],[]),!0):(z(4,[],[]),!1)}t.visit=P;function o(e,n){let s=k(e),a=[],r,h=0,L;do switch(L=s.getPosition(),r=s.scan(),r){case 12:case 13:case 17:h!==L&&a.push(e.substring(h,L)),n!==void 0&&a.push(s.getTokenValue().replace(/[^\r\n]/g,n)),h=s.getPosition();break}while(r!==17);return a.join("")}t.stripComments=o;function i(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(e){if(Array.isArray(e))return"array"}else return"null";return"object"}default:return"null"}}t.getNodeType=i});"use strict";function Ue(q){const t=[];typeof q=="number"&&t.push("code/timeOrigin",q);function w(T){t.push(T,Date.now())}function A(){const T=[];for(let b=0;b<t.length;b+=2)T.push({name:t[b],startTime:t[b+1]});return T}return{mark:w,getMarks:A}}function $e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?Ue():{mark(q){performance.mark(q)},getMarks(){let q=performance.timeOrigin;typeof q!="number"&&(q=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const t=[{name:"code/timeOrigin",startTime:Math.round(q)}];for(const w of performance.getEntriesByType("mark"))t.push({name:w.name,startTime:Math.round(q+w.startTime)});return t}};if(typeof process=="object"){const q=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Ue(q)}else return console.trace("perf-util loaded in UNKNOWN environment"),Ue()}function Ve(q){return q.MonacoPerformanceMarks||(q.MonacoPerformanceMarks=$e()),q.MonacoPerformanceMarks}var Me;typeof global=="object"?Me=global:typeof self=="object"?Me=self:Me={},typeof define=="function"?define("vs/base/common/performance",[],function(){return Ve(Me)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=Ve(Me):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),Me.perf=Ve(Me)),function(q,t){if(typeof exports=="object"&&typeof module=="object")module.exports=t();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],t);else{var w=t();for(var A in w)(typeof exports=="object"?exports:q)[A]=w[A]}}(typeof self!="undefined"?self:this,function(){return function(q){var t={};function w(A){if(t[A])return t[A].exports;var T=t[A]={i:A,l:!1,exports:{}};return q[A].call(T.exports,T,T.exports,w),T.l=!0,T.exports}return w.m=q,w.c=t,w.d=function(A,T,b){w.o(A,T)||Object.defineProperty(A,T,{enumerable:!0,get:b})},w.r=function(A){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(A,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(A,"__esModule",{value:!0})},w.t=function(A,T){if(1&T&&(A=w(A)),8&T||4&T&&typeof A=="object"&&A&&A.__esModule)return A;var b=Object.create(null);if(w.r(b),Object.defineProperty(b,"default",{enumerable:!0,value:A}),2&T&&typeof A!="string")for(var k in A)w.d(b,k,function(C){return A[C]}.bind(null,k));return b},w.n=function(A){var T=A&&A.__esModule?function(){return A.default}:function(){return A};return w.d(T,"a",T),T},w.o=function(A,T){return Object.prototype.hasOwnProperty.call(A,T)},w.p="",w(w.s=0)}([function(q,t,w){(function(A){var T;t=q.exports=_,T=typeof A=="object"&&A.env&&A.env.NODE_DEBUG&&/\bsemver\b/i.test(A.env.NODE_DEBUG)?function(){var V=Array.prototype.slice.call(arguments,0);V.unshift("SEMVER"),console.log.apply(console,V)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var b=256,k=Number.MAX_SAFE_INTEGER||9007199254740991,C=t.re=[],d=t.src=[],g=0,I=g++;d[I]="0|[1-9]\\d*";var f=g++;d[f]="[0-9]+";var O=g++;d[O]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var S=g++;d[S]="("+d[I]+")\\.("+d[I]+")\\.("+d[I]+")";var u=g++;d[u]="("+d[f]+")\\.("+d[f]+")\\.("+d[f]+")";var R=g++;d[R]="(?:"+d[I]+"|"+d[O]+")";var E=g++;d[E]="(?:"+d[f]+"|"+d[O]+")";var p=g++;d[p]="(?:-("+d[R]+"(?:\\."+d[R]+")*))";var y=g++;d[y]="(?:-?("+d[E]+"(?:\\."+d[E]+")*))";var P=g++;d[P]="[0-9A-Za-z-]+";var o=g++;d[o]="(?:\\+("+d[P]+"(?:\\."+d[P]+")*))";var i=g++,e="v?"+d[S]+d[p]+"?"+d[o]+"?";d[i]="^"+e+"$";var n="[v=\\s]*"+d[u]+d[y]+"?"+d[o]+"?",s=g++;d[s]="^"+n+"$";var a=g++;d[a]="((?:<|>)?=?)";var r=g++;d[r]=d[f]+"|x|X|\\*";var h=g++;d[h]=d[I]+"|x|X|\\*";var L=g++;d[L]="[v=\\s]*("+d[h]+")(?:\\.("+d[h]+")(?:\\.("+d[h]+")(?:"+d[p]+")?"+d[o]+"?)?)?";var M=g++;d[M]="[v=\\s]*("+d[r]+")(?:\\.("+d[r]+")(?:\\.("+d[r]+")(?:"+d[y]+")?"+d[o]+"?)?)?";var F=g++;d[F]="^"+d[a]+"\\s*"+d[L]+"$";var U=g++;d[U]="^"+d[a]+"\\s*"+d[M]+"$";var B=g++;d[B]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var K=g++;d[K]="(?:~>?)";var Z=g++;d[Z]="(\\s*)"+d[K]+"\\s+",C[Z]=new RegExp(d[Z],"g");var ae=g++;d[ae]="^"+d[K]+d[L]+"$";var re=g++;d[re]="^"+d[K]+d[M]+"$";var Y=g++;d[Y]="(?:\\^)";var le=g++;d[le]="(\\s*)"+d[Y]+"\\s+",C[le]=new RegExp(d[le],"g");var ne=g++;d[ne]="^"+d[Y]+d[L]+"$";var z=g++;d[z]="^"+d[Y]+d[M]+"$";var N=g++;d[N]="^"+d[a]+"\\s*("+n+")$|^$";var c=g++;d[c]="^"+d[a]+"\\s*("+e+")$|^$";var l=g++;d[l]="(\\s*)"+d[a]+"\\s*("+n+"|"+d[L]+")",C[l]=new RegExp(d[l],"g");var m=g++;d[m]="^\\s*("+d[L]+")\\s+-\\s+("+d[L]+")\\s*$";var v=g++;d[v]="^\\s*("+d[M]+")\\s+-\\s+("+d[M]+")\\s*$";var D=g++;d[D]="(<|>)?=?\\s*\\*";for(var j=0;j<35;j++)T(j,d[j]),C[j]||(C[j]=new RegExp(d[j]));function W(V,x){if(V instanceof _)return V;if(typeof V!="string"||V.length>b||!(x?C[s]:C[i]).test(V))return null;try{return new _(V,x)}catch(G){return null}}function _(V,x){if(V instanceof _){if(V.loose===x)return V;V=V.version}else if(typeof V!="string")throw new TypeError("Invalid Version: "+V);if(V.length>b)throw new TypeError("version is longer than "+b+" characters");if(!(this instanceof _))return new _(V,x);T("SemVer",V,x),this.loose=x;var G=V.trim().match(x?C[s]:C[i]);if(!G)throw new TypeError("Invalid Version: "+V);if(this.raw=V,this.major=+G[1],this.minor=+G[2],this.patch=+G[3],this.major>k||this.major<0)throw new TypeError("Invalid major version");if(this.minor>k||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>k||this.patch<0)throw new TypeError("Invalid patch version");G[4]?this.prerelease=G[4].split(".").map(function(te){if(/^[0-9]+$/.test(te)){var se=+te;if(se>=0&&se<k)return se}return te}):this.prerelease=[],this.build=G[5]?G[5].split("."):[],this.format()}t.parse=W,t.valid=function(V,x){var G=W(V,x);return G?G.version:null},t.clean=function(V,x){var G=W(V.trim().replace(/^[=v]+/,""),x);return G?G.version:null},t.SemVer=_,_.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},_.prototype.toString=function(){return this.version},_.prototype.compare=function(V){return T("SemVer.compare",this.version,this.loose,V),V instanceof _||(V=new _(V,this.loose)),this.compareMain(V)||this.comparePre(V)},_.prototype.compareMain=function(V){return V instanceof _||(V=new _(V,this.loose)),H(this.major,V.major)||H(this.minor,V.minor)||H(this.patch,V.patch)},_.prototype.comparePre=function(V){if(V instanceof _||(V=new _(V,this.loose)),this.prerelease.length&&!V.prerelease.length)return-1;if(!this.prerelease.length&&V.prerelease.length)return 1;if(!this.prerelease.length&&!V.prerelease.length)return 0;var x=0;do{var G=this.prerelease[x],te=V.prerelease[x];if(T("prerelease compare",x,G,te),G===void 0&&te===void 0)return 0;if(te===void 0)return 1;if(G===void 0)return-1;if(G!==te)return H(G,te)}while(++x)},_.prototype.inc=function(V,x){switch(V){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",x);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",x);break;case"prepatch":this.prerelease.length=0,this.inc("patch",x),this.inc("pre",x);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",x),this.inc("pre",x);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var G=this.prerelease.length;--G>=0;)typeof this.prerelease[G]=="number"&&(this.prerelease[G]++,G=-2);G===-1&&this.prerelease.push(0)}x&&(this.prerelease[0]===x?isNaN(this.prerelease[1])&&(this.prerelease=[x,0]):this.prerelease=[x,0]);break;default:throw new Error("invalid increment argument: "+V)}return this.format(),this.raw=this.version,this},t.inc=function(V,x,G,te){typeof G=="string"&&(te=G,G=void 0);try{return new _(V,G).inc(x,te).version}catch(se){return null}},t.diff=function(V,x){if(de(V,x))return null;var G=W(V),te=W(x);if(G.prerelease.length||te.prerelease.length){for(var se in G)if((se==="major"||se==="minor"||se==="patch")&&G[se]!==te[se])return"pre"+se;return"prerelease"}for(var se in G)if((se==="major"||se==="minor"||se==="patch")&&G[se]!==te[se])return se},t.compareIdentifiers=H;var $=/^[0-9]+$/;function H(V,x){var G=$.test(V),te=$.test(x);return G&&te&&(V=+V,x=+x),G&&!te?-1:te&&!G?1:V<x?-1:V>x?1:0}function X(V,x,G){return new _(V,G).compare(new _(x,G))}function ee(V,x,G){return X(V,x,G)>0}function ie(V,x,G){return X(V,x,G)<0}function de(V,x,G){return X(V,x,G)===0}function me(V,x,G){return X(V,x,G)!==0}function Ie(V,x,G){return X(V,x,G)>=0}function Le(V,x,G){return X(V,x,G)<=0}function Te(V,x,G,te){var se;switch(x){case"===":typeof V=="object"&&(V=V.version),typeof G=="object"&&(G=G.version),se=V===G;break;case"!==":typeof V=="object"&&(V=V.version),typeof G=="object"&&(G=G.version),se=V!==G;break;case"":case"=":case"==":se=de(V,G,te);break;case"!=":se=me(V,G,te);break;case">":se=ee(V,G,te);break;case">=":se=Ie(V,G,te);break;case"<":se=ie(V,G,te);break;case"<=":se=Le(V,G,te);break;default:throw new TypeError("Invalid operator: "+x)}return se}function Pe(V,x){if(V instanceof Pe){if(V.loose===x)return V;V=V.value}if(!(this instanceof Pe))return new Pe(V,x);T("comparator",V,x),this.loose=x,this.parse(V),this.semver===Ae?this.value="":this.value=this.operator+this.semver.version,T("comp",this)}t.rcompareIdentifiers=function(V,x){return H(x,V)},t.major=function(V,x){return new _(V,x).major},t.minor=function(V,x){return new _(V,x).minor},t.patch=function(V,x){return new _(V,x).patch},t.compare=X,t.compareLoose=function(V,x){return X(V,x,!0)},t.rcompare=function(V,x,G){return X(x,V,G)},t.sort=function(V,x){return V.sort(function(G,te){return t.compare(G,te,x)})},t.rsort=function(V,x){return V.sort(function(G,te){return t.rcompare(G,te,x)})},t.gt=ee,t.lt=ie,t.eq=de,t.neq=me,t.gte=Ie,t.lte=Le,t.cmp=Te,t.Comparator=Pe;var Ae={};function ve(V,x){if(V instanceof ve)return V.loose===x?V:new ve(V.raw,x);if(V instanceof Pe)return new ve(V.value,x);if(!(this instanceof ve))return new ve(V,x);if(this.loose=x,this.raw=V,this.set=V.split(/\s*\|\|\s*/).map(function(G){return this.parseRange(G.trim())},this).filter(function(G){return G.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+V);this.format()}function Oe(V){return!V||V.toLowerCase()==="x"||V==="*"}function qe(V,x,G,te,se,we,he,Re,ye,De,ke,Ee,Se){return((x=Oe(G)?"":Oe(te)?">="+G+".0.0":Oe(se)?">="+G+"."+te+".0":">="+x)+" "+(Re=Oe(ye)?"":Oe(De)?"<"+(+ye+1)+".0.0":Oe(ke)?"<"+ye+"."+(+De+1)+".0":Ee?"<="+ye+"."+De+"."+ke+"-"+Ee:"<="+Re)).trim()}function xe(V,x){for(var G=0;G<V.length;G++)if(!V[G].test(x))return!1;if(x.prerelease.length){for(G=0;G<V.length;G++)if(T(V[G].semver),V[G].semver!==Ae&&V[G].semver.prerelease.length>0){var te=V[G].semver;if(te.major===x.major&&te.minor===x.minor&&te.patch===x.patch)return!0}return!1}return!0}function ze(V,x,G){try{x=new ve(x,G)}catch(te){return!1}return x.test(V)}function Be(V,x,G,te){var se,we,he,Re,ye;switch(V=new _(V,te),x=new ve(x,te),G){case">":se=ee,we=Le,he=ie,Re=">",ye=">=";break;case"<":se=ie,we=Ie,he=ee,Re="<",ye="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(ze(V,x,te))return!1;for(var De=0;De<x.set.length;++De){var ke=x.set[De],Ee=null,Se=null;if(ke.forEach(function(Ce){Ce.semver===Ae&&(Ce=new Pe(">=0.0.0")),Ee=Ee||Ce,Se=Se||Ce,se(Ce.semver,Ee.semver,te)?Ee=Ce:he(Ce.semver,Se.semver,te)&&(Se=Ce)}),Ee.operator===Re||Ee.operator===ye||(!Se.operator||Se.operator===Re)&&we(V,Se.semver)||Se.operator===ye&&he(V,Se.semver))return!1}return!0}Pe.prototype.parse=function(V){var x=this.loose?C[N]:C[c],G=V.match(x);if(!G)throw new TypeError("Invalid comparator: "+V);this.operator=G[1],this.operator==="="&&(this.operator=""),G[2]?this.semver=new _(G[2],this.loose):this.semver=Ae},Pe.prototype.toString=function(){return this.value},Pe.prototype.test=function(V){return T("Comparator.test",V,this.loose),this.semver===Ae||(typeof V=="string"&&(V=new _(V,this.loose)),Te(V,this.operator,this.semver,this.loose))},Pe.prototype.intersects=function(V,x){if(!(V instanceof Pe))throw new TypeError("a Comparator is required");var G;if(this.operator==="")return G=new ve(V.value,x),ze(this.value,G,x);if(V.operator==="")return G=new ve(this.value,x),ze(V.semver,G,x);var te=!(this.operator!==">="&&this.operator!==">"||V.operator!==">="&&V.operator!==">"),se=!(this.operator!=="<="&&this.operator!=="<"||V.operator!=="<="&&V.operator!=="<"),we=this.semver.version===V.semver.version,he=!(this.operator!==">="&&this.operator!=="<="||V.operator!==">="&&V.operator!=="<="),Re=Te(this.semver,"<",V.semver,x)&&(this.operator===">="||this.operator===">")&&(V.operator==="<="||V.operator==="<"),ye=Te(this.semver,">",V.semver,x)&&(this.operator==="<="||this.operator==="<")&&(V.operator===">="||V.operator===">");return te||se||we&&he||Re||ye},t.Range=ve,ve.prototype.format=function(){return this.range=this.set.map(function(V){return V.join(" ").trim()}).join("||").trim(),this.range},ve.prototype.toString=function(){return this.range},ve.prototype.parseRange=function(V){var x=this.loose;V=V.trim(),T("range",V,x);var G=x?C[v]:C[m];V=V.replace(G,qe),T("hyphen replace",V),V=V.replace(C[l],"$1$2$3"),T("comparator trim",V,C[l]),V=(V=(V=V.replace(C[Z],"$1~")).replace(C[le],"$1^")).split(/\s+/).join(" ");var te=x?C[N]:C[c],se=V.split(" ").map(function(we){return function(he,Re){return T("comp",he),he=function(ye,De){return ye.trim().split(/\s+/).map(function(ke){return function(Ee,Se){T("caret",Ee,Se);var Ce=Se?C[z]:C[ne];return Ee.replace(Ce,function(Fe,oe,ue,ge,pe){var be;return T("caret",Ee,Fe,oe,ue,ge,pe),Oe(oe)?be="":Oe(ue)?be=">="+oe+".0.0 <"+(+oe+1)+".0.0":Oe(ge)?be=oe==="0"?">="+oe+"."+ue+".0 <"+oe+"."+(+ue+1)+".0":">="+oe+"."+ue+".0 <"+(+oe+1)+".0.0":pe?(T("replaceCaret pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),be=oe==="0"?ue==="0"?">="+oe+"."+ue+"."+ge+pe+" <"+oe+"."+ue+"."+(+ge+1):">="+oe+"."+ue+"."+ge+pe+" <"+oe+"."+(+ue+1)+".0":">="+oe+"."+ue+"."+ge+pe+" <"+(+oe+1)+".0.0"):(T("no pr"),be=oe==="0"?ue==="0"?">="+oe+"."+ue+"."+ge+" <"+oe+"."+ue+"."+(+ge+1):">="+oe+"."+ue+"."+ge+" <"+oe+"."+(+ue+1)+".0":">="+oe+"."+ue+"."+ge+" <"+(+oe+1)+".0.0"),T("caret return",be),be})}(ke,De)}).join(" ")}(he,Re),T("caret",he),he=function(ye,De){return ye.trim().split(/\s+/).map(function(ke){return function(Ee,Se){var Ce=Se?C[re]:C[ae];return Ee.replace(Ce,function(Fe,oe,ue,ge,pe){var be;return T("tilde",Ee,Fe,oe,ue,ge,pe),Oe(oe)?be="":Oe(ue)?be=">="+oe+".0.0 <"+(+oe+1)+".0.0":Oe(ge)?be=">="+oe+"."+ue+".0 <"+oe+"."+(+ue+1)+".0":pe?(T("replaceTilde pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),be=">="+oe+"."+ue+"."+ge+pe+" <"+oe+"."+(+ue+1)+".0"):be=">="+oe+"."+ue+"."+ge+" <"+oe+"."+(+ue+1)+".0",T("tilde return",be),be})}(ke,De)}).join(" ")}(he,Re),T("tildes",he),he=function(ye,De){return T("replaceXRanges",ye,De),ye.split(/\s+/).map(function(ke){return function(Ee,Se){Ee=Ee.trim();var Ce=Se?C[U]:C[F];return Ee.replace(Ce,function(Fe,oe,ue,ge,pe,be){T("xRange",Ee,Fe,oe,ue,ge,pe,be);var We=Oe(ue),Ne=We||Oe(ge),je=Ne||Oe(pe);return oe==="="&&je&&(oe=""),We?Fe=oe===">"||oe==="<"?"<0.0.0":"*":oe&&je?(Ne&&(ge=0),je&&(pe=0),oe===">"?(oe=">=",Ne?(ue=+ue+1,ge=0,pe=0):je&&(ge=+ge+1,pe=0)):oe==="<="&&(oe="<",Ne?ue=+ue+1:ge=+ge+1),Fe=oe+ue+"."+ge+"."+pe):Ne?Fe=">="+ue+".0.0 <"+(+ue+1)+".0.0":je&&(Fe=">="+ue+"."+ge+".0 <"+ue+"."+(+ge+1)+".0"),T("xRange return",Fe),Fe})}(ke,De)}).join(" ")}(he,Re),T("xrange",he),he=function(ye,De){return T("replaceStars",ye,De),ye.trim().replace(C[D],"")}(he,Re),T("stars",he),he}(we,x)}).join(" ").split(/\s+/);return this.loose&&(se=se.filter(function(we){return!!we.match(te)})),se=se.map(function(we){return new Pe(we,x)})},ve.prototype.intersects=function(V,x){if(!(V instanceof ve))throw new TypeError("a Range is required");return this.set.some(function(G){return G.every(function(te){return V.set.some(function(se){return se.every(function(we){return te.intersects(we,x)})})})})},t.toComparators=function(V,x){return new ve(V,x).set.map(function(G){return G.map(function(te){return te.value}).join(" ").trim().split(" ")})},ve.prototype.test=function(V){if(!V)return!1;typeof V=="string"&&(V=new _(V,this.loose));for(var x=0;x<this.set.length;x++)if(xe(this.set[x],V))return!0;return!1},t.satisfies=ze,t.maxSatisfying=function(V,x,G){var te=null,se=null;try{var we=new ve(x,G)}catch(he){return null}return V.forEach(function(he){we.test(he)&&(te&&se.compare(he)!==-1||(se=new _(te=he,G)))}),te},t.minSatisfying=function(V,x,G){var te=null,se=null;try{var we=new ve(x,G)}catch(he){return null}return V.forEach(function(he){we.test(he)&&(te&&se.compare(he)!==1||(se=new _(te=he,G)))}),te},t.validRange=function(V,x){try{return new ve(V,x).range||"*"}catch(G){return null}},t.ltr=function(V,x,G){return Be(V,x,"<",G)},t.gtr=function(V,x,G){return Be(V,x,">",G)},t.outside=Be,t.prerelease=function(V,x){var G=W(V,x);return G&&G.prerelease.length?G.prerelease:null},t.intersects=function(V,x,G){return V=new ve(V,G),x=new ve(x,G),V.intersects(x)},t.coerce=function(V){if(V instanceof _)return V;if(typeof V!="string")return null;var x=V.match(C[B]);return x==null?null:W((x[1]||"0")+"."+(x[2]||"0")+"."+(x[3]||"0"))}}).call(this,w(1))},function(q,t){var w,A,T=q.exports={};function b(){throw new Error("setTimeout has not been defined")}function k(){throw new Error("clearTimeout has not been defined")}function C(E){if(w===setTimeout)return setTimeout(E,0);if((w===b||!w)&&setTimeout)return w=setTimeout,setTimeout(E,0);try{return w(E,0)}catch(p){try{return w.call(null,E,0)}catch(y){return w.call(this,E,0)}}}(function(){try{w=typeof setTimeout=="function"?setTimeout:b}catch(E){w=b}try{A=typeof clearTimeout=="function"?clearTimeout:k}catch(E){A=k}})();var d,g=[],I=!1,f=-1;function O(){I&&d&&(I=!1,d.length?g=d.concat(g):f=-1,g.length&&S())}function S(){if(!I){var E=C(O);I=!0;for(var p=g.length;p;){for(d=g,g=[];++f<p;)d&&d[f].run();f=-1,p=g.length}d=null,I=!1,function(y){if(A===clearTimeout)return clearTimeout(y);if((A===k||!A)&&clearTimeout)return A=clearTimeout,clearTimeout(y);try{A(y)}catch(P){try{return A.call(null,y)}catch(o){return A.call(this,y)}}}(E)}}function u(E,p){this.fun=E,this.array=p}function R(){}T.nextTick=function(E){var p=new Array(arguments.length-1);if(arguments.length>1)for(var y=1;y<arguments.length;y++)p[y-1]=arguments[y];g.push(new u(E,p)),g.length!==1||I||C(S)},u.prototype.run=function(){this.fun.apply(null,this.array)},T.title="browser",T.browser=!0,T.env={},T.argv=[],T.version="",T.versions={},T.on=R,T.addListener=R,T.once=R,T.off=R,T.removeListener=R,T.removeAllListeners=R,T.emit=R,T.prependListener=R,T.prependOnceListener=R,T.listeners=function(E){return[]},T.binding=function(E){throw new Error("process.binding is not supported")},T.cwd=function(){return"/"},T.chdir=function(E){throw new Error("process.chdir is not supported")},T.umask=function(){return 0}}])}),define(J[31],Q([0,1,15,2]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.transform=t.toReadable=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=void 0;function T(E){const p=E;return p&&[p.on,p.pause,p.resume,p.destroy].every(y=>typeof y=="function")}t.isReadableStream=T;function b(E){const p=E;return p&&T(p.stream)&&Array.isArray(p.buffer)&&typeof p.ended=="boolean"}t.isReadableBufferedStream=b;function k(E,p){return new C(E,p)}t.newWriteableStream=k;class C{constructor(p,y){this.reducer=p,this.options=y,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(p){var y;if(!this.state.destroyed){if(this.state.flowing)this.emitData(p);else if(this.buffer.data.push(p),typeof((y=this.options)===null||y===void 0?void 0:y.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(P=>this.pendingWritePromises.push(P))}}error(p){this.state.destroyed||(this.state.flowing?this.emitError(p):this.buffer.error.push(p))}end(p){this.state.destroyed||(p instanceof Error?this.error(p):typeof p!="undefined"&&this.write(p),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(p){this.listeners.data.slice(0).forEach(y=>y(p))}emitError(p){this.listeners.error.length===0?w.onUnexpectedError(p):this.listeners.error.slice(0).forEach(y=>y(p))}emitEnd(){this.listeners.end.slice(0).forEach(p=>p())}on(p,y){if(!this.state.destroyed)switch(p){case"data":this.listeners.data.push(y),this.resume();break;case"end":this.listeners.end.push(y),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(y),this.state.flowing&&this.flowErrors();break}}removeListener(p,y){if(!this.state.destroyed){let P;switch(p){case"data":P=this.listeners.data;break;case"end":P=this.listeners.end;break;case"error":P=this.listeners.error;break}if(P){const o=P.indexOf(y);o>=0&&P.splice(o,1)}}}flowData(){if(this.buffer.data.length>0){const p=this.reducer(this.buffer.data);this.emitData(p),this.buffer.data.length=0;const y=[...this.pendingWritePromises];this.pendingWritePromises.length=0,y.forEach(P=>P())}}flowErrors(){if(this.listeners.error.length>0){for(const p of this.buffer.error)this.emitError(p);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function d(E,p){const y=[];let P;for(;(P=E.read())!==null;)y.push(P);return p(y)}t.consumeReadable=d;function g(E,p,y){const P=[];let o;for(;(o=E.read())!==null&&P.length<y;)P.push(o);return o===null&&P.length>0?p(P):{read:()=>{if(P.length>0)return P.shift();if(typeof o!="undefined"){const i=o;return o=void 0,i}return E.read()}}}t.peekReadable=g;function I(E,p){return new Promise((y,P)=>{const o=[];f(E,{onData:i=>{p&&o.push(i)},onError:i=>{p?P(i):y(void 0)},onEnd:()=>{y(p?p(o):void 0)}})})}t.consumeStream=I;function f(E,p){E.on("error",y=>p.onError(y)),E.on("end",()=>p.onEnd()),E.on("data",y=>p.onData(y))}t.listenStream=f;function O(E,p){return new Promise((y,P)=>{const o=new A.DisposableStore,i=[],e=a=>{if(i.push(a),i.length>p)return o.dispose(),E.pause(),y({stream:E,buffer:i,ended:!1})},n=a=>P(a),s=()=>y({stream:E,buffer:i,ended:!0});o.add(A.toDisposable(()=>E.removeListener("error",n))),E.on("error",n),o.add(A.toDisposable(()=>E.removeListener("end",s))),E.on("end",s),o.add(A.toDisposable(()=>E.removeListener("data",e))),E.on("data",e)})}t.peekStream=O;function S(E,p){const y=k(p);return y.end(E),y}t.toStream=S;function u(E){let p=!1;return{read:()=>p?null:(p=!0,E)}}t.toReadable=u;function R(E,p,y){const P=k(y);return f(E,{onData:o=>P.write(p.data(o)),onError:o=>P.error(p.error?p.error(o):o),onEnd:()=>P.end()}),P}t.transform=R}),define(J[16],Q([0,1,18,31]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const T=typeof Buffer!="undefined",b=typeof TextEncoder!="undefined",k=typeof TextDecoder!="undefined";let C,d;class g{constructor(r){this.buffer=r,this.byteLength=this.buffer.byteLength}static alloc(r){return T?new g(Buffer.allocUnsafe(r)):new g(new Uint8Array(r))}static wrap(r){return T&&!Buffer.isBuffer(r)&&(r=Buffer.from(r.buffer,r.byteOffset,r.byteLength)),new g(r)}static fromString(r,h){return!((h==null?void 0:h.dontUseNodeBuffer)||!1)&&T?new g(Buffer.from(r)):b?(C||(C=new TextEncoder),new g(C.encode(r))):new g(w.encodeUTF8(r))}static concat(r,h){if(typeof h=="undefined"){h=0;for(let F=0,U=r.length;F<U;F++)h+=r[F].byteLength}const L=g.alloc(h);let M=0;for(let F=0,U=r.length;F<U;F++){const B=r[F];L.set(B,M),M+=B.byteLength}return L}toString(){return T?this.buffer.toString():k?(d||(d=new TextDecoder),d.decode(this.buffer)):w.decodeUTF8(this.buffer)}slice(r,h){return new g(this.buffer.subarray(r,h))}set(r,h){r instanceof g?this.buffer.set(r.buffer,h):this.buffer.set(r,h)}readUInt32BE(r){return O(this.buffer,r)}writeUInt32BE(r,h){S(this.buffer,r,h)}readUInt32LE(r){return u(this.buffer,r)}writeUInt32LE(r,h){R(this.buffer,r,h)}readUInt8(r){return E(this.buffer,r)}writeUInt8(r,h){p(this.buffer,r,h)}}t.VSBuffer=g;function I(a,r){return a[r+0]<<0>>>0|a[r+1]<<8>>>0}t.readUInt16LE=I;function f(a,r,h){a[h+0]=r&255,r=r>>>8,a[h+1]=r&255}t.writeUInt16LE=f;function O(a,r){return a[r]*2**24+a[r+1]*2**16+a[r+2]*2**8+a[r+3]}t.readUInt32BE=O;function S(a,r,h){a[h+3]=r,r=r>>>8,a[h+2]=r,r=r>>>8,a[h+1]=r,r=r>>>8,a[h]=r}t.writeUInt32BE=S;function u(a,r){return a[r+0]<<0>>>0|a[r+1]<<8>>>0|a[r+2]<<16>>>0|a[r+3]<<24>>>0}t.readUInt32LE=u;function R(a,r,h){a[h+0]=r&255,r=r>>>8,a[h+1]=r&255,r=r>>>8,a[h+2]=r&255,r=r>>>8,a[h+3]=r&255}t.writeUInt32LE=R;function E(a,r){return a[r]}t.readUInt8=E;function p(a,r,h){a[h]=r}t.writeUInt8=p;function y(a){return A.consumeReadable(a,r=>g.concat(r))}t.readableToBuffer=y;function P(a){return A.toReadable(a)}t.bufferToReadable=P;function o(a){return A.consumeStream(a,r=>g.concat(r))}t.streamToBuffer=o;async function i(a){return a.ended?g.concat(a.buffer):g.concat([...a.buffer,await o(a.stream)])}t.bufferedStreamToBuffer=i;function e(a){return A.toStream(a,r=>g.concat(r))}t.bufferToStream=e;function n(a){return A.transform(a,{data:r=>typeof r=="string"?g.fromString(r):g.wrap(r)},r=>g.concat(r))}t.streamToBufferReadableStream=n;function s(a){return A.newWriteableStream(r=>g.concat(r),a)}t.newWriteableBufferStream=s}),define(J[19],Q([0,1,8]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getCaseInsensitive=t.distinct=t.getOrDefault=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function A(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const R=Array.isArray(u)?[]:{};return Object.keys(u).forEach(E=>{u[E]&&typeof u[E]=="object"?R[E]=A(u[E]):R[E]=u[E]}),R}t.deepClone=A;function T(u){if(!u||typeof u!="object")return u;const R=[u];for(;R.length>0;){const E=R.shift();Object.freeze(E);for(const p in E)if(b.call(E,p)){const y=E[p];typeof y=="object"&&!Object.isFrozen(y)&&R.push(y)}}return u}t.deepFreeze=T;const b=Object.prototype.hasOwnProperty;function k(u,R){return C(u,R,new Set)}t.cloneAndChange=k;function C(u,R,E){if(w.isUndefinedOrNull(u))return u;const p=R(u);if(typeof p!="undefined")return p;if(w.isArray(u)){const y=[];for(const P of u)y.push(C(P,R,E));return y}if(w.isObject(u)){if(E.has(u))throw new Error("Cannot clone recursive data-structure");E.add(u);const y={};for(let P in u)b.call(u,P)&&(y[P]=C(u[P],R,E));return E.delete(u),y}return u}function d(u,R,E=!0){return w.isObject(u)?(w.isObject(R)&&Object.keys(R).forEach(p=>{p in u?E&&(w.isObject(u[p])&&w.isObject(R[p])?d(u[p],R[p],E):u[p]=R[p]):u[p]=R[p]}),u):R}t.mixin=d;function g(u,R){if(u===R)return!0;if(u==null||R===null||R===void 0||typeof u!=typeof R||typeof u!="object"||Array.isArray(u)!==Array.isArray(R))return!1;let E,p;if(Array.isArray(u)){if(u.length!==R.length)return!1;for(E=0;E<u.length;E++)if(!g(u[E],R[E]))return!1}else{const y=[];for(p in u)y.push(p);y.sort();const P=[];for(p in R)P.push(p);if(P.sort(),!g(y,P))return!1;for(E=0;E<y.length;E++)if(!g(u[y[E]],R[y[E]]))return!1}return!0}t.equals=g;function I(u){const R=new Set;return JSON.stringify(u,(E,p)=>{if(w.isObject(p)||Array.isArray(p)){if(R.has(p))return"[Circular]";R.add(p)}return p})}t.safeStringify=I;function f(u,R,E){const p=R(u);return typeof p=="undefined"?E:p}t.getOrDefault=f;function O(u,R){const E=Object.create(null);return!u||!R||Object.keys(R).forEach(y=>{const P=u[y],o=R[y];g(P,o)||(E[y]=o)}),E}t.distinct=O;function S(u,R){const E=R.toLowerCase(),p=Object.keys(u).find(y=>y.toLowerCase()===E);return p?u[p]:u[R]}t.getCaseInsensitive=S}),define(J[57],Q([0,1,10]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.log=t.getFirstFrame=t.parse=t.isRemoteConsoleLog=void 0;function A(g){const I=g;return I&&typeof I.type=="string"&&typeof I.severity=="string"}t.isRemoteConsoleLog=A;function T(g){const I=[];let f;try{const O=JSON.parse(g.arguments),S=O[O.length-1];S&&S.__$stack&&(O.pop(),f=S.__$stack),I.push(...O)}catch(O){I.push("Unable to log remote console arguments",g.arguments)}return{args:I,stack:f}}t.parse=T;function b(g){if(typeof g!="string")return b(T(g).stack);const I=g;if(I){const f=k(I),O=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(f||"");if(O&&O.length===4)return{uri:w.URI.file(O[1]),line:Number(O[2]),column:Number(O[3])}}}t.getFirstFrame=b;function k(g){if(!g)return g;const I=g.indexOf(`
`);return I===-1?g:g.substring(0,I)}function C(g,I){const{args:f,stack:O}=T(g),S=typeof f[0]=="string"&&f.length===1;let u=k(O);u&&(u=`(${u.trim()})`);let R=[];if(typeof f[0]=="string"?u&&S?R=[`%c[${I}] %c${f[0]} %c${u}`,d("blue"),d(""),d("grey")]:R=[`%c[${I}] %c${f[0]}`,d("blue"),d(""),...f.slice(1)]:R=[`%c[${I}]%`,d("blue"),...f],u&&!S&&R.push(u),typeof console[g.severity]!="function")throw new Error("Unknown console method");console[g.severity].apply(console,R)}t.log=C;function d(g){return`color: ${g}`}}),define(J[58],Q([0,1,18,32,3,43,4]),function(q,t,w,A,T,b,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getPathTerms=t.getBasenameTerms=t.isRelativePattern=t.hasSiblingFn=t.hasSiblingPromiseFn=t.parse=t.match=t.splitGlobAware=t.getEmptyExpression=void 0;function C(){return Object.create(null)}t.getEmptyExpression=C;const d="**",g="/",I="[/\\\\]",f="[^/\\\\]",O=/\//g;function S(l){switch(l){case 0:return"";case 1:return`${f}*?`;default:return`(?:${I}|${f}+${I}|${I}${f}+)*?`}}function u(l,m){if(!l)return[];const v=[];let D=!1,j=!1,W="";for(const _ of l){switch(_){case m:if(!D&&!j){v.push(W),W="";continue}break;case"{":D=!0;break;case"}":D=!1;break;case"[":j=!0;break;case"]":j=!1;break}W+=_}return W&&v.push(W),v}t.splitGlobAware=u;function R(l){if(!l)return"";let m="";const v=u(l,g);if(v.every(D=>D===d))m=".*";else{let D=!1;v.forEach((j,W)=>{if(j===d){D||(m+=S(2),D=!0);return}let _=!1,$="",H=!1,X="";for(const ee of j){if(ee!=="}"&&_){$+=ee;continue}if(H&&(ee!=="]"||!X)){let ie;ee==="-"?ie=ee:(ee==="^"||ee==="!")&&!X?ie="^":ee===g?ie="":ie=w.escapeRegExpCharacters(ee),X+=ie;continue}switch(ee){case"{":_=!0;continue;case"[":H=!0;continue;case"}":m+=`(?:${u($,",").map(me=>R(me)).join("|")})`,_=!1,$="";break;case"]":m+="["+X+"]",H=!1,X="";break;case"?":m+=f;continue;case"*":m+=S(1);continue;default:m+=w.escapeRegExpCharacters(ee)}}W<v.length-1&&(v[W+1]!==d||W+2<v.length)&&(m+=I),D=!1})}return m}const E=/^\*\*\/\*\.[\w\.-]+$/,p=/^\*\*\/([\w\.-]+)\/?$/,y=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,P=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,o=/^\*\*((\/[\w\.-]+)+)\/?$/,i=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,e=new b.LRUCache(1e4),n=function(){return!1},s=function(){return null};function a(l,m){if(!l)return s;let v;typeof l!="string"?v=l.pattern:v=l,v=v.trim();const D=`${v}_${!!m.trimForExclusions}`;let j=e.get(D);if(j)return r(j,l);let W;if(E.test(v)){const _=v.substr(4);j=function($,H){return typeof $=="string"&&$.endsWith(_)?v:null}}else(W=p.exec(h(v,m)))?j=L(W[1],v):(m.trimForExclusions?P:y).test(v)?j=M(v,m):(W=o.exec(h(v,m)))?j=F(W[1].substr(1),v,!0):(W=i.exec(h(v,m)))?j=F(W[1],v,!1):j=U(v);return e.set(D,j),r(j,l)}function r(l,m){return typeof m=="string"?l:function(v,D){return A.isEqualOrParent(v,m.base)?l(T.relative(m.base,v),D):null}}function h(l,m){return m.trimForExclusions&&l.endsWith("/**")?l.substr(0,l.length-2):l}function L(l,m){const v=`/${l}`,D=`\\${l}`,j=function(_,$){return typeof _!="string"?null:$?$===l?m:null:_===l||_.endsWith(v)||_.endsWith(D)?m:null},W=[l];return j.basenames=W,j.patterns=[m],j.allBasenames=W,j}function M(l,m){const v=c(l.slice(1,-1).split(",").map($=>a($,m)).filter($=>$!==s),l),D=v.length;if(!D)return s;if(D===1)return v[0];const j=function($,H){for(let X=0,ee=v.length;X<ee;X++)if(v[X]($,H))return l;return null},W=v.find($=>!!$.allBasenames);W&&(j.allBasenames=W.allBasenames);const _=v.reduce(($,H)=>H.allPaths?$.concat(H.allPaths):$,[]);return _.length&&(j.allPaths=_),j}function F(l,m,v){const D=T.sep===T.posix.sep,j=D?l:l.replace(O,T.sep),W=T.sep+j,_=T.posix.sep+l,$=v?function(H,X){return typeof H=="string"&&(H===j||H.endsWith(W)||!D&&(H===l||H.endsWith(_)))?m:null}:function(H,X){return typeof H=="string"&&(H===j||!D&&H===l)?m:null};return $.allPaths=[(v?"*/":"./")+l],$}function U(l){try{const m=new RegExp(`^${R(l)}$`);return function(v){return m.lastIndex=0,typeof v=="string"&&m.test(v)?l:null}}catch(m){return s}}function B(l,m,v){return!l||typeof m!="string"?!1:K(l)(m,void 0,v)}t.match=B;function K(l,m={}){if(!l)return n;if(typeof l=="string"||Y(l)){const v=a(l,m);if(v===s)return n;const D=function(j,W){return!!v(j,W)};return v.allBasenames&&(D.allBasenames=v.allBasenames),v.allPaths&&(D.allPaths=v.allPaths),D}return z(l,m)}t.parse=K;function Z(l){if(!!l){let m;return v=>(m||(m=(l()||Promise.resolve([])).then(D=>D?re(D):{})),m.then(D=>!!D[v]))}}t.hasSiblingPromiseFn=Z;function ae(l){if(!!l){let m;return v=>{if(!m){const D=l();m=D?re(D):{}}return!!m[v]}}}t.hasSiblingFn=ae;function re(l){const m={};for(const v of l)m[v]=!0;return m}function Y(l){const m=l;return m&&typeof m.base=="string"&&typeof m.pattern=="string"}t.isRelativePattern=Y;function le(l){return l.allBasenames||[]}t.getBasenameTerms=le;function ne(l){return l.allPaths||[]}t.getPathTerms=ne;function z(l,m){const v=c(Object.getOwnPropertyNames(l).map($=>N($,l[$],m)).filter($=>$!==s)),D=v.length;if(!D)return s;if(!v.some($=>!!$.requiresSiblings)){if(D===1)return v[0];const $=function(ee,ie){for(let de=0,me=v.length;de<me;de++){const Ie=v[de](ee,ie);if(Ie)return Ie}return null},H=v.find(ee=>!!ee.allBasenames);H&&($.allBasenames=H.allBasenames);const X=v.reduce((ee,ie)=>ie.allPaths?ee.concat(ie.allPaths):ee,[]);return X.length&&($.allPaths=X),$}const j=function($,H,X){let ee;for(let ie=0,de=v.length;ie<de;ie++){const me=v[ie];me.requiresSiblings&&X&&(H||(H=T.basename($)),ee||(ee=H.substr(0,H.length-T.extname($).length)));const Ie=me($,H,ee,X);if(Ie)return Ie}return null},W=v.find($=>!!$.allBasenames);W&&(j.allBasenames=W.allBasenames);const _=v.reduce(($,H)=>H.allPaths?$.concat(H.allPaths):$,[]);return _.length&&(j.allPaths=_),j}function N(l,m,v){if(m===!1)return s;const D=a(l,v);if(D===s)return s;if(typeof m=="boolean")return D;if(m){const j=m.when;if(typeof j=="string"){const W=(_,$,H,X)=>{if(!X||!D(_,$))return null;const ee=j.replace("$(basename)",H),ie=X(ee);return k.isThenable(ie)?ie.then(de=>de?l:null):ie?l:null};return W.requiresSiblings=!0,W}}return D}function c(l,m){const v=l.filter($=>!!$.basenames);if(v.length<2)return l;const D=v.reduce(($,H)=>{const X=H.basenames;return X?$.concat(X):$},[]);let j;if(m){j=[];for(let $=0,H=D.length;$<H;$++)j.push(m)}else j=v.reduce(($,H)=>{const X=H.patterns;return X?$.concat(X):$},[]);const W=function($,H){if(typeof $!="string")return null;if(!H){let ee;for(ee=$.length;ee>0;ee--){const ie=$.charCodeAt(ee-1);if(ie===47||ie===92)break}H=$.substr(ee)}const X=D.indexOf(H);return X!==-1?j[X]:null};W.basenames=D,W.patterns=j,W.allBasenames=D;const _=l.filter($=>!$.basenames);return _.push(W),_}}),define(J[59],Q([0,1,16,18,10]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.parse=t.stringify=void 0;function b(g){return JSON.stringify(g,C)}t.stringify=b;function k(g){let I=JSON.parse(g);return I=d(I),I}t.parse=k;function C(g,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:A.regExpFlags(I)}:I}function d(g,I=0){if(!g||I>200)return g;if(typeof g=="object"){switch(g.$mid){case 1:return T.URI.revive(g);case 2:return new RegExp(g.source,g.flags)}if(g instanceof w.VSBuffer||g instanceof Uint8Array)return g;if(Array.isArray(g))for(let f=0;f<g.length;++f)g[f]=d(g[f],I+1);else for(const f in g)Object.hasOwnProperty.call(g,f)&&(g[f]=d(g[f],I+1))}return g}t.revive=d}),define(J[60],Q([0,1,10,3,18,9,17,21,32]),function(q,t,w,A,T,b,k,C,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.splitName=t.unmnemonicLabel=t.mnemonicButtonLabel=t.mnemonicMenuLabel=t.template=t.shorten=t.untildify=t.tildify=t.normalizeDriveLetter=t.getBaseLabel=t.getPathLabel=void 0;function g(a,r,h){if(typeof a=="string"&&(a=w.URI.file(a)),h){const M=h.getWorkspaceFolder(a);if(M){const F=h.getWorkspace().folders.length>1;let U;if(C.isEqual(M.uri,a)?U="":U=C.relativePath(M.uri,a),F){const B=M.name?M.name:C.basename(M.uri);U=U?B+" \u2022 "+U:B}return U}}if(a.scheme!==b.Schemas.file&&a.scheme!==b.Schemas.untitled)return a.with({query:null,fragment:null}).toString(!0);if(d.hasDriveLetter(a.fsPath))return A.normalize(f(a.fsPath));let L=A.normalize(a.fsPath);return!k.isWindows&&(r==null?void 0:r.userHome)&&(L=S(L,r.userHome.fsPath)),L}t.getPathLabel=g;function I(a){if(!!a){typeof a=="string"&&(a=w.URI.file(a));const r=C.basename(a)||(a.scheme===b.Schemas.file?a.fsPath:a.path);return k.isWindows&&d.isRootOrDriveLetter(r)?f(r):r}}t.getBaseLabel=I;function f(a){return d.hasDriveLetter(a)?a.charAt(0).toUpperCase()+a.slice(1):a}t.normalizeDriveLetter=f;let O=Object.create(null);function S(a,r){if(k.isWindows||!a||!r)return a;let h=O.original===r?O.normalized:void 0;return h||(h=`${T.rtrim(r,A.posix.sep)}${A.posix.sep}`,O={original:r,normalized:h}),(k.isLinux?a.startsWith(h):T.startsWithIgnoreCase(a,h))&&(a=`~/${a.substr(h.length)}`),a}t.tildify=S;function u(a,r){return a.replace(/^~($|\/|\\)/,`${r}$1`)}t.untildify=u;const R="\u2026",E="\\\\",p="~";function y(a,r=A.sep){const h=new Array(a.length);let L=!1;for(let M=0;M<a.length;M++){let F=a[M];if(F===""){h[M]=`.${r}`;continue}if(!F){h[M]=F;continue}L=!0;let U="";F.indexOf(E)===0?(U=F.substr(0,F.indexOf(E)+E.length),F=F.substr(F.indexOf(E)+E.length)):F.indexOf(r)===0?(U=F.substr(0,F.indexOf(r)+r.length),F=F.substr(F.indexOf(r)+r.length)):F.indexOf(p)===0&&(U=F.substr(0,F.indexOf(p)+p.length),F=F.substr(F.indexOf(p)+p.length));const B=F.split(r);for(let K=1;L&&K<=B.length;K++)for(let Z=B.length-K;L&&Z>=0;Z--){L=!1;let ae=B.slice(Z,Z+K).join(r);for(let re=0;!L&&re<a.length;re++)if(re!==M&&a[re]&&a[re].indexOf(ae)>-1){const Y=Z+K===B.length,le=Z>0&&a[re].indexOf(r)>-1?r+ae:ae,ne=a[re].endsWith(le);L=!Y||ne}if(!L){let re="";(B[0].endsWith(":")||U!=="")&&(Z===1&&(Z=0,K++,ae=B[0]+r+ae),Z>0&&(re=B[0]+r),re=U+re),Z>0&&(re=re+R+r),re=re+ae,Z+K<B.length&&(re=re+r+R),h[M]=re}}L&&(h[M]=F)}return h}t.shorten=y;var P;(function(a){a[a.TEXT=0]="TEXT",a[a.VARIABLE=1]="VARIABLE",a[a.SEPARATOR=2]="SEPARATOR"})(P||(P={}));function o(a,r=Object.create(null)){const h=[];let L=!1,M="";for(const F of a)if(F==="$"||L&&F==="{")M&&h.push({value:M,type:P.TEXT}),M="",L=!0;else if(F==="}"&&L){const U=r[M];if(typeof U=="string")U.length&&h.push({value:U,type:P.VARIABLE});else if(U){const B=h[h.length-1];(!B||B.type!==P.SEPARATOR)&&h.push({value:U.label,type:P.SEPARATOR})}M="",L=!1}else M+=F;return M&&!L&&h.push({value:M,type:P.TEXT}),h.filter((F,U)=>{if(F.type===P.SEPARATOR){const B=h[U-1],K=h[U+1];return[B,K].every(Z=>Z&&(Z.type===P.VARIABLE||Z.type===P.TEXT)&&Z.value.length>0)}return!0}).map(F=>F.value).join("")}t.template=o;function i(a,r){return k.isMacintosh||r?a.replace(/\(&&\w\)|&&/g,"").replace(/&/g,k.isMacintosh?"&":"&&"):a.replace(/&&|&/g,h=>h==="&"?"&&":"&")}t.mnemonicMenuLabel=i;function e(a,r){return k.isMacintosh||r?a.replace(/\(&&\w\)|&&/g,""):k.isWindows?a.replace(/&&|&/g,h=>h==="&"?"&&":"&"):a.replace(/&&/g,"_")}t.mnemonicButtonLabel=e;function n(a){return a.replace(/&/g,"&&")}t.unmnemonicLabel=n;function s(a){const r=a.indexOf("/")!==-1?A.posix:A.win32,h=r.basename(a),L=r.dirname(a);return h.length?{name:h,parentPath:L}:{name:L,parentPath:""}}t.splitName=s}),define(J[44],Q([0,1,119]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LineDecoder=void 0;class A{constructor(b="utf8"){this.stringDecoder=new w.StringDecoder(b),this.remaining=null}write(b){const k=[],C=this.remaining?this.remaining+this.stringDecoder.write(b):this.stringDecoder.write(b);if(C.length<1)return k;let d=0,g,I=d;for(;I<C.length;)if(g=C.charCodeAt(I),g===13||g===10){if(k.push(C.substring(d,I)),I++,I<C.length){const f=g;g=C.charCodeAt(I),(f===13&&g===10||f===10&&g===13)&&I++}d=I}else I++;return this.remaining=d<C.length?C.substr(d):null,k}end(){return this.remaining}}t.LineDecoder=A}),define(J[61],Q([0,1,14,18,3,12]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.realpathSync=t.realpath=t.realcaseSync=void 0;function k(I){const f=T.dirname(I);if(I===f)return I;const O=(T.basename(I)||I).toLowerCase();try{const u=b.readdirSync(f).filter(R=>R.toLowerCase()===O);if(u.length===1){const R=k(f);if(R)return T.join(R,u[0])}else if(u.length>1){const R=u.indexOf(O);if(R>=0){const E=k(f);if(E)return T.join(E,u[R])}}}catch(S){}return null}t.realcaseSync=k;async function C(I){try{return await w.promises.realpath(I)}catch(f){const O=g(I);return await w.promises.access(O,w.constants.R_OK),O}}t.realpath=C;function d(I){try{return w.realpathSync(I)}catch(f){const O=g(I);return w.accessSync(O,w.constants.R_OK),O}}t.realpathSync=d;function g(I){return A.rtrim(T.normalize(I),T.sep)}}),function(){"use strict";function q(t,w,A){function T(){let b=process.env.VSCODE_APPDATA;if(!b)switch(process.platform){case"win32":if(b=process.env.APPDATA,!b){const k=process.env.USERPROFILE;if(typeof k!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");b=t.join(k,"AppData","Roaming")}break;case"darwin":b=t.join(w.homedir(),"Library","Application Support");break;case"linux":b=process.env.XDG_CONFIG_HOME||t.join(w.homedir(),".config");break;default:throw new Error("Platform not supported")}return t.join(b,A)}return{getDefaultUserDataPath:T}}if(typeof define=="function")define(J[62],Q([0,120,45,9,21]),function(t,w,A,T,b){const k=b.dirname(T.FileAccess.asFileUri("",t)),C=t.__$__nodeRequire(b.joinPath(k,"package.json").fsPath);return q(w,A,C.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const t=require("../../../../package.json"),w=require("path"),A=require("os");module.exports=q(w,A,t.name)}else throw new Error("Unknown context")}(),define(J[63],Q([0,1,3,14,17,121,2,12]),function(q,t,w,A,T,b,k,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CHANGE_BUFFER_DELAY=t.watchFolder=t.watchFile=void 0;function d(f,O,S){return I({path:f,isDirectory:!1},O,S)}t.watchFile=d;function g(f,O,S){return I({path:f,isDirectory:!0},O,S)}t.watchFolder=g,t.CHANGE_BUFFER_DELAY=100;function I(f,O,S){const u=w.basename(f.path),R=new Map;let E=!1,p=[k.toDisposable(()=>{R.forEach(y=>k.dispose(y)),R.clear()})];try{const y=A.watch(f.path);p.push(k.toDisposable(()=>{y.removeAllListeners(),y.close()}));const P=new Set;f.isDirectory&&C.readdir(f.path).then(o=>o.forEach(i=>P.add(i))),y.on("error",(o,i)=>{E||S(`Failed to watch ${f.path} for changes using fs.watch() (${o}, ${i})`)}),y.on("change",(o,i)=>{if(!E){let e="";if(i&&(e=i.toString(),T.isMacintosh&&(e=b.normalizeNFC(e))),!(!e||o!=="change"&&o!=="rename")){const n=f.isDirectory?w.join(f.path,e):f.path;if(f.isDirectory)if(o==="rename"){const s=R.get(n);s&&k.dispose(s);const a=setTimeout(async()=>{R.delete(n);const r=await C.exists(n);if(!E){let h;r?P.has(e)?h="changed":(h="added",P.add(e)):(P.delete(e),h="deleted"),O(h,n)}},t.CHANGE_BUFFER_DELAY);R.set(n,k.toDisposable(()=>clearTimeout(a)))}else{let s;P.has(e)?s="changed":(s="added",P.add(e)),O(s,n)}else if(o==="rename"||e!==u){const s=setTimeout(async()=>{const a=await C.exists(n);E||(a?(O("changed",n),p=[I(f,O,S)]):O("deleted",n))},t.CHANGE_BUFFER_DELAY);k.dispose(p),p=[k.toDisposable(()=>clearTimeout(s))]}else O("changed",n)}}})}catch(y){C.exists(f.path).then(P=>{P&&!E&&S(`Failed to watch ${f.path} for changes using fs.watch() (${y.toString()})`)})}return k.toDisposable(()=>{E=!0,p=k.dispose(p)})}}),define(J[33],Q([0,1,11,2,4,28,15,16,20,8,59,18]),function(q,t,w,A,T,b,k,C,d,g,I,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.logWithColors=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.ResponseType=t.RequestType=void 0;var O;(function(N){N[N.Promise=100]="Promise",N[N.PromiseCancel=101]="PromiseCancel",N[N.EventListen=102]="EventListen",N[N.EventDispose=103]="EventDispose"})(O=t.RequestType||(t.RequestType={}));function S(N){switch(N){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var u;(function(N){N[N.Initialize=200]="Initialize",N[N.PromiseSuccess=201]="PromiseSuccess",N[N.PromiseError=202]="PromiseError",N[N.PromiseErrorObj=203]="PromiseErrorObj",N[N.EventFire=204]="EventFire"})(u=t.ResponseType||(t.ResponseType={}));function R(N){switch(N){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var E;(function(N){N[N.Uninitialized=0]="Uninitialized",N[N.Idle=1]="Idle"})(E||(E={}));class p{constructor(c){this.buffer=c,this.pos=0}read(c){const l=this.buffer.slice(this.pos,this.pos+c);return this.pos+=l.byteLength,l}}class y{constructor(){this.buffers=[]}get buffer(){return C.VSBuffer.concat(this.buffers)}write(c){this.buffers.push(c)}}var P;(function(N){N[N.Undefined=0]="Undefined",N[N.String=1]="String",N[N.Buffer=2]="Buffer",N[N.VSBuffer=3]="VSBuffer",N[N.Array=4]="Array",N[N.Object=5]="Object"})(P||(P={}));function o(N){const c=C.VSBuffer.alloc(4);return c.writeUInt32BE(N,0),c}function i(N){return N.read(4).readUInt32BE(0)}function e(N){const c=C.VSBuffer.alloc(1);return c.writeUInt8(N,0),c}const n={Undefined:e(P.Undefined),String:e(P.String),Buffer:e(P.Buffer),VSBuffer:e(P.VSBuffer),Array:e(P.Array),Object:e(P.Object)},s=typeof Buffer!="undefined";function a(N,c){if(typeof c=="undefined")N.write(n.Undefined);else if(typeof c=="string"){const l=C.VSBuffer.fromString(c);N.write(n.String),N.write(o(l.byteLength)),N.write(l)}else if(s&&Buffer.isBuffer(c)){const l=C.VSBuffer.wrap(c);N.write(n.Buffer),N.write(o(l.byteLength)),N.write(l)}else if(c instanceof C.VSBuffer)N.write(n.VSBuffer),N.write(o(c.byteLength)),N.write(c);else if(Array.isArray(c)){N.write(n.Array),N.write(o(c.length));for(const l of c)a(N,l)}else{const l=C.VSBuffer.fromString(JSON.stringify(c));N.write(n.Object),N.write(o(l.byteLength)),N.write(l)}}function r(N){switch(N.read(1).readUInt8(0)){case P.Undefined:return;case P.String:return N.read(i(N)).toString();case P.Buffer:return N.read(i(N)).buffer;case P.VSBuffer:return N.read(i(N));case P.Array:{const l=i(N),m=[];for(let v=0;v<l;v++)m.push(r(N));return m}case P.Object:return JSON.parse(N.read(i(N)).toString())}}class h{constructor(c,l,m=null,v=1e3){this.protocol=c,this.ctx=l,this.logger=m,this.timeoutDelay=v,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(D=>this.onRawMessage(D)),this.sendResponse({type:200})}registerChannel(c,l){this.channels.set(c,l),setTimeout(()=>this.flushPendingRequests(c),0)}sendResponse(c){switch(c.type){case 200:{const l=this.send([c.type]);this.logger&&this.logger.logOutgoing(l,0,1,R(c.type));return}case 201:case 202:case 204:case 203:{const l=this.send([c.type,c.id],c.data);this.logger&&this.logger.logOutgoing(l,c.id,1,R(c.type),c.data);return}}}send(c,l=void 0){const m=new y;return a(m,c),a(m,l),this.sendBuffer(m.buffer)}sendBuffer(c){try{return this.protocol.send(c),c.byteLength}catch(l){return 0}}onRawMessage(c){const l=new p(c),m=r(l),v=r(l),D=m[0];switch(D){case 100:return this.logger&&this.logger.logIncoming(c.byteLength,m[1],1,`${S(D)}: ${m[2]}.${m[3]}`,v),this.onPromise({type:D,id:m[1],channelName:m[2],name:m[3],arg:v});case 102:return this.logger&&this.logger.logIncoming(c.byteLength,m[1],1,`${S(D)}: ${m[2]}.${m[3]}`,v),this.onEventListen({type:D,id:m[1],channelName:m[2],name:m[3],arg:v});case 101:return this.logger&&this.logger.logIncoming(c.byteLength,m[1],1,`${S(D)}`),this.disposeActiveRequest({type:D,id:m[1]});case 103:return this.logger&&this.logger.logIncoming(c.byteLength,m[1],1,`${S(D)}`),this.disposeActiveRequest({type:D,id:m[1]})}}onPromise(c){const l=this.channels.get(c.channelName);if(!l){this.collectPendingRequest(c);return}const m=new b.CancellationTokenSource;let v;try{v=l.call(this.ctx,c.name,c.arg,m.token)}catch(W){v=Promise.reject(W)}const D=c.id;v.then(W=>{this.sendResponse({id:D,data:W,type:201}),this.activeRequests.delete(c.id)},W=>{W instanceof Error?this.sendResponse({id:D,data:{message:W.message,name:W.name,stack:W.stack?W.stack.split?W.stack.split(`
`):W.stack:void 0},type:202}):this.sendResponse({id:D,data:W,type:203}),this.activeRequests.delete(c.id)});const j=A.toDisposable(()=>m.cancel());this.activeRequests.set(c.id,j)}onEventListen(c){const l=this.channels.get(c.channelName);if(!l){this.collectPendingRequest(c);return}const m=c.id,D=l.listen(this.ctx,c.name,c.arg)(j=>this.sendResponse({id:m,data:j,type:204}));this.activeRequests.set(c.id,D)}disposeActiveRequest(c){const l=this.activeRequests.get(c.id);l&&(l.dispose(),this.activeRequests.delete(c.id))}collectPendingRequest(c){let l=this.pendingRequests.get(c.channelName);l||(l=[],this.pendingRequests.set(c.channelName,l));const m=setTimeout(()=>{console.error(`Unknown channel: ${c.channelName}`),c.type===100&&this.sendResponse({id:c.id,data:{name:"Unknown channel",message:`Channel name '${c.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);l.push({request:c,timeoutTimer:m})}flushPendingRequests(c){const l=this.pendingRequests.get(c);if(l){for(const m of l)switch(clearTimeout(m.timeoutTimer),m.request.type){case 100:this.onPromise(m.request);break;case 102:this.onEventListen(m.request);break}this.pendingRequests.delete(c)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(c=>c.dispose()),this.activeRequests.clear()}}t.ChannelServer=h;var L;(function(N){N[N.LocalSide=0]="LocalSide",N[N.OtherSide=1]="OtherSide"})(L=t.RequestInitiator||(t.RequestInitiator={}));class M{constructor(c,l=null){this.protocol=c,this.isDisposed=!1,this.state=E.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new w.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(m=>this.onBuffer(m)),this.logger=l}getChannel(c){const l=this;return{call(m,v,D){return l.isDisposed?Promise.reject(k.canceled()):l.requestPromise(c,m,v,D)},listen(m,v){return l.isDisposed?Promise.reject(k.canceled()):l.requestEvent(c,m,v)}}}requestPromise(c,l,m,v=b.CancellationToken.None){const D=this.lastRequestId++,W={id:D,type:100,channelName:c,name:l,arg:m};if(v.isCancellationRequested)return Promise.reject(k.canceled());let _;return new Promise((H,X)=>{if(v.isCancellationRequested)return X(k.canceled());const ee=()=>{const Ie=Le=>{switch(Le.type){case 201:this.handlers.delete(D),H(Le.data);break;case 202:this.handlers.delete(D);const Te=new Error(Le.data.message);Te.stack=Le.data.stack,Te.name=Le.data.name,X(Te);break;case 203:this.handlers.delete(D),X(Le.data);break}};this.handlers.set(D,Ie),this.sendRequest(W)};let ie=null;this.state===E.Idle?ee():(ie=T.createCancelablePromise(Ie=>this.whenInitialized()),ie.then(()=>{ie=null,ee()}));const de=()=>{ie?(ie.cancel(),ie=null):this.sendRequest({id:D,type:101}),X(k.canceled())},me=v.onCancellationRequested(de);_=A.combinedDisposable(A.toDisposable(de),me),this.activeRequests.add(_)}).finally(()=>{this.activeRequests.delete(_)})}requestEvent(c,l,m){const v=this.lastRequestId++,j={id:v,type:102,channelName:c,name:l,arg:m};let W=null;const _=new w.Emitter({onFirstListenerAdd:()=>{W=T.createCancelablePromise(H=>this.whenInitialized()),W.then(()=>{W=null,this.activeRequests.add(_),this.sendRequest(j)})},onLastListenerRemove:()=>{W?(W.cancel(),W=null):(this.activeRequests.delete(_),this.sendRequest({id:v,type:103}))}}),$=H=>_.fire(H.data);return this.handlers.set(v,$),_.event}sendRequest(c){switch(c.type){case 100:case 102:{const l=this.send([c.type,c.id,c.channelName,c.name],c.arg);this.logger&&this.logger.logOutgoing(l,c.id,0,`${S(c.type)}: ${c.channelName}.${c.name}`,c.arg);return}case 101:case 103:{const l=this.send([c.type,c.id]);this.logger&&this.logger.logOutgoing(l,c.id,0,S(c.type));return}}}send(c,l=void 0){const m=new y;return a(m,c),a(m,l),this.sendBuffer(m.buffer)}sendBuffer(c){try{return this.protocol.send(c),c.byteLength}catch(l){return 0}}onBuffer(c){const l=new p(c),m=r(l),v=r(l),D=m[0];switch(D){case 200:return this.logger&&this.logger.logIncoming(c.byteLength,0,0,R(D)),this.onResponse({type:m[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(c.byteLength,m[1],0,R(D),v),this.onResponse({type:m[0],id:m[1],data:v})}}onResponse(c){if(c.type===200){this.state=E.Idle,this._onDidInitialize.fire();return}const l=this.handlers.get(c.id);l&&l(c)}whenInitialized(){return this.state===E.Idle?Promise.resolve():w.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(c=>c.dispose()),this.activeRequests.clear()}}t.ChannelClient=M;class F{constructor(c){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new w.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new w.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,c(({protocol:l,onDidClientDisconnect:m})=>{w.Event.once(l.onMessage)(D=>{const j=new p(D),W=r(j),_=new h(l,W),$=new M(l);this.channels.forEach((X,ee)=>_.registerChannel(ee,X));const H={channelServer:_,channelClient:$,ctx:W};this._connections.add(H),this._onDidAddConnection.fire(H),m(()=>{_.dispose(),$.dispose(),this._connections.delete(H),this._onDidRemoveConnection.fire(H)})})})}get connections(){const c=[];return this._connections.forEach(l=>c.push(l)),c}getChannel(c,l){const m=this;return{call(v,D,j){let W;if(g.isFunction(l)){let $=d.getRandomElement(m.connections.filter(l));W=$?Promise.resolve($):w.Event.toPromise(w.Event.filter(m.onDidAddConnection,l))}else W=l.routeCall(m,v,D);const _=W.then($=>$.channelClient.getChannel(c));return B(_).call(v,D,j)},listen(v,D){if(g.isFunction(l))return m.getMulticastEvent(c,l,v,D);const j=l.routeEvent(m,v,D).then(W=>W.channelClient.getChannel(c));return B(j).listen(v,D)}}}getMulticastEvent(c,l,m,v){const D=this;let j=new A.DisposableStore;const W=new w.Emitter({onFirstListenerAdd:()=>{j=new A.DisposableStore;const _=new w.EventMultiplexer,$=new Map,H=ee=>{const de=ee.channelClient.getChannel(c).listen(m,v),me=_.add(de);$.set(ee,me)},X=ee=>{const ie=$.get(ee);!ie||(ie.dispose(),$.delete(ee))};D.connections.filter(l).forEach(H),w.Event.filter(D.onDidAddConnection,l)(H,void 0,j),D.onDidRemoveConnection(X,void 0,j),_.event(W.fire,W,j),j.add(_)},onLastListenerRemove:()=>{j.dispose()}});return W.event}registerChannel(c,l){this.channels.set(c,l),this._connections.forEach(m=>{m.channelServer.registerChannel(c,l)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}t.IPCServer=F;class U{constructor(c,l,m=null){const v=new y;a(v,l),c.send(v.buffer),this.channelClient=new M(c,m),this.channelServer=new h(c,l,m)}getChannel(c){return this.channelClient.getChannel(c)}registerChannel(c,l){this.channelServer.registerChannel(c,l)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}t.IPCClient=U;function B(N){return{call(c,l,m){return N.then(v=>v.call(c,l,m))},listen(c,l){const m=new w.Relay;return N.then(v=>m.input=v.listen(c,l)),m.event}}}t.getDelayedChannel=B;function K(N){let c=!1;return{call(l,m,v){return c?N.call(l,m,v):T.timeout(0).then(()=>c=!0).then(()=>N.call(l,m,v))},listen(l,m){if(c)return N.listen(l,m);const v=new w.Relay;return T.timeout(0).then(()=>c=!0).then(()=>v.input=N.listen(l,m)),v.event}}}t.getNextTickChannel=K;class Z{constructor(c){this.fn=c}routeCall(c){return this.route(c)}routeEvent(c){return this.route(c)}async route(c){for(const l of c.connections)if(await Promise.resolve(this.fn(l.ctx)))return Promise.resolve(l);return await w.Event.toPromise(c.onDidAddConnection),await this.route(c)}}t.StaticRouter=Z;var ae;(function(N){function c(v,D){const j=v,W=D&&D.disableMarshalling,_=new Map;for(const $ in j)m($)&&_.set($,w.Event.buffer(j[$],!0));return new class{listen($,H){const X=_.get(H);if(X)return X;throw new Error(`Event not found: ${H}`)}call($,H,X){const ee=j[H];if(typeof ee=="function"){if(!W&&Array.isArray(X))for(let ie=0;ie<X.length;ie++)X[ie]=I.revive(X[ie]);return ee.apply(j,X)}throw new Error(`Method not found: ${H}`)}}}N.fromService=c;function l(v,D){const j=D&&D.disableMarshalling;return new Proxy({},{get(W,_){var $;if(typeof _=="string")return(($=D==null?void 0:D.properties)===null||$===void 0?void 0:$.has(_))?D.properties.get(_):m(_)?v.listen(_):async function(...H){let X;D&&!g.isUndefinedOrNull(D.context)?X=[D.context,...H]:X=H;const ee=await v.call(_,X);return j?ee:I.revive(ee)};throw new Error(`Property not found: ${String(_)}`)}})}N.toService=l;function m(v){return v[0]==="o"&&v[1]==="n"&&f.isUpperAsciiLetter(v.charCodeAt(2))}})(ae=t.ProxyChannel||(t.ProxyChannel={}));const re=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function Y(N){if(Array.isArray(N))return N;if(N&&typeof N=="object"&&typeof N.toString=="function"){let c=N.toString();if(c!=="[object Object]")return c}return N}function le(N){return Array.isArray(N)?N.map(Y):Y(N)}function ne(N,c,l,m,v,D,j){j=le(j);const W=re[v],_=W[m%W.length];let $=[`%c[${N}]%c[${String(c).padStart(7," ")}]%c[len: ${String(l).padStart(5," ")}]%c${String(m).padStart(5," ")} - ${D}`,"color: darkgreen","color: grey","color: grey",`color: ${_}`];/\($/.test(D)?($=$.concat(j),$.push(")")):$.push(j),console.log.apply(console,$)}t.logWithColors=ne;class z{constructor(c,l){this._outgoingPrefix=c,this._incomingPrefix=l,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(c,l,m,v,D){this._totalOutgoing+=c,ne(this._outgoingPrefix,this._totalOutgoing,c,l,m,v,D)}logIncoming(c,l,m,v,D){this._totalIncoming+=c,ne(this._incomingPrefix,this._totalIncoming,c,l,m,v,D)}}t.IPCLogger=z}),define(J[64],Q([0,1,2,11,4,8]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InMemoryStorageDatabase=t.Storage=t.StorageHint=void 0;var k;(function(I){I[I.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(k=t.StorageHint||(t.StorageHint={}));var C;(function(I){I[I.None=0]="None",I[I.Initialized=1]="Initialized",I[I.Closed=2]="Closed"})(C||(C={}));class d extends w.Disposable{constructor(f,O=Object.create(null)){super();this.database=f,this.options=O,this._onDidChangeStorage=this._register(new A.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=C.None,this.cache=new Map,this.flushDelayer=new T.ThrottledDelayer(d.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){var O,S;(O=f.changed)===null||O===void 0||O.forEach((u,R)=>this.accept(R,u)),(S=f.deleted)===null||S===void 0||S.forEach(u=>this.accept(u,void 0))}accept(f,O){if(this.state!==C.Closed){let S=!1;b.isUndefinedOrNull(O)?S=this.cache.delete(f):this.cache.get(f)!==O&&(this.cache.set(f,O),S=!0),S&&this._onDidChangeStorage.fire(f)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===C.None&&(this.state=C.Initialized,this.options.hint!==k.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,O){const S=this.cache.get(f);return b.isUndefinedOrNull(S)?O:S}getBoolean(f,O){const S=this.get(f);return b.isUndefinedOrNull(S)?O:S==="true"}getNumber(f,O){const S=this.get(f);return b.isUndefinedOrNull(S)?O:parseInt(S,10)}async set(f,O){if(this.state!==C.Closed){if(b.isUndefinedOrNull(O))return this.delete(f);const S=String(O);if(this.cache.get(f)!==S)return this.cache.set(f,S),this.pendingInserts.set(f,S),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(f){if(this.state!==C.Closed&&!!this.cache.delete(f))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=C.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(f){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{var O;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(O=this.whenFlushedCallbacks.pop())===null||O===void 0||O()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}t.Storage=d,d.DEFAULT_FLUSH_DELAY=100;class g{constructor(){this.onDidChangeItemsExternal=A.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((O,S)=>this.items.set(S,O)),f.delete&&f.delete.forEach(O=>this.items.delete(O))}async close(){}}t.InMemoryStorageDatabase=g}),define(J[65],Q([5,6]),function(q,t){return q.create("vs/base/common/date",t)}),define(J[66],Q([0,1,65]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalISOString=t.fromNow=void 0;const A=60,T=A*60,b=T*24,k=b*7,C=b*30,d=b*365;function g(f,O){typeof f!="number"&&(f=f.getTime());const S=Math.round((new Date().getTime()-f)/1e3);if(S<-30)return w.localize(0,null,g(new Date().getTime()+S*1e3,!1));if(S<30)return w.localize(1,null);let u;return S<A?(u=S,O?u===1?w.localize(2,null,u):w.localize(3,null,u):u===1?w.localize(4,null,u):w.localize(5,null,u)):S<T?(u=Math.floor(S/A),O?u===1?w.localize(6,null,u):w.localize(7,null,u):u===1?w.localize(8,null,u):w.localize(9,null,u)):S<b?(u=Math.floor(S/T),O?u===1?w.localize(10,null,u):w.localize(11,null,u):u===1?w.localize(12,null,u):w.localize(13,null,u)):S<k?(u=Math.floor(S/b),O?u===1?w.localize(14,null,u):w.localize(15,null,u):u===1?w.localize(16,null,u):w.localize(17,null,u)):S<C?(u=Math.floor(S/k),O?u===1?w.localize(18,null,u):w.localize(19,null,u):u===1?w.localize(20,null,u):w.localize(21,null,u)):S<d?(u=Math.floor(S/C),O?u===1?w.localize(22,null,u):w.localize(23,null,u):u===1?w.localize(24,null,u):w.localize(25,null,u)):(u=Math.floor(S/d),O?u===1?w.localize(26,null,u):w.localize(27,null,u):u===1?w.localize(28,null,u):w.localize(29,null,u))}t.fromNow=g;function I(f){return f.getFullYear()+"-"+String(f.getMonth()+1).padStart(2,"0")+"-"+String(f.getDate()).padStart(2,"0")+"T"+String(f.getHours()).padStart(2,"0")+":"+String(f.getMinutes()).padStart(2,"0")+":"+String(f.getSeconds()).padStart(2,"0")+"."+(f.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}t.toLocalISOString=I}),define(J[67],Q([5,6]),function(q,t){return q.create("vs/base/common/errorMessage",t)}),define(J[30],Q([0,1,67,8,20]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toErrorMessage=void 0;function b(g,I){return I&&(g.stack||g.stacktrace)?w.localize(0,null,C(g),k(g.stack)||k(g.stacktrace)):C(g)}function k(g){return Array.isArray(g)?g.join(`
`):g}function C(g){return typeof g.code=="string"&&typeof g.errno=="number"&&typeof g.syscall=="string"?w.localize(1,null,g.message):g.message||w.localize(2,null)}function d(g=null,I=!1){if(!g)return w.localize(3,null);if(Array.isArray(g)){const f=T.coalesce(g),O=d(f[0],I);return f.length>1?w.localize(4,null,O,f.length):O}if(A.isString(g))return g;if(g.detail){const f=g.detail;if(f.error)return b(f.error,I);if(f.exception)return b(f.exception,I)}return g.stack?b(g,I):g.message?g.message:w.localize(5,null)}t.toErrorMessage=d}),define(J[68],Q([5,6]),function(q,t){return q.create("vs/base/node/processes",t)}),define(J[69],Q([0,1,3,14,12,34,68,8,19,32,17,44,9]),function(q,t,w,A,T,b,k,C,d,g,I,f,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.win32=t.createQueuedSender=t.LineProcess=t.AbstractProcess=t.getWindowsShell=t.TerminateResponseCode=t.Source=void 0;function S(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function u(o,i){if(I.isWindows)try{const e={stdio:["pipe","pipe","ignore"]};i&&(e.cwd=i);const n=b.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],e);return new Promise(s=>{n.once("error",a=>{s({success:!1,error:a})}),n.once("exit",(a,r)=>{s(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(e){return Promise.resolve({success:!1,error:e,code:e.status?S(e.status):1})}else if(I.isLinux||I.isMacintosh)try{const e=O.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",q).fsPath;return new Promise(n=>{b.execFile(e,[o.pid.toString()],{encoding:"utf8",shell:!0},(s,a,r)=>{n(s?{success:!1,error:s}:{success:!0})})})}catch(e){return Promise.resolve({success:!1,error:e})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function R(o=process.env){return o.comspec||"cmd.exe"}t.getWindowsShell=R;class E{constructor(i,e,n,s){if(e!==void 0&&n!==void 0&&s!==void 0)this.cmd=i,this.args=e,this.shell=n,this.options=s;else{const a=i;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(process.env).forEach(r=>{a[r]=process.env[r]}),Object.keys(this.options.env).forEach(r=>{a[r]=this.options.env[r]}),this.options.env=a}}getSanitizedCommand(){let i=this.cmd.toLowerCase();const e=i.lastIndexOf(w.sep);return e!==-1&&(i=i.substring(e+1)),E.WellKnowCommands[i]?i:"other"}start(i){return I.isWindows&&(this.options&&this.options.cwd&&g.isUNC(this.options.cwd)||!this.options&&g.isUNC(process.cwd()))?Promise.reject(new Error(k.localize(0,null))):this.useExec().then(e=>{let n,s;const a=new Promise((r,h)=>{n=r,s=h});if(e){let r=this.cmd;this.args&&(r=r+" "+this.args.join(" ")),this.childProcess=b.exec(r,this.options,(h,L,M)=>{this.childProcess=null;const F=h;F&&F.killed?s({killed:this.terminateRequested,stdout:L.toString(),stderr:M.toString()}):this.handleExec(n,i,h,L,M)})}else{let r=null;const h=L=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(L,n,i,s);const M={terminated:this.terminateRequested};C.isNumber(L)&&(M.cmdCode=L),n(M)};if(this.shell&&I.isWindows){const L=d.deepClone(this.options);L.windowsVerbatimArguments=!0,L.detached=!1;let M=!1,F=!1;const U=[];let B=this.ensureQuotes(this.cmd);U.push(B.value),M=B.quoted,this.args&&this.args.forEach(Z=>{B=this.ensureQuotes(Z),U.push(B.value),F=F&&B.quoted});const K=["/s","/c"];M?F?K.push('"'+U.join(" ")+'"'):U.length>1?K.push('"'+U[0]+'" '+U.slice(1).join(" ")):K.push('"'+U[0]+'"'):K.push(U.join(" ")),r=b.spawn(R(),K,L)}else this.cmd&&(r=b.spawn(this.cmd,this.args,this.options));r&&(this.childProcess=r,this.childProcessPromise=Promise.resolve(r),this.pidResolve&&(this.pidResolve(C.isNumber(r.pid)?r.pid:-1),this.pidResolve=void 0),r.on("error",L=>{this.childProcess=null,s({terminated:this.terminateRequested,error:L})}),r.pid&&(this.childProcess.on("close",h),this.handleSpawn(r,n,i,s,!0)))}return a})}handleClose(i,e,n,s){}ensureQuotes(i){return E.regexp.test(i)?{value:'"'+i+'"',quoted:!0}:{value:i,quoted:i.length>0&&i[0]==='"'&&i[i.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(i=>i.pid,i=>-1):new Promise(i=>{this.pidResolve=i})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(i=>(this.terminateRequested=!0,u(i,this.options.cwd).then(e=>(e.success&&(this.childProcess=null),e))),i=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(i=>{if(!this.shell||!I.isWindows)return i(!1);const e=b.spawn(R(),["/s","/c"]);e.on("error",n=>i(!0)),e.on("exit",n=>i(!1))})}}t.AbstractProcess=E,E.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},E.regexp=/^[^"].* .*[^"]/;class p extends E{constructor(i,e,n,s){super(i,e,n,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(i,e,n,s,a){[s,a].forEach((r,h)=>{const L=new f.LineDecoder;L.write(r).forEach(U=>{e({line:U,source:h===0?0:1})});const F=L.end();F&&e({line:F,source:h===0?0:1})}),i({terminated:this.terminateRequested,error:n})}handleSpawn(i,e,n,s,a){const r=new f.LineDecoder,h=new f.LineDecoder;i.stdout.on("data",L=>{r.write(L).forEach(F=>n({line:F,source:0}))}),i.stderr.on("data",L=>{h.write(L).forEach(F=>n({line:F,source:1}))}),this.stdoutLineDecoder=r,this.stderrLineDecoder=h}handleClose(i,e,n,s){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&n({line:a,source:0});const r=this.stderrLineDecoder?this.stderrLineDecoder.end():null;r&&n({line:r,source:1})}}t.LineProcess=p;function y(o){let i=[],e=!1;const n=function(s){if(e){i.push(s);return}(!o.send(s,r=>{if(r&&console.error(r),e=!1,i.length>0){const h=i.slice(0);i=[],h.forEach(L=>n(L))}})||I.isWindows)&&(e=!0)};return{send:n}}t.createQueuedSender=y;var P;(function(o){async function i(e,n,s){if(w.isAbsolute(e))return e;if(n===void 0&&(n=process.cwd()),w.dirname(e)!=="."||(s===void 0&&C.isString(process.env.PATH)&&(s=process.env.PATH.split(w.delimiter)),s===void 0||s.length===0))return w.join(n,e);async function r(h){return await T.exists(h)?!(await A.promises.stat(h)).isDirectory():!1}for(let h of s){let L;if(w.isAbsolute(h)?L=w.join(h,e):L=w.join(n,h,e),await r(L))return L;let M=L+".com";if(await r(M)||(M=L+".exe",await r(M)))return M}return w.join(n,e)}o.findExecutable=i})(P=t.win32||(t.win32={}))}),define(J[46],Q([0,1,34,2,4,19,11,69,33,57,28,15,16,17]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=t.Server=void 0;class u extends d.ChannelServer{constructor(p){super({send:y=>{try{process.send&&process.send(y.buffer.toString("base64"))}catch(P){}},onMessage:k.Event.fromNodeEventEmitter(process,"message",y=>O.VSBuffer.wrap(Buffer.from(y,"base64")))},p);process.once("disconnect",()=>this.dispose())}}t.Server=u;class R{constructor(p,y){this.modulePath=p,this.options=y,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new k.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const P=y&&y.timeout?y.timeout:6e4;this.disposeDelayer=new T.Delayer(P),this.child=null,this._client=null}getChannel(p){const y=this;return{call(P,o,i){return y.requestPromise(p,P,o,i)},listen(P,o){return y.requestEvent(p,P,o)}}}requestPromise(p,y,P,o=I.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(o.isCancellationRequested)return Promise.reject(f.canceled());this.disposeDelayer.cancel();const i=this.getCachedChannel(p),e=T.createCancelablePromise(a=>i.call(y,P,a)),n=o.onCancellationRequested(()=>e.cancel()),s=A.toDisposable(()=>e.cancel());return this.activeRequests.add(s),e.finally(()=>{n.dispose(),this.activeRequests.delete(s),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),e}requestEvent(p,y,P){if(!this.disposeDelayer)return k.Event.None;this.disposeDelayer.cancel();let o;const i=new k.Emitter({onFirstListenerAdd:()=>{o=this.getCachedChannel(p).listen(y,P)(i.fire,i),this.activeRequests.add(o)},onLastListenerRemove:()=>{this.activeRequests.delete(o),o.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return i.event}get client(){if(!this._client){const p=this.options&&this.options.args?this.options.args:[],y=Object.create(null);y.env=Object.assign(Object.assign({},b.deepClone(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(y.env=Object.assign(Object.assign({},y.env),this.options.env)),this.options&&this.options.freshExecArgv&&(y.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(y.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(y.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),y.execArgv===void 0&&(y.execArgv=process.execArgv.filter(r=>!/^--inspect(-brk)?=/.test(r))),S.isMacintosh&&y.env&&delete y.env.DYLD_LIBRARY_PATH,this.child=w.fork(this.modulePath,p,y);const P=new k.Emitter;k.Event.fromNodeEventEmitter(this.child,"message",r=>r)(r=>{if(g.isRemoteConsoleLog(r)){g.log(r,`IPC Library: ${this.options.serverName}`);return}P.fire(O.VSBuffer.wrap(Buffer.from(r,"base64")))});const i=this.options.useQueue?C.createQueuedSender(this.child):this.child,e=r=>this.child&&this.child.connected&&i.send(r.buffer.toString("base64")),n=P.event,s={send:e,onMessage:n};this._client=new d.ChannelClient(s);const a=()=>this.disposeClient();process.once("exit",a),this.child.on("error",r=>console.warn('IPC "'+this.options.serverName+'" errored with '+r)),this.child.on("exit",(r,h)=>{process.removeListener("exit",a),this.activeRequests.forEach(L=>A.dispose(L)),this.activeRequests.clear(),r!==0&&h!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+r+" and signal "+h),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:r,signal:h})})}return this._client}getCachedChannel(p){let y=this.channels.get(p);return y||(y=this.client.getChannel(p),this.channels.set(p,y)),y}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}t.Client=R}),define(J[70],Q([5,6]),function(q,t){return q.create("vs/base/node/zip",t)}),define(J[71],Q([5,6]),function(q,t){return q.create("vs/platform/configuration/common/configurationRegistry",t)}),define(J[72],Q([5,6]),function(q,t){return q.create("vs/platform/extensionManagement/common/extensionManagement",t)}),define(J[73],Q([5,6]),function(q,t){return q.create("vs/platform/extensionManagement/common/extensionManagementCLIService",t)}),define(J[74],Q([5,6]),function(q,t){return q.create("vs/platform/extensionManagement/node/extensionManagementService",t)}),define(J[75],Q([5,6]),function(q,t){return q.create("vs/platform/extensionManagement/node/extensionManagementUtil",t)}),define(J[76],Q([5,6]),function(q,t){return q.create("vs/platform/extensionManagement/node/extensionsScanner",t)}),define(J[77],Q([5,6]),function(q,t){return q.create("vs/platform/extensions/common/extensionValidator",t)}),define(J[78],Q([5,6]),function(q,t){return q.create("vs/platform/files/common/fileService",t)}),define(J[79],Q([5,6]),function(q,t){return q.create("vs/platform/files/common/io",t)}),define(J[80],Q([5,6]),function(q,t){return q.create("vs/platform/files/node/diskFileSystemProvider",t)}),define(J[81],Q([5,6]),function(q,t){return q.create("vs/platform/request/common/request",t)}),define(J[82],Q([5,6]),function(q,t){return q.create("vs/platform/telemetry/common/telemetryService",t)}),define(J[83],Q([0,1,19]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.localizeManifest=void 0;const A=/^%([\w\d.-]+)%$/i;function T(b,k){const C=d=>{if(typeof d=="string"){const g=A.exec(d);if(!!g)return k[g[1]]||d}};return w.cloneAndChange(b,C)}t.localizeManifest=T}),define(J[47],Q([0,1,77]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isVersionValid=t.isEngineValid=t.isValidExtensionVersion=t.isValidVersion=t.normalizeVersion=t.parseVersion=t.isValidVersionStr=void 0;const A=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function T(f){return f=f.trim(),f==="*"||A.test(f)}t.isValidVersionStr=T;function b(f){if(!T(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let O=f.match(A);return O?{hasCaret:O[1]==="^",hasGreaterEquals:O[1]===">=",majorBase:O[2]==="x"?0:parseInt(O[2],10),majorMustEqual:O[2]!=="x",minorBase:O[4]==="x"?0:parseInt(O[4],10),minorMustEqual:O[4]!=="x",patchBase:O[6]==="x"?0:parseInt(O[6],10),patchMustEqual:O[6]!=="x",preRelease:O[8]||null}:null}t.parseVersion=b;function k(f){if(!f)return null;let O=f.majorBase,S=f.majorMustEqual,u=f.minorBase,R=f.minorMustEqual,E=f.patchBase,p=f.patchMustEqual;return f.hasCaret&&(O===0||(R=!1),p=!1),{majorBase:O,majorMustEqual:S,minorBase:u,minorMustEqual:R,patchBase:E,patchMustEqual:p,isMinimum:f.hasGreaterEquals}}t.normalizeVersion=k;function C(f,O){let S;typeof f=="string"?S=k(b(f)):S=f;let u;if(typeof O=="string"?u=k(b(O)):u=O,!S||!u)return!1;let R=S.majorBase,E=S.minorBase,p=S.patchBase,y=u.majorBase,P=u.minorBase,o=u.patchBase,i=u.majorMustEqual,e=u.minorMustEqual,n=u.patchMustEqual;return u.isMinimum?R>y?!0:R<y?!1:E>P?!0:E<P?!1:p>=o:(R===1&&y===0&&(!i||!e||!n)&&(y=1,P=0,o=0,i=!0,e=!1,n=!1),R<y?!1:R>y?!i:E<P?!1:E>P?!e:p<o?!1:p>o?!n:!0)}t.isValidVersion=C;function d(f,O,S){return O.isBuiltin||typeof O.main=="undefined"?!0:I(f,O.engines.vscode,S)}t.isValidExtensionVersion=d;function g(f,O){return f==="*"||I(O,f)}t.isEngineValid=g;function I(f,O,S=[]){let u=k(b(O));if(!u)return S.push(w.localize(0,null,O)),!1;if(u.majorBase===0){if(!u.majorMustEqual||!u.minorMustEqual)return S.push(w.localize(1,null,O)),!1}else if(!u.majorMustEqual)return S.push(w.localize(2,null,O)),!1;return C(f,u)?!0:(S.push(w.localize(3,null,f,O)),!1)}t.isVersionValid=I}),define(J[84],Q([0,1,33,46,2,9]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class k extends T.Disposable{constructor(d,g,I,f){super();this.folders=d,this.onDidFilesChange=g,this.onLogMessage=I,this.verboseLogging=f,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const d=this._register(new A.Client(b.FileAccess.asFileUri("bootstrap-fork",q).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(d.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=k.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=w.ProxyChannel.toService(w.getNextTickChannel(d.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(g=>!this.isDisposed&&this.onDidFilesChange(g))),this._register(this.service.onDidLogMessage(g=>this.onLogMessage(g))),this.setFolders(this.folders)}setVerboseLogging(d){this.verboseLogging=d,!this.isDisposed&&this.service&&this.service.setVerboseLogging(d)}error(d){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${d}`})}setFolders(d){this.folders=d,this.service&&this.service.setRoots(d)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=k,k.MAX_RESTARTS=5}),define(J[85],Q([0,1,33,46,2,9]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class k extends T.Disposable{constructor(d,g,I,f,O={}){super();this.folders=d,this.onDidFilesChange=g,this.onLogMessage=I,this.verboseLogging=f,this.watcherOptions=O,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const d=this._register(new A.Client(b.FileAccess.asFileUri("bootstrap-fork",q).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(d.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=k.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=w.ProxyChannel.toService(w.getNextTickChannel(d.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(g=>!this.isDisposed&&this.onDidFilesChange(g))),this._register(this.service.onDidLogMessage(g=>this.onLogMessage(g))),this.service.setRoots(this.folders)}error(d){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${d}`})}setVerboseLogging(d){this.verboseLogging=d,this.service&&this.service.setVerboseLogging(d)}setFolders(d){this.folders=d,this.service&&this.service.setRoots(d)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=k,k.MAX_RESTARTS=5}),define(J[86],Q([0,1,34,44,58,9]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OutOfProcessWin32FolderWatcher=void 0;class k{constructor(d,g,I,f,O){this.watchedFolder=d,this.eventCallback=I,this.logCallback=f,this.verboseLogging=O,this.restartCounter=0,Array.isArray(g)?this.ignored=g.map(S=>T.parse(S)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${d}`),this.startWatcher()}startWatcher(){const d=[this.watchedFolder];this.verboseLogging&&d.push("-verbose"),this.handle=w.spawn(b.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",q).fsPath,d);const g=new A.LineDecoder;this.handle.stdout.on("data",I=>{const f=[];g.write(I).forEach(O=>{const S=O.split("|");if(S.length===2){const u=Number(S[0]),R=S[1];if(u>=0&&u<3){if(this.ignored&&this.ignored.some(E=>E(R))){this.verboseLogging&&this.log(R);return}f.push({type:k.changeTypeMap[u],path:R})}else this.log(S[1])}}),f.length>0&&this.eventCallback(f)}),this.handle.on("error",I=>this.onError(I)),this.handle.stderr.on("data",I=>this.onError(I)),this.handle.on("exit",(I,f)=>this.onExit(I,f))}onError(d){this.error("process error: "+d.toString())}onExit(d,g){this.handle&&(this.error(`terminated unexpectedly (code: ${d}, signal: ${g})`),this.restartCounter<=k.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(d){this.logCallback({type:"error",message:`[File Watcher (C#)] ${d}`})}log(d){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${d}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}t.OutOfProcessWin32FolderWatcher=k,k.MAX_RESTARTS=5,k.changeTypeMap=[0,1,2]}),define(J[87],Q([0,1,86,3,18]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class b{constructor(C,d,g,I){this.onDidFilesChange=d,this.onLogMessage=g,this.verboseLogging=I,this.service=void 0,this.folder=C[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(A.posix.sep)&&(this.folder.path=T.rtrim(this.folder.path,A.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new w.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,C=>this.onFileEvents(C),C=>this.onLogMessage(C),this.verboseLogging)}setVerboseLogging(C){this.verboseLogging=C,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(C){this.isDisposed||C.length>0&&this.onDidFilesChange(C)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}t.FileWatcher=b}),define(J[48],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createSyncDescriptor=t.SyncDescriptor=void 0;class w{constructor(b,k=[],C=!1){this.ctor=b,this.staticArguments=k,this.supportsDelayedInstantiation=C}}t.SyncDescriptor=w;const A=(T,...b)=>new w(T,b);t.createSyncDescriptor=A}),define(J[88],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Graph=t.Node=void 0;class w{constructor(b){this.incoming=new Map,this.outgoing=new Map,this.data=b}}t.Node=w;class A{constructor(b){this._hashFn=b,this._nodes=new Map}roots(){const b=[];for(let k of this._nodes.values())k.outgoing.size===0&&b.push(k);return b}insertEdge(b,k){const C=this.lookupOrInsertNode(b),d=this.lookupOrInsertNode(k);C.outgoing.set(this._hashFn(k),d),d.incoming.set(this._hashFn(b),C)}removeNode(b){const k=this._hashFn(b);this._nodes.delete(k);for(let C of this._nodes.values())C.outgoing.delete(k),C.incoming.delete(k)}lookupOrInsertNode(b){const k=this._hashFn(b);let C=this._nodes.get(k);return C||(C=new w(b),this._nodes.set(k,C)),C}lookup(b){return this._nodes.get(this._hashFn(b))}isEmpty(){return this._nodes.size===0}toString(){let b=[];for(let[k,C]of this._nodes)b.push(`${k}, (incoming)[${[...C.incoming.keys()].join(", ")}], (outgoing)[${[...C.outgoing.keys()].join(",")}]`);return b.join(`
`)}}t.Graph=A}),define(J[89],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDownloadService=void 0,t.IDownloadService=w.createDecorator("downloadService")}),define(J[22],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.INativeEnvironmentService=t.IEnvironmentService=void 0,t.IEnvironmentService=w.createDecorator("environmentService"),t.INativeEnvironmentService=w.createDecorator("nativeEnvironmentService")}),define(J[23],Q([0,1,72,7,9]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtensionManagementCLIService=t.PreferencesLocalizedLabel=t.PreferencesLabel=t.ExtensionsChannelId=t.ExtensionsLocalizedLabel=t.ExtensionsLabel=t.DefaultIconPath=t.IExtensionTipsService=t.IGlobalExtensionEnablementService=t.ENABLED_EXTENSIONS_STORAGE_PATH=t.DISABLED_EXTENSIONS_STORAGE_PATH=t.IExtensionManagementService=t.ExtensionManagementError=t.INSTALL_ERROR_INCOMPATIBLE=t.INSTALL_ERROR_MALICIOUS=t.INSTALL_ERROR_NOT_SUPPORTED=t.IExtensionGalleryService=t.InstallOperation=t.StatisticType=t.SortOrder=t.SortBy=t.isIExtensionIdentifier=t.EXTENSION_IDENTIFIER_REGEX=t.EXTENSION_IDENTIFIER_PATTERN=void 0,t.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",t.EXTENSION_IDENTIFIER_REGEX=new RegExp(t.EXTENSION_IDENTIFIER_PATTERN);function b(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}t.isIExtensionIdentifier=b;var k;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=5]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(k=t.SortBy||(t.SortBy={}));var C;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(C=t.SortOrder||(t.SortOrder={}));var d;(function(f){f.Uninstall="uninstall"})(d=t.StatisticType||(t.StatisticType={}));var g;(function(f){f[f.None=0]="None",f[f.Install=1]="Install",f[f.Update=2]="Update"})(g=t.InstallOperation||(t.InstallOperation={})),t.IExtensionGalleryService=A.createDecorator("extensionGalleryService"),t.INSTALL_ERROR_NOT_SUPPORTED="notsupported",t.INSTALL_ERROR_MALICIOUS="malicious",t.INSTALL_ERROR_INCOMPATIBLE="incompatible";class I extends Error{constructor(O,S){super(O);this.code=S}}t.ExtensionManagementError=I,t.IExtensionManagementService=A.createDecorator("extensionManagementService"),t.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",t.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",t.IGlobalExtensionEnablementService=A.createDecorator("IGlobalExtensionEnablementService"),t.IExtensionTipsService=A.createDecorator("IExtensionTipsService"),t.DefaultIconPath=T.FileAccess.asBrowserUri("./media/defaultIcon.png",q).toString(!0),t.ExtensionsLabel=w.localize(0,null),t.ExtensionsLocalizedLabel={value:t.ExtensionsLabel,original:"Extensions"},t.ExtensionsChannelId="extensions",t.PreferencesLabel=w.localize(1,null),t.PreferencesLocalizedLabel={value:t.PreferencesLabel,original:"Preferences"},t.IExtensionManagementCLIService=A.createDecorator("IExtensionManagementCLIService")}),define(J[35],Q([0,1,18,7]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IBuiltinExtensionsScannerService=t.isAuthenticaionProviderExtension=t.isLanguagePackExtension=t.ExtensionIdentifier=t.ExtensionType=t.EXTENSION_CATEGORIES=t.isIExtensionIdentifier=t.BUILTIN_MANIFEST_CACHE_FILE=t.USER_MANIFEST_CACHE_FILE=t.MANIFEST_CACHE_FOLDER=void 0,t.MANIFEST_CACHE_FOLDER="CachedExtensions",t.USER_MANIFEST_CACHE_FILE="user",t.BUILTIN_MANIFEST_CACHE_FILE="builtin";function T(g){return g&&typeof g=="object"&&typeof g.id=="string"&&(!g.uuid||typeof g.uuid=="string")}t.isIExtensionIdentifier=T,t.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var b;(function(g){g[g.System=0]="System",g[g.User=1]="User"})(b=t.ExtensionType||(t.ExtensionType={}));class k{constructor(I){this.value=I,this._lower=I.toLowerCase()}static equals(I,f){if(typeof I=="undefined"||I===null)return typeof f=="undefined"||f===null;if(typeof f=="undefined"||f===null)return!1;if(typeof I=="string"||typeof f=="string"){let O=typeof I=="string"?I:I.value,S=typeof f=="string"?f:f.value;return w.equalsIgnoreCase(O,S)}return I._lower===f._lower}static toKey(I){return typeof I=="string"?I.toLowerCase():I._lower}}t.ExtensionIdentifier=k;function C(g){return g.contributes&&g.contributes.localizations?g.contributes.localizations.length>0:!1}t.isLanguagePackExtension=C;function d(g){return g.contributes&&g.contributes.authentication?g.contributes.authentication.length>0:!1}t.isAuthenticaionProviderExtension=d,t.IBuiltinExtensionsScannerService=A.createDecorator("IBuiltinExtensionsScannerService")}),define(J[26],Q([0,1,18,35]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMaliciousExtensionsSet=t.BetterMergeId=t.getGalleryExtensionTelemetryData=t.getLocalExtensionTelemetryData=t.groupByExtension=t.getGalleryExtensionId=t.adoptToGalleryExtensionId=t.getExtensionId=t.ExtensionIdentifierWithVersion=t.areSameExtensions=void 0;function T(S,u){return S.uuid&&u.uuid?S.uuid===u.uuid:S.id===u.id?!0:w.compareIgnoreCase(S.id,u.id)===0}t.areSameExtensions=T;class b{constructor(u,R){this.version=R,this.id=u.id,this.uuid=u.uuid}key(){return`${this.id}-${this.version}`}equals(u){return u instanceof b?T(this,u)&&this.version===u.version:!1}}t.ExtensionIdentifierWithVersion=b;function k(S,u){return`${S}.${u}`}t.getExtensionId=k;function C(S){return S.toLocaleLowerCase()}t.adoptToGalleryExtensionId=C;function d(S,u){return C(k(S,u))}t.getGalleryExtensionId=d;function g(S,u){const R=[],E=p=>{for(const y of R)if(y.some(P=>T(u(P),u(p))))return y;return null};for(const p of S){const y=E(p);y?y.push(p):R.push([p])}return R}t.groupByExtension=g;function I(S){return{id:S.identifier.id,name:S.manifest.name,galleryId:null,publisherId:S.publisherId,publisherName:S.manifest.publisher,publisherDisplayName:S.publisherDisplayName,dependencies:S.manifest.extensionDependencies&&S.manifest.extensionDependencies.length>0}}t.getLocalExtensionTelemetryData=I;function f(S){return Object.assign({id:S.identifier.id,name:S.name,galleryId:S.identifier.uuid,publisherId:S.publisherId,publisherName:S.publisher,publisherDisplayName:S.publisherDisplayName,dependencies:!!(S.properties.dependencies&&S.properties.dependencies.length>0)},S.telemetryData)}t.getGalleryExtensionTelemetryData=f,t.BetterMergeId=new A.ExtensionIdentifier("pprice.better-merge");function O(S){const u=new Set;for(const R of S)R.malicious&&u.add(R.id.id);return u}t.getMaliciousExtensionsSet=O}),define(J[90],Q([0,1,2,3,35,12]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsManifestCache=void 0;class k extends w.Disposable{constructor(d,g){super();this.environmentService=d,this.extensionsManifestCache=A.join(this.environmentService.userDataPath,T.MANIFEST_CACHE_FOLDER,T.USER_MANIFEST_CACHE_FILE),this._register(g.onDidInstallExtension(I=>this.onDidInstallExtension(I))),this._register(g.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtension(d){d.error||this.invalidate()}onDidUnInstallExtension(d){d.error||this.invalidate()}invalidate(){b.rimraf(this.extensionsManifestCache,b.RimRafMode.MOVE).then(()=>{},()=>{})}}t.ExtensionsManifestCache=k}),define(J[49],Q([0,1,79,16,24,15]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.readFileIntoStream=void 0;async function k(I,f,O,S,u,R){let E;try{await C(I,f,O,S,u,R)}catch(p){E=p}finally{E&&u.errorTransformer&&(E=u.errorTransformer(E)),O.end(E)}}t.readFileIntoStream=k;async function C(I,f,O,S,u,R){d(R);const E=await I.open(f,{create:!1});try{d(R);let p=0,y=0,P=u&&typeof u.length=="number"?u.length:void 0,o=A.VSBuffer.alloc(Math.min(u.bufferSize,typeof P=="number"?P:u.bufferSize)),i=u&&typeof u.position=="number"?u.position:0,e=0;do y=await I.read(E,i,o.buffer,e,o.byteLength-e),i+=y,e+=y,p+=y,typeof P=="number"&&(P-=y),e===o.byteLength&&(await O.write(S(o)),o=A.VSBuffer.alloc(Math.min(u.bufferSize,typeof P=="number"?P:u.bufferSize)),e=0);while(y>0&&(typeof P!="number"||P>0)&&d(R)&&g(p,u));if(e>0){let n=e;typeof P=="number"&&(n=Math.min(e,P)),O.write(S(o.slice(0,n)))}}catch(p){throw T.ensureFileSystemProviderError(p)}finally{await I.close(E)}}function d(I){if(I.isCancellationRequested)throw b.canceled();return!0}function g(I,f){if(f==null?void 0:f.limits){if(typeof f.limits.memory=="number"&&I>f.limits.memory)throw T.createFileSystemProviderError(w.localize(0,null),T.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof f.limits.size=="number"&&I>f.limits.size)throw T.createFileSystemProviderError(w.localize(1,null),T.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(J[50],Q([0,1,10,24,17]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.normalizeFileChanges=t.toFileChanges=void 0;function b(d){return d.map(g=>({type:g.type,resource:w.URI.file(g.path)}))}t.toFileChanges=b;function k(d){const g=new C;for(const I of d)g.processEvent(I);return g.normalize()}t.normalizeFileChanges=k;class C{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(g){const I=this.mapPathToChange.get(g.path);if(I){const f=I.type,O=g.type;f===1&&O===2?(this.mapPathToChange.delete(g.path),this.normalized.splice(this.normalized.indexOf(I),1)):f===2&&O===1?I.type=0:f===1&&O===0||(I.type=O)}else this.normalized.push(g),this.mapPathToChange.set(g.path,g)}normalize(){const g=[],I=[];return this.normalized.filter(f=>f.type!==2?(g.push(f),!1):!0).sort((f,O)=>f.path.length-O.path.length).filter(f=>I.some(O=>A.isParent(f.path,O,!T.isLinux))?!1:(I.push(f.path),!0)).concat(g)}}}),define(J[91],Q([0,1,50,2,12,61,63,4,3]),function(q,t,w,A,T,b,k,C,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class g extends A.Disposable{constructor(f,O,S,u){super();this.path=f,this.onDidFilesChange=O,this.onLogMessage=S,this.verboseLogging=u,this.fileChangesDelayer=this._register(new C.ThrottledDelayer(k.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(f){this.verboseLogging=f}async startWatching(){try{const{stat:f,symbolicLink:O}=await T.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let S=this.path;if(O)try{S=await b.realpath(S)}catch(u){if(this.onError(u),O.dangling)return}f.isDirectory()?this._register(k.watchFolder(S,(u,R)=>{this.onFileChange({type:u==="changed"?0:u==="added"?1:2,path:d.join(this.path,d.basename(R))})},u=>this.onError(u))):this._register(k.watchFile(S,u=>{this.onFileChange({type:u==="changed"?0:2,path:this.path})},u=>this.onError(u)))}catch(f){f.code!=="ENOENT"&&this.onError(f)}}onFileChange(f){this.fileChangesBuffer.push(f),this.verboseLogging&&this.onVerbose(`${f.type===1?"[ADDED]":f.type===2?"[DELETED]":"[CHANGED]"} ${f.path}`),this.fileChangesDelayer.trigger(async()=>{const O=this.fileChangesBuffer;this.fileChangesBuffer=[];const S=w.normalizeFileChanges(O);this.verboseLogging&&S.forEach(u=>{this.onVerbose(`>> normalized ${u.type===1?"[ADDED]":u.type===2?"[DELETED]":"[CHANGED]"} ${u.path}`)}),S.length>0&&this.onDidFilesChange(S)})}onError(f){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${f}`})}onVerbose(f){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${f}`})}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=g}),define(J[51],Q([0,1]),function(q,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ServiceCollection=void 0;class w{constructor(...T){this._entries=new Map;for(let[b,k]of T)this.set(b,k)}set(T,b){const k=this._entries.get(T);return this._entries.set(T,b),k}has(T){return this._entries.has(T)}get(T){return this._entries.get(T)}}t.ServiceCollection=w}),define(J[92],Q([0,1,15,88,48,7,51,4]),function(q,t,w,A,T,b,k,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InstantiationService=void 0;const d=!1;class g extends Error{constructor(u){super("cyclic dependency between services");this.message=u.toString()}}class I{constructor(u=new k.ServiceCollection,R=!1,E){this._activeInstantiations=new Set,this._services=u,this._strict=R,this._parent=E,this._services.set(b.IInstantiationService,this)}createChild(u){return new I(u,this._strict,this)}invokeFunction(u,...R){let E=O.traceInvocation(u),p=!1;try{return u({get:(P,o)=>{if(p)throw w.illegalState("service accessor is only valid during the invocation of its target method");const i=this._getOrCreateServiceInstance(P,E);if(!i&&o!==b.optional)throw new Error(`[invokeFunction] unknown service '${P}'`);return i}},...R)}finally{p=!0,E.stop()}}createInstance(u,...R){let E,p;return u instanceof T.SyncDescriptor?(E=O.traceCreation(u.ctor),p=this._createInstance(u.ctor,u.staticArguments.concat(R),E)):(E=O.traceCreation(u),p=this._createInstance(u,R,E)),E.stop(),p}_createInstance(u,R=[],E){let p=b._util.getServiceDependencies(u).sort((o,i)=>o.index-i.index),y=[];for(const o of p){let i=this._getOrCreateServiceInstance(o.id,E);if(!i&&this._strict&&!o.optional)throw new Error(`[createInstance] ${u.name} depends on UNKNOWN service ${o.id}.`);y.push(i)}let P=p.length>0?p[0].index:R.length;if(R.length!==P){console.warn(`[createInstance] First service dependency of ${u.name} at position ${P+1} conflicts with ${R.length} static arguments`);let o=P-R.length;o>0?R=R.concat(new Array(o)):R=R.slice(0,P)}return new u(...[...R,...y])}_setServiceInstance(u,R){if(this._services.get(u)instanceof T.SyncDescriptor)this._services.set(u,R);else if(this._parent)this._parent._setServiceInstance(u,R);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(u){let R=this._services.get(u);return!R&&this._parent?this._parent._getServiceInstanceOrDescriptor(u):R}_getOrCreateServiceInstance(u,R){let E=this._getServiceInstanceOrDescriptor(u);return E instanceof T.SyncDescriptor?this._safeCreateAndCacheServiceInstance(u,E,R.branch(u,!0)):(R.branch(u,!1),E)}_safeCreateAndCacheServiceInstance(u,R,E){if(this._activeInstantiations.has(u))throw new Error(`illegal state - RECURSIVELY instantiating service '${u}'`);this._activeInstantiations.add(u);try{return this._createAndCacheServiceInstance(u,R,E)}finally{this._activeInstantiations.delete(u)}}_createAndCacheServiceInstance(u,R,E){const p=new A.Graph(o=>o.id.toString());let y=0;const P=[{id:u,desc:R,_trace:E}];for(;P.length;){const o=P.pop();if(p.lookupOrInsertNode(o),y++>1e3)throw new g(p);for(let i of b._util.getServiceDependencies(o.desc.ctor)){let e=this._getServiceInstanceOrDescriptor(i.id);if(!e&&!i.optional&&console.warn(`[createInstance] ${u} depends on ${i.id} which is NOT registered.`),e instanceof T.SyncDescriptor){const n={id:i.id,desc:e,_trace:o._trace.branch(i.id,!0)};p.insertEdge(o,n),P.push(n)}}}for(;;){const o=p.roots();if(o.length===0){if(!p.isEmpty())throw new g(p);break}for(const{data:i}of o){if(this._getServiceInstanceOrDescriptor(i.id)instanceof T.SyncDescriptor){const n=this._createServiceInstanceWithOwner(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this._setServiceInstance(i.id,n)}p.removeNode(i)}}return this._getServiceInstanceOrDescriptor(u)}_createServiceInstanceWithOwner(u,R,E=[],p,y){if(this._services.get(u)instanceof T.SyncDescriptor)return this._createServiceInstance(R,E,p,y);if(this._parent)return this._parent._createServiceInstanceWithOwner(u,R,E,p,y);throw new Error(`illegalState - creating UNKNOWN service instance ${R.name}`)}_createServiceInstance(u,R=[],E,p){if(E){const y=new C.IdleValue(()=>this._createInstance(u,R,p));return new Proxy(Object.create(null),{get(P,o){if(o in P)return P[o];let i=y.value,e=i[o];return typeof e!="function"||(e=e.bind(i),P[o]=e),e},set(P,o,i){return y.value[o]=i,!0}})}else return this._createInstance(u,R,p)}}t.InstantiationService=I;var f;(function(S){S[S.Creation=0]="Creation",S[S.Invocation=1]="Invocation",S[S.Branch=2]="Branch"})(f||(f={}));class O{constructor(u,R){this.type=u,this.name=R,this._start=Date.now(),this._dep=[]}static traceInvocation(u){return d?new O(1,u.name||u.toString().substring(0,42).replace(/\n/g,"")):O._None}static traceCreation(u){return d?new O(0,u.name):O._None}branch(u,R){let E=new O(2,u.toString());return this._dep.push([u,R,E]),E}stop(){let u=Date.now()-this._start;O._totals+=u;let R=!1;function E(y,P){let o=[],i=new Array(y+1).join("	");for(const[e,n,s]of P._dep)if(n&&s){R=!0,o.push(`${i}CREATES -> ${e}`);let a=E(y+1,s);a&&o.push(a)}else o.push(`${i}uses -> ${e}`);return o.join(`
`)}let p=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${E(1,this)}`,`DONE, took ${u.toFixed(2)}ms (grand total ${O._totals.toFixed(2)}ms)`];(u>2||R)&&console.log(p.join(`
`))}}O._None=new class extends O{constructor(){super(-1,null)}stop(){}branch(){return this}},O._totals=0}),define(J[36],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isValidLocalization=t.ILocalizationsService=void 0,t.ILocalizationsService=w.createDecorator("localizationsService");function A(T){if(typeof T.languageId!="string"||!Array.isArray(T.translations)||T.translations.length===0)return!1;for(const b of T.translations)if(typeof b.id!="string"||typeof b.path!="string")return!1;return!(T.languageName&&typeof T.languageName!="string"||T.localizedLanguageName&&typeof T.localizedLanguageName!="string")}t.isValidLocalization=A});var ce=this&&this.__decorate||function(q,t,w,A){var T=arguments.length,b=T<3?t:A===null?A=Object.getOwnPropertyDescriptor(t,w):A,k;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")b=Reflect.decorate(q,t,w,A);else for(var C=q.length-1;C>=0;C--)(k=q[C])&&(b=(T<3?k(b):T>3?k(t,w,b):k(t,w))||b);return T>3&&b&&Object.defineProperty(t,w,b),b},fe=this&&this.__param||function(q,t){return function(w,A){t(w,A,q)}};define(J[93],Q([0,1,73,15,10,37,23,26,35,60,28,9,36]),function(q,t,w,A,T,b,k,C,d,g,I,f,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementCLIService=t.getIdAndVersion=void 0;const S=P=>w.localize(0,null,P),u=w.localize(1,null,"ms-dotnettools.csharp");function R(P,o){return o?`${P.publisher}.${P.name}@${P.version}`:`${P.publisher}.${P.name}`}const E=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function p(P){const o=E.exec(P);return o&&o[1]?[C.adoptToGalleryExtensionId(o[1]),o[2]]:[C.adoptToGalleryExtensionId(P),void 0]}t.getIdAndVersion=p;let y=class{constructor(o,i,e){this.extensionManagementService=o,this.extensionGalleryService=i,this.localizationsService=e}get location(){}async listExtensions(o,i,e=console){let n=await this.extensionManagementService.getInstalled(1);const s=d.EXTENSION_CATEGORIES.map(r=>r.toLowerCase());if(i&&i!==""){if(s.indexOf(i.toLowerCase())<0){e.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}n=n.filter(r=>r.manifest.categories?r.manifest.categories.map(L=>L.toLowerCase()).indexOf(i.toLowerCase())>-1:!1)}else if(i===""){e.log("Possible Categories: "),s.forEach(r=>{e.log(r)});return}this.location&&e.log(w.localize(2,null,this.location)),n=n.sort((r,h)=>r.identifier.id.localeCompare(h.identifier.id));let a;for(let r of n)a!==r.identifier.id&&(a=r.identifier.id,e.log(R(r.manifest,o)))}async installExtensions(o,i,e,n,s=console){const a=[],r=[];o.length&&s.log(this.location?w.localize(3,null,this.location):w.localize(4,null));const h=await this.extensionManagementService.getInstalled(1),L=(U,B)=>{const K=h.find(Z=>C.areSameExtensions(Z.identifier,{id:U}));if(K){if(!B&&!n)return s.log(w.localize(5,null,U,K.manifest.version,U)),!1;if(B&&K.manifest.version===B)return s.log(w.localize(6,null,`${U}@${B}`)),!1}return!0},M=[],F=[];for(const U of o)if(U instanceof T.URI)M.push(U);else{const[B,K]=p(U);L(B,K)&&F.push({id:B,version:K,installOptions:{isBuiltin:!1,isMachineScoped:e}})}for(const U of i){const[B,K]=p(U);L(B,K)&&F.push({id:B,version:K,installOptions:{isBuiltin:!0,isMachineScoped:!1}})}if(M.length&&await Promise.all(M.map(async U=>{try{const B=await this.installVSIX(U,n,s);B&&r.push(B)}catch(B){s.error(B.message||B.stack||B),a.push(U.toString())}})),F.length){const U=await this.getGalleryExtensions(F);await Promise.all(F.map(async B=>{const K=U.get(B.id.toLowerCase());if(K)try{const Z=await this.installFromGallery(B,K,h,n,s);Z&&r.push(Z)}catch(Z){s.error(Z.message||Z.stack||Z),a.push(B.id)}else s.error(`${S(B.version?`${B.id}@${B.version}`:B.id)}
${u}`),a.push(B.id)}))}if(r.some(U=>d.isLanguagePackExtension(U))&&await this.updateLocalizationsCache(),a.length)throw new Error(w.localize(7,null,a.join(", ")))}async installVSIX(o,i,e){const n=await this.extensionManagementService.getManifest(o);if(!n)throw new Error("Invalid vsix");if(await this.validateVSIX(n,i,e))try{return await this.extensionManagementService.install(o),e.log(w.localize(8,null,g.getBaseLabel(o))),n}catch(a){if(A.isPromiseCanceledError(a))return e.log(w.localize(9,null,g.getBaseLabel(o))),null;throw a}return null}async getGalleryExtensions(o){const i=o.filter(({version:s})=>s===void 0).map(({id:s})=>s),e=o.filter(({version:s})=>s!==void 0),n=new Map;return await Promise.all([(async()=>{(await this.extensionGalleryService.getExtensions(i,I.CancellationToken.None)).forEach(a=>n.set(a.identifier.id.toLowerCase(),a))})(),Promise.all(e.map(async({id:s,version:a})=>{const r=await this.extensionGalleryService.getCompatibleExtension({id:s},a);r&&n.set(r.identifier.id.toLowerCase(),r)}))]),n}async installFromGallery({id:o,version:i,installOptions:e},n,s,a,r){const h=await this.extensionGalleryService.getManifest(n,I.CancellationToken.None);if(h&&!this.validateExtensionKind(h,r))return null;const L=s.find(M=>C.areSameExtensions(M.identifier,n.identifier));if(L){if(n.version===L.manifest.version)return r.log(w.localize(10,null,i?`${o}@${i}`:o)),null;r.log(w.localize(11,null,o,n.version))}try{return e.isBuiltin?r.log(w.localize(12,null,o,n.version)):r.log(w.localize(13,null,o,n.version)),await this.extensionManagementService.installFromGallery(n,e),r.log(w.localize(14,null,o,n.version)),h}catch(M){if(A.isPromiseCanceledError(M))return r.log(w.localize(15,null,o)),null;throw M}}validateExtensionKind(o,i){return!0}async validateVSIX(o,i,e){const n={id:C.getGalleryExtensionId(o.publisher,o.name)},a=(await this.extensionManagementService.getInstalled(1)).find(r=>C.areSameExtensions(n,r.identifier)&&b.gt(r.manifest.version,o.version));return a&&!i?(e.log(w.localize(16,null,a.identifier.id,a.manifest.version,o.version)),!1):this.validateExtensionKind(o,e)}async uninstallExtensions(o,i,e=console){const n=async a=>{if(a instanceof T.URI){const r=await this.extensionManagementService.getManifest(a);return R(r)}return a},s=[];for(const a of o){const r=await n(a),L=(await this.extensionManagementService.getInstalled()).filter(M=>C.areSameExtensions(M.identifier,{id:r}));if(!L.length)throw new Error(`${this.notInstalled(r)}
${u}`);if(L.some(M=>M.type===0)){e.log(w.localize(17,null,r));return}if(!i&&L.some(M=>M.isBuiltin)){e.log(w.localize(18,null,r));return}e.log(w.localize(19,null,r));for(const M of L)await this.extensionManagementService.uninstall(M),s.push(M);this.location?e.log(w.localize(20,null,r,this.location)):e.log(w.localize(21,null,r))}s.some(a=>d.isLanguagePackExtension(a.manifest))&&await this.updateLocalizationsCache()}async locateExtension(o,i=console){const e=await this.extensionManagementService.getInstalled();o.forEach(n=>{e.forEach(s=>{if(s.identifier.id===n&&s.location.scheme===f.Schemas.file){i.log(s.location.fsPath);return}})})}updateLocalizationsCache(){return this.localizationsService.update()}notInstalled(o){return this.location?w.localize(22,null,o,this.location):w.localize(23,null,o)}};y=ce([fe(0,k.IExtensionManagementService),fe(1,k.IExtensionGalleryService),fe(2,O.ILocalizationsService)],y),t.ExtensionManagementCLIService=y}),define(J[13],Q([0,1,7,2,17,11,30]),function(q,t,w,A,T,b,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LogLevelToString=t.parseLogLevel=t.getLogLevel=t.NullLogService=t.LogService=t.MultiplexLogService=t.AdapterLogger=t.ConsoleLogger=t.ConsoleMainLogger=t.AbstractMessageLogger=t.AbstractLogger=t.DEFAULT_LOG_LEVEL=t.LogLevel=t.ILoggerService=t.ILogService=void 0,t.ILogService=w.createDecorator("logService"),t.ILoggerService=w.createDecorator("loggerService");function C(){return new Date().toISOString()}var d;(function(o){o[o.Trace=0]="Trace",o[o.Debug=1]="Debug",o[o.Info=2]="Info",o[o.Warning=3]="Warning",o[o.Error=4]="Error",o[o.Critical=5]="Critical",o[o.Off=6]="Off"})(d=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=d.Info;class g extends A.Disposable{constructor(){super(...arguments);this.level=t.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new b.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}t.AbstractLogger=g;class I extends g{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...e){this.checkLogLevel(d.Trace)&&this.log(d.Trace,this.format([i,...e]))}debug(i,...e){this.checkLogLevel(d.Debug)&&this.log(d.Debug,this.format([i,...e]))}info(i,...e){this.checkLogLevel(d.Info)&&this.log(d.Info,this.format([i,...e]))}warn(i,...e){this.checkLogLevel(d.Warning)&&this.log(d.Warning,this.format([i,...e]))}error(i,...e){if(this.checkLogLevel(d.Error))if(i instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=i.stack,this.log(d.Error,this.format(n))}else this.log(d.Error,this.format([i,...e]))}critical(i,...e){this.checkLogLevel(d.Critical)&&this.log(d.Critical,this.format([i,...e]))}flush(){}format(i){let e="";for(let n=0;n<i.length;n++){let s=i[n];if(typeof s=="object")try{s=JSON.stringify(s)}catch(a){}e+=(n>0?" ":"")+s}return e}}t.AbstractMessageLogger=I;class f extends g{constructor(i=t.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!T.isWindows}trace(i,...e){this.getLevel()<=d.Trace&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...e):console.log(`[main ${C()}]`,i,...e))}debug(i,...e){this.getLevel()<=d.Debug&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...e):console.log(`[main ${C()}]`,i,...e))}info(i,...e){this.getLevel()<=d.Info&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...e):console.log(`[main ${C()}]`,i,...e))}warn(i,...e){this.getLevel()<=d.Warning&&(this.useColors?console.warn(`[93m[main ${C()}][0m`,i,...e):console.warn(`[main ${C()}]`,i,...e))}error(i,...e){this.getLevel()<=d.Error&&(this.useColors?console.error(`[91m[main ${C()}][0m`,i,...e):console.error(`[main ${C()}]`,i,...e))}critical(i,...e){this.getLevel()<=d.Critical&&(this.useColors?console.error(`[90m[main ${C()}][0m`,i,...e):console.error(`[main ${C()}]`,i,...e))}dispose(){}flush(){}}t.ConsoleMainLogger=f;class O extends g{constructor(i=t.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...e){this.getLevel()<=d.Trace&&console.log("%cTRACE","color: #888",i,...e)}debug(i,...e){this.getLevel()<=d.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...e)}info(i,...e){this.getLevel()<=d.Info&&console.log("%c INFO","color: #33f",i,...e)}warn(i,...e){this.getLevel()<=d.Warning&&console.log("%c WARN","color: #993",i,...e)}error(i,...e){this.getLevel()<=d.Error&&console.log("%c  ERR","color: #f33",i,...e)}critical(i,...e){this.getLevel()<=d.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...e)}dispose(){}flush(){}}t.ConsoleLogger=O;class S extends g{constructor(i,e=t.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(e)}trace(i,...e){this.getLevel()<=d.Trace&&this.adapter.log(d.Trace,[this.extractMessage(i),...e])}debug(i,...e){this.getLevel()<=d.Debug&&this.adapter.log(d.Debug,[this.extractMessage(i),...e])}info(i,...e){this.getLevel()<=d.Info&&this.adapter.log(d.Info,[this.extractMessage(i),...e])}warn(i,...e){this.getLevel()<=d.Warning&&this.adapter.log(d.Warning,[this.extractMessage(i),...e])}error(i,...e){this.getLevel()<=d.Error&&this.adapter.log(d.Error,[this.extractMessage(i),...e])}critical(i,...e){this.getLevel()<=d.Critical&&this.adapter.log(d.Critical,[this.extractMessage(i),...e])}extractMessage(i){return typeof i=="string"?i:k.toErrorMessage(i,this.getLevel()<=d.Trace)}dispose(){}flush(){}}t.AdapterLogger=S;class u extends g{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const e of this.logServices)e.setLevel(i);super.setLevel(i)}trace(i,...e){for(const n of this.logServices)n.trace(i,...e)}debug(i,...e){for(const n of this.logServices)n.debug(i,...e)}info(i,...e){for(const n of this.logServices)n.info(i,...e)}warn(i,...e){for(const n of this.logServices)n.warn(i,...e)}error(i,...e){for(const n of this.logServices)n.error(i,...e)}critical(i,...e){for(const n of this.logServices)n.critical(i,...e)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}t.MultiplexLogService=u;class R extends A.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...e){this.logger.trace(i,...e)}debug(i,...e){this.logger.debug(i,...e)}info(i,...e){this.logger.info(i,...e)}warn(i,...e){this.logger.warn(i,...e)}error(i,...e){this.logger.error(i,...e)}critical(i,...e){this.logger.critical(i,...e)}flush(){this.logger.flush()}}t.LogService=R;class E{constructor(){this.onDidChangeLogLevel=new b.Emitter().event}setLevel(i){}getLevel(){return d.Info}trace(i,...e){}debug(i,...e){}info(i,...e){}warn(i,...e){}error(i,...e){}critical(i,...e){}dispose(){}flush(){}}t.NullLogService=E;function p(o){if(o.verbose)return d.Trace;if(typeof o.logLevel=="string"){const i=y(o.logLevel.toLowerCase());if(i!==void 0)return i}return t.DEFAULT_LOG_LEVEL}t.getLogLevel=p;function y(o){switch(o){case"trace":return d.Trace;case"debug":return d.Debug;case"info":return d.Info;case"warn":return d.Warning;case"error":return d.Error;case"critical":return d.Critical;case"off":return d.Off}}t.parseLogLevel=y;function P(o){switch(o){case d.Trace:return"trace";case d.Debug:return"debug";case d.Info:return"info";case d.Warning:return"warn";case d.Error:return"error";case d.Critical:return"critical";case d.Off:return"off"}}t.LogLevelToString=P}),define(J[94],Q([0,1,14,2,24,23,22,10,21,26,13,38,37,17,4]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsDownloader=void 0;const R=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let E=class extends A.Disposable{constructor(y,P,o,i){super();this.fileService=P,this.extensionGalleryService=o,this.logService=i,this.extensionsDownloadDir=C.URI.file(y.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(y,P){await this.cleanUpPromise;const o=this.getName(y),i=d.joinPath(this.extensionsDownloadDir,o);if(!await this.fileService.exists(i)){const e=d.joinPath(this.extensionsDownloadDir,`.${o}`);await this.fileService.exists(e)||await this.extensionGalleryService.download(y,e,P),await this.rename(e,i,Date.now()+2*60*1e3)}return i}async delete(y){}async rename(y,P,o){try{await w.promises.rename(y.fsPath,P.fsPath)}catch(i){if(S.isWindows&&i&&i.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${y} to ${P} with 'EPERM' error. Trying again...`),this.rename(y,P,o);throw i}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const y=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(y.children){const P=[],o=[];for(const n of y.children){const s=this.parse(n.name);s&&o.push([s,n])}const i=g.groupByExtension(o,([n])=>n),e=[];for(const n of i)n.sort((s,a)=>O.rcompare(s[0].version,a[0].version)),P.push(...n.slice(1).map(s=>s[1].resource)),e.push(n[0][1]);e.sort((n,s)=>n.mtime-s.mtime),P.push(...e.slice(0,Math.max(0,e.length-this.cache)).map(n=>n.resource)),await u.Promises.settled(P.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(y){this.logService.error(y)}}getName(y){return this.cache?new g.ExtensionIdentifierWithVersion(y.identifier,y.version).key().toLowerCase():f.generateUuid()}parse(y){const P=R.exec(y);return P&&P[1]&&P[2]?new g.ExtensionIdentifierWithVersion({id:P[1]},P[2]):null}};E=ce([fe(0,k.INativeEnvironmentService),fe(1,T.IFileService),fe(2,b.IExtensionGalleryService),fe(3,I.ILogService)],E),t.ExtensionsDownloader=E}),define(J[95],Q([0,1,2,13,34,30,3,4,11,9,12,22]),function(q,t,w,A,T,b,k,C,d,g,I,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsLifecycle=void 0;let O=class extends w.Disposable{constructor(u,R){super();this.environmentService=u,this.logService=R,this.processesLimiter=new C.Limiter(5)}async postUninstall(u){const R=this.parseScript(u,"uninstall");return R&&(this.logService.info(u.identifier.id,u.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(R.script,"uninstall",R.args,!0,u).then(()=>this.logService.info(u.identifier.id,u.manifest.version,"Finished running post uninstall script"),E=>this.logService.error(u.identifier.id,u.manifest.version,`Failed to run post uninstall script: ${E}`)))),I.rimraf(this.getExtensionStoragePath(u)).then(void 0,E=>this.logService.error("Error while removing extension storage path",E))}parseScript(u,R){const E=`vscode:${R}`;if(u.location.scheme===g.Schemas.file&&u.manifest&&u.manifest.scripts&&typeof u.manifest.scripts[E]=="string"){const p=u.manifest.scripts[E].split(" ");return p.length<2||p[0]!=="node"||!p[1]?(this.logService.warn(u.identifier.id,u.manifest.version,`${E} should be a node script`),null):{script:k.join(u.location.fsPath,p[1]),args:p.slice(2)||[]}}return null}runLifecycleHook(u,R,E,p,y){return new Promise((P,o)=>{const i=this.start(u,R,E,y);let e;const n=s=>{e&&(clearTimeout(e),e=null),s?o(s):P(void 0)};i.on("error",s=>{n(b.toErrorMessage(s)||"Unknown")}),i.on("exit",(s,a)=>{n(s?`post-${R} process exited with code ${s}`:void 0)}),p&&(e=setTimeout(()=>{e=null,i.kill(),o("timed out")},5e3))})}start(u,R,E,p){const y={silent:!0,execArgv:void 0},P=T.fork(u,[`--type=extension-post-${R}`,...E],y);P.stdout.setEncoding("utf8"),P.stderr.setEncoding("utf8");const o=d.Event.fromNodeEventEmitter(P.stdout,"data"),i=d.Event.fromNodeEventEmitter(P.stderr,"data");o(s=>this.logService.info(p.identifier.id,p.manifest.version,`post-${R}`,s)),i(s=>this.logService.error(p.identifier.id,p.manifest.version,`post-${R}`,s));const e=d.Event.any(d.Event.map(o,s=>({data:`%c${s}`,format:[""]})),d.Event.map(i,s=>({data:`%c${s}`,format:["color: red"]})));return d.Event.debounce(e,(s,a)=>s?{data:s.data+a.data,format:[...s.format,...a.format]}:{data:a.data,format:a.format},100)(s=>{console.group(p.identifier.id),console.log(s.data,...s.format),console.groupEnd()}),P}getExtensionStoragePath(u){return k.join(this.environmentService.globalStorageHome.fsPath,u.identifier.id.toLowerCase())}};O=ce([fe(0,f.IEnvironmentService),fe(1,A.ILogService)],O),t.ExtensionsLifecycle=O}),define(J[96],Q([0,1,78,122,2,24,11,21,43,20,13,16,31,4,28,9,49,123]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileService=void 0;let y=class extends T.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new k.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new k.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new k.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new k.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new k.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueues=new Map}registerProvider(o,i){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);A.mark(`code/registerFilesystem/${o}`),this.provider.set(o,i),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:i});const e=new T.DisposableStore;return e.add(i.onDidChangeFile(n=>this._onDidFilesChange.fire(new b.FileChangesEvent(n,!this.isPathCaseSensitive(i))))),e.add(i.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:i,scheme:o}))),typeof i.onDidErrorOccur=="function"&&e.add(i.onDidErrorOccur(n=>this._onError.fire(new Error(n)))),T.toDisposable(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:i}),this.provider.delete(o),T.dispose(e)})}async activateProvider(o){const i=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(e){e&&i.push(e)}}),!this.provider.has(o)&&await S.Promises.settled(i)}canHandleResource(o){return this.provider.has(o.scheme)}hasCapability(o,i){const e=this.provider.get(o.scheme);return!!(e&&e.capabilities&i)}listCapabilities(){return p.Iterable.map(this.provider,([o,i])=>({scheme:o,capabilities:i.capabilities}))}async withProvider(o){if(!C.isAbsolutePath(o))throw new b.FileOperationError(w.localize(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const i=this.provider.get(o.scheme);if(!i){const e=new Error;throw e.name="ENOPRO",e.message=w.localize(1,null,o.toString()),e}return i}async withReadProvider(o){const i=await this.withProvider(o);if(b.hasOpenReadWriteCloseCapability(i)||b.hasReadWriteCapability(i)||b.hasFileReadStreamCapability(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const i=await this.withProvider(o);if(b.hasOpenReadWriteCloseCapability(i)||b.hasReadWriteCapability(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,i){try{return await this.doResolveFile(o,i)}catch(e){throw b.toFileSystemProviderErrorCode(e)===b.FileSystemProviderErrorCode.FileNotFound?new b.FileOperationError(w.localize(2,null,this.resourceForError(o)),1):b.ensureFileSystemProviderError(e)}}async doResolveFile(o,i){const e=await this.withProvider(o),n=this.isPathCaseSensitive(e),s=i==null?void 0:i.resolveTo,a=i==null?void 0:i.resolveSingleChildDescendants,r=i==null?void 0:i.resolveMetadata,h=await e.stat(o);let L;return this.toFileStat(e,o,h,void 0,!!r,(M,F)=>(L||(L=d.TernarySearchTree.forUris(()=>!n),L.set(o,!0),g.isNonEmptyArray(s)&&s.forEach(U=>L.set(U,!0))),Boolean(L.findSuperstr(M.resource)||L.get(M.resource))?!0:M.isDirectory&&a?F===1:!1))}async toFileStat(o,i,e,n,s,a){const{providerExtUri:r}=this.getExtUri(o),h={resource:i,name:r.basename(i),isFile:(e.type&b.FileType.File)!=0,isDirectory:(e.type&b.FileType.Directory)!=0,isSymbolicLink:(e.type&b.FileType.SymbolicLink)!=0,mtime:e.mtime,ctime:e.ctime,size:e.size,etag:b.etag({mtime:e.mtime,size:e.size})};if(h.isDirectory&&a(h,n)){try{const L=await o.readdir(i),M=await S.Promises.settled(L.map(async([F,U])=>{try{const B=r.joinPath(i,F),K=s?await o.stat(B):{type:U};return await this.toFileStat(o,B,K,L.length,s,a)}catch(B){return this.logService.trace(B),null}}));h.children=g.coalesce(M)}catch(L){this.logService.trace(L),h.children=[]}return h}return h}async resolveAll(o){return S.Promises.settled(o.map(async i=>{try{return{stat:await this.doResolveFile(i.resource,i.options),success:!0}}catch(e){return this.logService.trace(e),{stat:void 0,success:!1}}}))}async exists(o){const i=await this.withProvider(o);try{return!!await i.stat(o)}catch(e){return!1}}async canCreateFile(o,i){try{await this.doValidateCreateFile(o,i)}catch(e){return e}return!0}async doValidateCreateFile(o,i){if(!(i==null?void 0:i.overwrite)&&await this.exists(o))throw new b.FileOperationError(w.localize(3,null,this.resourceForError(o)),3,i)}async createFile(o,i=f.VSBuffer.fromString(""),e){await this.doValidateCreateFile(o,e);const n=await this.writeFile(o,i);return this._onDidRunOperation.fire(new b.FileOperationEvent(o,0,n)),n}async writeFile(o,i,e){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:s}=this.getExtUri(n);try{await this.validateWriteFile(n,o,e)||await this.mkdirp(n,s.dirname(o));let r;if(b.hasReadWriteCapability(n)&&!(i instanceof f.VSBuffer))if(O.isReadableStream(i)){const h=await O.peekStream(i,3);h.ended?r=f.VSBuffer.concat(h.buffer):r=h}else r=O.peekReadable(i,h=>f.VSBuffer.concat(h),3);else r=i;!b.hasOpenReadWriteCloseCapability(n)||b.hasReadWriteCapability(n)&&r instanceof f.VSBuffer?await this.doWriteUnbuffered(n,o,r):await this.doWriteBuffered(n,o,r instanceof f.VSBuffer?f.bufferToReadable(r):r)}catch(a){throw new b.FileOperationError(w.localize(4,null,this.resourceForError(o),b.ensureFileSystemProviderError(a).toString()),b.toFileOperationResult(a),e)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,i,e){let n;try{n=await o.stat(i)}catch(s){return}if((n.type&b.FileType.Directory)!=0)throw new b.FileOperationError(w.localize(5,null,this.resourceForError(i)),0,e);if(e&&typeof e.mtime=="number"&&typeof e.etag=="string"&&e.etag!==b.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&e.mtime<n.mtime&&e.etag!==b.etag({mtime:e.mtime,size:n.size}))throw new b.FileOperationError(w.localize(6,null),3,e);return n}async readFile(o,i){const e=await this.withReadProvider(o),n=await this.doReadAsFileStream(e,o,Object.assign(Object.assign({},i),{preferUnbuffered:!0}));return Object.assign(Object.assign({},n),{value:await f.streamToBuffer(n.value)})}async readFileStream(o,i){const e=await this.withReadProvider(o);return this.doReadAsFileStream(e,o,i)}async doReadAsFileStream(o,i,e){const n=new u.CancellationTokenSource,s=this.validateReadFile(i,e).then(r=>r,r=>{throw n.cancel(),r});let a;try{e&&typeof e.etag=="string"&&e.etag!==b.ETAG_DISABLED&&await s,!(b.hasOpenReadWriteCloseCapability(o)||b.hasFileReadStreamCapability(o))||b.hasReadWriteCapability(o)&&(e==null?void 0:e.preferUnbuffered)?a=this.readFileUnbuffered(o,i,e):b.hasFileReadStreamCapability(o)?a=this.readFileStreamed(o,i,n.token,e):a=this.readFileBuffered(o,i,n.token,e);const r=await s;return Object.assign(Object.assign({},r),{value:a})}catch(r){throw a&&await O.consumeStream(a),new b.FileOperationError(w.localize(7,null,this.resourceForError(i),b.ensureFileSystemProviderError(r).toString()),b.toFileOperationResult(r),e)}}readFileStreamed(o,i,e,n=Object.create(null)){const s=o.readFileStream(i,n,e);return O.transform(s,{data:a=>a instanceof f.VSBuffer?a:f.VSBuffer.wrap(a),error:a=>new b.FileOperationError(w.localize(8,null,this.resourceForError(i),b.ensureFileSystemProviderError(a).toString()),b.toFileOperationResult(a),n)},a=>f.VSBuffer.concat(a))}readFileBuffered(o,i,e,n=Object.create(null)){const s=f.newWriteableBufferStream();return E.readFileIntoStream(o,i,s,a=>a,Object.assign(Object.assign({},n),{bufferSize:this.BUFFER_SIZE,errorTransformer:a=>new b.FileOperationError(w.localize(9,null,this.resourceForError(i),b.ensureFileSystemProviderError(a).toString()),b.toFileOperationResult(a),n)}),e),s}readFileUnbuffered(o,i,e){const n=O.newWriteableStream(s=>f.VSBuffer.concat(s));return(async()=>{try{let s=await o.readFile(i);e&&typeof e.position=="number"&&(s=s.slice(e.position)),e&&typeof e.length=="number"&&(s=s.slice(0,e.length)),this.validateReadFileLimits(i,s.byteLength,e),n.end(f.VSBuffer.wrap(s))}catch(s){n.error(s),n.end()}})(),n}async validateReadFile(o,i){const e=await this.resolve(o,{resolveMetadata:!0});if(e.isDirectory)throw new b.FileOperationError(w.localize(10,null,this.resourceForError(o)),0,i);if(i&&typeof i.etag=="string"&&i.etag!==b.ETAG_DISABLED&&i.etag===e.etag)throw new b.FileOperationError(w.localize(11,null),2,i);return this.validateReadFileLimits(o,e.size,i),e}validateReadFileLimits(o,i,e){if(e==null?void 0:e.limits){let n;if(typeof e.limits.memory=="number"&&i>e.limits.memory&&(n=9),typeof e.limits.size=="number"&&i>e.limits.size&&(n=7),typeof n=="number")throw new b.FileOperationError(w.localize(12,null,this.resourceForError(o)),n)}}async canMove(o,i,e){return this.doCanMoveCopy(o,i,"move",e)}async canCopy(o,i,e){return this.doCanMoveCopy(o,i,"copy",e)}async doCanMoveCopy(o,i,e,n){if(o.toString()!==i.toString())try{const s=e==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i);await this.doValidateMoveCopy(s,o,a,i,e,n)}catch(s){return s}return!0}async move(o,i,e){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),a=await this.doMoveCopy(n,o,s,i,"move",!!e),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(o,a==="move"?2:3,r)),r}async copy(o,i,e){const n=await this.withReadProvider(o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),a=await this.doMoveCopy(n,o,s,i,"copy",!!e),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(o,a==="copy"?3:2,r)),r}async doMoveCopy(o,i,e,n,s,a){if(i.toString()===n.toString())return s;const{exists:r,isSameResourceWithDifferentPathCase:h}=await this.doValidateMoveCopy(o,i,e,n,s,a);if(r&&!h&&a&&await this.del(n,{recursive:!0}),await this.mkdirp(e,this.getExtUri(e).providerExtUri.dirname(n)),s==="copy"){if(o===e&&b.hasFileFolderCopyCapability(o))await o.copy(i,n,{overwrite:a});else{const L=await this.resolve(i);L.isDirectory?await this.doCopyFolder(o,L,e,n):await this.doCopyFile(o,i,e,n)}return s}else return o===e?(await o.rename(i,n,{overwrite:a}),s):(await this.doMoveCopy(o,i,e,n,"copy",a),await this.del(i,{recursive:!0}),"copy")}async doCopyFile(o,i,e,n){if(b.hasOpenReadWriteCloseCapability(o)&&b.hasOpenReadWriteCloseCapability(e))return this.doPipeBuffered(o,i,e,n);if(b.hasOpenReadWriteCloseCapability(o)&&b.hasReadWriteCapability(e))return this.doPipeBufferedToUnbuffered(o,i,e,n);if(b.hasReadWriteCapability(o)&&b.hasOpenReadWriteCloseCapability(e))return this.doPipeUnbufferedToBuffered(o,i,e,n);if(b.hasReadWriteCapability(o)&&b.hasReadWriteCapability(e))return this.doPipeUnbuffered(o,i,e,n)}async doCopyFolder(o,i,e,n){await e.mkdir(n),Array.isArray(i.children)&&await S.Promises.settled(i.children.map(async s=>{const a=this.getExtUri(e).providerExtUri.joinPath(n,s.name);return s.isDirectory?this.doCopyFolder(o,await this.resolve(s.resource),e,a):this.doCopyFile(o,s.resource,e,a)}))}async doValidateMoveCopy(o,i,e,n,s,a){let r=!1;if(o===e){const{providerExtUri:L,isPathCaseSensitive:M}=this.getExtUri(o);if(M||(r=L.isEqual(i,n)),r&&s==="copy")throw new Error(w.localize(13,null,this.resourceForError(i),this.resourceForError(n)));if(!r&&L.isEqualOrParent(n,i))throw new Error(w.localize(14,null,this.resourceForError(i),this.resourceForError(n)))}const h=await this.exists(n);if(h&&!r){if(!a)throw new b.FileOperationError(w.localize(15,null,this.resourceForError(i),this.resourceForError(n)),4);if(o===e){const{providerExtUri:L}=this.getExtUri(o);if(L.isEqualOrParent(i,n))throw new Error(w.localize(16,null,this.resourceForError(i),this.resourceForError(n)))}}return{exists:h,isSameResourceWithDifferentPathCase:r}}getExtUri(o){const i=this.isPathCaseSensitive(o);return{providerExtUri:i?C.extUri:C.extUriIgnorePathCase,isPathCaseSensitive:i}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const i=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(i,o);const e=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(o,0,e)),e}async mkdirp(o,i){const e=[],{providerExtUri:n}=this.getExtUri(o);for(;!n.isEqual(i,n.dirname(i));)try{if(((await o.stat(i)).type&b.FileType.Directory)==0)throw new Error(w.localize(17,null,this.resourceForError(i)));break}catch(s){if(b.toFileSystemProviderErrorCode(s)!==b.FileSystemProviderErrorCode.FileNotFound)throw s;e.push(n.basename(i)),i=n.dirname(i)}for(let s=e.length-1;s>=0;s--){i=n.joinPath(i,e[s]);try{await o.mkdir(i)}catch(a){if(b.toFileSystemProviderErrorCode(a)!==b.FileSystemProviderErrorCode.FileExists)throw a}}}async canDelete(o,i){try{await this.doValidateDelete(o,i)}catch(e){return e}return!0}async doValidateDelete(o,i){const e=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!(i==null?void 0:i.useTrash)&&!(e.capabilities&4096))throw new Error(w.localize(18,null,this.resourceForError(o)));const s=await this.exists(o);if(!s)throw new b.FileOperationError(w.localize(19,null,this.resourceForError(o)),1);if(!!!(i==null?void 0:i.recursive)&&s){const r=await this.resolve(o);if(r.isDirectory&&Array.isArray(r.children)&&r.children.length>0)throw new Error(w.localize(20,null,this.resourceForError(o)))}return e}async del(o,i){const e=await this.doValidateDelete(o,i),n=!!(i==null?void 0:i.useTrash),s=!!(i==null?void 0:i.recursive);await e.delete(o,{recursive:s,useTrash:n}),this._onDidRunOperation.fire(new b.FileOperationEvent(o,1))}watch(o,i={recursive:!1,excludes:[]}){let e=!1,n=()=>{e=!0};return this.doWatch(o,i).then(s=>{e?T.dispose(s):n=()=>T.dispose(s)},s=>this.logService.error(s)),T.toDisposable(()=>n())}async doWatch(o,i){const e=await this.withProvider(o),n=this.toWatchKey(e,o,i),s=this.activeWatchers.get(n)||{count:0,disposable:e.watch(o,i)};return this.activeWatchers.has(n)||this.activeWatchers.set(n,s),s.count+=1,T.toDisposable(()=>{s.count--,s.count===0&&(T.dispose(s.disposable),this.activeWatchers.delete(n))})}toWatchKey(o,i,e){const{providerExtUri:n}=this.getExtUri(o);return[n.getComparisonKey(i),String(e.recursive),e.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(o=>T.dispose(o.disposable)),this.activeWatchers.clear()}ensureWriteQueue(o,i){const{providerExtUri:e}=this.getExtUri(o),n=e.getComparisonKey(i);let s=this.writeQueues.get(n);return s||(s=new S.Queue,this.writeQueues.set(n,s),k.Event.once(s.onFinished)(()=>{this.writeQueues.delete(n),T.dispose(s)})),s}async doWriteBuffered(o,i,e){return this.ensureWriteQueue(o,i).queue(async()=>{const n=await o.open(i,{create:!0});try{O.isReadableStream(e)||O.isReadableBufferedStream(e)?await this.doWriteStreamBufferedQueued(o,n,e):await this.doWriteReadableBufferedQueued(o,n,e)}catch(s){throw b.ensureFileSystemProviderError(s)}finally{await o.close(n)}})}async doWriteStreamBufferedQueued(o,i,e){let n=0,s;if(O.isReadableBufferedStream(e)){if(e.buffer.length>0){const a=f.VSBuffer.concat(e.buffer);await this.doWriteBuffer(o,i,a,a.byteLength,n,0),n+=a.byteLength}if(e.ended)return;s=e.stream}else s=e;return new Promise(async(a,r)=>{O.listenStream(s,{onData:async h=>{s.pause();try{await this.doWriteBuffer(o,i,h,h.byteLength,n,0)}catch(L){return r(L)}n+=h.byteLength,setTimeout(()=>s.resume())},onError:h=>r(h),onEnd:()=>a()})})}async doWriteReadableBufferedQueued(o,i,e){let n=0,s;for(;(s=e.read())!==null;)await this.doWriteBuffer(o,i,s,s.byteLength,n,0),n+=s.byteLength}async doWriteBuffer(o,i,e,n,s,a){let r=0;for(;r<n;)r+=await o.write(i,s+r,e.buffer,a+r,n-r)}async doWriteUnbuffered(o,i,e){return this.ensureWriteQueue(o,i).queue(()=>this.doWriteUnbufferedQueued(o,i,e))}async doWriteUnbufferedQueued(o,i,e){let n;e instanceof f.VSBuffer?n=e:O.isReadableStream(e)?n=await f.streamToBuffer(e):O.isReadableBufferedStream(e)?n=await f.bufferedStreamToBuffer(e):n=f.readableToBuffer(e),await o.writeFile(i,n.buffer,{create:!0,overwrite:!0})}async doPipeBuffered(o,i,e,n){return this.ensureWriteQueue(e,n).queue(()=>this.doPipeBufferedQueued(o,i,e,n))}async doPipeBufferedQueued(o,i,e,n){let s,a;try{s=await o.open(i,{create:!1}),a=await e.open(n,{create:!0});const r=f.VSBuffer.alloc(this.BUFFER_SIZE);let h=0,L=0,M=0;do M=await o.read(s,h,r.buffer,L,r.byteLength-L),await this.doWriteBuffer(e,a,r,M,h,L),h+=M,L+=M,L===r.byteLength&&(L=0);while(M>0)}catch(r){throw b.ensureFileSystemProviderError(r)}finally{await S.Promises.settled([typeof s=="number"?o.close(s):Promise.resolve(),typeof a=="number"?e.close(a):Promise.resolve()])}}async doPipeUnbuffered(o,i,e,n){return this.ensureWriteQueue(e,n).queue(()=>this.doPipeUnbufferedQueued(o,i,e,n))}async doPipeUnbufferedQueued(o,i,e,n){return e.writeFile(n,await o.readFile(i),{create:!0,overwrite:!0})}async doPipeUnbufferedToBuffered(o,i,e,n){return this.ensureWriteQueue(e,n).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,i,e,n))}async doPipeUnbufferedToBufferedQueued(o,i,e,n){const s=await e.open(n,{create:!0});try{const a=await o.readFile(i);await this.doWriteBuffer(e,s,f.VSBuffer.wrap(a),a.byteLength,0,0)}catch(a){throw b.ensureFileSystemProviderError(a)}finally{await e.close(s)}}async doPipeBufferedToUnbuffered(o,i,e,n){const s=await f.streamToBuffer(this.readFileBuffered(o,i,u.CancellationToken.None));await this.doWriteUnbuffered(e,n,s)}throwIfFileSystemIsReadonly(o,i){if(o.capabilities&2048)throw new b.FileOperationError(w.localize(21,null,this.resourceForError(i)),6);return o}resourceForError(o){return o.scheme===R.Schemas.file?o.fsPath:o.toString(!0)}};y=ce([fe(0,I.ILogService)],y),t.FileService=y}),define(J[97],Q([0,1,14,124,2,24,11,17,12,3,21,32,4,13,80,50,85,87,84,91,31,49,20,16]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p,y,P,o,i,e,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiskFileSystemProvider=void 0;class s extends T.Disposable{constructor(r,h){var L;super();this.logService=r,this.options=h,this.BUFFER_SIZE=((L=this.options)===null||L===void 0?void 0:L.bufferSize)||64*1024,this.onDidChangeCapabilities=k.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Set,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new k.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new k.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new O.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8,C.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(r){try{const{stat:h,symbolicLink:L}=await d.SymlinkSupport.stat(this.toFilePath(r));return{type:this.toType(h,L),ctime:h.birthtime.getTime(),mtime:h.mtime.getTime(),size:h.size}}catch(h){throw this.toFileSystemProviderError(h)}}async readdir(r){try{const h=await d.readdir(this.toFilePath(r),{withFileTypes:!0}),L=[];return await Promise.all(h.map(async M=>{try{let F;M.isSymbolicLink()?F=(await this.stat(I.joinPath(r,M.name))).type:F=this.toType(M),L.push([M.name,F])}catch(F){this.logService.trace(F)}})),L}catch(h){throw this.toFileSystemProviderError(h)}}toType(r,h){let L;return(h==null?void 0:h.dangling)?L=b.FileType.Unknown:r.isFile()?L=b.FileType.File:r.isDirectory()?L=b.FileType.Directory:L=b.FileType.Unknown,h&&(L|=b.FileType.SymbolicLink),L}async readFile(r){try{const h=this.toFilePath(r);return await w.promises.readFile(h)}catch(h){throw this.toFileSystemProviderError(h)}}readFileStream(r,h,L){const M=o.newWriteableStream(F=>n.VSBuffer.concat(F.map(U=>n.VSBuffer.wrap(U))).buffer);return i.readFileIntoStream(this,r,M,F=>F.buffer,Object.assign(Object.assign({},h),{bufferSize:this.BUFFER_SIZE}),L),M}async writeFile(r,h,L){let M;try{const F=this.toFilePath(r);if(!L.create||!L.overwrite){if(await d.exists(F)){if(!L.overwrite)throw b.createFileSystemProviderError(u.localize(0,null),b.FileSystemProviderErrorCode.FileExists)}else if(!L.create)throw b.createFileSystemProviderError(u.localize(1,null),b.FileSystemProviderErrorCode.FileNotFound)}M=await this.open(r,{create:!0}),await this.write(M,0,h,0,h.byteLength)}catch(F){throw this.toFileSystemProviderError(F)}finally{typeof M=="number"&&await this.close(M)}}async open(r,h){try{const L=this.toFilePath(r);let M;if(h.create){if(C.isWindows)try{await w.promises.truncate(L,0),M="r+"}catch(U){U.code!=="ENOENT"&&this.logService.trace(U)}M||(M="w")}else M="r";const F=await A.promisify(w.open)(L,M);return this.mapHandleToPos.set(F,0),h.create&&this.writeHandles.add(F),F}catch(L){throw this.toFileSystemProviderError(L)}}async close(r){try{if(this.mapHandleToPos.delete(r),this.writeHandles.delete(r)&&this.canFlush)try{await A.promisify(w.fdatasync)(r)}catch(h){this.canFlush=!1,this.logService.error(h)}return await A.promisify(w.close)(r)}catch(h){throw this.toFileSystemProviderError(h)}}async read(r,h,L,M,F){const U=this.normalizePos(r,h);let B=null;try{const K=await A.promisify(w.read)(r,L,M,F,U);return typeof K=="number"?B=K:B=K.bytesRead,B}catch(K){throw this.toFileSystemProviderError(K)}finally{this.updatePos(r,U,B)}}normalizePos(r,h){return h===this.mapHandleToPos.get(r)?null:h}updatePos(r,h,L){const M=this.mapHandleToPos.get(r);typeof M=="number"&&(typeof h=="number"||(typeof L=="number"?this.mapHandleToPos.set(r,M+L):this.mapHandleToPos.delete(r)))}async write(r,h,L,M,F){return O.retry(()=>this.doWrite(r,h,L,M,F),100,3)}async doWrite(r,h,L,M,F){const U=this.normalizePos(r,h);let B=null;try{const K=await A.promisify(w.write)(r,L,M,F,U);return typeof K=="number"?B=K:B=K.bytesWritten,B}catch(K){throw this.toFileSystemProviderError(K)}finally{this.updatePos(r,U,B)}}async mkdir(r){try{await w.promises.mkdir(this.toFilePath(r))}catch(h){throw this.toFileSystemProviderError(h)}}async delete(r,h){try{const L=this.toFilePath(r);await this.doDelete(L,h)}catch(L){throw this.toFileSystemProviderError(L)}}async doDelete(r,h){h.recursive?await d.rimraf(r,d.RimRafMode.MOVE):await w.promises.unlink(r)}async rename(r,h,L){const M=this.toFilePath(r),F=this.toFilePath(h);if(M!==F)try{await this.validateTargetDeleted(r,h,"move",L.overwrite),await d.move(M,F)}catch(U){throw(U.code==="EINVAL"||U.code==="EBUSY"||U.code==="ENAMETOOLONG")&&(U=new Error(u.localize(2,null,g.basename(M),g.basename(g.dirname(F)),U.toString()))),this.toFileSystemProviderError(U)}}async copy(r,h,L){const M=this.toFilePath(r),F=this.toFilePath(h);if(M!==F)try{await this.validateTargetDeleted(r,h,"copy",L.overwrite),await d.copy(M,F,{preserveSymlinks:!0})}catch(U){throw(U.code==="EINVAL"||U.code==="EBUSY"||U.code==="ENAMETOOLONG")&&(U=new Error(u.localize(3,null,g.basename(M),g.basename(g.dirname(F)),U.toString()))),this.toFileSystemProviderError(U)}}async validateTargetDeleted(r,h,L,M){const F=this.toFilePath(r),U=this.toFilePath(h);let B=!1;if(!!(this.capabilities&1024)||(B=f.isEqual(F,U,!0)),B&&L==="copy")throw b.createFileSystemProviderError(u.localize(4,null),b.FileSystemProviderErrorCode.FileExists);if(!B&&await d.exists(U)){if(!M)throw b.createFileSystemProviderError(u.localize(5,null),b.FileSystemProviderErrorCode.FileExists);await this.delete(h,{recursive:!0,useTrash:!1})}}watch(r,h){return h.recursive?this.watchRecursive(r,h.excludes):this.watchNonRecursive(r)}watchRecursive(r,h){const L={path:this.toFilePath(r),excludes:h},M=e.insert(this.recursiveFoldersToWatch,L);return this.refreshRecursiveWatchers(),T.toDisposable(()=>{M(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var r,h,L;if(this.recursiveWatcher instanceof y.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if(T.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let M,F;((h=(r=this.options)===null||r===void 0?void 0:r.watcher)===null||h===void 0?void 0:h.usePolling)?(M=E.FileWatcher,F=(L=this.options)===null||L===void 0?void 0:L.watcher):this.recursiveFoldersToWatch.length===1?C.isWindows?M=p.FileWatcher:M=E.FileWatcher:M=y.FileWatcher,this.recursiveWatcher=new M(this.recursiveFoldersToWatch,U=>this._onDidChangeFile.fire(R.toFileChanges(U)),U=>{U.type==="error"&&this._onDidWatchErrorOccur.fire(U.message),this.logService[U.type](U.message)},this.logService.getLevel()===S.LogLevel.Trace,F),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===S.LogLevel.Trace)}))}}watchNonRecursive(r){const h=new P.FileWatcher(this.toFilePath(r),M=>this._onDidChangeFile.fire(R.toFileChanges(M)),M=>{M.type==="error"&&this._onDidWatchErrorOccur.fire(M.message),this.logService[M.type](M.message)},this.logService.getLevel()===S.LogLevel.Trace),L=this.logService.onDidChangeLogLevel(()=>{h.setVerboseLogging(this.logService.getLevel()===S.LogLevel.Trace)});return T.combinedDisposable(h,L)}toFilePath(r){return g.normalize(r.fsPath)}toFileSystemProviderError(r){if(r instanceof b.FileSystemProviderError)return r;let h;switch(r.code){case"ENOENT":h=b.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":h=b.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":h=b.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":h=b.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":h=b.FileSystemProviderErrorCode.NoPermissions;break;default:h=b.FileSystemProviderErrorCode.Unknown}return b.createFileSystemProviderError(r,h)}dispose(){super.dispose(),T.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,T.dispose(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}t.DiskFileSystemProvider=s}),define(J[98],Q([0,1,12,14,125,23,2,22,4,26,13,36,20,11,9,3]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LocalizationsService=void 0;let E=class extends k.Disposable{constructor(P,o,i){super();this.extensionManagementService=P,this.logService=i,this._onDidLanguagesChange=this._register(new S.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new p(o,i)),this._register(P.onDidInstallExtension(({local:e})=>this.onDidInstallExtension(e))),this._register(P.onDidUninstallExtension(({identifier:e})=>this.onDidUninstallExtension(e)))}getLanguageIds(){return this.cache.getLanguagePacks().then(P=>{const o=["en",...Object.keys(P)];return O.distinct(o)})}onDidInstallExtension(P){P&&P.manifest&&P.manifest.contributes&&P.manifest.contributes.localizations&&P.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",P.identifier.id),this.update().then(o=>{o&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(P){this.cache.getLanguagePacks().then(o=>{Object.keys(o).some(i=>o[i]&&o[i].extensions.some(e=>g.areSameExtensions(e.extensionIdentifier,P)))&&(this.logService.debug("Removing language packs from the extension",P.id),this.update().then(i=>{i&&this._onDidLanguagesChange.fire()}))})}async update(){const[P,o]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),i=await this.cache.update(o);return!O.equals(Object.keys(P),Object.keys(i))}};E=ce([fe(0,b.IExtensionManagementService),fe(1,C.INativeEnvironmentService),fe(2,I.ILogService)],E),t.LocalizationsService=E;let p=class extends k.Disposable{constructor(P,o){super();this.logService=o,this.languagePacks={},this.languagePacksFilePath=R.join(P.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new d.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(P){return this.withLanguagePacks(o=>{Object.keys(o).forEach(i=>delete o[i]),this.createLanguagePacksFromExtensions(o,...P)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(P,...o){for(const i of o)i&&i.manifest&&i.manifest.contributes&&i.manifest.contributes.localizations&&i.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(P,i);Object.keys(P).forEach(i=>this.updateHash(P[i]))}createLanguagePacksFromExtension(P,o){const i=o.identifier,e=o.manifest.contributes&&o.manifest.contributes.localizations?o.manifest.contributes.localizations:[];for(const n of e)if(o.location.scheme===u.Schemas.file&&f.isValidLocalization(n)){let s=P[n.languageId];s||(s={hash:"",extensions:[],translations:{}},P[n.languageId]=s);let a=s.extensions.filter(r=>g.areSameExtensions(r.extensionIdentifier,i))[0];a?a.version=o.manifest.version:s.extensions.push({extensionIdentifier:i,version:o.manifest.version});for(const r of n.translations)s.translations[r.id]=R.join(o.location.fsPath,r.path)}}updateHash(P){if(P){const o=T.createHash("md5");for(const i of P.extensions)o.update(i.extensionIdentifier.uuid||i.extensionIdentifier.id).update(i.version);P.hash=o.digest("hex")}}withLanguagePacks(P=()=>null){return this.languagePacksFileLimiter.queue(()=>{let o=null;return A.promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,i=>i.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(i)).then(i=>{try{return JSON.parse(i)}catch(e){return{}}}).then(i=>(o=P(i),i)).then(i=>{for(const n of Object.keys(i))i[n]||delete i[n];this.languagePacks=i,this.initializedCache=!0;const e=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",e),w.writeFile(this.languagePacksFilePath,e)}).then(()=>o,i=>this.logService.error(i))})}};p=ce([fe(0,C.INativeEnvironmentService),fe(1,I.ILogService)],p)}),define(J[99],Q([0,1,13,24]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpdLogLogger=t.createRotatingLogger=void 0;async function T(d,g,I,f){try{const O=await new Promise((S,u)=>{q(["spdlog"],S,u)});return O.setAsyncMode(8192,500),O.createRotatingLoggerAsync(d,g,I,f)}catch(O){console.error(O)}return null}function b(d,g,I,f){return q.__$__nodeRequire("spdlog").createRotatingLogger(d,g,I,f)}t.createRotatingLogger=b;function k(d,g,I){switch(g){case w.LogLevel.Trace:d.trace(I);break;case w.LogLevel.Debug:d.debug(I);break;case w.LogLevel.Info:d.info(I);break;case w.LogLevel.Warning:d.warn(I);break;case w.LogLevel.Error:d.error(I);break;case w.LogLevel.Critical:d.critical(I);break;default:throw new Error("Invalid log level")}}class C extends w.AbstractMessageLogger{constructor(g,I,f,O){super();this.name=g,this.filepath=I,this.rotating=f,this.buffer=[],this.setLevel(O),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(S=>{this._logger&&this._logger.setLevel(S)}))}_createSpdLogLogger(){const g=this.rotating?6:1,I=30/g*A.ByteSize.MB;return T(this.name,this.filepath,I,g).then(f=>{if(f){this._logger=f,this._logger.setLevel(this.getLevel());for(const{level:O,message:S}of this.buffer)k(this._logger,O,S);this.buffer=[]}})}log(g,I){this._logger?k(this._logger,g,I):this.getLevel()<=g&&this.buffer.push({level:g,message:I})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}t.SpdLogLogger=C}),define(J[100],Q([0,1,45,39,62,3,21,55,66,9,10]),function(q,t,w,A,T,b,k,C,d,g,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parseUserDataDir=t.parsePathArg=t.parseSearchPort=t.parseExtensionHostPort=t.NativeEnvironmentService=void 0;class f{constructor(y){if(this._args=y,!y.logsPath){const P=d.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"");y.logsPath=b.join(this.userDataPath,"logs",P)}this.logsPath=y.logsPath}get args(){return this._args}get appRoot(){return b.dirname(g.FileAccess.asFileUri("",q).fsPath)}get userHome(){return I.URI.file(w.homedir())}get userDataPath(){const y=process.env.VSCODE_PORTABLE;return y?b.join(y,"user-data"):E(this._args,process)}get appSettingsHome(){return I.URI.file(b.join(this.userDataPath,"User"))}get tmpDir(){return I.URI.file(w.tmpdir())}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return k.joinPath(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return k.joinPath(this.userRoamingDataHome,"sync")}get userDataSyncLogResource(){return I.URI.file(b.join(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return k.joinPath(I.URI.file(b.join(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return I.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return I.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return k.joinPath(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return k.joinPath(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const y=process.env.VSCODE_PORTABLE;return y?I.URI.file(b.join(y,"argv.json")):k.joinPath(this.userHome,A.default.dataFolderName,"argv.json")}get snippetsHome(){return k.joinPath(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this._args.extensionDevelopmentPath}get untitledWorkspacesHome(){return I.URI.file(b.join(this.userDataPath,"Workspaces"))}get installSourcePath(){return b.join(this.userDataPath,"installSource")}get builtinExtensionsPath(){const y=R(this._args["builtin-extensions-dir"],process);return y||b.normalize(b.join(g.FileAccess.asFileUri("",q).fsPath,"..","extensions"))}get extensionsDownloadPath(){const y=R(this._args["extensions-download-dir"],process);return y||b.join(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const y=R(this._args["extensions-dir"],process);if(y)return y;const P=process.env.VSCODE_EXTENSIONS;if(P)return P;const o=process.env.VSCODE_PORTABLE;return o?b.join(o,"extensions"):k.joinPath(this.userHome,A.default.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const y=this._args.extensionDevelopmentPath;if(Array.isArray(y))return y.map(P=>/^[^:/?#]+?:\/\//.test(P)?I.URI.parse(P):I.URI.file(b.normalize(P)))}get extensionTestsLocationURI(){const y=this._args.extensionTestsPath;if(y)return/^[^:/?#]+?:\/\//.test(y)?I.URI.parse(y):I.URI.file(b.normalize(y))}get disableExtensions(){if(this._args["disable-extensions"])return!0;const y=this._args["disable-extension"];if(y){if(typeof y=="string")return[y];if(Array.isArray(y)&&y.length>0)return y}return!1}get debugExtensionHost(){return O(this._args,this.isBuilt)}get debugRenderer(){return!!this._args.debugRenderer}get isBuilt(){return!process.env.VSCODE_DEV}get verbose(){return!!this._args.verbose}get logLevel(){return this._args.log}get serviceMachineIdResource(){return k.joinPath(I.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this._args["crash-reporter-id"]}get crashReporterDirectory(){return this._args["crash-reporter-directory"]}get driverHandle(){return this._args.driver}get telemetryLogResource(){return I.URI.file(b.join(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this._args["disable-telemetry"]}}ce([C.memoize],f.prototype,"appRoot",null),ce([C.memoize],f.prototype,"userHome",null),ce([C.memoize],f.prototype,"userDataPath",null),ce([C.memoize],f.prototype,"appSettingsHome",null),ce([C.memoize],f.prototype,"tmpDir",null),ce([C.memoize],f.prototype,"userRoamingDataHome",null),ce([C.memoize],f.prototype,"settingsResource",null),ce([C.memoize],f.prototype,"userDataSyncHome",null),ce([C.memoize],f.prototype,"userDataSyncLogResource",null),ce([C.memoize],f.prototype,"sync",null),ce([C.memoize],f.prototype,"machineSettingsResource",null),ce([C.memoize],f.prototype,"globalStorageHome",null),ce([C.memoize],f.prototype,"workspaceStorageHome",null),ce([C.memoize],f.prototype,"keybindingsResource",null),ce([C.memoize],f.prototype,"keyboardLayoutResource",null),ce([C.memoize],f.prototype,"argvResource",null),ce([C.memoize],f.prototype,"snippetsHome",null),ce([C.memoize],f.prototype,"isExtensionDevelopment",null),ce([C.memoize],f.prototype,"untitledWorkspacesHome",null),ce([C.memoize],f.prototype,"installSourcePath",null),ce([C.memoize],f.prototype,"builtinExtensionsPath",null),ce([C.memoize],f.prototype,"extensionsPath",null),ce([C.memoize],f.prototype,"extensionDevelopmentLocationURI",null),ce([C.memoize],f.prototype,"extensionTestsLocationURI",null),ce([C.memoize],f.prototype,"debugExtensionHost",null),ce([C.memoize],f.prototype,"serviceMachineIdResource",null),ce([C.memoize],f.prototype,"telemetryLogResource",null),t.NativeEnvironmentService=f;function O(p,y){return u(p["inspect-extensions"],p["inspect-brk-extensions"],5870,y,p.debugId)}t.parseExtensionHostPort=O;function S(p,y){return u(p["inspect-search"],p["inspect-brk-search"],5876,y)}t.parseSearchPort=S;function u(p,y,P,o,i){const n=Number(y||p)||(o?null:P),s=n?Boolean(!!y):!1;return{port:n,break:s,debugId:i}}function R(p,y){if(!!p){const P=b.resolve(p);return b.normalize(p)===P?P:b.resolve(y.env.VSCODE_CWD||y.cwd(),p)}}t.parsePathArg=R;function E(p,y){return R(p["user-data-dir"],y)||b.resolve(T.getDefaultUserDataPath())}t.parseUserDataDir=E}),define(J[40],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProductService=void 0,t.IProductService=w.createDecorator("productService")}),define(J[25],Q([0,1,8,54]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class T{constructor(){this.data=new Map}add(k,C){A.ok(w.isString(k)),A.ok(w.isObject(C)),A.ok(!this.data.has(k),"There is already an extension with this id"),this.data.set(k,C)}knows(k){return this.data.has(k)}as(k){return this.data.get(k)||null}}t.Registry=new T}),define(J[101],Q([0,1,25,11]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function T(C){return C.length>0&&C.charAt(C.length-1)==="#"?C.substring(0,C.length-1):C}class b{constructor(){this._onDidChangeSchema=new A.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(d,g){this.schemasById[T(d)]=g,this._onDidChangeSchema.fire(d)}notifySchemaChanged(d){this._onDidChangeSchema.fire(d)}getSchemaContributions(){return{schemas:this.schemasById}}}const k=new b;w.Registry.add(t.Extensions.JSONContribution,k)}),define(J[29],Q([0,1,71,11,25,8,101]),function(q,t,w,A,T,b,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getScopes=t.validateProperty=t.getDefaultValue=t.overrideIdentifierFromKey=t.OVERRIDE_PROPERTY_PATTERN=t.resourceLanguageSettingsSchemaId=t.resourceSettings=t.windowSettings=t.machineOverridableSettings=t.machineSettings=t.applicationSettings=t.allSettings=t.ConfigurationScope=t.Extensions=void 0,t.Extensions={Configuration:"base.contributions.configuration"};var C;(function(E){E[E.APPLICATION=1]="APPLICATION",E[E.MACHINE=2]="MACHINE",E[E.WINDOW=3]="WINDOW",E[E.RESOURCE=4]="RESOURCE",E[E.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",E[E.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(C=t.ConfigurationScope||(t.ConfigurationScope={})),t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.machineSettings={properties:{},patternProperties:{}},t.machineOverridableSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const d=T.Registry.as(k.Extensions.JSONContribution);class g{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new A.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new A.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:w.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},d.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(p,y=!0){this.registerConfigurations([p],y)}registerConfigurations(p,y=!0){const P=[];p.forEach(o=>{P.push(...this.validateAndRegisterProperties(o,y)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),d.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(P)}deregisterConfigurations(p){const y=[],P=o=>{if(o.properties)for(const i in o.properties)y.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,o.properties[i]);o.allOf&&o.allOf.forEach(i=>P(i))};for(const o of p){P(o);const i=this.configurationContributors.indexOf(o);i!==-1&&this.configurationContributors.splice(i,1)}d.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}registerDefaultConfigurations(p){const y=[],P=[];for(const o of p)for(const i in o)if(y.push(i),t.OVERRIDE_PROPERTY_PATTERN.test(i)){this.defaultValues[i]=Object.assign(Object.assign({},this.defaultValues[i]||{}),o[i]);const e={type:"object",default:this.defaultValues[i],description:w.localize(1,null,i),$ref:t.resourceLanguageSettingsSchemaId};P.push(f(i)),this.configurationProperties[i]=e,this.defaultLanguageConfigurationOverridesNode.properties[i]=e}else{this.defaultValues[i]=o[i];const e=this.configurationProperties[i];e&&(this.updatePropertyDefaultValue(i,e),this.updateSchema(i,e))}this.registerOverrideIdentifiers(P),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}deregisterDefaultConfigurations(p){const y=[];for(const P of p)for(const o in P)if(y.push(o),delete this.defaultValues[o],t.OVERRIDE_PROPERTY_PATTERN.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const i=this.configurationProperties[o];i&&(this.updatePropertyDefaultValue(o,i),this.updateSchema(o,i))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}notifyConfigurationSchemaUpdated(...p){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(p){for(const y of p)this.overrideIdentifiers.add(y);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(p,y=!0,P=3){P=b.isUndefinedOrNull(p.scope)?P:p.scope;let o=[],i=p.properties;if(i)for(let n in i){if(y&&u(n)){delete i[n];continue}const s=i[n];if(this.updatePropertyDefaultValue(n,s),t.OVERRIDE_PROPERTY_PATTERN.test(n)?s.scope=void 0:s.scope=b.isUndefinedOrNull(s.scope)?P:s.scope,i[n].hasOwnProperty("included")&&!i[n].included){this.excludedConfigurationProperties[n]=i[n],delete i[n];continue}else this.configurationProperties[n]=i[n];!i[n].deprecationMessage&&i[n].markdownDeprecationMessage&&(i[n].deprecationMessage=i[n].markdownDeprecationMessage),o.push(n)}let e=p.allOf;if(e)for(let n of e)o.push(...this.validateAndRegisterProperties(n,y,P));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(p){const y=P=>{let o=P.properties;if(o)for(const e in o)this.updateSchema(e,o[e]);let i=P.allOf;i&&i.forEach(y)};y(p)}updateSchema(p,y){switch(t.allSettings.properties[p]=y,y.scope){case 1:t.applicationSettings.properties[p]=y;break;case 2:t.machineSettings.properties[p]=y;break;case 6:t.machineOverridableSettings.properties[p]=y;break;case 3:t.windowSettings.properties[p]=y;break;case 4:t.resourceSettings.properties[p]=y;break;case 5:t.resourceSettings.properties[p]=y,this.resourceLanguageSettingsSchema.properties[p]=y;break}}removeFromSchema(p,y){switch(delete t.allSettings.properties[p],y.scope){case 1:delete t.applicationSettings.properties[p];break;case 2:delete t.machineSettings.properties[p];break;case 6:delete t.machineOverridableSettings.properties[p];break;case 3:delete t.windowSettings.properties[p];break;case 4:case 5:delete t.resourceSettings.properties[p];break}}updateOverridePropertyPatternKey(){for(const p of this.overrideIdentifiers.values()){const y=`[${p}]`,P={type:"object",description:w.localize(2,null),errorMessage:w.localize(3,null),$ref:t.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(y,P),t.allSettings.properties[y]=P,t.applicationSettings.properties[y]=P,t.machineSettings.properties[y]=P,t.machineOverridableSettings.properties[y]=P,t.windowSettings.properties[y]=P,t.resourceSettings.properties[y]=P}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(p,y){let P=this.defaultValues[p];b.isUndefined(P)&&(P=y.default),b.isUndefined(P)&&(P=O(y.type)),y.default=P}}const I="\\[.*\\]$";t.OVERRIDE_PROPERTY_PATTERN=new RegExp(I);function f(E){return E.substring(1,E.length-1)}t.overrideIdentifierFromKey=f;function O(E){switch(Array.isArray(E)?E[0]:E){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}t.getDefaultValue=O;const S=new g;T.Registry.add(t.Extensions.Configuration,S);function u(E){return E.trim()?t.OVERRIDE_PROPERTY_PATTERN.test(E)?w.localize(5,null,E):S.getConfigurationProperties()[E]!==void 0?w.localize(6,null,E):null:w.localize(4,null)}t.validateProperty=u;function R(){const E=[],p=S.getConfigurationProperties();for(const y of Object.keys(p))E.push([y,p[y].scope]);return E.push(["launch",4]),E.push(["task",4]),E}t.getScopes=R}),define(J[27],Q([0,1,19,8,10,25,7,29]),function(q,t,w,A,T,b,k,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMigratedSettingValue=t.keyFromOverrideIdentifier=t.getDefaultValues=t.getConfigurationKeys=t.merge=t.getConfigurationValue=t.removeFromValueTree=t.addToValueTree=t.toValuesTree=t.toOverrides=t.compare=t.ConfigurationTargetToString=t.ConfigurationTarget=t.isConfigurationOverrides=t.IConfigurationService=void 0,t.IConfigurationService=k.createDecorator("configurationService");function d(n){return n&&typeof n=="object"&&(!n.overrideIdentifier||typeof n.overrideIdentifier=="string")&&(!n.resource||n.resource instanceof T.URI)}t.isConfigurationOverrides=d;var g;(function(n){n[n.USER=1]="USER",n[n.USER_LOCAL=2]="USER_LOCAL",n[n.USER_REMOTE=3]="USER_REMOTE",n[n.WORKSPACE=4]="WORKSPACE",n[n.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",n[n.DEFAULT=6]="DEFAULT",n[n.MEMORY=7]="MEMORY"})(g=t.ConfigurationTarget||(t.ConfigurationTarget={}));function I(n){switch(n){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}t.ConfigurationTargetToString=I;function f(n,s){const a=s?n?s.keys.filter(B=>n.keys.indexOf(B)===-1):[...s.keys]:[],r=n?s?n.keys.filter(B=>s.keys.indexOf(B)===-1):[...n.keys]:[],h=[];if(s&&n){for(const B of n.keys)if(s.keys.indexOf(B)!==-1){const K=p(n.contents,B),Z=p(s.contents,B);w.equals(K,Z)||h.push(B)}}const L=[],M=B=>{const K={};for(const Z of B)for(const ae of Z.identifiers)K[i(ae)]=Z;return K},F=s?M(s.overrides):{},U=n?M(n.overrides):{};if(Object.keys(F).length)for(const B of a){const K=F[B];K&&L.push([C.overrideIdentifierFromKey(B),K.keys])}if(Object.keys(U).length)for(const B of r){const K=U[B];K&&L.push([C.overrideIdentifierFromKey(B),K.keys])}if(Object.keys(F).length&&Object.keys(U).length)for(const B of h){const K=U[B],Z=F[B];if(K&&Z){const ae=f({contents:K.contents,keys:K.keys,overrides:[]},{contents:Z.contents,keys:Z.keys,overrides:[]});L.push([C.overrideIdentifierFromKey(B),[...ae.added,...ae.removed,...ae.updated]])}}return{added:a,removed:r,updated:h,overrides:L}}t.compare=f;function O(n,s){const a=[];for(const r of Object.keys(n))if(C.OVERRIDE_PROPERTY_PATTERN.test(r)){const h={};for(const L in n[r])h[L]=n[r][L];a.push({identifiers:[C.overrideIdentifierFromKey(r).trim()],keys:Object.keys(h),contents:S(h,s)})}return a}t.toOverrides=O;function S(n,s){const a=Object.create(null);for(let r in n)u(a,r,n[r],s);return a}t.toValuesTree=S;function u(n,s,a,r){const h=s.split("."),L=h.pop();let M=n;for(let F=0;F<h.length;F++){let U=h[F],B=M[U];switch(typeof B){case"undefined":B=M[U]=Object.create(null);break;case"object":break;default:r(`Ignoring ${s} as ${h.slice(0,F+1).join(".")} is ${JSON.stringify(B)}`);return}M=B}if(typeof M=="object"&&M!==null)try{M[L]=a}catch(F){r(`Ignoring ${s} as ${h.join(".")} is ${JSON.stringify(M)}`)}else r(`Ignoring ${s} as ${h.join(".")} is ${JSON.stringify(M)}`)}t.addToValueTree=u;function R(n,s){const a=s.split(".");E(n,a)}t.removeFromValueTree=R;function E(n,s){const a=s.shift();if(s.length===0){delete n[a];return}if(Object.keys(n).indexOf(a)!==-1){const r=n[a];typeof r=="object"&&!Array.isArray(r)&&(E(r,s),Object.keys(r).length===0&&delete n[a])}}function p(n,s,a){function r(M,F){let U=M;for(const B of F){if(typeof U!="object"||U===null)return;U=U[B]}return U}const h=s.split("."),L=r(n,h);return typeof L=="undefined"?a:L}t.getConfigurationValue=p;function y(n,s,a){Object.keys(s).forEach(r=>{r!=="__proto__"&&(r in n?A.isObject(n[r])&&A.isObject(s[r])?y(n[r],s[r],a):a&&(n[r]=s[r]):n[r]=s[r])})}t.merge=y;function P(){const n=b.Registry.as(C.Extensions.Configuration).getConfigurationProperties();return Object.keys(n)}t.getConfigurationKeys=P;function o(){const n=Object.create(null),s=b.Registry.as(C.Extensions.Configuration).getConfigurationProperties();for(let a in s){let r=s[a].default;u(n,a,r,h=>console.error(`Conflict in default settings: ${h}`))}return n}t.getDefaultValues=o;function i(n){return`[${n}]`}t.keyFromOverrideIdentifier=i;function e(n,s,a){const r=n.inspect(s),h=n.inspect(a);return typeof r.userValue!="undefined"||typeof r.workspaceValue!="undefined"||typeof r.workspaceFolderValue!="undefined"?r.value:typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:r.defaultValue}t.getMigratedSettingValue=e}),define(J[102],Q([0,1,56,43,20,8,19,10,29,27,25,2,11]),function(q,t,w,A,T,b,k,C,d,g,I,f,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AllKeysConfigurationChangeEvent=t.ConfigurationChangeEvent=t.mergeChanges=t.Configuration=t.UserSettings=t.ConfigurationModelParser=t.DefaultConfigurationModel=t.ConfigurationModel=void 0;class S{constructor(e={},n=[],s=[]){this._contents=e,this._keys=n,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(e){return e?g.getConfigurationValue(this.contents,e):this.contents}getOverrideValue(e,n){const s=this.getContentsForOverrideIdentifer(n);return s?e?g.getConfigurationValue(s,e):s:void 0}getKeysForOverrideIdentifier(e){for(const n of this.overrides)if(n.identifiers.indexOf(e)!==-1)return n.keys;return[]}override(e){const n=this.getContentsForOverrideIdentifer(e);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let s={};for(const a of T.distinct([...Object.keys(this.contents),...Object.keys(n)])){let r=this.contents[a],h=n[a];h&&(typeof r=="object"&&typeof h=="object"?(r=k.deepClone(r),this.mergeContents(r,h)):r=h),s[a]=r}return new S(s,this.keys,this.overrides)}merge(...e){const n=k.deepClone(this.contents),s=k.deepClone(this.overrides),a=[...this.keys];for(const r of e){this.mergeContents(n,r.contents);for(const h of r.overrides){const[L]=s.filter(M=>T.equals(M.identifiers,h.identifiers));L?this.mergeContents(L.contents,h.contents):s.push(k.deepClone(h))}for(const h of r.keys)a.indexOf(h)===-1&&a.push(h)}return new S(n,a,s)}freeze(){return this.isFrozen=!0,this}mergeContents(e,n){for(const s of Object.keys(n)){if(s in e&&b.isObject(e[s])&&b.isObject(n[s])){this.mergeContents(e[s],n[s]);continue}e[s]=k.deepClone(n[s])}}checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?k.deepFreeze(e):e}getContentsForOverrideIdentifer(e){for(const n of this.overrides)if(n.identifiers.indexOf(e)!==-1)return n.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,n){this.addKey(e),g.addToValueTree(this.contents,e,n,s=>{throw new Error(s)})}removeValue(e){this.removeKey(e)&&g.removeFromValueTree(this.contents,e)}addKey(e){let n=this.keys.length;for(let s=0;s<n;s++)e.indexOf(this.keys[s])===0&&(n=s);this.keys.splice(n,1,e)}removeKey(e){let n=this.keys.indexOf(e);return n!==-1?(this.keys.splice(n,1),!0):!1}}t.ConfigurationModel=S;class u extends S{constructor(){const e=g.getDefaultValues(),n=g.getConfigurationKeys(),s=[];for(const a of Object.keys(e))d.OVERRIDE_PROPERTY_PATTERN.test(a)&&s.push({identifiers:[d.overrideIdentifierFromKey(a).trim()],keys:Object.keys(e[a]),contents:g.toValuesTree(e[a],r=>console.error(`Conflict in default settings file: ${r}`))});super(e,n,s)}}t.DefaultConfigurationModel=u;class R{constructor(e,n){this._name=e,this._scopes=n,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new S}get errors(){return this._parseErrors}parseContent(e){if(!b.isUndefinedOrNull(e)){const n=this.doParseContent(e);this.parseRaw(n)}}parseRaw(e){this._raw=e;const n=this.doParseRaw(e);this._configurationModel=new S(n.contents,n.keys,n.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(e){let n={},s=null,a=[],r=[],h=[];function L(F){Array.isArray(a)?a.push(F):s&&(a[s]=F)}let M={onObjectBegin:()=>{let F={};L(F),r.push(a),a=F,s=null},onObjectProperty:F=>{s=F},onObjectEnd:()=>{a=r.pop()},onArrayBegin:()=>{let F=[];L(F),r.push(a),a=F,s=null},onArrayEnd:()=>{a=r.pop()},onLiteralValue:L,onError:(F,U,B)=>{h.push({error:F,offset:U,length:B})}};if(e)try{w.visit(e,M),n=a[0]||{}}catch(F){console.error(`Error while parsing settings file ${this._name}: ${F}`),this._parseErrors=[F]}return n}doParseRaw(e){if(this._scopes){const r=I.Registry.as(d.Extensions.Configuration).getConfigurationProperties();e=this.filterByScope(e,r,!0,this._scopes)}const n=g.toValuesTree(e,r=>console.error(`Conflict in settings file ${this._name}: ${r}`)),s=Object.keys(e),a=g.toOverrides(e,r=>console.error(`Conflict in settings file ${this._name}: ${r}`));return{contents:n,keys:s,overrides:a}}filterByScope(e,n,s,a){const r={};for(let h in e)if(d.OVERRIDE_PROPERTY_PATTERN.test(h)&&s)r[h]=this.filterByScope(e[h],n,!1,a);else{const L=this.getScope(h,n);(L===void 0||a.indexOf(L)!==-1)&&(r[h]=e[h])}return r}getScope(e,n){const s=n[e];return s?typeof s.scope!="undefined"?s.scope:3:void 0}}t.ConfigurationModelParser=R;class E extends f.Disposable{constructor(e,n,s,a){super();this.userSettingsResource=e,this.scopes=n,this.fileService=a,this._onDidChange=this._register(new O.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new R(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(O.Event.filter(this.fileService.onDidFilesChange,r=>r.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(e.value.toString()||"{}"),this.parser.configurationModel}catch(e){return new S}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}t.UserSettings=E;class p{constructor(e,n,s=new S,a=new S,r=new A.ResourceMap,h=new S,L=new A.ResourceMap,M=!0){this._defaultConfiguration=e,this._localUserConfiguration=n,this._remoteUserConfiguration=s,this._workspaceConfiguration=a,this._folderConfigurations=r,this._memoryConfiguration=h,this._memoryConfigurationByResource=L,this._freeze=M,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new A.ResourceMap,this._userConfiguration=null}getValue(e,n,s){return this.getConsolidateConfigurationModel(n,s).getValue(e)}updateValue(e,n,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new S,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,n===void 0?a.removeValue(e):a.setValue(e,n),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,n,s){const a=this.getConsolidateConfigurationModel(n,s),r=this.getFolderConfigurationModelForResource(n.resource,s),h=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,L=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),M=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),F=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),U=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),B=s?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,K=r?n.overrideIdentifier?r.freeze().override(n.overrideIdentifier).getValue(e):r.freeze().getValue(e):void 0,Z=n.overrideIdentifier?h.override(n.overrideIdentifier).getValue(e):h.getValue(e),ae=a.getValue(e),re=T.distinct(T.flatten(a.overrides.map(Y=>Y.identifiers))).filter(Y=>a.getOverrideValue(e,Y)!==void 0);return{defaultValue:L,userValue:M,userLocalValue:F,userRemoteValue:U,workspaceValue:B,workspaceFolderValue:K,memoryValue:Z,value:ae,default:L!==void 0?{value:this._defaultConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,user:M!==void 0?{value:this.userConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userRemote:U!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspace:B!==void 0?{value:this._workspaceConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspaceFolder:K!==void 0?{value:r==null?void 0:r.freeze().getValue(e),override:n.overrideIdentifier?r==null?void 0:r.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,memory:Z!==void 0?{value:h.getValue(e),override:n.overrideIdentifier?h.getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:re.length?re:void 0}}keys(e){const n=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,n){this._folderConfigurations.set(e,n),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,n){const s=n.filter(a=>d.OVERRIDE_PROPERTY_PATTERN.test(a)).map(a=>{const r=d.overrideIdentifierFromKey(a),h=this._defaultConfiguration.getKeysForOverrideIdentifier(r),L=e.getKeysForOverrideIdentifier(r),M=[...L.filter(F=>h.indexOf(F)===-1),...h.filter(F=>L.indexOf(F)===-1),...h.filter(F=>!k.equals(this._defaultConfiguration.override(r).getValue(F),e.override(r).getValue(F)))];return[r,M]});return this.updateDefaultConfiguration(e),{keys:n,overrides:s}}compareAndUpdateLocalUserConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=g.compare(this.localUserConfiguration,e),h=[...n,...s,...a];return h.length&&this.updateLocalUserConfiguration(e),{keys:h,overrides:r}}compareAndUpdateRemoteUserConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=g.compare(this.remoteUserConfiguration,e);let h=[...n,...s,...a];return h.length&&this.updateRemoteUserConfiguration(e),{keys:h,overrides:r}}compareAndUpdateWorkspaceConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=g.compare(this.workspaceConfiguration,e);let h=[...n,...s,...a];return h.length&&this.updateWorkspaceConfiguration(e),{keys:h,overrides:r}}compareAndUpdateFolderConfiguration(e,n){const s=this.folderConfigurations.get(e),{added:a,updated:r,removed:h,overrides:L}=g.compare(s,n);let M=[...a,...r,...h];return(M.length||!s)&&this.updateFolderConfiguration(e,n),{keys:M,overrides:L}}compareAndDeleteFolderConfiguration(e){const n=this.folderConfigurations.get(e);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:s,updated:a,removed:r,overrides:h}=g.compare(n,void 0);return{keys:[...s,...a,...r],overrides:h}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,n){let s=this.getConsolidatedConfigurationModelForResource(e,n);return e.overrideIdentifier?s.override(e.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:e},n){let s=this.getWorkspaceConsolidatedConfiguration();if(n&&e){const a=n.getFolder(e);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const r=this._memoryConfigurationByResource.get(e);r&&(s=s.merge(r))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){let n=this._foldersConsolidatedConfigurations.get(e);if(!n){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(e);a?(n=s.merge(a),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(e,n)):n=s}return n}getFolderConfigurationModelForResource(e,n){if(n&&e){const s=n.getFolder(e);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((e,n)=>{const{contents:s,overrides:a,keys:r}=this._folderConfigurations.get(n);return e.push([n,{contents:s,overrides:a,keys:r}]),e},[])}}allKeys(){const e=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>e.add(n)),this.userConfiguration.freeze().keys.forEach(n=>e.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>e.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(s=>e.add(s))),[...e.values()]}getAllKeysForOverrideIdentifier(e){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(e).forEach(a=>n.add(a))),[...n.values()]}static parse(e){const n=this.parseConfigurationModel(e.defaults),s=this.parseConfigurationModel(e.user),a=this.parseConfigurationModel(e.workspace),r=e.folders.reduce((h,L)=>(h.set(C.URI.revive(L[0]),this.parseConfigurationModel(L[1])),h),new A.ResourceMap);return new p(n,s,new S,a,r,new S,new A.ResourceMap,!1)}static parseConfigurationModel(e){return new S(e.contents,e.keys,e.overrides).freeze()}}t.Configuration=p;function y(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const e=new Set,n=new Map;for(const a of i)a.keys.forEach(r=>e.add(r)),a.overrides.forEach(([r,h])=>{const L=A.getOrSet(n,r,new Set);h.forEach(M=>L.add(M))});const s=[];return n.forEach((a,r)=>s.push([r,[...a.values()]])),{keys:[...e.values()],overrides:s}}t.mergeChanges=y;class P{constructor(e,n,s,a){this.change=e,this.previous=n,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const r=new Set;e.keys.forEach(L=>r.add(L)),e.overrides.forEach(([,L])=>L.forEach(M=>r.add(M))),this.affectedKeys=[...r.values()];const h=new S;this.affectedKeys.forEach(L=>h.setValue(L,{})),this.affectedKeysTree=h.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=p.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,n){var s;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(n){const a=this.previousConfiguration?this.previousConfiguration.getValue(e,n,(s=this.previous)===null||s===void 0?void 0:s.workspace):void 0,r=this.currentConfiguraiton.getValue(e,n,this.currentWorkspace);return!k.equals(a,r)}return!0}return!1}doesAffectedKeysTreeContains(e,n){let s=g.toValuesTree({[n]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(e=e[a],!e)return!1;s=s[a]}return!0}}t.ConfigurationChangeEvent=P;class o extends P{constructor(e,n,s,a){super({keys:e.allKeys(),overrides:[]},void 0,e,n);this.source=s,this.sourceConfig=a}}t.AllKeysConfigurationChangeEvent=o}),define(J[103],Q([0,1,25,29,2,27,102,11,4,21]),function(q,t,w,A,T,b,k,C,d,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConfigurationService=void 0;class I extends T.Disposable{constructor(O,S){super();this.settingsResource=O,this._onDidChangeConfiguration=this._register(new C.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new k.UserSettings(this.settingsResource,void 0,g.extUriBiasedIgnorePathCase,S)),this.configuration=new k.Configuration(new k.DefaultConfigurationModel,new k.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new d.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(w.Registry.as(A.Extensions.Configuration).onDidUpdateConfiguration(u=>this.onDidDefaultConfigurationChange(u))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const O=await this.userConfiguration.loadConfiguration();this.configuration=new k.Configuration(new k.DefaultConfigurationModel,O)}getConfigurationData(){return this.configuration.toData()}getValue(O,S){const u=typeof O=="string"?O:void 0,R=b.isConfigurationOverrides(O)?O:b.isConfigurationOverrides(S)?S:{};return this.configuration.getValue(u,R,void 0)}updateValue(O,S,u,R){return Promise.reject(new Error("not supported"))}inspect(O){return this.configuration.inspect(O,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const O=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(O)}onDidChangeUserConfiguration(O){const S=this.configuration.toData(),u=this.configuration.compareAndUpdateLocalUserConfiguration(O);this.trigger(u,S,1)}onDidDefaultConfigurationChange(O){const S=this.configuration.toData(),u=this.configuration.compareAndUpdateDefaultConfiguration(new k.DefaultConfigurationModel,O);this.trigger(u,S,6)}trigger(O,S,u){const R=new k.ConfigurationChangeEvent(O,{data:S},this.configuration);R.source=u,R.sourceConfig=this.getTargetConfiguration(u),this._onDidChangeConfiguration.fire(R)}getTargetConfiguration(O){switch(O){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}t.ConfigurationService=I}),define(J[52],Q([0,1,81,7,29,25,16]),function(q,t,w,A,T,b,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.asJson=t.asText=t.isSuccess=t.IRequestService=void 0,t.IRequestService=A.createDecorator("requestService");function C(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}t.isSuccess=C;function d(f){return f.res.statusCode===204}async function g(f){if(!C(f))throw new Error("Server returned "+f.res.statusCode);return d(f)?null:(await k.streamToBuffer(f.stream)).toString()}t.asText=g;async function I(f){if(!C(f))throw new Error("Server returned "+f.res.statusCode);if(d(f))return null;const S=(await k.streamToBuffer(f.stream)).toString();try{return JSON.parse(S)}catch(u){throw u.message+=`:
`+S,u}}t.asJson=I,b.Registry.as(T.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:w.localize(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:w.localize(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:w.localize(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:w.localize(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[w.localize(4,null),w.localize(5,null),w.localize(6,null)],default:"override",description:w.localize(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:w.localize(8,null)}}})}),define(J[104],Q([0,1,105,8]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getProxyAgent=void 0;function T(k){return k.protocol==="http:"?process.env.HTTP_PROXY||process.env.http_proxy||null:k.protocol==="https:"&&(process.env.HTTPS_PROXY||process.env.https_proxy||process.env.HTTP_PROXY||process.env.http_proxy)||null}async function b(k,C={}){const d=w.parse(k),g=C.proxyUrl||T(d);if(!g)return null;const I=w.parse(g);if(!/^https?:$/.test(I.protocol||""))return null;const f={host:I.hostname||"",port:I.port||(I.protocol==="https"?"443":"80"),auth:I.auth,rejectUnauthorized:A.isBoolean(C.strictSSL)?C.strictSSL:!0};return d.protocol==="http:"?new(await new Promise((O,S)=>{q(["http-proxy-agent"],O,S)}))(f):new(await new Promise((O,S)=>{q(["https-proxy-agent"],O,S)}))(f)}t.getProxyAgent=b}),define(J[106],Q([0,1,38,16]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getServiceMachineId=void 0;async function T(b,k,C){let d=C&&C.get("storage.serviceMachineId",0)||null;if(d)return d;try{const I=(await k.readFile(b.serviceMachineIdResource)).value.toString();d=w.isUUID(I)?I:null}catch(g){d=null}if(!d){d=w.generateUuid();try{await k.writeFile(b.serviceMachineIdResource,A.VSBuffer.fromString(d))}catch(g){}}return C&&C.store("storage.serviceMachineId",d,0,1),d}t.getServiceMachineId=T}),define(J[107],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IStateService=void 0,t.IStateService=w.createDecorator("stateService")}),define(J[108],Q([0,1,3,14,22,12,8,13]),function(q,t,w,A,T,b,k,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StateService=t.FileStorage=void 0;class d{constructor(f,O){this.dbPath=f,this.onError=O,this._database=null,this.lastFlushedSerializedDatabase=null}get database(){return this._database||(this._database=this.loadSync()),this._database}async init(){if(!this._database){const f=await this.loadAsync();this._database||(this._database=f)}}loadSync(){try{return this.lastFlushedSerializedDatabase=A.readFileSync(this.dbPath).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}async loadAsync(){try{return this.lastFlushedSerializedDatabase=(await A.promises.readFile(this.dbPath)).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}getItem(f,O){const S=this.database[f];return k.isUndefinedOrNull(S)?O:S}setItem(f,O){if(k.isUndefinedOrNull(O))return this.removeItem(f);(typeof O=="string"||typeof O=="number"||typeof O=="boolean")&&this.database[f]===O||(this.database[f]=O,this.saveSync())}removeItem(f){k.isUndefined(this.database[f])||(this.database[f]=void 0,this.saveSync())}saveSync(){const f=JSON.stringify(this.database,null,4);if(f!==this.lastFlushedSerializedDatabase)try{b.writeFileSync(this.dbPath,f),this.lastFlushedSerializedDatabase=f}catch(O){this.onError(O)}}}t.FileStorage=d;let g=class _e{constructor(f,O){this.fileStorage=new d(w.join(f.userDataPath,_e.STATE_FILE),S=>O.error(S))}init(){return this.fileStorage.init()}getItem(f,O){return this.fileStorage.getItem(f,O)}setItem(f,O){this.fileStorage.setItem(f,O)}removeItem(f){this.fileStorage.removeItem(f)}};g.STATE_FILE="storage.json",g=ce([fe(0,T.INativeEnvironmentService),fe(1,C.ILogService)],g),t.StateService=g}),define(J[109],Q([0,1,7,11,2,8,64,4]),function(q,t,w,A,T,b,k,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.logStorage=t.InMemoryStorageService=t.AbstractStorageService=t.StorageTarget=t.StorageScope=t.WillSaveStateReason=t.IStorageService=t.IS_NEW_KEY=void 0,t.IS_NEW_KEY="__$__isNewStorageMarker";const d="__$__targetStorageMarker";t.IStorageService=w.createDecorator("storageService");var g;(function(R){R[R.NONE=0]="NONE",R[R.SHUTDOWN=1]="SHUTDOWN"})(g=t.WillSaveStateReason||(t.WillSaveStateReason={}));var I;(function(R){R[R.GLOBAL=0]="GLOBAL",R[R.WORKSPACE=1]="WORKSPACE"})(I=t.StorageScope||(t.StorageScope={}));var f;(function(R){R[R.USER=0]="USER",R[R.MACHINE=1]="MACHINE"})(f=t.StorageTarget||(t.StorageTarget={}));class O extends T.Disposable{constructor(E={flushInterval:O.DEFAULT_FLUSH_INTERVAL}){super();this.options=E,this._onDidChangeValue=this._register(new A.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new A.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new A.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new C.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new T.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=C.runWhenIdle(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){T.dispose([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(E,p){p===d?(E===0?this._globalKeyTargets=void 0:E===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:E})):this._onDidChangeValue.fire({scope:E,key:p,target:this.getKeyTargets(E)[p]})}emitWillSaveState(E){this._onWillSaveState.fire({reason:E})}get(E,p,y){var P;return(P=this.getStorage(p))===null||P===void 0?void 0:P.get(E,y)}getBoolean(E,p,y){var P;return(P=this.getStorage(p))===null||P===void 0?void 0:P.getBoolean(E,y)}getNumber(E,p,y){var P;return(P=this.getStorage(p))===null||P===void 0?void 0:P.getNumber(E,y)}store(E,p,y,P){if(b.isUndefinedOrNull(p)){this.remove(E,y);return}this.withPausedEmitters(()=>{var o;this.updateKeyTarget(E,y,P),(o=this.getStorage(y))===null||o===void 0||o.set(E,p)})}remove(E,p){this.withPausedEmitters(()=>{var y;this.updateKeyTarget(E,p,void 0),(y=this.getStorage(p))===null||y===void 0||y.delete(E)})}withPausedEmitters(E){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{E()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(E,p){const y=[],P=this.getKeyTargets(E);for(const o of Object.keys(P))P[o]===p&&y.push(o);return y}updateKeyTarget(E,p,y){var P,o;const i=this.getKeyTargets(p);typeof y=="number"?i[E]!==y&&(i[E]=y,(P=this.getStorage(p))===null||P===void 0||P.set(d,JSON.stringify(i))):typeof i[E]=="number"&&(delete i[E],(o=this.getStorage(p))===null||o===void 0||o.set(d,JSON.stringify(i)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(E){return E===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(E){const p=this.get(d,E);if(p)try{return JSON.parse(p)}catch(y){}return Object.create(null)}isNew(E){return this.getBoolean(t.IS_NEW_KEY,E)===!0}async flush(){var E,p,y,P;this._onWillSaveState.fire({reason:g.NONE}),await C.Promises.settled([(p=(E=this.getStorage(0))===null||E===void 0?void 0:E.whenFlushed())!==null&&p!==void 0?p:Promise.resolve(),(P=(y=this.getStorage(1))===null||y===void 0?void 0:y.whenFlushed())!==null&&P!==void 0?P:Promise.resolve()])}async logStorage(){var E,p,y,P,o,i;const e=(p=(E=this.getStorage(0))===null||E===void 0?void 0:E.items)!==null&&p!==void 0?p:new Map,n=(P=(y=this.getStorage(1))===null||y===void 0?void 0:y.items)!==null&&P!==void 0?P:new Map;return u(e,n,(o=this.getLogDetails(0))!==null&&o!==void 0?o:"",(i=this.getLogDetails(1))!==null&&i!==void 0?i:"")}}t.AbstractStorageService=O,O.DEFAULT_FLUSH_INTERVAL=60*1e3;class S extends O{constructor(){super();this.globalStorage=new k.Storage(new k.InMemoryStorageDatabase),this.workspaceStorage=new k.Storage(new k.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(E=>this.emitDidChangeValue(1,E))),this._register(this.globalStorage.onDidChangeStorage(E=>this.emitDidChangeValue(0,E)))}getStorage(E){return E===0?this.globalStorage:this.workspaceStorage}getLogDetails(E){return E===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(E){}}t.InMemoryStorageService=S;async function u(R,E,p,y){const P=r=>{try{return JSON.parse(r)}catch(h){return r}},o=new Map,i=new Map;R.forEach((r,h)=>{o.set(h,r),i.set(h,P(r))});const e=new Map,n=new Map;E.forEach((r,h)=>{e.set(h,r),n.set(h,P(r))}),console.group(`Storage: Global (path: ${p})`);let s=[];o.forEach((r,h)=>{s.push({key:h,value:r})}),console.table(s),console.groupEnd(),console.log(i),console.group(`Storage: Workspace (path: ${y})`);let a=[];e.forEach((r,h)=>{a.push({key:h,value:r})}),console.table(a),console.groupEnd(),console.log(n)}t.logStorage=u}),define(J[110],Q([0,1,17,126,38,10]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveCommonProperties=void 0;async function k(d,g,I,f,O,S,u,R,E){const p=Object.create(null);p["common.machineId"]=S,p.sessionID=T.generateUuid()+Date.now(),p.commitHash=f,p.version=O,p["common.platformVersion"]=(g||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),p["common.platform"]=w.PlatformToString(w.platform),p["common.nodePlatform"]=A.platform,p["common.nodeArch"]=I,p["common.product"]=E||"desktop";const y=C(u||[]);y&&(p["common.msftInternal"]=y);let P=0;const o=Date.now();Object.defineProperties(p,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>P++,enumerable:!0}}),w.isLinuxSnap&&(p["common.snap"]="true");try{const i=await d.readFile(b.URI.file(R));p["common.source"]=i.value.toString().slice(0,30)}catch(i){}return p}t.resolveCommonProperties=k;function C(d){const g=A.env.USERDNSDOMAIN;if(!g)return!1;const I=g.toLowerCase();return d.some(f=>I===f)}}),define(J[41],Q([0,1,7]),function(q,t,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.machineIdKey=t.lastSessionDateStorageKey=t.firstSessionDateStorageKey=t.currentSessionDateStorageKey=t.instanceStorageKey=t.ITelemetryService=void 0,t.ITelemetryService=w.createDecorator("telemetryService"),t.instanceStorageKey="telemetry.instanceId",t.currentSessionDateStorageKey="telemetry.currentSessionDate",t.firstSessionDateStorageKey="telemetry.firstSessionDate",t.lastSessionDateStorageKey="telemetry.lastSessionDate",t.machineIdKey="telemetry.machineId"}),define(J[111],Q([0,1,15,23,26,19,41,52,47,22,28,13,24,10,40,109,106,7,21]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveMarketplaceHeaders=t.ExtensionGalleryService=void 0;var P;(function(c){c[c.None=0]="None",c[c.IncludeVersions=1]="IncludeVersions",c[c.IncludeFiles=2]="IncludeFiles",c[c.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",c[c.IncludeSharedAccounts=8]="IncludeSharedAccounts",c[c.IncludeVersionProperties=16]="IncludeVersionProperties",c[c.ExcludeNonValidated=32]="ExcludeNonValidated",c[c.IncludeInstallationTargets=64]="IncludeInstallationTargets",c[c.IncludeAssetUri=128]="IncludeAssetUri",c[c.IncludeStatistics=256]="IncludeStatistics",c[c.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",c[c.Unpublished=4096]="Unpublished"})(P||(P={}));function o(...c){return String(c.reduce((l,m)=>l|m,0))}var i;(function(c){c[c.Tag=1]="Tag",c[c.ExtensionId=4]="ExtensionId",c[c.Category=5]="Category",c[c.ExtensionName=7]="ExtensionName",c[c.Target=8]="Target",c[c.Featured=9]="Featured",c[c.SearchText=10]="SearchText",c[c.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const e={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},n={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},a={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:P.None,criteria:[],assetTypes:[]};class r{constructor(l=a){this.state=l}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(l,m=this.state.pageSize){return new r(Object.assign(Object.assign({},this.state),{pageNumber:l,pageSize:m}))}withFilter(l,...m){const v=[...this.state.criteria,...m.length?m.map(D=>({filterType:l,value:D})):[{filterType:l}]];return new r(Object.assign(Object.assign({},this.state),{criteria:v}))}withSortBy(l){return new r(Object.assign(Object.assign({},this.state),{sortBy:l}))}withSortOrder(l){return new r(Object.assign(Object.assign({},this.state),{sortOrder:l}))}withFlags(...l){return new r(Object.assign(Object.assign({},this.state),{flags:l.reduce((m,v)=>m|v,0)}))}withAssetTypes(...l){return new r(Object.assign(Object.assign({},this.state),{assetTypes:l}))}get raw(){const{criteria:l,pageNumber:m,pageSize:v,sortBy:D,sortOrder:j,flags:W,assetTypes:_}=this.state;return{filters:[{criteria:l,pageNumber:m,pageSize:v,sortBy:D,sortOrder:j}],assetTypes:_,flags:W}}get searchText(){const l=this.state.criteria.filter(m=>m.filterType===i.SearchText)[0];return l&&l.value?l.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(l=>String(l.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function h(c,l){const m=(c||[]).filter(v=>v.statisticName===l)[0];return m?m.value:0}function L(c){const l="Microsoft.VisualStudio.Code.Translation.";return c.files.filter(v=>v.assetType.indexOf(l)===0).reduce((v,D)=>{const j=B(c,D.assetType);return j&&v.push([D.assetType.substring(l.length),j]),v},[])}function M(c){if(c.properties){const l=c.properties.filter(D=>D.key===e.Repository),m=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),v=l.filter(D=>m.test(D.value))[0];return v?{uri:v.value,fallbackUri:v.value}:null}return B(c,e.Repository)}function F(c){return{uri:`${c.fallbackAssetUri}/${e.VSIX}?redirect=true`,fallbackUri:`${c.fallbackAssetUri}/${e.VSIX}`}}function U(c){const l=B(c,e.Icon);if(l)return l;const m=A.DefaultIconPath;return{uri:m,fallbackUri:m}}function B(c,l){return c.files.filter(v=>v.assetType===l)[0]?{uri:`${c.assetUri}/${l}`,fallbackUri:`${c.fallbackAssetUri}/${l}`}:null}function K(c,l){const m=c.properties?c.properties.filter(D=>D.key===l):[],v=m.length>0&&m[0].value;return v?v.split(",").map(D=>T.adoptToGalleryExtensionId(D)):[]}function Z(c){const l=c.properties?c.properties.filter(m=>m.key===n.Engine):[];return l.length>0&&l[0].value||""}function ae(c){const l=c.properties?c.properties.filter(v=>v.key===n.LocalizedLanguages):[],m=l.length>0&&l[0].value||"";return m?m.split(","):[]}function re(c){return c.indexOf("preview")!==-1}function Y(c){const l=c.properties?c.properties.find(m=>m.key===n.WebExtension):void 0;return!!l&&l.value==="true"}function le(c){return c.files.some(l=>l.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?y.joinPath(S.URI.parse(c.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function ne(c,l,m,v,D){const j={manifest:B(l,e.Manifest),readme:B(l,e.Details),changelog:B(l,e.Changelog),license:B(l,e.License),repository:M(l),download:F(l),icon:U(l),coreTranslations:L(l)};return{identifier:{id:T.getGalleryExtensionId(c.publisher.publisherName,c.extensionName),uuid:c.extensionId},name:c.extensionName,version:l.version,date:l.lastUpdated,displayName:c.displayName,publisherId:c.publisher.publisherId,publisher:c.publisher.publisherName,publisherDisplayName:c.publisher.displayName,description:c.shortDescription||"",installCount:h(c.statistics,"install"),rating:h(c.statistics,"averagerating"),ratingCount:h(c.statistics,"ratingcount"),assetUri:S.URI.parse(l.assetUri),webResource:le(l),assetTypes:l.files.map(({assetType:W})=>W),assets:j,properties:{dependencies:K(l,n.Dependency),extensionPack:K(l,n.ExtensionPack),engine:Z(l),localizedLanguages:ae(l),webExtension:Y(l)},telemetryData:{index:(v.pageNumber-1)*v.pageSize+m,searchText:v.searchText,querySource:D},preview:re(c.flags)}}let z=class{constructor(l,m,v,D,j,W,_){this.requestService=l,this.logService=m,this.environmentService=v,this.telemetryService=D,this.fileService=j,this.productService=W;const $=W.extensionsGallery;this.extensionsGalleryUrl=$&&$.serviceUrl,this.extensionsControlUrl=$&&$.controlUrl,this.commonHeadersPromise=N(W.version,this.environmentService,this.fileService,_)}api(l=""){return`${this.extensionsGalleryUrl}${l}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(l,m){const v=[];let{total:D,firstPage:j,getPage:W}=await this.query({names:l,pageSize:l.length},m);v.push(...j);for(let _=1;v.length<D&&(j=await W(_,m),j.length);_++)v.push(...j);return v}async getCompatibleExtension(l,m){const v=await this.getCompatibleExtensionByEngine(l,m);return(v==null?void 0:v.properties.webExtension)?v.webResource?v:null:v}async getCompatibleExtensionByEngine(l,m){const v=A.isIExtensionIdentifier(l)?null:l;if(v&&v.properties.engine&&d.isEngineValid(v.properties.engine,this.productService.version))return v;const{id:D,uuid:j}=v?v.identifier:l;let W=new r().withFlags(P.IncludeAssetUri,P.IncludeStatistics,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");j?W=W.withFilter(i.ExtensionId,j):W=W.withFilter(i.ExtensionName,D);const{galleryExtensions:_}=await this.queryGallery(W,I.CancellationToken.None),[$]=_;if(!$||!$.versions.length)return null;if(m){const X=$.versions.filter(ee=>ee.version===m)[0];if(X){const ee=ne($,X,0,W);if(ee.properties.engine&&d.isEngineValid(ee.properties.engine,this.productService.version))return ee}return null}const H=await this.getLastValidExtensionVersion($,$.versions);return H?ne($,H,0,W):null}async query(l,m){const v=I.CancellationToken.isCancellationToken(l)?{}:l,D=I.CancellationToken.isCancellationToken(l)?l:m;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let j=v.text||"";const W=b.getOrDefault(v,ie=>ie.pageSize,50);let _=new r().withFlags(P.IncludeLatestVersionOnly,P.IncludeAssetUri,P.IncludeStatistics,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,W).withFilter(i.Target,"Microsoft.VisualStudio.Code");j?(j=j.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ie,de,me)=>(_=_.withFilter(i.Category,me||de),"")),j=j.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ie,de,me)=>(_=_.withFilter(i.Tag,me||de),"")),j=j.replace(/\bfeatured(\s+|\b|$)/g,()=>(_=_.withFilter(i.Featured),"")),j=j.trim(),j&&(j=j.length<200?j:j.substring(0,200),_=_.withFilter(i.SearchText,j)),_=_.withSortBy(0)):v.ids?_=_.withFilter(i.ExtensionId,...v.ids):v.names?_=_.withFilter(i.ExtensionName,...v.names):_=_.withSortBy(4),typeof v.sortBy=="number"&&(_=_.withSortBy(v.sortBy)),typeof v.sortOrder=="number"&&(_=_.withSortOrder(v.sortOrder));const{galleryExtensions:$,total:H}=await this.queryGallery(_,D),X=$.map((ie,de)=>ne(ie,ie.versions[0],de,_,v.source)),ee=async(ie,de)=>{if(de.isCancellationRequested)throw w.canceled();const me=_.withPage(ie+1),{galleryExtensions:Ie}=await this.queryGallery(me,de);return Ie.map((Le,Te)=>ne(Le,Le.versions[0],Te,me,v.source))};return{firstPage:X,total:H,pageSize:_.pageSize,getPage:ee}}async queryGallery(l,m){if(!this.isEnabled())throw new Error("No extension gallery service configured.");l=l.withFlags(l.flags,P.ExcludeNonValidated).withFilter(i.ExcludeWithFlags,o(P.Unpublished));const v=await this.commonHeadersPromise,D=JSON.stringify(l.raw),j=Object.assign(Object.assign({},v),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(D.length)}),W=new Date().getTime();let _,$,H=0;try{if(_=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:D,headers:j},m),_.res.statusCode&&_.res.statusCode>=400&&_.res.statusCode<500)return{galleryExtensions:[],total:H};const X=await C.asJson(_);if(X){const ee=X.results[0],ie=ee.extensions,de=ee.resultMetadata&&ee.resultMetadata.filter(me=>me.metadataType==="ResultCount")[0];return H=de&&de.metadataItems.filter(me=>me.name==="TotalCount")[0].count||0,{galleryExtensions:ie,total:H}}return{galleryExtensions:[],total:H}}catch(X){throw $=X,X}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},l.telemetryData),{requestBodySize:String(D.length),duration:new Date().getTime()-W,success:!!_&&C.isSuccess(_),responseBodySize:_==null?void 0:_.res.headers["Content-Length"],statusCode:_?String(_.res.statusCode):void 0,errorCode:$?w.isPromiseCanceledError($)?"canceled":w.getErrorMessage($).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(H)}))}}async reportStatistic(l,m,v,D){if(!!this.isEnabled()){const j=await this.commonHeadersPromise,W=Object.assign(Object.assign({},j),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${l}/extensions/${m}/${v}/stats?statType=${D}`),headers:W},I.CancellationToken.None)}catch(_){}}}async download(l,m,v){this.logService.trace("ExtensionGalleryService#download",l.identifier.id);const D=T.getGalleryExtensionTelemetryData(l),j=new Date().getTime(),W=X=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},D),{duration:X})),_=v===1?"install":v===2?"update":"",$=_?{uri:`${l.assets.download.uri}&${_}=true`,fallbackUri:`${l.assets.download.fallbackUri}?${_}=true`}:l.assets.download,H=await this.getAsset($);await this.fileService.writeFile(m,H.stream),W(new Date().getTime()-j)}async getReadme(l,m){if(l.assets.readme){const v=await this.getAsset(l.assets.readme,{},m);return await C.asText(v)||""}return""}async getManifest(l,m){if(l.assets.manifest){const v=await this.getAsset(l.assets.manifest,{},m),D=await C.asText(v);return D?JSON.parse(D):null}return null}async getCoreTranslation(l,m){const v=l.assets.coreTranslations.filter(D=>D[0]===m.toUpperCase())[0];if(v){const D=await this.getAsset(v[1]),j=await C.asText(D);return j?JSON.parse(j):null}return null}async getChangelog(l,m){if(l.assets.changelog){const v=await this.getAsset(l.assets.changelog,{},m);return await C.asText(v)||""}return""}async getAllVersions(l,m){let v=new r().withFlags(P.IncludeVersions,P.IncludeFiles,P.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");l.identifier.uuid?v=v.withFilter(i.ExtensionId,l.identifier.uuid):v=v.withFilter(i.ExtensionName,l.identifier.id);const D=[],{galleryExtensions:j}=await this.queryGallery(v,I.CancellationToken.None);return j.length&&(m?await Promise.all(j[0].versions.map(async W=>{let _;try{_=await this.getEngine(W)}catch($){}_&&d.isEngineValid(_,this.productService.version)&&D.push({version:W.version,date:W.lastUpdated})})):D.push(...j[0].versions.map(W=>({version:W.version,date:W.lastUpdated})))),D}async getAsset(l,m={},v=I.CancellationToken.None){const D=await this.commonHeadersPromise,j={type:"GET"},W=Object.assign(Object.assign({},D),m.headers||{});m=Object.assign(Object.assign(Object.assign({},m),j),{headers:W});const _=l.uri,$=l.fallbackUri,H=Object.assign(Object.assign({},m),{url:_});try{const X=await this.requestService.request(H,v);if(X.res.statusCode===200)return X;const ee=await C.asText(X);throw new Error(`Expected 200, got back ${X.res.statusCode} instead.

${ee}`)}catch(X){if(w.isPromiseCanceledError(X))throw X;const ee=w.getErrorMessage(X);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:_,message:ee});const ie=Object.assign(Object.assign({},m),{url:$});return this.requestService.request(ie,v)}}async getLastValidExtensionVersion(l,m){const v=this.getLastValidExtensionVersionFromProperties(l,m);return v||this.getLastValidExtensionVersionRecursively(l,m)}getLastValidExtensionVersionFromProperties(l,m){for(const v of m){const D=Z(v);if(!D)return null;if(d.isEngineValid(D,this.productService.version))return v}return null}async getEngine(l){const m=Z(l);if(m)return m;const v=B(l,e.Manifest);if(!v)throw new Error("Manifest was not found");const D={"Accept-Encoding":"gzip"},j=await this.getAsset(v,{headers:D}),W=await C.asJson(j);if(W)return W.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(l,m){if(!m.length)return null;const v=m[0],D=await this.getEngine(v);return d.isEngineValid(D,this.productService.version)?(v.properties=v.properties||[],v.properties.push({key:n.Engine,value:D}),v):this.getLastValidExtensionVersionRecursively(l,m.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const l=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},I.CancellationToken.None);if(l.res.statusCode!==200)throw new Error("Could not get extensions report.");const m=await C.asJson(l),v=new Map;if(m)for(const D of m.malicious){const j=v.get(D)||{id:{id:D},malicious:!0,slow:!1};j.malicious=!0,v.set(D,j)}return[...v.values()]}};z=ce([fe(0,C.IRequestService),fe(1,f.ILogService),fe(2,g.IEnvironmentService),fe(3,k.ITelemetryService),fe(4,O.IFileService),fe(5,u.IProductService),fe(6,p.optional(R.IStorageService))],z),t.ExtensionGalleryService=z;async function N(c,l,m,v){const D={"X-Market-Client-Id":`VSCode ${c}`,"User-Agent":`VSCode ${c}`},j=await E.getServiceMachineId(l,m,v);return D["X-Market-User-Id"]=j,D}t.resolveMarketplaceHeaders=N}),define(J[112],Q([0,1,39,82,18,7,27,29,2,19,25]),function(q,t,w,A,T,b,k,C,d,g,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TelemetryService=void 0;let f=class{constructor(u,R){this._configurationService=R,this._experimentProperties={},this._disposables=new d.DisposableStore,this._cleanupPatterns=[],this._appender=u.appender,this._commonProperties=u.commonProperties||Promise.resolve({}),this._piiPaths=u.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!u.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let E of this._piiPaths)this._cleanupPatterns.push(new RegExp(T.escapeRegExpCharacters(E),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(E=>{const p=/^[a-f0-9]+$/i.test(E["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!p})}))}setExperimentProperty(u,R){this._experimentProperties[u]=R}setEnabled(u){this._enabled=u}_updateUserOptIn(){var u;const R=(u=this._configurationService)===null||u===void 0?void 0:u.getValue(O);this._userOptIn=R?R.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const u=await this._commonProperties;let R=u.sessionID,E=u["common.instanceId"],p=u["common.machineId"],y=u["common.firstSessionDate"],P=u["common.msftInternal"];return{sessionId:R,instanceId:E,machineId:p,firstSessionDate:y,msftInternal:P}}dispose(){this._disposables.dispose()}publicLog(u,R,E){return this.isOptedIn?this._commonProperties.then(p=>{R=g.mixin(R,p),R=g.mixin(R,this._experimentProperties),R=g.cloneAndChange(R,y=>{if(typeof y=="string")return this._cleanupInfo(y,E)}),this._appender.log(u,R)},p=>{console.error(p)}):Promise.resolve(void 0)}publicLog2(u,R,E){return this.publicLog(u,R,E)}publicLogError(u,R){return this.sendErrorTelemetry?this.publicLog(u,R,!0):Promise.resolve(void 0)}publicLogError2(u,R){return this.publicLogError(u,R)}_cleanupInfo(u,R){let E=u;if(R){const p=[];for(let i of this._cleanupPatterns)for(;;){const e=i.exec(u);if(!e)break;p.push([e.index,i.lastIndex])}const y=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,P=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(E="";;){const i=P.exec(u);if(!i)break;!y.test(i[0])&&p.every(([e,n])=>i.index<e||i.index>=n)&&(E+=u.substring(o,i.index)+"<REDACTED: user-file-path>",o=P.lastIndex)}o<u.length&&(E+=u.substr(o))}for(let p of this._cleanupPatterns)E=E.replace(p,"");return E}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=ce([fe(1,b.optional(k.IConfigurationService))],f),t.TelemetryService=f;const O="telemetry";I.Registry.as(C.Extensions.Configuration).registerConfiguration({id:O,order:110,type:"object",title:A.localize(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:w.default.privacyStatementUrl?A.localize(2,null,w.default.privacyStatementUrl):A.localize(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(J[53],Q([0,1,27,19,8,4]),function(q,t,w,A,T,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.cleanRemoteAuthority=t.validateTelemetryData=t.configurationTelemetry=t.NullAppender=t.combinedAppender=t.NullTelemetryService=void 0,t.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(S,u){return Promise.resolve(void 0)}publicLog2(S,u){return this.publicLog(S,u)}publicLogError(S,u){return Promise.resolve(void 0)}publicLogError2(S,u){return this.publicLogError(S,u)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};function k(...S){return{log:(u,R)=>S.forEach(E=>E.log(u,R)),flush:()=>b.Promises.settled(S.map(u=>u.flush()))}}t.combinedAppender=k,t.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function C(S,u){return u.onDidChangeConfiguration(R=>{R.source!==6&&S.publicLog2("updateConfiguration",{configurationSource:w.ConfigurationTargetToString(R.source),configurationKeys:f(R.sourceConfig)})})}t.configurationTelemetry=C;function d(S){const u=Object.create(null),R=Object.create(null),E=Object.create(null);I(S,E);for(let p in E){p=p.length>150?p.substr(p.length-149):p;const y=E[p];typeof y=="number"?R[p]=y:typeof y=="boolean"?R[p]=y?1:0:typeof y=="string"?u[p]=y.substring(0,1023):typeof y!="undefined"&&y!==null&&(u[p]=y)}return{properties:u,measurements:R}}t.validateTelemetryData=d;function g(S){if(!S)return"none";let u="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(E=>{S.indexOf(`${E}+`)===0&&(u=E)}),u}t.cleanRemoteAuthority=g;function I(S,u,R=0,E){if(!!S)for(let p of Object.getOwnPropertyNames(S)){const y=S[p],P=E?E+p:p;Array.isArray(y)?u[P]=A.safeStringify(y):y instanceof Date?u[P]=y.toISOString():T.isObject(y)?R<2?I(y,u,R+1,P+"."):u[P]=A.safeStringify(y):u[P]=y}}function f(S){if(!S)return[];const u=[];return O(u,"",S),u}function O(S,u,R){R&&typeof R=="object"&&!Array.isArray(R)?Object.keys(R).forEach(E=>O(S,u?`${u}.${E}`:E,R[E])):S.push(u)}}),define(J[113],Q([0,1,15,19,53]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AppInsightsAppender=void 0;async function b(C){const d=await new Promise((I,f)=>{q(["applicationinsights"],I,f)});let g;return d.defaultClient?(g=new d.TelemetryClient(C),g.channel.setUseDiskRetryCaching(!0)):(d.setup(C).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),g=d.defaultClient),C.indexOf("AIF-")===0&&(g.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),g}class k{constructor(d,g,I){this._eventPrefix=d,this._defaultData=g,this._defaultData||(this._defaultData=Object.create(null)),typeof I=="function"?this._aiClient=I():this._aiClient=I,this._asyncAIClient=null}_withAIClient(d){if(!!this._aiClient){if(typeof this._aiClient!="string"){d(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=b(this._aiClient)),this._asyncAIClient.then(g=>{d(g)},g=>{w.onUnexpectedError(g),console.error(g)})}}log(d,g){!this._aiClient||(g=A.mixin(g,this._defaultData),g=T.validateTelemetryData(g),this._withAIClient(I=>I.trackEvent({name:this._eventPrefix+"/"+d,properties:g.properties,measurements:g.measurements})))}flush(){return this._aiClient?new Promise(d=>{this._withAIClient(g=>{g.flush({callback:()=>{this._aiClient=void 0,d(void 0)}})})}):Promise.resolve(void 0)}}t.AppInsightsAppender=k}),define(J[114],Q([0,1,12,14,3]),function(q,t,w,A,T){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buildTelemetryMessage=void 0;function b(k,C){const d=Object.create(null),g=(f,O)=>{const S=JSON.parse(f);d[O]=S};if(C){const f=w.readdirSync(C).filter(S=>{try{return A.statSync(T.join(C,S)).isDirectory()}catch(u){return!1}}),O=[];f.forEach(S=>{w.readdirSync(T.join(C,S)).filter(R=>R==="telemetry.json").length===1&&O.push(S)}),O.forEach(S=>{const u=A.readFileSync(T.join(C,S,"telemetry.json")).toString();g(u,S)})}let I=A.readFileSync(T.join(k,"telemetry-core.json")).toString();return g(I,"vscode-core"),I=A.readFileSync(T.join(k,"telemetry-extensions.json")).toString(),g(I,"vscode-extensions"),JSON.stringify(d,null,4)}t.buildTelemetryMessage=b}),define(J[42],Q([0,1,70,3,14,4,12,127,128,8]),function(q,t,w,A,T,b,k,C,d,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buffer=t.extract=t.zip=t.ExtractError=void 0;class I extends Error{constructor(e,n){let s=n.message;switch(e){case"CorruptZip":s=`Corrupt ZIP: ${s}`;break}super(s);this.type=e,this.cause=n}}t.ExtractError=I;function f(i){const e=i.externalFileAttributes>>16||33188;return[448,56,7].map(n=>e&n).reduce((n,s)=>n+s,e&61440)}function O(i){if(i instanceof I)return i;let e;return/end of central directory record signature not found/.test(i.message)&&(e="CorruptZip"),new I(e,i)}function S(i,e,n,s,a,r){const h=A.dirname(e),L=A.join(s,h);if(!L.startsWith(s))return Promise.reject(new Error(w.localize(0,null,e)));const M=A.join(s,e);let F;return r.onCancellationRequested(()=>{F&&F.destroy()}),Promise.resolve(T.promises.mkdir(L,{recursive:!0})).then(()=>new Promise((U,B)=>{if(!r.isCancellationRequested)try{F=T.createWriteStream(M,{mode:n}),F.once("close",()=>U()),F.once("error",B),i.once("error",B),i.pipe(F)}catch(K){B(K)}}))}function u(i,e,n,s){let a=b.createCancelablePromise(()=>Promise.resolve()),r=0;return s.onCancellationRequested(()=>{a.cancel(),i.close()}),new Promise((h,L)=>{const M=new b.Sequencer,F=U=>{U.isCancellationRequested||(r++,i.readEntry())};i.once("error",L),i.once("close",()=>a.then(()=>{s.isCancellationRequested||i.entryCount===r?h():L(new I("Incomplete",new Error(w.localize(1,null,r,i.entryCount))))},L)),i.readEntry(),i.on("entry",U=>{if(!s.isCancellationRequested){if(!n.sourcePathRegex.test(U.fileName)){F(s);return}const B=U.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(B)){const ae=A.join(e,B);a=b.createCancelablePromise(re=>T.promises.mkdir(ae,{recursive:!0}).then(()=>F(re)).then(void 0,L));return}const K=E(i,U),Z=f(U);a=b.createCancelablePromise(ae=>M.queue(()=>K.then(re=>S(re,B,Z,e,n,ae).then(()=>F(ae)))).then(null,L))}})})}function R(i,e=!1){return new Promise((n,s)=>{C.open(i,e?{lazyEntries:!0}:void 0,(a,r)=>{a?s(O(a)):n(g.assertIsDefined(r))})})}function E(i,e){return new Promise((n,s)=>{i.openReadStream(e,(a,r)=>{a?s(O(a)):n(g.assertIsDefined(r))})})}function p(i,e){return new Promise((n,s)=>{const a=new d.ZipFile;e.forEach(h=>{h.contents?a.addBuffer(typeof h.contents=="string"?Buffer.from(h.contents,"utf8"):h.contents,h.path):h.localPath&&a.addFile(h.localPath,h.path)}),a.end();const r=T.createWriteStream(i);a.outputStream.pipe(r),a.outputStream.once("error",s),r.once("error",s),r.once("finish",()=>n(i))})}t.zip=p;function y(i,e,n={},s){const a=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let r=R(i,!0);return n.overwrite&&(r=r.then(h=>k.rimraf(e).then(()=>h))),r.then(h=>u(h,e,{sourcePathRegex:a},s))}t.extract=y;function P(i,e){return R(i).then(n=>new Promise((s,a)=>{n.on("entry",r=>{r.fileName===e&&E(n,r).then(h=>s(h),h=>a(h))}),n.once("close",()=>a(new Error(w.localize(2,null,e))))}))}function o(i,e){return P(i,e).then(n=>new Promise((s,a)=>{const r=[];n.once("error",a),n.on("data",h=>r.push(h)),n.on("end",()=>s(Buffer.concat(r)))}))}t.buffer=o}),define(J[115],Q([0,1,42,75]),function(q,t,w,A){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getManifest=void 0;function T(b){return w.buffer(b,"extension/package.json").then(k=>{try{return JSON.parse(k.toString("utf8"))}catch(C){throw new Error(A.localize(0,null))}})}t.getManifest=T}),define(J[116],Q([0,1,14,37,2,12,3,13,23,26,4,10,22,83,76,40,42,17,20,9]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p,y,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsScanner=void 0;const o="scanningSystem",i="scanningUser",e="extracting",n="deleting",s="renaming";let a=class extends T.Disposable{constructor(h,L,M,F){super();this.beforeRemovingExtension=h,this.logService=L,this.environmentService=M,this.productService=F,this._devSystemExtensionsPath=null,this.systemExtensionsPath=M.builtinExtensionsPath,this.extensionsPath=M.extensionsPath,this.uninstalledPath=k.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new I.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(h){const L=[];(h===null||h===0)&&L.push(this.scanSystemExtensions().then(null,M=>Promise.reject(new d.ExtensionManagementError(this.joinErrors(M).message,o)))),(h===null||h===1)&&L.push(this.scanUserExtensions(!0).then(null,M=>Promise.reject(new d.ExtensionManagementError(this.joinErrors(M).message,i))));try{const M=await Promise.all(L);return y.flatten(M)}catch(M){throw this.joinErrors(M)}}async scanUserExtensions(h){this.logService.trace("Started scanning user extensions");let[L,M]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return M=M.filter(F=>!L[new g.ExtensionIdentifierWithVersion(F.identifier,F.manifest.version).key()]),h&&(M=g.groupByExtension(M,U=>U.identifier).map(U=>U.sort((B,K)=>A.rcompare(B.manifest.version,K.manifest.version))[0])),this.logService.trace("Scanned user extensions:",M.length),M}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(h,L,M){const F=h.key(),U=k.join(this.extensionsPath,`.${F}`),B=k.join(this.extensionsPath,F);try{await b.rimraf(B)}catch(Z){try{await b.rimraf(B)}catch(ae){}throw new d.ExtensionManagementError(u.localize(0,null,B,h.id),n)}await this.extractAtLocation(h,L,U,M);try{await this.rename(h,U,B,Date.now()+2*60*1e3),this.logService.info("Renamed to",B)}catch(Z){this.logService.info("Rename failed. Deleting from extracted location",U);try{b.rimraf(U)}catch(ae){}throw Z}let K=null;try{K=await this.scanExtension(F,this.extensionsPath,1)}catch(Z){}if(K)return K;throw new Error(u.localize(1,null,this.extensionsPath))}async saveMetadataForLocalExtension(h,L){this.setMetadata(h,L),L.isMachineScoped=L.isMachineScoped||void 0,L.isBuiltin=L.isBuiltin||void 0;const M=k.join(h.location.fsPath,"package.json"),F=await w.promises.readFile(M,"utf8"),{manifest:U}=await this.parseManifest(F);return U.__metadata=L,await b.writeFile(M,JSON.stringify(U,null,"	")),h}getUninstalledExtensions(){return this.withUninstalledExtensions(h=>h)}async withUninstalledExtensions(h){return this.uninstalledFileLimiter.queue(async()=>{let L;try{L=await w.promises.readFile(this.uninstalledPath,"utf8")}catch(U){if(U.code!=="ENOENT")throw U}let M={};if(L)try{M=JSON.parse(L)}catch(U){}const F=h(M);return Object.keys(M).length?await b.writeFile(this.uninstalledPath,JSON.stringify(M)):await b.rimraf(this.uninstalledPath),F})}async removeExtension(h,L){this.logService.trace(`Deleting ${L} extension from disk`,h.identifier.id,h.location.fsPath),await b.rimraf(h.location.fsPath),this.logService.info("Deleted from disk",h.identifier.id,h.location.fsPath)}async removeUninstalledExtension(h){await this.removeExtension(h,"uninstalled"),await this.withUninstalledExtensions(L=>delete L[new g.ExtensionIdentifierWithVersion(h.identifier,h.manifest.version).key()])}async extractAtLocation(h,L,M,F){this.logService.trace(`Started extracting the extension from ${L} to ${M}`);try{await b.rimraf(M)}catch(U){throw new d.ExtensionManagementError(this.joinErrors(U).message,n)}try{await E.extract(L,M,{sourcePath:"extension",overwrite:!0},F),this.logService.info(`Extracted extension to ${M}:`,h.id)}catch(U){try{await b.rimraf(M)}catch(B){}throw new d.ExtensionManagementError(U.message,U instanceof E.ExtractError&&U.type?U.type:e)}}async rename(h,L,M,F){try{await w.promises.rename(L,M)}catch(U){if(p.isWindows&&U&&U.code==="EPERM"&&Date.now()<F)return this.logService.info(`Failed renaming ${L} to ${M} with 'EPERM' error. Trying again...`,h.id),this.rename(h,L,M,F);throw new d.ExtensionManagementError(U.message||u.localize(2,null,L,M),U.code||s)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const h=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return h;const L=this.scanDevSystemExtensions(),[M,F]=await Promise.all([h,L]);return[...M,...F]}async scanExtensionsInDir(h,L){const M=new I.Limiter(10),F=await b.readdir(h);return(await Promise.all(F.map(B=>M.queue(()=>this.scanExtension(B,h,L))))).filter(B=>B&&B.identifier)}async scanExtension(h,L,M){if(M===1&&h.indexOf(".")===0)return null;const F=k.join(L,h);try{const U=await b.readdir(F),{manifest:B,metadata:K}=await this.readManifest(F),Z=U.filter(z=>/^readme(\.txt|\.md|)$/i.test(z))[0],ae=Z?f.URI.file(k.join(F,Z)):void 0,re=U.filter(z=>/^changelog(\.txt|\.md|)$/i.test(z))[0],Y=re?f.URI.file(k.join(F,re)):void 0,le={id:g.getGalleryExtensionId(B.publisher,B.name)},ne={type:M,identifier:le,manifest:B,location:f.URI.file(F),readmeUrl:ae,changelogUrl:Y,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:M===0};return K&&this.setMetadata(ne,K),ne}catch(U){return this.logService.trace(U),null}}async scanDefaultSystemExtensions(){const h=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",h.length),h}async scanDevSystemExtensions(){const h=this.getDevSystemExtensionsList();if(h.length){const L=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",L.length),L.filter(M=>h.some(F=>g.areSameExtensions(M.identifier,{id:F})))}else return[]}setMetadata(h,L){h.publisherDisplayName=L.publisherDisplayName||null,h.publisherId=L.publisherId||null,h.identifier.uuid=L.id,h.isMachineScoped=!!L.isMachineScoped,h.isBuiltin=h.type===0||!!L.isBuiltin}async removeUninstalledExtensions(){const h=await this.getUninstalledExtensions(),L=await this.scanAllUserExtensions(),M=new Set;for(const B of L)h[new g.ExtensionIdentifierWithVersion(B.identifier,B.manifest.version).key()]||M.add(B.identifier.id.toLowerCase());const F=g.groupByExtension(L,B=>B.identifier);await I.Promises.settled(F.map(async B=>{const K=B.sort((Z,ae)=>A.rcompare(Z.manifest.version,ae.manifest.version))[0];M.has(K.identifier.id.toLowerCase())||await this.beforeRemovingExtension(K)}));const U=L.filter(B=>h[new g.ExtensionIdentifierWithVersion(B.identifier,B.manifest.version).key()]);await I.Promises.settled(U.map(B=>this.removeUninstalledExtension(B)))}async removeOutdatedExtensions(){const h=await this.scanAllUserExtensions(),L=[],M=g.groupByExtension(h,F=>F.identifier);L.push(...y.flatten(M.map(F=>F.sort((U,B)=>A.rcompare(U.manifest.version,B.manifest.version)).slice(1)))),await I.Promises.settled(L.map(F=>this.removeExtension(F,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(h=>h.name)}joinErrors(h){const L=Array.isArray(h)?h:[h];return L.length===1?L[0]instanceof Error?L[0]:new Error(L[0]):L.reduce((M,F)=>new Error(`${M.message}${M.message?",":""}${F instanceof Error?F.message:F}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=k.normalize(k.join(P.FileAccess.asFileUri("",q).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(h){const L=[w.promises.readFile(k.join(h,"package.json"),"utf8").then(B=>this.parseManifest(B)),w.promises.readFile(k.join(h,"package.nls.json"),"utf8").then(void 0,B=>B.code!=="ENOENT"?Promise.reject(B):"{}").then(B=>JSON.parse(B))],[{manifest:M,metadata:F},U]=await Promise.all(L);return{manifest:S.localizeManifest(M,U),metadata:F}}parseManifest(h){return new Promise((L,M)=>{try{const F=JSON.parse(h),U=F.__metadata||null;L({manifest:F,metadata:U})}catch(F){M(new Error(u.localize(3,null)))}})}};a=ce([fe(1,C.ILogService),fe(2,O.INativeEnvironmentService),fe(3,R.IProductService)],a),t.ExtensionsScanner=a}),define(J[117],Q([0,1,14,74,3,12,2,20,42,23,26,22,4,11,37,10,39,17,13,90,30,41,47,21,38,89,7,9,28,115,94,116,95]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p,y,P,o,i,e,n,s,a,r,h,L,M,F,U,B){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementService=void 0;const K="unsetUninstalled",Z="downloading",ae="validating",re="local",Y="unknown";let le=class extends k.Disposable{constructor(z,N,c,l,m,v){super();this.environmentService=z,this.galleryService=N,this.logService=c,this.downloadService=l,this.telemetryService=m,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new S.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new S.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new S.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new S.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const D=this._register(v.createInstance(B.ExtensionsLifecycle));this.extensionsScanner=this._register(v.createInstance(U.ExtensionsScanner,j=>D.postUninstall(j))),this.manifestCache=this._register(new P.ExtensionsManifestCache(z,this)),this.extensionsDownloader=this._register(v.createInstance(F.ExtensionsDownloader)),this._register(k.toDisposable(()=>{this.installingExtensions.forEach(j=>j.cancel()),this.uninstallingExtensions.forEach(j=>j.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip(z){this.logService.trace("ExtensionManagementService#zip",z.identifier.id);const N=await this.collectFiles(z),c=await d.zip(n.joinPath(this.environmentService.tmpDir,s.generateUuid()).fsPath,N);return R.URI.file(c)}async unzip(z){return this.logService.trace("ExtensionManagementService#unzip",z.toString()),(await this.install(z)).identifier}async getManifest(z){const N=await this.downloadVsix(z),c=T.resolve(N.fsPath);return M.getManifest(c)}async collectFiles(z){const N=async l=>{let m=await b.readdir(l);m=m.map(j=>T.join(l,j));const v=await Promise.all(m.map(j=>w.promises.stat(j)));let D=Promise.resolve([]);return v.forEach((j,W)=>{const _=m[W];j.isFile()&&(D=D.then($=>[...$,_])),j.isDirectory()&&(D=D.then($=>N(_).then(H=>[...$,...H])))}),D};return(await N(z.location.fsPath)).map(l=>({path:`extension/${T.relative(z.location.fsPath,l)}`,localPath:l}))}async install(z,N={}){return this.logService.trace("ExtensionManagementService#install",z.toString()),O.createCancelablePromise(async c=>{const l=await this.downloadVsix(z),m=T.resolve(l.fsPath),v=await M.getManifest(m),D={id:I.getGalleryExtensionId(v.publisher,v.name)};let j=1;if(v.engines&&v.engines.vscode&&!e.isEngineValid(v.engines.vscode,E.default.version))throw new Error(A.localize(0,null,D.id,E.default.version));const W=new I.ExtensionIdentifierWithVersion(D,v.version),$=(await this.getInstalled(1)).find(X=>I.areSameExtensions(D,X.identifier));if($)if(N.isMachineScoped=N.isMachineScoped||$.isMachineScoped,N.isBuiltin=N.isBuiltin||$.isBuiltin,j=2,W.equals(new I.ExtensionIdentifierWithVersion($.identifier,$.manifest.version)))try{await this.extensionsScanner.removeExtension($,"existing")}catch(X){throw new Error(A.localize(1,null,v.displayName||v.name))}else u.gt($.manifest.version,v.version)&&await this.uninstallExtension($);else{const X=await this.unsetUninstalledAndGetLocal(W);if(X)try{await this.extensionsScanner.removeExtension(X,"existing")}catch(ee){throw new Error(A.localize(2,null,v.displayName||v.name))}}this.logService.info("Installing the extension:",D.id),this._onInstallExtension.fire({identifier:D,zipPath:m});let H;try{H=await this.getGalleryMetadata(I.getGalleryExtensionId(v.publisher,v.name))}catch(X){}try{const X=await this.installFromZipPath(W,m,Object.assign(Object.assign({},H||{}),N),N,j,c);return this.logService.info("Successfully installed the extension:",D.id),X}catch(X){throw this.logService.error("Failed to install the extension:",D.id,X.message),X}})}async downloadVsix(z){if(z.scheme===h.Schemas.file)return z;if(!this.downloadService)throw new Error("Download service is not available");const N=n.joinPath(this.environmentService.tmpDir,s.generateUuid());return await this.downloadService.download(z,N),N}async installFromZipPath(z,N,c,l,m,v){try{const D=await this.installExtension({zipPath:N,identifierWithVersion:z,metadata:c},v);try{await this.installDependenciesAndPackExtensions(D,void 0,l)}catch(j){C.isNonEmptyArray(D.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",D.identifier.id,j.message),C.isNonEmptyArray(D.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",D.identifier.id,j.message)}return this._onDidInstallExtension.fire({identifier:z,zipPath:N,local:D,operation:m}),D}catch(D){throw this._onDidInstallExtension.fire({identifier:z,zipPath:N,operation:m,error:D}),D}}async canInstall(z){return!0}async installFromGallery(z,N={}){if(!this.galleryService.isEnabled())throw new Error(A.localize(3,null));try{z=await this.checkAndGetCompatibleVersion(z)}catch(m){const v=m&&m.code?m.code:Y;throw this.logService.error("Failed to install extension:",z.identifier.id,m?m.message:v),this.reportTelemetry(this.getTelemetryEvent(1),I.getGalleryExtensionTelemetryData(z),void 0,m),m instanceof Error&&(m.name=v),m}const c=new I.ExtensionIdentifierWithVersion(z.identifier,z.version).key();let l=this.installingExtensions.get(c);return l||(l=O.createCancelablePromise(m=>this.doInstallFromGallery(z,N,m)),this.installingExtensions.set(c,l),l.finally(()=>this.installingExtensions.delete(c))),l}async doInstallFromGallery(z,N,c){const l=new Date().getTime();let m=1;this.logService.info("Installing extension:",z.identifier.id),this._onInstallExtension.fire({identifier:z.identifier,gallery:z});try{const D=(await this.getInstalled(1)).find(_=>I.areSameExtensions(_.identifier,z.identifier));D&&(m=2);const j=await this.downloadInstallableExtension(z,m);j.metadata.isMachineScoped=N.isMachineScoped||(D==null?void 0:D.isMachineScoped),j.metadata.isBuiltin=N.isBuiltin||(D==null?void 0:D.isBuiltin);const W=await this.installExtension(j,c);try{await this.extensionsDownloader.delete(R.URI.file(j.zipPath))}catch(_){}if(!N.donotIncludePackAndDependencies)try{await this.installDependenciesAndPackExtensions(W,D,N)}catch(_){try{await this.uninstall(W)}catch($){}throw _}return D&&u.neq(D.manifest.version,z.version)&&await this.setUninstalled(D),this.logService.info("Extensions installed successfully:",z.identifier.id),this._onDidInstallExtension.fire({identifier:z.identifier,gallery:z,local:W,operation:m}),this.reportTelemetry(this.getTelemetryEvent(m),I.getGalleryExtensionTelemetryData(z),new Date().getTime()-l,void 0),W}catch(v){const D=v&&v.code?v.code:Y;throw this.logService.error("Failed to install extension:",z.identifier.id,v?v.message:D),this._onDidInstallExtension.fire({identifier:z.identifier,gallery:z,operation:m,error:D}),this.reportTelemetry(this.getTelemetryEvent(m),I.getGalleryExtensionTelemetryData(z),new Date().getTime()-l,v),v instanceof Error&&(v.name=D),v}}async checkAndGetCompatibleVersion(z){if(await this.isMalicious(z))throw new g.ExtensionManagementError(A.localize(4,null),g.INSTALL_ERROR_MALICIOUS);const N=await this.galleryService.getCompatibleExtension(z);if(!N)throw new g.ExtensionManagementError(A.localize(5,null,z.identifier.id,E.default.version),g.INSTALL_ERROR_INCOMPATIBLE);return N}async reinstallFromGallery(z){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",z.identifier.id),!this.galleryService.isEnabled())throw new Error(A.localize(6,null));const N=await this.findGalleryExtension(z);if(!N)throw new Error(A.localize(7,null));await this.setUninstalled(z);try{await this.extensionsScanner.removeUninstalledExtension(z)}catch(c){throw new Error(A.localize(8,null,o.toErrorMessage(c)))}await this.installFromGallery(N)}getTelemetryEvent(z){return z===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious(z){const N=await this.getExtensionsReport();return I.getMaliciousExtensionsSet(N).has(z.identifier.id)}async downloadInstallableExtension(z,N){const c={id:z.identifier.uuid,publisherId:z.publisherId,publisherDisplayName:z.publisherDisplayName};let l;try{this.logService.trace("Started downloading extension:",z.identifier.id);const m=await this.extensionsDownloader.downloadExtension(z,N);this.logService.info("Downloaded extension:",z.identifier.id,l),l=m.fsPath}catch(m){throw new g.ExtensionManagementError(this.joinErrors(m).message,Z)}try{const m=await M.getManifest(l);return{zipPath:l,identifierWithVersion:new I.ExtensionIdentifierWithVersion(z.identifier,m.version),metadata:c}}catch(m){throw new g.ExtensionManagementError(this.joinErrors(m).message,ae)}}async installExtension(z,N){try{const c=await this.unsetUninstalledAndGetLocal(z.identifierWithVersion);if(c)return z.metadata?this.extensionsScanner.saveMetadataForLocalExtension(c,z.metadata):c}catch(c){throw p.isMacintosh?new g.ExtensionManagementError(A.localize(9,null),K):new g.ExtensionManagementError(A.localize(10,null),K)}return this.extractAndInstall(z,N)}async unsetUninstalledAndGetLocal(z){return await this.isUninstalled(z)?(this.logService.trace("Removing the extension from uninstalled list:",z.id),await this.unsetUninstalled(z),this.logService.info("Removed the extension from uninstalled list:",z.id),(await this.getInstalled(1)).find(l=>new I.ExtensionIdentifierWithVersion(l.identifier,l.manifest.version).equals(z))||null):null}async extractAndInstall({zipPath:z,identifierWithVersion:N,metadata:c},l){let m=await this.extensionsScanner.extractUserExtension(N,z,l);return this.logService.info("Installation completed.",N.id),c&&(m=await this.extensionsScanner.saveMetadataForLocalExtension(m,c)),m}async installDependenciesAndPackExtensions(z,N,c){if(!!this.galleryService.isEnabled()){const l=z.manifest.extensionDependencies||[];if(z.manifest.extensionPack)for(const m of z.manifest.extensionPack)N&&N.manifest.extensionPack&&N.manifest.extensionPack.some(v=>I.areSameExtensions({id:v},{id:m}))||l.every(v=>!I.areSameExtensions({id:v},{id:m}))&&l.push(m);if(l.length){const m=await this.getInstalled(),v=l.filter(D=>m.every(({identifier:j})=>!I.areSameExtensions(j,{id:D})));if(v.length){const j=(await this.galleryService.query({names:v,pageSize:l.length},L.CancellationToken.None)).firstPage;try{await O.Promises.settled(j.map(W=>this.installFromGallery(W,c)))}catch(W){try{await this.rollback(j)}catch(_){}throw W}}}}}async rollback(z){const c=(await this.getInstalled(1)).filter(l=>z.some(m=>new I.ExtensionIdentifierWithVersion(l.identifier,l.manifest.version).equals(new I.ExtensionIdentifierWithVersion(m.identifier,m.version))));await O.Promises.settled(c.map(l=>this.uninstall(l)))}async uninstall(z,N={}){this.logService.trace("ExtensionManagementService#uninstall",z.identifier.id);const c=await this.getInstalled(1),l=c.find(m=>I.areSameExtensions(m.identifier,z.identifier));if(!l)throw new Error(A.localize(11,null,z.manifest.displayName||z.manifest.name));try{await this.checkForDependenciesAndUninstall(l,c,N)}catch(m){throw this.joinErrors(m)}}async updateMetadata(z,N){return this.logService.trace("ExtensionManagementService#updateMetadata",z.identifier.id),z=await this.extensionsScanner.saveMetadataForLocalExtension(z,Object.assign(Object.assign({},z.manifest.__metadata||{}),N)),this.manifestCache.invalidate(),z}async updateExtensionScope(z,N){return this.logService.trace("ExtensionManagementService#updateExtensionScope",z.identifier.id),z=await this.extensionsScanner.saveMetadataForLocalExtension(z,Object.assign(Object.assign({},z.manifest.__metadata||{}),{isMachineScoped:N})),this.manifestCache.invalidate(),z}async getGalleryMetadata(z){const N=await this.findGalleryExtensionByName(z);return N?{id:N.identifier.uuid,publisherDisplayName:N.publisherDisplayName,publisherId:N.publisherId}:void 0}async findGalleryExtension(z){if(z.identifier.uuid){const N=await this.findGalleryExtensionById(z.identifier.uuid);return N||this.findGalleryExtensionByName(z.identifier.id)}return this.findGalleryExtensionByName(z.identifier.id)}async findGalleryExtensionById(z){return(await this.galleryService.query({ids:[z],pageSize:1},L.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(z){return(await this.galleryService.query({names:[z],pageSize:1},L.CancellationToken.None)).firstPage[0]}joinErrors(z){const N=Array.isArray(z)?z:[z];return N.length===1?N[0]instanceof Error?N[0]:new Error(N[0]):N.reduce((c,l)=>new Error(`${c.message}${c.message?",":""}${l instanceof Error?l.message:l}`),new Error(""))}async checkForDependenciesAndUninstall(z,N,c){try{await this.preUninstallExtension(z);const l=c.donotIncludePack?[]:this.getAllPackExtensionsToUninstall(z,N);await this.uninstallExtensions(z,l,N,c)}catch(l){throw await this.postUninstallExtension(z,new g.ExtensionManagementError(l instanceof Error?l.message:l,re)),l}await this.postUninstallExtension(z)}async uninstallExtensions(z,N,c,l){const m=[z,...N];if(!l.donotCheckDependents)for(const v of m)this.checkForDependents(v,m,c,z);await O.Promises.settled([this.uninstallExtension(z),...N.map(v=>this.doUninstall(v))])}checkForDependents(z,N,c,l){const m=this.getDependents(z,c);if(m.length){const v=m.filter(D=>N.indexOf(D)===-1);if(v.length)throw new Error(this.getDependentsErrorMessage(z,v,l))}}getDependentsErrorMessage(z,N,c){return c===z?N.length===1?A.localize(12,null,c.manifest.displayName||c.manifest.name,N[0].manifest.displayName||N[0].manifest.name):N.length===2?A.localize(13,null,c.manifest.displayName||c.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):A.localize(14,null,c.manifest.displayName||c.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):N.length===1?A.localize(15,null,c.manifest.displayName||c.manifest.name,z.manifest.displayName||z.manifest.name,N[0].manifest.displayName||N[0].manifest.name):N.length===2?A.localize(16,null,c.manifest.displayName||c.manifest.name,z.manifest.displayName||z.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):A.localize(17,null,c.manifest.displayName||c.manifest.name,z.manifest.displayName||z.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name)}getAllPackExtensionsToUninstall(z,N,c=[]){if(c.indexOf(z)!==-1)return[];c.push(z);const l=z.manifest.extensionPack?z.manifest.extensionPack:[];if(l.length){const m=N.filter(D=>!D.isBuiltin&&l.some(j=>I.areSameExtensions({id:j},D.identifier))),v=[];for(const D of m)v.push(...this.getAllPackExtensionsToUninstall(D,N,c));return[...m,...v]}return[]}getDependents(z,N){return N.filter(c=>c.manifest.extensionDependencies&&c.manifest.extensionDependencies.some(l=>I.areSameExtensions({id:l},z.identifier)))}async doUninstall(z){try{await this.preUninstallExtension(z),await this.uninstallExtension(z)}catch(N){throw await this.postUninstallExtension(z,new g.ExtensionManagementError(N instanceof Error?N.message:N,re)),N}await this.postUninstallExtension(z)}async preUninstallExtension(z){if(!await b.exists(z.location.fsPath))throw new Error(A.localize(18,null));this.logService.info("Uninstalling extension:",z.identifier.id),this._onUninstallExtension.fire(z.identifier)}async uninstallExtension(z){let N=this.uninstallingExtensions.get(z.identifier.id);return N||(N=O.createCancelablePromise(async()=>{const c=await this.extensionsScanner.scanUserExtensions(!1);await this.setUninstalled(...c.filter(l=>I.areSameExtensions(l.identifier,z.identifier)))}),this.uninstallingExtensions.set(z.identifier.id,N),N.finally(()=>this.uninstallingExtensions.delete(z.identifier.id))),N}async postUninstallExtension(z,N){if(N)this.logService.error("Failed to uninstall extension:",z.identifier.id,N.message);else if(this.logService.info("Successfully uninstalled extension:",z.identifier.id),z.identifier.uuid)try{await this.galleryService.reportStatistic(z.manifest.publisher,z.manifest.name,z.manifest.version,"uninstall")}catch(l){}this.reportTelemetry("extensionGallery:uninstall",I.getLocalExtensionTelemetryData(z),void 0,N);const c=N?N instanceof g.ExtensionManagementError?N.code:Y:void 0;this._onDidUninstallExtension.fire({identifier:z.identifier,error:c})}getInstalled(z=null){return this.extensionsScanner.scanExtensions(z)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled(z){return(await this.filterUninstalled(z)).length===1}filterUninstalled(...z){return this.extensionsScanner.withUninstalledExtensions(N=>{const c=[];for(const l of z)N[l.key()]&&c.push(l.key());return c})}setUninstalled(...z){const N=z.map(c=>new I.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version));return this.extensionsScanner.withUninstalledExtensions(c=>(N.forEach(l=>c[l.key()]=!0),c))}unsetUninstalled(z){return this.extensionsScanner.withUninstalledExtensions(N=>delete N[z.key()])}getExtensionsReport(){const z=new Date().getTime();return(!this.reportedExtensions||z-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=z),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const z=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${z.length} reported extensions from service`),z}catch(z){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry(z,N,c,l){const m=l?l instanceof g.ExtensionManagementError?l.code:Y:void 0;this.telemetryService.publicLogError(z,Object.assign(Object.assign({},N),{success:!l,duration:c,errorcode:m}))}};le=ce([fe(0,f.INativeEnvironmentService),fe(1,g.IExtensionGalleryService),fe(2,y.ILogService),fe(3,r.optional(a.IDownloadService)),fe(4,i.ITelemetryService),fe(5,r.IInstantiationService)],le),t.ExtensionManagementService=le}),define(J[118],Q([0,1,129,105,2,8,15,104,27,13,16]),function(q,t,w,A,T,b,k,C,d,g,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RequestService=void 0;let f=class extends T.Disposable{constructor(S,u){super();this.logService=u,this.configure(S.getValue()),this._register(S.onDidChangeConfiguration(()=>this.configure(S.getValue()),this))}configure(S){this.proxyUrl=S.http&&S.http.proxy,this.strictSSL=!!(S.http&&S.http.proxyStrictSSL),this.authorization=S.http&&S.http.proxyAuthorization}async request(S,u){this.logService.trace("RequestService#request",S.url);const{proxyUrl:R,strictSSL:E}=this,p=S.agent?S.agent:await C.getProxyAgent(S.url||"",{proxyUrl:R,strictSSL:E});return S.agent=p,S.strictSSL=E,this.authorization&&(S.headers=Object.assign(Object.assign({},S.headers||{}),{"Proxy-Authorization":this.authorization})),this._request(S,u)}async getNodeRequest(S){return(A.parse(S.url).protocol==="https:"?await new Promise((E,p)=>{q(["https"],E,p)}):await new Promise((E,p)=>{q(["http"],E,p)})).request}_request(S,u){return new Promise(async(R,E)=>{let p;const y=A.parse(S.url),P=S.getRawRequest?S.getRawRequest(S):await this.getNodeRequest(S),o={hostname:y.hostname,port:y.port?parseInt(y.port):y.protocol==="https:"?443:80,protocol:y.protocol,path:y.path,method:S.type||"GET",headers:S.headers,agent:S.agent,rejectUnauthorized:b.isBoolean(S.strictSSL)?S.strictSSL:!0};S.user&&S.password&&(o.auth=S.user+":"+S.password),p=P(o,i=>{const e=b.isNumber(S.followRedirects)?S.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&e>0&&i.headers.location)this._request(Object.assign(Object.assign({},S),{url:i.headers.location,followRedirects:e-1}),u).then(R,E);else{let n=i;i.headers["content-encoding"]==="gzip"&&(n=i.pipe(w.createGunzip())),R({res:i,stream:I.streamToBufferReadableStream(n)})}}),p.on("error",E),S.timeout&&p.setTimeout(S.timeout),S.data&&typeof S.data=="string"&&p.write(S.data),p.end(),u.onCancellationRequested(()=>{p.abort(),E(k.canceled())})})}async resolveProxy(S){}};f=ce([fe(0,d.IConfigurationService),fe(1,g.ILogService)],f),t.RequestService=f}),define(J[130],Q([0,1,45,14,131,3,4,39,51,48,92,22,100,23,117,111,41,53,112,110,52,118,27,103,113,107,108,13,9,99,114,96,24,97,2,40,93,10,98,36,15,30,16]),function(q,t,w,A,T,b,k,C,d,g,I,f,O,S,u,R,E,p,y,P,o,i,e,n,s,a,r,h,L,M,F,U,B,K,Z,ae,re,Y,le,ne,z,N,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.main=void 0;class l extends Z.Disposable{constructor(D){super();this.argv=D,T.gracefulify(A),this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[D,j]=await this.initServices();return D.invokeFunction(async W=>{const _=W.get(h.ILogService),$=W.get(B.IFileService),H=W.get(f.INativeEnvironmentService),X=W.get(S.IExtensionManagementCLIService);return _.info("CLI main",this.argv),this.registerErrorHandler(_),await this.doRun(H,X,$),k.raceTimeout(p.combinedAppender(...j).flush(),1e3)})}async initServices(){const D=new d.ServiceCollection,j=new O.NativeEnvironmentService(this.argv);D.set(f.IEnvironmentService,j),D.set(f.INativeEnvironmentService,j),await Promise.all([j.appSettingsHome.fsPath,j.extensionsPath].map(Ae=>Ae?A.promises.mkdir(Ae,{recursive:!0}):void 0));const W=h.getLogLevel(j),_=[];_.push(new M.SpdLogLogger("cli",b.join(j.logsPath,"cli.log"),!0,W)),W===h.LogLevel.Trace&&_.push(new h.ConsoleLogger(W));const $=this._register(new h.MultiplexLogService(_));D.set(h.ILogService,$);const H=this._register(new U.FileService($));D.set(B.IFileService,H);const X=this._register(new K.DiskFileSystemProvider($));H.registerProvider(L.Schemas.file,X);const ee=this._register(new n.ConfigurationService(j.settingsResource,H));D.set(e.IConfigurationService,ee),await ee.initialize();const ie=new r.StateService(j,$);D.set(a.IStateService,ie),D.set(ae.IProductService,Object.assign({_serviceBrand:void 0},C.default));const{appRoot:de,extensionsPath:me,extensionDevelopmentLocationURI:Ie,isBuilt:Le,installSourcePath:Te}=j;D.set(o.IRequestService,new g.SyncDescriptor(i.RequestService)),D.set(S.IExtensionManagementService,new g.SyncDescriptor(u.ExtensionManagementService)),D.set(S.IExtensionGalleryService,new g.SyncDescriptor(R.ExtensionGalleryService)),D.set(S.IExtensionManagementCLIService,new g.SyncDescriptor(re.ExtensionManagementCLIService)),D.set(ne.ILocalizationsService,new g.SyncDescriptor(le.LocalizationsService));const Pe=[];if(Le&&!Ie&&!j.disableTelemetry&&C.default.enableTelemetry){C.default.aiConfig&&C.default.aiConfig.asimovKey&&Pe.push(new s.AppInsightsAppender("monacoworkbench",null,C.default.aiConfig.asimovKey));const Ae={appender:p.combinedAppender(...Pe),sendErrorTelemetry:!1,commonProperties:P.resolveCommonProperties(H,w.release(),process.arch,C.default.commit,C.default.version,ie.getItem("telemetry.machineId"),C.default.msftInternalDomains,Te),piiPaths:[de,me]};D.set(E.ITelemetryService,new g.SyncDescriptor(y.TelemetryService,[Ae]))}else D.set(E.ITelemetryService,p.NullTelemetryService);return[new I.InstantiationService(D),Pe]}registerErrorHandler(D){z.setUnexpectedErrorHandler(j=>{const W=N.toErrorMessage(j,!0);!W||D.error(`[uncaught exception in CLI]: ${W}`)})}async doRun(D,j,W){if(this.argv["install-source"])return this.setInstallSource(D,W,this.argv["install-source"]);if(this.argv["list-extensions"])return j.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"])return j.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],!!this.argv["do-not-sync"],!!this.argv.force);if(this.argv["uninstall-extension"])return j.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return j.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(F.buildTelemetryMessage(D.appRoot,D.extensionsPath))}asExtensionIdOrVSIX(D){return D.map(j=>/\.vsix$/i.test(j)?Y.URI.file(b.isAbsolute(j)?j:b.join(process.cwd(),j)):j)}async setInstallSource(D,j,W){await j.writeFile(Y.URI.file(D.installSourcePath),c.VSBuffer.fromString(W.slice(0,30)))}}async function m(v){const D=new l(v);try{await D.run()}finally{D.dispose()}}t.main=m})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fd6f3bce6709b121a895d042d343d71f317d74e7/core/vs/code/node/cliProcessMain.js.map
