/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var se=["require","exports","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/event","vs/base/common/buffer","vs/base/common/strings","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/base/parts/ipc/common/ipc","vs/base/common/arrays","vs/base/common/iterator","vs/base/common/stopwatch","vs/base/common/async","vs/base/common/stream","vs/base/common/types","vs/base/common/uri","vs/base/common/marshalling","vs/base/common/uuid","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.net","crypto","net","zlib","os","vs/platform/driver/node/driver"],re=function(ie){for(var e=[],I=0,U=ie.length;I<U;I++)e[I]=se[ie[I]];return e};define(se[2],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class I{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(g){setTimeout(()=>{throw g.stack?new Error(g.message+`

`+g.stack):g},0)}}addListener(g){return this.listeners.push(g),()=>{this._removeListener(g)}}emit(g){this.listeners.forEach(d=>{d(g)})}_removeListener(g){this.listeners.splice(this.listeners.indexOf(g),1)}setUnexpectedErrorHandler(g){this.unexpectedErrorHandler=g}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(g){this.unexpectedErrorHandler(g),this.emit(g)}onUnexpectedExternalError(g){this.unexpectedErrorHandler(g)}}e.ErrorHandler=I,e.errorHandler=new I;function U(a){e.errorHandler.setUnexpectedErrorHandler(a)}e.setUnexpectedErrorHandler=U;function F(a){S(a)||e.errorHandler.onUnexpectedError(a)}e.onUnexpectedError=F;function L(a){S(a)||e.errorHandler.onUnexpectedExternalError(a)}e.onUnexpectedExternalError=L;function H(a){if(a instanceof Error){let{name:g,message:d}=a;const r=a.stacktrace||a.stack;return{$isError:!0,name:g,message:d,stack:r}}return a}e.transformErrorForSerialization=H;const $="Canceled";function S(a){return a instanceof Error&&a.name===$&&a.message===$}e.isPromiseCanceledError=S;class y extends Error{constructor(){super($);this.name=this.message}}e.CancellationError=y;function M(){const a=new Error($);return a.name=a.message,a}e.canceled=M;function k(a){return a?new Error(`Illegal argument: ${a}`):new Error("Illegal argument")}e.illegalArgument=k;function T(a){return a?new Error(`Illegal state: ${a}`):new Error("Illegal state")}e.illegalState=T;function E(a){return a?new Error(`readonly property '${a} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=E;function q(a){const g=new Error(`${a} has been disposed`);return g.name="DISPOSED",g}e.disposed=q;function J(a){return a?a.message?a.message:a.stack?a.stack.split(`
`)[0]:String(a):"Error"}e.getErrorMessage=J;class R extends Error{constructor(g){super("NotImplemented");g&&(this.message=g)}}e.NotImplementedError=R;class D extends Error{constructor(g){super("NotSupported");g&&(this.message=g)}}e.NotSupportedError=D;class A extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=A;function s(a){const g=a;return g instanceof Error&&Array.isArray(g.actions)}e.isErrorWithActions=s;function o(a,g=Object.create(null)){const d=new Error(a);return g.actions&&(d.actions=g.actions),d}e.createErrorWithActions=o}),define(se[14],re([0,1,2]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.mergeSort=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function U(n,l=0){return n[n.length-(1+l)]}e.tail=U;function F(n){if(n.length===0)throw new Error("Invalid tail call");return[n.slice(0,n.length-1),n[n.length-1]]}e.tail2=F;function L(n,l,f=(_,w)=>_===w){if(n===l)return!0;if(!n||!l||n.length!==l.length)return!1;for(let _=0,w=n.length;_<w;_++)if(!f(n[_],l[_]))return!1;return!0}e.equals=L;function H(n,l,f){let _=0,w=n.length-1;for(;_<=w;){const O=(_+w)/2|0,W=f(n[O],l);if(W<0)_=O+1;else if(W>0)w=O-1;else return O}return-(_+1)}e.binarySearch=H;function $(n,l){let f=0,_=n.length;if(_===0)return 0;for(;f<_;){const w=Math.floor((f+_)/2);l(n[w])?_=w:f=w+1}return f}e.findFirstInSorted=$;function S(n,l,f){if(n=n|0,n>=l.length)throw new TypeError("invalid index");let _=l[Math.floor(l.length*Math.random())],w=[],O=[],W=[];for(let Q of l){const K=f(Q,_);K<0?w.push(Q):K>0?O.push(Q):W.push(Q)}return n<w.length?S(n,w,f):n<w.length+W.length?W[0]:S(n-(w.length+W.length),O,f)}e.quickSelect=S;function y(n,l){return k(n,l,0,n.length-1,[]),n}e.mergeSort=y;function M(n,l,f,_,w,O){let W=f,Q=_+1;for(let K=f;K<=w;K++)O[K]=n[K];for(let K=f;K<=w;K++)W>_?n[K]=O[Q++]:Q>w?n[K]=O[W++]:l(O[Q],O[W])<0?n[K]=O[Q++]:n[K]=O[W++]}function k(n,l,f,_,w){if(!(_<=f)){const O=f+(_-f)/2|0;k(n,l,f,O,w),k(n,l,O+1,_,w),!(l(n[O],n[O+1])<=0)&&M(n,l,f,O,_,w)}}function T(n,l){const f=[];let _;for(const w of y(n.slice(0),l))!_||l(_[0],w)!==0?(_=[w],f.push(_)):_.push(w);return f}e.groupBy=T;function E(n,l,f){const _=[];function w(Q,K,te){if(!(K===0&&te.length===0)){const ne=_[_.length-1];ne&&ne.start+ne.deleteCount===Q?(ne.deleteCount+=K,ne.toInsert.push(...te)):_.push({start:Q,deleteCount:K,toInsert:te})}}let O=0,W=0;for(;;){if(O===n.length){w(O,0,l.slice(W));break}if(W===l.length){w(O,n.length-O,[]);break}const Q=n[O],K=l[W],te=f(Q,K);te===0?(O+=1,W+=1):te<0?(w(O,1,[]),O+=1):te>0&&(w(O,0,[K]),W+=1)}return _}e.sortedDiff=E;function q(n,l,f){const _=E(n,l,f),w=[],O=[];for(const W of _)w.push(...n.slice(W.start,W.start+W.deleteCount)),O.push(...W.toInsert);return{removed:w,added:O}}e.delta=q;function J(n,l,f){if(f===0)return[];const _=n.slice(0,f).sort(l);return D(n,l,_,f,n.length),_}e.top=J;function R(n,l,f,_,w){return f===0?Promise.resolve([]):new Promise((O,W)=>{(async()=>{const Q=n.length,K=n.slice(0,f).sort(l);for(let te=f,ne=Math.min(f+_,Q);te<Q;te=ne,ne=Math.min(ne+_,Q)){if(te>f&&await new Promise(le=>setTimeout(le)),w&&w.isCancellationRequested)throw I.canceled();D(n,l,K,te,ne)}return K})().then(O,W)})}e.topAsync=R;function D(n,l,f,_,w){for(const O=f.length;_<w;_++){const W=n[_];if(l(W,f[O-1])<0){f.pop();const Q=$(f,K=>l(W,K)<0);f.splice(Q,0,W)}}}function A(n){return n.filter(l=>!!l)}e.coalesce=A;function s(n){let l=0;for(let f=0;f<n.length;f++)n[f]&&(n[l]=n[f],l+=1);n.length=l}e.coalesceInPlace=s;function o(n,l,f){n.splice(f,0,n.splice(l,1)[0])}e.move=o;function a(n){return!Array.isArray(n)||n.length===0}e.isFalsyOrEmpty=a;function g(n){return Array.isArray(n)&&n.length>0}e.isNonEmptyArray=g;function d(n,l){if(!l)return n.filter((_,w)=>n.indexOf(_)===w);const f=Object.create(null);return n.filter(_=>{const w=l(_);return f[w]?!1:(f[w]=!0,!0)})}e.distinct=d;function r(n){const l=new Set;return n.filter(f=>l.has(f)?!1:(l.add(f),!0))}e.distinctES6=r;function i(n){const l=Object.create(null);return f=>{const _=n(f);return l[_]?!1:(l[_]=!0,!0)}}e.uniqueFilter=i;function t(n,l){for(let f=n.length-1;f>=0;f--){const _=n[f];if(l(_))return f}return-1}e.lastIndex=t;function h(n,l){return n.length>0?n[0]:l}e.firstOrDefault=h;function m(n,l,f=(_,w)=>_===w){let _=0;for(let w=0,O=Math.min(n.length,l.length);w<O&&f(n[w],l[w]);w++)_++;return _}e.commonPrefixLength=m;function b(n){return[].concat(...n)}e.flatten=b;function v(n,l){let f=typeof l=="number"?n:0;typeof l=="number"?f=n:(f=0,l=n);const _=[];if(f<=l)for(let w=f;w<l;w++)_.push(w);else for(let w=f;w>l;w--)_.push(w);return _}e.range=v;function p(n,l,f){return n.reduce((_,w)=>(_[l(w)]=f?f(w):w,_),Object.create(null))}e.index=p;function V(n,l){return n.push(l),()=>G(n,l)}e.insert=V;function G(n,l){const f=n.indexOf(l);if(f>-1)return n.splice(f,1),l}e.remove=G;function oe(n,l,f){const _=n.slice(0,l),w=n.slice(l);return _.concat(f,w)}e.arrayInsert=oe;function ae(n,l){let f;if(typeof l=="number"){let _=l;f=()=>{const w=Math.sin(_++)*179426549;return w-Math.floor(w)}}else f=Math.random;for(let _=n.length-1;_>0;_-=1){const w=Math.floor(f()*(_+1)),O=n[_];n[_]=n[w],n[w]=O}}e.shuffle=ae;function Z(n,l){const f=n.indexOf(l);f>-1&&(n.splice(f,1),n.unshift(l))}e.pushToStart=Z;function z(n,l){const f=n.indexOf(l);f>-1&&(n.splice(f,1),n.push(l))}e.pushToEnd=z;function x(n,l){return Array.isArray(n)?n.map(l):l(n)}e.mapArrayOrNot=x;function X(n){return Array.isArray(n)?n:[n]}e.asArray=X;function B(n){return n[Math.floor(Math.random()*n.length)]}e.getRandomElement=B;function u(n,l){for(const f of n){const _=l(f);if(_!==void 0)return _}}e.mapFind=u}),define(se[8],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function I(U){const F=this;let L=!1,H;return function(){return L||(L=!0,H=U.apply(F,arguments)),H}}e.once=I}),define(se[15],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var I;(function(U){function F(a){return a&&typeof a=="object"&&typeof a[Symbol.iterator]=="function"}U.is=F;const L=Object.freeze([]);function H(){return L}U.empty=H;function*$(a){yield a}U.single=$;function S(a){return a||L}U.from=S;function y(a){return!a||a[Symbol.iterator]().next().done===!0}U.isEmpty=y;function M(a){return a[Symbol.iterator]().next().value}U.first=M;function k(a,g){for(const d of a)if(g(d))return!0;return!1}U.some=k;function T(a,g){for(const d of a)if(g(d))return d}U.find=T;function*E(a,g){for(const d of a)g(d)&&(yield d)}U.filter=E;function*q(a,g){for(const d of a)yield g(d)}U.map=q;function*J(...a){for(const g of a)for(const d of g)yield d}U.concat=J;function*R(a){for(const g of a)for(const d of g)yield d}U.concatNested=R;function D(a,g,d){let r=d;for(const i of a)r=g(r,i);return r}U.reduce=D;function*A(a,g,d=a.length){for(g<0&&(g+=a.length),d<0?d+=a.length:d>a.length&&(d=a.length);g<d;g++)yield a[g]}U.slice=A;function s(a,g=Number.POSITIVE_INFINITY){const d=[];if(g===0)return[d,a];const r=a[Symbol.iterator]();for(let i=0;i<g;i++){const t=r.next();if(t.done)return[d,U.empty()];d.push(t.value)}return[d,{[Symbol.iterator](){return r}}]}U.consume=s;function o(a,g,d=(r,i)=>r===i){const r=a[Symbol.iterator](),i=g[Symbol.iterator]();for(;;){const t=r.next(),h=i.next();if(t.done!==h.done)return!1;if(t.done)return!0;if(!d(t.value,h.value))return!1}}U.equals=o})(I=e.Iterable||(e.Iterable={}))}),define(se[3],re([0,1,8,15]),function(ie,e,I,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const F=!1;let L=null;function H(s){L=s}if(e.setDisposableTracker=H,F){const s="__is_disposable_tracked__";L=new class{trackDisposable(o){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[s]||console.log(a)},3e3)}markTracked(o){if(o&&o!==J.None)try{o[s]=!0}catch(a){}}}}function $(s){!L||L.markTracked(s)}function S(s){return L&&L.trackDisposable(s),s}e.trackDisposable=S;class y extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=y;function M(s){return typeof s.dispose=="function"&&s.dispose.length===0}e.isDisposable=M;function k(s){if(U.Iterable.is(s)){let o=[];for(const a of s)if(a){$(a);try{a.dispose()}catch(g){o.push(g)}}if(o.length===1)throw o[0];if(o.length>1)throw new y(o);return Array.isArray(s)?[]:s}else if(s)return $(s),s.dispose(),s}e.dispose=k;function T(...s){return s.forEach($),E(()=>k(s))}e.combinedDisposable=T;function E(s){const o=S({dispose:()=>{$(o),s()}});return o}e.toDisposable=E;class q{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||($(this),this._isDisposed=!0,this.clear())}clear(){try{k(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return $(o),this._isDisposed?q.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=q,q.DISABLE_DISPOSED_WARNING=!1;class J{constructor(){this._store=new q,S(this)}dispose(){$(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=J,J.None=Object.freeze({dispose(){}});class R{constructor(){this._isDisposed=!1,S(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){var a;this._isDisposed||o===this._value||((a=this._value)===null||a===void 0||a.dispose(),o&&$(o),this._value=o)}clear(){this.value=void 0}dispose(){var o;this._isDisposed=!0,$(this),(o=this._value)===null||o===void 0||o.dispose(),this._value=void 0}}e.MutableDisposable=R;class D{constructor(){this.references=new Map}acquire(o,...a){let g=this.references.get(o);g||(g={counter:0,object:this.createReferencedObject(o,...a)},this.references.set(o,g));const{object:d}=g,r=I.once(()=>{--g.counter==0&&(this.destroyReferencedObject(o,g.object),this.references.delete(o))});return g.counter++,{object:d,dispose:r}}}e.ReferenceCollection=D;class A{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=A}),define(se[9],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class I{constructor(L){this.element=L,this.next=I.Undefined,this.prev=I.Undefined}}I.Undefined=new I(void 0);class U{constructor(){this._first=I.Undefined,this._last=I.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===I.Undefined}clear(){this._first=I.Undefined,this._last=I.Undefined,this._size=0}unshift(L){return this._insert(L,!1)}push(L){return this._insert(L,!0)}_insert(L,H){const $=new I(L);if(this._first===I.Undefined)this._first=$,this._last=$;else if(H){const y=this._last;this._last=$,$.prev=y,y.next=$}else{const y=this._first;this._first=$,$.next=y,y.prev=$}this._size+=1;let S=!1;return()=>{S||(S=!0,this._remove($))}}shift(){if(this._first!==I.Undefined){const L=this._first.element;return this._remove(this._first),L}}pop(){if(this._last!==I.Undefined){const L=this._last.element;return this._remove(this._last),L}}_remove(L){if(L.prev!==I.Undefined&&L.next!==I.Undefined){const H=L.prev;H.next=L.next,L.next.prev=H}else L.prev===I.Undefined&&L.next===I.Undefined?(this._first=I.Undefined,this._last=I.Undefined):L.next===I.Undefined?(this._last=this._last.prev,this._last.next=I.Undefined):L.prev===I.Undefined&&(this._first=this._first.next,this._first.prev=I.Undefined);this._size-=1}*[Symbol.iterator](){let L=this._first;for(;L!==I.Undefined;)yield L.element,L=L.next}}e.LinkedList=U}),define(se[4],re([0,1]),function(ie,e){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const U="en";let F=!1,L=!1,H=!1,$=!1,S=!1,y=!1,M=!1,k,T=U,E,q;const J=typeof self=="object"?self:typeof global=="object"?global:{};let R;typeof process!="undefined"?R=process:typeof J.vscode!="undefined"&&(R=J.vscode.process);const D=typeof((I=R==null?void 0:R.versions)===null||I===void 0?void 0:I.electron)=="string"&&R.type==="renderer";if(e.isElectronSandboxed=D&&(R==null?void 0:R.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const t=R==null?void 0:R.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof t=="string")return t==="none"||t==="code"||t==="bypassHeatCheck"||t==="bypassHeatCheckAndEagerCompile"?t:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!D)q=navigator.userAgent,F=q.indexOf("Windows")>=0,L=q.indexOf("Macintosh")>=0,M=(q.indexOf("Macintosh")>=0||q.indexOf("iPad")>=0||q.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,H=q.indexOf("Linux")>=0,y=!0,k=navigator.language,T=k;else if(typeof R=="object"){F=R.platform==="win32",L=R.platform==="darwin",H=R.platform==="linux",$=H&&!!R.env.SNAP&&!!R.env.SNAP_REVISION,k=U,T=U;const t=R.env.VSCODE_NLS_CONFIG;if(t)try{const h=JSON.parse(t),m=h.availableLanguages["*"];k=h.locale,T=m||U,E=h._translationsConfigFile}catch(h){}S=!0}else console.error("Unable to resolve platform.");var A;(function(t){t[t.Web=0]="Web",t[t.Mac=1]="Mac",t[t.Linux=2]="Linux",t[t.Windows=3]="Windows"})(A=e.Platform||(e.Platform={}));function s(t){switch(t){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=s;let o=0;L?o=1:F?o=3:H&&(o=2),e.isWindows=F,e.isMacintosh=L,e.isLinux=H,e.isLinuxSnap=$,e.isNative=S,e.isWeb=y,e.isIOS=M,e.platform=o,e.userAgent=q,e.language=T;var a;(function(t){function h(){return e.language}t.value=h;function m(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}t.isDefaultVariant=m;function b(){return e.language==="en"}t.isDefault=b})(a=e.Language||(e.Language={})),e.locale=k,e.translationsConfigFile=E,e.globals=J,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let m=[];e.globals.addEventListener("message",v=>{if(v.data&&v.data.vscodeSetImmediateId)for(let p=0,V=m.length;p<V;p++){const G=m[p];if(G.id===v.data.vscodeSetImmediateId){m.splice(p,1),G.callback();return}}});let b=0;return v=>{const p=++b;m.push({id:p,callback:v}),e.globals.postMessage({vscodeSetImmediateId:p},"*")}}if(R&&typeof R.nextTick=="function")return R.nextTick.bind(R);const h=Promise.resolve();return m=>h.then(m)}();var g;(function(t){t[t.Windows=1]="Windows",t[t.Macintosh=2]="Macintosh",t[t.Linux=3]="Linux"})(g=e.OperatingSystem||(e.OperatingSystem={})),e.OS=L||M?2:F?1:3;let d=!0,r=!1;function i(){if(!r){r=!0;const t=new Uint8Array(2);t[0]=1,t[1]=2,d=new Uint16Array(t.buffer)[0]===(2<<8)+1}return d}e.isLittleEndian=i}),define(se[10],re([0,1,4]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let U;typeof process!="undefined"?U=process:typeof I.globals.vscode!="undefined"?U={get platform(){return I.globals.vscode.process.platform},get env(){return I.globals.vscode.process.env},nextTick(F){return I.setImmediate(F)},cwd(){return I.globals.vscode.process.env.VSCODE_CWD||I.globals.vscode.process.execPath.substr(0,I.globals.vscode.process.execPath.lastIndexOf(I.globals.vscode.process.platform==="win32"?"\\":"/"))}}:U={get platform(){return I.isWindows?"win32":I.isMacintosh?"darwin":"linux"},nextTick(F){return I.setImmediate(F)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=U.cwd,e.env=U.env,e.platform=U.platform,e.nextTick=U.nextTick}),define(se[11],re([0,1,10]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const U=65,F=97,L=90,H=122,$=46,S=47,y=92,M=58,k=63;class T extends Error{constructor(o,a,g){let d;typeof a=="string"&&a.indexOf("not ")===0?(d="must not be",a=a.replace(/^not /,"")):d="must be";const r=o.indexOf(".")!==-1?"property":"argument";let i=`The "${o}" ${r} ${d} of type ${a}`;i+=`. Received type ${typeof g}`,super(i),this.code="ERR_INVALID_ARG_TYPE"}}function E(s,o){if(typeof s!="string")throw new T(o,"string",s)}function q(s){return s===S||s===y}function J(s){return s===S}function R(s){return s>=U&&s<=L||s>=F&&s<=H}function D(s,o,a,g){let d="",r=0,i=-1,t=0,h=0;for(let m=0;m<=s.length;++m){if(m<s.length)h=s.charCodeAt(m);else{if(g(h))break;h=S}if(g(h)){if(!(i===m-1||t===1))if(t===2){if(d.length<2||r!==2||d.charCodeAt(d.length-1)!==$||d.charCodeAt(d.length-2)!==$){if(d.length>2){const b=d.lastIndexOf(a);b===-1?(d="",r=0):(d=d.slice(0,b),r=d.length-1-d.lastIndexOf(a)),i=m,t=0;continue}else if(d.length!==0){d="",r=0,i=m,t=0;continue}}o&&(d+=d.length>0?`${a}..`:"..",r=2)}else d.length>0?d+=`${a}${s.slice(i+1,m)}`:d=s.slice(i+1,m),r=m-i-1;i=m,t=0}else h===$&&t!==-1?++t:t=-1}return d}function A(s,o){if(o===null||typeof o!="object")throw new T("pathObject","Object",o);const a=o.dir||o.root,g=o.base||`${o.name||""}${o.ext||""}`;return a?a===o.root?`${a}${g}`:`${a}${s}${g}`:g}e.win32={resolve(...s){let o="",a="",g=!1;for(let d=s.length-1;d>=-1;d--){let r;if(d>=0){if(r=s[d],E(r,"path"),r.length===0)continue}else o.length===0?r=I.cwd():(r=I.env[`=${o}`]||I.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==o.toLowerCase()&&r.charCodeAt(2)===y)&&(r=`${o}\\`));const i=r.length;let t=0,h="",m=!1;const b=r.charCodeAt(0);if(i===1)q(b)&&(t=1,m=!0);else if(q(b))if(m=!0,q(r.charCodeAt(1))){let v=2,p=v;for(;v<i&&!q(r.charCodeAt(v));)v++;if(v<i&&v!==p){const V=r.slice(p,v);for(p=v;v<i&&q(r.charCodeAt(v));)v++;if(v<i&&v!==p){for(p=v;v<i&&!q(r.charCodeAt(v));)v++;(v===i||v!==p)&&(h=`\\\\${V}\\${r.slice(p,v)}`,t=v)}}}else t=1;else R(b)&&r.charCodeAt(1)===M&&(h=r.slice(0,2),t=2,i>2&&q(r.charCodeAt(2))&&(m=!0,t=3));if(h.length>0)if(o.length>0){if(h.toLowerCase()!==o.toLowerCase())continue}else o=h;if(g){if(o.length>0)break}else if(a=`${r.slice(t)}\\${a}`,g=m,m&&o.length>0)break}return a=D(a,!g,"\\",q),g?`${o}\\${a}`:`${o}${a}`||"."},normalize(s){E(s,"path");const o=s.length;if(o===0)return".";let a=0,g,d=!1;const r=s.charCodeAt(0);if(o===1)return J(r)?"\\":s;if(q(r))if(d=!0,q(s.charCodeAt(1))){let t=2,h=t;for(;t<o&&!q(s.charCodeAt(t));)t++;if(t<o&&t!==h){const m=s.slice(h,t);for(h=t;t<o&&q(s.charCodeAt(t));)t++;if(t<o&&t!==h){for(h=t;t<o&&!q(s.charCodeAt(t));)t++;if(t===o)return`\\\\${m}\\${s.slice(h)}\\`;t!==h&&(g=`\\\\${m}\\${s.slice(h,t)}`,a=t)}}}else a=1;else R(r)&&s.charCodeAt(1)===M&&(g=s.slice(0,2),a=2,o>2&&q(s.charCodeAt(2))&&(d=!0,a=3));let i=a<o?D(s.slice(a),!d,"\\",q):"";return i.length===0&&!d&&(i="."),i.length>0&&q(s.charCodeAt(o-1))&&(i+="\\"),g===void 0?d?`\\${i}`:i:d?`${g}\\${i}`:`${g}${i}`},isAbsolute(s){E(s,"path");const o=s.length;if(o===0)return!1;const a=s.charCodeAt(0);return q(a)||o>2&&R(a)&&s.charCodeAt(1)===M&&q(s.charCodeAt(2))},join(...s){if(s.length===0)return".";let o,a;for(let r=0;r<s.length;++r){const i=s[r];E(i,"path"),i.length>0&&(o===void 0?o=a=i:o+=`\\${i}`)}if(o===void 0)return".";let g=!0,d=0;if(typeof a=="string"&&q(a.charCodeAt(0))){++d;const r=a.length;r>1&&q(a.charCodeAt(1))&&(++d,r>2&&(q(a.charCodeAt(2))?++d:g=!1))}if(g){for(;d<o.length&&q(o.charCodeAt(d));)d++;d>=2&&(o=`\\${o.slice(d)}`)}return e.win32.normalize(o)},relative(s,o){if(E(s,"from"),E(o,"to"),s===o)return"";const a=e.win32.resolve(s),g=e.win32.resolve(o);if(a===g||(s=a.toLowerCase(),o=g.toLowerCase(),s===o))return"";let d=0;for(;d<s.length&&s.charCodeAt(d)===y;)d++;let r=s.length;for(;r-1>d&&s.charCodeAt(r-1)===y;)r--;const i=r-d;let t=0;for(;t<o.length&&o.charCodeAt(t)===y;)t++;let h=o.length;for(;h-1>t&&o.charCodeAt(h-1)===y;)h--;const m=h-t,b=i<m?i:m;let v=-1,p=0;for(;p<b;p++){const G=s.charCodeAt(d+p);if(G!==o.charCodeAt(t+p))break;G===y&&(v=p)}if(p!==b){if(v===-1)return g}else{if(m>b){if(o.charCodeAt(t+p)===y)return g.slice(t+p+1);if(p===2)return g.slice(t+p)}i>b&&(s.charCodeAt(d+p)===y?v=p:p===2&&(v=3)),v===-1&&(v=0)}let V="";for(p=d+v+1;p<=r;++p)(p===r||s.charCodeAt(p)===y)&&(V+=V.length===0?"..":"\\..");return t+=v,V.length>0?`${V}${g.slice(t,h)}`:(g.charCodeAt(t)===y&&++t,g.slice(t,h))},toNamespacedPath(s){if(typeof s!="string")return s;if(s.length===0)return"";const o=e.win32.resolve(s);if(o.length<=2)return s;if(o.charCodeAt(0)===y){if(o.charCodeAt(1)===y){const a=o.charCodeAt(2);if(a!==k&&a!==$)return`\\\\?\\UNC\\${o.slice(2)}`}}else if(R(o.charCodeAt(0))&&o.charCodeAt(1)===M&&o.charCodeAt(2)===y)return`\\\\?\\${o}`;return s},dirname(s){E(s,"path");const o=s.length;if(o===0)return".";let a=-1,g=0;const d=s.charCodeAt(0);if(o===1)return q(d)?s:".";if(q(d)){if(a=g=1,q(s.charCodeAt(1))){let t=2,h=t;for(;t<o&&!q(s.charCodeAt(t));)t++;if(t<o&&t!==h){for(h=t;t<o&&q(s.charCodeAt(t));)t++;if(t<o&&t!==h){for(h=t;t<o&&!q(s.charCodeAt(t));)t++;if(t===o)return s;t!==h&&(a=g=t+1)}}}}else R(d)&&s.charCodeAt(1)===M&&(a=o>2&&q(s.charCodeAt(2))?3:2,g=a);let r=-1,i=!0;for(let t=o-1;t>=g;--t)if(q(s.charCodeAt(t))){if(!i){r=t;break}}else i=!1;if(r===-1){if(a===-1)return".";r=a}return s.slice(0,r)},basename(s,o){o!==void 0&&E(o,"ext"),E(s,"path");let a=0,g=-1,d=!0,r;if(s.length>=2&&R(s.charCodeAt(0))&&s.charCodeAt(1)===M&&(a=2),o!==void 0&&o.length>0&&o.length<=s.length){if(o===s)return"";let i=o.length-1,t=-1;for(r=s.length-1;r>=a;--r){const h=s.charCodeAt(r);if(q(h)){if(!d){a=r+1;break}}else t===-1&&(d=!1,t=r+1),i>=0&&(h===o.charCodeAt(i)?--i==-1&&(g=r):(i=-1,g=t))}return a===g?g=t:g===-1&&(g=s.length),s.slice(a,g)}for(r=s.length-1;r>=a;--r)if(q(s.charCodeAt(r))){if(!d){a=r+1;break}}else g===-1&&(d=!1,g=r+1);return g===-1?"":s.slice(a,g)},extname(s){E(s,"path");let o=0,a=-1,g=0,d=-1,r=!0,i=0;s.length>=2&&s.charCodeAt(1)===M&&R(s.charCodeAt(0))&&(o=g=2);for(let t=s.length-1;t>=o;--t){const h=s.charCodeAt(t);if(q(h)){if(!r){g=t+1;break}continue}d===-1&&(r=!1,d=t+1),h===$?a===-1?a=t:i!==1&&(i=1):a!==-1&&(i=-1)}return a===-1||d===-1||i===0||i===1&&a===d-1&&a===g+1?"":s.slice(a,d)},format:A.bind(null,"\\"),parse(s){E(s,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return o;const a=s.length;let g=0,d=s.charCodeAt(0);if(a===1)return q(d)?(o.root=o.dir=s,o):(o.base=o.name=s,o);if(q(d)){if(g=1,q(s.charCodeAt(1))){let v=2,p=v;for(;v<a&&!q(s.charCodeAt(v));)v++;if(v<a&&v!==p){for(p=v;v<a&&q(s.charCodeAt(v));)v++;if(v<a&&v!==p){for(p=v;v<a&&!q(s.charCodeAt(v));)v++;v===a?g=v:v!==p&&(g=v+1)}}}}else if(R(d)&&s.charCodeAt(1)===M){if(a<=2)return o.root=o.dir=s,o;if(g=2,q(s.charCodeAt(2))){if(a===3)return o.root=o.dir=s,o;g=3}}g>0&&(o.root=s.slice(0,g));let r=-1,i=g,t=-1,h=!0,m=s.length-1,b=0;for(;m>=g;--m){if(d=s.charCodeAt(m),q(d)){if(!h){i=m+1;break}continue}t===-1&&(h=!1,t=m+1),d===$?r===-1?r=m:b!==1&&(b=1):r!==-1&&(b=-1)}return t!==-1&&(r===-1||b===0||b===1&&r===t-1&&r===i+1?o.base=o.name=s.slice(i,t):(o.name=s.slice(i,r),o.base=s.slice(i,t),o.ext=s.slice(r,t))),i>0&&i!==g?o.dir=s.slice(0,i-1):o.dir=o.root,o},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...s){let o="",a=!1;for(let g=s.length-1;g>=-1&&!a;g--){const d=g>=0?s[g]:I.cwd();E(d,"path"),d.length!==0&&(o=`${d}/${o}`,a=d.charCodeAt(0)===S)}return o=D(o,!a,"/",J),a?`/${o}`:o.length>0?o:"."},normalize(s){if(E(s,"path"),s.length===0)return".";const o=s.charCodeAt(0)===S,a=s.charCodeAt(s.length-1)===S;return s=D(s,!o,"/",J),s.length===0?o?"/":a?"./":".":(a&&(s+="/"),o?`/${s}`:s)},isAbsolute(s){return E(s,"path"),s.length>0&&s.charCodeAt(0)===S},join(...s){if(s.length===0)return".";let o;for(let a=0;a<s.length;++a){const g=s[a];E(g,"path"),g.length>0&&(o===void 0?o=g:o+=`/${g}`)}return o===void 0?".":e.posix.normalize(o)},relative(s,o){if(E(s,"from"),E(o,"to"),s===o||(s=e.posix.resolve(s),o=e.posix.resolve(o),s===o))return"";const a=1,g=s.length,d=g-a,r=1,i=o.length-r,t=d<i?d:i;let h=-1,m=0;for(;m<t;m++){const v=s.charCodeAt(a+m);if(v!==o.charCodeAt(r+m))break;v===S&&(h=m)}if(m===t)if(i>t){if(o.charCodeAt(r+m)===S)return o.slice(r+m+1);if(m===0)return o.slice(r+m)}else d>t&&(s.charCodeAt(a+m)===S?h=m:m===0&&(h=0));let b="";for(m=a+h+1;m<=g;++m)(m===g||s.charCodeAt(m)===S)&&(b+=b.length===0?"..":"/..");return`${b}${o.slice(r+h)}`},toNamespacedPath(s){return s},dirname(s){if(E(s,"path"),s.length===0)return".";const o=s.charCodeAt(0)===S;let a=-1,g=!0;for(let d=s.length-1;d>=1;--d)if(s.charCodeAt(d)===S){if(!g){a=d;break}}else g=!1;return a===-1?o?"/":".":o&&a===1?"//":s.slice(0,a)},basename(s,o){o!==void 0&&E(o,"ext"),E(s,"path");let a=0,g=-1,d=!0,r;if(o!==void 0&&o.length>0&&o.length<=s.length){if(o===s)return"";let i=o.length-1,t=-1;for(r=s.length-1;r>=0;--r){const h=s.charCodeAt(r);if(h===S){if(!d){a=r+1;break}}else t===-1&&(d=!1,t=r+1),i>=0&&(h===o.charCodeAt(i)?--i==-1&&(g=r):(i=-1,g=t))}return a===g?g=t:g===-1&&(g=s.length),s.slice(a,g)}for(r=s.length-1;r>=0;--r)if(s.charCodeAt(r)===S){if(!d){a=r+1;break}}else g===-1&&(d=!1,g=r+1);return g===-1?"":s.slice(a,g)},extname(s){E(s,"path");let o=-1,a=0,g=-1,d=!0,r=0;for(let i=s.length-1;i>=0;--i){const t=s.charCodeAt(i);if(t===S){if(!d){a=i+1;break}continue}g===-1&&(d=!1,g=i+1),t===$?o===-1?o=i:r!==1&&(r=1):o!==-1&&(r=-1)}return o===-1||g===-1||r===0||r===1&&o===g-1&&o===a+1?"":s.slice(o,g)},format:A.bind(null,"/"),parse(s){E(s,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return o;const a=s.charCodeAt(0)===S;let g;a?(o.root="/",g=1):g=0;let d=-1,r=0,i=-1,t=!0,h=s.length-1,m=0;for(;h>=g;--h){const b=s.charCodeAt(h);if(b===S){if(!t){r=h+1;break}continue}i===-1&&(t=!1,i=h+1),b===$?d===-1?d=h:m!==1&&(m=1):d!==-1&&(m=-1)}if(i!==-1){const b=r===0&&a?1:r;d===-1||m===0||m===1&&d===i-1&&d===r+1?o.base=o.name=s.slice(b,i):(o.name=s.slice(b,d),o.base=s.slice(b,i),o.ext=s.slice(d,i))}return r>0?o.dir=s.slice(0,r-1):a&&(o.dir="/"),o},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=I.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=I.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=I.platform==="win32"?e.win32.join:e.posix.join,e.resolve=I.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=I.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=I.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=I.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=I.platform==="win32"?e.win32.extname:e.posix.extname,e.format=I.platform==="win32"?e.win32.format:e.posix.format,e.parse=I.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=I.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=I.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=I.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(se[16],re([0,1,4]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const U=I.globals.performance&&typeof I.globals.performance.now=="function";class F{constructor(H){this._highResolution=U&&H,this._startTime=this._now(),this._stopTime=-1}static create(H=!0){return new F(H)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?I.globals.performance.now():Date.now()}}e.StopWatch=F}),define(se[5],re([0,1,2,8,3,9,16]),function(ie,e,I,U,F,L,H){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var $;(function(D){D.None=()=>F.Disposable.None;function A(Z){return(z,x=null,X)=>{let B=!1,u;return u=Z(n=>{if(!B)return u?u.dispose():B=!0,z.call(x,n)},null,X),B&&u.dispose(),u}}D.once=A;function s(Z,z){return i((x,X=null,B)=>Z(u=>x.call(X,z(u)),null,B))}D.map=s;function o(Z,z){return i((x,X=null,B)=>Z(u=>{z(u),x.call(X,u)},null,B))}D.forEach=o;function a(Z,z){return i((x,X=null,B)=>Z(u=>z(u)&&x.call(X,u),null,B))}D.filter=a;function g(Z){return Z}D.signal=g;function d(...Z){return(z,x=null,X)=>F.combinedDisposable(...Z.map(B=>B(u=>z.call(x,u),null,X)))}D.any=d;function r(Z,z,x){let X=x;return s(Z,B=>(X=z(X,B),X))}D.reduce=r;function i(Z){let z;const x=new T({onFirstListenerAdd(){z=Z(x.fire,x)},onLastListenerRemove(){z.dispose()}});return x.event}D.snapshot=i;function t(Z,z,x=100,X=!1,B){let u,n,l,f=0;const _=new T({leakWarningThreshold:B,onFirstListenerAdd(){u=Z(w=>{f++,n=z(n,w),X&&!l&&(_.fire(n),n=void 0),clearTimeout(l),l=setTimeout(()=>{const O=n;n=void 0,l=void 0,(!X||f>1)&&_.fire(O),f=0},x)})},onLastListenerRemove(){u.dispose()}});return _.event}D.debounce=t;function h(Z){const z=new Date().getTime();return s(A(Z),x=>new Date().getTime()-z)}D.stopwatch=h;function m(Z){let z=!0,x;return a(Z,X=>{const B=z||X!==x;return z=!1,x=X,B})}D.latch=m;function b(Z,z=!1,x=[]){let X=x.slice(),B=Z(l=>{X?X.push(l):n.fire(l)});const u=()=>{X&&X.forEach(l=>n.fire(l)),X=null},n=new T({onFirstListenerAdd(){B||(B=Z(l=>n.fire(l)))},onFirstListenerDidAdd(){X&&(z?setTimeout(u):u())},onLastListenerRemove(){B&&B.dispose(),B=null}});return n.event}D.buffer=b;class v{constructor(z){this.event=z}map(z){return new v(s(this.event,z))}forEach(z){return new v(o(this.event,z))}filter(z){return new v(a(this.event,z))}reduce(z,x){return new v(r(this.event,z,x))}latch(){return new v(m(this.event))}debounce(z,x=100,X=!1,B){return new v(t(this.event,z,x,X,B))}on(z,x,X){return this.event(z,x,X)}once(z,x,X){return A(this.event)(z,x,X)}}function p(Z){return new v(Z)}D.chain=p;function V(Z,z,x=X=>X){const X=(...l)=>n.fire(x(...l)),B=()=>Z.on(z,X),u=()=>Z.removeListener(z,X),n=new T({onFirstListenerAdd:B,onLastListenerRemove:u});return n.event}D.fromNodeEventEmitter=V;function G(Z,z,x=X=>X){const X=(...l)=>n.fire(x(...l)),B=()=>Z.addEventListener(z,X),u=()=>Z.removeEventListener(z,X),n=new T({onFirstListenerAdd:B,onLastListenerRemove:u});return n.event}D.fromDOMEventEmitter=G;function oe(Z){const z=new T;let x=!1;return Z.then(void 0,()=>null).then(()=>{x?z.fire(void 0):setTimeout(()=>z.fire(void 0),0)}),x=!0,z.event}D.fromPromise=oe;function ae(Z){return new Promise(z=>A(Z)(z))}D.toPromise=ae})($=e.Event||(e.Event={}));class S{constructor(A){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${A}_${S._idPool++}`}start(A){this._stopWatch=new H.StopWatch(!0),this._listenerCount=A}stop(){if(this._stopWatch){const A=this._stopWatch.elapsed();this._elapsedOverall+=A,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${A.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}S._idPool=0;let y=-1;function M(D){const A=y;return y=D,{dispose(){y=A}}}e.setGlobalLeakWarningThreshold=M;class k{constructor(A,s=Math.random().toString(18).slice(2,5)){this.customThreshold=A,this.name=s,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(A){let s=y;if(typeof this.customThreshold=="number"&&(s=this.customThreshold),!(s<=0||A<s)){this._stacks||(this._stacks=new Map);const o=new Error().stack.split(`
`).slice(3).join(`
`),a=this._stacks.get(o)||0;if(this._stacks.set(o,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=s*.5;let g,d=0;for(const[r,i]of this._stacks)(!g||d<i)&&(g=r,d=i);console.warn(`[${this.name}] potential listener LEAK detected, having ${A} listeners already. MOST frequent listener (${d}):`),console.warn(g)}return()=>{const g=this._stacks.get(o)||0;this._stacks.set(o,g-1)}}}}class T{constructor(A){var s;this._disposed=!1,this._options=A,this._leakageMon=y>0?new k(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((s=this._options)===null||s===void 0?void 0:s._profName)?new S(this._options._profName):void 0}get event(){return this._event||(this._event=(A,s,o)=>{var a;this._listeners||(this._listeners=new L.LinkedList);const g=this._listeners.isEmpty();g&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const d=this._listeners.push(s?[A,s]:A);g&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,A,s);const r=(a=this._leakageMon)===null||a===void 0?void 0:a.check(this._listeners.size);let i;return i={dispose:()=>{r&&r(),i.dispose=T._noop,this._disposed||(d(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},o instanceof F.DisposableStore?o.add(i):Array.isArray(o)&&o.push(i),i}),this._event}fire(A){var s,o;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new L.LinkedList);for(let a of this._listeners)this._deliveryQueue.push([a,A]);for((s=this._perfMon)===null||s===void 0||s.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[a,g]=this._deliveryQueue.shift();try{typeof a=="function"?a.call(void 0,g):a[0].call(a[1],g)}catch(d){I.onUnexpectedError(d)}}(o=this._perfMon)===null||o===void 0||o.stop()}}dispose(){var A,s,o;(A=this._listeners)===null||A===void 0||A.clear(),(s=this._deliveryQueue)===null||s===void 0||s.clear(),(o=this._leakageMon)===null||o===void 0||o.dispose(),this._disposed=!0}}e.Emitter=T,T._noop=function(){};class E extends T{constructor(A){super(A);this._isPaused=0,this._eventQueue=new L.LinkedList,this._mergeFn=A==null?void 0:A.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const A=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(A))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(A){this._listeners&&(this._isPaused!==0?this._eventQueue.push(A):super.fire(A))}}e.PauseableEmitter=E;class q{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new T({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(A){const s={event:A,listener:null};this.events.push(s),this.hasListeners&&this.hook(s);const o=()=>{this.hasListeners&&this.unhook(s);const a=this.events.indexOf(s);this.events.splice(a,1)};return F.toDisposable(U.once(o))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(A=>this.hook(A))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(A=>this.unhook(A))}hook(A){A.listener=A.event(s=>this.emitter.fire(s))}unhook(A){A.listener&&A.listener.dispose(),A.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=q;class J{constructor(){this.buffers=[]}wrapEvent(A){return(s,o,a)=>A(g=>{const d=this.buffers[this.buffers.length-1];d?d.push(()=>s.call(o,g)):s.call(o,g)},void 0,a)}bufferEvents(A){const s=[];this.buffers.push(s);const o=A();return this.buffers.pop(),s.forEach(a=>a()),o}}e.EventBufferer=J;class R{constructor(){this.listening=!1,this.inputEvent=$.None,this.inputEventListener=F.Disposable.None,this.emitter=new T({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(A){this.inputEvent=A,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=A(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=R}),define(se[12],re([0,1,5]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const U=Object.freeze(function($,S){const y=setTimeout($.bind(S),0);return{dispose(){clearTimeout(y)}}});var F;(function($){function S(y){return y===$.None||y===$.Cancelled||y instanceof L?!0:!y||typeof y!="object"?!1:typeof y.isCancellationRequested=="boolean"&&typeof y.onCancellationRequested=="function"}$.isCancellationToken=S,$.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:I.Event.None}),$.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:U})})(F=e.CancellationToken||(e.CancellationToken={}));class L{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?U:(this._emitter||(this._emitter=new I.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class H{constructor(S){this._token=void 0,this._parentListener=void 0,this._parentListener=S&&S.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new L),this._token}cancel(){this._token?this._token instanceof L&&this._token.cancel():this._token=F.Cancelled}dispose(S=!1){S&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof L&&this._token.dispose():this._token=F.None}}e.CancellationTokenSource=H}),define(se[17],re([0,1,12,2,5,3,9]),function(ie,e,I,U,F,L,H){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function $(B){return!!B&&typeof B.then=="function"}e.isThenable=$;function S(B){const u=new I.CancellationTokenSource,n=B(u.token),l=new Promise((f,_)=>{u.token.onCancellationRequested(()=>{_(U.canceled())}),Promise.resolve(n).then(w=>{u.dispose(),f(w)},w=>{u.dispose(),_(w)})});return new class{cancel(){u.cancel()}then(f,_){return l.then(f,_)}catch(f){return this.then(void 0,f)}finally(f){return l.finally(f)}}}e.createCancelablePromise=S;function y(B,u,n){return Promise.race([B,new Promise(l=>u.onCancellationRequested(()=>l(n)))])}e.raceCancellation=y;async function M(B){let u=-1;const n=B.map((f,_)=>f.then(w=>(u=_,w))),l=await Promise.race(n);return B.forEach((f,_)=>{_!==u&&f.cancel()}),l}e.raceCancellablePromises=M;function k(B,u,n){let l;const f=setTimeout(()=>{l==null||l(void 0),n==null||n()},u);return Promise.race([B.finally(()=>clearTimeout(f)),new Promise(_=>l=_)])}e.raceTimeout=k;function T(B){return new Promise((u,n)=>{const l=B();$(l)?l.then(u,n):u(l)})}e.asPromise=T;class E{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(u){if(this.activePromise){if(this.queuedPromiseFactory=u,!this.queuedPromise){const n=()=>{this.queuedPromise=null;const l=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,l};this.queuedPromise=new Promise(l=>{this.activePromise.then(n,n).then(l)})}return new Promise((n,l)=>{this.queuedPromise.then(n,l)})}return this.activePromise=u(),new Promise((n,l)=>{this.activePromise.then(f=>{this.activePromise=null,n(f)},f=>{this.activePromise=null,l(f)})})}}e.Throttler=E;class q{constructor(){this.current=Promise.resolve(null)}queue(u){return this.current=this.current.then(()=>u(),()=>u())}}e.Sequencer=q;class J{constructor(){this.promiseMap=new Map}queue(u,n){var l;const _=((l=this.promiseMap.get(u))!==null&&l!==void 0?l:Promise.resolve()).catch(()=>{}).then(n).finally(()=>{this.promiseMap.get(u)===_&&this.promiseMap.delete(u)});return this.promiseMap.set(u,_),_}}e.SequencerByKey=J;class R{constructor(u){this.defaultDelay=u,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(u,n=this.defaultDelay){return this.task=u,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((l,f)=>{this.doResolve=l,this.doReject=f}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const l=this.task;return this.task=null,l()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},n),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(U.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=R;class D{constructor(u){this.delayer=new R(u),this.throttler=new E}trigger(u,n){return this.delayer.trigger(()=>this.throttler.queue(u),n)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=D;class A{constructor(){this._isOpen=!1,this._promise=new Promise((u,n)=>{this._completePromise=u})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=A;class s extends A{constructor(u){super();this._timeout=setTimeout(()=>this.open(),u)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=s;function o(B,u){return u?new Promise((n,l)=>{const f=setTimeout(n,B);u.onCancellationRequested(()=>{clearTimeout(f),l(U.canceled())})}):S(n=>o(B,n))}e.timeout=o;function a(B,u=0){const n=setTimeout(B,u);return L.toDisposable(()=>clearTimeout(n))}e.disposableTimeout=a;function g(B){return B.then(void 0,u=>{})}e.ignoreErrors=g;function d(B){const u=[];let n=0;const l=B.length;function f(){return n<l?B[n++]():null}function _(w){w!=null&&u.push(w);const O=f();return O?O.then(_):Promise.resolve(u)}return Promise.resolve(null).then(_)}e.sequence=d;function r(B,u=l=>!!l,n=null){let l=0;const f=B.length,_=()=>{if(l>=f)return Promise.resolve(n);const w=B[l++];return Promise.resolve(w()).then(W=>u(W)?Promise.resolve(W):_())};return _()}e.first=r;function i(B,u=l=>!!l,n=null){if(B.length===0)return Promise.resolve(n);let l=B.length;const f=()=>{var _,w;l=-1;for(const O of B)(w=(_=O).cancel)===null||w===void 0||w.call(_)};return new Promise((_,w)=>{for(const O of B)O.then(W=>{--l>=0&&u(W)?(f(),_(W)):l===0&&_(n)}).catch(W=>{--l>=0&&(f(),w(W))})})}e.firstParallel=i;class t{constructor(u){this._size=0,this.maxDegreeOfParalellism=u,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new F.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(u){return this._size++,new Promise((n,l)=>{this.outstandingPromises.push({factory:u,c:n,e:l}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const u=this.outstandingPromises.shift();this.runningPromises++;const n=u.factory();n.then(u.c,u.e),n.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=t;class h extends t{constructor(){super(1)}}e.Queue=h;class m{constructor(){this.queues=new Map}queueFor(u){const n=u.toString();if(!this.queues.has(n)){const l=new h;l.onFinished(()=>{l.dispose(),this.queues.delete(n)}),this.queues.set(n,l)}return this.queues.get(n)}dispose(){this.queues.forEach(u=>u.dispose()),this.queues.clear()}}e.ResourceQueue=m;class b{constructor(u,n){this._token=-1,typeof u=="function"&&typeof n=="number"&&this.setIfNotSet(u,n)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(u,n){this.cancel(),this._token=setTimeout(()=>{this._token=-1,u()},n)}setIfNotSet(u,n){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,u()},n))}}e.TimeoutTimer=b;class v{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(u,n){this.cancel(),this._token=setInterval(()=>{u()},n)}}e.IntervalTimer=v;class p{constructor(u,n){this.timeoutToken=-1,this.runner=u,this.timeout=n,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(u=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,u)}get delay(){return this.timeout}set delay(u){this.timeout=u}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=p;class V extends p{constructor(u,n){super(u,n);this.units=[]}work(u){this.units.push(u),this.isScheduled()||this.schedule()}doRun(){const u=this.units;this.units=[],this.runner&&this.runner(u)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=V,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const B=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=u=>{const n=setTimeout(()=>u(B));let l=!1;return{dispose(){l||(l=!0,clearTimeout(n))}}}}else e.runWhenIdle=(B,u)=>{const n=requestIdleCallback(B,typeof u=="number"?{timeout:u}:void 0);let l=!1;return{dispose(){l||(l=!0,cancelIdleCallback(n))}}}}();class G{constructor(u){this._didRun=!1,this._executor=()=>{try{this._value=u()}catch(n){this._error=n}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=G;async function oe(B,u,n){let l;for(let f=0;f<n;f++)try{return await B()}catch(_){l=_,await o(u)}throw l}e.retry=oe;class ae{hasPending(u){return this._pending?typeof u=="number"?this._pending.taskId===u:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var u;(u=this._pending)===null||u===void 0||u.cancel()}setPending(u,n,l){return this._pending={taskId:u,cancel:()=>l==null?void 0:l(),promise:n},n.then(()=>this.donePending(u),()=>this.donePending(u)),n}donePending(u){this._pending&&u===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const u=this._next;this._next=void 0,u.run().then(u.promiseResolve,u.promiseReject)}}setNext(u){if(this._next)this._next.run=u;else{let n,l;const f=new Promise((_,w)=>{n=_,l=w});this._next={run:u,promise:f,promiseResolve:n,promiseReject:l}}return this._next.promise}}e.TaskSequentializer=ae;class Z{constructor(u){this.interval=u,this.lastIncrementTime=0,this.value=0}increment(){const u=Date.now();return u-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=u,this.value=0),this.value++,this.value}}e.IntervalCounter=Z;class z{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((u,n)=>{this.completeCallback=u,this.errorCallback=n})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(u){return new Promise(n=>{this.completeCallback(u),this.resolved=!0,n()})}error(u){return new Promise(n=>{this.errorCallback(u),this.rejected=!0,n()})}cancel(){new Promise(u=>{this.errorCallback(U.canceled()),this.rejected=!0,u()})}}e.DeferredPromise=z;class x extends F.Emitter{async fireAsync(u,n,l){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new H.LinkedList);for(const f of this._listeners)this._asyncDeliveryQueue.push([f,u]);for(;this._asyncDeliveryQueue.size>0&&!n.isCancellationRequested;){const[f,_]=this._asyncDeliveryQueue.shift(),w=[],O=Object.assign(Object.assign({},_),{waitUntil:W=>{if(Object.isFrozen(w))throw new Error("waitUntil can NOT be called asynchronous");l&&(W=l(W,typeof f=="function"?f:f[0])),w.push(W)}});try{typeof f=="function"?f.call(void 0,O):f[0].call(f[1],O)}catch(W){U.onUnexpectedError(W);continue}Object.freeze(w),await X.settled(w).catch(W=>U.onUnexpectedError(W))}}}}e.AsyncEmitter=x;var X;(function(B){async function u(_){return typeof Promise.allSettled=="function"?n(_):l(_)}B.allSettled=u;async function n(_){return Promise.allSettled(_)}async function l(_){return Promise.all(_.map(w=>w.then(O=>({status:"fulfilled",value:O}),O=>({status:"rejected",reason:O}))))}async function f(_){let w;const O=await Promise.all(_.map(W=>W.then(Q=>Q,Q=>{w||(w=Q)})));if(typeof w!="undefined")throw w;return O}B.settled=f})(X=e.Promises||(e.Promises={}))}),define(se[18],re([0,1,2,3]),function(ie,e,I,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function F(R){const D=R;return D&&[D.on,D.pause,D.resume,D.destroy].every(A=>typeof A=="function")}e.isReadableStream=F;function L(R){const D=R;return D&&F(D.stream)&&Array.isArray(D.buffer)&&typeof D.ended=="boolean"}e.isReadableBufferedStream=L;function H(R,D){return new $(R,D)}e.newWriteableStream=H;class ${constructor(D,A){this.reducer=D,this.options=A,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(D){var A;if(!this.state.destroyed){if(this.state.flowing)this.emitData(D);else if(this.buffer.data.push(D),typeof((A=this.options)===null||A===void 0?void 0:A.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(s=>this.pendingWritePromises.push(s))}}error(D){this.state.destroyed||(this.state.flowing?this.emitError(D):this.buffer.error.push(D))}end(D){this.state.destroyed||(D instanceof Error?this.error(D):typeof D!="undefined"&&this.write(D),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(D){this.listeners.data.slice(0).forEach(A=>A(D))}emitError(D){this.listeners.error.length===0?I.onUnexpectedError(D):this.listeners.error.slice(0).forEach(A=>A(D))}emitEnd(){this.listeners.end.slice(0).forEach(D=>D())}on(D,A){if(!this.state.destroyed)switch(D){case"data":this.listeners.data.push(A),this.resume();break;case"end":this.listeners.end.push(A),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(A),this.state.flowing&&this.flowErrors();break}}removeListener(D,A){if(!this.state.destroyed){let s;switch(D){case"data":s=this.listeners.data;break;case"end":s=this.listeners.end;break;case"error":s=this.listeners.error;break}if(s){const o=s.indexOf(A);o>=0&&s.splice(o,1)}}}flowData(){if(this.buffer.data.length>0){const D=this.reducer(this.buffer.data);this.emitData(D),this.buffer.data.length=0;const A=[...this.pendingWritePromises];this.pendingWritePromises.length=0,A.forEach(s=>s())}}flowErrors(){if(this.listeners.error.length>0){for(const D of this.buffer.error)this.emitError(D);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function S(R,D){const A=[];let s;for(;(s=R.read())!==null;)A.push(s);return D(A)}e.consumeReadable=S;function y(R,D,A){const s=[];let o;for(;(o=R.read())!==null&&s.length<A;)s.push(o);return o===null&&s.length>0?D(s):{read:()=>{if(s.length>0)return s.shift();if(typeof o!="undefined"){const a=o;return o=void 0,a}return R.read()}}}e.peekReadable=y;function M(R,D){return new Promise((A,s)=>{const o=[];k(R,{onData:a=>{D&&o.push(a)},onError:a=>{D?s(a):A(void 0)},onEnd:()=>{A(D?D(o):void 0)}})})}e.consumeStream=M;function k(R,D){R.on("error",A=>D.onError(A)),R.on("end",()=>D.onEnd()),R.on("data",A=>D.onData(A))}e.listenStream=k;function T(R,D){return new Promise((A,s)=>{const o=new U.DisposableStore,a=[],g=i=>{if(a.push(i),a.length>D)return o.dispose(),R.pause(),A({stream:R,buffer:a,ended:!1})},d=i=>s(i),r=()=>A({stream:R,buffer:a,ended:!0});o.add(U.toDisposable(()=>R.removeListener("error",d))),R.on("error",d),o.add(U.toDisposable(()=>R.removeListener("end",r))),R.on("end",r),o.add(U.toDisposable(()=>R.removeListener("data",g))),R.on("data",g)})}e.peekStream=T;function E(R,D){const A=H(D);return A.end(R),A}e.toStream=E;function q(R){let D=!1;return{read:()=>D?null:(D=!0,R)}}e.toReadable=q;function J(R,D,A){const s=H(A);return k(R,{onData:o=>s.write(D.data(o)),onError:o=>s.error(D.error?D.error(o):o),onEnd:()=>s.end()}),s}e.transform=J}),define(se[7],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function I(c){return!c||typeof c!="string"?!0:c.trim().length===0}e.isFalsyOrWhitespace=I;const U=/{(\d+)}/g;function F(c,...C){return C.length===0?c:c.replace(U,function(P,N){const j=parseInt(N,10);return isNaN(j)||j<0||j>=C.length?P:C[j]})}e.format=F;function L(c){return c.replace(/[<>&]/g,function(C){switch(C){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return C}})}e.escape=L;function H(c){return c.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=H;function $(c,C){let P=0;const N=C.charCodeAt(0);for(let j=c.length-1;j>=0;j--)c.charCodeAt(j)===N&&P++;return P}e.count=$;function S(c,C,P="\u2026"){return c.length<=C?c:`${c.substr(0,C)}${P}`}e.truncate=S;function y(c,C=" "){const P=M(c,C);return k(P,C)}e.trim=y;function M(c,C){if(!c||!C)return c;const P=C.length;if(P===0||c.length===0)return c;let N=0;for(;c.indexOf(C,N)===N;)N=N+P;return c.substring(N)}e.ltrim=M;function k(c,C){if(!c||!C)return c;const P=C.length,N=c.length;if(P===0||N===0)return c;let j=N,Y=-1;for(;Y=c.lastIndexOf(C,j-1),!(Y===-1||Y+P!==j);){if(Y===0)return"";j=Y}return c.substring(0,j)}e.rtrim=k;function T(c){return c.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=T;function E(c){return c.replace(/\*/g,"")}e.stripWildcards=E;function q(c,C,P={}){if(!c)throw new Error("Cannot create regex from empty string");C||(c=H(c)),P.wholeWord&&(/\B/.test(c.charAt(0))||(c="\\b"+c),/\B/.test(c.charAt(c.length-1))||(c=c+"\\b"));let N="";return P.global&&(N+="g"),P.matchCase||(N+="i"),P.multiline&&(N+="m"),P.unicode&&(N+="u"),new RegExp(c,N)}e.createRegExp=q;function J(c){return c.source==="^"||c.source==="^$"||c.source==="$"||c.source==="^\\s*$"?!1:!!(c.exec("")&&c.lastIndex===0)}e.regExpLeadsToEndlessLoop=J;function R(c){return!!c.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=R;function D(c){return(c.global?"g":"")+(c.ignoreCase?"i":"")+(c.multiline?"m":"")+(c.unicode?"u":"")}e.regExpFlags=D;function A(c){return c.split(/\r\n|\r|\n/)}e.splitLines=A;function s(c){for(let C=0,P=c.length;C<P;C++){const N=c.charCodeAt(C);if(N!==32&&N!==9)return C}return-1}e.firstNonWhitespaceIndex=s;function o(c,C=0,P=c.length){for(let N=C;N<P;N++){const j=c.charCodeAt(N);if(j!==32&&j!==9)return c.substring(C,N)}return c.substring(C,P)}e.getLeadingWhitespace=o;function a(c,C=c.length-1){for(let P=C;P>=0;P--){const N=c.charCodeAt(P);if(N!==32&&N!==9)return P}return-1}e.lastNonWhitespaceIndex=a;function g(c,C){return c<C?-1:c>C?1:0}e.compare=g;function d(c,C,P=0,N=c.length,j=0,Y=C.length){for(;P<N&&j<Y;P++,j++){let he=c.charCodeAt(P),fe=C.charCodeAt(j);if(he<fe)return-1;if(he>fe)return 1}const ee=N-P,ce=Y-j;return ee<ce?-1:ee>ce?1:0}e.compareSubstring=d;function r(c,C){return i(c,C,0,c.length,0,C.length)}e.compareIgnoreCase=r;function i(c,C,P=0,N=c.length,j=0,Y=C.length){for(;P<N&&j<Y;P++,j++){let he=c.charCodeAt(P),fe=C.charCodeAt(j);if(he!==fe){const ge=he-fe;if(!(ge===32&&h(fe))&&!(ge===-32&&h(he)))return t(he)&&t(fe)?ge:d(c.toLowerCase(),C.toLowerCase(),P,N,j,Y)}}const ee=N-P,ce=Y-j;return ee<ce?-1:ee>ce?1:0}e.compareSubstringIgnoreCase=i;function t(c){return c>=97&&c<=122}e.isLowerAsciiLetter=t;function h(c){return c>=65&&c<=90}e.isUpperAsciiLetter=h;function m(c){return t(c)||h(c)}function b(c,C){return c.length===C.length&&v(c,C)}e.equalsIgnoreCase=b;function v(c,C,P=c.length){for(let N=0;N<P;N++){const j=c.charCodeAt(N),Y=C.charCodeAt(N);if(j!==Y){if(m(j)&&m(Y)){const ee=Math.abs(j-Y);if(ee!==0&&ee!==32)return!1}else if(String.fromCharCode(j).toLowerCase()!==String.fromCharCode(Y).toLowerCase())return!1}}return!0}function p(c,C){const P=C.length;return C.length>c.length?!1:v(c,C,P)}e.startsWithIgnoreCase=p;function V(c,C){let P,N=Math.min(c.length,C.length);for(P=0;P<N;P++)if(c.charCodeAt(P)!==C.charCodeAt(P))return P;return N}e.commonPrefixLength=V;function G(c,C){let P,N=Math.min(c.length,C.length);const j=c.length-1,Y=C.length-1;for(P=0;P<N;P++)if(c.charCodeAt(j-P)!==C.charCodeAt(Y-P))return P;return N}e.commonSuffixLength=G;function oe(c){return 55296<=c&&c<=56319}e.isHighSurrogate=oe;function ae(c){return 56320<=c&&c<=57343}e.isLowSurrogate=ae;function Z(c,C){return(c-55296<<10)+(C-56320)+65536}e.computeCodePoint=Z;function z(c,C,P){const N=c.charCodeAt(P);if(oe(N)&&P+1<C){const j=c.charCodeAt(P+1);if(ae(j))return Z(N,j)}return N}e.getNextCodePoint=z;function x(c,C){const P=c.charCodeAt(C-1);if(ae(P)&&C>1){const N=c.charCodeAt(C-2);if(oe(N))return Z(N,P)}return P}function X(c,C){const P=de.getInstance(),N=C,j=c.length,Y=z(c,j,C);C+=Y>=65536?2:1;let ee=P.getGraphemeBreakType(Y);for(;C<j;){const ce=z(c,j,C),he=P.getGraphemeBreakType(ce);if(Ce(ee,he))break;C+=ce>=65536?2:1,ee=he}return C-N}e.nextCharLength=X;function B(c,C){const P=de.getInstance(),N=C,j=x(c,C);C-=j>=65536?2:1;let Y=P.getGraphemeBreakType(j);for(;C>0;){const ee=x(c,C),ce=P.getGraphemeBreakType(ee);if(Ce(ce,Y))break;C-=ee>=65536?2:1,Y=ce}return N-C}e.prevCharLength=B;function u(c,C){const P=de.getInstance(),N=c.length,j=C,Y=z(c,N,C),ee=P.getGraphemeBreakType(Y);C+=Y>=65536?2:1;let ce=ee;for(;C<N;){const fe=z(c,N,C),ge=P.getGraphemeBreakType(fe);if(Ce(ce,ge))break;C+=fe>=65536?2:1,ce=ge}const he=C;for(C=j,ce=ee;C>0;){const fe=x(c,C),ge=P.getGraphemeBreakType(fe);if(Ce(ge,ce))break;C-=fe>=65536?2:1,ce=ge}return[C,he]}function n(c,C){return C>0&&ae(c.charCodeAt(C))?u(c,C-1):u(c,C)}e.getCharContainingOffset=n;function l(c){const C=c.length;let P=0,N=0;for(;N<C;){const ee=z(c,C,N);N+=ee>=65536?2:1,ee<128?P+=1:ee<2048?P+=2:ee<65536?P+=3:P+=4}const j=new Uint8Array(P);N=0;let Y=0;for(;N<C;){const ee=z(c,C,N);N+=ee>=65536?2:1,ee<128?j[Y++]=ee:ee<2048?(j[Y++]=192|(ee&1984)>>>6,j[Y++]=128|(ee&63)>>>0):ee<65536?(j[Y++]=224|(ee&61440)>>>12,j[Y++]=128|(ee&4032)>>>6,j[Y++]=128|(ee&63)>>>0):(j[Y++]=240|(ee&1835008)>>>18,j[Y++]=128|(ee&258048)>>>12,j[Y++]=128|(ee&4032)>>>6,j[Y++]=128|(ee&63)>>>0)}return j}e.encodeUTF8=l;function f(c){const C=c.byteLength,P=[];let N=0;for(;N<C;){const j=c[N];let Y;if(j>=240&&N+3<C?Y=(c[N++]&7)<<18>>>0|(c[N++]&63)<<12>>>0|(c[N++]&63)<<6>>>0|(c[N++]&63)<<0>>>0:j>=224&&N+2<C?Y=(c[N++]&15)<<12>>>0|(c[N++]&63)<<6>>>0|(c[N++]&63)<<0>>>0:j>=192&&N+1<C?Y=(c[N++]&31)<<6>>>0|(c[N++]&63)<<0>>>0:Y=c[N++],Y>=0&&Y<=55295||Y>=57344&&Y<=65535)P.push(String.fromCharCode(Y));else if(Y>=65536&&Y<=1114111){const ee=Y-65536,ce=55296+((ee&1047552)>>>10),he=56320+((ee&1023)>>>0);P.push(String.fromCharCode(ce)),P.push(String.fromCharCode(he))}else P.push(String.fromCharCode(65533))}return P.join("")}e.decodeUTF8=f;const _=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function w(c){return _.test(c)}e.containsRTL=w;const O=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function W(c){return O.test(c)}e.containsEmoji=W;const Q=/^[\t\n\r\x20-\x7E]*$/;function K(c){return Q.test(c)}e.isBasicASCII=K,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function te(c){return e.UNUSUAL_LINE_TERMINATORS.test(c)}e.containsUnusualLineTerminators=te;function ne(c){for(let C=0,P=c.length;C<P;C++)if(le(c.charCodeAt(C)))return!0;return!1}e.containsFullWidthCharacter=ne;function le(c){return c=+c,c>=11904&&c<=55215||c>=63744&&c<=64255||c>=65281&&c<=65374}e.isFullWidthCharacter=le;function ue(c){return c>=127462&&c<=127487||c===8986||c===8987||c===9200||c===9203||c>=9728&&c<=10175||c===11088||c===11093||c>=127744&&c<=128591||c>=128640&&c<=128764||c>=128992&&c<=129003||c>=129280&&c<=129535||c>=129648&&c<=129750}e.isEmojiImprecise=ue;function _e(c,C){if(c.length<C)return c;const P=/\b/g;let N=0;for(;P.test(c)&&!(c.length-P.lastIndex<C);)N=P.lastIndex,P.lastIndex+=1;return c.substring(N).replace(/^\s/,"")}e.lcut=_e;const we=/\x1B\x5B[12]?K/g,be=/\x1b\[\d+m/g,me=/\x1b\[0?m/g;function ve(c){return c&&(c=c.replace(we,""),c=c.replace(be,""),c=c.replace(me,"")),c}e.removeAnsiEscapeCodes=ve,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ee(c){return!!(c&&c.length>0&&c.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ee;function ye(c){return Ee(c)?c.substr(1):c}e.stripUTF8BOM=ye;function Ae(c,C){if(!c||!C||c.length<C.length)return!1;const P=C.length,N=c.toLowerCase();let j=0,Y=-1;for(;j<P;){const ee=N.indexOf(C[j],Y+1);if(ee<0)return!1;Y=ee,j++}return!0}e.fuzzyContains=Ae;function ke(c,C=!1){return c?(C&&(c=c.replace(/\\./g,"")),c.toLowerCase()!==c):!1}e.containsUppercaseCharacter=ke;function De(c){return c.charAt(0).toUpperCase()+c.slice(1)}e.uppercaseFirstLetter=De;function Ie(c,C=1){if(C===0)return"";let P=-1;do P=c.indexOf(`
`,P+1),C--;while(C>0&&P>=0);return P===-1?c:(c[P-1]==="\r"&&P--,c.substr(0,P))}e.getNLines=Ie;function Le(c){const C=90-65+1;return c=c%(2*C),c<C?String.fromCharCode(97+c):String.fromCharCode(65+c-C)}e.singleLetterHash=Le;function Se(c){return de.getInstance().getGraphemeBreakType(c)}e.getGraphemeBreakType=Se;function Ce(c,C){return c===0?C!==5&&C!==7:c===2&&C===3?!1:c===4||c===2||c===3||C===4||C===2||C===3?!0:!(c===8&&(C===8||C===9||C===11||C===12)||(c===11||c===9)&&(C===9||C===10)||(c===12||c===10)&&C===10||C===5||C===13||C===7||c===1||c===13&&C===14||c===6&&C===6)}e.breakBetweenGraphemeBreakType=Ce;var Pe;(function(c){c[c.Other=0]="Other",c[c.Prepend=1]="Prepend",c[c.CR=2]="CR",c[c.LF=3]="LF",c[c.Control=4]="Control",c[c.Extend=5]="Extend",c[c.Regional_Indicator=6]="Regional_Indicator",c[c.SpacingMark=7]="SpacingMark",c[c.L=8]="L",c[c.V=9]="V",c[c.T=10]="T",c[c.LV=11]="LV",c[c.LVT=12]="LVT",c[c.ZWJ=13]="ZWJ",c[c.Extended_Pictographic=14]="Extended_Pictographic"})(Pe=e.GraphemeBreakType||(e.GraphemeBreakType={}));class de{constructor(){this._data=Re()}static getInstance(){return de._INSTANCE||(de._INSTANCE=new de),de._INSTANCE}getGraphemeBreakType(C){if(C<32)return C===10?3:C===13?2:4;if(C<127)return 0;const P=this._data,N=P.length/3;let j=1;for(;j<=N;)if(C<P[3*j])j=2*j;else if(C>P[3*j+1])j=2*j+1;else return P[3*j+2];return 0}}de._INSTANCE=null;function Re(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(se[6],re([0,1,7,18]),function(ie,e,I,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const F=typeof Buffer!="undefined",L=typeof TextEncoder!="undefined",H=typeof TextDecoder!="undefined";let $,S;class y{constructor(t){this.buffer=t,this.byteLength=this.buffer.byteLength}static alloc(t){return F?new y(Buffer.allocUnsafe(t)):new y(new Uint8Array(t))}static wrap(t){return F&&!Buffer.isBuffer(t)&&(t=Buffer.from(t.buffer,t.byteOffset,t.byteLength)),new y(t)}static fromString(t,h){return!((h==null?void 0:h.dontUseNodeBuffer)||!1)&&F?new y(Buffer.from(t)):L?($||($=new TextEncoder),new y($.encode(t))):new y(I.encodeUTF8(t))}static concat(t,h){if(typeof h=="undefined"){h=0;for(let v=0,p=t.length;v<p;v++)h+=t[v].byteLength}const m=y.alloc(h);let b=0;for(let v=0,p=t.length;v<p;v++){const V=t[v];m.set(V,b),b+=V.byteLength}return m}toString(){return F?this.buffer.toString():H?(S||(S=new TextDecoder),S.decode(this.buffer)):I.decodeUTF8(this.buffer)}slice(t,h){return new y(this.buffer.subarray(t,h))}set(t,h){t instanceof y?this.buffer.set(t.buffer,h):this.buffer.set(t,h)}readUInt32BE(t){return T(this.buffer,t)}writeUInt32BE(t,h){E(this.buffer,t,h)}readUInt32LE(t){return q(this.buffer,t)}writeUInt32LE(t,h){J(this.buffer,t,h)}readUInt8(t){return R(this.buffer,t)}writeUInt8(t,h){D(this.buffer,t,h)}}e.VSBuffer=y;function M(i,t){return i[t+0]<<0>>>0|i[t+1]<<8>>>0}e.readUInt16LE=M;function k(i,t,h){i[h+0]=t&255,t=t>>>8,i[h+1]=t&255}e.writeUInt16LE=k;function T(i,t){return i[t]*2**24+i[t+1]*2**16+i[t+2]*2**8+i[t+3]}e.readUInt32BE=T;function E(i,t,h){i[h+3]=t,t=t>>>8,i[h+2]=t,t=t>>>8,i[h+1]=t,t=t>>>8,i[h]=t}e.writeUInt32BE=E;function q(i,t){return i[t+0]<<0>>>0|i[t+1]<<8>>>0|i[t+2]<<16>>>0|i[t+3]<<24>>>0}e.readUInt32LE=q;function J(i,t,h){i[h+0]=t&255,t=t>>>8,i[h+1]=t&255,t=t>>>8,i[h+2]=t&255,t=t>>>8,i[h+3]=t&255}e.writeUInt32LE=J;function R(i,t){return i[t]}e.readUInt8=R;function D(i,t,h){i[h]=t}e.writeUInt8=D;function A(i){return U.consumeReadable(i,t=>y.concat(t))}e.readableToBuffer=A;function s(i){return U.toReadable(i)}e.bufferToReadable=s;function o(i){return U.consumeStream(i,t=>y.concat(t))}e.streamToBuffer=o;async function a(i){return i.ended?y.concat(i.buffer):y.concat([...i.buffer,await o(i.stream)])}e.bufferedStreamToBuffer=a;function g(i){return U.toStream(i,t=>y.concat(t))}e.bufferToStream=g;function d(i){return U.transform(i,{data:t=>typeof t=="string"?y.fromString(t):y.wrap(t)},t=>y.concat(t))}e.streamToBufferReadableStream=d;function r(i){return U.newWriteableStream(t=>y.concat(t),i)}e.newWriteableBufferStream=r}),define(se[19],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function I(t){return Array.isArray(t)}e.isArray=I;function U(t){return typeof t=="string"}e.isString=U;function F(t){return Array.isArray(t)&&t.every(h=>U(h))}e.isStringArray=F;function L(t){return typeof t=="object"&&t!==null&&!Array.isArray(t)&&!(t instanceof RegExp)&&!(t instanceof Date)}e.isObject=L;function H(t){return typeof t=="number"&&!isNaN(t)}e.isNumber=H;function $(t){return t===!0||t===!1}e.isBoolean=$;function S(t){return typeof t=="undefined"}e.isUndefined=S;function y(t){return!M(t)}e.isDefined=y;function M(t){return S(t)||t===null}e.isUndefinedOrNull=M;function k(t,h){if(!t)throw new Error(h?`Unexpected type, expected '${h}'`:"Unexpected type")}e.assertType=k;function T(t){if(M(t))throw new Error("Assertion Failed: argument is undefined or null");return t}e.assertIsDefined=T;function E(...t){const h=[];for(let m=0;m<t.length;m++){const b=t[m];if(M(b))throw new Error(`Assertion Failed: argument at index ${m} is undefined or null`);h.push(b)}return h}e.assertAllDefined=E;const q=Object.prototype.hasOwnProperty;function J(t){if(!L(t))return!1;for(let h in t)if(q.call(t,h))return!1;return!0}e.isEmptyObject=J;function R(t){return typeof t=="function"}e.isFunction=R;function D(...t){return t.length>0&&t.every(R)}e.areFunctions=D;function A(t,h){const m=Math.min(t.length,h.length);for(let b=0;b<m;b++)s(t[b],h[b])}e.validateConstraints=A;function s(t,h){if(U(h)){if(typeof t!==h)throw new Error(`argument does not match constraint: typeof ${h}`)}else if(R(h)){try{if(t instanceof h)return}catch(m){}if(!M(t)&&t.constructor===h||h.length===1&&h.call(void 0,t)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=s;function o(t){let h=[],m=Object.getPrototypeOf(t);for(;Object.prototype!==m;)h=h.concat(Object.getOwnPropertyNames(m)),m=Object.getPrototypeOf(m);return h}e.getAllPropertyNames=o;function a(t){const h=[];for(const m of o(t))typeof t[m]=="function"&&h.push(m);return h}e.getAllMethodNames=a;function g(t,h){const m=v=>function(){const p=Array.prototype.slice.call(arguments,0);return h(v,p)};let b={};for(const v of t)b[v]=m(v);return b}e.createProxyObject=g;function d(t){return t===null?void 0:t}e.withNullAsUndefined=d;function r(t){return typeof t=="undefined"?null:t}e.withUndefinedAsNull=r;function i(t){return class{constructor(){return new Proxy({},{get(h,m){if(h[m])return h[m];throw new Error(`Not Implemented: ${t}->${String(m)}`)}})}}}e.NotImplementedProxy=i}),define(se[20],re([0,1,4,11]),function(ie,e,I,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const F=/^\w[\w\d+.-]*$/,L=/^\//,H=/^\/\//;function $(r,i){if(!r.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!F.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!L.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(H.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function S(r,i){return!r&&!i?"file":r}function y(r,i){switch(r){case"https":case"http":case"file":i?i[0]!==k&&(i=k+i):i=k;break}return i}const M="",k="/",T=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class E{constructor(i,t,h,m,b,v=!1){typeof i=="object"?(this.scheme=i.scheme||M,this.authority=i.authority||M,this.path=i.path||M,this.query=i.query||M,this.fragment=i.fragment||M):(this.scheme=S(i,v),this.authority=t||M,this.path=y(this.scheme,h||M),this.query=m||M,this.fragment=b||M,$(this,v))}static isUri(i){return i instanceof E?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}get fsPath(){return s(this,!1)}with(i){if(!i)return this;let{scheme:t,authority:h,path:m,query:b,fragment:v}=i;return t===void 0?t=this.scheme:t===null&&(t=M),h===void 0?h=this.authority:h===null&&(h=M),m===void 0?m=this.path:m===null&&(m=M),b===void 0?b=this.query:b===null&&(b=M),v===void 0?v=this.fragment:v===null&&(v=M),t===this.scheme&&h===this.authority&&m===this.path&&b===this.query&&v===this.fragment?this:new J(t,h,m,b,v)}static parse(i,t=!1){const h=T.exec(i);return h?new J(h[2]||M,d(h[4]||M),d(h[5]||M),d(h[7]||M),d(h[9]||M),t):new J(M,M,M,M,M)}static file(i){let t=M;if(I.isWindows&&(i=i.replace(/\\/g,k)),i[0]===k&&i[1]===k){const h=i.indexOf(k,2);h===-1?(t=i.substring(2),i=k):(t=i.substring(2,h),i=i.substring(h)||k)}return new J("file",t,i,M,M)}static from(i){return new J(i.scheme,i.authority,i.path,i.query,i.fragment)}static joinPath(i,...t){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let h;return I.isWindows&&i.scheme==="file"?h=E.file(U.win32.join(s(i,!0),...t)).path:h=U.posix.join(i.path,...t),i.with({path:h})}toString(i=!1){return o(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof E)return i;{const t=new J(i);return t._formatted=i.external,t._fsPath=i._sep===q?i.fsPath:null,t}}else return i}}e.URI=E;const q=I.isWindows?1:void 0;class J extends E{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=s(this,!1)),this._fsPath}toString(i=!1){return i?o(this,!0):(this._formatted||(this._formatted=o(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=q),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const R={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function D(r,i){let t,h=-1;for(let m=0;m<r.length;m++){const b=r.charCodeAt(m);if(b>=97&&b<=122||b>=65&&b<=90||b>=48&&b<=57||b===45||b===46||b===95||b===126||i&&b===47)h!==-1&&(t+=encodeURIComponent(r.substring(h,m)),h=-1),t!==void 0&&(t+=r.charAt(m));else{t===void 0&&(t=r.substr(0,m));const v=R[b];v!==void 0?(h!==-1&&(t+=encodeURIComponent(r.substring(h,m)),h=-1),t+=v):h===-1&&(h=m)}}return h!==-1&&(t+=encodeURIComponent(r.substring(h))),t!==void 0?t:r}function A(r){let i;for(let t=0;t<r.length;t++){const h=r.charCodeAt(t);h===35||h===63?(i===void 0&&(i=r.substr(0,t)),i+=R[h]):i!==void 0&&(i+=r[t])}return i!==void 0?i:r}function s(r,i){let t;return r.authority&&r.path.length>1&&r.scheme==="file"?t=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?i?t=r.path.substr(1):t=r.path[1].toLowerCase()+r.path.substr(2):t=r.path,I.isWindows&&(t=t.replace(/\//g,"\\")),t}e.uriToFsPath=s;function o(r,i){const t=i?A:D;let h="",{scheme:m,authority:b,path:v,query:p,fragment:V}=r;if(m&&(h+=m,h+=":"),(b||m==="file")&&(h+=k,h+=k),b){let G=b.indexOf("@");if(G!==-1){const oe=b.substr(0,G);b=b.substr(G+1),G=oe.indexOf(":"),G===-1?h+=t(oe,!1):(h+=t(oe.substr(0,G),!1),h+=":",h+=t(oe.substr(G+1),!1)),h+="@"}b=b.toLowerCase(),G=b.indexOf(":"),G===-1?h+=t(b,!1):(h+=t(b.substr(0,G),!1),h+=b.substr(G))}if(v){if(v.length>=3&&v.charCodeAt(0)===47&&v.charCodeAt(2)===58){const G=v.charCodeAt(1);G>=65&&G<=90&&(v=`/${String.fromCharCode(G+32)}:${v.substr(3)}`)}else if(v.length>=2&&v.charCodeAt(1)===58){const G=v.charCodeAt(0);G>=65&&G<=90&&(v=`${String.fromCharCode(G+32)}:${v.substr(2)}`)}h+=t(v,!0)}return p&&(h+="?",h+=t(p,!1)),V&&(h+="#",h+=i?V:D(V,!1)),h}function a(r){try{return decodeURIComponent(r)}catch(i){return r.length>3?r.substr(0,3)+a(r.substr(3)):r}}const g=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function d(r){return r.match(g)?r.replace(g,i=>a(i)):r}}),define(se[21],re([0,1,6,7,20]),function(ie,e,I,U,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function L(y){return JSON.stringify(y,$)}e.stringify=L;function H(y){let M=JSON.parse(y);return M=S(M),M}e.parse=H;function $(y,M){return M instanceof RegExp?{$mid:2,source:M.source,flags:U.regExpFlags(M)}:M}function S(y,M=0){if(!y||M>200)return y;if(typeof y=="object"){switch(y.$mid){case 1:return F.URI.revive(y);case 2:return new RegExp(y.source,y.flags)}if(y instanceof I.VSBuffer||y instanceof Uint8Array)return y;if(Array.isArray(y))for(let k=0;k<y.length;++k)y[k]=S(y[k],M+1);else for(const k in y)Object.hasOwnProperty.call(y,k)&&(y[k]=S(y[k],M+1))}return y}e.revive=S}),define(se[22],re([0,1]),function(ie,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const I=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function U(S){return I.test(S)}e.isUUID=U;const F=new Uint8Array(16),L=[];for(let S=0;S<256;S++)L.push(S.toString(16).padStart(2,"0"));let H;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?H=crypto.getRandomValues.bind(crypto):H=function(S){for(let y=0;y<S.length;y++)S[y]=Math.floor(Math.random()*256);return S};function $(){H(F),F[6]=F[6]&15|64,F[8]=F[8]&63|128;let S=0,y="";return y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y+="-",y+=L[F[S++]],y+=L[F[S++]],y+="-",y+=L[F[S++]],y+=L[F[S++]],y+="-",y+=L[F[S++]],y+=L[F[S++]],y+="-",y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y+=L[F[S++]],y}e.generateUuid=$}),define(se[13],re([0,1,5,3,17,12,2,6,14,19,21,7]),function(ie,e,I,U,F,L,H,$,S,y,M,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var T;(function(u){u[u.Promise=100]="Promise",u[u.PromiseCancel=101]="PromiseCancel",u[u.EventListen=102]="EventListen",u[u.EventDispose=103]="EventDispose"})(T=e.RequestType||(e.RequestType={}));function E(u){switch(u){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var q;(function(u){u[u.Initialize=200]="Initialize",u[u.PromiseSuccess=201]="PromiseSuccess",u[u.PromiseError=202]="PromiseError",u[u.PromiseErrorObj=203]="PromiseErrorObj",u[u.EventFire=204]="EventFire"})(q=e.ResponseType||(e.ResponseType={}));function J(u){switch(u){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var R;(function(u){u[u.Uninitialized=0]="Uninitialized",u[u.Idle=1]="Idle"})(R||(R={}));class D{constructor(n){this.buffer=n,this.pos=0}read(n){const l=this.buffer.slice(this.pos,this.pos+n);return this.pos+=l.byteLength,l}}class A{constructor(){this.buffers=[]}get buffer(){return $.VSBuffer.concat(this.buffers)}write(n){this.buffers.push(n)}}var s;(function(u){u[u.Undefined=0]="Undefined",u[u.String=1]="String",u[u.Buffer=2]="Buffer",u[u.VSBuffer=3]="VSBuffer",u[u.Array=4]="Array",u[u.Object=5]="Object"})(s||(s={}));function o(u){const n=$.VSBuffer.alloc(4);return n.writeUInt32BE(u,0),n}function a(u){return u.read(4).readUInt32BE(0)}function g(u){const n=$.VSBuffer.alloc(1);return n.writeUInt8(u,0),n}const d={Undefined:g(s.Undefined),String:g(s.String),Buffer:g(s.Buffer),VSBuffer:g(s.VSBuffer),Array:g(s.Array),Object:g(s.Object)},r=typeof Buffer!="undefined";function i(u,n){if(typeof n=="undefined")u.write(d.Undefined);else if(typeof n=="string"){const l=$.VSBuffer.fromString(n);u.write(d.String),u.write(o(l.byteLength)),u.write(l)}else if(r&&Buffer.isBuffer(n)){const l=$.VSBuffer.wrap(n);u.write(d.Buffer),u.write(o(l.byteLength)),u.write(l)}else if(n instanceof $.VSBuffer)u.write(d.VSBuffer),u.write(o(n.byteLength)),u.write(n);else if(Array.isArray(n)){u.write(d.Array),u.write(o(n.length));for(const l of n)i(u,l)}else{const l=$.VSBuffer.fromString(JSON.stringify(n));u.write(d.Object),u.write(o(l.byteLength)),u.write(l)}}function t(u){switch(u.read(1).readUInt8(0)){case s.Undefined:return;case s.String:return u.read(a(u)).toString();case s.Buffer:return u.read(a(u)).buffer;case s.VSBuffer:return u.read(a(u));case s.Array:{const l=a(u),f=[];for(let _=0;_<l;_++)f.push(t(u));return f}case s.Object:return JSON.parse(u.read(a(u)).toString())}}class h{constructor(n,l,f=null,_=1e3){this.protocol=n,this.ctx=l,this.logger=f,this.timeoutDelay=_,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(w=>this.onRawMessage(w)),this.sendResponse({type:200})}registerChannel(n,l){this.channels.set(n,l),setTimeout(()=>this.flushPendingRequests(n),0)}sendResponse(n){switch(n.type){case 200:{const l=this.send([n.type]);this.logger&&this.logger.logOutgoing(l,0,1,J(n.type));return}case 201:case 202:case 204:case 203:{const l=this.send([n.type,n.id],n.data);this.logger&&this.logger.logOutgoing(l,n.id,1,J(n.type),n.data);return}}}send(n,l=void 0){const f=new A;return i(f,n),i(f,l),this.sendBuffer(f.buffer)}sendBuffer(n){try{return this.protocol.send(n),n.byteLength}catch(l){return 0}}onRawMessage(n){const l=new D(n),f=t(l),_=t(l),w=f[0];switch(w){case 100:return this.logger&&this.logger.logIncoming(n.byteLength,f[1],1,`${E(w)}: ${f[2]}.${f[3]}`,_),this.onPromise({type:w,id:f[1],channelName:f[2],name:f[3],arg:_});case 102:return this.logger&&this.logger.logIncoming(n.byteLength,f[1],1,`${E(w)}: ${f[2]}.${f[3]}`,_),this.onEventListen({type:w,id:f[1],channelName:f[2],name:f[3],arg:_});case 101:return this.logger&&this.logger.logIncoming(n.byteLength,f[1],1,`${E(w)}`),this.disposeActiveRequest({type:w,id:f[1]});case 103:return this.logger&&this.logger.logIncoming(n.byteLength,f[1],1,`${E(w)}`),this.disposeActiveRequest({type:w,id:f[1]})}}onPromise(n){const l=this.channels.get(n.channelName);if(!l){this.collectPendingRequest(n);return}const f=new L.CancellationTokenSource;let _;try{_=l.call(this.ctx,n.name,n.arg,f.token)}catch(W){_=Promise.reject(W)}const w=n.id;_.then(W=>{this.sendResponse({id:w,data:W,type:201}),this.activeRequests.delete(n.id)},W=>{W instanceof Error?this.sendResponse({id:w,data:{message:W.message,name:W.name,stack:W.stack?W.stack.split?W.stack.split(`
`):W.stack:void 0},type:202}):this.sendResponse({id:w,data:W,type:203}),this.activeRequests.delete(n.id)});const O=U.toDisposable(()=>f.cancel());this.activeRequests.set(n.id,O)}onEventListen(n){const l=this.channels.get(n.channelName);if(!l){this.collectPendingRequest(n);return}const f=n.id,w=l.listen(this.ctx,n.name,n.arg)(O=>this.sendResponse({id:f,data:O,type:204}));this.activeRequests.set(n.id,w)}disposeActiveRequest(n){const l=this.activeRequests.get(n.id);l&&(l.dispose(),this.activeRequests.delete(n.id))}collectPendingRequest(n){let l=this.pendingRequests.get(n.channelName);l||(l=[],this.pendingRequests.set(n.channelName,l));const f=setTimeout(()=>{console.error(`Unknown channel: ${n.channelName}`),n.type===100&&this.sendResponse({id:n.id,data:{name:"Unknown channel",message:`Channel name '${n.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);l.push({request:n,timeoutTimer:f})}flushPendingRequests(n){const l=this.pendingRequests.get(n);if(l){for(const f of l)switch(clearTimeout(f.timeoutTimer),f.request.type){case 100:this.onPromise(f.request);break;case 102:this.onEventListen(f.request);break}this.pendingRequests.delete(n)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(n=>n.dispose()),this.activeRequests.clear()}}e.ChannelServer=h;var m;(function(u){u[u.LocalSide=0]="LocalSide",u[u.OtherSide=1]="OtherSide"})(m=e.RequestInitiator||(e.RequestInitiator={}));class b{constructor(n,l=null){this.protocol=n,this.isDisposed=!1,this.state=R.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new I.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(f=>this.onBuffer(f)),this.logger=l}getChannel(n){const l=this;return{call(f,_,w){return l.isDisposed?Promise.reject(H.canceled()):l.requestPromise(n,f,_,w)},listen(f,_){return l.isDisposed?Promise.reject(H.canceled()):l.requestEvent(n,f,_)}}}requestPromise(n,l,f,_=L.CancellationToken.None){const w=this.lastRequestId++,W={id:w,type:100,channelName:n,name:l,arg:f};if(_.isCancellationRequested)return Promise.reject(H.canceled());let Q;return new Promise((te,ne)=>{if(_.isCancellationRequested)return ne(H.canceled());const le=()=>{const be=me=>{switch(me.type){case 201:this.handlers.delete(w),te(me.data);break;case 202:this.handlers.delete(w);const ve=new Error(me.data.message);ve.stack=me.data.stack,ve.name=me.data.name,ne(ve);break;case 203:this.handlers.delete(w),ne(me.data);break}};this.handlers.set(w,be),this.sendRequest(W)};let ue=null;this.state===R.Idle?le():(ue=F.createCancelablePromise(be=>this.whenInitialized()),ue.then(()=>{ue=null,le()}));const _e=()=>{ue?(ue.cancel(),ue=null):this.sendRequest({id:w,type:101}),ne(H.canceled())},we=_.onCancellationRequested(_e);Q=U.combinedDisposable(U.toDisposable(_e),we),this.activeRequests.add(Q)}).finally(()=>{this.activeRequests.delete(Q)})}requestEvent(n,l,f){const _=this.lastRequestId++,O={id:_,type:102,channelName:n,name:l,arg:f};let W=null;const Q=new I.Emitter({onFirstListenerAdd:()=>{W=F.createCancelablePromise(te=>this.whenInitialized()),W.then(()=>{W=null,this.activeRequests.add(Q),this.sendRequest(O)})},onLastListenerRemove:()=>{W?(W.cancel(),W=null):(this.activeRequests.delete(Q),this.sendRequest({id:_,type:103}))}}),K=te=>Q.fire(te.data);return this.handlers.set(_,K),Q.event}sendRequest(n){switch(n.type){case 100:case 102:{const l=this.send([n.type,n.id,n.channelName,n.name],n.arg);this.logger&&this.logger.logOutgoing(l,n.id,0,`${E(n.type)}: ${n.channelName}.${n.name}`,n.arg);return}case 101:case 103:{const l=this.send([n.type,n.id]);this.logger&&this.logger.logOutgoing(l,n.id,0,E(n.type));return}}}send(n,l=void 0){const f=new A;return i(f,n),i(f,l),this.sendBuffer(f.buffer)}sendBuffer(n){try{return this.protocol.send(n),n.byteLength}catch(l){return 0}}onBuffer(n){const l=new D(n),f=t(l),_=t(l),w=f[0];switch(w){case 200:return this.logger&&this.logger.logIncoming(n.byteLength,0,0,J(w)),this.onResponse({type:f[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(n.byteLength,f[1],0,J(w),_),this.onResponse({type:f[0],id:f[1],data:_})}}onResponse(n){if(n.type===200){this.state=R.Idle,this._onDidInitialize.fire();return}const l=this.handlers.get(n.id);l&&l(n)}whenInitialized(){return this.state===R.Idle?Promise.resolve():I.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(n=>n.dispose()),this.activeRequests.clear()}}e.ChannelClient=b;class v{constructor(n){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new I.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new I.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,n(({protocol:l,onDidClientDisconnect:f})=>{I.Event.once(l.onMessage)(w=>{const O=new D(w),W=t(O),Q=new h(l,W),K=new b(l);this.channels.forEach((ne,le)=>Q.registerChannel(le,ne));const te={channelServer:Q,channelClient:K,ctx:W};this._connections.add(te),this._onDidAddConnection.fire(te),f(()=>{Q.dispose(),K.dispose(),this._connections.delete(te),this._onDidRemoveConnection.fire(te)})})})}get connections(){const n=[];return this._connections.forEach(l=>n.push(l)),n}getChannel(n,l){const f=this;return{call(_,w,O){let W;if(y.isFunction(l)){let K=S.getRandomElement(f.connections.filter(l));W=K?Promise.resolve(K):I.Event.toPromise(I.Event.filter(f.onDidAddConnection,l))}else W=l.routeCall(f,_,w);const Q=W.then(K=>K.channelClient.getChannel(n));return V(Q).call(_,w,O)},listen(_,w){if(y.isFunction(l))return f.getMulticastEvent(n,l,_,w);const O=l.routeEvent(f,_,w).then(W=>W.channelClient.getChannel(n));return V(O).listen(_,w)}}}getMulticastEvent(n,l,f,_){const w=this;let O=new U.DisposableStore;const W=new I.Emitter({onFirstListenerAdd:()=>{O=new U.DisposableStore;const Q=new I.EventMultiplexer,K=new Map,te=le=>{const _e=le.channelClient.getChannel(n).listen(f,_),we=Q.add(_e);K.set(le,we)},ne=le=>{const ue=K.get(le);!ue||(ue.dispose(),K.delete(le))};w.connections.filter(l).forEach(te),I.Event.filter(w.onDidAddConnection,l)(te,void 0,O),w.onDidRemoveConnection(ne,void 0,O),Q.event(W.fire,W,O),O.add(Q)},onLastListenerRemove:()=>{O.dispose()}});return W.event}registerChannel(n,l){this.channels.set(n,l),this._connections.forEach(f=>{f.channelServer.registerChannel(n,l)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=v;class p{constructor(n,l,f=null){const _=new A;i(_,l),n.send(_.buffer),this.channelClient=new b(n,f),this.channelServer=new h(n,l,f)}getChannel(n){return this.channelClient.getChannel(n)}registerChannel(n,l){this.channelServer.registerChannel(n,l)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=p;function V(u){return{call(n,l,f){return u.then(_=>_.call(n,l,f))},listen(n,l){const f=new I.Relay;return u.then(_=>f.input=_.listen(n,l)),f.event}}}e.getDelayedChannel=V;function G(u){let n=!1;return{call(l,f,_){return n?u.call(l,f,_):F.timeout(0).then(()=>n=!0).then(()=>u.call(l,f,_))},listen(l,f){if(n)return u.listen(l,f);const _=new I.Relay;return F.timeout(0).then(()=>n=!0).then(()=>_.input=u.listen(l,f)),_.event}}}e.getNextTickChannel=G;class oe{constructor(n){this.fn=n}routeCall(n){return this.route(n)}routeEvent(n){return this.route(n)}async route(n){for(const l of n.connections)if(await Promise.resolve(this.fn(l.ctx)))return Promise.resolve(l);return await I.Event.toPromise(n.onDidAddConnection),await this.route(n)}}e.StaticRouter=oe;var ae;(function(u){function n(_,w){const O=_,W=w&&w.disableMarshalling,Q=new Map;for(const K in O)f(K)&&Q.set(K,I.Event.buffer(O[K],!0));return new class{listen(K,te){const ne=Q.get(te);if(ne)return ne;throw new Error(`Event not found: ${te}`)}call(K,te,ne){const le=O[te];if(typeof le=="function"){if(!W&&Array.isArray(ne))for(let ue=0;ue<ne.length;ue++)ne[ue]=M.revive(ne[ue]);return le.apply(O,ne)}throw new Error(`Method not found: ${te}`)}}}u.fromService=n;function l(_,w){const O=w&&w.disableMarshalling;return new Proxy({},{get(W,Q){var K;if(typeof Q=="string")return((K=w==null?void 0:w.properties)===null||K===void 0?void 0:K.has(Q))?w.properties.get(Q):f(Q)?_.listen(Q):async function(...te){let ne;w&&!y.isUndefinedOrNull(w.context)?ne=[w.context,...te]:ne=te;const le=await _.call(Q,ne);return O?le:M.revive(le)};throw new Error(`Property not found: ${String(Q)}`)}})}u.toService=l;function f(_){return _[0]==="o"&&_[1]==="n"&&k.isUpperAsciiLetter(_.charCodeAt(2))}})(ae=e.ProxyChannel||(e.ProxyChannel={}));const Z=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function z(u){if(Array.isArray(u))return u;if(u&&typeof u=="object"&&typeof u.toString=="function"){let n=u.toString();if(n!=="[object Object]")return n}return u}function x(u){return Array.isArray(u)?u.map(z):z(u)}function X(u,n,l,f,_,w,O){O=x(O);const W=Z[_],Q=W[f%W.length];let K=[`%c[${u}]%c[${String(n).padStart(7," ")}]%c[len: ${String(l).padStart(5," ")}]%c${String(f).padStart(5," ")} - ${w}`,"color: darkgreen","color: grey","color: grey",`color: ${Q}`];/\($/.test(w)?(K=K.concat(O),K.push(")")):K.push(O),console.log.apply(console,K)}e.logWithColors=X;class B{constructor(n,l){this._outgoingPrefix=n,this._incomingPrefix=l,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(n,l,f,_,w){this._totalOutgoing+=n,X(this._outgoingPrefix,this._totalOutgoing,n,l,f,_,w)}logIncoming(n,l,f,_,w){this._totalIncoming+=n,X(this._incomingPrefix,this._totalIncoming,n,l,f,_,w)}}e.IPCLogger=B}),define(se[23],re([0,1,5,13,3,6,4,10]),function(ie,e,I,U,F,L,H,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let S=null;function y(){return S||(S=L.VSBuffer.alloc(0)),S}class M{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(r){this._chunks.push(r),this._totalLength+=r.byteLength}read(r){return this._read(r,!0)}peek(r){return this._read(r,!1)}_read(r,i){if(r===0)return y();if(r>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===r){const b=this._chunks[0];return i&&(this._chunks.shift(),this._totalLength-=r),b}if(this._chunks[0].byteLength>r){const b=this._chunks[0].slice(0,r);return i&&(this._chunks[0]=this._chunks[0].slice(r),this._totalLength-=r),b}let t=L.VSBuffer.alloc(r),h=0,m=0;for(;r>0;){const b=this._chunks[m];if(b.byteLength>r){const v=b.slice(0,r);t.set(v,h),h+=r,i&&(this._chunks[m]=b.slice(r),this._totalLength-=r),r-=r}else t.set(b,h),h+=b.byteLength,i?(this._chunks.shift(),this._totalLength-=b.byteLength):m++,r-=b.byteLength}return t}}e.ChunkStream=M;var k;(function(d){d[d.None=0]="None",d[d.Regular=1]="Regular",d[d.Control=2]="Control",d[d.Ack=3]="Ack",d[d.KeepAlive=4]="KeepAlive",d[d.Disconnect=5]="Disconnect",d[d.ReplayRequest=6]="ReplayRequest"})(k||(k={}));var T;(function(d){d[d.HeaderLength=13]="HeaderLength",d[d.AcknowledgeTime=2e3]="AcknowledgeTime",d[d.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",d[d.KeepAliveTime=5e3]="KeepAliveTime",d[d.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",d[d.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",d[d.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(T=e.ProtocolConstants||(e.ProtocolConstants={}));class E{constructor(r,i,t,h){this.type=r,this.id=i,this.ack=t,this.data=h,this.writtenTime=0}get size(){return this.data.byteLength}}class q extends F.Disposable{constructor(r){super();this._onMessage=this._register(new I.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=r,this._isDisposed=!1,this._incomingData=new M,this._register(this._socket.onData(i=>this.acceptChunk(i))),this.lastReadTime=Date.now()}acceptChunk(r){if(!(!r||r.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(r);this._incomingData.byteLength>=this._state.readLen;){const i=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=i.readUInt32BE(9),this._state.messageType=i.readUInt8(0),this._state.id=i.readUInt32BE(1),this._state.ack=i.readUInt32BE(5);else{const t=this._state.messageType,h=this._state.id,m=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new E(t,h,m,i)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class J{constructor(r){this._isDisposed=!1,this._socket=r,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(r){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(r){if(!this._isDisposed){r.writtenTime=Date.now(),this.lastWriteTime=Date.now();const i=L.VSBuffer.alloc(13);i.writeUInt8(r.type,0),i.writeUInt32BE(r.id,1),i.writeUInt32BE(r.ack,5),i.writeUInt32BE(r.data.byteLength,9),this._writeSoon(i,r.data)}}_bufferAdd(r,i){const t=this._totalLength===0;return this._data.push(r,i),this._totalLength+=r.byteLength+i.byteLength,t}_bufferTake(){const r=L.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,r}_writeSoon(r,i){this._bufferAdd(r,i)&&H.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class R extends F.Disposable{constructor(r){super();this._onMessage=new I.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new I.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=r,this._socketWriter=this._register(new J(this._socket)),this._socketReader=this._register(new q(this._socket)),this._register(this._socketReader.onMessage(i=>{i.type===1&&this._onMessage.fire(i.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(r){this._socketWriter.write(new E(1,0,0,r))}}e.Protocol=R;class D extends U.IPCClient{constructor(r,i,t=null){super(r,i,t);this.protocol=r}static fromSocket(r,i){return new D(new R(r),i)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const r=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),r.end()}}e.Client=D;class A{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new I.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,$.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(r){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(r):this._emitter.fire(r):this._bufferedMessages.push(r)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=A;class s{constructor(r){this.data=r,this.next=null}}class o{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let r=[],i=0,t=this._first;for(;t;)r[i++]=t.data,t=t.next;return r}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(r){const i=new s(r);if(!this._first){this._first=i,this._last=i;return}this._last.next=i,this._last=i}}class a{constructor(){this.lastRuns=[];const r=Date.now();for(let i=0;i<a._HISTORY_LENGTH;i++)this.lastRuns[i]=r-1e3*i;setInterval(()=>{for(let i=a._HISTORY_LENGTH;i>=1;i--)this.lastRuns[i]=this.lastRuns[i-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return a._INSTANCE||(a._INSTANCE=new a),a._INSTANCE}load(){const r=Date.now(),i=(1+a._HISTORY_LENGTH)*1e3;let t=0;for(let h=0;h<a._HISTORY_LENGTH;h++)r-this.lastRuns[h]<=i&&t++;return 1-t/a._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}a._HISTORY_LENGTH=10,a._INSTANCE=null;class g{constructor(r,i=null){this._loadEstimator=a.getInstance(),this._onControlMessage=new A,this.onControlMessage=this._onControlMessage.event,this._onMessage=new A,this.onMessage=this._onMessage.event,this._onDidDispose=new A,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new A,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new A,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new o,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=r,this._socketWriter=new J(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new q(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(t=>this._receiveMessage(t))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),i&&this._socketReader.acceptChunk(i),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=F.dispose(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const r=new E(5,0,0,y());this._socketWriter.write(r),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const r=Date.now()-this._socketWriter.lastWriteTime;if(r>=5e3){const i=new E(4,0,0,y());this._socketWriter.write(i),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-r+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const r=Date.now()-this._socketReader.lastReadTime;if(r>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-r,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(r,i){this._isReconnecting=!0,this._socketDisposables=F.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=r,this._socketWriter=new J(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new q(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(t=>this._receiveMessage(t))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(i)}endAcceptReconnection(){this._isReconnecting=!1;const r=this._outgoingUnackMsg.toArray();for(let i=0,t=r.length;i<t;i++)this._socketWriter.write(r[i]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(r){if(r.ack>this._outgoingAckId){this._outgoingAckId=r.ack;do{const i=this._outgoingUnackMsg.peek();if(i&&i.id<=r.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(r.type===1){if(r.id>this._incomingMsgId)if(r.id!==this._incomingMsgId+1){const i=Date.now();i-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=i,this._socketWriter.write(new E(6,0,0,y())))}else this._incomingMsgId=r.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(r.data)}else if(r.type===2)this._onControlMessage.fire(r.data);else if(r.type===5)this._onDidDispose.fire();else if(r.type===6){const i=this._outgoingUnackMsg.toArray();for(let t=0,h=i.length;t<h;t++)this._socketWriter.write(i[t]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(r){const i=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const t=new E(1,i,this._incomingAckId,r);this._outgoingUnackMsg.push(t),this._isReconnecting||(this._socketWriter.write(t),this._recvAckCheck())}sendControl(r){const i=new E(2,0,0,r);this._socketWriter.write(i)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const r=Date.now()-this._incomingMsgLastTime;if(r>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-r+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const r=this._outgoingUnackMsg.peek(),i=Date.now()-r.writtenTime;if(i>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-i,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const r=new E(3,0,this._incomingAckId,y());this._socketWriter.write(r)}}}e.PersistentProtocol=g}),define(se[24],re([0,1,25,26,27,5,13,11,28,22,3,6,23,2,4]),function(ie,e,I,U,F,L,H,$,S,y,M,k,T,E,q){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class J{constructor(m){this.socket=m}dispose(){this.socket.destroy()}onData(m){const b=v=>m(k.VSBuffer.wrap(v));return this.socket.on("data",b),{dispose:()=>this.socket.off("data",b)}}onClose(m){return this.socket.on("close",m),{dispose:()=>this.socket.off("close",m)}}onEnd(m){return this.socket.on("end",m),{dispose:()=>this.socket.off("end",m)}}write(m){if(!this.socket.destroyed)try{this.socket.write(m.buffer)}catch(b){if(b.code==="EPIPE")return;E.onUnexpectedError(b)}}end(){this.socket.end()}drain(){return new Promise((m,b)=>{if(this.socket.bufferSize===0){m();return}const v=()=>{this.socket.off("close",v),this.socket.off("end",v),this.socket.off("error",v),this.socket.off("timeout",v),this.socket.off("drain",v),m()};this.socket.on("close",v),this.socket.on("end",v),this.socket.on("error",v),this.socket.on("timeout",v),this.socket.on("drain",v)})}}e.NodeSocket=J;var R;(function(h){h[h.MinHeaderByteSize=2]="MinHeaderByteSize"})(R||(R={}));var D;(function(h){h[h.PeekHeader=1]="PeekHeader",h[h.ReadHeader=2]="ReadHeader",h[h.ReadBody=3]="ReadBody",h[h.Fin=4]="Fin"})(D||(D={}));class A extends M.Disposable{constructor(m,b,v,p){super();this._onDidZlibFlush=this._register(new L.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new L.Emitter),this._onClose=this._register(new L.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=m,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=b,this._recordInflateBytes=p,b?(this._zlibInflate=F.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",V=>{console.error(V),E.onUnexpectedError(V),this._onClose.fire()}),this._zlibInflate.on("data",V=>{this._pendingInflateData.push(V)}),v&&(this._zlibInflate.write(v.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=F.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",V=>{console.error(V),E.onUnexpectedError(V),this._onClose.fire()}),this._zlibDeflate.on("data",V=>{this._pendingDeflateData.push(V)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new T.ChunkStream,this._register(this.socket.onData(V=>this._acceptChunk(V))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?k.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):k.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(m){return this._onData.event(m)}onClose(m){return this._onClose.event(m)}onEnd(m){return this.socket.onEnd(m)}write(m){this._totalOutgoingDataBytes+=m.byteLength,this._zlibDeflate?(this._zlibDeflate.write(m.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let b=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,b=b.slice(0,b.length-4),this._isEnded||this._write(k.VSBuffer.wrap(b),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(m,!1)}_write(m,b){let v=2;m.byteLength<126?v+=0:m.byteLength<2**16?v+=2:v+=8;const p=k.VSBuffer.alloc(v);if(b?p.writeUInt8(194,0):p.writeUInt8(130,0),m.byteLength<126)p.writeUInt8(m.byteLength,1);else if(m.byteLength<2**16){p.writeUInt8(126,1);let V=1;p.writeUInt8(m.byteLength>>>8&255,++V),p.writeUInt8(m.byteLength>>>0&255,++V)}else{p.writeUInt8(127,1);let V=1;p.writeUInt8(0,++V),p.writeUInt8(0,++V),p.writeUInt8(0,++V),p.writeUInt8(0,++V),p.writeUInt8(m.byteLength>>>24&255,++V),p.writeUInt8(m.byteLength>>>16&255,++V),p.writeUInt8(m.byteLength>>>8&255,++V),p.writeUInt8(m.byteLength>>>0&255,++V)}this._totalOutgoingWireBytes+=p.byteLength+m.byteLength,this.socket.write(k.VSBuffer.concat([p,m]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(m){if(m.byteLength!==0){for(this._totalIncomingWireBytes+=m.byteLength,this._incomingData.acceptChunk(m);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const b=this._incomingData.peek(this._state.readLen),p=(b.readUInt8(0)&128)>>>7,V=b.readUInt8(1),G=(V&128)>>>7,oe=V&127;this._state.state=2,this._state.readLen=2+(G?4:0)+(oe===126?2:0)+(oe===127?8:0),this._state.fin=p,this._state.mask=0}else if(this._state.state===2){const b=this._incomingData.read(this._state.readLen),v=b.readUInt8(1),p=(v&128)>>>7;let V=v&127,G=1;V===126?V=b.readUInt8(++G)*2**8+b.readUInt8(++G):V===127&&(V=b.readUInt8(++G)*0+b.readUInt8(++G)*0+b.readUInt8(++G)*0+b.readUInt8(++G)*0+b.readUInt8(++G)*2**24+b.readUInt8(++G)*2**16+b.readUInt8(++G)*2**8+b.readUInt8(++G));let oe=0;p&&(oe=b.readUInt8(++G)*2**24+b.readUInt8(++G)*2**16+b.readUInt8(++G)*2**8+b.readUInt8(++G)),this._state.state=3,this._state.readLen=V,this._state.mask=oe}else if(this._state.state===3){const b=this._incomingData.read(this._state.readLen);s(b,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(b.buffer)),this._zlibInflate.write(b.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const v=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=v.length,this._onData.fire(k.VSBuffer.wrap(v))})):(this._totalIncomingDataBytes+=b.byteLength,this._onData.fire(b))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await L.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=A;function s(h,m){if(m!==0){let b=h.byteLength>>>2;for(let ae=0;ae<b;ae++){const Z=h.readUInt32BE(ae*4);h.writeUInt32BE(Z^m,ae*4)}let v=b*4,p=h.byteLength-v;const V=m>>>24&255,G=m>>>16&255,oe=m>>>8&255;p>=1&&h.writeUInt8(h.readUInt8(v)^V,v),p>=2&&h.writeUInt8(h.readUInt8(v+1)^G,v+1),p>=3&&h.writeUInt8(h.readUInt8(v+2)^oe,v+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const o={[2]:107,[1]:103};function a(){const h=y.generateUuid();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${h}-sock`;let m;return e.XDG_RUNTIME_DIR?m=$.join(e.XDG_RUNTIME_DIR,`vscode-ipc-${h}.sock`):m=$.join(S.tmpdir(),`vscode-ipc-${h}.sock`),d(m),m}e.createRandomIPCHandle=a;function g(h,m,b){const v=I.createHash("md5").update(h).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${v}-${b}-${m}-sock`;let p;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?p=$.join(e.XDG_RUNTIME_DIR,`vscode-${v.substr(0,8)}-${b}-${m}.sock`):p=$.join(h,`${b}-${m}.sock`),d(p),p}e.createStaticIPCHandle=g;function d(h){const m=o[q.platform];typeof m=="number"&&h.length>=m&&console.warn(`WARNING: IPC handle "${h}" is longer than ${m} chars, try a shorter --user-data-dir`)}class r extends H.IPCServer{constructor(m){super(r.toClientConnectionEvent(m));this.server=m}static toClientConnectionEvent(m){const b=L.Event.fromNodeEventEmitter(m,"connection");return L.Event.map(b,v=>({protocol:new T.Protocol(new J(v)),onDidClientDisconnect:L.Event.once(L.Event.fromNodeEventEmitter(v,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=r;function i(h){return new Promise((m,b)=>{const v=U.createServer();v.on("error",b),v.listen(h,()=>{v.removeListener("error",b),m(new r(v))})})}e.serve=i;function t(h,m){return new Promise((b,v)=>{const p=U.createConnection(h,()=>{p.removeListener("error",v),b(T.Client.fromSocket(new J(p),m))});p.once("error",v)})}e.connect=t}),define(se[29],re([0,1,24]),function(ie,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverChannelClient=e.WindowDriverChannel=e.WindowDriverRegistryChannelClient=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class U{constructor(k){this.driver=k}listen(k,T){throw new Error("No event found")}call(k,T,E){switch(T){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(E);case"reloadWindow":return this.driver.reloadWindow(E);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(E[0],E[1]);case"click":return this.driver.click(E[0],E[1],E[2],E[3]);case"doubleClick":return this.driver.doubleClick(E[0],E[1]);case"setValue":return this.driver.setValue(E[0],E[1],E[2]);case"getTitle":return this.driver.getTitle(E[0]);case"isActiveElement":return this.driver.isActiveElement(E[0],E[1]);case"getElements":return this.driver.getElements(E[0],E[1],E[2]);case"getElementXY":return this.driver.getElementXY(E[0],E[1],E[2]);case"typeInEditor":return this.driver.typeInEditor(E[0],E[1],E[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(E[0],E[1]);case"writeInTerminal":return this.driver.writeInTerminal(E[0],E[1],E[2])}throw new Error(`Call not found: ${T}`)}}e.DriverChannel=U;class F{constructor(k){this.channel=k}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(k){return this.channel.call("capturePage",k)}reloadWindow(k){return this.channel.call("reloadWindow",k)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(k,T){return this.channel.call("dispatchKeybinding",[k,T])}click(k,T,E,q){return this.channel.call("click",[k,T,E,q])}doubleClick(k,T){return this.channel.call("doubleClick",[k,T])}setValue(k,T,E){return this.channel.call("setValue",[k,T,E])}getTitle(k){return this.channel.call("getTitle",[k])}isActiveElement(k,T){return this.channel.call("isActiveElement",[k,T])}getElements(k,T,E){return this.channel.call("getElements",[k,T,E])}getElementXY(k,T,E,q){return this.channel.call("getElementXY",[k,T,E,q])}typeInEditor(k,T,E){return this.channel.call("typeInEditor",[k,T,E])}getTerminalBuffer(k,T){return this.channel.call("getTerminalBuffer",[k,T])}writeInTerminal(k,T,E){return this.channel.call("writeInTerminal",[k,T,E])}}e.DriverChannelClient=F;class L{constructor(k){this.registry=k}listen(k,T){throw new Error(`Event not found: ${T}`)}call(k,T,E){switch(T){case"registerWindowDriver":return this.registry.registerWindowDriver(E);case"reloadWindowDriver":return this.registry.reloadWindowDriver(E)}throw new Error(`Call not found: ${T}`)}}e.WindowDriverRegistryChannel=L;class H{constructor(k){this.channel=k}registerWindowDriver(k){return this.channel.call("registerWindowDriver",k)}reloadWindowDriver(k){return this.channel.call("reloadWindowDriver",k)}}e.WindowDriverRegistryChannelClient=H;class ${constructor(k){this.driver=k}listen(k,T){throw new Error(`No event found: ${T}`)}call(k,T,E){switch(T){case"click":return this.driver.click(E[0],E[1],E[2]);case"doubleClick":return this.driver.doubleClick(E);case"setValue":return this.driver.setValue(E[0],E[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(E);case"getElements":return this.driver.getElements(E[0],E[1]);case"getElementXY":return this.driver.getElementXY(E[0],E[1],E[2]);case"typeInEditor":return this.driver.typeInEditor(E[0],E[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(E);case"writeInTerminal":return this.driver.writeInTerminal(E[0],E[1])}throw new Error(`Call not found: ${T}`)}}e.WindowDriverChannel=$;class S{constructor(k){this.channel=k}click(k,T,E){return this.channel.call("click",[k,T,E])}doubleClick(k){return this.channel.call("doubleClick",k)}setValue(k,T){return this.channel.call("setValue",[k,T])}getTitle(){return this.channel.call("getTitle")}isActiveElement(k){return this.channel.call("isActiveElement",k)}getElements(k,T){return this.channel.call("getElements",[k,T])}getElementXY(k,T,E){return this.channel.call("getElementXY",[k,T,E])}typeInEditor(k,T){return this.channel.call("typeInEditor",[k,T])}getTerminalBuffer(k){return this.channel.call("getTerminalBuffer",k)}writeInTerminal(k,T){return this.channel.call("writeInTerminal",[k,T])}}e.WindowDriverChannelClient=S;async function y(M){const k=await I.connect(M,"driverClient"),T=k.getChannel("driver"),E=new F(T);return{client:k,driver:E}}e.connect=y})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fd6f3bce6709b121a895d042d343d71f317d74e7/core/vs/platform/driver/node/driver.js.map
