/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/workbench/api/common/extHostTypeConverters","vs/base/common/errors","vs/base/common/arrays","vs/base/common/path","vs/base/common/types","vs/workbench/api/common/extHostRpcService","vs/base/common/async","vs/base/common/network","vs/platform/log/common/log","vs/nls","vs/nls!vs/workbench/services/extensions/worker/extensionHostWorker","vs/base/common/cancellation","vs/base/common/platform","vs/base/common/map","vs/base/common/objects","vs/base/common/resources","vs/platform/extensions/common/extensions","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/glob","vs/base/common/uuid","vs/platform/registry/common/platform","vs/workbench/api/common/extHostWorkspace","vs/editor/common/core/range","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/base/common/codicons","vs/base/common/extpath","vs/editor/common/core/position","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostWebview","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/severity","vs/base/common/marshalling","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/shared/webview","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/numbers","vs/base/common/uint","vs/base/common/htmlContent","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/cache","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/comparers","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/uriIpc","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationModels","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/worker/extHostLogService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/marked/marked","vs/workbench/services/extensions/worker/extensionHostWorker"],Ee=function(oe){for(var e=[],b=0,S=oe.length;b<S;b++)e[b]=we[oe[b]];return e};define(we[44],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function b(S,T){if(!S)throw new Error(T?`Assertion failed (${T})`:"Assertion Failed")}e.ok=b}),define(we[51],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const b=Object.prototype.hasOwnProperty;function S(P){const I=[];for(let p in P)b.call(P,p)&&I.push(P[p]);return I}e.values=S;function T(P,I){for(let p in P)if(b.call(P,p)&&I({key:p,value:P[p]},function(){delete P[p]})===!1)return}e.forEach=T;function A(P,I){const p=Object.create(null);for(const d of P){const s=I(d);let h=p[s];h||(h=p[s]=[]),h.push(d)}return p}e.groupBy=A;function w(P){const I=Object.create(null);return P&&P.forEach((p,d)=>{I[d]=p}),I}e.fromMap=w;function C(P,I){const p=[],d=[];for(let s of P)I.has(s)||p.push(s);for(let s of I)P.has(s)||d.push(s);return{removed:p,added:d}}e.diffSets=C;function D(P,I){const p=[],d=[];for(let[s,h]of P)I.has(s)||p.push(h);for(let[s,h]of I)P.has(s)||d.push(h);return{removed:p,added:d}}e.diffMaps=D;class i{constructor(){this.map=new Map}add(I,p){let d=this.map.get(I);d||(d=new Set,this.map.set(I,d)),d.add(p)}delete(I,p){const d=this.map.get(I);!d||(d.delete(p),d.size===0&&this.map.delete(I))}forEach(I,p){const d=this.map.get(I);!d||d.forEach(p)}}e.SetMap=i}),define(we[45],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function b(D){return(i,P,I)=>{let p=null,d=null;if(typeof I.value=="function"?(p="value",d=I.value):typeof I.get=="function"&&(p="get",d=I.get),!d)throw new Error("not supported");I[p]=D(d,P)}}e.createDecorator=b;let S=0;function T(){const D=`$memoize${S++}`;let i;const P=function(p,d,s){let h=null,v=null;if(typeof s.value=="function"?(h="value",v=s.value,v.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof s.get=="function"&&(h="get",v=s.get),!v)throw new Error("not supported");const g=`${D}:${d}`;s[h]=function(..._){return i=this,this.hasOwnProperty(g)||Object.defineProperty(this,g,{configurable:!0,enumerable:!1,writable:!0,value:v.apply(this,_)}),this[g]}};return P.clear=()=>{typeof i!="undefined"&&Object.getOwnPropertyNames(i).forEach(I=>{I.indexOf(D)===0&&delete i[I]})},P}e.createMemoizer=T;function A(D,i,P){return T()(D,i,P)}e.memoize=A;function w(D,i,P){return b((I,p)=>{const d=`$debounce$${p}`,s=`$debounce$result$${p}`;return function(...h){this[s]||(this[s]=P?P():void 0),clearTimeout(this[d]),i&&(this[s]=i(this[s],...h),h=[this[s]]),this[d]=setTimeout(()=>{I.apply(this,h),this[s]=P?P():void 0},D)}})}e.debounce=w;function C(D,i,P){return b((I,p)=>{const d=`$throttle$timer$${p}`,s=`$throttle$result$${p}`,h=`$throttle$lastRun$${p}`,v=`$throttle$pending$${p}`;return function(...g){if(this[s]||(this[s]=P?P():void 0),(this[h]===null||this[h]===void 0)&&(this[h]=-Number.MAX_VALUE),i&&(this[s]=i(this[s],...g)),!this[v]){const _=this[h]+D;_<=Date.now()?(this[h]=Date.now(),I.apply(this,[this[s]]),this[s]=P?P():void 0):(this[v]=!0,this[d]=setTimeout(()=>{this[v]=!1,this[h]=Date.now(),I.apply(this,[this[s]]),this[s]=P?P():void 0},_-Date.now()))}}})}e.throttle=C}),define(we[10],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class b{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(o=>{o(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=b,e.errorHandler=new b;function S(u){e.errorHandler.setUnexpectedErrorHandler(u)}e.setUnexpectedErrorHandler=S;function T(u){D(u)||e.errorHandler.onUnexpectedError(u)}e.onUnexpectedError=T;function A(u){D(u)||e.errorHandler.onUnexpectedExternalError(u)}e.onUnexpectedExternalError=A;function w(u){if(u instanceof Error){let{name:t,message:o}=u;const a=u.stacktrace||u.stack;return{$isError:!0,name:t,message:o,stack:a}}return u}e.transformErrorForSerialization=w;const C="Canceled";function D(u){return u instanceof Error&&u.name===C&&u.message===C}e.isPromiseCanceledError=D;class i extends Error{constructor(){super(C);this.name=this.message}}e.CancellationError=i;function P(){const u=new Error(C);return u.name=u.message,u}e.canceled=P;function I(u){return u?new Error(`Illegal argument: ${u}`):new Error("Illegal argument")}e.illegalArgument=I;function p(u){return u?new Error(`Illegal state: ${u}`):new Error("Illegal state")}e.illegalState=p;function d(u){return u?new Error(`readonly property '${u} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=d;function s(u){const t=new Error(`${u} has been disposed`);return t.name="DISPOSED",t}e.disposed=s;function h(u){return u?u.message?u.message:u.stack?u.stack.split(`
`)[0]:String(u):"Error"}e.getErrorMessage=h;class v extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=v;class g extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=g;class _ extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=_;function r(u){const t=u;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=r;function l(u,t=Object.create(null)){const o=new Error(u);return t.actions&&(o.actions=t.actions),o}e.createErrorWithActions=l}),define(we[11],Ee([0,1,10]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.mergeSort=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function S(L,z=0){return L[L.length-(1+z)]}e.tail=S;function T(L){if(L.length===0)throw new Error("Invalid tail call");return[L.slice(0,L.length-1),L[L.length-1]]}e.tail2=T;function A(L,z,ae=(re,de)=>re===de){if(L===z)return!0;if(!L||!z||L.length!==z.length)return!1;for(let re=0,de=L.length;re<de;re++)if(!ae(L[re],z[re]))return!1;return!0}e.equals=A;function w(L,z,ae){let re=0,de=L.length-1;for(;re<=de;){const fe=(re+de)/2|0,Ae=ae(L[fe],z);if(Ae<0)re=fe+1;else if(Ae>0)de=fe-1;else return fe}return-(re+1)}e.binarySearch=w;function C(L,z){let ae=0,re=L.length;if(re===0)return 0;for(;ae<re;){const de=Math.floor((ae+re)/2);z(L[de])?re=de:ae=de+1}return ae}e.findFirstInSorted=C;function D(L,z,ae){if(L=L|0,L>=z.length)throw new TypeError("invalid index");let re=z[Math.floor(z.length*Math.random())],de=[],fe=[],Ae=[];for(let je of z){const Te=ae(je,re);Te<0?de.push(je):Te>0?fe.push(je):Ae.push(je)}return L<de.length?D(L,de,ae):L<de.length+Ae.length?Ae[0]:D(L-(de.length+Ae.length),fe,ae)}e.quickSelect=D;function i(L,z){return I(L,z,0,L.length-1,[]),L}e.mergeSort=i;function P(L,z,ae,re,de,fe){let Ae=ae,je=re+1;for(let Te=ae;Te<=de;Te++)fe[Te]=L[Te];for(let Te=ae;Te<=de;Te++)Ae>re?L[Te]=fe[je++]:je>de?L[Te]=fe[Ae++]:z(fe[je],fe[Ae])<0?L[Te]=fe[je++]:L[Te]=fe[Ae++]}function I(L,z,ae,re,de){if(!(re<=ae)){const fe=ae+(re-ae)/2|0;I(L,z,ae,fe,de),I(L,z,fe+1,re,de),!(z(L[fe],L[fe+1])<=0)&&P(L,z,ae,fe,re,de)}}function p(L,z){const ae=[];let re;for(const de of i(L.slice(0),z))!re||z(re[0],de)!==0?(re=[de],ae.push(re)):re.push(de);return ae}e.groupBy=p;function d(L,z,ae){const re=[];function de(je,Te,xe){if(!(Te===0&&xe.length===0)){const W=re[re.length-1];W&&W.start+W.deleteCount===je?(W.deleteCount+=Te,W.toInsert.push(...xe)):re.push({start:je,deleteCount:Te,toInsert:xe})}}let fe=0,Ae=0;for(;;){if(fe===L.length){de(fe,0,z.slice(Ae));break}if(Ae===z.length){de(fe,L.length-fe,[]);break}const je=L[fe],Te=z[Ae],xe=ae(je,Te);xe===0?(fe+=1,Ae+=1):xe<0?(de(fe,1,[]),fe+=1):xe>0&&(de(fe,0,[Te]),Ae+=1)}return re}e.sortedDiff=d;function s(L,z,ae){const re=d(L,z,ae),de=[],fe=[];for(const Ae of re)de.push(...L.slice(Ae.start,Ae.start+Ae.deleteCount)),fe.push(...Ae.toInsert);return{removed:de,added:fe}}e.delta=s;function h(L,z,ae){if(ae===0)return[];const re=L.slice(0,ae).sort(z);return g(L,z,re,ae,L.length),re}e.top=h;function v(L,z,ae,re,de){return ae===0?Promise.resolve([]):new Promise((fe,Ae)=>{(async()=>{const je=L.length,Te=L.slice(0,ae).sort(z);for(let xe=ae,W=Math.min(ae+re,je);xe<je;xe=W,W=Math.min(W+re,je)){if(xe>ae&&await new Promise(J=>setTimeout(J)),de&&de.isCancellationRequested)throw b.canceled();g(L,z,Te,xe,W)}return Te})().then(fe,Ae)})}e.topAsync=v;function g(L,z,ae,re,de){for(const fe=ae.length;re<de;re++){const Ae=L[re];if(z(Ae,ae[fe-1])<0){ae.pop();const je=C(ae,Te=>z(Ae,Te)<0);ae.splice(je,0,Ae)}}}function _(L){return L.filter(z=>!!z)}e.coalesce=_;function r(L){let z=0;for(let ae=0;ae<L.length;ae++)L[ae]&&(L[z]=L[ae],z+=1);L.length=z}e.coalesceInPlace=r;function l(L,z,ae){L.splice(ae,0,L.splice(z,1)[0])}e.move=l;function u(L){return!Array.isArray(L)||L.length===0}e.isFalsyOrEmpty=u;function t(L){return Array.isArray(L)&&L.length>0}e.isNonEmptyArray=t;function o(L,z){if(!z)return L.filter((re,de)=>L.indexOf(re)===de);const ae=Object.create(null);return L.filter(re=>{const de=z(re);return ae[de]?!1:(ae[de]=!0,!0)})}e.distinct=o;function a(L){const z=new Set;return L.filter(ae=>z.has(ae)?!1:(z.add(ae),!0))}e.distinctES6=a;function c(L){const z=Object.create(null);return ae=>{const re=L(ae);return z[re]?!1:(z[re]=!0,!0)}}e.uniqueFilter=c;function n(L,z){for(let ae=L.length-1;ae>=0;ae--){const re=L[ae];if(z(re))return ae}return-1}e.lastIndex=n;function f(L,z){return L.length>0?L[0]:z}e.firstOrDefault=f;function y(L,z,ae=(re,de)=>re===de){let re=0;for(let de=0,fe=Math.min(L.length,z.length);de<fe&&ae(L[de],z[de]);de++)re++;return re}e.commonPrefixLength=y;function k(L){return[].concat(...L)}e.flatten=k;function m(L,z){let ae=typeof z=="number"?L:0;typeof z=="number"?ae=L:(ae=0,z=L);const re=[];if(ae<=z)for(let de=ae;de<z;de++)re.push(de);else for(let de=ae;de>z;de--)re.push(de);return re}e.range=m;function E(L,z,ae){return L.reduce((re,de)=>(re[z(de)]=ae?ae(de):de,re),Object.create(null))}e.index=E;function R(L,z){return L.push(z),()=>F(L,z)}e.insert=R;function F(L,z){const ae=L.indexOf(z);if(ae>-1)return L.splice(ae,1),z}e.remove=F;function $(L,z,ae){const re=L.slice(0,z),de=L.slice(z);return re.concat(ae,de)}e.arrayInsert=$;function K(L,z){let ae;if(typeof z=="number"){let re=z;ae=()=>{const de=Math.sin(re++)*179426549;return de-Math.floor(de)}}else ae=Math.random;for(let re=L.length-1;re>0;re-=1){const de=Math.floor(ae()*(re+1)),fe=L[re];L[re]=L[de],L[de]=fe}}e.shuffle=K;function G(L,z){const ae=L.indexOf(z);ae>-1&&(L.splice(ae,1),L.unshift(z))}e.pushToStart=G;function H(L,z){const ae=L.indexOf(z);ae>-1&&(L.splice(ae,1),L.push(z))}e.pushToEnd=H;function ue(L,z){return Array.isArray(L)?L.map(z):z(L)}e.mapArrayOrNot=ue;function N(L){return Array.isArray(L)?L:[L]}e.asArray=N;function O(L){return L[Math.floor(Math.random()*L.length)]}e.getRandomElement=O;function x(L,z){for(const ae of L){const re=z(ae);if(re!==void 0)return re}}e.mapFind=x}),define(we[52],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function b(S){const T=this;let A=!1,w;return function(){return A||(A=!0,w=S.apply(T,arguments)),w}}e.once=b}),define(we[53],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class b{constructor(T){this._prefix=T,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=b,e.defaultGenerator=new b("id#")}),define(we[54],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var b;(function(S){function T(u){return u&&typeof u=="object"&&typeof u[Symbol.iterator]=="function"}S.is=T;const A=Object.freeze([]);function w(){return A}S.empty=w;function*C(u){yield u}S.single=C;function D(u){return u||A}S.from=D;function i(u){return!u||u[Symbol.iterator]().next().done===!0}S.isEmpty=i;function P(u){return u[Symbol.iterator]().next().value}S.first=P;function I(u,t){for(const o of u)if(t(o))return!0;return!1}S.some=I;function p(u,t){for(const o of u)if(t(o))return o}S.find=p;function*d(u,t){for(const o of u)t(o)&&(yield o)}S.filter=d;function*s(u,t){for(const o of u)yield t(o)}S.map=s;function*h(...u){for(const t of u)for(const o of t)yield o}S.concat=h;function*v(u){for(const t of u)for(const o of t)yield o}S.concatNested=v;function g(u,t,o){let a=o;for(const c of u)a=t(a,c);return a}S.reduce=g;function*_(u,t,o=u.length){for(t<0&&(t+=u.length),o<0?o+=u.length:o>u.length&&(o=u.length);t<o;t++)yield u[t]}S.slice=_;function r(u,t=Number.POSITIVE_INFINITY){const o=[];if(t===0)return[o,u];const a=u[Symbol.iterator]();for(let c=0;c<t;c++){const n=a.next();if(n.done)return[o,S.empty()];o.push(n.value)}return[o,{[Symbol.iterator](){return a}}]}S.consume=r;function l(u,t,o=(a,c)=>a===c){const a=u[Symbol.iterator](),c=t[Symbol.iterator]();for(;;){const n=a.next(),f=c.next();if(n.done!==f.done)return!1;if(n.done)return!0;if(!o(n.value,f.value))return!1}}S.equals=l})(b=e.Iterable||(e.Iterable={}))}),define(we[46],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var b;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(b=e.ScanError||(e.ScanError={}));var S;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(S=e.SyntaxKind||(e.SyntaxKind={}));var T;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(T=e.ParseErrorCode||(e.ParseErrorCode={}));var A;(function(t){t.DEFAULT={allowTrailingComma:!0}})(A=e.ParseOptions||(e.ParseOptions={}));function w(t,o=!1){let a=0,c=t.length,n="",f=0,y=16,k=0;function m(H){let ue=0,N=0;for(;ue<H;){const O=t.charCodeAt(a);if(O>=48&&O<=57)N=N*16+O-48;else if(O>=65&&O<=70)N=N*16+O-65+10;else if(O>=97&&O<=102)N=N*16+O-97+10;else break;a++,ue++}return ue<H&&(N=-1),N}function E(H){a=H,n="",f=0,y=16,k=0}function R(){const H=a;if(t.charCodeAt(a)===48)a++;else for(a++;a<t.length&&i(t.charCodeAt(a));)a++;if(a<t.length&&t.charCodeAt(a)===46)if(a++,a<t.length&&i(t.charCodeAt(a)))for(a++;a<t.length&&i(t.charCodeAt(a));)a++;else return k=3,t.substring(H,a);let ue=a;if(a<t.length&&(t.charCodeAt(a)===69||t.charCodeAt(a)===101))if(a++,(a<t.length&&t.charCodeAt(a)===43||t.charCodeAt(a)===45)&&a++,a<t.length&&i(t.charCodeAt(a))){for(a++;a<t.length&&i(t.charCodeAt(a));)a++;ue=a}else k=3;return t.substring(H,ue)}function F(){let H="",ue=a;for(;;){if(a>=c){H+=t.substring(ue,a),k=2;break}const N=t.charCodeAt(a);if(N===34){H+=t.substring(ue,a),a++;break}if(N===92){if(H+=t.substring(ue,a),a++,a>=c){k=2;break}switch(t.charCodeAt(a++)){case 34:H+='"';break;case 92:H+="\\";break;case 47:H+="/";break;case 98:H+="\b";break;case 102:H+="\f";break;case 110:H+=`
`;break;case 114:H+="\r";break;case 116:H+="	";break;case 117:const x=m(4);x>=0?H+=String.fromCharCode(x):k=4;break;default:k=5}ue=a;continue}if(N>=0&&N<=31)if(D(N)){H+=t.substring(ue,a),k=2;break}else k=6;a++}return H}function $(){if(n="",k=0,f=a,a>=c)return f=c,y=17;let H=t.charCodeAt(a);if(C(H)){do a++,n+=String.fromCharCode(H),H=t.charCodeAt(a);while(C(H));return y=15}if(D(H))return a++,n+=String.fromCharCode(H),H===13&&t.charCodeAt(a)===10&&(a++,n+=`
`),y=14;switch(H){case 123:return a++,y=1;case 125:return a++,y=2;case 91:return a++,y=3;case 93:return a++,y=4;case 58:return a++,y=6;case 44:return a++,y=5;case 34:return a++,n=F(),y=10;case 47:const ue=a-1;if(t.charCodeAt(a+1)===47){for(a+=2;a<c&&!D(t.charCodeAt(a));)a++;return n=t.substring(ue,a),y=12}if(t.charCodeAt(a+1)===42){a+=2;const N=c-1;let O=!1;for(;a<N;){if(t.charCodeAt(a)===42&&t.charCodeAt(a+1)===47){a+=2,O=!0;break}a++}return O||(a++,k=1),n=t.substring(ue,a),y=13}return n+=String.fromCharCode(H),a++,y=16;case 45:if(n+=String.fromCharCode(H),a++,a===c||!i(t.charCodeAt(a)))return y=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return n+=R(),y=11;default:for(;a<c&&K(H);)a++,H=t.charCodeAt(a);if(f!==a){switch(n=t.substring(f,a),n){case"true":return y=8;case"false":return y=9;case"null":return y=7}return y=16}return n+=String.fromCharCode(H),a++,y=16}}function K(H){if(C(H)||D(H))return!1;switch(H){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function G(){let H;do H=$();while(H>=12&&H<=15);return H}return{setPosition:E,getPosition:()=>a,scan:o?G:$,getToken:()=>y,getTokenValue:()=>n,getTokenOffset:()=>f,getTokenLength:()=>a-f,getTokenError:()=>k}}e.createScanner=w;function C(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function D(t){return t===10||t===13||t===8232||t===8233}function i(t){return t>=48&&t<=57}var P;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(P||(P={}));function I(t,o){const a=[],c=new Object;let n;const f={value:{},offset:0,length:0,type:"object",parent:void 0};let y=!1;function k(m,E,R,F){f.value=m,f.offset=E,f.length=R,f.type=F,f.colonOffset=void 0,n=f}try{r(t,{onObjectBegin:(m,E)=>{if(o<=m)throw c;n=void 0,y=o>m,a.push("")},onObjectProperty:(m,E,R)=>{if(o<E||(k(m,E,R,"property"),a[a.length-1]=m,o<=E+R))throw c},onObjectEnd:(m,E)=>{if(o<=m)throw c;n=void 0,a.pop()},onArrayBegin:(m,E)=>{if(o<=m)throw c;n=void 0,a.push(0)},onArrayEnd:(m,E)=>{if(o<=m)throw c;n=void 0,a.pop()},onLiteralValue:(m,E,R)=>{if(o<E||(k(m,E,R,u(m)),o<=E+R))throw c},onSeparator:(m,E,R)=>{if(o<=E)throw c;if(m===":"&&n&&n.type==="property")n.colonOffset=E,y=!1,n=void 0;else if(m===","){const F=a[a.length-1];typeof F=="number"?a[a.length-1]=F+1:(y=!0,a[a.length-1]=""),n=void 0}}})}catch(m){if(m!==c)throw m}return{path:a,previousNode:n,isAtPropertyKey:y,matches:m=>{let E=0;for(let R=0;E<m.length&&R<a.length;R++)if(m[E]===a[R]||m[E]==="*")E++;else if(m[E]!=="**")return!1;return E===m.length}}}e.getLocation=I;function p(t,o=[],a=A.DEFAULT){let c=null,n=[];const f=[];function y(m){Array.isArray(n)?n.push(m):c!==null&&(n[c]=m)}return r(t,{onObjectBegin:()=>{const m={};y(m),f.push(n),n=m,c=null},onObjectProperty:m=>{c=m},onObjectEnd:()=>{n=f.pop()},onArrayBegin:()=>{const m=[];y(m),f.push(n),n=m,c=null},onArrayEnd:()=>{n=f.pop()},onLiteralValue:y,onError:(m,E,R)=>{o.push({error:m,offset:E,length:R})}},a),n[0]}e.parse=p;function d(t,o=[],a=A.DEFAULT){let c={type:"array",offset:-1,length:-1,children:[],parent:void 0};function n(m){c.type==="property"&&(c.length=m-c.offset,c=c.parent)}function f(m){return c.children.push(m),m}r(t,{onObjectBegin:m=>{c=f({type:"object",offset:m,length:-1,parent:c,children:[]})},onObjectProperty:(m,E,R)=>{c=f({type:"property",offset:E,length:-1,parent:c,children:[]}),c.children.push({type:"string",value:m,offset:E,length:R,parent:c})},onObjectEnd:(m,E)=>{c.length=m+E-c.offset,c=c.parent,n(m+E)},onArrayBegin:(m,E)=>{c=f({type:"array",offset:m,length:-1,parent:c,children:[]})},onArrayEnd:(m,E)=>{c.length=m+E-c.offset,c=c.parent,n(m+E)},onLiteralValue:(m,E,R)=>{f({type:u(m),offset:E,length:R,parent:c,value:m}),n(E+R)},onSeparator:(m,E,R)=>{c.type==="property"&&(m===":"?c.colonOffset=E:m===","&&n(E))},onError:(m,E,R)=>{o.push({error:m,offset:E,length:R})}},a);const k=c.children[0];return k&&delete k.parent,k}e.parseTree=d;function s(t,o){if(!!t){let a=t;for(let c of o)if(typeof c=="string"){if(a.type!=="object"||!Array.isArray(a.children))return;let n=!1;for(const f of a.children)if(Array.isArray(f.children)&&f.children[0].value===c){a=f.children[1],n=!0;break}if(!n)return}else{const n=c;if(a.type!=="array"||n<0||!Array.isArray(a.children)||n>=a.children.length)return;a=a.children[n]}return a}}e.findNodeAtLocation=s;function h(t){if(!t.parent||!t.parent.children)return[];const o=h(t.parent);if(t.parent.type==="property"){const a=t.parent.children[0].value;o.push(a)}else if(t.parent.type==="array"){const a=t.parent.children.indexOf(t);a!==-1&&o.push(a)}return o}e.getNodePath=h;function v(t){switch(t.type){case"array":return t.children.map(v);case"object":const o=Object.create(null);for(let a of t.children){const c=a.children[1];c&&(o[a.children[0].value]=v(c))}return o;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=v;function g(t,o,a=!1){return o>=t.offset&&o<t.offset+t.length||a&&o===t.offset+t.length}e.contains=g;function _(t,o,a=!1){if(g(t,o,a)){const c=t.children;if(Array.isArray(c))for(let n=0;n<c.length&&c[n].offset<=o;n++){const f=_(c[n],o,a);if(f)return f}return t}}e.findNodeAtOffset=_;function r(t,o,a=A.DEFAULT){const c=w(t,!1);function n(fe){return fe?()=>fe(c.getTokenOffset(),c.getTokenLength()):()=>!0}function f(fe){return fe?Ae=>fe(Ae,c.getTokenOffset(),c.getTokenLength()):()=>!0}const y=n(o.onObjectBegin),k=f(o.onObjectProperty),m=n(o.onObjectEnd),E=n(o.onArrayBegin),R=n(o.onArrayEnd),F=f(o.onLiteralValue),$=f(o.onSeparator),K=n(o.onComment),G=f(o.onError),H=a&&a.disallowComments,ue=a&&a.allowTrailingComma;function N(){for(;;){const fe=c.scan();switch(c.getTokenError()){case 4:O(14);break;case 5:O(15);break;case 3:O(13);break;case 1:H||O(11);break;case 2:O(12);break;case 6:O(16);break}switch(fe){case 12:case 13:H?O(10):K();break;case 16:O(1);break;case 15:case 14:break;default:return fe}}}function O(fe,Ae=[],je=[]){if(G(fe),Ae.length+je.length>0){let Te=c.getToken();for(;Te!==17;){if(Ae.indexOf(Te)!==-1){N();break}else if(je.indexOf(Te)!==-1)break;Te=N()}}}function x(fe){const Ae=c.getTokenValue();return fe?F(Ae):k(Ae),N(),!0}function L(){switch(c.getToken()){case 11:let fe=0;try{fe=JSON.parse(c.getTokenValue()),typeof fe!="number"&&(O(2),fe=0)}catch(Ae){O(2)}F(fe);break;case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return N(),!0}function z(){return c.getToken()!==10?(O(3,[],[2,5]),!1):(x(!1),c.getToken()===6?($(":"),N(),de()||O(4,[],[2,5])):O(5,[],[2,5]),!0)}function ae(){y(),N();let fe=!1;for(;c.getToken()!==2&&c.getToken()!==17;){if(c.getToken()===5){if(fe||O(4,[],[]),$(","),N(),c.getToken()===2&&ue)break}else fe&&O(6,[],[]);z()||O(4,[],[2,5]),fe=!0}return m(),c.getToken()!==2?O(7,[2],[]):N(),!0}function re(){E(),N();let fe=!1;for(;c.getToken()!==4&&c.getToken()!==17;){if(c.getToken()===5){if(fe||O(4,[],[]),$(","),N(),c.getToken()===4&&ue)break}else fe&&O(6,[],[]);de()||O(4,[],[4,5]),fe=!0}return R(),c.getToken()!==4?O(8,[4],[]):N(),!0}function de(){switch(c.getToken()){case 3:return re();case 1:return ae();case 10:return x(!0);default:return L()}}return N(),c.getToken()===17?a.allowEmptyContent?!0:(O(4,[],[]),!1):de()?(c.getToken()!==17&&O(9,[],[]),!0):(O(4,[],[]),!1)}e.visit=r;function l(t,o){let a=w(t),c=[],n,f=0,y;do switch(y=a.getPosition(),n=a.scan(),n){case 12:case 13:case 17:f!==y&&c.push(t.substring(f,y)),o!==void 0&&c.push(a.getTokenValue().replace(/[^\r\n]/g,o)),f=a.getPosition();break}while(n!==17);return c.join("")}e.stripComments=l;function u(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=u}),define(we[102],Ee([0,1,46]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function S(D,i,P){let I,p,d,s,h;if(i){for(s=i.offset,h=s+i.length,d=s;d>0&&!C(D,d-1);)d--;let f=h;for(;f<D.length&&!C(D,f);)f++;p=D.substring(d,f),I=A(p,P)}else p=D,I=0,d=0,s=0,h=D.length;const v=w(P,D);let g=!1,_=0,r;P.insertSpaces?r=T(" ",P.tabSize||4):r="	";const l=b.createScanner(p,!1);let u=!1;function t(){return v+T(r,I+_)}function o(){let f=l.scan();for(g=!1;f===15||f===14;)g=g||f===14,f=l.scan();return u=f===16||l.getTokenError()!==0,f}const a=[];function c(f,y,k){!u&&y<h&&k>s&&D.substring(y,k)!==f&&a.push({offset:y,length:k-y,content:f})}let n=o();if(n!==17){const f=l.getTokenOffset()+d,y=T(r,I);c(y,d,f)}for(;n!==17;){let f=l.getTokenOffset()+l.getTokenLength()+d,y=o(),k="";for(;!g&&(y===12||y===13);){const E=l.getTokenOffset()+d;c(" ",f,E),f=l.getTokenOffset()+l.getTokenLength()+d,k=y===12?t():"",y=o()}if(y===2)n!==1&&(_--,k=t());else if(y===4)n!==3&&(_--,k=t());else{switch(n){case 3:case 1:_++,k=t();break;case 5:case 12:k=t();break;case 13:g?k=t():k=" ";break;case 6:k=" ";break;case 10:if(y===6){k="";break}case 7:case 8:case 9:case 11:case 2:case 4:y===12||y===13?k=" ":y!==5&&y!==17&&(u=!0);break;case 16:u=!0;break}g&&(y===12||y===13)&&(k=t())}const m=l.getTokenOffset()+d;c(k,f,m),n=y}return a}e.format=S;function T(D,i){let P="";for(let I=0;I<i;I++)P+=D;return P}function A(D,i){let P=0,I=0;const p=i.tabSize||4;for(;P<D.length;){const d=D.charAt(P);if(d===" ")I++;else if(d==="	")I+=p;else break;P++}return Math.floor(I/p)}function w(D,i){for(let P=0;P<i.length;P++){const I=i.charAt(P);if(I==="\r")return P+1<i.length&&i.charAt(P+1)===`
`?`\r
`:"\r";if(I===`
`)return`
`}return D&&D.eol||`
`}e.getEOL=w;function C(D,i){return`\r
`.indexOf(D.charAt(i))!==-1}e.isEOL=C}),define(we[103],Ee([0,1,46,102,11]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function A(P,I,p){return w(P,I,void 0,p)}e.removeProperty=A;function w(P,I,p,d,s){const h=I.slice(),v=[],g=b.parseTree(P,v);let _,r;for(;h.length>0&&(r=h.pop(),_=b.findNodeAtLocation(g,h),_===void 0&&p!==void 0);)typeof r=="string"?p={[r]:p}:p=[p];if(_)if(_.type==="object"&&typeof r=="string"&&Array.isArray(_.children)){const l=b.findNodeAtLocation(_,[r]);if(l!==void 0)if(p===void 0){if(!l.parent)throw new Error("Malformed AST");const u=_.children.indexOf(l.parent);let t,o=l.parent.offset+l.parent.length;if(u>0){const a=_.children[u-1];t=a.offset+a.length}else t=_.offset+1,_.children.length>1&&(o=_.children[1].offset);return C(P,{offset:t,length:o-t,content:""},d)}else return C(P,{offset:l.offset,length:l.length,content:JSON.stringify(p)},d);else{if(p===void 0)return[];const u=`${JSON.stringify(r)}: ${JSON.stringify(p)}`,t=s?s(_.children.map(a=>a.children[0].value)):_.children.length;let o;if(t>0){const a=_.children[t-1];o={offset:a.offset+a.length,length:0,content:","+u}}else _.children.length===0?o={offset:_.offset+1,length:0,content:u}:o={offset:_.offset+1,length:0,content:u+","};return C(P,o,d)}}else if(_.type==="array"&&typeof r=="number"&&Array.isArray(_.children))if(p!==void 0){const l=`${JSON.stringify(p)}`;let u;if(_.children.length===0||r===0)u={offset:_.offset+1,length:0,content:_.children.length===0?l:l+","};else{const t=r===-1||r>_.children.length?_.children.length:r,o=_.children[t-1];u={offset:o.offset+o.length,length:0,content:","+l}}return C(P,u,d)}else{const l=r,u=_.children[l];let t;if(_.children.length===1)t={offset:_.offset+1,length:_.length-2,content:""};else if(_.children.length-1===l){const o=_.children[l-1],a=o.offset+o.length,c=_.offset+_.length;t={offset:a,length:c-2-a,content:""}}else t={offset:u.offset,length:_.children[l+1].offset-u.offset,content:""};return C(P,t,d)}else throw new Error(`Can not add ${typeof r!="number"?"index":"property"} to parent of type ${_.type}`);else{if(p===void 0)throw new Error("Can not delete in empty document");return C(P,{offset:g?g.offset:0,length:g?g.length:0,content:JSON.stringify(p)},d)}}e.setProperty=w;function C(P,I,p){let d=D(P,I),s=I.offset,h=I.offset+I.content.length;if(I.length===0||I.content.length===0){for(;s>0&&!S.isEOL(d,s-1);)s--;for(;h<d.length&&!S.isEOL(d,h);)h++}const v=S.format(d,{offset:s,length:h-s},p);for(let _=v.length-1;_>=0;_--){const r=v[_];d=D(d,r),s=Math.min(s,r.offset),h=Math.max(h,r.offset+r.length),h+=r.content.length-r.length}const g=P.length-(d.length-h)-s;return[{offset:s,length:g,content:d.substring(s,h)}]}e.withFormatting=C;function D(P,I){return P.substring(0,I.offset)+I.content+P.substring(I.offset+I.length)}e.applyEdit=D;function i(P,I){let p=T.mergeSort(I,(s,h)=>{const v=s.offset-h.offset;return v===0?s.length-h.length:v}),d=P.length;for(let s=p.length-1;s>=0;s--){let h=p[s];if(h.offset+h.length<=d)P=D(P,h);else throw new Error("Overlapping edit");d=h.offset}return P}e.applyEdits=i}),define(we[104],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class b{constructor(T){this.executor=T,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(T){this._error=T}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(T){return new b(()=>T(this.getValue()))}}e.Lazy=b}),define(we[6],Ee([0,1,52,54]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const T=!1;let A=null;function w(r){A=r}if(e.setDisposableTracker=w,T){const r="__is_disposable_tracked__";A=new class{trackDisposable(l){const u=new Error("Potentially leaked disposable").stack;setTimeout(()=>{l[r]||console.log(u)},3e3)}markTracked(l){if(l&&l!==h.None)try{l[r]=!0}catch(u){}}}}function C(r){!A||A.markTracked(r)}function D(r){return A&&A.trackDisposable(r),r}e.trackDisposable=D;class i extends Error{constructor(l){super(`Encountered errors while disposing of store. Errors: [${l.join(", ")}]`);this.errors=l}}e.MultiDisposeError=i;function P(r){return typeof r.dispose=="function"&&r.dispose.length===0}e.isDisposable=P;function I(r){if(S.Iterable.is(r)){let l=[];for(const u of r)if(u){C(u);try{u.dispose()}catch(t){l.push(t)}}if(l.length===1)throw l[0];if(l.length>1)throw new i(l);return Array.isArray(r)?[]:r}else if(r)return C(r),r.dispose(),r}e.dispose=I;function p(...r){return r.forEach(C),d(()=>I(r))}e.combinedDisposable=p;function d(r){const l=D({dispose:()=>{C(l),r()}});return l}e.toDisposable=d;class s{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(C(this),this._isDisposed=!0,this.clear())}clear(){try{I(this._toDispose.values())}finally{this._toDispose.clear()}}add(l){if(!l)return l;if(l===this)throw new Error("Cannot register a disposable on itself!");return C(l),this._isDisposed?s.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(l),l}}e.DisposableStore=s,s.DISABLE_DISPOSED_WARNING=!1;class h{constructor(){this._store=new s,D(this)}dispose(){C(this),this._store.dispose()}_register(l){if(l===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(l)}}e.Disposable=h,h.None=Object.freeze({dispose(){}});class v{constructor(){this._isDisposed=!1,D(this)}get value(){return this._isDisposed?void 0:this._value}set value(l){var u;this._isDisposed||l===this._value||((u=this._value)===null||u===void 0||u.dispose(),l&&C(l),this._value=l)}clear(){this.value=void 0}dispose(){var l;this._isDisposed=!0,C(this),(l=this._value)===null||l===void 0||l.dispose(),this._value=void 0}}e.MutableDisposable=v;class g{constructor(){this.references=new Map}acquire(l,...u){let t=this.references.get(l);t||(t={counter:0,object:this.createReferencedObject(l,...u)},this.references.set(l,t));const{object:o}=t,a=b.once(()=>{--t.counter==0&&(this.destroyReferencedObject(l,t.object),this.references.delete(l))});return t.counter++,{object:o,dispose:a}}}e.ReferenceCollection=g;class _{constructor(l){this.object=l}dispose(){}}e.ImmortalReference=_}),define(we[47],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class b{constructor(A){this.element=A,this.next=b.Undefined,this.prev=b.Undefined}}b.Undefined=new b(void 0);class S{constructor(){this._first=b.Undefined,this._last=b.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===b.Undefined}clear(){this._first=b.Undefined,this._last=b.Undefined,this._size=0}unshift(A){return this._insert(A,!1)}push(A){return this._insert(A,!0)}_insert(A,w){const C=new b(A);if(this._first===b.Undefined)this._first=C,this._last=C;else if(w){const i=this._last;this._last=C,C.prev=i,i.next=C}else{const i=this._first;this._first=C,C.next=i,i.prev=C}this._size+=1;let D=!1;return()=>{D||(D=!0,this._remove(C))}}shift(){if(this._first!==b.Undefined){const A=this._first.element;return this._remove(this._first),A}}pop(){if(this._last!==b.Undefined){const A=this._last.element;return this._remove(this._last),A}}_remove(A){if(A.prev!==b.Undefined&&A.next!==b.Undefined){const w=A.prev;w.next=A.next,A.next.prev=w}else A.prev===b.Undefined&&A.next===b.Undefined?(this._first=b.Undefined,this._last=b.Undefined):A.next===b.Undefined?(this._last=this._last.prev,this._last.next=b.Undefined):A.prev===b.Undefined&&(this._first=this._first.next,this._first.prev=b.Undefined);this._size-=1}*[Symbol.iterator](){let A=this._first;for(;A!==b.Undefined;)yield A.element,A=A.next}}e.LinkedList=S}),function(oe,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(oe=typeof globalThis!="undefined"?globalThis:oe||self,oe.marked=e())}(this,function(){"use strict";function oe(B,Z){for(var ce=0;ce<Z.length;ce++){var j=Z[ce];j.enumerable=j.enumerable||!1,j.configurable=!0,"value"in j&&(j.writable=!0),Object.defineProperty(B,j.key,j)}}function e(B,Z,ce){return Z&&oe(B.prototype,Z),ce&&oe(B,ce),B}function b(B,Z){if(!!B){if(typeof B=="string")return S(B,Z);var ce=Object.prototype.toString.call(B).slice(8,-1);if(ce==="Object"&&B.constructor&&(ce=B.constructor.name),ce==="Map"||ce==="Set")return Array.from(B);if(ce==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ce))return S(B,Z)}}function S(B,Z){(Z==null||Z>B.length)&&(Z=B.length);for(var ce=0,j=new Array(Z);ce<Z;ce++)j[ce]=B[ce];return j}function T(B,Z){var ce;if(typeof Symbol=="undefined"||B[Symbol.iterator]==null){if(Array.isArray(B)||(ce=b(B))||Z&&B&&typeof B.length=="number"){ce&&(B=ce);var j=0;return function(){return j>=B.length?{done:!0}:{done:!1,value:B[j++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return ce=B[Symbol.iterator](),ce.next.bind(ce)}function A(B){var Z={exports:{}};return B(Z,Z.exports),Z.exports}var w=A(function(B){function Z(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function ce(j){B.exports.defaults=j}B.exports={defaults:Z(),getDefaults:Z,changeDefaults:ce}}),C=/[&<>"']/,D=/[&<>"']/g,i=/[<>"']|&(?!#?\w+;)/,P=/[<>"']|&(?!#?\w+;)/g,I={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},p=function(Z){return I[Z]};function d(B,Z){if(Z){if(C.test(B))return B.replace(D,p)}else if(i.test(B))return B.replace(P,p);return B}var s=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function h(B){return B.replace(s,function(Z,ce){return ce=ce.toLowerCase(),ce==="colon"?":":ce.charAt(0)==="#"?ce.charAt(1)==="x"?String.fromCharCode(parseInt(ce.substring(2),16)):String.fromCharCode(+ce.substring(1)):""})}var v=/(^|[^\[])\^/g;function g(B,Z){B=B.source||B,Z=Z||"";var ce={replace:function(Y,le){return le=le.source||le,le=le.replace(v,"$1"),B=B.replace(Y,le),ce},getRegex:function(){return new RegExp(B,Z)}};return ce}var _=/[^\w:]/g,r=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function l(B,Z,ce){if(B){var j;try{j=decodeURIComponent(h(ce)).replace(_,"").toLowerCase()}catch(Y){return null}if(j.indexOf("javascript:")===0||j.indexOf("vbscript:")===0||j.indexOf("data:")===0)return null}Z&&!r.test(ce)&&(ce=c(Z,ce));try{ce=encodeURI(ce).replace(/%25/g,"%")}catch(Y){return null}return ce}var u={},t=/^[^:]+:\/*[^/]*$/,o=/^([^:]+:)[\s\S]*$/,a=/^([^:]+:\/*[^/]*)[\s\S]*$/;function c(B,Z){u[" "+B]||(t.test(B)?u[" "+B]=B+"/":u[" "+B]=k(B,"/",!0)),B=u[" "+B];var ce=B.indexOf(":")===-1;return Z.substring(0,2)==="//"?ce?Z:B.replace(o,"$1")+Z:Z.charAt(0)==="/"?ce?Z:B.replace(a,"$1")+Z:B+Z}var n={exec:function(){}};function f(B){for(var Z=1,ce,j;Z<arguments.length;Z++){ce=arguments[Z];for(j in ce)Object.prototype.hasOwnProperty.call(ce,j)&&(B[j]=ce[j])}return B}function y(B,Z){var ce=B.replace(/\|/g,function(le,he,be){for(var He=!1,Ne=he;--Ne>=0&&be[Ne]==="\\";)He=!He;return He?"|":" |"}),j=ce.split(/ \|/),Y=0;if(j.length>Z)j.splice(Z);else for(;j.length<Z;)j.push("");for(;Y<j.length;Y++)j[Y]=j[Y].trim().replace(/\\\|/g,"|");return j}function k(B,Z,ce){var j=B.length;if(j===0)return"";for(var Y=0;Y<j;){var le=B.charAt(j-Y-1);if(le===Z&&!ce)Y++;else if(le!==Z&&ce)Y++;else break}return B.substr(0,j-Y)}function m(B,Z){if(B.indexOf(Z[1])===-1)return-1;for(var ce=B.length,j=0,Y=0;Y<ce;Y++)if(B[Y]==="\\")Y++;else if(B[Y]===Z[0])j++;else if(B[Y]===Z[1]&&(j--,j<0))return Y;return-1}function E(B){B&&B.sanitize&&!B.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function R(B,Z){if(Z<1)return"";for(var ce="";Z>1;)Z&1&&(ce+=B),Z>>=1,B+=B;return ce+B}var F={escape:d,unescape:h,edit:g,cleanUrl:l,resolveUrl:c,noopTest:n,merge:f,splitCells:y,rtrim:k,findClosingBracket:m,checkSanitizeDeprecation:E,repeatString:R},$=w.defaults,K=F.rtrim,G=F.splitCells,H=F.escape,ue=F.findClosingBracket;function N(B,Z,ce){var j=Z.href,Y=Z.title?H(Z.title):null,le=B[1].replace(/\\([\[\]])/g,"$1");return B[0].charAt(0)!=="!"?{type:"link",raw:ce,href:j,title:Y,text:le}:{type:"image",raw:ce,href:j,title:Y,text:H(le)}}function O(B,Z){var ce=B.match(/^(\s+)(?:```)/);if(ce===null)return Z;var j=ce[1];return Z.split(`
`).map(function(Y){var le=Y.match(/^\s+/);if(le===null)return Y;var he=le[0];return he.length>=j.length?Y.slice(j.length):Y}).join(`
`)}var x=function(){function B(ce){this.options=ce||$}var Z=B.prototype;return Z.space=function(j){var Y=this.rules.block.newline.exec(j);if(Y)return Y[0].length>1?{type:"space",raw:Y[0]}:{raw:`
`}},Z.code=function(j){var Y=this.rules.block.code.exec(j);if(Y){var le=Y[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:Y[0],codeBlockStyle:"indented",text:this.options.pedantic?le:K(le,`
`)}}},Z.fences=function(j){var Y=this.rules.block.fences.exec(j);if(Y){var le=Y[0],he=O(le,Y[3]||"");return{type:"code",raw:le,lang:Y[2]?Y[2].trim():Y[2],text:he}}},Z.heading=function(j){var Y=this.rules.block.heading.exec(j);if(Y){var le=Y[2].trim();if(/#$/.test(le)){var he=K(le,"#");(this.options.pedantic||!he||/ $/.test(he))&&(le=he.trim())}return{type:"heading",raw:Y[0],depth:Y[1].length,text:le}}},Z.nptable=function(j){var Y=this.rules.block.nptable.exec(j);if(Y){var le={type:"table",header:G(Y[1].replace(/^ *| *\| *$/g,"")),align:Y[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:Y[3]?Y[3].replace(/\n$/,"").split(`
`):[],raw:Y[0]};if(le.header.length===le.align.length){var he=le.align.length,be;for(be=0;be<he;be++)/^ *-+: *$/.test(le.align[be])?le.align[be]="right":/^ *:-+: *$/.test(le.align[be])?le.align[be]="center":/^ *:-+ *$/.test(le.align[be])?le.align[be]="left":le.align[be]=null;for(he=le.cells.length,be=0;be<he;be++)le.cells[be]=G(le.cells[be],le.header.length);return le}}},Z.hr=function(j){var Y=this.rules.block.hr.exec(j);if(Y)return{type:"hr",raw:Y[0]}},Z.blockquote=function(j){var Y=this.rules.block.blockquote.exec(j);if(Y){var le=Y[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:Y[0],text:le}}},Z.list=function(j){var Y=this.rules.block.list.exec(j);if(Y){var le=Y[0],he=Y[2],be=he.length>1,He={type:"list",raw:le,ordered:be,start:be?+he.slice(0,-1):"",loose:!1,items:[]},Ne=Y[0].match(this.rules.block.item),ze=!1,Je,Xe,pe,Se,se,q,Re,Le,Ye=Ne.length;pe=this.rules.block.listItemStart.exec(Ne[0]);for(var Ie=0;Ie<Ye;Ie++){if(Je=Ne[Ie],le=Je,Ie!==Ye-1){if(Se=this.rules.block.listItemStart.exec(Ne[Ie+1]),this.options.pedantic?Se[1].length>pe[1].length:Se[1].length>pe[0].length||Se[1].length>3){Ne.splice(Ie,2,Ne[Ie]+`
`+Ne[Ie+1]),Ie--,Ye--;continue}else(!this.options.pedantic||this.options.smartLists?Se[2][Se[2].length-1]!==he[he.length-1]:be===(Se[2].length===1))&&(se=Ne.slice(Ie+1).join(`
`),He.raw=He.raw.substring(0,He.raw.length-se.length),Ie=Ye-1);pe=Se}Xe=Je.length,Je=Je.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Je.indexOf(`
 `)&&(Xe-=Je.length,Je=this.options.pedantic?Je.replace(/^ {1,4}/gm,""):Je.replace(new RegExp("^ {1,"+Xe+"}","gm"),"")),q=ze||/\n\n(?!\s*$)/.test(Je),Ie!==Ye-1&&(ze=Je.charAt(Je.length-1)===`
`,q||(q=ze)),q&&(He.loose=!0),this.options.gfm&&(Re=/^\[[ xX]\] /.test(Je),Le=void 0,Re&&(Le=Je[1]!==" ",Je=Je.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:le,task:Re,checked:Le,loose:q,text:Je})}return He}},Z.html=function(j){var Y=this.rules.block.html.exec(j);if(Y)return{type:this.options.sanitize?"paragraph":"html",raw:Y[0],pre:!this.options.sanitizer&&(Y[1]==="pre"||Y[1]==="script"||Y[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(Y[0]):H(Y[0]):Y[0]}},Z.def=function(j){var Y=this.rules.block.def.exec(j);if(Y){Y[3]&&(Y[3]=Y[3].substring(1,Y[3].length-1));var le=Y[1].toLowerCase().replace(/\s+/g," ");return{tag:le,raw:Y[0],href:Y[2],title:Y[3]}}},Z.table=function(j){var Y=this.rules.block.table.exec(j);if(Y){var le={type:"table",header:G(Y[1].replace(/^ *| *\| *$/g,"")),align:Y[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:Y[3]?Y[3].replace(/\n$/,"").split(`
`):[]};if(le.header.length===le.align.length){le.raw=Y[0];var he=le.align.length,be;for(be=0;be<he;be++)/^ *-+: *$/.test(le.align[be])?le.align[be]="right":/^ *:-+: *$/.test(le.align[be])?le.align[be]="center":/^ *:-+ *$/.test(le.align[be])?le.align[be]="left":le.align[be]=null;for(he=le.cells.length,be=0;be<he;be++)le.cells[be]=G(le.cells[be].replace(/^ *\| *| *\| *$/g,""),le.header.length);return le}}},Z.lheading=function(j){var Y=this.rules.block.lheading.exec(j);if(Y)return{type:"heading",raw:Y[0],depth:Y[2].charAt(0)==="="?1:2,text:Y[1]}},Z.paragraph=function(j){var Y=this.rules.block.paragraph.exec(j);if(Y)return{type:"paragraph",raw:Y[0],text:Y[1].charAt(Y[1].length-1)===`
`?Y[1].slice(0,-1):Y[1]}},Z.text=function(j){var Y=this.rules.block.text.exec(j);if(Y)return{type:"text",raw:Y[0],text:Y[0]}},Z.escape=function(j){var Y=this.rules.inline.escape.exec(j);if(Y)return{type:"escape",raw:Y[0],text:H(Y[1])}},Z.tag=function(j,Y,le){var he=this.rules.inline.tag.exec(j);if(he)return!Y&&/^<a /i.test(he[0])?Y=!0:Y&&/^<\/a>/i.test(he[0])&&(Y=!1),!le&&/^<(pre|code|kbd|script)(\s|>)/i.test(he[0])?le=!0:le&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(he[0])&&(le=!1),{type:this.options.sanitize?"text":"html",raw:he[0],inLink:Y,inRawBlock:le,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(he[0]):H(he[0]):he[0]}},Z.link=function(j){var Y=this.rules.inline.link.exec(j);if(Y){var le=Y[2].trim();if(!this.options.pedantic&&/^</.test(le)){if(!/>$/.test(le))return;var he=K(le.slice(0,-1),"\\");if((le.length-he.length)%2==0)return}else{var be=ue(Y[2],"()");if(be>-1){var He=Y[0].indexOf("!")===0?5:4,Ne=He+Y[1].length+be;Y[2]=Y[2].substring(0,be),Y[0]=Y[0].substring(0,Ne).trim(),Y[3]=""}}var ze=Y[2],Je="";if(this.options.pedantic){var Xe=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(ze);Xe&&(ze=Xe[1],Je=Xe[3])}else Je=Y[3]?Y[3].slice(1,-1):"";return ze=ze.trim(),/^</.test(ze)&&(this.options.pedantic&&!/>$/.test(le)?ze=ze.slice(1):ze=ze.slice(1,-1)),N(Y,{href:ze&&ze.replace(this.rules.inline._escapes,"$1"),title:Je&&Je.replace(this.rules.inline._escapes,"$1")},Y[0])}},Z.reflink=function(j,Y){var le;if((le=this.rules.inline.reflink.exec(j))||(le=this.rules.inline.nolink.exec(j))){var he=(le[2]||le[1]).replace(/\s+/g," ");if(he=Y[he.toLowerCase()],!he||!he.href){var be=le[0].charAt(0);return{type:"text",raw:be,text:be}}return N(le,he,le[0])}},Z.emStrong=function(j,Y,le){le===void 0&&(le="");var he=this.rules.inline.emStrong.lDelim.exec(j);if(!!he&&!(he[3]&&le.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var be=he[1]||he[2]||"";if(!be||be&&(le===""||this.rules.inline.punctuation.exec(le))){var He=he[0].length-1,Ne,ze,Je=He,Xe=0,pe=he[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(pe.lastIndex=0,Y=Y.slice(-1*j.length+He);(he=pe.exec(Y))!=null;)if(Ne=he[1]||he[2]||he[3]||he[4]||he[5]||he[6],!!Ne){if(ze=Ne.length,he[3]||he[4]){Je+=ze;continue}else if((he[5]||he[6])&&He%3&&!((He+ze)%3)){Xe+=ze;continue}if(Je-=ze,!(Je>0)){if(Je+Xe-ze<=0&&!Y.slice(pe.lastIndex).match(pe)&&(ze=Math.min(ze,ze+Je+Xe)),Math.min(He,ze)%2)return{type:"em",raw:j.slice(0,He+he.index+ze+1),text:j.slice(1,He+he.index+ze)};if(Math.min(He,ze)%2==0)return{type:"strong",raw:j.slice(0,He+he.index+ze+1),text:j.slice(2,He+he.index+ze-1)}}}}}},Z.codespan=function(j){var Y=this.rules.inline.code.exec(j);if(Y){var le=Y[2].replace(/\n/g," "),he=/[^ ]/.test(le),be=/^ /.test(le)&&/ $/.test(le);return he&&be&&(le=le.substring(1,le.length-1)),le=H(le,!0),{type:"codespan",raw:Y[0],text:le}}},Z.br=function(j){var Y=this.rules.inline.br.exec(j);if(Y)return{type:"br",raw:Y[0]}},Z.del=function(j){var Y=this.rules.inline.del.exec(j);if(Y)return{type:"del",raw:Y[0],text:Y[2]}},Z.autolink=function(j,Y){var le=this.rules.inline.autolink.exec(j);if(le){var he,be;return le[2]==="@"?(he=H(this.options.mangle?Y(le[1]):le[1]),be="mailto:"+he):(he=H(le[1]),be=he),{type:"link",raw:le[0],text:he,href:be,tokens:[{type:"text",raw:he,text:he}]}}},Z.url=function(j,Y){var le;if(le=this.rules.inline.url.exec(j)){var he,be;if(le[2]==="@")he=H(this.options.mangle?Y(le[0]):le[0]),be="mailto:"+he;else{var He;do He=le[0],le[0]=this.rules.inline._backpedal.exec(le[0])[0];while(He!==le[0]);he=H(le[0]),le[1]==="www."?be="http://"+he:be=he}return{type:"link",raw:le[0],text:he,href:be,tokens:[{type:"text",raw:he,text:he}]}}},Z.inlineText=function(j,Y,le){var he=this.rules.inline.text.exec(j);if(he){var be;return Y?be=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(he[0]):H(he[0]):he[0]:be=H(this.options.smartypants?le(he[0]):he[0]),{type:"text",raw:he[0],text:be}}},B}(),L=F.noopTest,z=F.edit,ae=F.merge,re={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:L,table:L,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};re._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,re._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,re.def=z(re.def).replace("label",re._label).replace("title",re._title).getRegex(),re.bullet=/(?:[*+-]|\d{1,9}[.)])/,re.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,re.item=z(re.item,"gm").replace(/bull/g,re.bullet).getRegex(),re.listItemStart=z(/^( *)(bull)/).replace("bull",re.bullet).getRegex(),re.list=z(re.list).replace(/bull/g,re.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+re.def.source+")").getRegex(),re._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",re._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,re.html=z(re.html,"i").replace("comment",re._comment).replace("tag",re._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),re.paragraph=z(re._paragraph).replace("hr",re.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",re._tag).getRegex(),re.blockquote=z(re.blockquote).replace("paragraph",re.paragraph).getRegex(),re.normal=ae({},re),re.gfm=ae({},re.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),re.gfm.nptable=z(re.gfm.nptable).replace("hr",re.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",re._tag).getRegex(),re.gfm.table=z(re.gfm.table).replace("hr",re.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",re._tag).getRegex(),re.pedantic=ae({},re.normal,{html:z(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",re._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:L,paragraph:z(re.normal._paragraph).replace("hr",re.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",re.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var de={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:L,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:L,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};de._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",de.punctuation=z(de.punctuation).replace(/punctuation/g,de._punctuation).getRegex(),de.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,de.escapedEmSt=/\\\*|\\_/g,de._comment=z(re._comment).replace("(?:-->|$)","-->").getRegex(),de.emStrong.lDelim=z(de.emStrong.lDelim).replace(/punct/g,de._punctuation).getRegex(),de.emStrong.rDelimAst=z(de.emStrong.rDelimAst,"g").replace(/punct/g,de._punctuation).getRegex(),de.emStrong.rDelimUnd=z(de.emStrong.rDelimUnd,"g").replace(/punct/g,de._punctuation).getRegex(),de._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,de._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,de._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,de.autolink=z(de.autolink).replace("scheme",de._scheme).replace("email",de._email).getRegex(),de._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,de.tag=z(de.tag).replace("comment",de._comment).replace("attribute",de._attribute).getRegex(),de._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,de._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,de._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,de.link=z(de.link).replace("label",de._label).replace("href",de._href).replace("title",de._title).getRegex(),de.reflink=z(de.reflink).replace("label",de._label).getRegex(),de.reflinkSearch=z(de.reflinkSearch,"g").replace("reflink",de.reflink).replace("nolink",de.nolink).getRegex(),de.normal=ae({},de),de.pedantic=ae({},de.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:z(/^!?\[(label)\]\((.*?)\)/).replace("label",de._label).getRegex(),reflink:z(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",de._label).getRegex()}),de.gfm=ae({},de.normal,{escape:z(de.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),de.gfm.url=z(de.gfm.url,"i").replace("email",de.gfm._extended_email).getRegex(),de.breaks=ae({},de.gfm,{br:z(de.br).replace("{2,}","*").getRegex(),text:z(de.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var fe={block:re,inline:de},Ae=w.defaults,je=fe.block,Te=fe.inline,xe=F.repeatString;function W(B){return B.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function J(B){var Z="",ce,j,Y=B.length;for(ce=0;ce<Y;ce++)j=B.charCodeAt(ce),Math.random()>.5&&(j="x"+j.toString(16)),Z+="&#"+j+";";return Z}var ee=function(){function B(ce){this.tokens=[],this.tokens.links=Object.create(null),this.options=ce||Ae,this.options.tokenizer=this.options.tokenizer||new x,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var j={block:je.normal,inline:Te.normal};this.options.pedantic?(j.block=je.pedantic,j.inline=Te.pedantic):this.options.gfm&&(j.block=je.gfm,this.options.breaks?j.inline=Te.breaks:j.inline=Te.gfm),this.tokenizer.rules=j}B.lex=function(j,Y){var le=new B(Y);return le.lex(j)},B.lexInline=function(j,Y){var le=new B(Y);return le.inlineTokens(j)};var Z=B.prototype;return Z.lex=function(j){return j=j.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(j,this.tokens,!0),this.inline(this.tokens),this.tokens},Z.blockTokens=function(j,Y,le){Y===void 0&&(Y=[]),le===void 0&&(le=!0),this.options.pedantic&&(j=j.replace(/^ +$/gm,""));for(var he,be,He,Ne;j;){if(he=this.tokenizer.space(j)){j=j.substring(he.raw.length),he.type&&Y.push(he);continue}if(he=this.tokenizer.code(j)){j=j.substring(he.raw.length),Ne=Y[Y.length-1],Ne&&Ne.type==="paragraph"?(Ne.raw+=`
`+he.raw,Ne.text+=`
`+he.text):Y.push(he);continue}if(he=this.tokenizer.fences(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.heading(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.nptable(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.hr(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.blockquote(j)){j=j.substring(he.raw.length),he.tokens=this.blockTokens(he.text,[],le),Y.push(he);continue}if(he=this.tokenizer.list(j)){for(j=j.substring(he.raw.length),He=he.items.length,be=0;be<He;be++)he.items[be].tokens=this.blockTokens(he.items[be].text,[],!1);Y.push(he);continue}if(he=this.tokenizer.html(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(le&&(he=this.tokenizer.def(j))){j=j.substring(he.raw.length),this.tokens.links[he.tag]||(this.tokens.links[he.tag]={href:he.href,title:he.title});continue}if(he=this.tokenizer.table(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.lheading(j)){j=j.substring(he.raw.length),Y.push(he);continue}if(le&&(he=this.tokenizer.paragraph(j))){j=j.substring(he.raw.length),Y.push(he);continue}if(he=this.tokenizer.text(j)){j=j.substring(he.raw.length),Ne=Y[Y.length-1],Ne&&Ne.type==="text"?(Ne.raw+=`
`+he.raw,Ne.text+=`
`+he.text):Y.push(he);continue}if(j){var ze="Infinite loop on byte: "+j.charCodeAt(0);if(this.options.silent){console.error(ze);break}else throw new Error(ze)}}return Y},Z.inline=function(j){var Y,le,he,be,He,Ne,ze=j.length;for(Y=0;Y<ze;Y++)switch(Ne=j[Y],Ne.type){case"paragraph":case"text":case"heading":{Ne.tokens=[],this.inlineTokens(Ne.text,Ne.tokens);break}case"table":{for(Ne.tokens={header:[],cells:[]},be=Ne.header.length,le=0;le<be;le++)Ne.tokens.header[le]=[],this.inlineTokens(Ne.header[le],Ne.tokens.header[le]);for(be=Ne.cells.length,le=0;le<be;le++)for(He=Ne.cells[le],Ne.tokens.cells[le]=[],he=0;he<He.length;he++)Ne.tokens.cells[le][he]=[],this.inlineTokens(He[he],Ne.tokens.cells[le][he]);break}case"blockquote":{this.inline(Ne.tokens);break}case"list":{for(be=Ne.items.length,le=0;le<be;le++)this.inline(Ne.items[le].tokens);break}}return j},Z.inlineTokens=function(j,Y,le,he){Y===void 0&&(Y=[]),le===void 0&&(le=!1),he===void 0&&(he=!1);var be,He,Ne=j,ze,Je,Xe;if(this.tokens.links){var pe=Object.keys(this.tokens.links);if(pe.length>0)for(;(ze=this.tokenizer.rules.inline.reflinkSearch.exec(Ne))!=null;)pe.includes(ze[0].slice(ze[0].lastIndexOf("[")+1,-1))&&(Ne=Ne.slice(0,ze.index)+"["+xe("a",ze[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(ze=this.tokenizer.rules.inline.blockSkip.exec(Ne))!=null;)Ne=Ne.slice(0,ze.index)+"["+xe("a",ze[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(ze=this.tokenizer.rules.inline.escapedEmSt.exec(Ne))!=null;)Ne=Ne.slice(0,ze.index)+"++"+Ne.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;j;){if(Je||(Xe=""),Je=!1,be=this.tokenizer.escape(j)){j=j.substring(be.raw.length),Y.push(be);continue}if(be=this.tokenizer.tag(j,le,he)){j=j.substring(be.raw.length),le=be.inLink,he=be.inRawBlock;var Se=Y[Y.length-1];Se&&be.type==="text"&&Se.type==="text"?(Se.raw+=be.raw,Se.text+=be.text):Y.push(be);continue}if(be=this.tokenizer.link(j)){j=j.substring(be.raw.length),be.type==="link"&&(be.tokens=this.inlineTokens(be.text,[],!0,he)),Y.push(be);continue}if(be=this.tokenizer.reflink(j,this.tokens.links)){j=j.substring(be.raw.length);var se=Y[Y.length-1];be.type==="link"?(be.tokens=this.inlineTokens(be.text,[],!0,he),Y.push(be)):se&&be.type==="text"&&se.type==="text"?(se.raw+=be.raw,se.text+=be.text):Y.push(be);continue}if(be=this.tokenizer.emStrong(j,Ne,Xe)){j=j.substring(be.raw.length),be.tokens=this.inlineTokens(be.text,[],le,he),Y.push(be);continue}if(be=this.tokenizer.codespan(j)){j=j.substring(be.raw.length),Y.push(be);continue}if(be=this.tokenizer.br(j)){j=j.substring(be.raw.length),Y.push(be);continue}if(be=this.tokenizer.del(j)){j=j.substring(be.raw.length),be.tokens=this.inlineTokens(be.text,[],le,he),Y.push(be);continue}if(be=this.tokenizer.autolink(j,J)){j=j.substring(be.raw.length),Y.push(be);continue}if(!le&&(be=this.tokenizer.url(j,J))){j=j.substring(be.raw.length),Y.push(be);continue}if(be=this.tokenizer.inlineText(j,he,W)){j=j.substring(be.raw.length),be.raw.slice(-1)!=="_"&&(Xe=be.raw.slice(-1)),Je=!0,He=Y[Y.length-1],He&&He.type==="text"?(He.raw+=be.raw,He.text+=be.text):Y.push(be);continue}if(j){var q="Infinite loop on byte: "+j.charCodeAt(0);if(this.options.silent){console.error(q);break}else throw new Error(q)}}return Y},e(B,null,[{key:"rules",get:function(){return{block:je,inline:Te}}}]),B}(),te=w.defaults,me=F.cleanUrl,Ce=F.escape,Oe=function(){function B(ce){this.options=ce||te}var Z=B.prototype;return Z.code=function(j,Y,le){var he=(Y||"").match(/\S*/)[0];if(this.options.highlight){var be=this.options.highlight(j,he);be!=null&&be!==j&&(le=!0,j=be)}return j=j.replace(/\n$/,"")+`
`,he?'<pre><code class="'+this.options.langPrefix+Ce(he,!0)+'">'+(le?j:Ce(j,!0))+`</code></pre>
`:"<pre><code>"+(le?j:Ce(j,!0))+`</code></pre>
`},Z.blockquote=function(j){return`<blockquote>
`+j+`</blockquote>
`},Z.html=function(j){return j},Z.heading=function(j,Y,le,he){return this.options.headerIds?"<h"+Y+' id="'+this.options.headerPrefix+he.slug(le)+'">'+j+"</h"+Y+`>
`:"<h"+Y+">"+j+"</h"+Y+`>
`},Z.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Z.list=function(j,Y,le){var he=Y?"ol":"ul",be=Y&&le!==1?' start="'+le+'"':"";return"<"+he+be+`>
`+j+"</"+he+`>
`},Z.listitem=function(j){return"<li>"+j+`</li>
`},Z.checkbox=function(j){return"<input "+(j?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Z.paragraph=function(j){return"<p>"+j+`</p>
`},Z.table=function(j,Y){return Y&&(Y="<tbody>"+Y+"</tbody>"),`<table>
<thead>
`+j+`</thead>
`+Y+`</table>
`},Z.tablerow=function(j){return`<tr>
`+j+`</tr>
`},Z.tablecell=function(j,Y){var le=Y.header?"th":"td",he=Y.align?"<"+le+' align="'+Y.align+'">':"<"+le+">";return he+j+"</"+le+`>
`},Z.strong=function(j){return"<strong>"+j+"</strong>"},Z.em=function(j){return"<em>"+j+"</em>"},Z.codespan=function(j){return"<code>"+j+"</code>"},Z.br=function(){return this.options.xhtml?"<br/>":"<br>"},Z.del=function(j){return"<del>"+j+"</del>"},Z.link=function(j,Y,le){if(j=me(this.options.sanitize,this.options.baseUrl,j),j===null)return le;var he='<a href="'+Ce(j)+'"';return Y&&(he+=' title="'+Y+'"'),he+=">"+le+"</a>",he},Z.image=function(j,Y,le){if(j=me(this.options.sanitize,this.options.baseUrl,j),j===null)return le;var he='<img src="'+j+'" alt="'+le+'"';return Y&&(he+=' title="'+Y+'"'),he+=this.options.xhtml?"/>":">",he},Z.text=function(j){return j},B}(),ge=function(){function B(){}var Z=B.prototype;return Z.strong=function(j){return j},Z.em=function(j){return j},Z.codespan=function(j){return j},Z.del=function(j){return j},Z.html=function(j){return j},Z.text=function(j){return j},Z.link=function(j,Y,le){return""+le},Z.image=function(j,Y,le){return""+le},Z.br=function(){return""},B}(),ke=function(){function B(){this.seen={}}var Z=B.prototype;return Z.serialize=function(j){return j.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Z.getNextSafeSlug=function(j,Y){var le=j,he=0;if(this.seen.hasOwnProperty(le)){he=this.seen[j];do he++,le=j+"-"+he;while(this.seen.hasOwnProperty(le))}return Y||(this.seen[j]=he,this.seen[le]=0),le},Z.slug=function(j,Y){Y===void 0&&(Y={});var le=this.serialize(j);return this.getNextSafeSlug(le,Y.dryrun)},B}(),Pe=w.defaults,$e=F.unescape,_e=function(){function B(ce){this.options=ce||Pe,this.options.renderer=this.options.renderer||new Oe,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ge,this.slugger=new ke}B.parse=function(j,Y){var le=new B(Y);return le.parse(j)},B.parseInline=function(j,Y){var le=new B(Y);return le.parseInline(j)};var Z=B.prototype;return Z.parse=function(j,Y){Y===void 0&&(Y=!0);var le="",he,be,He,Ne,ze,Je,Xe,pe,Se,se,q,Re,Le,Ye,Ie,st,rt,qe,ut=j.length;for(he=0;he<ut;he++)switch(se=j[he],se.type){case"space":continue;case"hr":{le+=this.renderer.hr();continue}case"heading":{le+=this.renderer.heading(this.parseInline(se.tokens),se.depth,$e(this.parseInline(se.tokens,this.textRenderer)),this.slugger);continue}case"code":{le+=this.renderer.code(se.text,se.lang,se.escaped);continue}case"table":{for(pe="",Xe="",Ne=se.header.length,be=0;be<Ne;be++)Xe+=this.renderer.tablecell(this.parseInline(se.tokens.header[be]),{header:!0,align:se.align[be]});for(pe+=this.renderer.tablerow(Xe),Se="",Ne=se.cells.length,be=0;be<Ne;be++){for(Je=se.tokens.cells[be],Xe="",ze=Je.length,He=0;He<ze;He++)Xe+=this.renderer.tablecell(this.parseInline(Je[He]),{header:!1,align:se.align[He]});Se+=this.renderer.tablerow(Xe)}le+=this.renderer.table(pe,Se);continue}case"blockquote":{Se=this.parse(se.tokens),le+=this.renderer.blockquote(Se);continue}case"list":{for(q=se.ordered,Re=se.start,Le=se.loose,Ne=se.items.length,Se="",be=0;be<Ne;be++)Ie=se.items[be],st=Ie.checked,rt=Ie.task,Ye="",Ie.task&&(qe=this.renderer.checkbox(st),Le?Ie.tokens.length>0&&Ie.tokens[0].type==="text"?(Ie.tokens[0].text=qe+" "+Ie.tokens[0].text,Ie.tokens[0].tokens&&Ie.tokens[0].tokens.length>0&&Ie.tokens[0].tokens[0].type==="text"&&(Ie.tokens[0].tokens[0].text=qe+" "+Ie.tokens[0].tokens[0].text)):Ie.tokens.unshift({type:"text",text:qe}):Ye+=qe),Ye+=this.parse(Ie.tokens,Le),Se+=this.renderer.listitem(Ye,rt,st);le+=this.renderer.list(Se,q,Re);continue}case"html":{le+=this.renderer.html(se.text);continue}case"paragraph":{le+=this.renderer.paragraph(this.parseInline(se.tokens));continue}case"text":{for(Se=se.tokens?this.parseInline(se.tokens):se.text;he+1<ut&&j[he+1].type==="text";)se=j[++he],Se+=`
`+(se.tokens?this.parseInline(se.tokens):se.text);le+=Y?this.renderer.paragraph(Se):Se;continue}default:{var dt='Token with "'+se.type+'" type was not found.';if(this.options.silent){console.error(dt);return}else throw new Error(dt)}}return le},Z.parseInline=function(j,Y){Y=Y||this.renderer;var le="",he,be,He=j.length;for(he=0;he<He;he++)switch(be=j[he],be.type){case"escape":{le+=Y.text(be.text);break}case"html":{le+=Y.html(be.text);break}case"link":{le+=Y.link(be.href,be.title,this.parseInline(be.tokens,Y));break}case"image":{le+=Y.image(be.href,be.title,be.text);break}case"strong":{le+=Y.strong(this.parseInline(be.tokens,Y));break}case"em":{le+=Y.em(this.parseInline(be.tokens,Y));break}case"codespan":{le+=Y.codespan(be.text);break}case"br":{le+=Y.br();break}case"del":{le+=Y.del(this.parseInline(be.tokens,Y));break}case"text":{le+=Y.text(be.text);break}default:{var Ne='Token with "'+be.type+'" type was not found.';if(this.options.silent){console.error(Ne);return}else throw new Error(Ne)}}return le},B}(),Ge=F.merge,V=F.checkSanitizeDeprecation,X=F.escape,ve=w.getDefaults,Me=w.changeDefaults,We=w.defaults;function Ue(B,Z,ce){if(typeof B=="undefined"||B===null)throw new Error("marked(): input parameter is undefined or null");if(typeof B!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(B)+", string expected");if(typeof Z=="function"&&(ce=Z,Z=null),Z=Ge({},Ue.defaults,Z||{}),V(Z),ce){var j=Z.highlight,Y;try{Y=ee.lex(B,Z)}catch(He){return ce(He)}var le=function(Ne){var ze;if(!Ne)try{ze=_e.parse(Y,Z)}catch(Je){Ne=Je}return Z.highlight=j,Ne?ce(Ne):ce(null,ze)};if(!j||j.length<3||(delete Z.highlight,!Y.length))return le();var he=0;Ue.walkTokens(Y,function(He){He.type==="code"&&(he++,setTimeout(function(){j(He.text,He.lang,function(Ne,ze){if(Ne)return le(Ne);ze!=null&&ze!==He.text&&(He.text=ze,He.escaped=!0),he--,he===0&&le()})},0))}),he===0&&le();return}try{var be=ee.lex(B,Z);return Z.walkTokens&&Ue.walkTokens(be,Z.walkTokens),_e.parse(be,Z)}catch(He){if(He.message+=`
Please report this to https://github.com/markedjs/marked.`,Z.silent)return"<p>An error occurred:</p><pre>"+X(He.message+"",!0)+"</pre>";throw He}}Ue.options=Ue.setOptions=function(B){return Ge(Ue.defaults,B),Me(Ue.defaults),Ue},Ue.getDefaults=ve,Ue.defaults=We,Ue.use=function(B){var Z=Ge({},B);if(B.renderer&&function(){var j=Ue.defaults.renderer||new Oe,Y=function(be){var He=j[be];j[be]=function(){for(var Ne=arguments.length,ze=new Array(Ne),Je=0;Je<Ne;Je++)ze[Je]=arguments[Je];var Xe=B.renderer[be].apply(j,ze);return Xe===!1&&(Xe=He.apply(j,ze)),Xe}};for(var le in B.renderer)Y(le);Z.renderer=j}(),B.tokenizer&&function(){var j=Ue.defaults.tokenizer||new x,Y=function(be){var He=j[be];j[be]=function(){for(var Ne=arguments.length,ze=new Array(Ne),Je=0;Je<Ne;Je++)ze[Je]=arguments[Je];var Xe=B.tokenizer[be].apply(j,ze);return Xe===!1&&(Xe=He.apply(j,ze)),Xe}};for(var le in B.tokenizer)Y(le);Z.tokenizer=j}(),B.walkTokens){var ce=Ue.defaults.walkTokens;Z.walkTokens=function(j){B.walkTokens(j),ce&&ce(j)}}Ue.setOptions(Z)},Ue.walkTokens=function(B,Z){for(var ce=T(B),j;!(j=ce()).done;){var Y=j.value;switch(Z(Y),Y.type){case"table":{for(var le=T(Y.tokens.header),he;!(he=le()).done;){var be=he.value;Ue.walkTokens(be,Z)}for(var He=T(Y.tokens.cells),Ne;!(Ne=He()).done;)for(var ze=Ne.value,Je=T(ze),Xe;!(Xe=Je()).done;){var pe=Xe.value;Ue.walkTokens(pe,Z)}break}case"list":{Ue.walkTokens(Y.items,Z);break}default:Y.tokens&&Ue.walkTokens(Y.tokens,Z)}}},Ue.parseInline=function(B,Z){if(typeof B=="undefined"||B===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof B!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(B)+", string expected");Z=Ge({},Ue.defaults,Z||{}),V(Z);try{var ce=ee.lexInline(B,Z);return Z.walkTokens&&Ue.walkTokens(ce,Z.walkTokens),_e.parseInline(ce,Z)}catch(j){if(j.message+=`
Please report this to https://github.com/markedjs/marked.`,Z.silent)return"<p>An error occurred:</p><pre>"+X(j.message+"",!0)+"</pre>";throw j}},Ue.Parser=_e,Ue.parser=_e.parse,Ue.Renderer=Oe,Ue.TextRenderer=ge,Ue.Lexer=ee,Ue.lexer=ee.lex,Ue.Tokenizer=x,Ue.Slugger=ke,Ue.parse=Ue;var et=Ue;return et}),define(we[78],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function b(w,C,D){return Math.min(Math.max(w,C),D)}e.clamp=b;function S(w,C){return(C+w%C)%C}e.rot=S;class T{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=T;class A{constructor(){this._n=1,this._val=0}update(C){return this._val=this._val+(C-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=A});"use strict";function rn(oe){const e=[];typeof oe=="number"&&e.push("code/timeOrigin",oe);function b(T){e.push(T,Date.now())}function S(){const T=[];for(let A=0;A<e.length;A+=2)T.push({name:e[A],startTime:e[A+1]});return T}return{mark:b,getMarks:S}}function Cn(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?rn():{mark(oe){performance.mark(oe)},getMarks(){let oe=performance.timeOrigin;typeof oe!="number"&&(oe=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const e=[{name:"code/timeOrigin",startTime:Math.round(oe)}];for(const b of performance.getEntriesByType("mark"))e.push({name:b.name,startTime:Math.round(oe+b.startTime)});return e}};if(typeof process=="object"){const oe=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return rn(oe)}else return console.trace("perf-util loaded in UNKNOWN environment"),rn()}function sn(oe){return oe.MonacoPerformanceMarks||(oe.MonacoPerformanceMarks=Cn()),oe.MonacoPerformanceMarks}var Mt;typeof global=="object"?Mt=global:typeof self=="object"?Mt=self:Mt={},typeof define=="function"?define("vs/base/common/performance",[],function(){return sn(Mt)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=sn(Mt):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),Mt.perf=sn(Mt)),define(we[21],Ee([0,1]),function(oe,e){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const S="en";let T=!1,A=!1,w=!1,C=!1,D=!1,i=!1,P=!1,I,p=S,d,s;const h=typeof self=="object"?self:typeof global=="object"?global:{};let v;typeof process!="undefined"?v=process:typeof h.vscode!="undefined"&&(v=h.vscode.process);const g=typeof((b=v==null?void 0:v.versions)===null||b===void 0?void 0:b.electron)=="string"&&v.type==="renderer";if(e.isElectronSandboxed=g&&(v==null?void 0:v.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const n=v==null?void 0:v.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof n=="string")return n==="none"||n==="code"||n==="bypassHeatCheck"||n==="bypassHeatCheckAndEagerCompile"?n:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!g)s=navigator.userAgent,T=s.indexOf("Windows")>=0,A=s.indexOf("Macintosh")>=0,P=(s.indexOf("Macintosh")>=0||s.indexOf("iPad")>=0||s.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,w=s.indexOf("Linux")>=0,i=!0,I=navigator.language,p=I;else if(typeof v=="object"){T=v.platform==="win32",A=v.platform==="darwin",w=v.platform==="linux",C=w&&!!v.env.SNAP&&!!v.env.SNAP_REVISION,I=S,p=S;const n=v.env.VSCODE_NLS_CONFIG;if(n)try{const f=JSON.parse(n),y=f.availableLanguages["*"];I=f.locale,p=y||S,d=f._translationsConfigFile}catch(f){}D=!0}else console.error("Unable to resolve platform.");var _;(function(n){n[n.Web=0]="Web",n[n.Mac=1]="Mac",n[n.Linux=2]="Linux",n[n.Windows=3]="Windows"})(_=e.Platform||(e.Platform={}));function r(n){switch(n){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=r;let l=0;A?l=1:T?l=3:w&&(l=2),e.isWindows=T,e.isMacintosh=A,e.isLinux=w,e.isLinuxSnap=C,e.isNative=D,e.isWeb=i,e.isIOS=P,e.platform=l,e.userAgent=s,e.language=p;var u;(function(n){function f(){return e.language}n.value=f;function y(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}n.isDefaultVariant=y;function k(){return e.language==="en"}n.isDefault=k})(u=e.Language||(e.Language={})),e.locale=I,e.translationsConfigFile=d,e.globals=h,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let y=[];e.globals.addEventListener("message",m=>{if(m.data&&m.data.vscodeSetImmediateId)for(let E=0,R=y.length;E<R;E++){const F=y[E];if(F.id===m.data.vscodeSetImmediateId){y.splice(E,1),F.callback();return}}});let k=0;return m=>{const E=++k;y.push({id:E,callback:m}),e.globals.postMessage({vscodeSetImmediateId:E},"*")}}if(v&&typeof v.nextTick=="function")return v.nextTick.bind(v);const f=Promise.resolve();return y=>f.then(y)}();var t;(function(n){n[n.Windows=1]="Windows",n[n.Macintosh=2]="Macintosh",n[n.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=A||P?2:T?1:3;let o=!0,a=!1;function c(){if(!a){a=!0;const n=new Uint8Array(2);n[0]=1,n[1]=2,o=new Uint16Array(n.buffer)[0]===(2<<8)+1}return o}e.isLittleEndian=c}),define(we[36],Ee([0,1,21]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let S;typeof process!="undefined"?S=process:typeof b.globals.vscode!="undefined"?S={get platform(){return b.globals.vscode.process.platform},get env(){return b.globals.vscode.process.env},nextTick(T){return b.setImmediate(T)},cwd(){return b.globals.vscode.process.env.VSCODE_CWD||b.globals.vscode.process.execPath.substr(0,b.globals.vscode.process.execPath.lastIndexOf(b.globals.vscode.process.platform==="win32"?"\\":"/"))}}:S={get platform(){return b.isWindows?"win32":b.isMacintosh?"darwin":"linux"},nextTick(T){return b.setImmediate(T)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=S.cwd,e.env=S.env,e.platform=S.platform,e.nextTick=S.nextTick}),define(we[12],Ee([0,1,36]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const S=65,T=97,A=90,w=122,C=46,D=47,i=92,P=58,I=63;class p extends Error{constructor(l,u,t){let o;typeof u=="string"&&u.indexOf("not ")===0?(o="must not be",u=u.replace(/^not /,"")):o="must be";const a=l.indexOf(".")!==-1?"property":"argument";let c=`The "${l}" ${a} ${o} of type ${u}`;c+=`. Received type ${typeof t}`,super(c),this.code="ERR_INVALID_ARG_TYPE"}}function d(r,l){if(typeof r!="string")throw new p(l,"string",r)}function s(r){return r===D||r===i}function h(r){return r===D}function v(r){return r>=S&&r<=A||r>=T&&r<=w}function g(r,l,u,t){let o="",a=0,c=-1,n=0,f=0;for(let y=0;y<=r.length;++y){if(y<r.length)f=r.charCodeAt(y);else{if(t(f))break;f=D}if(t(f)){if(!(c===y-1||n===1))if(n===2){if(o.length<2||a!==2||o.charCodeAt(o.length-1)!==C||o.charCodeAt(o.length-2)!==C){if(o.length>2){const k=o.lastIndexOf(u);k===-1?(o="",a=0):(o=o.slice(0,k),a=o.length-1-o.lastIndexOf(u)),c=y,n=0;continue}else if(o.length!==0){o="",a=0,c=y,n=0;continue}}l&&(o+=o.length>0?`${u}..`:"..",a=2)}else o.length>0?o+=`${u}${r.slice(c+1,y)}`:o=r.slice(c+1,y),a=y-c-1;c=y,n=0}else f===C&&n!==-1?++n:n=-1}return o}function _(r,l){if(l===null||typeof l!="object")throw new p("pathObject","Object",l);const u=l.dir||l.root,t=l.base||`${l.name||""}${l.ext||""}`;return u?u===l.root?`${u}${t}`:`${u}${r}${t}`:t}e.win32={resolve(...r){let l="",u="",t=!1;for(let o=r.length-1;o>=-1;o--){let a;if(o>=0){if(a=r[o],d(a,"path"),a.length===0)continue}else l.length===0?a=b.cwd():(a=b.env[`=${l}`]||b.cwd(),(a===void 0||a.slice(0,2).toLowerCase()!==l.toLowerCase()&&a.charCodeAt(2)===i)&&(a=`${l}\\`));const c=a.length;let n=0,f="",y=!1;const k=a.charCodeAt(0);if(c===1)s(k)&&(n=1,y=!0);else if(s(k))if(y=!0,s(a.charCodeAt(1))){let m=2,E=m;for(;m<c&&!s(a.charCodeAt(m));)m++;if(m<c&&m!==E){const R=a.slice(E,m);for(E=m;m<c&&s(a.charCodeAt(m));)m++;if(m<c&&m!==E){for(E=m;m<c&&!s(a.charCodeAt(m));)m++;(m===c||m!==E)&&(f=`\\\\${R}\\${a.slice(E,m)}`,n=m)}}}else n=1;else v(k)&&a.charCodeAt(1)===P&&(f=a.slice(0,2),n=2,c>2&&s(a.charCodeAt(2))&&(y=!0,n=3));if(f.length>0)if(l.length>0){if(f.toLowerCase()!==l.toLowerCase())continue}else l=f;if(t){if(l.length>0)break}else if(u=`${a.slice(n)}\\${u}`,t=y,y&&l.length>0)break}return u=g(u,!t,"\\",s),t?`${l}\\${u}`:`${l}${u}`||"."},normalize(r){d(r,"path");const l=r.length;if(l===0)return".";let u=0,t,o=!1;const a=r.charCodeAt(0);if(l===1)return h(a)?"\\":r;if(s(a))if(o=!0,s(r.charCodeAt(1))){let n=2,f=n;for(;n<l&&!s(r.charCodeAt(n));)n++;if(n<l&&n!==f){const y=r.slice(f,n);for(f=n;n<l&&s(r.charCodeAt(n));)n++;if(n<l&&n!==f){for(f=n;n<l&&!s(r.charCodeAt(n));)n++;if(n===l)return`\\\\${y}\\${r.slice(f)}\\`;n!==f&&(t=`\\\\${y}\\${r.slice(f,n)}`,u=n)}}}else u=1;else v(a)&&r.charCodeAt(1)===P&&(t=r.slice(0,2),u=2,l>2&&s(r.charCodeAt(2))&&(o=!0,u=3));let c=u<l?g(r.slice(u),!o,"\\",s):"";return c.length===0&&!o&&(c="."),c.length>0&&s(r.charCodeAt(l-1))&&(c+="\\"),t===void 0?o?`\\${c}`:c:o?`${t}\\${c}`:`${t}${c}`},isAbsolute(r){d(r,"path");const l=r.length;if(l===0)return!1;const u=r.charCodeAt(0);return s(u)||l>2&&v(u)&&r.charCodeAt(1)===P&&s(r.charCodeAt(2))},join(...r){if(r.length===0)return".";let l,u;for(let a=0;a<r.length;++a){const c=r[a];d(c,"path"),c.length>0&&(l===void 0?l=u=c:l+=`\\${c}`)}if(l===void 0)return".";let t=!0,o=0;if(typeof u=="string"&&s(u.charCodeAt(0))){++o;const a=u.length;a>1&&s(u.charCodeAt(1))&&(++o,a>2&&(s(u.charCodeAt(2))?++o:t=!1))}if(t){for(;o<l.length&&s(l.charCodeAt(o));)o++;o>=2&&(l=`\\${l.slice(o)}`)}return e.win32.normalize(l)},relative(r,l){if(d(r,"from"),d(l,"to"),r===l)return"";const u=e.win32.resolve(r),t=e.win32.resolve(l);if(u===t||(r=u.toLowerCase(),l=t.toLowerCase(),r===l))return"";let o=0;for(;o<r.length&&r.charCodeAt(o)===i;)o++;let a=r.length;for(;a-1>o&&r.charCodeAt(a-1)===i;)a--;const c=a-o;let n=0;for(;n<l.length&&l.charCodeAt(n)===i;)n++;let f=l.length;for(;f-1>n&&l.charCodeAt(f-1)===i;)f--;const y=f-n,k=c<y?c:y;let m=-1,E=0;for(;E<k;E++){const F=r.charCodeAt(o+E);if(F!==l.charCodeAt(n+E))break;F===i&&(m=E)}if(E!==k){if(m===-1)return t}else{if(y>k){if(l.charCodeAt(n+E)===i)return t.slice(n+E+1);if(E===2)return t.slice(n+E)}c>k&&(r.charCodeAt(o+E)===i?m=E:E===2&&(m=3)),m===-1&&(m=0)}let R="";for(E=o+m+1;E<=a;++E)(E===a||r.charCodeAt(E)===i)&&(R+=R.length===0?"..":"\\..");return n+=m,R.length>0?`${R}${t.slice(n,f)}`:(t.charCodeAt(n)===i&&++n,t.slice(n,f))},toNamespacedPath(r){if(typeof r!="string")return r;if(r.length===0)return"";const l=e.win32.resolve(r);if(l.length<=2)return r;if(l.charCodeAt(0)===i){if(l.charCodeAt(1)===i){const u=l.charCodeAt(2);if(u!==I&&u!==C)return`\\\\?\\UNC\\${l.slice(2)}`}}else if(v(l.charCodeAt(0))&&l.charCodeAt(1)===P&&l.charCodeAt(2)===i)return`\\\\?\\${l}`;return r},dirname(r){d(r,"path");const l=r.length;if(l===0)return".";let u=-1,t=0;const o=r.charCodeAt(0);if(l===1)return s(o)?r:".";if(s(o)){if(u=t=1,s(r.charCodeAt(1))){let n=2,f=n;for(;n<l&&!s(r.charCodeAt(n));)n++;if(n<l&&n!==f){for(f=n;n<l&&s(r.charCodeAt(n));)n++;if(n<l&&n!==f){for(f=n;n<l&&!s(r.charCodeAt(n));)n++;if(n===l)return r;n!==f&&(u=t=n+1)}}}}else v(o)&&r.charCodeAt(1)===P&&(u=l>2&&s(r.charCodeAt(2))?3:2,t=u);let a=-1,c=!0;for(let n=l-1;n>=t;--n)if(s(r.charCodeAt(n))){if(!c){a=n;break}}else c=!1;if(a===-1){if(u===-1)return".";a=u}return r.slice(0,a)},basename(r,l){l!==void 0&&d(l,"ext"),d(r,"path");let u=0,t=-1,o=!0,a;if(r.length>=2&&v(r.charCodeAt(0))&&r.charCodeAt(1)===P&&(u=2),l!==void 0&&l.length>0&&l.length<=r.length){if(l===r)return"";let c=l.length-1,n=-1;for(a=r.length-1;a>=u;--a){const f=r.charCodeAt(a);if(s(f)){if(!o){u=a+1;break}}else n===-1&&(o=!1,n=a+1),c>=0&&(f===l.charCodeAt(c)?--c==-1&&(t=a):(c=-1,t=n))}return u===t?t=n:t===-1&&(t=r.length),r.slice(u,t)}for(a=r.length-1;a>=u;--a)if(s(r.charCodeAt(a))){if(!o){u=a+1;break}}else t===-1&&(o=!1,t=a+1);return t===-1?"":r.slice(u,t)},extname(r){d(r,"path");let l=0,u=-1,t=0,o=-1,a=!0,c=0;r.length>=2&&r.charCodeAt(1)===P&&v(r.charCodeAt(0))&&(l=t=2);for(let n=r.length-1;n>=l;--n){const f=r.charCodeAt(n);if(s(f)){if(!a){t=n+1;break}continue}o===-1&&(a=!1,o=n+1),f===C?u===-1?u=n:c!==1&&(c=1):u!==-1&&(c=-1)}return u===-1||o===-1||c===0||c===1&&u===o-1&&u===t+1?"":r.slice(u,o)},format:_.bind(null,"\\"),parse(r){d(r,"path");const l={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return l;const u=r.length;let t=0,o=r.charCodeAt(0);if(u===1)return s(o)?(l.root=l.dir=r,l):(l.base=l.name=r,l);if(s(o)){if(t=1,s(r.charCodeAt(1))){let m=2,E=m;for(;m<u&&!s(r.charCodeAt(m));)m++;if(m<u&&m!==E){for(E=m;m<u&&s(r.charCodeAt(m));)m++;if(m<u&&m!==E){for(E=m;m<u&&!s(r.charCodeAt(m));)m++;m===u?t=m:m!==E&&(t=m+1)}}}}else if(v(o)&&r.charCodeAt(1)===P){if(u<=2)return l.root=l.dir=r,l;if(t=2,s(r.charCodeAt(2))){if(u===3)return l.root=l.dir=r,l;t=3}}t>0&&(l.root=r.slice(0,t));let a=-1,c=t,n=-1,f=!0,y=r.length-1,k=0;for(;y>=t;--y){if(o=r.charCodeAt(y),s(o)){if(!f){c=y+1;break}continue}n===-1&&(f=!1,n=y+1),o===C?a===-1?a=y:k!==1&&(k=1):a!==-1&&(k=-1)}return n!==-1&&(a===-1||k===0||k===1&&a===n-1&&a===c+1?l.base=l.name=r.slice(c,n):(l.name=r.slice(c,a),l.base=r.slice(c,n),l.ext=r.slice(a,n))),c>0&&c!==t?l.dir=r.slice(0,c-1):l.dir=l.root,l},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...r){let l="",u=!1;for(let t=r.length-1;t>=-1&&!u;t--){const o=t>=0?r[t]:b.cwd();d(o,"path"),o.length!==0&&(l=`${o}/${l}`,u=o.charCodeAt(0)===D)}return l=g(l,!u,"/",h),u?`/${l}`:l.length>0?l:"."},normalize(r){if(d(r,"path"),r.length===0)return".";const l=r.charCodeAt(0)===D,u=r.charCodeAt(r.length-1)===D;return r=g(r,!l,"/",h),r.length===0?l?"/":u?"./":".":(u&&(r+="/"),l?`/${r}`:r)},isAbsolute(r){return d(r,"path"),r.length>0&&r.charCodeAt(0)===D},join(...r){if(r.length===0)return".";let l;for(let u=0;u<r.length;++u){const t=r[u];d(t,"path"),t.length>0&&(l===void 0?l=t:l+=`/${t}`)}return l===void 0?".":e.posix.normalize(l)},relative(r,l){if(d(r,"from"),d(l,"to"),r===l||(r=e.posix.resolve(r),l=e.posix.resolve(l),r===l))return"";const u=1,t=r.length,o=t-u,a=1,c=l.length-a,n=o<c?o:c;let f=-1,y=0;for(;y<n;y++){const m=r.charCodeAt(u+y);if(m!==l.charCodeAt(a+y))break;m===D&&(f=y)}if(y===n)if(c>n){if(l.charCodeAt(a+y)===D)return l.slice(a+y+1);if(y===0)return l.slice(a+y)}else o>n&&(r.charCodeAt(u+y)===D?f=y:y===0&&(f=0));let k="";for(y=u+f+1;y<=t;++y)(y===t||r.charCodeAt(y)===D)&&(k+=k.length===0?"..":"/..");return`${k}${l.slice(a+f)}`},toNamespacedPath(r){return r},dirname(r){if(d(r,"path"),r.length===0)return".";const l=r.charCodeAt(0)===D;let u=-1,t=!0;for(let o=r.length-1;o>=1;--o)if(r.charCodeAt(o)===D){if(!t){u=o;break}}else t=!1;return u===-1?l?"/":".":l&&u===1?"//":r.slice(0,u)},basename(r,l){l!==void 0&&d(l,"ext"),d(r,"path");let u=0,t=-1,o=!0,a;if(l!==void 0&&l.length>0&&l.length<=r.length){if(l===r)return"";let c=l.length-1,n=-1;for(a=r.length-1;a>=0;--a){const f=r.charCodeAt(a);if(f===D){if(!o){u=a+1;break}}else n===-1&&(o=!1,n=a+1),c>=0&&(f===l.charCodeAt(c)?--c==-1&&(t=a):(c=-1,t=n))}return u===t?t=n:t===-1&&(t=r.length),r.slice(u,t)}for(a=r.length-1;a>=0;--a)if(r.charCodeAt(a)===D){if(!o){u=a+1;break}}else t===-1&&(o=!1,t=a+1);return t===-1?"":r.slice(u,t)},extname(r){d(r,"path");let l=-1,u=0,t=-1,o=!0,a=0;for(let c=r.length-1;c>=0;--c){const n=r.charCodeAt(c);if(n===D){if(!o){u=c+1;break}continue}t===-1&&(o=!1,t=c+1),n===C?l===-1?l=c:a!==1&&(a=1):l!==-1&&(a=-1)}return l===-1||t===-1||a===0||a===1&&l===t-1&&l===u+1?"":r.slice(l,t)},format:_.bind(null,"/"),parse(r){d(r,"path");const l={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return l;const u=r.charCodeAt(0)===D;let t;u?(l.root="/",t=1):t=0;let o=-1,a=0,c=-1,n=!0,f=r.length-1,y=0;for(;f>=t;--f){const k=r.charCodeAt(f);if(k===D){if(!n){a=f+1;break}continue}c===-1&&(n=!1,c=f+1),k===C?o===-1?o=f:y!==1&&(y=1):o!==-1&&(y=-1)}if(c!==-1){const k=a===0&&u?1:a;o===-1||y===0||y===1&&o===c-1&&o===a+1?l.base=l.name=r.slice(k,c):(l.name=r.slice(k,o),l.base=r.slice(k,c),l.ext=r.slice(o,c))}return a>0?l.dir=r.slice(0,a-1):u&&(l.dir="/"),l},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=b.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=b.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=b.platform==="win32"?e.win32.join:e.posix.join,e.resolve=b.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=b.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=b.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=b.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=b.platform==="win32"?e.win32.extname:e.posix.extname,e.format=b.platform==="win32"?e.win32.format:e.posix.format,e.parse=b.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=b.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=b.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=b.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(we[55],Ee([0,1,21]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const S=b.globals.performance&&typeof b.globals.performance.now=="function";class T{constructor(w){this._highResolution=S&&w,this._startTime=this._now(),this._stopTime=-1}static create(w=!0){return new T(w)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?b.globals.performance.now():Date.now()}}e.StopWatch=T}),define(we[3],Ee([0,1,10,52,6,47,55]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var C;(function(g){g.None=()=>T.Disposable.None;function _(G){return(H,ue=null,N)=>{let O=!1,x;return x=G(L=>{if(!O)return x?x.dispose():O=!0,H.call(ue,L)},null,N),O&&x.dispose(),x}}g.once=_;function r(G,H){return c((ue,N=null,O)=>G(x=>ue.call(N,H(x)),null,O))}g.map=r;function l(G,H){return c((ue,N=null,O)=>G(x=>{H(x),ue.call(N,x)},null,O))}g.forEach=l;function u(G,H){return c((ue,N=null,O)=>G(x=>H(x)&&ue.call(N,x),null,O))}g.filter=u;function t(G){return G}g.signal=t;function o(...G){return(H,ue=null,N)=>T.combinedDisposable(...G.map(O=>O(x=>H.call(ue,x),null,N)))}g.any=o;function a(G,H,ue){let N=ue;return r(G,O=>(N=H(N,O),N))}g.reduce=a;function c(G){let H;const ue=new p({onFirstListenerAdd(){H=G(ue.fire,ue)},onLastListenerRemove(){H.dispose()}});return ue.event}g.snapshot=c;function n(G,H,ue=100,N=!1,O){let x,L,z,ae=0;const re=new p({leakWarningThreshold:O,onFirstListenerAdd(){x=G(de=>{ae++,L=H(L,de),N&&!z&&(re.fire(L),L=void 0),clearTimeout(z),z=setTimeout(()=>{const fe=L;L=void 0,z=void 0,(!N||ae>1)&&re.fire(fe),ae=0},ue)})},onLastListenerRemove(){x.dispose()}});return re.event}g.debounce=n;function f(G){const H=new Date().getTime();return r(_(G),ue=>new Date().getTime()-H)}g.stopwatch=f;function y(G){let H=!0,ue;return u(G,N=>{const O=H||N!==ue;return H=!1,ue=N,O})}g.latch=y;function k(G,H=!1,ue=[]){let N=ue.slice(),O=G(z=>{N?N.push(z):L.fire(z)});const x=()=>{N&&N.forEach(z=>L.fire(z)),N=null},L=new p({onFirstListenerAdd(){O||(O=G(z=>L.fire(z)))},onFirstListenerDidAdd(){N&&(H?setTimeout(x):x())},onLastListenerRemove(){O&&O.dispose(),O=null}});return L.event}g.buffer=k;class m{constructor(H){this.event=H}map(H){return new m(r(this.event,H))}forEach(H){return new m(l(this.event,H))}filter(H){return new m(u(this.event,H))}reduce(H,ue){return new m(a(this.event,H,ue))}latch(){return new m(y(this.event))}debounce(H,ue=100,N=!1,O){return new m(n(this.event,H,ue,N,O))}on(H,ue,N){return this.event(H,ue,N)}once(H,ue,N){return _(this.event)(H,ue,N)}}function E(G){return new m(G)}g.chain=E;function R(G,H,ue=N=>N){const N=(...z)=>L.fire(ue(...z)),O=()=>G.on(H,N),x=()=>G.removeListener(H,N),L=new p({onFirstListenerAdd:O,onLastListenerRemove:x});return L.event}g.fromNodeEventEmitter=R;function F(G,H,ue=N=>N){const N=(...z)=>L.fire(ue(...z)),O=()=>G.addEventListener(H,N),x=()=>G.removeEventListener(H,N),L=new p({onFirstListenerAdd:O,onLastListenerRemove:x});return L.event}g.fromDOMEventEmitter=F;function $(G){const H=new p;let ue=!1;return G.then(void 0,()=>null).then(()=>{ue?H.fire(void 0):setTimeout(()=>H.fire(void 0),0)}),ue=!0,H.event}g.fromPromise=$;function K(G){return new Promise(H=>_(G)(H))}g.toPromise=K})(C=e.Event||(e.Event={}));class D{constructor(_){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${_}_${D._idPool++}`}start(_){this._stopWatch=new w.StopWatch(!0),this._listenerCount=_}stop(){if(this._stopWatch){const _=this._stopWatch.elapsed();this._elapsedOverall+=_,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${_.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}D._idPool=0;let i=-1;function P(g){const _=i;return i=g,{dispose(){i=_}}}e.setGlobalLeakWarningThreshold=P;class I{constructor(_,r=Math.random().toString(18).slice(2,5)){this.customThreshold=_,this.name=r,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(_){let r=i;if(typeof this.customThreshold=="number"&&(r=this.customThreshold),!(r<=0||_<r)){this._stacks||(this._stacks=new Map);const l=new Error().stack.split(`
`).slice(3).join(`
`),u=this._stacks.get(l)||0;if(this._stacks.set(l,u+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=r*.5;let t,o=0;for(const[a,c]of this._stacks)(!t||o<c)&&(t=a,o=c);console.warn(`[${this.name}] potential listener LEAK detected, having ${_} listeners already. MOST frequent listener (${o}):`),console.warn(t)}return()=>{const t=this._stacks.get(l)||0;this._stacks.set(l,t-1)}}}}class p{constructor(_){var r;this._disposed=!1,this._options=_,this._leakageMon=i>0?new I(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((r=this._options)===null||r===void 0?void 0:r._profName)?new D(this._options._profName):void 0}get event(){return this._event||(this._event=(_,r,l)=>{var u;this._listeners||(this._listeners=new A.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const o=this._listeners.push(r?[_,r]:_);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,_,r);const a=(u=this._leakageMon)===null||u===void 0?void 0:u.check(this._listeners.size);let c;return c={dispose:()=>{a&&a(),c.dispose=p._noop,this._disposed||(o(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},l instanceof T.DisposableStore?l.add(c):Array.isArray(l)&&l.push(c),c}),this._event}fire(_){var r,l;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new A.LinkedList);for(let u of this._listeners)this._deliveryQueue.push([u,_]);for((r=this._perfMon)===null||r===void 0||r.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[u,t]=this._deliveryQueue.shift();try{typeof u=="function"?u.call(void 0,t):u[0].call(u[1],t)}catch(o){b.onUnexpectedError(o)}}(l=this._perfMon)===null||l===void 0||l.stop()}}dispose(){var _,r,l;(_=this._listeners)===null||_===void 0||_.clear(),(r=this._deliveryQueue)===null||r===void 0||r.clear(),(l=this._leakageMon)===null||l===void 0||l.dispose(),this._disposed=!0}}e.Emitter=p,p._noop=function(){};class d extends p{constructor(_){super(_);this._isPaused=0,this._eventQueue=new A.LinkedList,this._mergeFn=_==null?void 0:_.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const _=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(_))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(_){this._listeners&&(this._isPaused!==0?this._eventQueue.push(_):super.fire(_))}}e.PauseableEmitter=d;class s{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new p({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(_){const r={event:_,listener:null};this.events.push(r),this.hasListeners&&this.hook(r);const l=()=>{this.hasListeners&&this.unhook(r);const u=this.events.indexOf(r);this.events.splice(u,1)};return T.toDisposable(S.once(l))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(_=>this.hook(_))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(_=>this.unhook(_))}hook(_){_.listener=_.event(r=>this.emitter.fire(r))}unhook(_){_.listener&&_.listener.dispose(),_.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=s;class h{constructor(){this.buffers=[]}wrapEvent(_){return(r,l,u)=>_(t=>{const o=this.buffers[this.buffers.length-1];o?o.push(()=>r.call(l,t)):r.call(l,t)},void 0,u)}bufferEvents(_){const r=[];this.buffers.push(r);const l=_();return this.buffers.pop(),r.forEach(u=>u()),l}}e.EventBufferer=h;class v{constructor(){this.listening=!1,this.inputEvent=C.None,this.inputEventListener=T.Disposable.None,this.emitter=new p({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(_){this.inputEvent=_,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=_(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=v}),define(we[20],Ee([0,1,3]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const S=Object.freeze(function(C,D){const i=setTimeout(C.bind(D),0);return{dispose(){clearTimeout(i)}}});var T;(function(C){function D(i){return i===C.None||i===C.Cancelled||i instanceof A?!0:!i||typeof i!="object"?!1:typeof i.isCancellationRequested=="boolean"&&typeof i.onCancellationRequested=="function"}C.isCancellationToken=D,C.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:b.Event.None}),C.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:S})})(T=e.CancellationToken||(e.CancellationToken={}));class A{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?S:(this._emitter||(this._emitter=new b.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class w{constructor(D){this._token=void 0,this._parentListener=void 0,this._parentListener=D&&D.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new A),this._token}cancel(){this._token?this._token instanceof A&&this._token.cancel():this._token=T.Cancelled}dispose(D=!1){D&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof A&&this._token.dispose():this._token=T.None}}e.CancellationTokenSource=w}),define(we[15],Ee([0,1,20,10,3,6,47]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function C(O){return!!O&&typeof O.then=="function"}e.isThenable=C;function D(O){const x=new b.CancellationTokenSource,L=O(x.token),z=new Promise((ae,re)=>{x.token.onCancellationRequested(()=>{re(S.canceled())}),Promise.resolve(L).then(de=>{x.dispose(),ae(de)},de=>{x.dispose(),re(de)})});return new class{cancel(){x.cancel()}then(ae,re){return z.then(ae,re)}catch(ae){return this.then(void 0,ae)}finally(ae){return z.finally(ae)}}}e.createCancelablePromise=D;function i(O,x,L){return Promise.race([O,new Promise(z=>x.onCancellationRequested(()=>z(L)))])}e.raceCancellation=i;async function P(O){let x=-1;const L=O.map((ae,re)=>ae.then(de=>(x=re,de))),z=await Promise.race(L);return O.forEach((ae,re)=>{re!==x&&ae.cancel()}),z}e.raceCancellablePromises=P;function I(O,x,L){let z;const ae=setTimeout(()=>{z==null||z(void 0),L==null||L()},x);return Promise.race([O.finally(()=>clearTimeout(ae)),new Promise(re=>z=re)])}e.raceTimeout=I;function p(O){return new Promise((x,L)=>{const z=O();C(z)?z.then(x,L):x(z)})}e.asPromise=p;class d{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(x){if(this.activePromise){if(this.queuedPromiseFactory=x,!this.queuedPromise){const L=()=>{this.queuedPromise=null;const z=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,z};this.queuedPromise=new Promise(z=>{this.activePromise.then(L,L).then(z)})}return new Promise((L,z)=>{this.queuedPromise.then(L,z)})}return this.activePromise=x(),new Promise((L,z)=>{this.activePromise.then(ae=>{this.activePromise=null,L(ae)},ae=>{this.activePromise=null,z(ae)})})}}e.Throttler=d;class s{constructor(){this.current=Promise.resolve(null)}queue(x){return this.current=this.current.then(()=>x(),()=>x())}}e.Sequencer=s;class h{constructor(){this.promiseMap=new Map}queue(x,L){var z;const re=((z=this.promiseMap.get(x))!==null&&z!==void 0?z:Promise.resolve()).catch(()=>{}).then(L).finally(()=>{this.promiseMap.get(x)===re&&this.promiseMap.delete(x)});return this.promiseMap.set(x,re),re}}e.SequencerByKey=h;class v{constructor(x){this.defaultDelay=x,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(x,L=this.defaultDelay){return this.task=x,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((z,ae)=>{this.doResolve=z,this.doReject=ae}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const z=this.task;return this.task=null,z()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},L),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(S.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=v;class g{constructor(x){this.delayer=new v(x),this.throttler=new d}trigger(x,L){return this.delayer.trigger(()=>this.throttler.queue(x),L)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=g;class _{constructor(){this._isOpen=!1,this._promise=new Promise((x,L)=>{this._completePromise=x})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=_;class r extends _{constructor(x){super();this._timeout=setTimeout(()=>this.open(),x)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=r;function l(O,x){return x?new Promise((L,z)=>{const ae=setTimeout(L,O);x.onCancellationRequested(()=>{clearTimeout(ae),z(S.canceled())})}):D(L=>l(O,L))}e.timeout=l;function u(O,x=0){const L=setTimeout(O,x);return A.toDisposable(()=>clearTimeout(L))}e.disposableTimeout=u;function t(O){return O.then(void 0,x=>{})}e.ignoreErrors=t;function o(O){const x=[];let L=0;const z=O.length;function ae(){return L<z?O[L++]():null}function re(de){de!=null&&x.push(de);const fe=ae();return fe?fe.then(re):Promise.resolve(x)}return Promise.resolve(null).then(re)}e.sequence=o;function a(O,x=z=>!!z,L=null){let z=0;const ae=O.length,re=()=>{if(z>=ae)return Promise.resolve(L);const de=O[z++];return Promise.resolve(de()).then(Ae=>x(Ae)?Promise.resolve(Ae):re())};return re()}e.first=a;function c(O,x=z=>!!z,L=null){if(O.length===0)return Promise.resolve(L);let z=O.length;const ae=()=>{var re,de;z=-1;for(const fe of O)(de=(re=fe).cancel)===null||de===void 0||de.call(re)};return new Promise((re,de)=>{for(const fe of O)fe.then(Ae=>{--z>=0&&x(Ae)?(ae(),re(Ae)):z===0&&re(L)}).catch(Ae=>{--z>=0&&(ae(),de(Ae))})})}e.firstParallel=c;class n{constructor(x){this._size=0,this.maxDegreeOfParalellism=x,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new T.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(x){return this._size++,new Promise((L,z)=>{this.outstandingPromises.push({factory:x,c:L,e:z}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const x=this.outstandingPromises.shift();this.runningPromises++;const L=x.factory();L.then(x.c,x.e),L.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=n;class f extends n{constructor(){super(1)}}e.Queue=f;class y{constructor(){this.queues=new Map}queueFor(x){const L=x.toString();if(!this.queues.has(L)){const z=new f;z.onFinished(()=>{z.dispose(),this.queues.delete(L)}),this.queues.set(L,z)}return this.queues.get(L)}dispose(){this.queues.forEach(x=>x.dispose()),this.queues.clear()}}e.ResourceQueue=y;class k{constructor(x,L){this._token=-1,typeof x=="function"&&typeof L=="number"&&this.setIfNotSet(x,L)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(x,L){this.cancel(),this._token=setTimeout(()=>{this._token=-1,x()},L)}setIfNotSet(x,L){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,x()},L))}}e.TimeoutTimer=k;class m{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(x,L){this.cancel(),this._token=setInterval(()=>{x()},L)}}e.IntervalTimer=m;class E{constructor(x,L){this.timeoutToken=-1,this.runner=x,this.timeout=L,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(x=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,x)}get delay(){return this.timeout}set delay(x){this.timeout=x}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=E;class R extends E{constructor(x,L){super(x,L);this.units=[]}work(x){this.units.push(x),this.isScheduled()||this.schedule()}doRun(){const x=this.units;this.units=[],this.runner&&this.runner(x)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=R,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const O=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=x=>{const L=setTimeout(()=>x(O));let z=!1;return{dispose(){z||(z=!0,clearTimeout(L))}}}}else e.runWhenIdle=(O,x)=>{const L=requestIdleCallback(O,typeof x=="number"?{timeout:x}:void 0);let z=!1;return{dispose(){z||(z=!0,cancelIdleCallback(L))}}}}();class F{constructor(x){this._didRun=!1,this._executor=()=>{try{this._value=x()}catch(L){this._error=L}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=F;async function $(O,x,L){let z;for(let ae=0;ae<L;ae++)try{return await O()}catch(re){z=re,await l(x)}throw z}e.retry=$;class K{hasPending(x){return this._pending?typeof x=="number"?this._pending.taskId===x:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var x;(x=this._pending)===null||x===void 0||x.cancel()}setPending(x,L,z){return this._pending={taskId:x,cancel:()=>z==null?void 0:z(),promise:L},L.then(()=>this.donePending(x),()=>this.donePending(x)),L}donePending(x){this._pending&&x===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const x=this._next;this._next=void 0,x.run().then(x.promiseResolve,x.promiseReject)}}setNext(x){if(this._next)this._next.run=x;else{let L,z;const ae=new Promise((re,de)=>{L=re,z=de});this._next={run:x,promise:ae,promiseResolve:L,promiseReject:z}}return this._next.promise}}e.TaskSequentializer=K;class G{constructor(x){this.interval=x,this.lastIncrementTime=0,this.value=0}increment(){const x=Date.now();return x-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=x,this.value=0),this.value++,this.value}}e.IntervalCounter=G;class H{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((x,L)=>{this.completeCallback=x,this.errorCallback=L})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(x){return new Promise(L=>{this.completeCallback(x),this.resolved=!0,L()})}error(x){return new Promise(L=>{this.errorCallback(x),this.rejected=!0,L()})}cancel(){new Promise(x=>{this.errorCallback(S.canceled()),this.rejected=!0,x()})}}e.DeferredPromise=H;class ue extends T.Emitter{async fireAsync(x,L,z){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new w.LinkedList);for(const ae of this._listeners)this._asyncDeliveryQueue.push([ae,x]);for(;this._asyncDeliveryQueue.size>0&&!L.isCancellationRequested;){const[ae,re]=this._asyncDeliveryQueue.shift(),de=[],fe=Object.assign(Object.assign({},re),{waitUntil:Ae=>{if(Object.isFrozen(de))throw new Error("waitUntil can NOT be called asynchronous");z&&(Ae=z(Ae,typeof ae=="function"?ae:ae[0])),de.push(Ae)}});try{typeof ae=="function"?ae.call(void 0,fe):ae[0].call(ae[1],fe)}catch(Ae){S.onUnexpectedError(Ae);continue}Object.freeze(de),await N.settled(de).catch(Ae=>S.onUnexpectedError(Ae))}}}}e.AsyncEmitter=ue;var N;(function(O){async function x(re){return typeof Promise.allSettled=="function"?L(re):z(re)}O.allSettled=x;async function L(re){return Promise.allSettled(re)}async function z(re){return Promise.all(re.map(de=>de.then(fe=>({status:"fulfilled",value:fe}),fe=>({status:"rejected",reason:fe}))))}async function ae(re){let de;const fe=await Promise.all(re.map(Ae=>Ae.then(je=>je,je=>{de||(de=je)})));if(typeof de!="undefined")throw de;return fe}O.settled=ae})(N=e.Promises||(e.Promises={}))}),define(we[37],Ee([0,1,3]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class S{constructor(){this._icons=new Map,this._onDidRegister=new b.Emitter}add(P){const I=this._icons.get(P.id);I?P.description?I.description=P.description:console.error(`Duplicate registration of codicon ${P.id}`):(this._icons.set(P.id,P),this._onDidRegister.fire(P))}get(P){return this._icons.get(P)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const T=new S;e.iconRegistry=T;function A(i,P){return new w(i,P)}e.registerCodicon=A;class w{constructor(P,I,p){this.id=P,this.definition=I,this.description=p,T.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=w;function C(i,P){const I=["codicon","codicon-"+i];return P&&I.push("codicon-modifier-"+P),I}e.getClassNamesArray=C;var D;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const P=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function I(s){if(s instanceof w)return["codicon","codicon-"+s.id];const h=P.exec(s.id);if(!h)return I(w.error);let[,v,g]=h;const _=["codicon","codicon-"+v];return g&&_.push("codicon-modifier-"+g.substr(1)),_}i.asClassNameArray=I;function p(s){return I(s).join(" ")}i.asClassName=p;function d(s){return"."+I(s).join(".")}i.asCSSSelector=d})(D=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personAdd=new i("person-add",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(w=e.Codicon||(e.Codicon={}))}),define(we[105],Ee([0,1,12,15]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const T=new S.IdleValue(()=>{const l=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:l,collatorIsNumeric:l.resolvedOptions().numeric}}),A=new S.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),w=new S.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function C(l,u,t=!1){const o=l||"",a=u||"",c=T.value.collator.compare(o,a);return T.value.collatorIsNumeric&&c===0&&o!==a?o<a?-1:1:c}e.compareFileNames=C;function D(l,u){const t=A.value.collator;return l=l||"",u=u||"",h(t,l,u)}e.compareFileNamesDefault=D;function i(l,u,t=!1){t||(l=l&&l.toLowerCase(),u=u&&u.toLowerCase());const[o,a]=d(l),[c,n]=d(u);return o!==c?o<c?-1:1:a===n?0:a<n?-1:1}e.noIntlCompareFileNames=i;function P(l,u){const[t,o]=d(l),[a,c]=d(u);let n=T.value.collator.compare(o,c);if(n===0){if(T.value.collatorIsNumeric&&o!==c)return o<c?-1:1;if(n=T.value.collator.compare(t,a),T.value.collatorIsNumeric&&n===0&&t!==a)return t<a?-1:1}return n}e.compareFileExtensions=P;function I(l,u){l=l||"",u=u||"";const t=s(l),o=s(u),a=A.value.collator,c=w.value.collator;let n;return n=h(c,t,o),n!==0?n:h(a,l,u)}e.compareFileExtensionsDefault=I;const p=/^(.*?)(\.([^.]*))?$/;function d(l,u=!1){const t=l?p.exec(l):[];let o=[t&&t[1]||"",t&&t[3]||""];return u&&(!o[0]&&o[1]||o[0]&&o[0].charAt(0)===".")&&(o=[o[0]+"."+o[1],""]),o}function s(l){const u=l?p.exec(l):[];return u&&u[1]&&u[1].charAt(0)!=="."&&u[3]||""}function h(l,u,t){let o=l.compare(u,t);return o!==0?o:u.length!==t.length?u.length<t.length?-1:1:0}function v(l,u,t=!1){return t||(l=l&&l.toLowerCase(),u=u&&u.toLowerCase()),l===u?0:l<u?-1:1}function g(l,u,t=!1){const o=l.split(b.sep),a=u.split(b.sep),c=o.length-1,n=a.length-1;let f,y;for(let k=0;;k++){if(f=c===k,y=n===k,f&&y)return C(o[k],a[k],t);if(f)return-1;if(y)return 1;const m=v(o[k],a[k],t);if(m!==0)return m}}e.comparePaths=g;function _(l,u,t){const o=l.toLowerCase(),a=u.toLowerCase(),c=r(l,u,t);if(c)return c;const n=o.endsWith(t),f=a.endsWith(t);if(n!==f)return n?-1:1;const y=C(o,a);return y!==0?y:o.localeCompare(a)}e.compareAnything=_;function r(l,u,t){const o=l.toLowerCase(),a=u.toLowerCase(),c=o.startsWith(t),n=a.startsWith(t);if(c!==n)return c?-1:1;if(c&&n){if(o.length<a.length)return-1;if(o.length>a.length)return 1}return 0}e.compareByPrefix=r}),define(we[106],Ee([0,1,10,6]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function T(v){const g=v;return g&&[g.on,g.pause,g.resume,g.destroy].every(_=>typeof _=="function")}e.isReadableStream=T;function A(v){const g=v;return g&&T(g.stream)&&Array.isArray(g.buffer)&&typeof g.ended=="boolean"}e.isReadableBufferedStream=A;function w(v,g){return new C(v,g)}e.newWriteableStream=w;class C{constructor(g,_){this.reducer=g,this.options=_,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(g){var _;if(!this.state.destroyed){if(this.state.flowing)this.emitData(g);else if(this.buffer.data.push(g),typeof((_=this.options)===null||_===void 0?void 0:_.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(r=>this.pendingWritePromises.push(r))}}error(g){this.state.destroyed||(this.state.flowing?this.emitError(g):this.buffer.error.push(g))}end(g){this.state.destroyed||(g instanceof Error?this.error(g):typeof g!="undefined"&&this.write(g),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(g){this.listeners.data.slice(0).forEach(_=>_(g))}emitError(g){this.listeners.error.length===0?b.onUnexpectedError(g):this.listeners.error.slice(0).forEach(_=>_(g))}emitEnd(){this.listeners.end.slice(0).forEach(g=>g())}on(g,_){if(!this.state.destroyed)switch(g){case"data":this.listeners.data.push(_),this.resume();break;case"end":this.listeners.end.push(_),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(_),this.state.flowing&&this.flowErrors();break}}removeListener(g,_){if(!this.state.destroyed){let r;switch(g){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const l=r.indexOf(_);l>=0&&r.splice(l,1)}}}flowData(){if(this.buffer.data.length>0){const g=this.reducer(this.buffer.data);this.emitData(g),this.buffer.data.length=0;const _=[...this.pendingWritePromises];this.pendingWritePromises.length=0,_.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const g of this.buffer.error)this.emitError(g);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function D(v,g){const _=[];let r;for(;(r=v.read())!==null;)_.push(r);return g(_)}e.consumeReadable=D;function i(v,g,_){const r=[];let l;for(;(l=v.read())!==null&&r.length<_;)r.push(l);return l===null&&r.length>0?g(r):{read:()=>{if(r.length>0)return r.shift();if(typeof l!="undefined"){const u=l;return l=void 0,u}return v.read()}}}e.peekReadable=i;function P(v,g){return new Promise((_,r)=>{const l=[];I(v,{onData:u=>{g&&l.push(u)},onError:u=>{g?r(u):_(void 0)},onEnd:()=>{_(g?g(l):void 0)}})})}e.consumeStream=P;function I(v,g){v.on("error",_=>g.onError(_)),v.on("end",()=>g.onEnd()),v.on("data",_=>g.onData(_))}e.listenStream=I;function p(v,g){return new Promise((_,r)=>{const l=new S.DisposableStore,u=[],t=c=>{if(u.push(c),u.length>g)return l.dispose(),v.pause(),_({stream:v,buffer:u,ended:!1})},o=c=>r(c),a=()=>_({stream:v,buffer:u,ended:!0});l.add(S.toDisposable(()=>v.removeListener("error",o))),v.on("error",o),l.add(S.toDisposable(()=>v.removeListener("end",a))),v.on("end",a),l.add(S.toDisposable(()=>v.removeListener("data",t))),v.on("data",t)})}e.peekStream=p;function d(v,g){const _=w(g);return _.end(v),_}e.toStream=d;function s(v){let g=!1;return{read:()=>g?null:(g=!0,v)}}e.toReadable=s;function h(v,g,_){const r=w(_);return I(v,{onData:l=>r.write(g.data(l)),onError:l=>r.error(g.error?g.error(l):l),onEnd:()=>r.end()}),r}e.transform=h}),define(we[8],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function b(B){return!B||typeof B!="string"?!0:B.trim().length===0}e.isFalsyOrWhitespace=b;const S=/{(\d+)}/g;function T(B,...Z){return Z.length===0?B:B.replace(S,function(ce,j){const Y=parseInt(j,10);return isNaN(Y)||Y<0||Y>=Z.length?ce:Z[Y]})}e.format=T;function A(B){return B.replace(/[<>&]/g,function(Z){switch(Z){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Z}})}e.escape=A;function w(B){return B.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=w;function C(B,Z){let ce=0;const j=Z.charCodeAt(0);for(let Y=B.length-1;Y>=0;Y--)B.charCodeAt(Y)===j&&ce++;return ce}e.count=C;function D(B,Z,ce="\u2026"){return B.length<=Z?B:`${B.substr(0,Z)}${ce}`}e.truncate=D;function i(B,Z=" "){const ce=P(B,Z);return I(ce,Z)}e.trim=i;function P(B,Z){if(!B||!Z)return B;const ce=Z.length;if(ce===0||B.length===0)return B;let j=0;for(;B.indexOf(Z,j)===j;)j=j+ce;return B.substring(j)}e.ltrim=P;function I(B,Z){if(!B||!Z)return B;const ce=Z.length,j=B.length;if(ce===0||j===0)return B;let Y=j,le=-1;for(;le=B.lastIndexOf(Z,Y-1),!(le===-1||le+ce!==Y);){if(le===0)return"";Y=le}return B.substring(0,Y)}e.rtrim=I;function p(B){return B.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=p;function d(B){return B.replace(/\*/g,"")}e.stripWildcards=d;function s(B,Z,ce={}){if(!B)throw new Error("Cannot create regex from empty string");Z||(B=w(B)),ce.wholeWord&&(/\B/.test(B.charAt(0))||(B="\\b"+B),/\B/.test(B.charAt(B.length-1))||(B=B+"\\b"));let j="";return ce.global&&(j+="g"),ce.matchCase||(j+="i"),ce.multiline&&(j+="m"),ce.unicode&&(j+="u"),new RegExp(B,j)}e.createRegExp=s;function h(B){return B.source==="^"||B.source==="^$"||B.source==="$"||B.source==="^\\s*$"?!1:!!(B.exec("")&&B.lastIndex===0)}e.regExpLeadsToEndlessLoop=h;function v(B){return!!B.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=v;function g(B){return(B.global?"g":"")+(B.ignoreCase?"i":"")+(B.multiline?"m":"")+(B.unicode?"u":"")}e.regExpFlags=g;function _(B){return B.split(/\r\n|\r|\n/)}e.splitLines=_;function r(B){for(let Z=0,ce=B.length;Z<ce;Z++){const j=B.charCodeAt(Z);if(j!==32&&j!==9)return Z}return-1}e.firstNonWhitespaceIndex=r;function l(B,Z=0,ce=B.length){for(let j=Z;j<ce;j++){const Y=B.charCodeAt(j);if(Y!==32&&Y!==9)return B.substring(Z,j)}return B.substring(Z,ce)}e.getLeadingWhitespace=l;function u(B,Z=B.length-1){for(let ce=Z;ce>=0;ce--){const j=B.charCodeAt(ce);if(j!==32&&j!==9)return ce}return-1}e.lastNonWhitespaceIndex=u;function t(B,Z){return B<Z?-1:B>Z?1:0}e.compare=t;function o(B,Z,ce=0,j=B.length,Y=0,le=Z.length){for(;ce<j&&Y<le;ce++,Y++){let He=B.charCodeAt(ce),Ne=Z.charCodeAt(Y);if(He<Ne)return-1;if(He>Ne)return 1}const he=j-ce,be=le-Y;return he<be?-1:he>be?1:0}e.compareSubstring=o;function a(B,Z){return c(B,Z,0,B.length,0,Z.length)}e.compareIgnoreCase=a;function c(B,Z,ce=0,j=B.length,Y=0,le=Z.length){for(;ce<j&&Y<le;ce++,Y++){let He=B.charCodeAt(ce),Ne=Z.charCodeAt(Y);if(He!==Ne){const ze=He-Ne;if(!(ze===32&&f(Ne))&&!(ze===-32&&f(He)))return n(He)&&n(Ne)?ze:o(B.toLowerCase(),Z.toLowerCase(),ce,j,Y,le)}}const he=j-ce,be=le-Y;return he<be?-1:he>be?1:0}e.compareSubstringIgnoreCase=c;function n(B){return B>=97&&B<=122}e.isLowerAsciiLetter=n;function f(B){return B>=65&&B<=90}e.isUpperAsciiLetter=f;function y(B){return n(B)||f(B)}function k(B,Z){return B.length===Z.length&&m(B,Z)}e.equalsIgnoreCase=k;function m(B,Z,ce=B.length){for(let j=0;j<ce;j++){const Y=B.charCodeAt(j),le=Z.charCodeAt(j);if(Y!==le){if(y(Y)&&y(le)){const he=Math.abs(Y-le);if(he!==0&&he!==32)return!1}else if(String.fromCharCode(Y).toLowerCase()!==String.fromCharCode(le).toLowerCase())return!1}}return!0}function E(B,Z){const ce=Z.length;return Z.length>B.length?!1:m(B,Z,ce)}e.startsWithIgnoreCase=E;function R(B,Z){let ce,j=Math.min(B.length,Z.length);for(ce=0;ce<j;ce++)if(B.charCodeAt(ce)!==Z.charCodeAt(ce))return ce;return j}e.commonPrefixLength=R;function F(B,Z){let ce,j=Math.min(B.length,Z.length);const Y=B.length-1,le=Z.length-1;for(ce=0;ce<j;ce++)if(B.charCodeAt(Y-ce)!==Z.charCodeAt(le-ce))return ce;return j}e.commonSuffixLength=F;function $(B){return 55296<=B&&B<=56319}e.isHighSurrogate=$;function K(B){return 56320<=B&&B<=57343}e.isLowSurrogate=K;function G(B,Z){return(B-55296<<10)+(Z-56320)+65536}e.computeCodePoint=G;function H(B,Z,ce){const j=B.charCodeAt(ce);if($(j)&&ce+1<Z){const Y=B.charCodeAt(ce+1);if(K(Y))return G(j,Y)}return j}e.getNextCodePoint=H;function ue(B,Z){const ce=B.charCodeAt(Z-1);if(K(ce)&&Z>1){const j=B.charCodeAt(Z-2);if($(j))return G(j,ce)}return ce}function N(B,Z){const ce=Ue.getInstance(),j=Z,Y=B.length,le=H(B,Y,Z);Z+=le>=65536?2:1;let he=ce.getGraphemeBreakType(le);for(;Z<Y;){const be=H(B,Y,Z),He=ce.getGraphemeBreakType(be);if(Me(he,He))break;Z+=be>=65536?2:1,he=He}return Z-j}e.nextCharLength=N;function O(B,Z){const ce=Ue.getInstance(),j=Z,Y=ue(B,Z);Z-=Y>=65536?2:1;let le=ce.getGraphemeBreakType(Y);for(;Z>0;){const he=ue(B,Z),be=ce.getGraphemeBreakType(he);if(Me(be,le))break;Z-=he>=65536?2:1,le=be}return j-Z}e.prevCharLength=O;function x(B,Z){const ce=Ue.getInstance(),j=B.length,Y=Z,le=H(B,j,Z),he=ce.getGraphemeBreakType(le);Z+=le>=65536?2:1;let be=he;for(;Z<j;){const Ne=H(B,j,Z),ze=ce.getGraphemeBreakType(Ne);if(Me(be,ze))break;Z+=Ne>=65536?2:1,be=ze}const He=Z;for(Z=Y,be=he;Z>0;){const Ne=ue(B,Z),ze=ce.getGraphemeBreakType(Ne);if(Me(ze,be))break;Z-=Ne>=65536?2:1,be=ze}return[Z,He]}function L(B,Z){return Z>0&&K(B.charCodeAt(Z))?x(B,Z-1):x(B,Z)}e.getCharContainingOffset=L;function z(B){const Z=B.length;let ce=0,j=0;for(;j<Z;){const he=H(B,Z,j);j+=he>=65536?2:1,he<128?ce+=1:he<2048?ce+=2:he<65536?ce+=3:ce+=4}const Y=new Uint8Array(ce);j=0;let le=0;for(;j<Z;){const he=H(B,Z,j);j+=he>=65536?2:1,he<128?Y[le++]=he:he<2048?(Y[le++]=192|(he&1984)>>>6,Y[le++]=128|(he&63)>>>0):he<65536?(Y[le++]=224|(he&61440)>>>12,Y[le++]=128|(he&4032)>>>6,Y[le++]=128|(he&63)>>>0):(Y[le++]=240|(he&1835008)>>>18,Y[le++]=128|(he&258048)>>>12,Y[le++]=128|(he&4032)>>>6,Y[le++]=128|(he&63)>>>0)}return Y}e.encodeUTF8=z;function ae(B){const Z=B.byteLength,ce=[];let j=0;for(;j<Z;){const Y=B[j];let le;if(Y>=240&&j+3<Z?le=(B[j++]&7)<<18>>>0|(B[j++]&63)<<12>>>0|(B[j++]&63)<<6>>>0|(B[j++]&63)<<0>>>0:Y>=224&&j+2<Z?le=(B[j++]&15)<<12>>>0|(B[j++]&63)<<6>>>0|(B[j++]&63)<<0>>>0:Y>=192&&j+1<Z?le=(B[j++]&31)<<6>>>0|(B[j++]&63)<<0>>>0:le=B[j++],le>=0&&le<=55295||le>=57344&&le<=65535)ce.push(String.fromCharCode(le));else if(le>=65536&&le<=1114111){const he=le-65536,be=55296+((he&1047552)>>>10),He=56320+((he&1023)>>>0);ce.push(String.fromCharCode(be)),ce.push(String.fromCharCode(He))}else ce.push(String.fromCharCode(65533))}return ce.join("")}e.decodeUTF8=ae;const re=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function de(B){return re.test(B)}e.containsRTL=de;const fe=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Ae(B){return fe.test(B)}e.containsEmoji=Ae;const je=/^[\t\n\r\x20-\x7E]*$/;function Te(B){return je.test(B)}e.isBasicASCII=Te,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function xe(B){return e.UNUSUAL_LINE_TERMINATORS.test(B)}e.containsUnusualLineTerminators=xe;function W(B){for(let Z=0,ce=B.length;Z<ce;Z++)if(J(B.charCodeAt(Z)))return!0;return!1}e.containsFullWidthCharacter=W;function J(B){return B=+B,B>=11904&&B<=55215||B>=63744&&B<=64255||B>=65281&&B<=65374}e.isFullWidthCharacter=J;function ee(B){return B>=127462&&B<=127487||B===8986||B===8987||B===9200||B===9203||B>=9728&&B<=10175||B===11088||B===11093||B>=127744&&B<=128591||B>=128640&&B<=128764||B>=128992&&B<=129003||B>=129280&&B<=129535||B>=129648&&B<=129750}e.isEmojiImprecise=ee;function te(B,Z){if(B.length<Z)return B;const ce=/\b/g;let j=0;for(;ce.test(B)&&!(B.length-ce.lastIndex<Z);)j=ce.lastIndex,ce.lastIndex+=1;return B.substring(j).replace(/^\s/,"")}e.lcut=te;const me=/\x1B\x5B[12]?K/g,Ce=/\x1b\[\d+m/g,Oe=/\x1b\[0?m/g;function ge(B){return B&&(B=B.replace(me,""),B=B.replace(Ce,""),B=B.replace(Oe,"")),B}e.removeAnsiEscapeCodes=ge,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ke(B){return!!(B&&B.length>0&&B.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ke;function Pe(B){return ke(B)?B.substr(1):B}e.stripUTF8BOM=Pe;function $e(B,Z){if(!B||!Z||B.length<Z.length)return!1;const ce=Z.length,j=B.toLowerCase();let Y=0,le=-1;for(;Y<ce;){const he=j.indexOf(Z[Y],le+1);if(he<0)return!1;le=he,Y++}return!0}e.fuzzyContains=$e;function _e(B,Z=!1){return B?(Z&&(B=B.replace(/\\./g,"")),B.toLowerCase()!==B):!1}e.containsUppercaseCharacter=_e;function Ge(B){return B.charAt(0).toUpperCase()+B.slice(1)}e.uppercaseFirstLetter=Ge;function V(B,Z=1){if(Z===0)return"";let ce=-1;do ce=B.indexOf(`
`,ce+1),Z--;while(Z>0&&ce>=0);return ce===-1?B:(B[ce-1]==="\r"&&ce--,B.substr(0,ce))}e.getNLines=V;function X(B){const Z=90-65+1;return B=B%(2*Z),B<Z?String.fromCharCode(97+B):String.fromCharCode(65+B-Z)}e.singleLetterHash=X;function ve(B){return Ue.getInstance().getGraphemeBreakType(B)}e.getGraphemeBreakType=ve;function Me(B,Z){return B===0?Z!==5&&Z!==7:B===2&&Z===3?!1:B===4||B===2||B===3||Z===4||Z===2||Z===3?!0:!(B===8&&(Z===8||Z===9||Z===11||Z===12)||(B===11||B===9)&&(Z===9||Z===10)||(B===12||B===10)&&Z===10||Z===5||Z===13||Z===7||B===1||B===13&&Z===14||B===6&&Z===6)}e.breakBetweenGraphemeBreakType=Me;var We;(function(B){B[B.Other=0]="Other",B[B.Prepend=1]="Prepend",B[B.CR=2]="CR",B[B.LF=3]="LF",B[B.Control=4]="Control",B[B.Extend=5]="Extend",B[B.Regional_Indicator=6]="Regional_Indicator",B[B.SpacingMark=7]="SpacingMark",B[B.L=8]="L",B[B.V=9]="V",B[B.T=10]="T",B[B.LV=11]="LV",B[B.LVT=12]="LVT",B[B.ZWJ=13]="ZWJ",B[B.Extended_Pictographic=14]="Extended_Pictographic"})(We=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ue{constructor(){this._data=et()}static getInstance(){return Ue._INSTANCE||(Ue._INSTANCE=new Ue),Ue._INSTANCE}getGraphemeBreakType(Z){if(Z<32)return Z===10?3:Z===13?2:4;if(Z<127)return 0;const ce=this._data,j=ce.length/3;let Y=1;for(;Y<=j;)if(Z<ce[3*Y])Y=2*Y;else if(Z>ce[3*Y+1])Y=2*Y+1;else return ce[3*Y+2];return 0}}Ue._INSTANCE=null;function et(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(we[26],Ee([0,1,8,106]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const T=typeof Buffer!="undefined",A=typeof TextEncoder!="undefined",w=typeof TextDecoder!="undefined";let C,D;class i{constructor(n){this.buffer=n,this.byteLength=this.buffer.byteLength}static alloc(n){return T?new i(Buffer.allocUnsafe(n)):new i(new Uint8Array(n))}static wrap(n){return T&&!Buffer.isBuffer(n)&&(n=Buffer.from(n.buffer,n.byteOffset,n.byteLength)),new i(n)}static fromString(n,f){return!((f==null?void 0:f.dontUseNodeBuffer)||!1)&&T?new i(Buffer.from(n)):A?(C||(C=new TextEncoder),new i(C.encode(n))):new i(b.encodeUTF8(n))}static concat(n,f){if(typeof f=="undefined"){f=0;for(let m=0,E=n.length;m<E;m++)f+=n[m].byteLength}const y=i.alloc(f);let k=0;for(let m=0,E=n.length;m<E;m++){const R=n[m];y.set(R,k),k+=R.byteLength}return y}toString(){return T?this.buffer.toString():w?(D||(D=new TextDecoder),D.decode(this.buffer)):b.decodeUTF8(this.buffer)}slice(n,f){return new i(this.buffer.subarray(n,f))}set(n,f){n instanceof i?this.buffer.set(n.buffer,f):this.buffer.set(n,f)}readUInt32BE(n){return p(this.buffer,n)}writeUInt32BE(n,f){d(this.buffer,n,f)}readUInt32LE(n){return s(this.buffer,n)}writeUInt32LE(n,f){h(this.buffer,n,f)}readUInt8(n){return v(this.buffer,n)}writeUInt8(n,f){g(this.buffer,n,f)}}e.VSBuffer=i;function P(c,n){return c[n+0]<<0>>>0|c[n+1]<<8>>>0}e.readUInt16LE=P;function I(c,n,f){c[f+0]=n&255,n=n>>>8,c[f+1]=n&255}e.writeUInt16LE=I;function p(c,n){return c[n]*2**24+c[n+1]*2**16+c[n+2]*2**8+c[n+3]}e.readUInt32BE=p;function d(c,n,f){c[f+3]=n,n=n>>>8,c[f+2]=n,n=n>>>8,c[f+1]=n,n=n>>>8,c[f]=n}e.writeUInt32BE=d;function s(c,n){return c[n+0]<<0>>>0|c[n+1]<<8>>>0|c[n+2]<<16>>>0|c[n+3]<<24>>>0}e.readUInt32LE=s;function h(c,n,f){c[f+0]=n&255,n=n>>>8,c[f+1]=n&255,n=n>>>8,c[f+2]=n&255,n=n>>>8,c[f+3]=n&255}e.writeUInt32LE=h;function v(c,n){return c[n]}e.readUInt8=v;function g(c,n,f){c[f]=n}e.writeUInt8=g;function _(c){return S.consumeReadable(c,n=>i.concat(n))}e.readableToBuffer=_;function r(c){return S.toReadable(c)}e.bufferToReadable=r;function l(c){return S.consumeStream(c,n=>i.concat(n))}e.streamToBuffer=l;async function u(c){return c.ended?i.concat(c.buffer):i.concat([...c.buffer,await l(c.stream)])}e.bufferedStreamToBuffer=u;function t(c){return S.toStream(c,n=>i.concat(n))}e.bufferToStream=t;function o(c){return S.transform(c,{data:n=>typeof n=="string"?i.fromString(n):i.wrap(n)},n=>i.concat(n))}e.streamToBufferReadableStream=o;function a(c){return S.newWriteableStream(n=>i.concat(n),c)}e.newWriteableBufferStream=a}),define(we[56],Ee([0,1,8]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function S(g){return T(g,0)}e.hash=S;function T(g,_){switch(typeof g){case"object":return g===null?A(349,_):Array.isArray(g)?D(g,_):i(g,_);case"string":return C(g,_);case"boolean":return w(g,_);case"number":return A(g,_);case"undefined":return A(937,_);default:return A(617,_)}}e.doHash=T;function A(g,_){return(_<<5)-_+g|0}function w(g,_){return A(g?433:863,_)}function C(g,_){_=A(149417,_);for(let r=0,l=g.length;r<l;r++)_=A(g.charCodeAt(r),_);return _}e.stringHash=C;function D(g,_){return _=A(104579,_),g.reduce((r,l)=>T(l,r),_)}function i(g,_){return _=A(181387,_),Object.keys(g).sort().reduce((r,l)=>(r=C(l,r),T(g[l],r)),_)}class P{constructor(){this._value=0}get value(){return this._value}hash(_){return this._value=T(_,this._value),this._value}}e.Hasher=P;var I;(function(g){g[g.BLOCK_SIZE=64]="BLOCK_SIZE",g[g.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(I||(I={}));function p(g,_,r=32){const l=r-_,u=~((1<<l)-1);return(g<<_|(u&g)>>>l)>>>0}function d(g,_=0,r=g.byteLength,l=0){for(let u=0;u<r;u++)g[_+u]=l}function s(g,_,r="0"){for(;g.length<_;)g=r+g;return g}function h(g,_=32){return g instanceof ArrayBuffer?Array.from(new Uint8Array(g)).map(r=>r.toString(16).padStart(2,"0")).join(""):s((g>>>0).toString(16),_/4)}e.toHexString=h;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(_){const r=_.length;if(r!==0){const l=this._buff;let u=this._buffLen,t=this._leftoverHighSurrogate,o,a;for(t!==0?(o=t,a=-1,t=0):(o=_.charCodeAt(0),a=0);;){let c=o;if(b.isHighSurrogate(o))if(a+1<r){const n=_.charCodeAt(a+1);b.isLowSurrogate(n)?(a++,c=b.computeCodePoint(o,n)):c=65533}else{t=o;break}else b.isLowSurrogate(o)&&(c=65533);if(u=this._push(l,u,c),a++,a<r)o=_.charCodeAt(a);else break}this._buffLen=u,this._leftoverHighSurrogate=t}}_push(_,r,l){return l<128?_[r++]=l:l<2048?(_[r++]=192|(l&1984)>>>6,_[r++]=128|(l&63)>>>0):l<65536?(_[r++]=224|(l&61440)>>>12,_[r++]=128|(l&4032)>>>6,_[r++]=128|(l&63)>>>0):(_[r++]=240|(l&1835008)>>>18,_[r++]=128|(l&258048)>>>12,_[r++]=128|(l&4032)>>>6,_[r++]=128|(l&63)>>>0),r>=64&&(this._step(),r-=64,this._totalLen+=64,_[0]=_[64+0],_[1]=_[64+1],_[2]=_[64+2]),r}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),h(this._h0)+h(this._h1)+h(this._h2)+h(this._h3)+h(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,d(this._buff,this._buffLen),this._buffLen>56&&(this._step(),d(this._buff));const _=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(_/4294967296),!1),this._buffDV.setUint32(60,_%4294967296,!1),this._step()}_step(){const _=v._bigBlock32,r=this._buffDV;for(let y=0;y<64;y+=4)_.setUint32(y,r.getUint32(y,!1),!1);for(let y=64;y<320;y+=4)_.setUint32(y,p(_.getUint32(y-12,!1)^_.getUint32(y-32,!1)^_.getUint32(y-56,!1)^_.getUint32(y-64,!1),1),!1);let l=this._h0,u=this._h1,t=this._h2,o=this._h3,a=this._h4,c,n,f;for(let y=0;y<80;y++)y<20?(c=u&t|~u&o,n=1518500249):y<40?(c=u^t^o,n=1859775393):y<60?(c=u&t|u&o|t&o,n=2400959708):(c=u^t^o,n=3395469782),f=p(l,5)+c+a+n+_.getUint32(y*4,!1)&4294967295,a=o,o=t,t=p(u,30),u=l,l=f;this._h0=this._h0+l&4294967295,this._h1=this._h1+u&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+o&4294967295,this._h4=this._h4+a&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))}),define(we[57],Ee([0,1,8]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var S;(function(T){T[T.Ignore=0]="Ignore",T[T.Info=1]="Info",T[T.Warning=2]="Warning",T[T.Error=3]="Error"})(S||(S={})),function(T){const A="error",w="warning",C="warn",D="info";function i(P){return P?b.equalsIgnoreCase(A,P)?T.Error:b.equalsIgnoreCase(w,P)||b.equalsIgnoreCase(C,P)?T.Warning:b.equalsIgnoreCase(D,P)?T.Info:T.Ignore:T.Ignore}T.fromValue=i}(S||(S={})),e.default=S}),define(we[13],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function b(n){return Array.isArray(n)}e.isArray=b;function S(n){return typeof n=="string"}e.isString=S;function T(n){return Array.isArray(n)&&n.every(f=>S(f))}e.isStringArray=T;function A(n){return typeof n=="object"&&n!==null&&!Array.isArray(n)&&!(n instanceof RegExp)&&!(n instanceof Date)}e.isObject=A;function w(n){return typeof n=="number"&&!isNaN(n)}e.isNumber=w;function C(n){return n===!0||n===!1}e.isBoolean=C;function D(n){return typeof n=="undefined"}e.isUndefined=D;function i(n){return!P(n)}e.isDefined=i;function P(n){return D(n)||n===null}e.isUndefinedOrNull=P;function I(n,f){if(!n)throw new Error(f?`Unexpected type, expected '${f}'`:"Unexpected type")}e.assertType=I;function p(n){if(P(n))throw new Error("Assertion Failed: argument is undefined or null");return n}e.assertIsDefined=p;function d(...n){const f=[];for(let y=0;y<n.length;y++){const k=n[y];if(P(k))throw new Error(`Assertion Failed: argument at index ${y} is undefined or null`);f.push(k)}return f}e.assertAllDefined=d;const s=Object.prototype.hasOwnProperty;function h(n){if(!A(n))return!1;for(let f in n)if(s.call(n,f))return!1;return!0}e.isEmptyObject=h;function v(n){return typeof n=="function"}e.isFunction=v;function g(...n){return n.length>0&&n.every(v)}e.areFunctions=g;function _(n,f){const y=Math.min(n.length,f.length);for(let k=0;k<y;k++)r(n[k],f[k])}e.validateConstraints=_;function r(n,f){if(S(f)){if(typeof n!==f)throw new Error(`argument does not match constraint: typeof ${f}`)}else if(v(f)){try{if(n instanceof f)return}catch(y){}if(!P(n)&&n.constructor===f||f.length===1&&f.call(void 0,n)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=r;function l(n){let f=[],y=Object.getPrototypeOf(n);for(;Object.prototype!==y;)f=f.concat(Object.getOwnPropertyNames(y)),y=Object.getPrototypeOf(y);return f}e.getAllPropertyNames=l;function u(n){const f=[];for(const y of l(n))typeof n[y]=="function"&&f.push(y);return f}e.getAllMethodNames=u;function t(n,f){const y=m=>function(){const E=Array.prototype.slice.call(arguments,0);return f(m,E)};let k={};for(const m of n)k[m]=y(m);return k}e.createProxyObject=t;function o(n){return n===null?void 0:n}e.withNullAsUndefined=o;function a(n){return typeof n=="undefined"?null:n}e.withUndefinedAsNull=a;function c(n){return class{constructor(){return new Proxy({},{get(f,y){if(f[y])return f[y];throw new Error(`Not Implemented: ${n}->${String(y)}`)}})}}}e.NotImplementedProxy=c}),define(we[38],Ee([0,1,21,8,12,13]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function w(o){return o===47||o===92}e.isPathSeparator=w;function C(o){return o.replace(/[\\/]/g,T.posix.sep)}e.toSlashes=C;function D(o,a=T.posix.sep){if(!o)return"";const c=o.length,n=o.charCodeAt(0);if(w(n)){if(w(o.charCodeAt(1))&&!w(o.charCodeAt(2))){let y=3;const k=y;for(;y<c&&!w(o.charCodeAt(y));y++);if(k!==y&&!w(o.charCodeAt(y+1))){for(y+=1;y<c;y++)if(w(o.charCodeAt(y)))return o.slice(0,y+1).replace(/[\\/]/g,a)}}return a}else if(v(n)&&o.charCodeAt(1)===58)return w(o.charCodeAt(2))?o.slice(0,2)+a:o.slice(0,2);let f=o.indexOf("://");if(f!==-1){for(f+=3;f<c;f++)if(w(o.charCodeAt(f)))return o.slice(0,f+1)}return""}e.getRoot=D;function i(o){if(!b.isWindows||!o||o.length<5)return!1;let a=o.charCodeAt(0);if(a!==92||(a=o.charCodeAt(1),a!==92))return!1;let c=2;const n=c;for(;c<o.length&&(a=o.charCodeAt(c),a!==92);c++);return!(n===c||(a=o.charCodeAt(c+1),isNaN(a)||a===92))}e.isUNC=i;const P=/[\\/:\*\?"<>\|]/g,I=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(o,a=b.isWindows){const c=a?P:I;return!(!o||o.length===0||/^\s+$/.test(o)||(c.lastIndex=0,c.test(o))||a&&p.test(o)||o==="."||o===".."||a&&o[o.length-1]==="."||a&&o.length!==o.trim().length||o.length>255)}e.isValidBasename=d;function s(o,a,c){const n=o===a;return!c||n?n:!o||!a?!1:S.equalsIgnoreCase(o,a)}e.isEqual=s;function h(o,a,c,n=T.sep){if(o===a)return!0;if(!o||!a||a.length>o.length)return!1;if(c){if(!S.startsWithIgnoreCase(o,a))return!1;if(a.length===o.length)return!0;let y=a.length;return a.charAt(a.length-1)===n&&y--,o.charAt(y)===n}return a.charAt(a.length-1)!==n&&(a+=n),o.indexOf(a)===0}e.isEqualOrParent=h;function v(o){return o>=65&&o<=90||o>=97&&o<=122}e.isWindowsDriveLetter=v;function g(o,a){return b.isWindows&&o.endsWith(":")&&(o+=T.sep),T.isAbsolute(o)||(o=T.join(a,o)),o=T.normalize(o),b.isWindows?(o=S.rtrim(o,T.sep),o.endsWith(":")&&(o+=T.sep)):(o=S.rtrim(o,T.sep),o||(o=T.sep)),o}e.sanitizeFilePath=g;function _(o){const a=T.normalize(o);return b.isWindows?o.length>3?!1:r(a)&&(o.length===2||a.charCodeAt(2)===92):a===T.posix.sep}e.isRootOrDriveLetter=_;function r(o){return b.isWindows?v(o.charCodeAt(0))&&o.charCodeAt(1)===58:!1}e.hasDriveLetter=r;function l(o){return r(o)?o[0]:void 0}e.getDriveLetter=l;function u(o,a,c){return a.length>o.length?-1:o===a?0:(c&&(o=o.toLowerCase(),a=a.toLowerCase()),o.indexOf(a))}e.indexOfPath=u;function t(o){const a=o.split(":");let c,n,f;if(a.forEach(y=>{const k=Number(y);A.isNumber(k)?n===void 0?n=k:f===void 0&&(f=k):c=c?[c,y].join(":"):y}),!c)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:c,line:n!==void 0?n:void 0,column:f!==void 0?f:n!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(we[23],Ee([0,1,13]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function S(s){if(!s||typeof s!="object"||s instanceof RegExp)return s;const h=Array.isArray(s)?[]:{};return Object.keys(s).forEach(v=>{s[v]&&typeof s[v]=="object"?h[v]=S(s[v]):h[v]=s[v]}),h}e.deepClone=S;function T(s){if(!s||typeof s!="object")return s;const h=[s];for(;h.length>0;){const v=h.shift();Object.freeze(v);for(const g in v)if(A.call(v,g)){const _=v[g];typeof _=="object"&&!Object.isFrozen(_)&&h.push(_)}}return s}e.deepFreeze=T;const A=Object.prototype.hasOwnProperty;function w(s,h){return C(s,h,new Set)}e.cloneAndChange=w;function C(s,h,v){if(b.isUndefinedOrNull(s))return s;const g=h(s);if(typeof g!="undefined")return g;if(b.isArray(s)){const _=[];for(const r of s)_.push(C(r,h,v));return _}if(b.isObject(s)){if(v.has(s))throw new Error("Cannot clone recursive data-structure");v.add(s);const _={};for(let r in s)A.call(s,r)&&(_[r]=C(s[r],h,v));return v.delete(s),_}return s}function D(s,h,v=!0){return b.isObject(s)?(b.isObject(h)&&Object.keys(h).forEach(g=>{g in s?v&&(b.isObject(s[g])&&b.isObject(h[g])?D(s[g],h[g],v):s[g]=h[g]):s[g]=h[g]}),s):h}e.mixin=D;function i(s,h){if(s===h)return!0;if(s==null||h===null||h===void 0||typeof s!=typeof h||typeof s!="object"||Array.isArray(s)!==Array.isArray(h))return!1;let v,g;if(Array.isArray(s)){if(s.length!==h.length)return!1;for(v=0;v<s.length;v++)if(!i(s[v],h[v]))return!1}else{const _=[];for(g in s)_.push(g);_.sort();const r=[];for(g in h)r.push(g);if(r.sort(),!i(_,r))return!1;for(v=0;v<_.length;v++)if(!i(s[_[v]],h[_[v]]))return!1}return!0}e.equals=i;function P(s){const h=new Set;return JSON.stringify(s,(v,g)=>{if(b.isObject(g)||Array.isArray(g)){if(h.has(g))return"[Circular]";h.add(g)}return g})}e.safeStringify=P;function I(s,h,v){const g=h(s);return typeof g=="undefined"?v:g}e.getOrDefault=I;function p(s,h){const v=Object.create(null);return!s||!h||Object.keys(h).forEach(_=>{const r=s[_],l=h[_];i(r,l)||(v[_]=l)}),v}e.distinct=p;function d(s,h){const v=h.toLowerCase(),g=Object.keys(s).find(_=>_.toLowerCase()===v);return g?s[g]:s[h]}e.getCaseInsensitive=d}),define(we[79],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var b;(function(A){A[A.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",A[A.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",A[A.MAX_UINT_8=255]="MAX_UINT_8",A[A.MAX_UINT_16=65535]="MAX_UINT_16",A[A.MAX_UINT_32=4294967295]="MAX_UINT_32",A[A.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(b=e.Constants||(e.Constants={}));function S(A){return A<0?0:A>255?255:A|0}e.toUint8=S;function T(A){return A<0?0:A>4294967295?4294967295:A|0}e.toUint32=T}),define(we[2],Ee([0,1,21,12]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const T=/^\w[\w\d+.-]*$/,A=/^\//,w=/^\/\//;function C(a,c){if(!a.scheme&&c)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${a.authority}", path: "${a.path}", query: "${a.query}", fragment: "${a.fragment}"}`);if(a.scheme&&!T.test(a.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(a.path){if(a.authority){if(!A.test(a.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(w.test(a.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function D(a,c){return!a&&!c?"file":a}function i(a,c){switch(a){case"https":case"http":case"file":c?c[0]!==I&&(c=I+c):c=I;break}return c}const P="",I="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class d{constructor(c,n,f,y,k,m=!1){typeof c=="object"?(this.scheme=c.scheme||P,this.authority=c.authority||P,this.path=c.path||P,this.query=c.query||P,this.fragment=c.fragment||P):(this.scheme=D(c,m),this.authority=n||P,this.path=i(this.scheme,f||P),this.query=y||P,this.fragment=k||P,C(this,m))}static isUri(c){return c instanceof d?!0:c?typeof c.authority=="string"&&typeof c.fragment=="string"&&typeof c.path=="string"&&typeof c.query=="string"&&typeof c.scheme=="string"&&typeof c.fsPath=="string"&&typeof c.with=="function"&&typeof c.toString=="function":!1}get fsPath(){return r(this,!1)}with(c){if(!c)return this;let{scheme:n,authority:f,path:y,query:k,fragment:m}=c;return n===void 0?n=this.scheme:n===null&&(n=P),f===void 0?f=this.authority:f===null&&(f=P),y===void 0?y=this.path:y===null&&(y=P),k===void 0?k=this.query:k===null&&(k=P),m===void 0?m=this.fragment:m===null&&(m=P),n===this.scheme&&f===this.authority&&y===this.path&&k===this.query&&m===this.fragment?this:new h(n,f,y,k,m)}static parse(c,n=!1){const f=p.exec(c);return f?new h(f[2]||P,o(f[4]||P),o(f[5]||P),o(f[7]||P),o(f[9]||P),n):new h(P,P,P,P,P)}static file(c){let n=P;if(b.isWindows&&(c=c.replace(/\\/g,I)),c[0]===I&&c[1]===I){const f=c.indexOf(I,2);f===-1?(n=c.substring(2),c=I):(n=c.substring(2,f),c=c.substring(f)||I)}return new h("file",n,c,P,P)}static from(c){return new h(c.scheme,c.authority,c.path,c.query,c.fragment)}static joinPath(c,...n){if(!c.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let f;return b.isWindows&&c.scheme==="file"?f=d.file(S.win32.join(r(c,!0),...n)).path:f=S.posix.join(c.path,...n),c.with({path:f})}toString(c=!1){return l(this,c)}toJSON(){return this}static revive(c){if(c){if(c instanceof d)return c;{const n=new h(c);return n._formatted=c.external,n._fsPath=c._sep===s?c.fsPath:null,n}}else return c}}e.URI=d;const s=b.isWindows?1:void 0;class h extends d{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=r(this,!1)),this._fsPath}toString(c=!1){return c?l(this,!0):(this._formatted||(this._formatted=l(this,!1)),this._formatted)}toJSON(){const c={$mid:1};return this._fsPath&&(c.fsPath=this._fsPath,c._sep=s),this._formatted&&(c.external=this._formatted),this.path&&(c.path=this.path),this.scheme&&(c.scheme=this.scheme),this.authority&&(c.authority=this.authority),this.query&&(c.query=this.query),this.fragment&&(c.fragment=this.fragment),c}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function g(a,c){let n,f=-1;for(let y=0;y<a.length;y++){const k=a.charCodeAt(y);if(k>=97&&k<=122||k>=65&&k<=90||k>=48&&k<=57||k===45||k===46||k===95||k===126||c&&k===47)f!==-1&&(n+=encodeURIComponent(a.substring(f,y)),f=-1),n!==void 0&&(n+=a.charAt(y));else{n===void 0&&(n=a.substr(0,y));const m=v[k];m!==void 0?(f!==-1&&(n+=encodeURIComponent(a.substring(f,y)),f=-1),n+=m):f===-1&&(f=y)}}return f!==-1&&(n+=encodeURIComponent(a.substring(f))),n!==void 0?n:a}function _(a){let c;for(let n=0;n<a.length;n++){const f=a.charCodeAt(n);f===35||f===63?(c===void 0&&(c=a.substr(0,n)),c+=v[f]):c!==void 0&&(c+=a[n])}return c!==void 0?c:a}function r(a,c){let n;return a.authority&&a.path.length>1&&a.scheme==="file"?n=`//${a.authority}${a.path}`:a.path.charCodeAt(0)===47&&(a.path.charCodeAt(1)>=65&&a.path.charCodeAt(1)<=90||a.path.charCodeAt(1)>=97&&a.path.charCodeAt(1)<=122)&&a.path.charCodeAt(2)===58?c?n=a.path.substr(1):n=a.path[1].toLowerCase()+a.path.substr(2):n=a.path,b.isWindows&&(n=n.replace(/\//g,"\\")),n}e.uriToFsPath=r;function l(a,c){const n=c?_:g;let f="",{scheme:y,authority:k,path:m,query:E,fragment:R}=a;if(y&&(f+=y,f+=":"),(k||y==="file")&&(f+=I,f+=I),k){let F=k.indexOf("@");if(F!==-1){const $=k.substr(0,F);k=k.substr(F+1),F=$.indexOf(":"),F===-1?f+=n($,!1):(f+=n($.substr(0,F),!1),f+=":",f+=n($.substr(F+1),!1)),f+="@"}k=k.toLowerCase(),F=k.indexOf(":"),F===-1?f+=n(k,!1):(f+=n(k.substr(0,F),!1),f+=k.substr(F))}if(m){if(m.length>=3&&m.charCodeAt(0)===47&&m.charCodeAt(2)===58){const F=m.charCodeAt(1);F>=65&&F<=90&&(m=`/${String.fromCharCode(F+32)}:${m.substr(3)}`)}else if(m.length>=2&&m.charCodeAt(1)===58){const F=m.charCodeAt(0);F>=65&&F<=90&&(m=`${String.fromCharCode(F+32)}:${m.substr(2)}`)}f+=n(m,!0)}return E&&(f+="?",f+=n(E,!1)),R&&(f+="#",f+=c?R:g(R,!1)),f}function u(a){try{return decodeURIComponent(a)}catch(c){return a.length>3?a.substr(0,3)+u(a.substr(3)):a}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function o(a){return a.match(t)?a.replace(t,c=>u(c)):a}}),define(we[22],Ee([0,1,2,8]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function T(_,r,l){let u=_.get(r);return u===void 0&&(u=l,_.set(r,u)),u}e.getOrSet=T;function A(_){const r=[];return _.forEach((l,u)=>{r.push(`${u} => ${l}`)}),`Map(${_.size}) {${r.join(", ")}}`}e.mapToString=A;function w(_){const r=[];return _.forEach(l=>{r.push(l)}),`Set(${_.size}) {${r.join(", ")}}`}e.setToString=w;class C{constructor(){this._value="",this._pos=0}reset(r){return this._value=r,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(r){const l=r.charCodeAt(0),u=this._value.charCodeAt(this._pos);return l-u}value(){return this._value[this._pos]}}e.StringIterator=C;class D{constructor(r=!0){this._caseSensitive=r}reset(r){return this._value=r,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(r)this._from++;else break;else r=!1;return this}cmp(r){return this._caseSensitive?S.compareSubstring(r,this._value,0,r.length,this._from,this._to):S.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=D;class i{constructor(r=!0,l=!0){this._splitOnBackslash=r,this._caseSensitive=l}reset(r){return this._value=r.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let r=!0;for(;this._to<this._value.length;this._to++){const l=this._value.charCodeAt(this._to);if(l===47||this._splitOnBackslash&&l===92)if(r)this._from++;else break;else r=!1}return this}cmp(r){return this._caseSensitive?S.compareSubstring(r,this._value,0,r.length,this._from,this._to):S.compareSubstringIgnoreCase(r,this._value,0,r.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=i;var P;(function(_){_[_.Scheme=1]="Scheme",_[_.Authority=2]="Authority",_[_.Path=3]="Path",_[_.Query=4]="Query",_[_.Fragment=5]="Fragment"})(P||(P={}));class I{constructor(r){this._ignorePathCasing=r,this._states=[],this._stateIdx=0}reset(r){return this._value=r,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new i(!1,!this._ignorePathCasing(r)),this._pathIterator.reset(r.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(r){if(this._states[this._stateIdx]===1)return S.compareIgnoreCase(r,this._value.scheme);if(this._states[this._stateIdx]===2)return S.compareIgnoreCase(r,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(r);if(this._states[this._stateIdx]===4)return S.compare(r,this._value.query);if(this._states[this._stateIdx]===5)return S.compare(r,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=I;class p{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class d{constructor(r){this._iter=r}static forUris(r=()=>!1){return new d(new I(r))}static forPaths(){return new d(new i)}static forStrings(){return new d(new C)}static forConfigKeys(){return new d(new D)}clear(){this._root=void 0}set(r,l){const u=this._iter.reset(r);let t;for(this._root||(this._root=new p,this._root.segment=u.value()),t=this._root;;){const a=u.cmp(t.segment);if(a>0)t.left||(t.left=new p,t.left.segment=u.value()),t=t.left;else if(a<0)t.right||(t.right=new p,t.right.segment=u.value()),t=t.right;else if(u.hasNext())u.next(),t.mid||(t.mid=new p,t.mid.segment=u.value()),t=t.mid;else break}const o=t.value;return t.value=l,t.key=r,o}get(r){var l;return(l=this._getNode(r))===null||l===void 0?void 0:l.value}_getNode(r){const l=this._iter.reset(r);let u=this._root;for(;u;){const t=l.cmp(u.segment);if(t>0)u=u.left;else if(t<0)u=u.right;else if(l.hasNext())l.next(),u=u.mid;else break}return u}has(r){const l=this._getNode(r);return!((l==null?void 0:l.value)===void 0&&(l==null?void 0:l.mid)===void 0)}delete(r){return this._delete(r,!1)}deleteSuperstr(r){return this._delete(r,!0)}_delete(r,l){const u=this._iter.reset(r),t=[];let o=this._root;for(;o;){const a=u.cmp(o.segment);if(a>0)t.push([1,o]),o=o.left;else if(a<0)t.push([-1,o]),o=o.right;else if(u.hasNext())u.next(),t.push([0,o]),o=o.mid;else{for(l?(o.left=void 0,o.mid=void 0,o.right=void 0):o.value=void 0;t.length>0&&o.isEmpty();){let[c,n]=t.pop();switch(c){case 1:n.left=void 0;break;case 0:n.mid=void 0;break;case-1:n.right=void 0;break}o=n}break}}}findSubstr(r){const l=this._iter.reset(r);let u=this._root,t;for(;u;){const o=l.cmp(u.segment);if(o>0)u=u.left;else if(o<0)u=u.right;else if(l.hasNext())l.next(),t=u.value||t,u=u.mid;else break}return u&&u.value||t}findSuperstr(r){const l=this._iter.reset(r);let u=this._root;for(;u;){const t=l.cmp(u.segment);if(t>0)u=u.left;else if(t<0)u=u.right;else if(l.hasNext())l.next(),u=u.mid;else return u.mid?this._entries(u.mid):void 0}}forEach(r){for(const[l,u]of this)r(u,l)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(r){r&&(yield*this._entries(r.left),r.value&&(yield[r.key,r.value]),yield*this._entries(r.mid),yield*this._entries(r.right))}}e.TernarySearchTree=d;class s{constructor(r,l){this[Symbol.toStringTag]="ResourceMap",r instanceof s?(this.map=new Map(r.map),this.toKey=l!=null?l:s.defaultToKey):(this.map=new Map,this.toKey=r!=null?r:s.defaultToKey)}set(r,l){return this.map.set(this.toKey(r),l),this}get(r){return this.map.get(this.toKey(r))}has(r){return this.map.has(this.toKey(r))}get size(){return this.map.size}clear(){this.map.clear()}delete(r){return this.map.delete(this.toKey(r))}forEach(r,l){typeof l!="undefined"&&(r=r.bind(l));for(let[u,t]of this.map)r(t,b.URI.parse(u),this)}values(){return this.map.values()}*keys(){for(let r of this.map.keys())yield b.URI.parse(r)}*entries(){for(let r of this.map.entries())yield[b.URI.parse(r[0]),r[1]]}*[Symbol.iterator](){for(let r of this.map)yield[b.URI.parse(r[0]),r[1]]}}e.ResourceMap=s,s.defaultToKey=_=>_.toString();var h;(function(_){_[_.None=0]="None",_[_.AsOld=1]="AsOld",_[_.AsNew=2]="AsNew"})(h=e.Touch||(e.Touch={}));class v{constructor(){this[Symbol.toStringTag]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var r;return(r=this._head)===null||r===void 0?void 0:r.value}get last(){var r;return(r=this._tail)===null||r===void 0?void 0:r.value}has(r){return this._map.has(r)}get(r,l=0){const u=this._map.get(r);if(!!u)return l!==0&&this.touch(u,l),u.value}set(r,l,u=0){let t=this._map.get(r);if(t)t.value=l,u!==0&&this.touch(t,u);else{switch(t={key:r,value:l,next:void 0,previous:void 0},u){case 0:this.addItemLast(t);break;case 1:this.addItemFirst(t);break;case 2:this.addItemLast(t);break;default:this.addItemLast(t);break}this._map.set(r,t),this._size++}return this}delete(r){return!!this.remove(r)}remove(r){const l=this._map.get(r);if(!!l)return this._map.delete(r),this.removeItem(l),this._size--,l.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const r=this._head;return this._map.delete(r.key),this.removeItem(r),this._size--,r.value}}forEach(r,l){const u=this._state;let t=this._head;for(;t;){if(l?r.bind(l)(t.value,t.key,this):r(t.value,t.key,this),this._state!==u)throw new Error("LinkedMap got modified during iteration.");t=t.next}}keys(){const r=this,l=this._state;let u=this._head;const t={[Symbol.iterator](){return t},next(){if(r._state!==l)throw new Error("LinkedMap got modified during iteration.");if(u){const o={value:u.key,done:!1};return u=u.next,o}else return{value:void 0,done:!0}}};return t}values(){const r=this,l=this._state;let u=this._head;const t={[Symbol.iterator](){return t},next(){if(r._state!==l)throw new Error("LinkedMap got modified during iteration.");if(u){const o={value:u.value,done:!1};return u=u.next,o}else return{value:void 0,done:!0}}};return t}entries(){const r=this,l=this._state;let u=this._head;const t={[Symbol.iterator](){return t},next(){if(r._state!==l)throw new Error("LinkedMap got modified during iteration.");if(u){const o={value:[u.key,u.value],done:!1};return u=u.next,o}else return{value:void 0,done:!0}}};return t}[Symbol.iterator](){return this.entries()}trimOld(r){if(!(r>=this.size)){if(r===0){this.clear();return}let l=this._head,u=this.size;for(;l&&u>r;)this._map.delete(l.key),l=l.next,u--;this._head=l,this._size=u,l&&(l.previous=void 0),this._state++}}addItemFirst(r){if(!this._head&&!this._tail)this._tail=r;else if(this._head)r.next=this._head,this._head.previous=r;else throw new Error("Invalid list");this._head=r,this._state++}addItemLast(r){if(!this._head&&!this._tail)this._head=r;else if(this._tail)r.previous=this._tail,this._tail.next=r;else throw new Error("Invalid list");this._tail=r,this._state++}removeItem(r){if(r===this._head&&r===this._tail)this._head=void 0,this._tail=void 0;else if(r===this._head){if(!r.next)throw new Error("Invalid list");r.next.previous=void 0,this._head=r.next}else if(r===this._tail){if(!r.previous)throw new Error("Invalid list");r.previous.next=void 0,this._tail=r.previous}else{const l=r.next,u=r.previous;if(!l||!u)throw new Error("Invalid list");l.previous=u,u.next=l}r.next=void 0,r.previous=void 0,this._state++}touch(r,l){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(l!==1&&l!==2)){if(l===1){if(r===this._head)return;const u=r.next,t=r.previous;r===this._tail?(t.next=void 0,this._tail=t):(u.previous=t,t.next=u),r.previous=void 0,r.next=this._head,this._head.previous=r,this._head=r,this._state++}else if(l===2){if(r===this._tail)return;const u=r.next,t=r.previous;r===this._head?(u.previous=void 0,this._head=u):(u.previous=t,t.next=u),r.next=void 0,r.previous=this._tail,this._tail.next=r,this._tail=r,this._state++}}}toJSON(){const r=[];return this.forEach((l,u)=>{r.push([u,l])}),r}fromJSON(r){this.clear();for(const[l,u]of r)this.set(l,u)}}e.LinkedMap=v;class g extends v{constructor(r,l=1){super();this._limit=r,this._ratio=Math.min(Math.max(0,l),1)}get limit(){return this._limit}set limit(r){this._limit=r,this.checkTrim()}get ratio(){return this._ratio}set ratio(r){this._ratio=Math.min(Math.max(0,r),1),this.checkTrim()}get(r,l=2){return super.get(r,l)}peek(r){return super.get(r,0)}set(r,l){return super.set(r,l,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=g}),define(we[107],Ee([0,1,22,8]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function T(...ge){return function(ke,Pe){for(let $e=0,_e=ge.length;$e<_e;$e++){const Ge=ge[$e](ke,Pe);if(Ge)return Ge}return null}}e.or=T,e.matchesStrictPrefix=A.bind(void 0,!1),e.matchesPrefix=A.bind(void 0,!0);function A(ge,ke,Pe){if(!Pe||Pe.length<ke.length)return null;let $e;return ge?$e=S.startsWithIgnoreCase(Pe,ke):$e=Pe.indexOf(ke)===0,$e?ke.length>0?[{start:0,end:ke.length}]:[]:null}function w(ge,ke){const Pe=ke.toLowerCase().indexOf(ge.toLowerCase());return Pe===-1?null:[{start:Pe,end:Pe+ge.length}]}e.matchesContiguousSubString=w;function C(ge,ke){return D(ge.toLowerCase(),ke.toLowerCase(),0,0)}e.matchesSubString=C;function D(ge,ke,Pe,$e){if(Pe===ge.length)return[];if($e===ke.length)return null;if(ge[Pe]===ke[$e]){let _e=null;return(_e=D(ge,ke,Pe+1,$e+1))?g({start:$e,end:$e+1},_e):null}return D(ge,ke,Pe,$e+1)}function i(ge){return 97<=ge&&ge<=122}function P(ge){return 65<=ge&&ge<=90}e.isUpper=P;function I(ge){return 48<=ge&&ge<=57}function p(ge){return ge===32||ge===9||ge===10||ge===13}const d=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(ge=>d.add(ge.charCodeAt(0)));function s(ge){return p(ge)||d.has(ge)}function h(ge,ke){return ge===ke||s(ge)&&s(ke)}function v(ge){return i(ge)||P(ge)||I(ge)}function g(ge,ke){return ke.length===0?ke=[ge]:ge.end===ke[0].start?ke[0].start=ge.start:ke.unshift(ge),ke}function _(ge,ke){for(let Pe=ke;Pe<ge.length;Pe++){const $e=ge.charCodeAt(Pe);if(P($e)||I($e)||Pe>0&&!v(ge.charCodeAt(Pe-1)))return Pe}return ge.length}function r(ge,ke,Pe,$e){if(Pe===ge.length)return[];if($e===ke.length)return null;if(ge[Pe]!==ke[$e].toLowerCase())return null;{let _e=null,Ge=$e+1;for(_e=r(ge,ke,Pe+1,$e+1);!_e&&(Ge=_(ke,Ge))<ke.length;)_e=r(ge,ke,Pe+1,Ge),Ge++;return _e===null?null:g({start:$e,end:$e+1},_e)}}function l(ge){let ke=0,Pe=0,$e=0,_e=0,Ge=0;for(let We=0;We<ge.length;We++)Ge=ge.charCodeAt(We),P(Ge)&&ke++,i(Ge)&&Pe++,v(Ge)&&$e++,I(Ge)&&_e++;const V=ke/ge.length,X=Pe/ge.length,ve=$e/ge.length,Me=_e/ge.length;return{upperPercent:V,lowerPercent:X,alphaPercent:ve,numericPercent:Me}}function u(ge){const{upperPercent:ke,lowerPercent:Pe}=ge;return Pe===0&&ke>.6}function t(ge){const{upperPercent:ke,lowerPercent:Pe,alphaPercent:$e,numericPercent:_e}=ge;return Pe>.2&&ke<.8&&$e>.6&&_e<.2}function o(ge){let ke=0,Pe=0,$e=0,_e=0;for(let Ge=0;Ge<ge.length;Ge++)$e=ge.charCodeAt(Ge),P($e)&&ke++,i($e)&&Pe++,p($e)&&_e++;return(ke===0||Pe===0)&&_e===0?ge.length<=30:ke<=5}function a(ge,ke){if(!ke||(ke=ke.trim(),ke.length===0)||!o(ge)||ke.length>60)return null;const Pe=l(ke);if(!t(Pe)){if(!u(Pe))return null;ke=ke.toLowerCase()}let $e=null,_e=0;for(ge=ge.toLowerCase();_e<ke.length&&($e=r(ge,ke,0,_e))===null;)_e=_(ke,_e+1);return $e}e.matchesCamelCase=a;function c(ge,ke,Pe=!1){if(!ke||ke.length===0)return null;let $e=null,_e=0;for(ge=ge.toLowerCase(),ke=ke.toLowerCase();_e<ke.length&&($e=n(ge,ke,0,_e,Pe))===null;)_e=f(ke,_e+1);return $e}e.matchesWords=c;function n(ge,ke,Pe,$e,_e){if(Pe===ge.length)return[];if($e===ke.length)return null;if(h(ge.charCodeAt(Pe),ke.charCodeAt($e))){let Ge=null,V=$e+1;if(Ge=n(ge,ke,Pe+1,$e+1,_e),!_e)for(;!Ge&&(V=f(ke,V))<ke.length;)Ge=n(ge,ke,Pe+1,V,_e),V++;return Ge===null?null:g({start:$e,end:$e+1},Ge)}else return null}function f(ge,ke){for(let Pe=ke;Pe<ge.length;Pe++)if(s(ge.charCodeAt(Pe))||Pe>0&&s(ge.charCodeAt(Pe-1)))return Pe;return ge.length}const y=T(e.matchesPrefix,a,w),k=T(e.matchesPrefix,a,C),m=new b.LRUCache(1e4);function E(ge,ke,Pe=!1){if(typeof ge!="string"||typeof ke!="string")return null;let $e=m.get(ge);$e||($e=new RegExp(S.convertSimple2RegExpPattern(ge),"i"),m.set(ge,$e));const _e=$e.exec(ke);return _e?[{start:_e.index,end:_e.index+_e[0].length}]:Pe?k(ge,ke):y(ge,ke)}e.matchesFuzzy=E;function R(ge,ke){const Pe=W(ge,ge.toLowerCase(),0,ke,ke.toLowerCase(),0,!0);return Pe?$(Pe):null}e.matchesFuzzy2=R;function F(ge,ke,Pe,$e,_e,Ge){const V=W(ge,ke,0,$e,_e,0,!0);if(V)return V;let X=[],ve=0,Me=Ge;for(let We=0;We<ke.length&&We<K;++We){const Ue=_e.indexOf(ke.charAt(We),Me);if(Ue>=0)ve+=1,X.unshift(Ue),Me=Ue+1;else if(X.length>0)break}return[ve,Ge,...X]}e.anyScore=F;function $(ge){if(typeof ge=="undefined")return[];const ke=[],Pe=ge[1];for(let $e=ge.length-1;$e>1;$e--){const _e=ge[$e]+Pe,Ge=ke[ke.length-1];Ge&&Ge.end===_e?Ge.end=_e+1:ke.push({start:_e,end:_e+1})}return ke}e.createMatches=$;const K=128;function G(){const ge=[],ke=[];for(let Pe=0;Pe<=K;Pe++)ke[Pe]=0;for(let Pe=0;Pe<=K;Pe++)ge.push(ke.slice(0));return ge}function H(ge){const ke=[];for(let Pe=0;Pe<=ge;Pe++)ke[Pe]=0;return ke}const ue=H(2*K),N=H(2*K),O=G(),x=G(),L=G(),z=!1;function ae(ge,ke,Pe,$e,_e){function Ge(X,ve,Me=" "){for(;X.length<ve;)X=Me+X;return X}let V=` |   |${$e.split("").map(X=>Ge(X,3)).join("|")}
`;for(let X=0;X<=Pe;X++)X===0?V+=" |":V+=`${ke[X-1]}|`,V+=ge[X].slice(0,_e+1).map(ve=>Ge(ve.toString(),3)).join("|")+`
`;return V}function re(ge,ke,Pe,$e){ge=ge.substr(ke),Pe=Pe.substr($e),console.log(ae(x,ge,ge.length,Pe,Pe.length)),console.log(ae(L,ge,ge.length,Pe,Pe.length)),console.log(ae(O,ge,ge.length,Pe,Pe.length))}function de(ge,ke){if(ke<0||ke>=ge.length)return!1;const Pe=ge.codePointAt(ke);switch(Pe){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!S.isEmojiImprecise(Pe)}}function fe(ge,ke){if(ke<0||ke>=ge.length)return!1;switch(ge.charCodeAt(ke)){case 32:case 9:return!0;default:return!1}}function Ae(ge,ke,Pe){return ke[ge]!==Pe[ge]}function je(ge,ke,Pe,$e,_e,Ge,V=!1){for(;ke<Pe&&_e<Ge;)ge[ke]===$e[_e]&&(V&&(ue[ke]=_e),ke+=1),_e+=1;return ke===Pe}e.isPatternInWord=je;var Te;(function(ge){ge[ge.Diag=1]="Diag",ge[ge.Left=2]="Left",ge[ge.LeftLeft=3]="LeftLeft"})(Te||(Te={}));var xe;(function(ge){ge.Default=[-100,0];function ke(Pe){return!Pe||Pe.length===2&&Pe[0]===-100&&Pe[1]===0}ge.isDefault=ke})(xe=e.FuzzyScore||(e.FuzzyScore={}));function W(ge,ke,Pe,$e,_e,Ge,V){const X=ge.length>K?K:ge.length,ve=$e.length>K?K:$e.length;if(!(Pe>=X||Ge>=ve||X-Pe>ve-Ge)&&!!je(ke,Pe,X,_e,Ge,ve,!0)){J(X,ve,Pe,Ge,ke,_e);let Me=1,We=1,Ue=Pe,et=Ge;const B=[!1];for(Me=1,Ue=Pe;Ue<X;Me++,Ue++){const le=ue[Ue],he=N[Ue],be=Ue+1<X?N[Ue+1]:ve;for(We=le-Ge+1,et=le;et<be;We++,et++){let He=Number.MIN_SAFE_INTEGER,Ne=!1;et<=he&&(He=ee(ge,ke,Ue,Pe,$e,_e,et,ve,Ge,O[Me-1][We-1]===0,B));let ze=0;He!==Number.MAX_SAFE_INTEGER&&(Ne=!0,ze=He+x[Me-1][We-1]);const Je=et>le,Xe=Je?x[Me][We-1]+(O[Me][We-1]>0?-5:0):0,pe=et>le+1&&O[Me][We-1]>0,Se=pe?x[Me][We-2]+(O[Me][We-2]>0?-5:0):0;if(pe&&(!Je||Se>=Xe)&&(!Ne||Se>=ze))x[Me][We]=Se,L[Me][We]=3,O[Me][We]=0;else if(Je&&(!Ne||Xe>=ze))x[Me][We]=Xe,L[Me][We]=2,O[Me][We]=0;else if(Ne)x[Me][We]=ze,L[Me][We]=1,O[Me][We]=O[Me-1][We-1]+1;else throw new Error("not possible")}}if(z&&re(ge,Pe,$e,Ge),!(!B[0]&&!V)){Me--,We--;const Z=[x[Me][We],Ge];let ce=0,j=0;for(;Me>=1;){let le=We;do{const he=L[Me][le];if(he===3)le=le-2;else if(he===2)le=le-1;else break}while(le>=1);ce>1&&ke[Pe+Me-1]===_e[Ge+We-1]&&!Ae(le+Ge-1,$e,_e)&&ce+1>O[Me][le]&&(le=We),le===We?ce++:ce=1,j||(j=le),Me--,We=le-1,Z.push(We)}ve===X&&(Z[0]+=2);const Y=j-X;return Z[0]-=Y,Z}}}e.fuzzyScore=W;function J(ge,ke,Pe,$e,_e,Ge){let V=ge-1,X=ke-1;for(;V>=Pe&&X>=$e;)_e[V]===Ge[X]&&(N[V]=X,V--),X--}function ee(ge,ke,Pe,$e,_e,Ge,V,X,ve,Me,We){if(ke[Pe]!==Ge[V])return Number.MIN_SAFE_INTEGER;let Ue=1,et=!1;return V===Pe-$e?Ue=ge[Pe]===_e[V]?7:5:Ae(V,_e,Ge)&&(V===0||!Ae(V-1,_e,Ge))?(Ue=ge[Pe]===_e[V]?7:5,et=!0):de(Ge,V)&&(V===0||!de(Ge,V-1))?Ue=5:(de(Ge,V-1)||fe(Ge,V-1))&&(Ue=5,et=!0),Ue>1&&Pe===$e&&(We[0]=!0),et||(et=Ae(V,_e,Ge)||de(Ge,V-1)||fe(Ge,V-1)),Pe===$e?V>ve&&(Ue-=et?3:5):Me?Ue+=et?2:0:Ue+=et?0:1,V+1===X&&(Ue-=et?3:5),Ue}function te(ge,ke,Pe,$e,_e,Ge,V){return Ce(ge,ke,Pe,$e,_e,Ge,!0,V)}e.fuzzyScoreGracefulAggressive=te;function me(ge,ke,Pe,$e,_e,Ge,V){return Ce(ge,ke,Pe,$e,_e,Ge,!1,V)}e.fuzzyScoreGraceful=me;function Ce(ge,ke,Pe,$e,_e,Ge,V,X){let ve=W(ge,ke,Pe,$e,_e,Ge,X);if(ve&&!V)return ve;if(ge.length>=3){const Me=Math.min(7,ge.length-1);for(let We=Pe+1;We<Me;We++){const Ue=Oe(ge,We);if(Ue){const et=W(Ue,Ue.toLowerCase(),Pe,$e,_e,Ge,X);et&&(et[0]-=3,(!ve||et[0]>ve[0])&&(ve=et))}}}return ve}function Oe(ge,ke){if(!(ke+1>=ge.length)){const Pe=ge[ke],$e=ge[ke+1];if(Pe!==$e)return ge.slice(0,ke)+$e+Pe+ge.slice(ke+2)}}}),define(we[28],Ee([0,1,8,38,12,22,15]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function C(){return Object.create(null)}e.getEmptyExpression=C;const D="**",i="/",P="[/\\\\]",I="[^/\\\\]",p=/\//g;function d(z){switch(z){case 0:return"";case 1:return`${I}*?`;default:return`(?:${P}|${I}+${P}|${P}${I}+)*?`}}function s(z,ae){if(!z)return[];const re=[];let de=!1,fe=!1,Ae="";for(const je of z){switch(je){case ae:if(!de&&!fe){re.push(Ae),Ae="";continue}break;case"{":de=!0;break;case"}":de=!1;break;case"[":fe=!0;break;case"]":fe=!1;break}Ae+=je}return Ae&&re.push(Ae),re}e.splitGlobAware=s;function h(z){if(!z)return"";let ae="";const re=s(z,i);if(re.every(de=>de===D))ae=".*";else{let de=!1;re.forEach((fe,Ae)=>{if(fe===D){de||(ae+=d(2),de=!0);return}let je=!1,Te="",xe=!1,W="";for(const J of fe){if(J!=="}"&&je){Te+=J;continue}if(xe&&(J!=="]"||!W)){let ee;J==="-"?ee=J:(J==="^"||J==="!")&&!W?ee="^":J===i?ee="":ee=b.escapeRegExpCharacters(J),W+=ee;continue}switch(J){case"{":je=!0;continue;case"[":xe=!0;continue;case"}":ae+=`(?:${s(Te,",").map(me=>h(me)).join("|")})`,je=!1,Te="";break;case"]":ae+="["+W+"]",xe=!1,W="";break;case"?":ae+=I;continue;case"*":ae+=d(1);continue;default:ae+=b.escapeRegExpCharacters(J)}}Ae<re.length-1&&(re[Ae+1]!==D||Ae+2<re.length)&&(ae+=P),de=!1})}return ae}const v=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/([\w\.-]+)\/?$/,_=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,r=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,l=/^\*\*((\/[\w\.-]+)+)\/?$/,u=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new A.LRUCache(1e4),o=function(){return!1},a=function(){return null};function c(z,ae){if(!z)return a;let re;typeof z!="string"?re=z.pattern:re=z,re=re.trim();const de=`${re}_${!!ae.trimForExclusions}`;let fe=t.get(de);if(fe)return n(fe,z);let Ae;if(v.test(re)){const je=re.substr(4);fe=function(Te,xe){return typeof Te=="string"&&Te.endsWith(je)?re:null}}else(Ae=g.exec(f(re,ae)))?fe=y(Ae[1],re):(ae.trimForExclusions?r:_).test(re)?fe=k(re,ae):(Ae=l.exec(f(re,ae)))?fe=m(Ae[1].substr(1),re,!0):(Ae=u.exec(f(re,ae)))?fe=m(Ae[1],re,!1):fe=E(re);return t.set(de,fe),n(fe,z)}function n(z,ae){return typeof ae=="string"?z:function(re,de){return S.isEqualOrParent(re,ae.base)?z(T.relative(ae.base,re),de):null}}function f(z,ae){return ae.trimForExclusions&&z.endsWith("/**")?z.substr(0,z.length-2):z}function y(z,ae){const re=`/${z}`,de=`\\${z}`,fe=function(je,Te){return typeof je!="string"?null:Te?Te===z?ae:null:je===z||je.endsWith(re)||je.endsWith(de)?ae:null},Ae=[z];return fe.basenames=Ae,fe.patterns=[ae],fe.allBasenames=Ae,fe}function k(z,ae){const re=L(z.slice(1,-1).split(",").map(Te=>c(Te,ae)).filter(Te=>Te!==a),z),de=re.length;if(!de)return a;if(de===1)return re[0];const fe=function(Te,xe){for(let W=0,J=re.length;W<J;W++)if(re[W](Te,xe))return z;return null},Ae=re.find(Te=>!!Te.allBasenames);Ae&&(fe.allBasenames=Ae.allBasenames);const je=re.reduce((Te,xe)=>xe.allPaths?Te.concat(xe.allPaths):Te,[]);return je.length&&(fe.allPaths=je),fe}function m(z,ae,re){const de=T.sep===T.posix.sep,fe=de?z:z.replace(p,T.sep),Ae=T.sep+fe,je=T.posix.sep+z,Te=re?function(xe,W){return typeof xe=="string"&&(xe===fe||xe.endsWith(Ae)||!de&&(xe===z||xe.endsWith(je)))?ae:null}:function(xe,W){return typeof xe=="string"&&(xe===fe||!de&&xe===z)?ae:null};return Te.allPaths=[(re?"*/":"./")+z],Te}function E(z){try{const ae=new RegExp(`^${h(z)}$`);return function(re){return ae.lastIndex=0,typeof re=="string"&&ae.test(re)?z:null}}catch(ae){return a}}function R(z,ae,re){return!z||typeof ae!="string"?!1:F(z)(ae,void 0,re)}e.match=R;function F(z,ae={}){if(!z)return o;if(typeof z=="string"||H(z)){const re=c(z,ae);if(re===a)return o;const de=function(fe,Ae){return!!re(fe,Ae)};return re.allBasenames&&(de.allBasenames=re.allBasenames),re.allPaths&&(de.allPaths=re.allPaths),de}return O(z,ae)}e.parse=F;function $(z){if(!!z){let ae;return re=>(ae||(ae=(z()||Promise.resolve([])).then(de=>de?G(de):{})),ae.then(de=>!!de[re]))}}e.hasSiblingPromiseFn=$;function K(z){if(!!z){let ae;return re=>{if(!ae){const de=z();ae=de?G(de):{}}return!!ae[re]}}}e.hasSiblingFn=K;function G(z){const ae={};for(const re of z)ae[re]=!0;return ae}function H(z){const ae=z;return ae&&typeof ae.base=="string"&&typeof ae.pattern=="string"}e.isRelativePattern=H;function ue(z){return z.allBasenames||[]}e.getBasenameTerms=ue;function N(z){return z.allPaths||[]}e.getPathTerms=N;function O(z,ae){const re=L(Object.getOwnPropertyNames(z).map(Te=>x(Te,z[Te],ae)).filter(Te=>Te!==a)),de=re.length;if(!de)return a;if(!re.some(Te=>!!Te.requiresSiblings)){if(de===1)return re[0];const Te=function(J,ee){for(let te=0,me=re.length;te<me;te++){const Ce=re[te](J,ee);if(Ce)return Ce}return null},xe=re.find(J=>!!J.allBasenames);xe&&(Te.allBasenames=xe.allBasenames);const W=re.reduce((J,ee)=>ee.allPaths?J.concat(ee.allPaths):J,[]);return W.length&&(Te.allPaths=W),Te}const fe=function(Te,xe,W){let J;for(let ee=0,te=re.length;ee<te;ee++){const me=re[ee];me.requiresSiblings&&W&&(xe||(xe=T.basename(Te)),J||(J=xe.substr(0,xe.length-T.extname(Te).length)));const Ce=me(Te,xe,J,W);if(Ce)return Ce}return null},Ae=re.find(Te=>!!Te.allBasenames);Ae&&(fe.allBasenames=Ae.allBasenames);const je=re.reduce((Te,xe)=>xe.allPaths?Te.concat(xe.allPaths):Te,[]);return je.length&&(fe.allPaths=je),fe}function x(z,ae,re){if(ae===!1)return a;const de=c(z,re);if(de===a)return a;if(typeof ae=="boolean")return de;if(ae){const fe=ae.when;if(typeof fe=="string"){const Ae=(je,Te,xe,W)=>{if(!W||!de(je,Te))return null;const J=fe.replace("$(basename)",xe),ee=W(J);return w.isThenable(ee)?ee.then(te=>te?z:null):ee?z:null};return Ae.requiresSiblings=!0,Ae}}return de}function L(z,ae){const re=z.filter(Te=>!!Te.basenames);if(re.length<2)return z;const de=re.reduce((Te,xe)=>{const W=xe.basenames;return W?Te.concat(W):Te},[]);let fe;if(ae){fe=[];for(let Te=0,xe=de.length;Te<xe;Te++)fe.push(ae)}else fe=re.reduce((Te,xe)=>{const W=xe.patterns;return W?Te.concat(W):Te},[]);const Ae=function(Te,xe){if(typeof Te!="string")return null;if(!xe){let J;for(J=Te.length;J>0;J--){const ee=Te.charCodeAt(J-1);if(ee===47||ee===92)break}xe=Te.substr(J)}const W=de.indexOf(xe);return W!==-1?fe[W]:null};Ae.basenames=de,Ae.patterns=fe,Ae.allBasenames=de;const je=z.filter(Te=>!Te.basenames);return je.push(Ae),je}}),define(we[108],Ee([0,1,37,107,8]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const A=new RegExp(`\\$\\(${b.CSSIcon.iconNameExpression}(?:${b.CSSIcon.iconModifierExpression})?\\)`,"g"),w=new RegExp(`(\\\\)?${A.source}`,"g");function C(h){return h.replace(w,(v,g)=>g?v:`\\${v}`)}e.escapeIcons=C;const D=new RegExp(`\\\\${A.source}`,"g");function i(h){return h.replace(D,v=>`\\${v}`)}e.markdownEscapeEscapedIcons=i;const P=new RegExp(`(\\s)?(\\\\)?${A.source}(\\s)?`,"g");function I(h){return h.indexOf(e.iconStartMarker)===-1?h:h.replace(P,(v,g,_,r)=>_?v:g||r||"")}e.stripIcons=I;function p(h){const v=h.indexOf(e.iconStartMarker);return v===-1?{text:h}:d(h,v)}e.parseLabelWithIcons=p;function d(h,v){const g=[];let _="";function r(f){if(f){_+=f;for(const y of f)g.push(t)}}let l=-1,u="",t=0,o,a,c=v;const n=h.length;for(r(h.substr(0,v));c<n;)o=h[c],a=h[c+1],o===e.iconStartMarker[0]&&a===e.iconStartMarker[1]?(l=c,r(u),u=e.iconStartMarker,c++):o===")"&&l!==-1?(t+=c-l+1,l=-1,u=""):l!==-1?/^[a-z0-9\-]$/i.test(o)?u+=o:(r(u),l=-1,u=""):r(o),c++;return r(u),{text:_,iconOffsets:g}}function s(h,v,g=!1){const{text:_,iconOffsets:r}=v;if(!r||r.length===0)return S.matchesFuzzy(h,_,g);const l=T.ltrim(_," "),u=_.length-l.length,t=S.matchesFuzzy(h,l,g);if(t)for(const o of t){const a=r[o.start+u]+u;o.start+=a,o.end+=a}return t}e.matchesFuzzyIconAware=s}),define(we[80],Ee([0,1,11,108,10]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var A;(function(s){s[s.Paragraph=0]="Paragraph",s[s.Break=1]="Break"})(A=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class w{constructor(h="",v=!1){var g,_;if(this.value=h,typeof this.value!="string")throw T.illegalArgument("value");typeof v=="boolean"?(this.isTrusted=v,this.supportThemeIcons=!1):(this.isTrusted=(g=v.isTrusted)!==null&&g!==void 0?g:void 0,this.supportThemeIcons=(_=v.supportThemeIcons)!==null&&_!==void 0?_:!1)}appendText(h,v=0){return this.value+=I(this.supportThemeIcons?S.escapeIcons(h):h).replace(/([ \t]+)/g,(g,_)=>"&nbsp;".repeat(_.length)).replace(/^>/gm,"\\>").replace(/\n/g,v===1?`\\
`:`

`),this}appendMarkdown(h){return this.value+=h,this}appendCodeblock(h,v){return this.value+="\n```",this.value+=h,this.value+=`
`,this.value+=v,this.value+="\n```\n",this}}e.MarkdownString=w;function C(s){return D(s)?!s.value:Array.isArray(s)?s.every(C):!0}e.isEmptyMarkdownString=C;function D(s){return s instanceof w?!0:s&&typeof s=="object"?typeof s.value=="string"&&(typeof s.isTrusted=="boolean"||s.isTrusted===void 0)&&(typeof s.supportThemeIcons=="boolean"||s.supportThemeIcons===void 0):!1}e.isMarkdownString=D;function i(s,h){return!s&&!h?!0:!s||!h?!1:Array.isArray(s)&&Array.isArray(h)?b.equals(s,h,P):D(s)&&D(h)?P(s,h):!1}e.markedStringsEquals=i;function P(s,h){return s===h?!0:!s||!h?!1:s.value===h.value&&s.isTrusted===h.isTrusted&&s.supportThemeIcons===h.supportThemeIcons}function I(s){return s.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=I;function p(s){return s&&s.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=p;function d(s){const h=[],v=s.split("|").map(_=>_.trim());s=v[0];const g=v[1];if(g){const _=/height=(\d+)/.exec(g),r=/width=(\d+)/.exec(g),l=_?_[1]:"",u=r?r[1]:"",t=isFinite(parseInt(u)),o=isFinite(parseInt(l));t&&h.push(`width="${u}"`),o&&h.push(`height="${l}"`)}return{href:s,dimensions:h}}e.parseHrefAndDimensions=d}),define(we[58],Ee([0,1,26,8,2]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function A(i){return JSON.stringify(i,C)}e.stringify=A;function w(i){let P=JSON.parse(i);return P=D(P),P}e.parse=w;function C(i,P){return P instanceof RegExp?{$mid:2,source:P.source,flags:S.regExpFlags(P)}:P}function D(i,P=0){if(!i||P>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return T.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof b.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let I=0;I<i.length;++I)i[I]=D(i[I],P+1);else for(const I in i)Object.hasOwnProperty.call(i,I)&&(i[I]=D(i[I],P+1))}return i}e.revive=D}),define(we[16],Ee([0,1,2,21]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var T;(function(C){C.inMemory="inmemory",C.vscode="vscode",C.internal="private",C.walkThrough="walkThrough",C.walkThroughSnippet="walkThroughSnippet",C.http="http",C.https="https",C.file="file",C.mailto="mailto",C.untitled="untitled",C.data="data",C.command="command",C.vscodeRemote="vscode-remote",C.vscodeRemoteResource="vscode-remote-resource",C.userData="vscode-userdata",C.vscodeCustomEditor="vscode-custom-editor",C.vscodeNotebook="vscode-notebook",C.vscodeNotebookCell="vscode-notebook-cell",C.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",C.vscodeSettings="vscode-settings",C.vscodeWorkspaceTrust="vscode-workspace-trust",C.webviewPanel="webview-panel",C.vscodeWebview="vscode-webview",C.vscodeWebviewResource="vscode-webview-resource",C.extension="extension",C.vscodeFileResource="vscode-file"})(T=e.Schemas||(e.Schemas={}));class A{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(D){this._preferredWebSchema=D}setDelegate(D){this._delegate=D}set(D,i,P){this._hosts[D]=i,this._ports[D]=P}setConnectionToken(D,i){this._connectionTokens[D]=i}rewrite(D){if(this._delegate)return this._delegate(D);const i=D.authority;let P=this._hosts[i];P&&P.indexOf(":")!==-1&&(P=`[${P}]`);const I=this._ports[i],p=this._connectionTokens[i];let d=`path=${encodeURIComponent(D.path)}`;return typeof p=="string"&&(d+=`&tkn=${encodeURIComponent(p)}`),b.URI.from({scheme:S.isWeb?this._preferredWebSchema:T.vscodeRemoteResource,authority:`${P}:${I}`,path:"/vscode-remote-resource",query:d})}}e.RemoteAuthorities=new A;class w{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(D,i,P){const I=this.toUri(D,i);return I.scheme===T.vscodeRemote?e.RemoteAuthorities.rewrite(I):S.isNative&&(P||S.isPreferringBrowserCodeLoad)&&I.scheme===T.file?I.with({scheme:T.vscodeFileResource,authority:I.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):I}asFileUri(D,i){const P=this.toUri(D,i);return P.scheme===T.vscodeFileResource?P.with({scheme:T.file,authority:P.authority!==this.FALLBACK_AUTHORITY?P.authority:null,query:null,fragment:null}):P}toUri(D,i){return b.URI.isUri(D)?D:b.URI.parse(i.toUrl(D))}}e.FileAccess=new w}),define(we[24],Ee([0,1,38,12,2,8,16,21]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function D(d){return T.uriToFsPath(d,!0)}e.originalFSPath=D;class i{constructor(s){this._ignorePathCasing=s}compare(s,h,v=!1){return s===h?0:A.compare(this.getComparisonKey(s,v),this.getComparisonKey(h,v))}isEqual(s,h,v=!1){return s===h?!0:!s||!h?!1:this.getComparisonKey(s,v)===this.getComparisonKey(h,v)}getComparisonKey(s,h=!1){return s.with({path:this._ignorePathCasing(s)?s.path.toLowerCase():void 0,fragment:h?null:void 0}).toString()}ignorePathCasing(s){return this._ignorePathCasing(s)}isEqualOrParent(s,h,v=!1){if(s.scheme===h.scheme){if(s.scheme===w.Schemas.file)return b.isEqualOrParent(D(s),D(h),this._ignorePathCasing(s))&&s.query===h.query&&(v||s.fragment===h.fragment);if(e.isEqualAuthority(s.authority,h.authority))return b.isEqualOrParent(s.path,h.path,this._ignorePathCasing(s),"/")&&s.query===h.query&&(v||s.fragment===h.fragment)}return!1}joinPath(s,...h){return T.URI.joinPath(s,...h)}basenameOrAuthority(s){return e.basename(s)||s.authority}basename(s){return S.posix.basename(s.path)}extname(s){return S.posix.extname(s.path)}dirname(s){if(s.path.length===0)return s;let h;return s.scheme===w.Schemas.file?h=T.URI.file(S.dirname(D(s))).path:(h=S.posix.dirname(s.path),s.authority&&h.length&&h.charCodeAt(0)!==47&&(console.error(`dirname("${s.toString})) resulted in a relative path`),h="/")),s.with({path:h})}normalizePath(s){if(!s.path.length)return s;let h;return s.scheme===w.Schemas.file?h=T.URI.file(S.normalize(D(s))).path:h=S.posix.normalize(s.path),s.with({path:h})}relativePath(s,h){if(!(s.scheme!==h.scheme||!e.isEqualAuthority(s.authority,h.authority))){if(s.scheme===w.Schemas.file){const _=S.relative(D(s),D(h));return C.isWindows?b.toSlashes(_):_}let v=s.path||"/",g=h.path||"/";if(this._ignorePathCasing(s)){let _=0;for(const r=Math.min(v.length,g.length);_<r&&!(v.charCodeAt(_)!==g.charCodeAt(_)&&v.charAt(_).toLowerCase()!==g.charAt(_).toLowerCase());_++);v=g.substr(0,_)+v.substr(_)}return S.posix.relative(v,g)}}resolvePath(s,h){if(s.scheme===w.Schemas.file){const v=T.URI.file(S.resolve(D(s),h));return s.with({authority:v.authority,path:v.path})}return h.indexOf("/")===-1&&(h=b.toSlashes(h),/^[a-zA-Z]:(\/|$)/.test(h)&&(h="/"+h)),s.with({path:S.posix.resolve(s.path,h)})}isAbsolutePath(s){return!!s.path&&s.path[0]==="/"}isEqualAuthority(s,h){return s===h||A.equalsIgnoreCase(s,h)}hasTrailingPathSeparator(s,h=S.sep){if(s.scheme===w.Schemas.file){const v=D(s);return v.length>b.getRoot(v).length&&v[v.length-1]===h}else{const v=s.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(s.fsPath)}}removeTrailingPathSeparator(s,h=S.sep){return e.hasTrailingPathSeparator(s,h)?s.with({path:s.path.substr(0,s.path.length-1)}):s}addTrailingPathSeparator(s,h=S.sep){let v=!1;if(s.scheme===w.Schemas.file){const g=D(s);v=g!==void 0&&g.length===b.getRoot(g).length&&g[g.length-1]===h}else{h="/";const g=s.path;v=g.length===1&&g.charCodeAt(g.length-1)===47}return!v&&!e.hasTrailingPathSeparator(s,h)?s.with({path:s.path+"/"}):s}}e.ExtUri=i,e.extUri=new i(()=>!1),e.extUriBiasedIgnorePathCase=new i(d=>d.scheme===w.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new i(d=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function P(d,s){const h=[];for(let v=0;v<d.length;v++){const g=s(d[v]);d.some((_,r)=>r===v?!1:e.isEqualOrParent(g,s(_)))||h.push(d[v])}return h}e.distinctParents=P;var I;(function(d){d.META_DATA_LABEL="label",d.META_DATA_DESCRIPTION="description",d.META_DATA_SIZE="size",d.META_DATA_MIME="mime";function s(h){const v=new Map;h.path.substring(h.path.indexOf(";")+1,h.path.lastIndexOf(";")).split(";").forEach(r=>{const[l,u]=r.split(":");l&&u&&v.set(l,u)});const _=h.path.substring(0,h.path.indexOf(";"));return _&&v.set(d.META_DATA_MIME,_),v}d.parseMetaData=s})(I=e.DataUri||(e.DataUri={}));function p(d,s,h){if(s){let v=d.path;return v&&v[0]!==S.posix.sep&&(v=S.posix.sep+v),d.with({scheme:h,authority:s,path:v})}return d.with({scheme:h})}e.toLocalResource=p}),define(we[59],Ee([0,1,2,12,8,16,21,24,38]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function i(c,n,f){if(typeof c=="string"&&(c=b.URI.file(c)),f){const k=f.getWorkspaceFolder(c);if(k){const m=f.getWorkspace().folders.length>1;let E;if(C.isEqual(k.uri,c)?E="":E=C.relativePath(k.uri,c),m){const R=k.name?k.name:C.basename(k.uri);E=E?R+" \u2022 "+E:R}return E}}if(c.scheme!==A.Schemas.file&&c.scheme!==A.Schemas.untitled)return c.with({query:null,fragment:null}).toString(!0);if(D.hasDriveLetter(c.fsPath))return S.normalize(I(c.fsPath));let y=S.normalize(c.fsPath);return!w.isWindows&&(n==null?void 0:n.userHome)&&(y=d(y,n.userHome.fsPath)),y}e.getPathLabel=i;function P(c){if(!!c){typeof c=="string"&&(c=b.URI.file(c));const n=C.basename(c)||(c.scheme===A.Schemas.file?c.fsPath:c.path);return w.isWindows&&D.isRootOrDriveLetter(n)?I(n):n}}e.getBaseLabel=P;function I(c){return D.hasDriveLetter(c)?c.charAt(0).toUpperCase()+c.slice(1):c}e.normalizeDriveLetter=I;let p=Object.create(null);function d(c,n){if(w.isWindows||!c||!n)return c;let f=p.original===n?p.normalized:void 0;return f||(f=`${T.rtrim(n,S.posix.sep)}${S.posix.sep}`,p={original:n,normalized:f}),(w.isLinux?c.startsWith(f):T.startsWithIgnoreCase(c,f))&&(c=`~/${c.substr(f.length)}`),c}e.tildify=d;function s(c,n){return c.replace(/^~($|\/|\\)/,`${n}$1`)}e.untildify=s;const h="\u2026",v="\\\\",g="~";function _(c,n=S.sep){const f=new Array(c.length);let y=!1;for(let k=0;k<c.length;k++){let m=c[k];if(m===""){f[k]=`.${n}`;continue}if(!m){f[k]=m;continue}y=!0;let E="";m.indexOf(v)===0?(E=m.substr(0,m.indexOf(v)+v.length),m=m.substr(m.indexOf(v)+v.length)):m.indexOf(n)===0?(E=m.substr(0,m.indexOf(n)+n.length),m=m.substr(m.indexOf(n)+n.length)):m.indexOf(g)===0&&(E=m.substr(0,m.indexOf(g)+g.length),m=m.substr(m.indexOf(g)+g.length));const R=m.split(n);for(let F=1;y&&F<=R.length;F++)for(let $=R.length-F;y&&$>=0;$--){y=!1;let K=R.slice($,$+F).join(n);for(let G=0;!y&&G<c.length;G++)if(G!==k&&c[G]&&c[G].indexOf(K)>-1){const H=$+F===R.length,ue=$>0&&c[G].indexOf(n)>-1?n+K:K,N=c[G].endsWith(ue);y=!H||N}if(!y){let G="";(R[0].endsWith(":")||E!=="")&&($===1&&($=0,F++,K=R[0]+n+K),$>0&&(G=R[0]+n),G=E+G),$>0&&(G=G+h+n),G=G+K,$+F<R.length&&(G=G+n+h),f[k]=G}}y&&(f[k]=m)}return f}e.shorten=_;var r;(function(c){c[c.TEXT=0]="TEXT",c[c.VARIABLE=1]="VARIABLE",c[c.SEPARATOR=2]="SEPARATOR"})(r||(r={}));function l(c,n=Object.create(null)){const f=[];let y=!1,k="";for(const m of c)if(m==="$"||y&&m==="{")k&&f.push({value:k,type:r.TEXT}),k="",y=!0;else if(m==="}"&&y){const E=n[k];if(typeof E=="string")E.length&&f.push({value:E,type:r.VARIABLE});else if(E){const R=f[f.length-1];(!R||R.type!==r.SEPARATOR)&&f.push({value:E.label,type:r.SEPARATOR})}k="",y=!1}else k+=m;return k&&!y&&f.push({value:k,type:r.TEXT}),f.filter((m,E)=>{if(m.type===r.SEPARATOR){const R=f[E-1],F=f[E+1];return[R,F].every($=>$&&($.type===r.VARIABLE||$.type===r.TEXT)&&$.value.length>0)}return!0}).map(m=>m.value).join("")}e.template=l;function u(c,n){return w.isMacintosh||n?c.replace(/\(&&\w\)|&&/g,"").replace(/&/g,w.isMacintosh?"&":"&&"):c.replace(/&&|&/g,f=>f==="&"?"&&":"&")}e.mnemonicMenuLabel=u;function t(c,n){return w.isMacintosh||n?c.replace(/\(&&\w\)|&&/g,""):w.isWindows?c.replace(/&&|&/g,f=>f==="&"?"&&":"&"):c.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function o(c){return c.replace(/&/g,"&&")}e.unmnemonicLabel=o;function a(c){const n=c.indexOf("/")!==-1?S.posix:S.win32,f=n.basename(c),y=n.dirname(c);return f.length?{name:f,parentPath:y}:{name:y,parentPath:""}}e.splitName=a}),define(we[109],Ee([0,1,2]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function S(P){return P.toJSON()}class T{constructor(I){this._uriTransformer=I}transformIncoming(I){const p=this._uriTransformer.transformIncoming(I);return p===I?I:S(b.URI.from(p))}transformOutgoing(I){const p=this._uriTransformer.transformOutgoing(I);return p===I?I:S(b.URI.from(p))}transformOutgoingURI(I){const p=this._uriTransformer.transformOutgoing(I);return p===I?I:b.URI.from(p)}transformOutgoingScheme(I){return this._uriTransformer.transformOutgoingScheme(I)}}e.URITransformer=T,e.DefaultURITransformer=new class{transformIncoming(P){return P}transformOutgoing(P){return P}transformOutgoingURI(P){return P}transformOutgoingScheme(P){return P}};function A(P,I,p){if(!P||p>200)return null;if(typeof P=="object"){if(P instanceof b.URI)return I.transformOutgoing(P);for(let d in P)if(Object.hasOwnProperty.call(P,d)){const s=A(P[d],I,p+1);s!==null&&(P[d]=s)}}return null}function w(P,I){const p=A(P,I,0);return p===null?P:p}e.transformOutgoingURIs=w;function C(P,I,p,d){if(!P||d>200)return null;if(typeof P=="object"){if(P.$mid===1)return p?b.URI.revive(I.transformIncoming(P)):I.transformIncoming(P);for(let s in P)if(Object.hasOwnProperty.call(P,s)){const h=C(P[s],I,p,d+1);h!==null&&(P[s]=h)}}return null}function D(P,I){const p=C(P,I,!1,0);return p===null?P:p}e.transformIncomingURIs=D;function i(P,I){const p=C(P,I,!0,0);return p===null?P:p}e.transformAndReviveIncomingURIs=i}),define(we[29],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const b=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function S(D){return b.test(D)}e.isUUID=S;const T=new Uint8Array(16),A=[];for(let D=0;D<256;D++)A.push(D.toString(16).padStart(2,"0"));let w;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?w=crypto.getRandomValues.bind(crypto):w=function(D){for(let i=0;i<D.length;i++)D[i]=Math.floor(Math.random()*256);return D};function C(){w(T),T[6]=T[6]&15|64,T[8]=T[8]&63|128;let D=0,i="";return i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i+="-",i+=A[T[D++]],i+=A[T[D++]],i+="-",i+=A[T[D++]],i+=A[T[D++]],i+="-",i+=A[T[D++]],i+=A[T[D++]],i+="-",i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i+=A[T[D++]],i}e.generateUuid=C}),define(we[81],Ee([0,1,79]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class S{constructor(C){let D=b.toUint8(C);this._defaultValue=D,this._asciiMap=S._createAsciiMap(D),this._map=new Map}static _createAsciiMap(C){let D=new Uint8Array(256);for(let i=0;i<256;i++)D[i]=C;return D}set(C,D){let i=b.toUint8(D);C>=0&&C<256?this._asciiMap[C]=i:this._map.set(C,i)}get(C){return C>=0&&C<256?this._asciiMap[C]:this._map.get(C)||this._defaultValue}}e.CharacterClassifier=S;var T;(function(w){w[w.False=0]="False",w[w.True=1]="True"})(T||(T={}));class A{constructor(){this._actual=new S(0)}add(C){this._actual.set(C,1)}has(C){return this._actual.get(C)===1}}e.CharacterSet=A}),define(we[110],Ee([0,1,81]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var S;(function(w){w[w.Regular=0]="Regular",w[w.Whitespace=1]="Whitespace",w[w.WordSeparator=2]="WordSeparator"})(S=e.WordCharacterClass||(e.WordCharacterClass={}));class T extends b.CharacterClassifier{constructor(C){super(0);for(let D=0,i=C.length;D<i;D++)this.set(C.charCodeAt(D),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=T;function A(w){let C={};return D=>(C.hasOwnProperty(D)||(C[D]=w(D)),C[D])}e.getMapForWordSeparators=A(w=>new T(w))}),define(we[39],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class b{constructor(T,A){this.lineNumber=T,this.column=A}with(T=this.lineNumber,A=this.column){return T===this.lineNumber&&A===this.column?this:new b(T,A)}delta(T=0,A=0){return this.with(this.lineNumber+T,this.column+A)}equals(T){return b.equals(this,T)}static equals(T,A){return!T&&!A?!0:!!T&&!!A&&T.lineNumber===A.lineNumber&&T.column===A.column}isBefore(T){return b.isBefore(this,T)}static isBefore(T,A){return T.lineNumber<A.lineNumber?!0:A.lineNumber<T.lineNumber?!1:T.column<A.column}isBeforeOrEqual(T){return b.isBeforeOrEqual(this,T)}static isBeforeOrEqual(T,A){return T.lineNumber<A.lineNumber?!0:A.lineNumber<T.lineNumber?!1:T.column<=A.column}static compare(T,A){let w=T.lineNumber|0,C=A.lineNumber|0;if(w===C){let D=T.column|0,i=A.column|0;return D-i}return w-C}clone(){return new b(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(T){return new b(T.lineNumber,T.column)}static isIPosition(T){return T&&typeof T.lineNumber=="number"&&typeof T.column=="number"}}e.Position=b}),define(we[32],Ee([0,1,39]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class S{constructor(A,w,C,D){A>C||A===C&&w>D?(this.startLineNumber=C,this.startColumn=D,this.endLineNumber=A,this.endColumn=w):(this.startLineNumber=A,this.startColumn=w,this.endLineNumber=C,this.endColumn=D)}isEmpty(){return S.isEmpty(this)}static isEmpty(A){return A.startLineNumber===A.endLineNumber&&A.startColumn===A.endColumn}containsPosition(A){return S.containsPosition(this,A)}static containsPosition(A,w){return!(w.lineNumber<A.startLineNumber||w.lineNumber>A.endLineNumber||w.lineNumber===A.startLineNumber&&w.column<A.startColumn||w.lineNumber===A.endLineNumber&&w.column>A.endColumn)}containsRange(A){return S.containsRange(this,A)}static containsRange(A,w){return!(w.startLineNumber<A.startLineNumber||w.endLineNumber<A.startLineNumber||w.startLineNumber>A.endLineNumber||w.endLineNumber>A.endLineNumber||w.startLineNumber===A.startLineNumber&&w.startColumn<A.startColumn||w.endLineNumber===A.endLineNumber&&w.endColumn>A.endColumn)}strictContainsRange(A){return S.strictContainsRange(this,A)}static strictContainsRange(A,w){return!(w.startLineNumber<A.startLineNumber||w.endLineNumber<A.startLineNumber||w.startLineNumber>A.endLineNumber||w.endLineNumber>A.endLineNumber||w.startLineNumber===A.startLineNumber&&w.startColumn<=A.startColumn||w.endLineNumber===A.endLineNumber&&w.endColumn>=A.endColumn)}plusRange(A){return S.plusRange(this,A)}static plusRange(A,w){let C,D,i,P;return w.startLineNumber<A.startLineNumber?(C=w.startLineNumber,D=w.startColumn):w.startLineNumber===A.startLineNumber?(C=w.startLineNumber,D=Math.min(w.startColumn,A.startColumn)):(C=A.startLineNumber,D=A.startColumn),w.endLineNumber>A.endLineNumber?(i=w.endLineNumber,P=w.endColumn):w.endLineNumber===A.endLineNumber?(i=w.endLineNumber,P=Math.max(w.endColumn,A.endColumn)):(i=A.endLineNumber,P=A.endColumn),new S(C,D,i,P)}intersectRanges(A){return S.intersectRanges(this,A)}static intersectRanges(A,w){let C=A.startLineNumber,D=A.startColumn,i=A.endLineNumber,P=A.endColumn,I=w.startLineNumber,p=w.startColumn,d=w.endLineNumber,s=w.endColumn;return C<I?(C=I,D=p):C===I&&(D=Math.max(D,p)),i>d?(i=d,P=s):i===d&&(P=Math.min(P,s)),C>i||C===i&&D>P?null:new S(C,D,i,P)}equalsRange(A){return S.equalsRange(this,A)}static equalsRange(A,w){return!!A&&!!w&&A.startLineNumber===w.startLineNumber&&A.startColumn===w.startColumn&&A.endLineNumber===w.endLineNumber&&A.endColumn===w.endColumn}getEndPosition(){return S.getEndPosition(this)}static getEndPosition(A){return new b.Position(A.endLineNumber,A.endColumn)}getStartPosition(){return S.getStartPosition(this)}static getStartPosition(A){return new b.Position(A.startLineNumber,A.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(A,w){return new S(this.startLineNumber,this.startColumn,A,w)}setStartPosition(A,w){return new S(A,w,this.endLineNumber,this.endColumn)}collapseToStart(){return S.collapseToStart(this)}static collapseToStart(A){return new S(A.startLineNumber,A.startColumn,A.startLineNumber,A.startColumn)}static fromPositions(A,w=A){return new S(A.lineNumber,A.column,w.lineNumber,w.column)}static lift(A){return A?new S(A.startLineNumber,A.startColumn,A.endLineNumber,A.endColumn):null}static isIRange(A){return A&&typeof A.startLineNumber=="number"&&typeof A.startColumn=="number"&&typeof A.endLineNumber=="number"&&typeof A.endColumn=="number"}static areIntersectingOrTouching(A,w){return!(A.endLineNumber<w.startLineNumber||A.endLineNumber===w.startLineNumber&&A.endColumn<w.startColumn||w.endLineNumber<A.startLineNumber||w.endLineNumber===A.startLineNumber&&w.endColumn<A.startColumn)}static areIntersecting(A,w){return!(A.endLineNumber<w.startLineNumber||A.endLineNumber===w.startLineNumber&&A.endColumn<=w.startColumn||w.endLineNumber<A.startLineNumber||w.endLineNumber===A.startLineNumber&&w.endColumn<=A.startColumn)}static compareRangesUsingStarts(A,w){if(A&&w){const i=A.startLineNumber|0,P=w.startLineNumber|0;if(i===P){const I=A.startColumn|0,p=w.startColumn|0;if(I===p){const d=A.endLineNumber|0,s=w.endLineNumber|0;if(d===s){const h=A.endColumn|0,v=w.endColumn|0;return h-v}return d-s}return I-p}return i-P}return(A?1:0)-(w?1:0)}static compareRangesUsingEnds(A,w){return A.endLineNumber===w.endLineNumber?A.endColumn===w.endColumn?A.startLineNumber===w.startLineNumber?A.startColumn-w.startColumn:A.startLineNumber-w.startLineNumber:A.endColumn-w.endColumn:A.endLineNumber-w.endLineNumber}static spansMultipleLines(A){return A.endLineNumber>A.startLineNumber}}e.Range=S}),define(we[111],Ee([0,1,39,32]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var T;(function(w){w[w.LTR=0]="LTR",w[w.RTL=1]="RTL"})(T=e.SelectionDirection||(e.SelectionDirection={}));class A extends S.Range{constructor(C,D,i,P){super(C,D,i,P);this.selectionStartLineNumber=C,this.selectionStartColumn=D,this.positionLineNumber=i,this.positionColumn=P}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(C){return A.selectionsEqual(this,C)}static selectionsEqual(C,D){return C.selectionStartLineNumber===D.selectionStartLineNumber&&C.selectionStartColumn===D.selectionStartColumn&&C.positionLineNumber===D.positionLineNumber&&C.positionColumn===D.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(C,D){return this.getDirection()===0?new A(this.startLineNumber,this.startColumn,C,D):new A(C,D,this.startLineNumber,this.startColumn)}getPosition(){return new b.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(C,D){return this.getDirection()===0?new A(C,D,this.endLineNumber,this.endColumn):new A(this.endLineNumber,this.endColumn,C,D)}static fromPositions(C,D=C){return new A(C.lineNumber,C.column,D.lineNumber,D.column)}static liftSelection(C){return new A(C.selectionStartLineNumber,C.selectionStartColumn,C.positionLineNumber,C.positionColumn)}static selectionsArrEqual(C,D){if(C&&!D||!C&&D)return!1;if(!C&&!D)return!0;if(C.length!==D.length)return!1;for(let i=0,P=C.length;i<P;i++)if(!this.selectionsEqual(C[i],D[i]))return!1;return!0}static isISelection(C){return C&&typeof C.selectionStartLineNumber=="number"&&typeof C.selectionStartColumn=="number"&&typeof C.positionLineNumber=="number"&&typeof C.positionColumn=="number"}static createWithDirection(C,D,i,P,I){return I===0?new A(C,D,i,P):new A(i,P,C,D)}}e.Selection=A}),define(we[82],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var b;(function(d){d[d.Left=1]="Left",d[d.Center=2]="Center",d[d.Right=4]="Right",d[d.Full=7]="Full"})(b=e.OverviewRulerLane||(e.OverviewRulerLane={}));var S;(function(d){d[d.Inline=1]="Inline",d[d.Gutter=2]="Gutter"})(S=e.MinimapPosition||(e.MinimapPosition={}));var T;(function(d){d[d.TextDefined=0]="TextDefined",d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(T=e.EndOfLinePreference||(e.EndOfLinePreference={}));var A;(function(d){d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(A=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var w;(function(d){d[d.LF=0]="LF",d[d.CRLF=1]="CRLF"})(w=e.EndOfLineSequence||(e.EndOfLineSequence={}));class C{constructor(s){this.tabSize=Math.max(1,s.tabSize|0),this.indentSize=s.tabSize|0,this.insertSpaces=Boolean(s.insertSpaces),this.defaultEOL=s.defaultEOL|0,this.trimAutoWhitespace=Boolean(s.trimAutoWhitespace)}equals(s){return this.tabSize===s.tabSize&&this.indentSize===s.indentSize&&this.insertSpaces===s.insertSpaces&&this.defaultEOL===s.defaultEOL&&this.trimAutoWhitespace===s.trimAutoWhitespace}createChangeEvent(s){return{tabSize:this.tabSize!==s.tabSize,indentSize:this.indentSize!==s.indentSize,insertSpaces:this.insertSpaces!==s.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==s.trimAutoWhitespace}}}e.TextModelResolvedOptions=C;class D{constructor(s,h){this.range=s,this.matches=h}}e.FindMatch=D;var i;(function(d){d[d.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",d[d.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",d[d.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",d[d.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(i=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var P;(function(d){d[d.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(P=e.ModelConstants||(e.ModelConstants={}));class I{constructor(s,h,v,g,_,r){this.identifier=s,this.range=h,this.text=v,this.forceMoveMarkers=g,this.isAutoWhitespaceEdit=_,this._isTracked=r}}e.ValidAnnotatedEditOperation=I;class p{constructor(s,h,v){this.reverseEdits=s,this.changes=h,this.trimAutoWhitespaceLineNumbers=v}}e.ApplyEditsResult=p}),define(we[112],Ee([0,1,8,110,39,32,82]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const C=999;class D{constructor(r,l,u,t){this.searchString=r,this.isRegex=l,this.matchCase=u,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let r;this.isRegex?r=i(this.searchString):r=this.searchString.indexOf(`
`)>=0;let l=null;try{l=b.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:r,global:!0,unicode:!0})}catch(t){return null}if(!l)return null;let u=!this.isRegex&&!r;return u&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(u=this.matchCase),new P(l,this.wordSeparators?S.getMapForWordSeparators(this.wordSeparators):null,u?this.searchString:null)}}e.SearchParams=D;function i(_){if(!_||_.length===0)return!1;for(let r=0,l=_.length;r<l;r++)if(_.charCodeAt(r)===92){if(r++,r>=l)break;const t=_.charCodeAt(r);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=i;class P{constructor(r,l,u){this.regex=r,this.wordSeparators=l,this.simpleSearch=u}}e.SearchData=P;function I(_,r,l){if(!l)return new w.FindMatch(_,null);let u=[];for(let t=0,o=r.length;t<o;t++)u[t]=r[t];return new w.FindMatch(_,u)}e.createFindMatch=I;class p{constructor(r){let l=[],u=0;for(let t=0,o=r.length;t<o;t++)r.charCodeAt(t)===10&&(l[u++]=t);this._lineFeedsOffsets=l}findLineFeedCountBeforeOffset(r){const l=this._lineFeedsOffsets;let u=0,t=l.length-1;if(t===-1||r<=l[0])return 0;for(;u<t;){const o=u+((t-u)/2>>0);l[o]>=r?t=o-1:l[o+1]>=r?(u=o,t=o):u=o+1}return u+1}}class d{static findMatches(r,l,u,t,o){const a=l.parseSearchRequest();return a?a.regex.multiline?this._doFindMatchesMultiline(r,u,new g(a.wordSeparators,a.regex),t,o):this._doFindMatchesLineByLine(r,u,a,t,o):[]}static _getMultilineMatchRange(r,l,u,t,o,a){let c,n=0;t?(n=t.findLineFeedCountBeforeOffset(o),c=l+o+n):c=l+o;let f;if(t){let E=t.findLineFeedCountBeforeOffset(o+a.length)-n;f=c+a.length+E}else f=c+a.length;const y=r.getPositionAt(c),k=r.getPositionAt(f);return new A.Range(y.lineNumber,y.column,k.lineNumber,k.column)}static _doFindMatchesMultiline(r,l,u,t,o){const a=r.getOffsetAt(l.getStartPosition()),c=r.getValueInRange(l,1),n=r.getEOL()===`\r
`?new p(c):null,f=[];let y=0,k;for(u.reset(0);k=u.next(c);)if(f[y++]=I(this._getMultilineMatchRange(r,a,c,n,k.index,k[0]),k,t),y>=o)return f;return f}static _doFindMatchesLineByLine(r,l,u,t,o){const a=[];let c=0;if(l.startLineNumber===l.endLineNumber){const f=r.getLineContent(l.startLineNumber).substring(l.startColumn-1,l.endColumn-1);return c=this._findMatchesInLine(u,f,l.startLineNumber,l.startColumn-1,c,a,t,o),a}const n=r.getLineContent(l.startLineNumber).substring(l.startColumn-1);c=this._findMatchesInLine(u,n,l.startLineNumber,l.startColumn-1,c,a,t,o);for(let f=l.startLineNumber+1;f<l.endLineNumber&&c<o;f++)c=this._findMatchesInLine(u,r.getLineContent(f),f,0,c,a,t,o);if(c<o){const f=r.getLineContent(l.endLineNumber).substring(0,l.endColumn-1);c=this._findMatchesInLine(u,f,l.endLineNumber,0,c,a,t,o)}return a}static _findMatchesInLine(r,l,u,t,o,a,c,n){const f=r.wordSeparators;if(!c&&r.simpleSearch){const m=r.simpleSearch,E=m.length,R=l.length;let F=-E;for(;(F=l.indexOf(m,F+E))!==-1;)if((!f||v(f,l,R,F,E))&&(a[o++]=new w.FindMatch(new A.Range(u,F+1+t,u,F+1+E+t),null),o>=n))return o;return o}const y=new g(r.wordSeparators,r.regex);let k;y.reset(0);do if(k=y.next(l),k&&(a[o++]=I(new A.Range(u,k.index+1+t,u,k.index+1+k[0].length+t),k,c),o>=n))return o;while(k);return o}static findNextMatch(r,l,u,t){const o=l.parseSearchRequest();if(!o)return null;const a=new g(o.wordSeparators,o.regex);return o.regex.multiline?this._doFindNextMatchMultiline(r,u,a,t):this._doFindNextMatchLineByLine(r,u,a,t)}static _doFindNextMatchMultiline(r,l,u,t){const o=new T.Position(l.lineNumber,1),a=r.getOffsetAt(o),c=r.getLineCount(),n=r.getValueInRange(new A.Range(o.lineNumber,o.column,c,r.getLineMaxColumn(c)),1),f=r.getEOL()===`\r
`?new p(n):null;u.reset(l.column-1);let y=u.next(n);return y?I(this._getMultilineMatchRange(r,a,n,f,y.index,y[0]),y,t):l.lineNumber!==1||l.column!==1?this._doFindNextMatchMultiline(r,new T.Position(1,1),u,t):null}static _doFindNextMatchLineByLine(r,l,u,t){const o=r.getLineCount(),a=l.lineNumber,c=r.getLineContent(a),n=this._findFirstMatchInLine(u,c,a,l.column,t);if(n)return n;for(let f=1;f<=o;f++){const y=(a+f-1)%o,k=r.getLineContent(y+1),m=this._findFirstMatchInLine(u,k,y+1,1,t);if(m)return m}return null}static _findFirstMatchInLine(r,l,u,t,o){r.reset(t-1);const a=r.next(l);return a?I(new A.Range(u,a.index+1,u,a.index+1+a[0].length),a,o):null}static findPreviousMatch(r,l,u,t){const o=l.parseSearchRequest();if(!o)return null;const a=new g(o.wordSeparators,o.regex);return o.regex.multiline?this._doFindPreviousMatchMultiline(r,u,a,t):this._doFindPreviousMatchLineByLine(r,u,a,t)}static _doFindPreviousMatchMultiline(r,l,u,t){const o=this._doFindMatchesMultiline(r,new A.Range(1,1,l.lineNumber,l.column),u,t,10*C);if(o.length>0)return o[o.length-1];const a=r.getLineCount();return l.lineNumber!==a||l.column!==r.getLineMaxColumn(a)?this._doFindPreviousMatchMultiline(r,new T.Position(a,r.getLineMaxColumn(a)),u,t):null}static _doFindPreviousMatchLineByLine(r,l,u,t){const o=r.getLineCount(),a=l.lineNumber,c=r.getLineContent(a).substring(0,l.column-1),n=this._findLastMatchInLine(u,c,a,t);if(n)return n;for(let f=1;f<=o;f++){const y=(o+a-f-1)%o,k=r.getLineContent(y+1),m=this._findLastMatchInLine(u,k,y+1,t);if(m)return m}return null}static _findLastMatchInLine(r,l,u,t){let o=null,a;for(r.reset(0);a=r.next(l);)o=I(new A.Range(u,a.index+1,u,a.index+1+a[0].length),a,t);return o}}e.TextModelSearch=d;function s(_,r,l,u,t){if(u===0)return!0;const o=r.charCodeAt(u-1);if(_.get(o)!==0||o===13||o===10)return!0;if(t>0){const a=r.charCodeAt(u);if(_.get(a)!==0)return!0}return!1}function h(_,r,l,u,t){if(u+t===l)return!0;const o=r.charCodeAt(u+t);if(_.get(o)!==0||o===13||o===10)return!0;if(t>0){const a=r.charCodeAt(u+t-1);if(_.get(a)!==0)return!0}return!1}function v(_,r,l,u,t){return s(_,r,l,u,t)&&h(_,r,l,u,t)}e.isValidMatch=v;class g{constructor(r,l){this._wordSeparators=r,this._searchRegex=l,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(r){this._searchRegex.lastIndex=r,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(r){const l=r.length;let u;do{if(this._prevMatchStartIndex+this._prevMatchLength===l||(u=this._searchRegex.exec(r),!u))return null;const t=u.index,o=u[0].length;if(t===this._prevMatchStartIndex&&o===this._prevMatchLength){if(o===0){b.getNextCodePoint(r,l,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=o,!this._wordSeparators||v(this._wordSeparators,r,l,t,o))return u}while(u);return null}}e.Searcher=g}),define(we[83],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function b(C=""){let D="(-?\\d*\\.\\d\\w*)|([^";for(const i of e.USUAL_WORD_SEPARATORS)C.indexOf(i)>=0||(D+="\\"+i);return D+="\\s]+)",new RegExp(D,"g")}e.DEFAULT_WORD_REGEXP=b();function S(C){let D=e.DEFAULT_WORD_REGEXP;if(C&&C instanceof RegExp)if(C.global)D=C;else{let i="g";C.ignoreCase&&(i+="i"),C.multiline&&(i+="m"),C.unicode&&(i+="u"),D=new RegExp(C.source,i)}return D.lastIndex=0,D}e.ensureValidWordDefinition=S;const T={maxLen:1e3,windowSize:15,timeBudget:150};function A(C,D,i,P,I=T){if(i.length>I.maxLen){let v=C-I.maxLen/2;return v<0?v=0:P+=v,i=i.substring(v,C+I.maxLen/2),A(C,D,i,P,I)}const p=Date.now(),d=C-1-P;let s=-1,h=null;for(let v=1;!(Date.now()-p>=I.timeBudget);v++){const g=d-I.windowSize*v;D.lastIndex=Math.max(0,g);const _=w(D,i,d,s);if(!_&&h||(h=_,g<=0))break;s=g}if(h){let v={word:h[0],startColumn:P+1+h.index,endColumn:P+1+h.index+h[0].length};return D.lastIndex=0,v}return null}e.getWordAtText=A;function w(C,D,i,P){let I;for(;I=C.exec(D);){const p=I.index||0;if(p<=i&&C.lastIndex>=i)return I;if(P>0&&p>P)return null}return null}}),define(we[113],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var b;(function(w){w[w.None=0]="None",w[w.Indent=1]="Indent",w[w.IndentOutdent=2]="IndentOutdent",w[w.Outdent=3]="Outdent"})(b=e.IndentAction||(e.IndentAction={}));class S{constructor(C){if(this.open=C.open,this.close=C.close,this._standardTokenMask=0,Array.isArray(C.notIn))for(let D=0,i=C.notIn.length;D<i;D++)switch(C.notIn[D]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(C){return(this._standardTokenMask&C)==0}}e.StandardAutoClosingPairConditional=S;class T{constructor(C){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const D of C)A(this.autoClosingPairsOpenByStart,D.open.charAt(0),D),A(this.autoClosingPairsOpenByEnd,D.open.charAt(D.open.length-1),D),A(this.autoClosingPairsCloseByStart,D.close.charAt(0),D),A(this.autoClosingPairsCloseByEnd,D.close.charAt(D.close.length-1),D),D.close.length===1&&D.open.length===1&&A(this.autoClosingPairsCloseSingleChar,D.close,D)}}e.AutoClosingPairs=T;function A(w,C,D){w.has(C)?w.get(C).push(D):w.set(C,[D])}}),define(we[60],Ee([0,1,28,12]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function T(A,w,C,D){if(Array.isArray(A)){let i=0;for(const P of A){const I=T(P,w,C,D);if(I===10)return I;I>i&&(i=I)}return i}else{if(typeof A=="string")return D?A==="*"?5:A===C?10:0:0;if(A){const{language:i,pattern:P,scheme:I,hasAccessToAllModels:p}=A;if(!D&&!p)return 0;let d=0;if(I)if(I===w.scheme)d=10;else if(I==="*")d=5;else return 0;if(i)if(i===C)d=10;else if(i==="*")d=Math.max(d,5);else return 0;if(P){let s;if(typeof P=="string"?s=P:s=Object.assign(Object.assign({},P),{base:S.normalize(P.base)}),s===w.fsPath||b.match(s,w.fsPath))d=10;else return 0}return d}else return 0}}e.score=T}),define(we[114],Ee([0,1,81]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var S;(function(d){d[d.Invalid=0]="Invalid",d[d.Start=1]="Start",d[d.H=2]="H",d[d.HT=3]="HT",d[d.HTT=4]="HTT",d[d.HTTP=5]="HTTP",d[d.F=6]="F",d[d.FI=7]="FI",d[d.FIL=8]="FIL",d[d.BeforeColon=9]="BeforeColon",d[d.AfterColon=10]="AfterColon",d[d.AlmostThere=11]="AlmostThere",d[d.End=12]="End",d[d.Accept=13]="Accept",d[d.LastKnownState=14]="LastKnownState"})(S=e.State||(e.State={}));class T{constructor(s,h,v){const g=new Uint8Array(s*h);for(let _=0,r=s*h;_<r;_++)g[_]=v;this._data=g,this.rows=s,this.cols=h}get(s,h){return this._data[s*this.cols+h]}set(s,h,v){this._data[s*this.cols+h]=v}}e.Uint8Matrix=T;class A{constructor(s){let h=0,v=0;for(let _=0,r=s.length;_<r;_++){let[l,u,t]=s[_];u>h&&(h=u),l>v&&(v=l),t>v&&(v=t)}h++,v++;let g=new T(v,h,0);for(let _=0,r=s.length;_<r;_++){let[l,u,t]=s[_];g.set(l,u,t)}this._states=g,this._maxCharCode=h}nextState(s,h){return h<0||h>=this._maxCharCode?0:this._states.get(s,h)}}e.StateMachine=A;let w=null;function C(){return w===null&&(w=new A([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),w}var D;(function(d){d[d.None=0]="None",d[d.ForceTermination=1]="ForceTermination",d[d.CannotEndIn=2]="CannotEndIn"})(D||(D={}));let i=null;function P(){if(i===null){i=new b.CharacterClassifier(0);const d=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let h=0;h<d.length;h++)i.set(d.charCodeAt(h),1);const s=".,;";for(let h=0;h<s.length;h++)i.set(s.charCodeAt(h),2)}return i}class I{static _createLink(s,h,v,g,_){let r=_-1;do{const l=h.charCodeAt(r);if(s.get(l)!==2)break;r--}while(r>g);if(g>0){const l=h.charCodeAt(g-1),u=h.charCodeAt(r);(l===40&&u===41||l===91&&u===93||l===123&&u===125)&&r--}return{range:{startLineNumber:v,startColumn:g+1,endLineNumber:v,endColumn:r+2},url:h.substring(g,r+1)}}static computeLinks(s,h=C()){const v=P();let g=[];for(let _=1,r=s.getLineCount();_<=r;_++){const l=s.getLineContent(_),u=l.length;let t=0,o=0,a=0,c=1,n=!1,f=!1,y=!1,k=!1;for(;t<u;){let m=!1;const E=l.charCodeAt(t);if(c===13){let R;switch(E){case 40:n=!0,R=0;break;case 41:R=n?0:1;break;case 91:y=!0,f=!0,R=0;break;case 93:y=!1,R=f?0:1;break;case 123:k=!0,R=0;break;case 125:R=k?0:1;break;case 39:R=a===34||a===96?0:1;break;case 34:R=a===39||a===96?0:1;break;case 96:R=a===39||a===34?0:1;break;case 42:R=a===42?1:0;break;case 124:R=a===124?1:0;break;case 32:R=y?0:1;break;default:R=v.get(E)}R===1&&(g.push(I._createLink(v,l,_,o,t)),m=!0)}else if(c===12){let R;E===91?(f=!0,R=0):R=v.get(E),R===1?m=!0:c=13}else c=h.nextState(c,E),c===0&&(m=!0);m&&(c=1,n=!1,f=!1,k=!1,o=t+1,a=E),t++}c===13&&g.push(I._createLink(v,l,_,o,u))}return g}}e.LinkComputer=I;function p(d){return!d||typeof d.getLineCount!="function"||typeof d.getLineContent!="function"?[]:I.computeLinks(d)}e.computeLinks=p}),define(we[115],Ee([0,1,3,6]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class T{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new b.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(w){this._onDidChange.fire({changedLanguages:w,changedColorMap:!1})}register(w,C){return this._map.set(w,C),this.fire([w]),S.toDisposable(()=>{this._map.get(w)===C&&(this._map.delete(w),this.fire([w]))})}registerPromise(w,C){let D=null,i=!1;return this._promises.set(w,C.then(P=>{this._promises.delete(w),!(i||!P)&&(D=this.register(w,P))})),S.toDisposable(()=>{i=!0,D&&D.dispose()})}getPromise(w){const C=this.get(w);if(C)return Promise.resolve(C);const D=this._promises.get(w);return D?D.then(i=>this.get(w)):null}get(w){return this._map.get(w)||null}setColorMap(w){this._colorMap=w,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=T}),define(we[84],Ee([0,1,26,21]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var T;(function(I){I[I.Full=1]="Full",I[I.Delta=2]="Delta"})(T||(T={}));function A(I){for(let p=0,d=I.length;p<d;p+=4){const s=I[p+0],h=I[p+1],v=I[p+2],g=I[p+3];I[p+0]=g,I[p+1]=v,I[p+2]=h,I[p+3]=s}}function w(I){const p=new Uint8Array(I.buffer,I.byteOffset,I.length*4);return S.isLittleEndian()||A(p),b.VSBuffer.wrap(p)}function C(I){const p=I.buffer;if(S.isLittleEndian()||A(p),p.byteOffset%4==0)return new Uint32Array(p.buffer,p.byteOffset,p.length/4);{const d=new Uint8Array(p.byteLength);return d.set(p),new Uint32Array(d.buffer,d.byteOffset,d.length/4)}}function D(I){const p=new Uint32Array(i(I));let d=0;if(p[d++]=I.id,I.type==="full")p[d++]=1,p[d++]=I.data.length,p.set(I.data,d),d+=I.data.length;else{p[d++]=2,p[d++]=I.deltas.length;for(const s of I.deltas)p[d++]=s.start,p[d++]=s.deleteCount,s.data?(p[d++]=s.data.length,p.set(s.data,d),d+=s.data.length):p[d++]=0}return w(p)}e.encodeSemanticTokensDto=D;function i(I){let p=0;if(p+=1+1,I.type==="full")p+=1+I.data.length;else{p+=1,p+=(1+1+1)*I.deltas.length;for(const d of I.deltas)d.data&&(p+=d.data.length)}return p}function P(I){const p=C(I);let d=0;const s=p[d++];if(p[d++]===1){const _=p[d++],r=p.subarray(d,d+_);return d+=_,{id:s,type:"full",data:r}}const v=p[d++];let g=[];for(let _=0;_<v;_++){const r=p[d++],l=p[d++],u=p[d++];let t;u>0&&(t=p.subarray(d,d+u),d+=u),g[_]={start:r,deleteCount:l,data:t}}return{id:s,type:"delta",deltas:g}}e.decodeSemanticTokensDto=P}),define(we[85],Ee([0,1,79]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class S{constructor(w,C){this.index=w,this.remainder=C}}e.PrefixSumIndexOfResult=S;class T{constructor(w){this.values=w,this.prefixSum=new Uint32Array(w.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(w,C){w=b.toUint32(w);const D=this.values,i=this.prefixSum,P=C.length;return P===0?!1:(this.values=new Uint32Array(D.length+P),this.values.set(D.subarray(0,w),0),this.values.set(D.subarray(w),w+P),this.values.set(C,w),w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(w,C){return w=b.toUint32(w),C=b.toUint32(C),this.values[w]===C?!1:(this.values[w]=C,w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),!0)}removeValues(w,C){w=b.toUint32(w),C=b.toUint32(C);const D=this.values,i=this.prefixSum;if(w>=D.length)return!1;let P=D.length-w;return C>=P&&(C=P),C===0?!1:(this.values=new Uint32Array(D.length-C),this.values.set(D.subarray(0,w),0),this.values.set(D.subarray(w+C),w),this.prefixSum=new Uint32Array(this.values.length),w-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=w-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(w){return w<0?0:(w=b.toUint32(w),this._getAccumulatedValue(w))}_getAccumulatedValue(w){if(w<=this.prefixSumValidIndex[0])return this.prefixSum[w];let C=this.prefixSumValidIndex[0]+1;C===0&&(this.prefixSum[0]=this.values[0],C++),w>=this.values.length&&(w=this.values.length-1);for(let D=C;D<=w;D++)this.prefixSum[D]=this.prefixSum[D-1]+this.values[D];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],w),this.prefixSum[w]}getIndexOf(w){w=Math.floor(w),this.getTotalValue();let C=0,D=this.values.length-1,i=0,P=0,I=0;for(;C<=D;)if(i=C+(D-C)/2|0,P=this.prefixSum[i],I=P-this.values[i],w<I)D=i-1;else if(w>=P)C=i+1;else break;return new S(i,w-I)}}e.PrefixSumComputer=T}),define(we[116],Ee([0,1,8,39,85]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class A{constructor(C,D,i,P){this._uri=C,this._lines=D,this._eol=i,this._versionId=P,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(C){C.eol&&C.eol!==this._eol&&(this._eol=C.eol,this._lineStarts=null);const D=C.changes;for(const i of D)this._acceptDeleteRange(i.range),this._acceptInsertText(new S.Position(i.range.startLineNumber,i.range.startColumn),i.text);this._versionId=C.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const C=this._eol.length,D=this._lines.length,i=new Uint32Array(D);for(let P=0;P<D;P++)i[P]=this._lines[P].length+C;this._lineStarts=new T.PrefixSumComputer(i)}}_setLineText(C,D){this._lines[C]=D,this._lineStarts&&this._lineStarts.changeValue(C,this._lines[C].length+this._eol.length)}_acceptDeleteRange(C){if(C.startLineNumber===C.endLineNumber){if(C.startColumn===C.endColumn)return;this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.startLineNumber-1].substring(C.endColumn-1));return}this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.endLineNumber-1].substring(C.endColumn-1)),this._lines.splice(C.startLineNumber,C.endLineNumber-C.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(C.startLineNumber,C.endLineNumber-C.startLineNumber)}_acceptInsertText(C,D){if(D.length!==0){let i=b.splitLines(D);if(i.length===1){this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+i[0]+this._lines[C.lineNumber-1].substring(C.column-1));return}i[i.length-1]+=this._lines[C.lineNumber-1].substring(C.column-1),this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+i[0]);let P=new Uint32Array(i.length-1);for(let I=1;I<i.length;I++)this._lines.splice(C.lineNumber+I-1,0,i[I]),P[I-1]=i[I].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(C.lineNumber,P)}}}e.MirrorTextModel=A}),define(we[117],Ee([18,19]),function(oe,e){return oe.create("vs/base/common/errorMessage",e)}),define(we[61],Ee([0,1,117,13,11]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function A(i,P){return P&&(i.stack||i.stacktrace)?b.localize(0,null,C(i),w(i.stack)||w(i.stacktrace)):C(i)}function w(i){return Array.isArray(i)?i.join(`
`):i}function C(i){return typeof i.code=="string"&&typeof i.errno=="number"&&typeof i.syscall=="string"?b.localize(1,null,i.message):i.message||b.localize(2,null)}function D(i=null,P=!1){if(!i)return b.localize(3,null);if(Array.isArray(i)){const I=T.coalesce(i),p=D(I[0],P);return I.length>1?b.localize(4,null,p,I.length):p}if(S.isString(i))return i;if(i.detail){const I=i.detail;if(I.error)return A(I.error,P);if(I.exception)return A(I.exception,P)}return i.stack?A(i,P):i.message?i.message:b.localize(5,null)}e.toErrorMessage=D}),define(we[118],Ee([18,19]),function(oe,e){return oe.create("vs/editor/common/config/editorOptions",e)}),define(we[119],Ee([0,1,118,21,83]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var A;(function(V){V[V.None=0]="None",V[V.Keep=1]="Keep",V[V.Brackets=2]="Brackets",V[V.Advanced=3]="Advanced",V[V.Full=4]="Full"})(A=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class w{constructor(X){this._values=X}hasChanged(X){return this._values[X]}}e.ConfigurationChangedEvent=w;class C{constructor(){this._values=[]}_read(X){return this._values[X]}get(X){return this._values[X]}_write(X,ve){this._values[X]=ve}}e.ValidatedEditorOptions=C;class D{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=D;class i{constructor(X,ve,Me,We){this.id=X,this.name=ve,this.defaultValue=Me,this.schema=We}compute(X,ve,Me){return Me}}class P{constructor(X,ve=null){this.schema=void 0,this.id=X,this.name="_never_",this.defaultValue=void 0,this.deps=ve}validate(X){return this.defaultValue}}class I{constructor(X,ve,Me,We){this.id=X,this.name=ve,this.defaultValue=Me,this.schema=We}validate(X){return typeof X=="undefined"?this.defaultValue:X}compute(X,ve,Me){return Me}}function p(V,X){return typeof V=="undefined"?X:V==="false"?!1:Boolean(V)}e.boolean=p;class d extends I{constructor(X,ve,Me,We=void 0){typeof We!="undefined"&&(We.type="boolean",We.default=Me),super(X,ve,Me,We)}validate(X){return p(X,this.defaultValue)}}class s extends I{constructor(X,ve,Me,We,Ue,et=void 0){typeof et!="undefined"&&(et.type="integer",et.default=Me,et.minimum=We,et.maximum=Ue),super(X,ve,Me,et),this.minimum=We,this.maximum=Ue}static clampedInt(X,ve,Me,We){if(typeof X=="undefined")return ve;let Ue=parseInt(X,10);return isNaN(Ue)?ve:(Ue=Math.max(Me,Ue),Ue=Math.min(We,Ue),Ue|0)}validate(X){return s.clampedInt(X,this.defaultValue,this.minimum,this.maximum)}}class h extends I{constructor(X,ve,Me,We,Ue){typeof Ue!="undefined"&&(Ue.type="number",Ue.default=Me),super(X,ve,Me,Ue),this.validationFn=We}static clamp(X,ve,Me){return X<ve?ve:X>Me?Me:X}static float(X,ve){if(typeof X=="number")return X;if(typeof X=="undefined")return ve;const Me=parseFloat(X);return isNaN(Me)?ve:Me}validate(X){return this.validationFn(h.float(X,this.defaultValue))}}class v extends I{static string(X,ve){return typeof X!="string"?ve:X}constructor(X,ve,Me,We=void 0){typeof We!="undefined"&&(We.type="string",We.default=Me),super(X,ve,Me,We)}validate(X){return v.string(X,this.defaultValue)}}function g(V,X,ve){return typeof V!="string"||ve.indexOf(V)===-1?X:V}e.stringSet=g;class _ extends I{constructor(X,ve,Me,We,Ue=void 0){typeof Ue!="undefined"&&(Ue.type="string",Ue.enum=We,Ue.default=Me),super(X,ve,Me,Ue),this._allowedValues=We}validate(X){return g(X,this.defaultValue,this._allowedValues)}}class r extends i{constructor(X,ve,Me,We,Ue,et,B=void 0){typeof B!="undefined"&&(B.type="string",B.enum=Ue,B.default=We),super(X,ve,Me,B),this._allowedValues=Ue,this._convert=et}validate(X){return typeof X!="string"?this.defaultValue:this._allowedValues.indexOf(X)===-1?this.defaultValue:this._convert(X)}}function l(V){switch(V){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class u extends i{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[b.localize(0,null),b.localize(1,null),b.localize(2,null)],default:"auto",description:b.localize(3,null)})}validate(X){switch(X){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(X,ve,Me){return Me===0?X.accessibilitySupport:Me}}class t extends i{constructor(){const X={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",X,{"editor.comments.insertSpace":{type:"boolean",default:X.insertSpace,description:b.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:X.ignoreEmptyLines,description:b.localize(5,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{insertSpace:p(ve.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:p(ve.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var o;(function(V){V[V.Hidden=0]="Hidden",V[V.Blink=1]="Blink",V[V.Smooth=2]="Smooth",V[V.Phase=3]="Phase",V[V.Expand=4]="Expand",V[V.Solid=5]="Solid"})(o=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function a(V){switch(V){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var c;(function(V){V[V.Line=1]="Line",V[V.Block=2]="Block",V[V.Underline=3]="Underline",V[V.LineThin=4]="LineThin",V[V.BlockOutline=5]="BlockOutline",V[V.UnderlineThin=6]="UnderlineThin"})(c=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function n(V){switch(V){case c.Line:return"line";case c.Block:return"block";case c.Underline:return"underline";case c.LineThin:return"line-thin";case c.BlockOutline:return"block-outline";case c.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=n;function f(V){switch(V){case"line":return c.Line;case"block":return c.Block;case"underline":return c.Underline;case"line-thin":return c.LineThin;case"block-outline":return c.BlockOutline;case"underline-thin":return c.UnderlineThin}}class y extends P{constructor(){super(121,[60,29])}compute(X,ve,Me){const We=["monaco-editor"];return ve.get(29)&&We.push(ve.get(29)),X.extraEditorClassName&&We.push(X.extraEditorClassName),ve.get(60)==="default"?We.push("mouse-default"):ve.get(60)==="copy"&&We.push("mouse-copy"),ve.get(95)&&We.push("showUnused"),ve.get(119)&&We.push("showDeprecated"),We.join(" ")}}class k extends d{constructor(){super(28,"emptySelectionClipboard",!0,{description:b.localize(6,null)})}compute(X,ve,Me){return Me&&X.emptySelectionClipboard}}class m extends i{constructor(){const X={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",X,{"editor.find.cursorMoveOnType":{type:"boolean",default:X.cursorMoveOnType,description:b.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:X.seedSearchStringFromSelection,description:b.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:X.autoFindInSelection,enumDescriptions:[b.localize(9,null),b.localize(10,null),b.localize(11,null)],description:b.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:X.globalFindClipboard,description:b.localize(13,null),included:S.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:X.addExtraSpaceOnTop,description:b.localize(14,null)},"editor.find.loop":{type:"boolean",default:X.loop,description:b.localize(15,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{cursorMoveOnType:p(ve.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:p(ve.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof X.autoFindInSelection=="boolean"?X.autoFindInSelection?"always":"never":g(ve.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:p(ve.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:p(ve.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:p(ve.loop,this.defaultValue.loop)}}}class E extends i{constructor(){super(39,"fontLigatures",E.OFF,{anyOf:[{type:"boolean",description:b.localize(16,null)},{type:"string",description:b.localize(17,null)}],description:b.localize(18,null),default:!1})}validate(X){return typeof X=="undefined"?this.defaultValue:typeof X=="string"?X==="false"?E.OFF:X==="true"?E.ON:X:Boolean(X)?E.ON:E.OFF}}e.EditorFontLigatures=E,E.OFF='"liga" off, "calt" off',E.ON='"liga" on, "calt" on';class R extends P{constructor(){super(38)}compute(X,ve,Me){return X.fontInfo}}class F extends I{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:b.localize(19,null)})}validate(X){let ve=h.float(X,this.defaultValue);return ve===0?e.EDITOR_FONT_DEFAULTS.fontSize:h.clamp(ve,6,100)}compute(X,ve,Me){return X.fontInfo.fontSize}}class $ extends i{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:$.MINIMUM_VALUE,maximum:$.MAXIMUM_VALUE,errorMessage:b.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:$.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:b.localize(21,null)})}validate(X){return X==="normal"||X==="bold"?X:String(s.clampedInt(X,e.EDITOR_FONT_DEFAULTS.fontWeight,$.MINIMUM_VALUE,$.MAXIMUM_VALUE))}}$.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],$.MINIMUM_VALUE=1,$.MAXIMUM_VALUE=1e3;class K extends i{constructor(){const X={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},ve={type:"string",enum:["peek","gotoAndPeek","goto"],default:X.multiple,enumDescriptions:[b.localize(22,null),b.localize(23,null),b.localize(24,null)]};super(45,"gotoLocation",X,{"editor.gotoLocation.multiple":{deprecationMessage:b.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:b.localize(26,null)},ve),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:b.localize(27,null)},ve),"editor.gotoLocation.multipleDeclarations":Object.assign({description:b.localize(28,null)},ve),"editor.gotoLocation.multipleImplementations":Object.assign({description:b.localize(29,null)},ve),"editor.gotoLocation.multipleReferences":Object.assign({description:b.localize(30,null)},ve),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:X.alternativeDefinitionCommand,description:b.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:X.alternativeTypeDefinitionCommand,description:b.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:X.alternativeDeclarationCommand,description:b.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:X.alternativeImplementationCommand,description:b.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:X.alternativeReferenceCommand,description:b.localize(35,null)}})}validate(X){var ve,Me,We,Ue,et;if(!X||typeof X!="object")return this.defaultValue;const B=X;return{multiple:g(B.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(ve=B.multipleDefinitions)!==null&&ve!==void 0?ve:g(B.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Me=B.multipleTypeDefinitions)!==null&&Me!==void 0?Me:g(B.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(We=B.multipleDeclarations)!==null&&We!==void 0?We:g(B.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(Ue=B.multipleImplementations)!==null&&Ue!==void 0?Ue:g(B.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(et=B.multipleReferences)!==null&&et!==void 0?et:g(B.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:v.string(B.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:v.string(B.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:v.string(B.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:v.string(B.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:v.string(B.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class G extends i{constructor(){const X={enabled:!0,delay:300,sticky:!0};super(48,"hover",X,{"editor.hover.enabled":{type:"boolean",default:X.enabled,description:b.localize(36,null)},"editor.hover.delay":{type:"number",default:X.delay,description:b.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:X.sticky,description:b.localize(38,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{enabled:p(ve.enabled,this.defaultValue.enabled),delay:s.clampedInt(ve.delay,this.defaultValue.delay,0,1e4),sticky:p(ve.sticky,this.defaultValue.sticky)}}}var H;(function(V){V[V.None=0]="None",V[V.Text=1]="Text",V[V.Blocks=2]="Blocks"})(H=e.RenderMinimap||(e.RenderMinimap={}));class ue extends P{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(X,ve,Me){return ue.computeLayout(ve,{memory:X.memory,outerWidth:X.outerWidth,outerHeight:X.outerHeight,isDominatedByLongLines:X.isDominatedByLongLines,lineHeight:X.fontInfo.lineHeight,viewLineCount:X.viewLineCount,lineNumbersDigitCount:X.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:X.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:X.fontInfo.maxDigitWidth,pixelRatio:X.pixelRatio})}static computeContainedMinimapLineCount(X){const ve=X.height/X.lineHeight,Me=X.scrollBeyondLastLine?ve-1:0,We=(X.viewLineCount+Me)/(X.pixelRatio*X.height),Ue=Math.floor(X.viewLineCount/We);return{typicalViewportLineCount:ve,extraLinesBeyondLastLine:Me,desiredRatio:We,minimapLineCount:Ue}}static _computeMinimapLayout(X,ve){const Me=X.outerWidth,We=X.outerHeight,Ue=X.pixelRatio;if(!X.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Ue*We),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:We};const et=ve.stableMinimapLayoutInput,B=et&&X.outerHeight===et.outerHeight&&X.lineHeight===et.lineHeight&&X.typicalHalfwidthCharacterWidth===et.typicalHalfwidthCharacterWidth&&X.pixelRatio===et.pixelRatio&&X.scrollBeyondLastLine===et.scrollBeyondLastLine&&X.minimap.enabled===et.minimap.enabled&&X.minimap.side===et.minimap.side&&X.minimap.size===et.minimap.size&&X.minimap.showSlider===et.minimap.showSlider&&X.minimap.renderCharacters===et.minimap.renderCharacters&&X.minimap.maxColumn===et.minimap.maxColumn&&X.minimap.scale===et.minimap.scale&&X.verticalScrollbarWidth===et.verticalScrollbarWidth&&X.isViewportWrapping===et.isViewportWrapping,Z=X.lineHeight,ce=X.typicalHalfwidthCharacterWidth,j=X.scrollBeyondLastLine,Y=X.minimap.renderCharacters;let le=Ue>=2?Math.round(X.minimap.scale*2):X.minimap.scale;const he=X.minimap.maxColumn,be=X.minimap.size,He=X.minimap.side,Ne=X.verticalScrollbarWidth,ze=X.viewLineCount,Je=X.remainingWidth,Xe=X.isViewportWrapping,pe=Y?2:3;let Se=Math.floor(Ue*We);const se=Se/Ue;let q=!1,Re=!1,Le=pe*le,Ye=le/Ue,Ie=1;if(be==="fill"||be==="fit"){const{typicalViewportLineCount:vt,extraLinesBeyondLastLine:yt,desiredRatio:St,minimapLineCount:gt}=ue.computeContainedMinimapLineCount({viewLineCount:ze,scrollBeyondLastLine:j,height:We,lineHeight:Z,pixelRatio:Ue});if(ze/gt>1)q=!0,Re=!0,le=1,Le=1,Ye=le/Ue;else{let ct=!1,_t=le+1;if(be==="fit"){const pt=Math.ceil((ze+yt)*Le);Xe&&B&&Je<=ve.stableFitRemainingWidth?(ct=!0,_t=ve.stableFitMaxMinimapScale):(ct=pt>Se,Xe&&ct?(ve.stableMinimapLayoutInput=X,ve.stableFitRemainingWidth=Je):(ve.stableMinimapLayoutInput=null,ve.stableFitRemainingWidth=0))}if(be==="fill"||ct){q=!0;const pt=le;Le=Math.min(Z*Ue,Math.max(1,Math.floor(1/St))),le=Math.min(_t,Math.max(1,Math.floor(Le/pe))),le>pt&&(Ie=Math.min(2,le/pt)),Ye=le/Ue/Ie,Se=Math.ceil(Math.max(vt,ze+yt)*Le),Xe&&ct&&(ve.stableFitMaxMinimapScale=le)}}}const st=Math.floor(he*Ye),rt=Math.min(st,Math.max(0,Math.floor((Je-Ne-2)*Ye/(ce+Ye)))+e.MINIMAP_GUTTER_WIDTH);let qe=Math.floor(Ue*rt);const ut=qe/Ue;qe=Math.floor(qe*Ie);const dt=Y?1:2,ht=He==="left"?0:Me-rt-Ne;return{renderMinimap:dt,minimapLeft:ht,minimapWidth:rt,minimapHeightIsEditorHeight:q,minimapIsSampling:Re,minimapScale:le,minimapLineHeight:Le,minimapCanvasInnerWidth:qe,minimapCanvasInnerHeight:Se,minimapCanvasOuterWidth:ut,minimapCanvasOuterHeight:se}}static computeLayout(X,ve){const Me=ve.outerWidth|0,We=ve.outerHeight|0,Ue=ve.lineHeight|0,et=ve.lineNumbersDigitCount|0,B=ve.typicalHalfwidthCharacterWidth,Z=ve.maxDigitWidth,ce=ve.pixelRatio,j=ve.viewLineCount,Y=X.get(116),le=Y==="inherit"?X.get(115):Y,he=le==="inherit"?X.get(111):le,be=X.get(114),He=X.get(2),Ne=ve.isDominatedByLongLines,ze=X.get(44),Je=X.get(54).renderType!==0,Xe=X.get(55),pe=X.get(89),Se=X.get(59),se=X.get(87),q=se.verticalScrollbarSize,Re=se.verticalHasArrows,Le=se.arrowSize,Ye=se.horizontalScrollbarSize,Ie=X.get(52),st=X.get(33);let rt;if(typeof Ie=="string"&&/^\d+(\.\d+)?ch$/.test(Ie)){const kt=parseFloat(Ie.substr(0,Ie.length-2));rt=s.clampedInt(kt*B,0,0,1e3)}else rt=s.clampedInt(Ie,0,0,1e3);st&&(rt+=16);let qe=0;if(Je){const kt=Math.max(et,Xe);qe=Math.round(kt*Z)}let ut=0;ze&&(ut=Ue);let dt=0,ht=dt+ut,vt=ht+qe,yt=vt+rt;const St=Me-ut-qe-rt;let gt=!1,mt=!1,ct=-1;He!==2&&(le==="inherit"&&Ne?(gt=!0,mt=!0):he==="on"||he==="bounded"?mt=!0:he==="wordWrapColumn"&&(ct=be));const _t=ue._computeMinimapLayout({outerWidth:Me,outerHeight:We,lineHeight:Ue,typicalHalfwidthCharacterWidth:B,pixelRatio:ce,scrollBeyondLastLine:pe,minimap:Se,verticalScrollbarWidth:q,viewLineCount:j,remainingWidth:St,isViewportWrapping:mt},ve.memory||new D);_t.renderMinimap!==0&&_t.minimapLeft===0&&(dt+=_t.minimapWidth,ht+=_t.minimapWidth,vt+=_t.minimapWidth,yt+=_t.minimapWidth);const pt=St-_t.minimapWidth,Tt=Math.max(1,Math.floor((pt-q-2)/B)),It=Re?Le:0;return mt&&(ct=Math.max(1,Tt),he==="bounded"&&(ct=Math.min(ct,be))),{width:Me,height:We,glyphMarginLeft:dt,glyphMarginWidth:ut,lineNumbersLeft:ht,lineNumbersWidth:qe,decorationsLeft:vt,decorationsWidth:rt,contentLeft:yt,contentWidth:pt,minimap:_t,viewportColumn:Tt,isWordWrapMinified:gt,isViewportWrapping:mt,wrappingColumn:ct,verticalScrollbarWidth:q,horizontalScrollbarHeight:Ye,overviewRuler:{top:It,width:q,height:We-2*It,right:0}}}}e.EditorLayoutInfoComputer=ue;class N extends i{constructor(){const X={enabled:!0};super(51,"lightbulb",X,{"editor.lightbulb.enabled":{type:"boolean",default:X.enabled,description:b.localize(39,null)}})}validate(X){return!X||typeof X!="object"?this.defaultValue:{enabled:p(X.enabled,this.defaultValue.enabled)}}}class O extends i{constructor(){const X={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",X,{"editor.inlineHints.enabled":{type:"boolean",default:X.enabled,description:b.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:X.fontSize,description:b.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:X.fontFamily,description:b.localize(42,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{enabled:p(ve.enabled,this.defaultValue.enabled),fontSize:s.clampedInt(ve.fontSize,this.defaultValue.fontSize,0,100),fontFamily:v.string(ve.fontFamily,this.defaultValue.fontFamily)}}}class x extends s{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:b.localize(43,null)})}compute(X,ve,Me){return X.fontInfo.lineHeight}}class L extends i{constructor(){const X={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",X,{"editor.minimap.enabled":{type:"boolean",default:X.enabled,description:b.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[b.localize(45,null),b.localize(46,null),b.localize(47,null)],default:X.size,description:b.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:X.side,description:b.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:X.showSlider,description:b.localize(50,null)},"editor.minimap.scale":{type:"number",default:X.scale,minimum:1,maximum:3,enum:[1,2,3],description:b.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:X.renderCharacters,description:b.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:X.maxColumn,description:b.localize(53,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{enabled:p(ve.enabled,this.defaultValue.enabled),size:g(ve.size,this.defaultValue.size,["proportional","fill","fit"]),side:g(ve.side,this.defaultValue.side,["right","left"]),showSlider:g(ve.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:p(ve.renderCharacters,this.defaultValue.renderCharacters),scale:s.clampedInt(ve.scale,1,1,3),maxColumn:s.clampedInt(ve.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function z(V){return V==="ctrlCmd"?S.isMacintosh?"metaKey":"ctrlKey":"altKey"}class ae extends i{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:b.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:b.localize(55,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{top:s.clampedInt(ve.top,0,0,1e3),bottom:s.clampedInt(ve.bottom,0,0,1e3)}}}class re extends i{constructor(){const X={enabled:!0,cycle:!1};super(70,"parameterHints",X,{"editor.parameterHints.enabled":{type:"boolean",default:X.enabled,description:b.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:X.cycle,description:b.localize(57,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{enabled:p(ve.enabled,this.defaultValue.enabled),cycle:p(ve.cycle,this.defaultValue.cycle)}}}class de extends P{constructor(){super(122)}compute(X,ve,Me){return X.pixelRatio}}class fe extends i{constructor(){const X={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",X,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:X.strings,description:b.localize(58,null)},comments:{type:"boolean",default:X.comments,description:b.localize(59,null)},other:{type:"boolean",default:X.other,description:b.localize(60,null)}}}],default:X,description:b.localize(61,null)});this.defaultValue=X}validate(X){if(typeof X=="boolean")return X;if(X&&typeof X=="object"){const ve=X,Me={other:p(ve.other,this.defaultValue.other),comments:p(ve.comments,this.defaultValue.comments),strings:p(ve.strings,this.defaultValue.strings)};return Me.other&&Me.comments&&Me.strings?!0:!Me.other&&!Me.comments&&!Me.strings?!1:Me}return this.defaultValue}}var Ae;(function(V){V[V.Off=0]="Off",V[V.On=1]="On",V[V.Relative=2]="Relative",V[V.Interval=3]="Interval",V[V.Custom=4]="Custom"})(Ae=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class je extends i{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[b.localize(62,null),b.localize(63,null),b.localize(64,null),b.localize(65,null)],default:"on",description:b.localize(66,null)})}validate(X){let ve=this.defaultValue.renderType,Me=this.defaultValue.renderFn;return typeof X!="undefined"&&(typeof X=="function"?(ve=4,Me=X):X==="interval"?ve=3:X==="relative"?ve=2:X==="on"?ve=1:ve=0),{renderType:ve,renderFn:Me}}}function Te(V){const X=V.get(82);return X==="editable"?V.get(75):X!=="on"}e.filterValidationDecorations=Te;class xe extends i{constructor(){const X=[],ve={type:"number",description:b.localize(67,null)};super(86,"rulers",X,{type:"array",items:{anyOf:[ve,{type:["object"],properties:{column:ve,color:{type:"string",description:b.localize(68,null),format:"color-hex"}}}]},default:X,description:b.localize(69,null)})}validate(X){if(Array.isArray(X)){let ve=[];for(let Me of X)if(typeof Me=="number")ve.push({column:s.clampedInt(Me,0,0,1e4),color:null});else if(Me&&typeof Me=="object"){const We=Me;ve.push({column:s.clampedInt(We.column,0,0,1e4),color:We.color})}return ve.sort((Me,We)=>Me.column-We.column),ve}return this.defaultValue}}function W(V,X){if(typeof V!="string")return X;switch(V){case"hidden":return 2;case"visible":return 3;default:return 1}}class J extends i{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X,Me=s.clampedInt(ve.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),We=s.clampedInt(ve.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:s.clampedInt(ve.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:W(ve.vertical,this.defaultValue.vertical),horizontal:W(ve.horizontal,this.defaultValue.horizontal),useShadows:p(ve.useShadows,this.defaultValue.useShadows),verticalHasArrows:p(ve.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:p(ve.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:p(ve.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:p(ve.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Me,horizontalSliderSize:s.clampedInt(ve.horizontalSliderSize,Me,0,1e3),verticalScrollbarSize:We,verticalSliderSize:s.clampedInt(ve.verticalSliderSize,We,0,1e3),scrollByPage:p(ve.scrollByPage,this.defaultValue.scrollByPage)}}}class ee extends i{constructor(){const X={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",X,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[b.localize(70,null),b.localize(71,null)],default:X.insertMode,description:b.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:X.filterGraceful,description:b.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:X.localityBonus,description:b.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:X.shareSuggestSelections,markdownDescription:b.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:X.snippetsPreventQuickSuggestions,description:b.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:X.showIcons,description:b.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:X.showStatusBar,description:b.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:X.showInlineDetails,description:b.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:b.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:b.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:b.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:b.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:b.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:b.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:b.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:b.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:b.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:b.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:b.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:b.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:b.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:b.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:b.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:b.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:b.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:b.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:b.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:b.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:b.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:b.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:b.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:b.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:b.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:b.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:b.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:b.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:b.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:b.localize(109,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const ve=X;return{insertMode:g(ve.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:p(ve.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:p(ve.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:p(ve.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:p(ve.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:p(ve.showIcons,this.defaultValue.showIcons),showStatusBar:p(ve.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:p(ve.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:p(ve.showMethods,this.defaultValue.showMethods),showFunctions:p(ve.showFunctions,this.defaultValue.showFunctions),showConstructors:p(ve.showConstructors,this.defaultValue.showConstructors),showFields:p(ve.showFields,this.defaultValue.showFields),showVariables:p(ve.showVariables,this.defaultValue.showVariables),showClasses:p(ve.showClasses,this.defaultValue.showClasses),showStructs:p(ve.showStructs,this.defaultValue.showStructs),showInterfaces:p(ve.showInterfaces,this.defaultValue.showInterfaces),showModules:p(ve.showModules,this.defaultValue.showModules),showProperties:p(ve.showProperties,this.defaultValue.showProperties),showEvents:p(ve.showEvents,this.defaultValue.showEvents),showOperators:p(ve.showOperators,this.defaultValue.showOperators),showUnits:p(ve.showUnits,this.defaultValue.showUnits),showValues:p(ve.showValues,this.defaultValue.showValues),showConstants:p(ve.showConstants,this.defaultValue.showConstants),showEnums:p(ve.showEnums,this.defaultValue.showEnums),showEnumMembers:p(ve.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:p(ve.showKeywords,this.defaultValue.showKeywords),showWords:p(ve.showWords,this.defaultValue.showWords),showColors:p(ve.showColors,this.defaultValue.showColors),showFiles:p(ve.showFiles,this.defaultValue.showFiles),showReferences:p(ve.showReferences,this.defaultValue.showReferences),showFolders:p(ve.showFolders,this.defaultValue.showFolders),showTypeParameters:p(ve.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:p(ve.showSnippets,this.defaultValue.showSnippets),showUsers:p(ve.showUsers,this.defaultValue.showUsers),showIssues:p(ve.showIssues,this.defaultValue.showIssues)}}}class te extends i{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:b.localize(110,null),default:!0,type:"boolean"}})}validate(X){return!X||typeof X!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:p(X.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class me extends P{constructor(){super(123,[75])}compute(X,ve,Me){return ve.get(75)?!0:X.tabFocusMode}}var Ce;(function(V){V[V.None=0]="None",V[V.Same=1]="Same",V[V.Indent=2]="Indent",V[V.DeepIndent=3]="DeepIndent"})(Ce=e.WrappingIndent||(e.WrappingIndent={}));function Oe(V){switch(V){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class ge extends P{constructor(){super(125,[124])}compute(X,ve,Me){const We=ve.get(124);return{isDominatedByLongLines:X.isDominatedByLongLines,isWordWrapMinified:We.isWordWrapMinified,isViewportWrapping:We.isViewportWrapping,wrappingColumn:We.wrappingColumn}}}const ke="Consolas, 'Courier New', monospace",Pe="Menlo, Monaco, 'Courier New', monospace",$e="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:S.isMacintosh?Pe:S.isLinux?$e:ke,fontWeight:"normal",fontSize:S.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function _e(V){return e.editorOptionsRegistry[V.id]=V,V}var Ge;(function(V){V[V.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",V[V.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",V[V.accessibilitySupport=2]="accessibilitySupport",V[V.accessibilityPageSize=3]="accessibilityPageSize",V[V.ariaLabel=4]="ariaLabel",V[V.autoClosingBrackets=5]="autoClosingBrackets",V[V.autoClosingOvertype=6]="autoClosingOvertype",V[V.autoClosingQuotes=7]="autoClosingQuotes",V[V.autoIndent=8]="autoIndent",V[V.automaticLayout=9]="automaticLayout",V[V.autoSurround=10]="autoSurround",V[V.codeLens=11]="codeLens",V[V.codeLensFontFamily=12]="codeLensFontFamily",V[V.codeLensFontSize=13]="codeLensFontSize",V[V.colorDecorators=14]="colorDecorators",V[V.columnSelection=15]="columnSelection",V[V.comments=16]="comments",V[V.contextmenu=17]="contextmenu",V[V.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",V[V.cursorBlinking=19]="cursorBlinking",V[V.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",V[V.cursorStyle=21]="cursorStyle",V[V.cursorSurroundingLines=22]="cursorSurroundingLines",V[V.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",V[V.cursorWidth=24]="cursorWidth",V[V.disableLayerHinting=25]="disableLayerHinting",V[V.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",V[V.dragAndDrop=27]="dragAndDrop",V[V.emptySelectionClipboard=28]="emptySelectionClipboard",V[V.extraEditorClassName=29]="extraEditorClassName",V[V.fastScrollSensitivity=30]="fastScrollSensitivity",V[V.find=31]="find",V[V.fixedOverflowWidgets=32]="fixedOverflowWidgets",V[V.folding=33]="folding",V[V.foldingStrategy=34]="foldingStrategy",V[V.foldingHighlight=35]="foldingHighlight",V[V.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",V[V.fontFamily=37]="fontFamily",V[V.fontInfo=38]="fontInfo",V[V.fontLigatures=39]="fontLigatures",V[V.fontSize=40]="fontSize",V[V.fontWeight=41]="fontWeight",V[V.formatOnPaste=42]="formatOnPaste",V[V.formatOnType=43]="formatOnType",V[V.glyphMargin=44]="glyphMargin",V[V.gotoLocation=45]="gotoLocation",V[V.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",V[V.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",V[V.hover=48]="hover",V[V.inDiffEditor=49]="inDiffEditor",V[V.letterSpacing=50]="letterSpacing",V[V.lightbulb=51]="lightbulb",V[V.lineDecorationsWidth=52]="lineDecorationsWidth",V[V.lineHeight=53]="lineHeight",V[V.lineNumbers=54]="lineNumbers",V[V.lineNumbersMinChars=55]="lineNumbersMinChars",V[V.linkedEditing=56]="linkedEditing",V[V.links=57]="links",V[V.matchBrackets=58]="matchBrackets",V[V.minimap=59]="minimap",V[V.mouseStyle=60]="mouseStyle",V[V.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",V[V.mouseWheelZoom=62]="mouseWheelZoom",V[V.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",V[V.multiCursorModifier=64]="multiCursorModifier",V[V.multiCursorPaste=65]="multiCursorPaste",V[V.occurrencesHighlight=66]="occurrencesHighlight",V[V.overviewRulerBorder=67]="overviewRulerBorder",V[V.overviewRulerLanes=68]="overviewRulerLanes",V[V.padding=69]="padding",V[V.parameterHints=70]="parameterHints",V[V.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",V[V.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",V[V.quickSuggestions=73]="quickSuggestions",V[V.quickSuggestionsDelay=74]="quickSuggestionsDelay",V[V.readOnly=75]="readOnly",V[V.renameOnType=76]="renameOnType",V[V.renderControlCharacters=77]="renderControlCharacters",V[V.renderIndentGuides=78]="renderIndentGuides",V[V.renderFinalNewline=79]="renderFinalNewline",V[V.renderLineHighlight=80]="renderLineHighlight",V[V.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",V[V.renderValidationDecorations=82]="renderValidationDecorations",V[V.renderWhitespace=83]="renderWhitespace",V[V.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",V[V.roundedSelection=85]="roundedSelection",V[V.rulers=86]="rulers",V[V.scrollbar=87]="scrollbar",V[V.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",V[V.scrollBeyondLastLine=89]="scrollBeyondLastLine",V[V.scrollPredominantAxis=90]="scrollPredominantAxis",V[V.selectionClipboard=91]="selectionClipboard",V[V.selectionHighlight=92]="selectionHighlight",V[V.selectOnLineNumbers=93]="selectOnLineNumbers",V[V.showFoldingControls=94]="showFoldingControls",V[V.showUnused=95]="showUnused",V[V.snippetSuggestions=96]="snippetSuggestions",V[V.smartSelect=97]="smartSelect",V[V.smoothScrolling=98]="smoothScrolling",V[V.stickyTabStops=99]="stickyTabStops",V[V.stopRenderingLineAfter=100]="stopRenderingLineAfter",V[V.suggest=101]="suggest",V[V.suggestFontSize=102]="suggestFontSize",V[V.suggestLineHeight=103]="suggestLineHeight",V[V.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",V[V.suggestSelection=105]="suggestSelection",V[V.tabCompletion=106]="tabCompletion",V[V.tabIndex=107]="tabIndex",V[V.unusualLineTerminators=108]="unusualLineTerminators",V[V.useTabStops=109]="useTabStops",V[V.wordSeparators=110]="wordSeparators",V[V.wordWrap=111]="wordWrap",V[V.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",V[V.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",V[V.wordWrapColumn=114]="wordWrapColumn",V[V.wordWrapOverride1=115]="wordWrapOverride1",V[V.wordWrapOverride2=116]="wordWrapOverride2",V[V.wrappingIndent=117]="wrappingIndent",V[V.wrappingStrategy=118]="wrappingStrategy",V[V.showDeprecated=119]="showDeprecated",V[V.inlineHints=120]="inlineHints",V[V.editorClassName=121]="editorClassName",V[V.pixelRatio=122]="pixelRatio",V[V.tabFocusMode=123]="tabFocusMode",V[V.layoutInfo=124]="layoutInfo",V[V.wrappingInfo=125]="wrappingInfo"})(Ge=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:_e(new d(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:b.localize(111,null)})),acceptSuggestionOnEnter:_e(new _(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",b.localize(112,null),""],markdownDescription:b.localize(113,null)})),accessibilitySupport:_e(new u),accessibilityPageSize:_e(new s(3,"accessibilityPageSize",10,1,1073741824,{description:b.localize(114,null)})),ariaLabel:_e(new v(4,"ariaLabel",b.localize(115,null))),autoClosingBrackets:_e(new _(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",b.localize(116,null),b.localize(117,null),""],description:b.localize(118,null)})),autoClosingOvertype:_e(new _(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",b.localize(119,null),""],description:b.localize(120,null)})),autoClosingQuotes:_e(new _(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",b.localize(121,null),b.localize(122,null),""],description:b.localize(123,null)})),autoIndent:_e(new r(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],l,{enumDescriptions:[b.localize(124,null),b.localize(125,null),b.localize(126,null),b.localize(127,null),b.localize(128,null)],description:b.localize(129,null)})),automaticLayout:_e(new d(9,"automaticLayout",!1)),autoSurround:_e(new _(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[b.localize(130,null),b.localize(131,null),b.localize(132,null),""],description:b.localize(133,null)})),stickyTabStops:_e(new d(99,"stickyTabStops",!1,{description:b.localize(134,null)})),codeLens:_e(new d(11,"codeLens",!0,{description:b.localize(135,null)})),codeLensFontFamily:_e(new v(12,"codeLensFontFamily","",{description:b.localize(136,null)})),codeLensFontSize:_e(new s(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:b.localize(137,null)})),colorDecorators:_e(new d(14,"colorDecorators",!0,{description:b.localize(138,null)})),columnSelection:_e(new d(15,"columnSelection",!1,{description:b.localize(139,null)})),comments:_e(new t),contextmenu:_e(new d(17,"contextmenu",!0)),copyWithSyntaxHighlighting:_e(new d(18,"copyWithSyntaxHighlighting",!0,{description:b.localize(140,null)})),cursorBlinking:_e(new r(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],a,{description:b.localize(141,null)})),cursorSmoothCaretAnimation:_e(new d(20,"cursorSmoothCaretAnimation",!1,{description:b.localize(142,null)})),cursorStyle:_e(new r(21,"cursorStyle",c.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],f,{description:b.localize(143,null)})),cursorSurroundingLines:_e(new s(22,"cursorSurroundingLines",0,0,1073741824,{description:b.localize(144,null)})),cursorSurroundingLinesStyle:_e(new _(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[b.localize(145,null),b.localize(146,null)],description:b.localize(147,null)})),cursorWidth:_e(new s(24,"cursorWidth",0,0,1073741824,{markdownDescription:b.localize(148,null)})),disableLayerHinting:_e(new d(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:_e(new d(26,"disableMonospaceOptimizations",!1)),dragAndDrop:_e(new d(27,"dragAndDrop",!0,{description:b.localize(149,null)})),emptySelectionClipboard:_e(new k),extraEditorClassName:_e(new v(29,"extraEditorClassName","")),fastScrollSensitivity:_e(new h(30,"fastScrollSensitivity",5,V=>V<=0?5:V,{markdownDescription:b.localize(150,null)})),find:_e(new m),fixedOverflowWidgets:_e(new d(32,"fixedOverflowWidgets",!1)),folding:_e(new d(33,"folding",!0,{description:b.localize(151,null)})),foldingStrategy:_e(new _(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[b.localize(152,null),b.localize(153,null)],description:b.localize(154,null)})),foldingHighlight:_e(new d(35,"foldingHighlight",!0,{description:b.localize(155,null)})),unfoldOnClickAfterEndOfLine:_e(new d(36,"unfoldOnClickAfterEndOfLine",!1,{description:b.localize(156,null)})),fontFamily:_e(new v(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:b.localize(157,null)})),fontInfo:_e(new R),fontLigatures2:_e(new E),fontSize:_e(new F),fontWeight:_e(new $),formatOnPaste:_e(new d(42,"formatOnPaste",!1,{description:b.localize(158,null)})),formatOnType:_e(new d(43,"formatOnType",!1,{description:b.localize(159,null)})),glyphMargin:_e(new d(44,"glyphMargin",!0,{description:b.localize(160,null)})),gotoLocation:_e(new K),hideCursorInOverviewRuler:_e(new d(46,"hideCursorInOverviewRuler",!1,{description:b.localize(161,null)})),highlightActiveIndentGuide:_e(new d(47,"highlightActiveIndentGuide",!0,{description:b.localize(162,null)})),hover:_e(new G),inDiffEditor:_e(new d(49,"inDiffEditor",!1)),letterSpacing:_e(new h(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,V=>h.clamp(V,-5,20),{description:b.localize(163,null)})),lightbulb:_e(new N),lineDecorationsWidth:_e(new I(52,"lineDecorationsWidth",10)),lineHeight:_e(new x),lineNumbers:_e(new je),lineNumbersMinChars:_e(new s(55,"lineNumbersMinChars",5,1,300)),linkedEditing:_e(new d(56,"linkedEditing",!1,{description:b.localize(164,null)})),links:_e(new d(57,"links",!0,{description:b.localize(165,null)})),matchBrackets:_e(new _(58,"matchBrackets","always",["always","near","never"],{description:b.localize(166,null)})),minimap:_e(new L),mouseStyle:_e(new _(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:_e(new h(61,"mouseWheelScrollSensitivity",1,V=>V===0?1:V,{markdownDescription:b.localize(167,null)})),mouseWheelZoom:_e(new d(62,"mouseWheelZoom",!1,{markdownDescription:b.localize(168,null)})),multiCursorMergeOverlapping:_e(new d(63,"multiCursorMergeOverlapping",!0,{description:b.localize(169,null)})),multiCursorModifier:_e(new r(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],z,{markdownEnumDescriptions:[b.localize(170,null),b.localize(171,null)],markdownDescription:b.localize(172,null)})),multiCursorPaste:_e(new _(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[b.localize(173,null),b.localize(174,null)],markdownDescription:b.localize(175,null)})),occurrencesHighlight:_e(new d(66,"occurrencesHighlight",!0,{description:b.localize(176,null)})),overviewRulerBorder:_e(new d(67,"overviewRulerBorder",!0,{description:b.localize(177,null)})),overviewRulerLanes:_e(new s(68,"overviewRulerLanes",3,0,3)),padding:_e(new ae),parameterHints:_e(new re),peekWidgetDefaultFocus:_e(new _(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[b.localize(178,null),b.localize(179,null)],description:b.localize(180,null)})),definitionLinkOpensInPeek:_e(new d(72,"definitionLinkOpensInPeek",!1,{description:b.localize(181,null)})),quickSuggestions:_e(new fe),quickSuggestionsDelay:_e(new s(74,"quickSuggestionsDelay",10,0,1073741824,{description:b.localize(182,null)})),readOnly:_e(new d(75,"readOnly",!1)),renameOnType:_e(new d(76,"renameOnType",!1,{description:b.localize(183,null),markdownDeprecationMessage:b.localize(184,null)})),renderControlCharacters:_e(new d(77,"renderControlCharacters",!1,{description:b.localize(185,null)})),renderIndentGuides:_e(new d(78,"renderIndentGuides",!0,{description:b.localize(186,null)})),renderFinalNewline:_e(new d(79,"renderFinalNewline",!0,{description:b.localize(187,null)})),renderLineHighlight:_e(new _(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",b.localize(188,null)],description:b.localize(189,null)})),renderLineHighlightOnlyWhenFocus:_e(new d(81,"renderLineHighlightOnlyWhenFocus",!1,{description:b.localize(190,null)})),renderValidationDecorations:_e(new _(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:_e(new _(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",b.localize(191,null),b.localize(192,null),b.localize(193,null),""],description:b.localize(194,null)})),revealHorizontalRightPadding:_e(new s(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:_e(new d(85,"roundedSelection",!0,{description:b.localize(195,null)})),rulers:_e(new xe),scrollbar:_e(new J),scrollBeyondLastColumn:_e(new s(88,"scrollBeyondLastColumn",5,0,1073741824,{description:b.localize(196,null)})),scrollBeyondLastLine:_e(new d(89,"scrollBeyondLastLine",!0,{description:b.localize(197,null)})),scrollPredominantAxis:_e(new d(90,"scrollPredominantAxis",!0,{description:b.localize(198,null)})),selectionClipboard:_e(new d(91,"selectionClipboard",!0,{description:b.localize(199,null),included:S.isLinux})),selectionHighlight:_e(new d(92,"selectionHighlight",!0,{description:b.localize(200,null)})),selectOnLineNumbers:_e(new d(93,"selectOnLineNumbers",!0)),showFoldingControls:_e(new _(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[b.localize(201,null),b.localize(202,null)],description:b.localize(203,null)})),showUnused:_e(new d(95,"showUnused",!0,{description:b.localize(204,null)})),showDeprecated:_e(new d(119,"showDeprecated",!0,{description:b.localize(205,null)})),inlineHints:_e(new O),snippetSuggestions:_e(new _(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[b.localize(206,null),b.localize(207,null),b.localize(208,null),b.localize(209,null)],description:b.localize(210,null)})),smartSelect:_e(new te),smoothScrolling:_e(new d(98,"smoothScrolling",!1,{description:b.localize(211,null)})),stopRenderingLineAfter:_e(new s(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:_e(new ee),suggestFontSize:_e(new s(102,"suggestFontSize",0,0,1e3,{markdownDescription:b.localize(212,null)})),suggestLineHeight:_e(new s(103,"suggestLineHeight",0,0,1e3,{markdownDescription:b.localize(213,null)})),suggestOnTriggerCharacters:_e(new d(104,"suggestOnTriggerCharacters",!0,{description:b.localize(214,null)})),suggestSelection:_e(new _(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[b.localize(215,null),b.localize(216,null),b.localize(217,null)],description:b.localize(218,null)})),tabCompletion:_e(new _(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[b.localize(219,null),b.localize(220,null),b.localize(221,null)],description:b.localize(222,null)})),tabIndex:_e(new s(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:_e(new _(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[b.localize(223,null),b.localize(224,null),b.localize(225,null)],description:b.localize(226,null)})),useTabStops:_e(new d(109,"useTabStops",!0,{description:b.localize(227,null)})),wordSeparators:_e(new v(110,"wordSeparators",T.USUAL_WORD_SEPARATORS,{description:b.localize(228,null)})),wordWrap:_e(new _(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[b.localize(229,null),b.localize(230,null),b.localize(231,null),b.localize(232,null)],description:b.localize(233,null)})),wordWrapBreakAfterCharacters:_e(new v(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:_e(new v(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:_e(new s(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:b.localize(234,null)})),wordWrapOverride1:_e(new _(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:_e(new _(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:_e(new r(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Oe,{enumDescriptions:[b.localize(235,null),b.localize(236,null),b.localize(237,null),b.localize(238,null)],description:b.localize(239,null)})),wrappingStrategy:_e(new _(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[b.localize(240,null),b.localize(241,null)],description:b.localize(242,null)})),editorClassName:_e(new y),pixelRatio:_e(new de),tabFocusMode:_e(new me),layoutInfo:_e(new ue),wrappingInfo:_e(new ge)}}),define(we[120],Ee([18,19]),function(oe,e){return oe.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[121],Ee([18,19]),function(oe,e){return oe.create("vs/platform/files/common/files",e)}),define(we[122],Ee([18,19]),function(oe,e){return oe.create("vs/platform/markers/common/markers",e)}),define(we[123],Ee([18,19]),function(oe,e){return oe.create("vs/platform/theme/common/iconRegistry",e)}),define(we[124],Ee([18,19]),function(oe,e){return oe.create("vs/platform/workspaces/common/workspaces",e)}),define(we[125],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHost.api.impl",e)}),define(we[126],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(we[127],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(we[128],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostExtensionService",e)}),define(we[129],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostProgress",e)}),define(we[130],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostStatusBar",e)}),define(we[131],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostTerminalService",e)}),define(we[132],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostTreeViews",e)}),define(we[133],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/api/common/extHostWorkspace",e)}),define(we[134],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/common/views",e)}),define(we[135],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(we[136],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(we[137],Ee([18,19]),function(oe,e){return oe.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[138],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var b;(function(w){w[w.ACTIVATE=0]="ACTIVATE",w[w.RESTORE=1]="RESTORE",w[w.PRESERVE=2]="PRESERVE"})(b=e.EditorActivation||(e.EditorActivation={}));var S;(function(w){w[w.PICK=1]="PICK",w[w.DISABLED=2]="DISABLED"})(S=e.EditorOverride||(e.EditorOverride={}));var T;(function(w){w[w.API=0]="API",w[w.USER=1]="USER"})(T=e.EditorOpenContext||(e.EditorOpenContext={}));var A;(function(w){w[w.Center=0]="Center",w[w.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",w[w.NearTop=2]="NearTop",w[w.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(A=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(we[86],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class b{constructor(A,w=[],C=!1){this.ctor=A,this.staticArguments=w,this.supportsDelayedInstantiation=C}}e.SyncDescriptor=b;const S=(T,...A)=>new b(T,A);e.createSyncDescriptor=S}),define(we[62],Ee([0,1,86]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const S=[];function T(w,C,D){C instanceof b.SyncDescriptor||(C=new b.SyncDescriptor(C,[],D)),S.push([w,C])}e.registerSingleton=T;function A(){return S}e.getSingletonServiceDescriptors=A}),define(we[139],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class b{constructor(A){this.incoming=new Map,this.outgoing=new Map,this.data=A}}e.Node=b;class S{constructor(A){this._hashFn=A,this._nodes=new Map}roots(){const A=[];for(let w of this._nodes.values())w.outgoing.size===0&&A.push(w);return A}insertEdge(A,w){const C=this.lookupOrInsertNode(A),D=this.lookupOrInsertNode(w);C.outgoing.set(this._hashFn(w),D),D.incoming.set(this._hashFn(A),C)}removeNode(A){const w=this._hashFn(A);this._nodes.delete(w);for(let C of this._nodes.values())C.outgoing.delete(w),C.incoming.delete(w)}lookupOrInsertNode(A){const w=this._hashFn(A);let C=this._nodes.get(w);return C||(C=new b(A),this._nodes.set(w,C)),C}lookup(A){return this._nodes.get(this._hashFn(A))}isEmpty(){return this._nodes.size===0}toString(){let A=[];for(let[w,C]of this._nodes)A.push(`${w}, (incoming)[${[...C.incoming.keys()].join(", ")}], (outgoing)[${[...C.outgoing.keys()].join(",")}]`);return A.join(`
`)}}e.Graph=S}),define(we[4],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.createDecorator=e.IInstantiationService=e._util=void 0;var b;(function(w){w.serviceIds=new Map,w.DI_TARGET="$di$target",w.DI_DEPENDENCIES="$di$dependencies";function C(D){return D[w.DI_DEPENDENCIES]||[]}w.getServiceDependencies=C})(b=e._util||(e._util={})),e.IInstantiationService=T("instantiationService");function S(w,C,D,i){C[b.DI_TARGET]===C?C[b.DI_DEPENDENCIES].push({id:w,index:D,optional:i}):(C[b.DI_DEPENDENCIES]=[{id:w,index:D,optional:i}],C[b.DI_TARGET]=C)}function T(w){if(b.serviceIds.has(w))return b.serviceIds.get(w);const C=function(D,i,P){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");S(C,D,P,!1)};return C.toString=()=>w,b.serviceIds.set(w,C),C}e.createDecorator=T;function A(w){return function(C,D,i){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");S(w,C,i,!0)}}e.optional=A}),define(we[140],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=b.createDecorator("modelService");function S(T){return!T.isTooLargeForSyncing()&&!T.isForSimpleWidget}e.shouldSynchronizeModel=S}),define(we[141],Ee([0,1,3,56,6,22,78,60,140]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function i(p){return typeof p=="string"?!1:Array.isArray(p)?p.every(i):!!p.exclusive}class P{constructor(){this._clock=0,this._entries=[],this._onDidChange=new b.Emitter}get onDidChange(){return this._onDidChange.event}register(d,s){let h={selector:d,provider:s,_score:-1,_time:this._clock++};return this._entries.push(h),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),T.toDisposable(()=>{if(h){let v=this._entries.indexOf(h);v>=0&&(this._entries.splice(v,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),h=void 0)}})}has(d){return this.all(d).length>0}all(d){if(!d)return[];this._updateScores(d);const s=[];for(let h of this._entries)h._score>0&&s.push(h.provider);return s}ordered(d){const s=[];return this._orderedForEach(d,h=>s.push(h.provider)),s}orderedGroups(d){const s=[];let h,v;return this._orderedForEach(d,g=>{h&&v===g._score?h.push(g.provider):(v=g._score,h=[g.provider],s.push(h))}),s}_orderedForEach(d,s){if(!!d){this._updateScores(d);for(const h of this._entries)h._score>0&&s(h)}}_updateScores(d){let s={uri:d.uri.toString(),language:d.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===s.language&&this._lastCandidate.uri===s.uri)){this._lastCandidate=s;for(let h of this._entries)if(h._score=C.score(h.selector,d.uri,d.getLanguageIdentifier().language,D.shouldSynchronizeModel(d)),i(h.selector)&&h._score>0){for(let v of this._entries)v._score=0;h._score=1e3;break}this._entries.sort(P._compareByScoreAndTime)}}static _compareByScoreAndTime(d,s){return d._score<s._score?1:d._score>s._score?-1:d._time<s._time?1:d._time>s._time?-1:0}}e.LanguageFeatureRegistry=P;class I{constructor(d,s,h=Number.MAX_SAFE_INTEGER){this._registry=d,this.min=s,this.max=h,this._cache=new A.LRUCache(50,.7)}_key(d){return d.id+S.hash(this._registry.all(d))}_clamp(d){return d===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(d*1.3)))}get(d){const s=this._key(d),h=this._cache.get(s);return this._clamp(h==null?void 0:h.value)}update(d,s){const h=this._key(d);let v=this._cache.get(h);return v||(v=new w.MovingAverage,this._cache.set(h,v)),v.update(s),this.get(d)}}e.LanguageFeatureRequestDelays=I}),define(we[63],Ee([0,1,2,32,141,115,37]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var C;(function(m){m[m.Null=0]="Null",m[m.PlainText=1]="PlainText"})(C=e.LanguageId||(e.LanguageId={}));class D{constructor(E,R){this.language=E,this.id=R}}e.LanguageIdentifier=D;var i;(function(m){m[m.NotSet=-1]="NotSet",m[m.None=0]="None",m[m.Italic=1]="Italic",m[m.Bold=2]="Bold",m[m.Underline=4]="Underline"})(i=e.FontStyle||(e.FontStyle={}));var P;(function(m){m[m.None=0]="None",m[m.DefaultForeground=1]="DefaultForeground",m[m.DefaultBackground=2]="DefaultBackground"})(P=e.ColorId||(e.ColorId={}));var I;(function(m){m[m.Other=0]="Other",m[m.Comment=1]="Comment",m[m.String=2]="String",m[m.RegEx=4]="RegEx"})(I=e.StandardTokenType||(e.StandardTokenType={}));var p;(function(m){m[m.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",m[m.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",m[m.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",m[m.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",m[m.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",m[m.ITALIC_MASK=2048]="ITALIC_MASK",m[m.BOLD_MASK=4096]="BOLD_MASK",m[m.UNDERLINE_MASK=8192]="UNDERLINE_MASK",m[m.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",m[m.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",m[m.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",m[m.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",m[m.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",m[m.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",m[m.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",m[m.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",m[m.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",m[m.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(p=e.MetadataConsts||(e.MetadataConsts={}));class d{static getLanguageId(E){return(E&255)>>>0}static getTokenType(E){return(E&1792)>>>8}static getFontStyle(E){return(E&14336)>>>11}static getForeground(E){return(E&8372224)>>>14}static getBackground(E){return(E&4286578688)>>>23}static getClassNameFromMetadata(E){let R=this.getForeground(E),F="mtk"+R,$=this.getFontStyle(E);return $&1&&(F+=" mtki"),$&2&&(F+=" mtkb"),$&4&&(F+=" mtku"),F}static getInlineStyleFromMetadata(E,R){const F=this.getForeground(E),$=this.getFontStyle(E);let K=`color: ${R[F]};`;return $&1&&(K+="font-style: italic;"),$&2&&(K+="font-weight: bold;"),$&4&&(K+="text-decoration: underline;"),K}}e.TokenMetadata=d;var s;(function(m){m[m.Method=0]="Method",m[m.Function=1]="Function",m[m.Constructor=2]="Constructor",m[m.Field=3]="Field",m[m.Variable=4]="Variable",m[m.Class=5]="Class",m[m.Struct=6]="Struct",m[m.Interface=7]="Interface",m[m.Module=8]="Module",m[m.Property=9]="Property",m[m.Event=10]="Event",m[m.Operator=11]="Operator",m[m.Unit=12]="Unit",m[m.Value=13]="Value",m[m.Constant=14]="Constant",m[m.Enum=15]="Enum",m[m.EnumMember=16]="EnumMember",m[m.Keyword=17]="Keyword",m[m.Text=18]="Text",m[m.Color=19]="Color",m[m.File=20]="File",m[m.Reference=21]="Reference",m[m.Customcolor=22]="Customcolor",m[m.Folder=23]="Folder",m[m.TypeParameter=24]="TypeParameter",m[m.User=25]="User",m[m.Issue=26]="Issue",m[m.Snippet=27]="Snippet"})(s=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let m=Object.create(null);return m[0]="symbol-method",m[1]="symbol-function",m[2]="symbol-constructor",m[3]="symbol-field",m[4]="symbol-variable",m[5]="symbol-class",m[6]="symbol-struct",m[7]="symbol-interface",m[8]="symbol-module",m[9]="symbol-property",m[10]="symbol-event",m[11]="symbol-operator",m[12]="symbol-unit",m[13]="symbol-value",m[14]="symbol-constant",m[15]="symbol-enum",m[16]="symbol-enum-member",m[17]="symbol-keyword",m[27]="symbol-snippet",m[18]="symbol-text",m[19]="symbol-color",m[20]="symbol-file",m[21]="symbol-reference",m[22]="symbol-customcolor",m[23]="symbol-folder",m[24]="symbol-type-parameter",m[25]="account",m[26]="issues",function(E){const R=m[E];let F=R&&w.iconRegistry.get(R);return F||(console.info("No codicon found for CompletionItemKind "+E),F=w.Codicon.symbolProperty),F.classNames}}(),e.completionKindFromString=function(){let m=Object.create(null);return m.method=0,m.function=1,m.constructor=2,m.field=3,m.variable=4,m.class=5,m.struct=6,m.interface=7,m.module=8,m.property=9,m.event=10,m.operator=11,m.unit=12,m.value=13,m.constant=14,m.enum=15,m["enum-member"]=16,m.enumMember=16,m.keyword=17,m.snippet=27,m.text=18,m.color=19,m.file=20,m.reference=21,m.customcolor=22,m.folder=23,m["type-parameter"]=24,m.typeParameter=24,m.account=25,m.issue=26,function(E,R){let F=m[E];return typeof F=="undefined"&&!R&&(F=9),F}}();var h;(function(m){m[m.Deprecated=1]="Deprecated"})(h=e.CompletionItemTag||(e.CompletionItemTag={}));var v;(function(m){m[m.KeepWhitespace=1]="KeepWhitespace",m[m.InsertAsSnippet=4]="InsertAsSnippet"})(v=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var g;(function(m){m[m.Invoke=0]="Invoke",m[m.TriggerCharacter=1]="TriggerCharacter",m[m.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(g=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var _;(function(m){m[m.Auto=1]="Auto",m[m.Manual=2]="Manual"})(_=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var r;(function(m){m[m.Invoke=1]="Invoke",m[m.TriggerCharacter=2]="TriggerCharacter",m[m.ContentChange=3]="ContentChange"})(r=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var l;(function(m){m[m.Text=0]="Text",m[m.Read=1]="Read",m[m.Write=2]="Write"})(l=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function u(m){return m&&b.URI.isUri(m.uri)&&S.Range.isIRange(m.range)&&(S.Range.isIRange(m.originSelectionRange)||S.Range.isIRange(m.targetSelectionRange))}e.isLocationLink=u;var t;(function(m){m[m.File=0]="File",m[m.Module=1]="Module",m[m.Namespace=2]="Namespace",m[m.Package=3]="Package",m[m.Class=4]="Class",m[m.Method=5]="Method",m[m.Property=6]="Property",m[m.Field=7]="Field",m[m.Constructor=8]="Constructor",m[m.Enum=9]="Enum",m[m.Interface=10]="Interface",m[m.Function=11]="Function",m[m.Variable=12]="Variable",m[m.Constant=13]="Constant",m[m.String=14]="String",m[m.Number=15]="Number",m[m.Boolean=16]="Boolean",m[m.Array=17]="Array",m[m.Object=18]="Object",m[m.Key=19]="Key",m[m.Null=20]="Null",m[m.EnumMember=21]="EnumMember",m[m.Struct=22]="Struct",m[m.Event=23]="Event",m[m.Operator=24]="Operator",m[m.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var o;(function(m){m[m.Deprecated=1]="Deprecated"})(o=e.SymbolTag||(e.SymbolTag={}));var a;(function(m){const E=new Map;E.set("file",0),E.set("module",1),E.set("namespace",2),E.set("package",3),E.set("class",4),E.set("method",5),E.set("property",6),E.set("field",7),E.set("constructor",8),E.set("enum",9),E.set("interface",10),E.set("function",11),E.set("variable",12),E.set("constant",13),E.set("string",14),E.set("number",15),E.set("boolean",16),E.set("array",17),E.set("object",18),E.set("key",19),E.set("null",20),E.set("enum-member",21),E.set("struct",22),E.set("event",23),E.set("operator",24),E.set("type-parameter",25);const R=new Map;R.set(0,"file"),R.set(1,"module"),R.set(2,"namespace"),R.set(3,"package"),R.set(4,"class"),R.set(5,"method"),R.set(6,"property"),R.set(7,"field"),R.set(8,"constructor"),R.set(9,"enum"),R.set(10,"interface"),R.set(11,"function"),R.set(12,"variable"),R.set(13,"constant"),R.set(14,"string"),R.set(15,"number"),R.set(16,"boolean"),R.set(17,"array"),R.set(18,"object"),R.set(19,"key"),R.set(20,"null"),R.set(21,"enum-member"),R.set(22,"struct"),R.set(23,"event"),R.set(24,"operator"),R.set(25,"type-parameter");function F(G){return E.get(G)}m.fromString=F;function $(G){return R.get(G)}m.toString=$;function K(G,H){const ue=R.get(G);let N=ue&&w.iconRegistry.get("symbol-"+ue);return N||(console.info("No codicon found for SymbolKind "+G),N=w.Codicon.symbolProperty),`${H?"inline":"block"} ${N.classNames}`}m.toCssClassName=K})(a=e.SymbolKinds||(e.SymbolKinds={}));class c{constructor(E){this.value=E}}e.FoldingRangeKind=c,c.Comment=new c("comment"),c.Imports=new c("imports"),c.Region=new c("region");var n;(function(m){m[m.Collapsed=0]="Collapsed",m[m.Expanded=1]="Expanded"})(n=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var f;(function(m){m[m.Editing=0]="Editing",m[m.Preview=1]="Preview"})(f=e.CommentMode||(e.CommentMode={}));var y;(function(m){m[m.Other=0]="Other",m[m.Type=1]="Type",m[m.Parameter=2]="Parameter"})(y=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new T.LanguageFeatureRegistry,e.RenameProviderRegistry=new T.LanguageFeatureRegistry,e.CompletionProviderRegistry=new T.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new T.LanguageFeatureRegistry,e.HoverProviderRegistry=new T.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new T.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new T.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new T.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new T.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new T.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new T.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new T.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new T.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new T.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new T.LanguageFeatureRegistry,e.LinkProviderRegistry=new T.LanguageFeatureRegistry,e.ColorProviderRegistry=new T.LanguageFeatureRegistry,e.SelectionRangeRegistry=new T.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new T.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new T.LanguageFeatureRegistry,e.TokenizationRegistry=new A.TokenizationRegistryImpl;var k;(function(m){m[m.None=0]="None",m[m.Option=1]="Option",m[m.Default=2]="Default",m[m.Preferred=3]="Preferred"})(k=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[142],Ee([0,1,6,13,4,3,47,54]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=T.createDecorator("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new A.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(D,i){if(!D)throw new Error("invalid command");if(typeof D=="string"){if(!i)throw new Error("invalid command");return this.registerCommand({id:D,handler:i})}if(D.description){const s=[];for(let v of D.description.args)s.push(v.constraint);const h=D.handler;D.handler=function(v,...g){return S.validateConstraints(g,s),h(v,...g)}}const{id:P}=D;let I=this._commands.get(P);I||(I=new w.LinkedList,this._commands.set(P,I));let p=I.unshift(D),d=b.toDisposable(()=>{p();const s=this._commands.get(P);(s==null?void 0:s.isEmpty())&&this._commands.delete(P)});return this._onDidRegisterCommand.fire(P),d}registerCommandAlias(D,i){return e.CommandsRegistry.registerCommand(D,(P,...I)=>P.get(e.ICommandService).executeCommand(i,...I))}getCommand(D){const i=this._commands.get(D);if(!(!i||i.isEmpty()))return C.Iterable.first(i)}getCommands(){const D=new Map;for(const i of this._commands.keys()){const P=this.getCommand(i);P&&D.set(i,P)}return D}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>b.Disposable.None,onDidExecuteCommand:()=>b.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(we[64],Ee([0,1,8,4,21]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let A=T.userAgent||"";const w=new Map;w.set("false",!1),w.set("true",!0),w.set("isMac",T.isMacintosh),w.set("isLinux",T.isLinux),w.set("isWindows",T.isWindows),w.set("isWeb",T.isWeb),w.set("isMacNative",T.isMacintosh&&!T.isWeb),w.set("isEdge",A.indexOf("Edg/")>=0),w.set("isFirefox",A.indexOf("Firefox")>=0),w.set("isChrome",A.indexOf("Chrome")>=0),w.set("isSafari",A.indexOf("Safari")>=0),w.set("isIPad",A.indexOf("iPad")>=0);const C=Object.prototype.hasOwnProperty;var D;(function(m){m[m.False=0]="False",m[m.True=1]="True",m[m.Defined=2]="Defined",m[m.Not=3]="Not",m[m.Equals=4]="Equals",m[m.NotEquals=5]="NotEquals",m[m.And=6]="And",m[m.Regex=7]="Regex",m[m.NotRegex=8]="NotRegex",m[m.Or=9]="Or",m[m.In=10]="In",m[m.NotIn=11]="NotIn",m[m.Greater=12]="Greater",m[m.GreaterEquals=13]="GreaterEquals",m[m.Smaller=14]="Smaller",m[m.SmallerEquals=15]="SmallerEquals"})(D=e.ContextKeyExprType||(e.ContextKeyExprType={}));class i{static false(){return I.INSTANCE}static true(){return p.INSTANCE}static has(E){return d.create(E)}static equals(E,R){return s.create(E,R)}static notEquals(E,R){return g.create(E,R)}static regex(E,R){return o.create(E,R)}static in(E,R){return h.create(E,R)}static not(E){return _.create(E)}static and(...E){return c.create(E)}static or(...E){return n.create(E)}static greater(E,R){return r.create(E,R)}static less(E,R){return u.create(E,R)}static deserialize(E,R=!1){if(!!E)return this._deserializeOrExpression(E,R)}static _deserializeOrExpression(E,R){let F=E.split("||");return n.create(F.map($=>this._deserializeAndExpression($,R)))}static _deserializeAndExpression(E,R){let F=E.split("&&");return c.create(F.map($=>this._deserializeOne($,R)))}static _deserializeOne(E,R){if(E=E.trim(),E.indexOf("!=")>=0){let F=E.split("!=");return g.create(F[0].trim(),this._deserializeValue(F[1],R))}if(E.indexOf("==")>=0){let F=E.split("==");return s.create(F[0].trim(),this._deserializeValue(F[1],R))}if(E.indexOf("=~")>=0){let F=E.split("=~");return o.create(F[0].trim(),this._deserializeRegexValue(F[1],R))}if(E.indexOf(" in ")>=0){let F=E.split(" in ");return h.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(E)){const F=E.split(">=");return l.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(E)){const F=E.split(">");return r.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(E)){const F=E.split("<=");return t.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(E)){const F=E.split("<");return u.create(F[0].trim(),F[1].trim())}return/^\!\s*/.test(E)?_.create(E.substr(1).trim()):d.create(E)}static _deserializeValue(E,R){if(E=E.trim(),E==="true")return!0;if(E==="false")return!1;let F=/^'([^']*)'$/.exec(E);return F?F[1].trim():E}static _deserializeRegexValue(E,R){if(b.isFalsyOrWhitespace(E)){if(R)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let F=E.indexOf("/"),$=E.lastIndexOf("/");if(F===$||F<0){if(R)throw new Error(`bad regexp-value '${E}', missing /-enclosure`);return console.warn(`bad regexp-value '${E}', missing /-enclosure`),null}let K=E.slice(F+1,$),G=E[$+1]==="i"?"i":"";try{return new RegExp(K,G)}catch(H){if(R)throw new Error(`bad regexp-value '${E}', parse error: ${H}`);return console.warn(`bad regexp-value '${E}', parse error: ${H}`),null}}}e.ContextKeyExpr=i;function P(m,E){return m.cmp(E)}class I{constructor(){this.type=0}cmp(E){return this.type-E.type}equals(E){return E.type===this.type}evaluate(E){return!1}serialize(){return"false"}keys(){return[]}map(E){return this}negate(){return p.INSTANCE}}e.ContextKeyFalseExpr=I,I.INSTANCE=new I;class p{constructor(){this.type=1}cmp(E){return this.type-E.type}equals(E){return E.type===this.type}evaluate(E){return!0}serialize(){return"true"}keys(){return[]}map(E){return this}negate(){return I.INSTANCE}}e.ContextKeyTrueExpr=p,p.INSTANCE=new p;class d{constructor(E){this.key=E,this.type=2}static create(E){const R=w.get(E);return typeof R=="boolean"?R?p.INSTANCE:I.INSTANCE:new d(E)}cmp(E){return E.type!==this.type?this.type-E.type:y(this.key,E.key)}equals(E){return E.type===this.type?this.key===E.key:!1}evaluate(E){return!!E.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(E){return E.mapDefined(this.key)}negate(){return _.create(this.key)}}e.ContextKeyDefinedExpr=d;class s{constructor(E,R){this.key=E,this.value=R,this.type=4}static create(E,R){if(typeof R=="boolean")return R?d.create(E):_.create(E);const F=w.get(E);return typeof F=="boolean"?R===(F?"true":"false")?p.INSTANCE:I.INSTANCE:new s(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return E.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(E){return E.mapEquals(this.key,this.value)}negate(){return g.create(this.key,this.value)}}e.ContextKeyEqualsExpr=s;class h{constructor(E,R){this.key=E,this.valueKey=R,this.type=10}static create(E,R){return new h(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.valueKey,E.key,E.valueKey)}equals(E){return E.type===this.type?this.key===E.key&&this.valueKey===E.valueKey:!1}evaluate(E){const R=E.getValue(this.valueKey),F=E.getValue(this.key);return Array.isArray(R)?R.indexOf(F)>=0:typeof F=="string"&&typeof R=="object"&&R!==null?C.call(R,F):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(E){return E.mapIn(this.key,this.valueKey)}negate(){return v.create(this)}}e.ContextKeyInExpr=h;class v{constructor(E){this._actual=E,this.type=11}static create(E){return new v(E)}cmp(E){return E.type!==this.type?this.type-E.type:this._actual.cmp(E._actual)}equals(E){return E.type===this.type?this._actual.equals(E._actual):!1}evaluate(E){return!this._actual.evaluate(E)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(E){return new v(this._actual.map(E))}negate(){return this._actual}}e.ContextKeyNotInExpr=v;class g{constructor(E,R){this.key=E,this.value=R,this.type=5}static create(E,R){if(typeof R=="boolean")return R?_.create(E):d.create(E);const F=w.get(E);return typeof F=="boolean"?R===(F?"true":"false")?I.INSTANCE:p.INSTANCE:new g(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return E.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(E){return E.mapNotEquals(this.key,this.value)}negate(){return s.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=g;class _{constructor(E){this.key=E,this.type=3}static create(E){const R=w.get(E);return typeof R=="boolean"?R?I.INSTANCE:p.INSTANCE:new _(E)}cmp(E){return E.type!==this.type?this.type-E.type:y(this.key,E.key)}equals(E){return E.type===this.type?this.key===E.key:!1}evaluate(E){return!E.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(E){return E.mapNot(this.key)}negate(){return d.create(this.key)}}e.ContextKeyNotExpr=_;class r{constructor(E,R){this.key=E,this.value=R,this.type=12}static create(E,R){return new r(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return parseFloat(E.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(E){return E.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=r;class l{constructor(E,R){this.key=E,this.value=R,this.type=13}static create(E,R){return new l(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return parseFloat(E.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(E){return E.mapGreaterEquals(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=l;class u{constructor(E,R){this.key=E,this.value=R,this.type=14}static create(E,R){return new u(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return parseFloat(E.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(E){return E.mapSmaller(this.key,this.value)}negate(){return l.create(this.key,this.value)}}e.ContextKeySmallerExpr=u;class t{constructor(E,R){this.key=E,this.value=R,this.type=15}static create(E,R){return new t(E,R)}cmp(E){return E.type!==this.type?this.type-E.type:k(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}evaluate(E){return parseFloat(E.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(E){return E.mapSmallerEquals(this.key,this.value)}negate(){return r.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class o{constructor(E,R){this.key=E,this.regexp=R,this.type=7}static create(E,R){return new o(E,R)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.key<E.key)return-1;if(this.key>E.key)return 1;const R=this.regexp?this.regexp.source:"",F=E.regexp?E.regexp.source:"";return R<F?-1:R>F?1:0}equals(E){if(E.type===this.type){const R=this.regexp?this.regexp.source:"",F=E.regexp?E.regexp.source:"";return this.key===E.key&&R===F}return!1}evaluate(E){let R=E.getValue(this.key);return this.regexp?this.regexp.test(R):!1}serialize(){const E=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${E}`}keys(){return[this.key]}map(E){return E.mapRegex(this.key,this.regexp)}negate(){return a.create(this)}}e.ContextKeyRegexExpr=o;class a{constructor(E){this._actual=E,this.type=8}static create(E){return new a(E)}cmp(E){return E.type!==this.type?this.type-E.type:this._actual.cmp(E._actual)}equals(E){return E.type===this.type?this._actual.equals(E._actual):!1}evaluate(E){return!this._actual.evaluate(E)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(E){return new a(this._actual.map(E))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=a;class c{constructor(E){this.expr=E,this.type=6}static create(E){return c._normalizeArr(E)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.expr.length<E.expr.length)return-1;if(this.expr.length>E.expr.length)return 1;for(let R=0,F=this.expr.length;R<F;R++){const $=P(this.expr[R],E.expr[R]);if($!==0)return $}return 0}equals(E){if(E.type===this.type){if(this.expr.length!==E.expr.length)return!1;for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].equals(E.expr[R]))return!1;return!0}return!1}evaluate(E){for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].evaluate(E))return!1;return!0}static _normalizeArr(E){const R=[];let F=!1;for(const $ of E)if(!!$){if($.type===1){F=!0;continue}if($.type===0)return I.INSTANCE;if($.type===6){R.push(...$.expr);continue}R.push($)}if(R.length===0&&F)return p.INSTANCE;if(R.length!==0){if(R.length===1)return R[0];for(R.sort(P);R.length>1;){const $=R[R.length-1];if($.type!==9)break;R.pop();const K=R.pop(),G=n.create($.expr.map(H=>c.create([H,K])));G&&(R.push(G),R.sort(P))}return R.length===1?R[0]:new c(R)}}serialize(){return this.expr.map(E=>E.serialize()).join(" && ")}keys(){const E=[];for(let R of this.expr)E.push(...R.keys());return E}map(E){return new c(this.expr.map(R=>R.map(E)))}negate(){let E=[];for(let R of this.expr)E.push(R.negate());return n.create(E)}}e.ContextKeyAndExpr=c;class n{constructor(E){this.expr=E,this.type=9}static create(E){const R=n._normalizeArr(E);if(R.length!==0)return R.length===1?R[0]:new n(R)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.expr.length<E.expr.length)return-1;if(this.expr.length>E.expr.length)return 1;for(let R=0,F=this.expr.length;R<F;R++){const $=P(this.expr[R],E.expr[R]);if($!==0)return $}return 0}equals(E){if(E.type===this.type){if(this.expr.length!==E.expr.length)return!1;for(let R=0,F=this.expr.length;R<F;R++)if(!this.expr[R].equals(E.expr[R]))return!1;return!0}return!1}evaluate(E){for(let R=0,F=this.expr.length;R<F;R++)if(this.expr[R].evaluate(E))return!0;return!1}static _normalizeArr(E){let R=[],F=!1;if(E){for(let $=0,K=E.length;$<K;$++){const G=E[$];if(!!G){if(G.type===0){F=!0;continue}if(G.type===1)return[p.INSTANCE];if(G.type===9){R=R.concat(G.expr);continue}R.push(G)}}if(R.length===0&&F)return[I.INSTANCE];R.sort(P)}return R}serialize(){return this.expr.map(E=>E.serialize()).join(" || ")}keys(){const E=[];for(let R of this.expr)E.push(...R.keys());return E}map(E){return new n(this.expr.map(R=>R.map(E)))}negate(){let E=[];for(let F of this.expr)E.push(F.negate());const R=F=>F.type===9?F.expr:[F];for(;E.length>1;){const F=E.shift(),$=E.shift(),K=[];for(const G of R(F))for(const H of R($))K.push(i.and(G,H));E.unshift(i.or(...K))}return E[0]}}e.ContextKeyOrExpr=n;class f extends d{constructor(E,R,F){super(E);this.key=E,this._defaultValue=R,typeof F=="object"?f._info.push(Object.assign(Object.assign({},F),{key:E})):F!==!0&&f._info.push({key:E,description:F,type:R!=null?typeof R:void 0})}static all(){return f._info.values()}bindTo(E){return E.createKey(this.key,this._defaultValue)}getValue(E){return E.getContextKeyValue(this.key)}toNegated(){return i.not(this.key)}isEqualTo(E){return i.equals(this.key,E)}notEqualsTo(E){return i.notEquals(this.key,E)}}e.RawContextKey=f,f._info=[],e.IContextKeyService=S.createDecorator("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function y(m,E){return m<E?-1:m>E?1:0}function k(m,E,R,F){return m<R?-1:m>R?1:E<F?-1:E>F?1:0}}),define(we[143],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=b.createDecorator("environmentService"),e.INativeEnvironmentService=b.createDecorator("nativeEnvironmentService")}),define(we[25],Ee([0,1,8,4]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function T(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=T,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var A;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(A=e.ExtensionType||(e.ExtensionType={}));class w{constructor(P){this.value=P,this._lower=P.toLowerCase()}static equals(P,I){if(typeof P=="undefined"||P===null)return typeof I=="undefined"||I===null;if(typeof I=="undefined"||I===null)return!1;if(typeof P=="string"||typeof I=="string"){let p=typeof P=="string"?P:P.value,d=typeof I=="string"?I:I.value;return b.equalsIgnoreCase(p,d)}return P._lower===I._lower}static toKey(P){return typeof P=="string"?P.toLowerCase():P._lower}}e.ExtensionIdentifier=w;function C(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=C;function D(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=D,e.IBuiltinExtensionsScannerService=S.createDecorator("IBuiltinExtensionsScannerService")}),define(we[144],Ee([0,1,8,25]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function T(d,s){return d.uuid&&s.uuid?d.uuid===s.uuid:d.id===s.id?!0:b.compareIgnoreCase(d.id,s.id)===0}e.areSameExtensions=T;class A{constructor(s,h){this.version=h,this.id=s.id,this.uuid=s.uuid}key(){return`${this.id}-${this.version}`}equals(s){return s instanceof A?T(this,s)&&this.version===s.version:!1}}e.ExtensionIdentifierWithVersion=A;function w(d,s){return`${d}.${s}`}e.getExtensionId=w;function C(d){return d.toLocaleLowerCase()}e.adoptToGalleryExtensionId=C;function D(d,s){return C(w(d,s))}e.getGalleryExtensionId=D;function i(d,s){const h=[],v=g=>{for(const _ of h)if(_.some(r=>T(s(r),s(g))))return _;return null};for(const g of d){const _=v(g);_?_.push(g):h.push([g])}return h}e.groupByExtension=i;function P(d){return{id:d.identifier.id,name:d.manifest.name,galleryId:null,publisherId:d.publisherId,publisherName:d.manifest.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:d.manifest.extensionDependencies&&d.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=P;function I(d){return Object.assign({id:d.identifier.id,name:d.name,galleryId:d.identifier.uuid,publisherId:d.publisherId,publisherName:d.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:!!(d.properties.dependencies&&d.properties.dependencies.length>0)},d.telemetryData)}e.getGalleryExtensionTelemetryData=I,e.BetterMergeId=new S.ExtensionIdentifier("pprice.better-merge");function p(d){const s=new Set;for(const h of d)h.malicious&&s.add(h.id.id);return s}e.getMaliciousExtensionsSet=p}),define(we[65],Ee([0,1,121,12,2,4,8,13,22]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=A.createDecorator("fileService");var i;(function(F){F[F.Unknown=0]="Unknown",F[F.File=1]="File",F[F.Directory=2]="Directory",F[F.SymbolicLink=64]="SymbolicLink"})(i=e.FileType||(e.FileType={}));var P;(function(F){F[F.FileReadWrite=2]="FileReadWrite",F[F.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",F[F.FileReadStream=16]="FileReadStream",F[F.FileFolderCopy=8]="FileFolderCopy",F[F.PathCaseSensitive=1024]="PathCaseSensitive",F[F.Readonly=2048]="Readonly",F[F.Trash=4096]="Trash"})(P=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function I(F){return!!(F.capabilities&2)}e.hasReadWriteCapability=I;function p(F){return!!(F.capabilities&8)}e.hasFileFolderCopyCapability=p;function d(F){return!!(F.capabilities&4)}e.hasOpenReadWriteCloseCapability=d;function s(F){return!!(F.capabilities&16)}e.hasFileReadStreamCapability=s;var h;(function(F){F.FileExists="EntryExists",F.FileNotFound="EntryNotFound",F.FileNotADirectory="EntryNotADirectory",F.FileIsADirectory="EntryIsADirectory",F.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",F.FileTooLarge="EntryTooLarge",F.NoPermissions="NoPermissions",F.Unavailable="Unavailable",F.Unknown="Unknown"})(h=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class v extends Error{constructor($,K){super($);this.code=K}}e.FileSystemProviderError=v;function g(F,$){const K=new v(F.toString(),$);return r(K,$),K}e.createFileSystemProviderError=g;function _(F){return F||g(b.localize(0,null),h.Unknown)}e.ensureFileSystemProviderError=_;function r(F,$){return F.name=$?`${$} (FileSystemError)`:"FileSystemError",F}e.markAsFileSystemProviderError=r;function l(F){if(!F)return h.Unknown;if(F instanceof v)return F.code;const $=/^(.+) \(FileSystemError\)$/.exec(F.name);if(!$)return h.Unknown;switch($[1]){case h.FileExists:return h.FileExists;case h.FileIsADirectory:return h.FileIsADirectory;case h.FileNotADirectory:return h.FileNotADirectory;case h.FileNotFound:return h.FileNotFound;case h.FileExceedsMemoryLimit:return h.FileExceedsMemoryLimit;case h.FileTooLarge:return h.FileTooLarge;case h.NoPermissions:return h.NoPermissions;case h.Unavailable:return h.Unavailable}return h.Unknown}e.toFileSystemProviderErrorCode=l;function u(F){if(F instanceof f)return F.fileOperationResult;switch(l(F)){case h.FileNotFound:return 1;case h.FileIsADirectory:return 0;case h.FileNotADirectory:return 10;case h.NoPermissions:return 6;case h.FileExists:return 4;case h.FileExceedsMemoryLimit:return 9;case h.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=u;var t;(function(F){F[F.CREATE=0]="CREATE",F[F.DELETE=1]="DELETE",F[F.MOVE=2]="MOVE",F[F.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class o{constructor($,K,G){this.resource=$,this.operation=K,this.target=G}isOperation($){return this.operation===$}}e.FileOperationEvent=o;var a;(function(F){F[F.UPDATED=0]="UPDATED",F[F.ADDED=1]="ADDED",F[F.DELETED=2]="DELETED"})(a=e.FileChangeType||(e.FileChangeType={}));class c{constructor($,K){this.ignorePathCasing=K,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=$;for(const G of $)switch(G.type){case 1:this.added||(this.added=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(G.resource,G);break;case 0:this.updated||(this.updated=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(G.resource,G);break;case 2:this.deleted||(this.deleted=D.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(G.resource,G);break}}contains($,...K){return this.doContains($,{includeChildren:!1},...K)}affects($,...K){return this.doContains($,{includeChildren:!0},...K)}doContains($,K,...G){var H,ue,N,O,x,L;if(!$)return!1;const z=G.length>0;return!!((!z||G.includes(1))&&(((H=this.added)===null||H===void 0?void 0:H.get($))||K.includeChildren&&((ue=this.added)===null||ue===void 0?void 0:ue.findSuperstr($)))||(!z||G.includes(0))&&(((N=this.updated)===null||N===void 0?void 0:N.get($))||K.includeChildren&&((O=this.updated)===null||O===void 0?void 0:O.findSuperstr($)))||(!z||G.includes(2))&&(((x=this.deleted)===null||x===void 0?void 0:x.findSubstr($))||K.includeChildren&&((L=this.deleted)===null||L===void 0?void 0:L.findSuperstr($))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType($){const K=[],G=$===1?this.added:$===0?this.updated:this.deleted;if(G)for(const[,H]of G)K.push(H);return K}filter($){return new c(this.changes.filter(K=>$(K)),this.ignorePathCasing)}}e.FileChangesEvent=c;function n(F,$,K){return!F||!$||F===$||$.length>F.length?!1:($.charAt($.length-1)!==S.sep&&($+=S.sep),K?w.startsWithIgnoreCase(F,$):F.indexOf($)===0)}e.isParent=n;class f extends Error{constructor($,K,G){super($);this.fileOperationResult=K,this.options=G}static isFileOperationError($){return $ instanceof Error&&!C.isUndefinedOrNull($.fileOperationResult)}}e.FileOperationError=f;var y;(function(F){F[F.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",F[F.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",F[F.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",F[F.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",F[F.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",F[F.FILE_READ_ONLY=5]="FILE_READ_ONLY",F[F.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",F[F.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",F[F.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",F[F.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",F[F.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",F[F.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(y=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var k;(function(F){F[F.FILE=0]="FILE",F[F.FOLDER=1]="FOLDER",F[F.ROOT_FOLDER=2]="ROOT_FOLDER"})(k=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function m(F){if(!(typeof F.size!="number"||typeof F.mtime!="number"))return F.mtime.toString(29)+F.size.toString(31)}e.etag=m;async function E(F,$){if(!$.canHandleResource(T.URI.from({scheme:F.scheme})))return new Promise(K=>{const G=$.onDidChangeFileSystemProviderRegistrations(H=>{H.scheme===F.scheme&&H.added&&(G.dispose(),K())})})}e.whenProviderRegistered=E,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class R{static formatSize($){return C.isNumber($)||($=0),$<R.KB?b.localize(1,null,$.toFixed(0)):$<R.MB?b.localize(2,null,($/R.KB).toFixed(2)):$<R.GB?b.localize(3,null,($/R.MB).toFixed(2)):$<R.TB?b.localize(4,null,($/R.GB).toFixed(2)):b.localize(5,null,($/R.TB).toFixed(2))}}e.ByteSize=R,R.KB=1024,R.MB=R.KB*R.KB,R.GB=R.MB*R.KB,R.TB=R.GB*R.KB}),define(we[66],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class b{constructor(...T){this._entries=new Map;for(let[A,w]of T)this.set(A,w)}set(T,A){const w=this._entries.get(T);return this._entries.set(T,A),w}has(T){return this._entries.has(T)}get(T){return this._entries.get(T)}}e.ServiceCollection=b}),define(we[145],Ee([0,1,10,139,86,4,66,15]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const D=!1;class i extends Error{constructor(s){super("cyclic dependency between services");this.message=s.toString()}}class P{constructor(s=new w.ServiceCollection,h=!1,v){this._activeInstantiations=new Set,this._services=s,this._strict=h,this._parent=v,this._services.set(A.IInstantiationService,this)}createChild(s){return new P(s,this._strict,this)}invokeFunction(s,...h){let v=p.traceInvocation(s),g=!1;try{return s({get:(r,l)=>{if(g)throw b.illegalState("service accessor is only valid during the invocation of its target method");const u=this._getOrCreateServiceInstance(r,v);if(!u&&l!==A.optional)throw new Error(`[invokeFunction] unknown service '${r}'`);return u}},...h)}finally{g=!0,v.stop()}}createInstance(s,...h){let v,g;return s instanceof T.SyncDescriptor?(v=p.traceCreation(s.ctor),g=this._createInstance(s.ctor,s.staticArguments.concat(h),v)):(v=p.traceCreation(s),g=this._createInstance(s,h,v)),v.stop(),g}_createInstance(s,h=[],v){let g=A._util.getServiceDependencies(s).sort((l,u)=>l.index-u.index),_=[];for(const l of g){let u=this._getOrCreateServiceInstance(l.id,v);if(!u&&this._strict&&!l.optional)throw new Error(`[createInstance] ${s.name} depends on UNKNOWN service ${l.id}.`);_.push(u)}let r=g.length>0?g[0].index:h.length;if(h.length!==r){console.warn(`[createInstance] First service dependency of ${s.name} at position ${r+1} conflicts with ${h.length} static arguments`);let l=r-h.length;l>0?h=h.concat(new Array(l)):h=h.slice(0,r)}return new s(...[...h,..._])}_setServiceInstance(s,h){if(this._services.get(s)instanceof T.SyncDescriptor)this._services.set(s,h);else if(this._parent)this._parent._setServiceInstance(s,h);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(s){let h=this._services.get(s);return!h&&this._parent?this._parent._getServiceInstanceOrDescriptor(s):h}_getOrCreateServiceInstance(s,h){let v=this._getServiceInstanceOrDescriptor(s);return v instanceof T.SyncDescriptor?this._safeCreateAndCacheServiceInstance(s,v,h.branch(s,!0)):(h.branch(s,!1),v)}_safeCreateAndCacheServiceInstance(s,h,v){if(this._activeInstantiations.has(s))throw new Error(`illegal state - RECURSIVELY instantiating service '${s}'`);this._activeInstantiations.add(s);try{return this._createAndCacheServiceInstance(s,h,v)}finally{this._activeInstantiations.delete(s)}}_createAndCacheServiceInstance(s,h,v){const g=new S.Graph(l=>l.id.toString());let _=0;const r=[{id:s,desc:h,_trace:v}];for(;r.length;){const l=r.pop();if(g.lookupOrInsertNode(l),_++>1e3)throw new i(g);for(let u of A._util.getServiceDependencies(l.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(u.id);if(!t&&!u.optional&&console.warn(`[createInstance] ${s} depends on ${u.id} which is NOT registered.`),t instanceof T.SyncDescriptor){const o={id:u.id,desc:t,_trace:l._trace.branch(u.id,!0)};g.insertEdge(l,o),r.push(o)}}}for(;;){const l=g.roots();if(l.length===0){if(!g.isEmpty())throw new i(g);break}for(const{data:u}of l){if(this._getServiceInstanceOrDescriptor(u.id)instanceof T.SyncDescriptor){const o=this._createServiceInstanceWithOwner(u.id,u.desc.ctor,u.desc.staticArguments,u.desc.supportsDelayedInstantiation,u._trace);this._setServiceInstance(u.id,o)}g.removeNode(u)}}return this._getServiceInstanceOrDescriptor(s)}_createServiceInstanceWithOwner(s,h,v=[],g,_){if(this._services.get(s)instanceof T.SyncDescriptor)return this._createServiceInstance(h,v,g,_);if(this._parent)return this._parent._createServiceInstanceWithOwner(s,h,v,g,_);throw new Error(`illegalState - creating UNKNOWN service instance ${h.name}`)}_createServiceInstance(s,h=[],v,g){if(v){const _=new C.IdleValue(()=>this._createInstance(s,h,g));return new Proxy(Object.create(null),{get(r,l){if(l in r)return r[l];let u=_.value,t=u[l];return typeof t!="function"||(t=t.bind(u),r[l]=t),t},set(r,l,u){return _.value[l]=u,!0}})}else return this._createInstance(s,h,g)}}e.InstantiationService=P;var I;(function(d){d[d.Creation=0]="Creation",d[d.Invocation=1]="Invocation",d[d.Branch=2]="Branch"})(I||(I={}));class p{constructor(s,h){this.type=s,this.name=h,this._start=Date.now(),this._dep=[]}static traceInvocation(s){return D?new p(1,s.name||s.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(s){return D?new p(0,s.name):p._None}branch(s,h){let v=new p(2,s.toString());return this._dep.push([s,h,v]),v}stop(){let s=Date.now()-this._start;p._totals+=s;let h=!1;function v(_,r){let l=[],u=new Array(_+1).join("	");for(const[t,o,a]of r._dep)if(o&&a){h=!0,l.push(`${u}CREATES -> ${t}`);let c=v(_+1,a);c&&l.push(c)}else l.push(`${u}uses -> ${t}`);return l.join(`
`)}let g=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${s.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(s>2||h)&&console.log(g.join(`
`))}}p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0}),define(we[17],Ee([0,1,4,6,21,3,61]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=b.createDecorator("logService"),e.ILoggerService=b.createDecorator("loggerService");function C(){return new Date().toISOString()}var D;(function(l){l[l.Trace=0]="Trace",l[l.Debug=1]="Debug",l[l.Info=2]="Info",l[l.Warning=3]="Warning",l[l.Error=4]="Error",l[l.Critical=5]="Critical",l[l.Off=6]="Off"})(D=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=D.Info;class i extends S.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new A.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(u){this.level!==u&&(this.level=u,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=i;class P extends i{constructor(u){super();this.logAlways=u}checkLogLevel(u){return this.logAlways||this.getLevel()<=u}trace(u,...t){this.checkLogLevel(D.Trace)&&this.log(D.Trace,this.format([u,...t]))}debug(u,...t){this.checkLogLevel(D.Debug)&&this.log(D.Debug,this.format([u,...t]))}info(u,...t){this.checkLogLevel(D.Info)&&this.log(D.Info,this.format([u,...t]))}warn(u,...t){this.checkLogLevel(D.Warning)&&this.log(D.Warning,this.format([u,...t]))}error(u,...t){if(this.checkLogLevel(D.Error))if(u instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=u.stack,this.log(D.Error,this.format(o))}else this.log(D.Error,this.format([u,...t]))}critical(u,...t){this.checkLogLevel(D.Critical)&&this.log(D.Critical,this.format([u,...t]))}flush(){}format(u){let t="";for(let o=0;o<u.length;o++){let a=u[o];if(typeof a=="object")try{a=JSON.stringify(a)}catch(c){}t+=(o>0?" ":"")+a}return t}}e.AbstractMessageLogger=P;class I extends i{constructor(u=e.DEFAULT_LOG_LEVEL){super();this.setLevel(u),this.useColors=!T.isWindows}trace(u,...t){this.getLevel()<=D.Trace&&(this.useColors?console.log(`[90m[main ${C()}][0m`,u,...t):console.log(`[main ${C()}]`,u,...t))}debug(u,...t){this.getLevel()<=D.Debug&&(this.useColors?console.log(`[90m[main ${C()}][0m`,u,...t):console.log(`[main ${C()}]`,u,...t))}info(u,...t){this.getLevel()<=D.Info&&(this.useColors?console.log(`[90m[main ${C()}][0m`,u,...t):console.log(`[main ${C()}]`,u,...t))}warn(u,...t){this.getLevel()<=D.Warning&&(this.useColors?console.warn(`[93m[main ${C()}][0m`,u,...t):console.warn(`[main ${C()}]`,u,...t))}error(u,...t){this.getLevel()<=D.Error&&(this.useColors?console.error(`[91m[main ${C()}][0m`,u,...t):console.error(`[main ${C()}]`,u,...t))}critical(u,...t){this.getLevel()<=D.Critical&&(this.useColors?console.error(`[90m[main ${C()}][0m`,u,...t):console.error(`[main ${C()}]`,u,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=I;class p extends i{constructor(u=e.DEFAULT_LOG_LEVEL){super();this.setLevel(u)}trace(u,...t){this.getLevel()<=D.Trace&&console.log("%cTRACE","color: #888",u,...t)}debug(u,...t){this.getLevel()<=D.Debug&&console.log("%cDEBUG","background: #eee; color: #888",u,...t)}info(u,...t){this.getLevel()<=D.Info&&console.log("%c INFO","color: #33f",u,...t)}warn(u,...t){this.getLevel()<=D.Warning&&console.log("%c WARN","color: #993",u,...t)}error(u,...t){this.getLevel()<=D.Error&&console.log("%c  ERR","color: #f33",u,...t)}critical(u,...t){this.getLevel()<=D.Critical&&console.log("%cCRITI","background: #f33; color: white",u,...t)}dispose(){}flush(){}}e.ConsoleLogger=p;class d extends i{constructor(u,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=u,this.setLevel(t)}trace(u,...t){this.getLevel()<=D.Trace&&this.adapter.log(D.Trace,[this.extractMessage(u),...t])}debug(u,...t){this.getLevel()<=D.Debug&&this.adapter.log(D.Debug,[this.extractMessage(u),...t])}info(u,...t){this.getLevel()<=D.Info&&this.adapter.log(D.Info,[this.extractMessage(u),...t])}warn(u,...t){this.getLevel()<=D.Warning&&this.adapter.log(D.Warning,[this.extractMessage(u),...t])}error(u,...t){this.getLevel()<=D.Error&&this.adapter.log(D.Error,[this.extractMessage(u),...t])}critical(u,...t){this.getLevel()<=D.Critical&&this.adapter.log(D.Critical,[this.extractMessage(u),...t])}extractMessage(u){return typeof u=="string"?u:w.toErrorMessage(u,this.getLevel()<=D.Trace)}dispose(){}flush(){}}e.AdapterLogger=d;class s extends i{constructor(u){super();this.logServices=u,u.length&&this.setLevel(u[0].getLevel())}setLevel(u){for(const t of this.logServices)t.setLevel(u);super.setLevel(u)}trace(u,...t){for(const o of this.logServices)o.trace(u,...t)}debug(u,...t){for(const o of this.logServices)o.debug(u,...t)}info(u,...t){for(const o of this.logServices)o.info(u,...t)}warn(u,...t){for(const o of this.logServices)o.warn(u,...t)}error(u,...t){for(const o of this.logServices)o.error(u,...t)}critical(u,...t){for(const o of this.logServices)o.critical(u,...t)}flush(){for(const u of this.logServices)u.flush()}dispose(){for(const u of this.logServices)u.dispose()}}e.MultiplexLogService=s;class h extends S.Disposable{constructor(u){super();this.logger=u,this._register(u)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(u){this.logger.setLevel(u)}getLevel(){return this.logger.getLevel()}trace(u,...t){this.logger.trace(u,...t)}debug(u,...t){this.logger.debug(u,...t)}info(u,...t){this.logger.info(u,...t)}warn(u,...t){this.logger.warn(u,...t)}error(u,...t){this.logger.error(u,...t)}critical(u,...t){this.logger.critical(u,...t)}flush(){this.logger.flush()}}e.LogService=h;class v{constructor(){this.onDidChangeLogLevel=new A.Emitter().event}setLevel(u){}getLevel(){return D.Info}trace(u,...t){}debug(u,...t){}info(u,...t){}warn(u,...t){}error(u,...t){}critical(u,...t){}dispose(){}flush(){}}e.NullLogService=v;function g(l){if(l.verbose)return D.Trace;if(typeof l.logLevel=="string"){const u=_(l.logLevel.toLowerCase());if(u!==void 0)return u}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=g;function _(l){switch(l){case"trace":return D.Trace;case"debug":return D.Debug;case"info":return D.Info;case"warn":return D.Warning;case"error":return D.Error;case"critical":return D.Critical;case"off":return D.Off}}e.parseLogLevel=_;function r(l){switch(l){case D.Trace:return"trace";case D.Debug:return"debug";case D.Info:return"info";case D.Warning:return"warn";case D.Error:return"error";case D.Critical:return"critical";case D.Off:return"off"}}e.LogLevelToString=r}),define(we[87],Ee([0,1,4,122,57]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var A;(function(D){D[D.Unnecessary=1]="Unnecessary",D[D.Deprecated=2]="Deprecated"})(A=e.MarkerTag||(e.MarkerTag={}));var w;(function(D){D[D.Hint=1]="Hint",D[D.Info=2]="Info",D[D.Warning=4]="Warning",D[D.Error=8]="Error"})(w=e.MarkerSeverity||(e.MarkerSeverity={})),function(D){function i(s,h){return h-s}D.compare=i;const P=Object.create(null);P[D.Error]=S.localize(0,null),P[D.Warning]=S.localize(1,null),P[D.Info]=S.localize(2,null);function I(s){return P[s]||""}D.toString=I;function p(s){switch(s){case T.default.Error:return D.Error;case T.default.Warning:return D.Warning;case T.default.Info:return D.Info;case T.default.Ignore:return D.Hint}}D.fromSeverity=p;function d(s){switch(s){case D.Error:return T.default.Error;case D.Warning:return T.default.Warning;case D.Info:return T.default.Info;case D.Hint:return T.default.Ignore}}D.toSeverity=d}(w=e.MarkerSeverity||(e.MarkerSeverity={}));var C;(function(D){const i="";function P(p){return I(p,!0)}D.makeKey=P;function I(p,d){let s=[i];return p.source?s.push(p.source.replace("\xA6","\\\xA6")):s.push(i),p.code?typeof p.code=="string"?s.push(p.code.replace("\xA6","\\\xA6")):s.push(p.code.value.replace("\xA6","\\\xA6")):s.push(i),p.severity!==void 0&&p.severity!==null?s.push(w.toString(p.severity)):s.push(i),p.message&&d?s.push(p.message.replace("\xA6","\\\xA6")):s.push(i),p.startLineNumber!==void 0&&p.startLineNumber!==null?s.push(p.startLineNumber.toString()):s.push(i),p.startColumn!==void 0&&p.startColumn!==null?s.push(p.startColumn.toString()):s.push(i),p.endLineNumber!==void 0&&p.endLineNumber!==null?s.push(p.endLineNumber.toString()):s.push(i),p.endColumn!==void 0&&p.endColumn!==null?s.push(p.endColumn.toString()):s.push(i),s.push(i),s.join("\xA6")}D.makeKeyOptionalMessage=I})(C=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=b.createDecorator("markerService")}),define(we[146],Ee([0,1,57,4,3]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=b.default,e.INotificationService=S.createDecorator("notificationService");var A;(function(i){i[i.WORKSPACE=0]="WORKSPACE",i[i.GLOBAL=1]="GLOBAL"})(A=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var w;(function(i){i[i.OFF=0]="OFF",i[i.SILENT=1]="SILENT",i[i.ERROR=2]="ERROR"})(w=e.NotificationsFilter||(e.NotificationsFilter={}));class C{constructor(){this.progress=new D,this.onDidClose=T.Event.None,this.onDidChangeVisibility=T.Event.None}updateSeverity(P){}updateMessage(P){}updateActions(P){}close(){}}e.NoOpNotification=C;class D{infinite(){}done(){}total(P){}worked(P){}}e.NoOpProgress=D}),define(we[147],Ee([0,1,4,20,6]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=b.createDecorator("progressService");var A;(function(D){D[D.Explorer=1]="Explorer",D[D.Scm=3]="Scm",D[D.Extensions=5]="Extensions",D[D.Window=10]="Window",D[D.Notification=15]="Notification",D[D.Dialog=20]="Dialog"})(A=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class w{constructor(i){this.callback=i}get value(){return this._value}report(i){this._value=i,this.callback(this._value)}}e.Progress=w,w.None=Object.freeze({report(){}});class C extends T.Disposable{constructor(i){super();this.progressIndicator=i,this.currentOperationId=0,this.currentOperationDisposables=this._register(new T.DisposableStore)}start(i){this.stop();const P=++this.currentOperationId,I=new S.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{P===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},i),this.currentOperationDisposables.add(T.toDisposable(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add(T.toDisposable(()=>I.cancel())),this.currentOperationDisposables.add(T.toDisposable(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:P,token:I.token,stop:()=>this.doStop(P),isCurrent:()=>this.currentOperationId===P}}stop(){this.doStop(this.currentOperationId)}doStop(i){this.currentOperationId===i&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=C,e.IEditorProgressService=b.createDecorator("editorProgressService")}),define(we[30],Ee([0,1,13,44]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class T{constructor(){this.data=new Map}add(w,C){S.ok(b.isString(w)),S.ok(b.isObject(C)),S.ok(!this.data.has(w),"There is already an extension with this id"),this.data.set(w,C)}knows(w){return this.data.has(w)}as(w){return this.data.get(w)||null}}e.Registry=new T}),define(we[88],Ee([0,1,30,3]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function T(C){return C.length>0&&C.charAt(C.length-1)==="#"?C.substring(0,C.length-1):C}class A{constructor(){this._onDidChangeSchema=new S.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(D,i){this.schemasById[T(D)]=i,this._onDidChangeSchema.fire(D)}notifySchemaChanged(D){this._onDidChangeSchema.fire(D)}getSchemaContributions(){return{schemas:this.schemasById}}}const w=new A;b.Registry.add(e.Extensions.JSONContribution,w)}),define(we[67],Ee([0,1,120,3,30,13,88]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var C;(function(v){v[v.APPLICATION=1]="APPLICATION",v[v.MACHINE=2]="MACHINE",v[v.WINDOW=3]="WINDOW",v[v.RESOURCE=4]="RESOURCE",v[v.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",v[v.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(C=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const D=T.Registry.as(w.Extensions.JSONContribution);class i{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new S.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new S.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:b.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(g,_=!0){this.registerConfigurations([g],_)}registerConfigurations(g,_=!0){const r=[];g.forEach(l=>{r.push(...this.validateAndRegisterProperties(l,_)),this.configurationContributors.push(l),this.registerJSONConfiguration(l)}),D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(r)}deregisterConfigurations(g){const _=[],r=l=>{if(l.properties)for(const u in l.properties)_.push(u),delete this.configurationProperties[u],this.removeFromSchema(u,l.properties[u]);l.allOf&&l.allOf.forEach(u=>r(u))};for(const l of g){r(l);const u=this.configurationContributors.indexOf(l);u!==-1&&this.configurationContributors.splice(u,1)}D.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}registerDefaultConfigurations(g){const _=[],r=[];for(const l of g)for(const u in l)if(_.push(u),e.OVERRIDE_PROPERTY_PATTERN.test(u)){this.defaultValues[u]=Object.assign(Object.assign({},this.defaultValues[u]||{}),l[u]);const t={type:"object",default:this.defaultValues[u],description:b.localize(1,null,u),$ref:e.resourceLanguageSettingsSchemaId};r.push(I(u)),this.configurationProperties[u]=t,this.defaultLanguageConfigurationOverridesNode.properties[u]=t}else{this.defaultValues[u]=l[u];const t=this.configurationProperties[u];t&&(this.updatePropertyDefaultValue(u,t),this.updateSchema(u,t))}this.registerOverrideIdentifiers(r),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}deregisterDefaultConfigurations(g){const _=[];for(const r of g)for(const l in r)if(_.push(l),delete this.defaultValues[l],e.OVERRIDE_PROPERTY_PATTERN.test(l))delete this.configurationProperties[l],delete this.defaultLanguageConfigurationOverridesNode.properties[l];else{const u=this.configurationProperties[l];u&&(this.updatePropertyDefaultValue(l,u),this.updateSchema(l,u))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(_)}notifyConfigurationSchemaUpdated(...g){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(g){for(const _ of g)this.overrideIdentifiers.add(_);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(g,_=!0,r=3){r=A.isUndefinedOrNull(g.scope)?r:g.scope;let l=[],u=g.properties;if(u)for(let o in u){if(_&&s(o)){delete u[o];continue}const a=u[o];if(this.updatePropertyDefaultValue(o,a),e.OVERRIDE_PROPERTY_PATTERN.test(o)?a.scope=void 0:a.scope=A.isUndefinedOrNull(a.scope)?r:a.scope,u[o].hasOwnProperty("included")&&!u[o].included){this.excludedConfigurationProperties[o]=u[o],delete u[o];continue}else this.configurationProperties[o]=u[o];!u[o].deprecationMessage&&u[o].markdownDeprecationMessage&&(u[o].deprecationMessage=u[o].markdownDeprecationMessage),l.push(o)}let t=g.allOf;if(t)for(let o of t)l.push(...this.validateAndRegisterProperties(o,_,r));return l}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(g){const _=r=>{let l=r.properties;if(l)for(const t in l)this.updateSchema(t,l[t]);let u=r.allOf;u&&u.forEach(_)};_(g)}updateSchema(g,_){switch(e.allSettings.properties[g]=_,_.scope){case 1:e.applicationSettings.properties[g]=_;break;case 2:e.machineSettings.properties[g]=_;break;case 6:e.machineOverridableSettings.properties[g]=_;break;case 3:e.windowSettings.properties[g]=_;break;case 4:e.resourceSettings.properties[g]=_;break;case 5:e.resourceSettings.properties[g]=_,this.resourceLanguageSettingsSchema.properties[g]=_;break}}removeFromSchema(g,_){switch(delete e.allSettings.properties[g],_.scope){case 1:delete e.applicationSettings.properties[g];break;case 2:delete e.machineSettings.properties[g];break;case 6:delete e.machineOverridableSettings.properties[g];break;case 3:delete e.windowSettings.properties[g];break;case 4:case 5:delete e.resourceSettings.properties[g];break}}updateOverridePropertyPatternKey(){for(const g of this.overrideIdentifiers.values()){const _=`[${g}]`,r={type:"object",description:b.localize(2,null),errorMessage:b.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(_,r),e.allSettings.properties[_]=r,e.applicationSettings.properties[_]=r,e.machineSettings.properties[_]=r,e.machineOverridableSettings.properties[_]=r,e.windowSettings.properties[_]=r,e.resourceSettings.properties[_]=r}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(g,_){let r=this.defaultValues[g];A.isUndefined(r)&&(r=_.default),A.isUndefined(r)&&(r=p(_.type)),_.default=r}}const P="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(P);function I(v){return v.substring(1,v.length-1)}e.overrideIdentifierFromKey=I;function p(v){switch(Array.isArray(v)?v[0]:v){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=p;const d=new i;T.Registry.add(e.Extensions.Configuration,d);function s(v){return v.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(v)?b.localize(5,null,v):d.getConfigurationProperties()[v]!==void 0?b.localize(6,null,v):null:b.localize(4,null)}e.validateProperty=s;function h(){const v=[],g=d.getConfigurationProperties();for(const _ of Object.keys(g))v.push([_,g[_].scope]);return v.push(["launch",4]),v.push(["task",4]),v}e.getScopes=h}),define(we[89],Ee([0,1,23,13,2,30,4,67]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=w.createDecorator("configurationService");function D(o){return o&&typeof o=="object"&&(!o.overrideIdentifier||typeof o.overrideIdentifier=="string")&&(!o.resource||o.resource instanceof T.URI)}e.isConfigurationOverrides=D;var i;(function(o){o[o.USER=1]="USER",o[o.USER_LOCAL=2]="USER_LOCAL",o[o.USER_REMOTE=3]="USER_REMOTE",o[o.WORKSPACE=4]="WORKSPACE",o[o.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",o[o.DEFAULT=6]="DEFAULT",o[o.MEMORY=7]="MEMORY"})(i=e.ConfigurationTarget||(e.ConfigurationTarget={}));function P(o){switch(o){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=P;function I(o,a){const c=a?o?a.keys.filter(R=>o.keys.indexOf(R)===-1):[...a.keys]:[],n=o?a?o.keys.filter(R=>a.keys.indexOf(R)===-1):[...o.keys]:[],f=[];if(a&&o){for(const R of o.keys)if(a.keys.indexOf(R)!==-1){const F=g(o.contents,R),$=g(a.contents,R);b.equals(F,$)||f.push(R)}}const y=[],k=R=>{const F={};for(const $ of R)for(const K of $.identifiers)F[u(K)]=$;return F},m=a?k(a.overrides):{},E=o?k(o.overrides):{};if(Object.keys(m).length)for(const R of c){const F=m[R];F&&y.push([C.overrideIdentifierFromKey(R),F.keys])}if(Object.keys(E).length)for(const R of n){const F=E[R];F&&y.push([C.overrideIdentifierFromKey(R),F.keys])}if(Object.keys(m).length&&Object.keys(E).length)for(const R of f){const F=E[R],$=m[R];if(F&&$){const K=I({contents:F.contents,keys:F.keys,overrides:[]},{contents:$.contents,keys:$.keys,overrides:[]});y.push([C.overrideIdentifierFromKey(R),[...K.added,...K.removed,...K.updated]])}}return{added:c,removed:n,updated:f,overrides:y}}e.compare=I;function p(o,a){const c=[];for(const n of Object.keys(o))if(C.OVERRIDE_PROPERTY_PATTERN.test(n)){const f={};for(const y in o[n])f[y]=o[n][y];c.push({identifiers:[C.overrideIdentifierFromKey(n).trim()],keys:Object.keys(f),contents:d(f,a)})}return c}e.toOverrides=p;function d(o,a){const c=Object.create(null);for(let n in o)s(c,n,o[n],a);return c}e.toValuesTree=d;function s(o,a,c,n){const f=a.split("."),y=f.pop();let k=o;for(let m=0;m<f.length;m++){let E=f[m],R=k[E];switch(typeof R){case"undefined":R=k[E]=Object.create(null);break;case"object":break;default:n(`Ignoring ${a} as ${f.slice(0,m+1).join(".")} is ${JSON.stringify(R)}`);return}k=R}if(typeof k=="object"&&k!==null)try{k[y]=c}catch(m){n(`Ignoring ${a} as ${f.join(".")} is ${JSON.stringify(k)}`)}else n(`Ignoring ${a} as ${f.join(".")} is ${JSON.stringify(k)}`)}e.addToValueTree=s;function h(o,a){const c=a.split(".");v(o,c)}e.removeFromValueTree=h;function v(o,a){const c=a.shift();if(a.length===0){delete o[c];return}if(Object.keys(o).indexOf(c)!==-1){const n=o[c];typeof n=="object"&&!Array.isArray(n)&&(v(n,a),Object.keys(n).length===0&&delete o[c])}}function g(o,a,c){function n(k,m){let E=k;for(const R of m){if(typeof E!="object"||E===null)return;E=E[R]}return E}const f=a.split("."),y=n(o,f);return typeof y=="undefined"?c:y}e.getConfigurationValue=g;function _(o,a,c){Object.keys(a).forEach(n=>{n!=="__proto__"&&(n in o?S.isObject(o[n])&&S.isObject(a[n])?_(o[n],a[n],c):c&&(o[n]=a[n]):o[n]=a[n])})}e.merge=_;function r(){const o=A.Registry.as(C.Extensions.Configuration).getConfigurationProperties();return Object.keys(o)}e.getConfigurationKeys=r;function l(){const o=Object.create(null),a=A.Registry.as(C.Extensions.Configuration).getConfigurationProperties();for(let c in a){let n=a[c].default;s(o,c,n,f=>console.error(`Conflict in default settings: ${f}`))}return o}e.getDefaultValues=l;function u(o){return`[${o}]`}e.keyFromOverrideIdentifier=u;function t(o,a,c){const n=o.inspect(a),f=o.inspect(c);return typeof n.userValue!="undefined"||typeof n.workspaceValue!="undefined"||typeof n.workspaceFolderValue!="undefined"?n.value:typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:n.defaultValue}e.getMigratedSettingValue=t}),define(we[148],Ee([0,1,46,22,11,13,23,2,67,89,30,6,3]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class d{constructor(t={},o=[],a=[]){this._contents=t,this._keys=o,this._overrides=a,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?i.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,o){const a=this.getContentsForOverrideIdentifer(o);return a?t?i.getConfigurationValue(a,t):a:void 0}getKeysForOverrideIdentifier(t){for(const o of this.overrides)if(o.identifiers.indexOf(t)!==-1)return o.keys;return[]}override(t){const o=this.getContentsForOverrideIdentifer(t);if(!o||typeof o!="object"||!Object.keys(o).length)return this;let a={};for(const c of T.distinct([...Object.keys(this.contents),...Object.keys(o)])){let n=this.contents[c],f=o[c];f&&(typeof n=="object"&&typeof f=="object"?(n=w.deepClone(n),this.mergeContents(n,f)):n=f),a[c]=n}return new d(a,this.keys,this.overrides)}merge(...t){const o=w.deepClone(this.contents),a=w.deepClone(this.overrides),c=[...this.keys];for(const n of t){this.mergeContents(o,n.contents);for(const f of n.overrides){const[y]=a.filter(k=>T.equals(k.identifiers,f.identifiers));y?this.mergeContents(y.contents,f.contents):a.push(w.deepClone(f))}for(const f of n.keys)c.indexOf(f)===-1&&c.push(f)}return new d(o,c,a)}freeze(){return this.isFrozen=!0,this}mergeContents(t,o){for(const a of Object.keys(o)){if(a in t&&A.isObject(t[a])&&A.isObject(o[a])){this.mergeContents(t[a],o[a]);continue}t[a]=w.deepClone(o[a])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?w.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const o of this.overrides)if(o.identifiers.indexOf(t)!==-1)return o.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,o){this.addKey(t),i.addToValueTree(this.contents,t,o,a=>{throw new Error(a)})}removeValue(t){this.removeKey(t)&&i.removeFromValueTree(this.contents,t)}addKey(t){let o=this.keys.length;for(let a=0;a<o;a++)t.indexOf(this.keys[a])===0&&(o=a);this.keys.splice(o,1,t)}removeKey(t){let o=this.keys.indexOf(t);return o!==-1?(this.keys.splice(o,1),!0):!1}}e.ConfigurationModel=d;class s extends d{constructor(){const t=i.getDefaultValues(),o=i.getConfigurationKeys(),a=[];for(const c of Object.keys(t))D.OVERRIDE_PROPERTY_PATTERN.test(c)&&a.push({identifiers:[D.overrideIdentifierFromKey(c).trim()],keys:Object.keys(t[c]),contents:i.toValuesTree(t[c],n=>console.error(`Conflict in default settings file: ${n}`))});super(t,o,a)}}e.DefaultConfigurationModel=s;class h{constructor(t,o){this._name=t,this._scopes=o,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new d}get errors(){return this._parseErrors}parseContent(t){if(!A.isUndefinedOrNull(t)){const o=this.doParseContent(t);this.parseRaw(o)}}parseRaw(t){this._raw=t;const o=this.doParseRaw(t);this._configurationModel=new d(o.contents,o.keys,o.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let o={},a=null,c=[],n=[],f=[];function y(m){Array.isArray(c)?c.push(m):a&&(c[a]=m)}let k={onObjectBegin:()=>{let m={};y(m),n.push(c),c=m,a=null},onObjectProperty:m=>{a=m},onObjectEnd:()=>{c=n.pop()},onArrayBegin:()=>{let m=[];y(m),n.push(c),c=m,a=null},onArrayEnd:()=>{c=n.pop()},onLiteralValue:y,onError:(m,E,R)=>{f.push({error:m,offset:E,length:R})}};if(t)try{b.visit(t,k),o=c[0]||{}}catch(m){console.error(`Error while parsing settings file ${this._name}: ${m}`),this._parseErrors=[m]}return o}doParseRaw(t){if(this._scopes){const n=P.Registry.as(D.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,n,!0,this._scopes)}const o=i.toValuesTree(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`)),a=Object.keys(t),c=i.toOverrides(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`));return{contents:o,keys:a,overrides:c}}filterByScope(t,o,a,c){const n={};for(let f in t)if(D.OVERRIDE_PROPERTY_PATTERN.test(f)&&a)n[f]=this.filterByScope(t[f],o,!1,c);else{const y=this.getScope(f,o);(y===void 0||c.indexOf(y)!==-1)&&(n[f]=t[f])}return n}getScope(t,o){const a=o[t];return a?typeof a.scope!="undefined"?a.scope:3:void 0}}e.ConfigurationModelParser=h;class v extends I.Disposable{constructor(t,o,a,c){super();this.userSettingsResource=t,this.scopes=o,this.fileService=c,this._onDidChange=this._register(new p.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(a.dirname(this.userSettingsResource))),this._register(p.Event.filter(this.fileService.onDidFilesChange,n=>n.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new d}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=v;class g{constructor(t,o,a=new d,c=new d,n=new S.ResourceMap,f=new d,y=new S.ResourceMap,k=!0){this._defaultConfiguration=t,this._localUserConfiguration=o,this._remoteUserConfiguration=a,this._workspaceConfiguration=c,this._folderConfigurations=n,this._memoryConfiguration=f,this._memoryConfigurationByResource=y,this._freeze=k,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new S.ResourceMap,this._userConfiguration=null}getValue(t,o,a){return this.getConsolidateConfigurationModel(o,a).getValue(t)}updateValue(t,o,a={}){let c;a.resource?(c=this._memoryConfigurationByResource.get(a.resource),c||(c=new d,this._memoryConfigurationByResource.set(a.resource,c))):c=this._memoryConfiguration,o===void 0?c.removeValue(t):c.setValue(t,o),a.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,o,a){const c=this.getConsolidateConfigurationModel(o,a),n=this.getFolderConfigurationModelForResource(o.resource,a),f=o.resource?this._memoryConfigurationByResource.get(o.resource)||this._memoryConfiguration:this._memoryConfiguration,y=o.overrideIdentifier?this._defaultConfiguration.freeze().override(o.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),k=o.overrideIdentifier?this.userConfiguration.freeze().override(o.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),m=o.overrideIdentifier?this.localUserConfiguration.freeze().override(o.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),E=o.overrideIdentifier?this.remoteUserConfiguration.freeze().override(o.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),R=a?o.overrideIdentifier?this._workspaceConfiguration.freeze().override(o.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,F=n?o.overrideIdentifier?n.freeze().override(o.overrideIdentifier).getValue(t):n.freeze().getValue(t):void 0,$=o.overrideIdentifier?f.override(o.overrideIdentifier).getValue(t):f.getValue(t),K=c.getValue(t),G=T.distinct(T.flatten(c.overrides.map(H=>H.identifiers))).filter(H=>c.getOverrideValue(t,H)!==void 0);return{defaultValue:y,userValue:k,userLocalValue:m,userRemoteValue:E,workspaceValue:R,workspaceFolderValue:F,memoryValue:$,value:K,default:y!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:o.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,user:k!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:o.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,userLocal:m!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:o.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,userRemote:E!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:o.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,workspace:R!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:o.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,workspaceFolder:F!==void 0?{value:n==null?void 0:n.freeze().getValue(t),override:o.overrideIdentifier?n==null?void 0:n.freeze().getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,memory:$!==void 0?{value:f.getValue(t),override:o.overrideIdentifier?f.getOverrideValue(t,o.overrideIdentifier):void 0}:void 0,overrideIdentifiers:G.length?G:void 0}}keys(t){const o=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:o?o.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,o){this._folderConfigurations.set(t,o),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,o){const a=o.filter(c=>D.OVERRIDE_PROPERTY_PATTERN.test(c)).map(c=>{const n=D.overrideIdentifierFromKey(c),f=this._defaultConfiguration.getKeysForOverrideIdentifier(n),y=t.getKeysForOverrideIdentifier(n),k=[...y.filter(m=>f.indexOf(m)===-1),...f.filter(m=>y.indexOf(m)===-1),...f.filter(m=>!w.equals(this._defaultConfiguration.override(n).getValue(m),t.override(n).getValue(m)))];return[n,k]});return this.updateDefaultConfiguration(t),{keys:o,overrides:a}}compareAndUpdateLocalUserConfiguration(t){const{added:o,updated:a,removed:c,overrides:n}=i.compare(this.localUserConfiguration,t),f=[...o,...a,...c];return f.length&&this.updateLocalUserConfiguration(t),{keys:f,overrides:n}}compareAndUpdateRemoteUserConfiguration(t){const{added:o,updated:a,removed:c,overrides:n}=i.compare(this.remoteUserConfiguration,t);let f=[...o,...a,...c];return f.length&&this.updateRemoteUserConfiguration(t),{keys:f,overrides:n}}compareAndUpdateWorkspaceConfiguration(t){const{added:o,updated:a,removed:c,overrides:n}=i.compare(this.workspaceConfiguration,t);let f=[...o,...a,...c];return f.length&&this.updateWorkspaceConfiguration(t),{keys:f,overrides:n}}compareAndUpdateFolderConfiguration(t,o){const a=this.folderConfigurations.get(t),{added:c,updated:n,removed:f,overrides:y}=i.compare(a,o);let k=[...c,...n,...f];return(k.length||!a)&&this.updateFolderConfiguration(t,o),{keys:k,overrides:y}}compareAndDeleteFolderConfiguration(t){const o=this.folderConfigurations.get(t);if(!o)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:a,updated:c,removed:n,overrides:f}=i.compare(o,void 0);return{keys:[...a,...c,...n],overrides:f}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,o){let a=this.getConsolidatedConfigurationModelForResource(t,o);return t.overrideIdentifier?a.override(t.overrideIdentifier):a}getConsolidatedConfigurationModelForResource({resource:t},o){let a=this.getWorkspaceConsolidatedConfiguration();if(o&&t){const c=o.getFolder(t);c&&(a=this.getFolderConsolidatedConfiguration(c.uri)||a);const n=this._memoryConfigurationByResource.get(t);n&&(a=a.merge(n))}return a}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let o=this._foldersConsolidatedConfigurations.get(t);if(!o){const a=this.getWorkspaceConsolidatedConfiguration(),c=this._folderConfigurations.get(t);c?(o=a.merge(c),this._freeze&&(o=o.freeze()),this._foldersConsolidatedConfigurations.set(t,o)):o=a}return o}getFolderConfigurationModelForResource(t,o){if(o&&t){const a=o.getFolder(t);if(a)return this._folderConfigurations.get(a.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,o)=>{const{contents:a,overrides:c,keys:n}=this._folderConfigurations.get(o);return t.push([o,{contents:a,overrides:c,keys:n}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(o=>t.add(o)),this.userConfiguration.freeze().keys.forEach(o=>t.add(o)),this._workspaceConfiguration.freeze().keys.forEach(o=>t.add(o)),this._folderConfigurations.forEach(o=>o.freeze().keys.forEach(a=>t.add(a))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const o=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(a=>o.add(a)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(a=>o.add(a)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(a=>o.add(a)),this._folderConfigurations.forEach(a=>a.getKeysForOverrideIdentifier(t).forEach(c=>o.add(c))),[...o.values()]}static parse(t){const o=this.parseConfigurationModel(t.defaults),a=this.parseConfigurationModel(t.user),c=this.parseConfigurationModel(t.workspace),n=t.folders.reduce((f,y)=>(f.set(C.URI.revive(y[0]),this.parseConfigurationModel(y[1])),f),new S.ResourceMap);return new g(o,a,new d,c,n,new d,new S.ResourceMap,!1)}static parseConfigurationModel(t){return new d(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=g;function _(...u){if(u.length===0)return{keys:[],overrides:[]};if(u.length===1)return u[0];const t=new Set,o=new Map;for(const c of u)c.keys.forEach(n=>t.add(n)),c.overrides.forEach(([n,f])=>{const y=S.getOrSet(o,n,new Set);f.forEach(k=>y.add(k))});const a=[];return o.forEach((c,n)=>a.push([n,[...c.values()]])),{keys:[...t.values()],overrides:a}}e.mergeChanges=_;class r{constructor(t,o,a,c){this.change=t,this.previous=o,this.currentConfiguraiton=a,this.currentWorkspace=c,this._previousConfiguration=void 0;const n=new Set;t.keys.forEach(y=>n.add(y)),t.overrides.forEach(([,y])=>y.forEach(k=>n.add(k))),this.affectedKeys=[...n.values()];const f=new d;this.affectedKeys.forEach(y=>f.setValue(y,{})),this.affectedKeysTree=f.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=g.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,o){var a;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(o){const c=this.previousConfiguration?this.previousConfiguration.getValue(t,o,(a=this.previous)===null||a===void 0?void 0:a.workspace):void 0,n=this.currentConfiguraiton.getValue(t,o,this.currentWorkspace);return!w.equals(c,n)}return!0}return!1}doesAffectedKeysTreeContains(t,o){let a=i.toValuesTree({[o]:!0},()=>{}),c;for(;typeof a=="object"&&(c=Object.keys(a)[0]);){if(t=t[c],!t)return!1;a=a[c]}return!0}}e.ConfigurationChangeEvent=r;class l extends r{constructor(t,o,a,c){super({keys:t.allKeys(),overrides:[]},void 0,t,o);this.source=a,this.sourceConfig=c}}e.AllKeysConfigurationChangeEvent=l}),define(we[90],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=b.createDecorator("remoteAuthorityResolverService");var S;(function(A){A.Unknown="Unknown",A.NotAvailable="NotAvailable",A.TemporarilyNotAvailable="TemporarilyNotAvailable",A.NoResolverFound="NoResolverFound"})(S=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class T extends Error{constructor(w,C=S.Unknown,D){super(w);this._message=w,this._code=C,this._detail=D,this.isHandled=C===S.NotAvailable&&D===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,T.prototype)}static isTemporarilyNotAvailable(w){return w instanceof T&&w._code===S.TemporarilyNotAvailable}static isNoResolverFound(w){return w instanceof T&&w._code===S.NoResolverFound}static isHandled(w){return w instanceof T&&w.isHandled}}e.RemoteAuthorityResolverError=T}),define(we[91],Ee([0,1,16]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function S(A){return A.scheme===b.Schemas.vscodeRemote?A.authority:void 0}e.getRemoteAuthority=S;function T(A){if(!!A){const w=A.indexOf("+");return w<0?A:A.substr(0,w)}}e.getRemoteName=T}),define(we[149],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class b{constructor(T){this._callback=T,this._terminalBufferMap=new Map}dispose(){for(const T of this._terminalBufferMap.values())T.dispose()}startBuffering(T,A,w=5){let C;return C=A(D=>{const i=typeof D=="string"?D:D.data;let P=this._terminalBufferMap.get(T);if(P){P.data.push(i);return}const I=setTimeout(()=>this._flushBuffer(T),w);P={data:[i],timeoutId:I,dispose:()=>{clearTimeout(I),this._flushBuffer(T),C.dispose()}},this._terminalBufferMap.set(T,P)}),C}stopBuffering(T){const A=this._terminalBufferMap.get(T);A&&A.dispose()}_flushBuffer(T){const A=this._terminalBufferMap.get(T);A&&(this._terminalBufferMap.delete(T),this._callback(T,A.data.join("")))}}e.TerminalDataBufferer=b}),define(we[150],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var b;(function(S){S.DARK="dark",S.LIGHT="light",S.HIGH_CONTRAST="hc"})(b=e.ColorScheme||(e.ColorScheme={}))}),define(we[151],Ee([0,1,4,6,30,3,150,37]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=b.createDecorator("themeService");var D;(function(v){function g(_){return _&&typeof _=="object"&&typeof _.id=="string"}v.isThemeColor=g})(D=e.ThemeColor||(e.ThemeColor={}));function i(v){return{id:v}}e.themeColorFromId=i;var P;(function(v){function g(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||D.isThemeColor(t.color))}v.isThemeIcon=g;const _=new RegExp(`^\\$\\((${C.CSSIcon.iconNameExpression}(?:${C.CSSIcon.iconModifierExpression})?)\\)$`);function r(t){const o=_.exec(t);if(!!o){let[,a]=o;return{id:a}}}v.fromString=r;function l(t,o){let a=t.id;const c=a.lastIndexOf("~");return c!==-1&&(a=a.substring(0,c)),o&&(a=`${a}~${o}`),{id:a}}v.modify=l;function u(t,o){var a,c;return t.id===o.id&&((a=t.color)===null||a===void 0?void 0:a.id)===((c=o.color)===null||c===void 0?void 0:c.id)}v.isEqual=u,v.asClassNameArray=C.CSSIcon.asClassNameArray,v.asClassName=C.CSSIcon.asClassName,v.asCSSSelector=C.CSSIcon.asCSSSelector})(P=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=C.Codicon.file,e.FolderThemeIcon=C.Codicon.folder;function I(v){switch(v){case w.ColorScheme.DARK:return"vs-dark";case w.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=I,e.Extensions={ThemingContribution:"base.contributions.theming"};class p{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new A.Emitter}onColorThemeChange(g){return this.themingParticipants.push(g),this.onThemingParticipantAddedEmitter.fire(g),S.toDisposable(()=>{const _=this.themingParticipants.indexOf(g);this.themingParticipants.splice(_,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let d=new p;T.Registry.add(e.Extensions.ThemingContribution,d);function s(v){return d.onColorThemeChange(v)}e.registerThemingParticipant=s;class h extends S.Disposable{constructor(g){super();this.themeService=g,this.theme=g.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(_=>this.onThemeChange(_)))}onThemeChange(g){this.theme=g,this.updateStyles()}updateStyles(){}getColor(g,_){let r=this.theme.getColor(g);return r&&_&&(r=_(r,this.theme)),r?r.toString():null}}e.Themable=h}),define(we[152],Ee([0,1,30,151,3,123,88,15,37]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class i{constructor(){this._onDidChange=new T.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:A.localize(0,null)},fontCharacter:{type:"string",description:A.localize(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${D.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(g,_,r,l){const u=this.iconsById[g];if(u){if(r&&!u.description){u.description=r,this.iconSchema.properties[g].markdownDescription=`${r} $(${g})`;const a=this.iconReferenceSchema.enum.indexOf(g);a!==-1&&(this.iconReferenceSchema.enumDescriptions[a]=r),this._onDidChange.fire()}return u}let t={id:g,description:r,defaults:_,deprecationMessage:l};this.iconsById[g]=t;let o={$ref:"#/definitions/icons"};return l&&(o.deprecationMessage=l),r&&(o.markdownDescription=`${r}: $(${g})`),this.iconSchema.properties[g]=o,this.iconReferenceSchema.enum.push(g),this.iconReferenceSchema.enumDescriptions.push(r||""),this._onDidChange.fire(),{id:g}}deregisterIcon(g){delete this.iconsById[g],delete this.iconSchema.properties[g];const _=this.iconReferenceSchema.enum.indexOf(g);_!==-1&&(this.iconReferenceSchema.enum.splice(_,1),this.iconReferenceSchema.enumDescriptions.splice(_,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(g=>this.iconsById[g])}getIcon(g){return this.iconsById[g]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(g,_){const r=this.iconFontsById[g];if(r)return r;let l={id:g,definition:_};return this.iconFontsById[g]=l,this._onDidChange.fire(),l}deregisterIconFont(g){delete this.iconFontsById[g]}getIconFonts(){return Object.keys(this.iconFontsById).map(g=>this.iconFontsById[g])}getIconFont(g){return this.iconFontsById[g]}toString(){const g=(u,t)=>u.id.localeCompare(t.id),_=u=>{for(;S.ThemeIcon.isThemeIcon(u.defaults);)u=this.iconsById[u.defaults.id];return`codicon codicon-${u?u.id:""}`};let r=[];r.push("| preview     | identifier                        | default codicon ID                | description"),r.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const l=Object.keys(this.iconsById).map(u=>this.iconsById[u]);for(const u of l.filter(t=>!!t.description).sort(g))r.push(`|<i class="${_(u)}"></i>|${u.id}|${S.ThemeIcon.isThemeIcon(u.defaults)?u.defaults.id:u.id}|${u.description||""}|`);r.push("| preview     | identifier                        "),r.push("| ----------- | --------------------------------- |");for(const u of l.filter(t=>!S.ThemeIcon.isThemeIcon(t.defaults)).sort(g))r.push(`|<i class="${_(u)}"></i>|${u.id}|`);return r.join(`
`)}}const P=new i;b.Registry.add(e.Extensions.IconContribution,P);function I(v,g,_,r){return P.registerIcon(v,g,_,r)}e.registerIcon=I;function p(){return P}e.getIconRegistry=p;function d(){for(const v of D.iconRegistry.all)P.registerIcon(v.id,v.definition,v.description);D.iconRegistry.onDidRegister(v=>P.registerIcon(v.id,v.definition,v.description))}d(),e.iconsSchemaId="vscode://schemas/icons";let s=b.Registry.as(w.Extensions.JSONContribution);s.registerSchema(e.iconsSchemaId,P.getIconSchema());const h=new C.RunOnceScheduler(()=>s.notifySchemaChanged(e.iconsSchemaId),200);P.onDidChange(()=>{h.isScheduled()||h.schedule()}),e.widgetClose=I("widget-close",D.Codicon.close,A.localize(2,null)),e.gotoPreviousLocation=I("goto-previous-location",D.Codicon.arrowUp,A.localize(3,null)),e.gotoNextLocation=I("goto-next-location",D.Codicon.arrowDown,A.localize(4,null)),e.syncing=S.ThemeIcon.modify(D.Codicon.sync,"spin")}),define(we[48],Ee([0,1,2,24,4,22]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=T.createDecorator("contextService");var w;(function(p){p[p.EMPTY=1]="EMPTY",p[p.FOLDER=2]="FOLDER",p[p.WORKSPACE=3]="WORKSPACE"})(w=e.WorkbenchState||(e.WorkbenchState={}));function C(p){const d=p;return!!(d&&typeof d=="object"&&typeof d.id=="string"&&Array.isArray(d.folders))}e.isWorkspace=C;function D(p){const d=p;return!!(d&&typeof d=="object"&&b.URI.isUri(d.uri)&&typeof d.name=="string"&&typeof d.toResource=="function")}e.isWorkspaceFolder=D;class i{constructor(d,s,h,v){this._id=d,this._configuration=h,this._ignorePathCasing=v,this._foldersMap=A.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=s}update(d){this._id=d.id,this._configuration=d.configuration,this._ignorePathCasing=d._ignorePathCasing,this.folders=d.folders}get folders(){return this._folders}set folders(d){this._folders=d,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(d){this._configuration=d}getFolder(d){return d&&this._foldersMap.findSubstr(d.with({scheme:d.scheme,authority:d.authority,path:d.path}))||null}updateFoldersMap(){this._foldersMap=A.TernarySearchTree.forUris(this._ignorePathCasing);for(const d of this.folders)this._foldersMap.set(d.uri,d)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=i;class P{constructor(d,s){this.raw=s,this.uri=d.uri,this.index=d.index,this.name=d.name}toResource(d){return S.joinPath(this.uri,d)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=P;function I(p){return new P({uri:p,index:0,name:S.basenameOrAuthority(p)},{uri:p.toString()})}e.toWorkspaceFolder=I}),define(we[153],Ee([0,1,4,124,48,2,21,12,24,103,46,16,59,38,91]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const h=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:S.localize(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function v(K){return(typeof K=="string"?C.extname(K):D.extname(K))===h}e.hasWorkspaceFileExtension=v,e.IWorkspacesService=b.createDecorator("workspacesService");function g(K){return K.hasOwnProperty("workspace")}e.isRecentWorkspace=g;function _(K){return K.hasOwnProperty("folderUri")}e.isRecentFolder=_;function r(K){return K.hasOwnProperty("fileUri")}e.isRecentFile=r;function l(K){const G=K;return typeof(G==null?void 0:G.id)=="string"&&A.URI.isUri(G.uri)}e.isSingleFolderWorkspaceIdentifier=l;function u(K){if(K.configuration)return{id:K.id,configPath:K.configuration};if(K.folders.length===1)return{id:K.id,uri:K.folders[0].uri}}e.toWorkspaceIdentifier=u;function t(K){const G=K;return typeof(G==null?void 0:G.id)=="string"&&A.URI.isUri(G.configPath)}e.isWorkspaceIdentifier=t;function o(K){const G=K;if(G==null?void 0:G.uri)return{id:G.id,uri:A.URI.revive(G.uri)};const H=K;if(H==null?void 0:H.configPath)return{id:H.id,configPath:A.URI.revive(H.configPath)};if(K==null?void 0:K.id)return{id:K.id}}e.reviveIdentifier=o;function a(K,G){return D.extUriBiasedIgnorePathCase.isEqualOrParent(K,G.untitledWorkspacesHome)}e.isUntitledWorkspace=a;function c(K){return n(K)||f(K)}e.isStoredWorkspaceFolder=c;function n(K){const G=K;return typeof(G==null?void 0:G.path)=="string"&&(!G.name||typeof G.name=="string")}e.isRawFileWorkspaceFolder=n;function f(K){const G=K;return typeof(G==null?void 0:G.uri)=="string"&&(!G.name||typeof G.name=="string")}e.isRawUriWorkspaceFolder=f;function y(K,G,H,ue,N=!w.isWindows,O){if(K.scheme!==ue.scheme)return{name:H,uri:K.toString(!0)};let x=G?void 0:O.relativePath(ue,K);if(x!==void 0)x.length===0?x=".":w.isWindows&&K.scheme===I.Schemas.file&&!N&&(x=x.replace(/\//g,"\\"));else if(K.scheme===I.Schemas.file)x=K.fsPath,w.isWindows&&(x=p.normalizeDriveLetter(x),N&&(x=d.toSlashes(x)));else{if(!O.isEqualAuthority(K.authority,ue.authority))return{name:H,uri:K.toString(!0)};x=K.path}return{name:H,path:x}}e.getStoredWorkspaceFolder=y;function k(K,G,H){let ue=[],N=new Set;const O=H.dirname(G);for(let x of K){let L=null;if(n(x))x.path&&(L=H.resolvePath(O,x.path));else if(f(x))try{L=A.URI.parse(x.uri),L.path[0]!=="/"&&(L=L.with({path:"/"+L.path}))}catch(z){console.warn(z)}if(L){let z=H.getComparisonKey(L);if(!N.has(z)){N.add(z);const ae=x.name||H.basenameOrAuthority(L);ue.push(new T.WorkspaceFolder({uri:L,name:ae,index:ue.length},x))}}}return ue}e.toWorkspaceFolders=k;function m(K,G,H,ue,N){let O=E(G,K);const x=N.dirname(G),L=N.dirname(ue),z=[],ae=R(O.folders);for(const Ae of O.folders){const je=n(Ae)?N.resolvePath(x,Ae.path):A.URI.parse(Ae.uri);let Te;H?Te=!1:Te=!n(Ae)||C.isAbsolute(Ae.path),z.push(y(je,Te,Ae.name,L,ae,N))}const re={insertSpaces:!1,tabSize:4,eol:w.isLinux||w.isMacintosh?`
`:`\r
`},de=i.setProperty(K,["folders"],z,re);let fe=i.applyEdits(K,de);return O.remoteAuthority===s.getRemoteAuthority(ue)&&(fe=i.applyEdits(fe,i.removeProperty(fe,["remoteAuthority"],re))),fe}e.rewriteWorkspaceFileForNewLocation=m;function E(K,G){let H=P.parse(G);if(H&&Array.isArray(H.folders))H.folders=H.folders.filter(ue=>c(ue));else throw new Error(`${K} looks like an invalid workspace file.`);return H}function R(K){return w.isWindows?K.some(G=>n(G)&&G.path.indexOf("/")>=0):!0}e.useSlashForPath=R;function F(K,G){const H={workspaces:[],files:[]};if(K){const ue=function(O,x){for(let L=0;L<O.length;L++)try{x(O[L],L)}catch(z){G.warn(`Error restoring recent entry ${JSON.stringify(O[L])}: ${z.toString()}. Skip entry.`)}},N=K;Array.isArray(N.workspaces3)&&ue(N.workspaces3,(O,x)=>{const L=Array.isArray(N.workspaceLabels)&&N.workspaceLabels[x]||void 0;typeof O=="object"&&typeof O.id=="string"&&typeof O.configURIPath=="string"?H.workspaces.push({label:L,workspace:{id:O.id,configPath:A.URI.parse(O.configURIPath)}}):typeof O=="string"&&H.workspaces.push({label:L,folderUri:A.URI.parse(O)})}),Array.isArray(N.files2)&&ue(N.files2,(O,x)=>{const L=Array.isArray(N.fileLabels)&&N.fileLabels[x]||void 0;typeof O=="string"&&H.files.push({label:L,fileUri:A.URI.parse(O)})})}return H}e.restoreRecentlyOpened=F;function $(K){const G={workspaces3:[],files2:[]};let H=!1;const ue=[];for(const O of K.workspaces)_(O)?G.workspaces3.push(O.folderUri.toString()):G.workspaces3.push({id:O.workspace.id,configURIPath:O.workspace.configPath.toString()}),ue.push(O.label||null),H=H||!!O.label;H&&(G.workspaceLabels=ue),H=!1;const N=[];for(const O of K.files)G.files2.push(O.fileUri.toString()),N.push(O.label||null),H=H||!!O.label;return H&&(G.fileLabels=N),G}e.toStoreData=$}),define(we[92],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class b{constructor(T){this.id=T,this._data=new Map,this._idPool=1}add(T){const A=this._idPool++;return this._data.set(A,T),this.logDebugInfo(),A}get(T,A){return this._data.has(T)?this._data.get(T)[A]:void 0}delete(T){this._data.delete(T),this.logDebugInfo()}logDebugInfo(){!b.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=b,b.enableDebugLogging=!1}),define(we[154],Ee([0,1,2,3]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class T{constructor(){this._onDidChangeTabs=new S.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(w){this._tabs=w.map(C=>({name:C.name,group:C.group,resource:b.URI.revive(C.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=T}),define(we[49],Ee([0,1,16,4]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class T{constructor(){this._systemSchemes=new Set(Object.keys(b.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(w,C){C===null?this._providerInfo.delete(w):this._providerInfo.set(w,C)}isFreeScheme(w){return!this._providerInfo.has(w)&&!this._systemSchemes.has(w)}getCapabilities(w){return this._providerInfo.get(w)}}e.ExtHostFileSystemInfo=T,e.IExtHostFileSystemInfo=S.createDecorator("IExtHostFileSystemInfo")}),define(we[27],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=b.createDecorator("IExtHostInitDataService")}),define(we[155],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class b{constructor(A,w,C){this._id=A,this._shared=w,this._storage=C,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(D=>(this._value=D,this)),this._storageListener=this._storage.onDidChangeStorage(D=>{D.shared===this._shared&&D.key===this._id&&(this._value=D.value)})}get whenReady(){return this._init}get(A,w){let C=this._value[A];return typeof C=="undefined"&&(C=w),C}update(A,w){return this._value[A]=w,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=b;class S extends b{constructor(A,w){super(A.identifier.value,!0,w);this._extension=A}setKeysForSync(A){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},A)}}e.ExtensionGlobalMemento=S}),define(we[14],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=b.createDecorator("IExtHostRpcService");class S{constructor(A){this.getProxy=A.getProxy.bind(A),this.set=A.set.bind(A),this.assertRegistered=A.assertRegistered.bind(A),this.drain=A.drain.bind(A)}}e.ExtHostRpcService=S});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[156],Ee([0,1,25,3]),function(oe,e,b,S){"use strict";var T;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class A{constructor(C,D){T.set(this,void 0),this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this._id=b.ExtensionIdentifier.toKey(C.identifier),nt(this,T,D),Be(this,T).onDidChangePassword(i=>{i.extensionId===this._id&&this._onDidChange.fire({key:i.key})})}get(C){return Be(this,T).get(this._id,C)}store(C,D){return Be(this,T).store(this._id,C,D)}delete(C){return Be(this,T).delete(this._id,C)}}e.ExtensionSecrets=A,T=new WeakMap});var Ke=this&&this.__decorate||function(oe,e,b,S){var T=arguments.length,A=T<3?e:S===null?S=Object.getOwnPropertyDescriptor(e,b):S,w;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")A=Reflect.decorate(oe,e,b,S);else for(var C=oe.length-1;C>=0;C--)(w=oe[C])&&(A=(T<3?w(A):T>3?w(e,b,A):w(e,b))||A);return T>3&&A&&Object.defineProperty(e,b,A),A},Qe=this&&this.__param||function(oe,e){return function(b,S){e(b,S,oe)}};define(we[68],Ee([0,1,4,3,14]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var A;(function(C){function D(P){return{remoteAddress:P.remoteAddress,localAddress:P.localAddress,public:!!P.public}}C.fromApiTunnel=D;function i(P){return{remoteAddress:{host:P.tunnelRemoteHost,port:P.tunnelRemotePort},localAddress:P.localAddress,public:P.public}}C.fromServiceTunnel=i})(A=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=b.createDecorator("IExtHostTunnelService");let w=class{constructor(D){this.onDidChangeTunnels=new S.Emitter().event}async $applyCandidateFilter(D){return D}async openTunnel(D,i){}async getTunnels(){return[]}async setTunnelExtensionFunctions(D){return{dispose:()=>{}}}async $forwardPort(D,i){}async $closeTunnel(D){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};w=Ke([Qe(0,T.IExtHostRpcService)],w),e.ExtHostTunnelService=w}),define(we[69],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=b.createDecorator("IURITransformerService");class S{constructor(A){A?(this.transformIncoming=A.transformIncoming.bind(A),this.transformOutgoing=A.transformOutgoing.bind(A),this.transformOutgoingURI=A.transformOutgoingURI.bind(A),this.transformOutgoingScheme=A.transformOutgoingScheme.bind(A)):(this.transformIncoming=w=>w,this.transformOutgoing=w=>w,this.transformOutgoingURI=w=>w,this.transformOutgoingScheme=w=>w)}}e.URITransformerService=S}),define(we[70],Ee([0,1,2]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function S(A,w,C){const D=A.webviewResourceRoot.replace("{{resource}}",C.scheme+T(C)).replace("{{uuid}}",w);return b.URI.parse(D)}e.asWebviewUri=S;function T(A){return A.toString().replace(/^\S+?:/,"")}}),define(we[157],Ee([0,1,3,6,70,29]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class w{constructor(D,i,P){this._proxy=D,this._editors=i,this._initData=P,this._handlePool=0,this._disposables=new S.DisposableStore,this._insets=new Map,this._disposables.add(i.onDidChangeVisibleTextEditors(()=>{const I=i.getVisibleTextEditors();for(const p of this._insets.values())I.indexOf(p.editor)<0&&p.inset.dispose()}))}dispose(){this._insets.forEach(D=>D.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(D,i,P,I,p){let d;for(const l of this._editors.getVisibleTextEditors(!0))if(l.value===D){d=l;break}if(!d)throw new Error("not a visible editor");const s=this,h=this._handlePool++,v=new b.Emitter,g=new b.Emitter,_=new class{constructor(){this._uuid=A.generateUuid(),this._html="",this._options=Object.create(null)}asWebviewUri(l){return T.asWebviewUri(s._initData,this._uuid,l)}get cspSource(){return s._initData.webviewCspSource}set options(l){this._options=l,s._proxy.$setOptions(h,l)}get options(){return this._options}set html(l){this._html=l,s._proxy.$setHtml(h,l)}get html(){return this._html}get onDidReceiveMessage(){return v.event}postMessage(l){return s._proxy.$postMessage(h,l)}},r=new class{constructor(){this.editor=D,this.line=i,this.height=P,this.webview=_,this.onDidDispose=g.event}dispose(){s._insets.has(h)&&(s._insets.delete(h),s._proxy.$disposeEditorInset(h),g.fire(),g.dispose(),v.dispose())}};return this._proxy.$createEditorInset(h,d.id,d.value.document.uri,i+1,P,I||{},p.identifier,p.extensionLocation),this._insets.set(h,{editor:D,inset:r,onDidReceiveMessage:v}),r}$onDidDispose(D){const i=this._insets.get(D);i&&i.inset.dispose()}$onDidReceiveMessage(D,i){const P=this._insets.get(D);P&&P.onDidReceiveMessage.fire(i)}}e.ExtHostEditorInsets=w}),define(we[158],Ee([0,1,3,64,134,4,6,22,30,11,51,23,37,152]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=d.registerIcon("default-view-icon",p.Codicon.window,T.localize(0,null));var s;(function(n){n.ViewContainersRegistry="workbench.registry.view.containers",n.ViewsRegistry="workbench.registry.view"})(s=e.Extensions||(e.Extensions={}));var h;(function(n){n[n.Sidebar=0]="Sidebar",n[n.Panel=1]="Panel"})(h=e.ViewContainerLocation||(e.ViewContainerLocation={}));function v(n){switch(n){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=v;function g(n){return`viewContainer.${n}.enabled`}e.getEnabledViewContainerContextKey=g;class _ extends w.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new b.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new b.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return i.flatten([...this.viewContainers.values()])}registerViewContainer(f,y,k){var m;const E=this.get(f.id);if(E)return E;const R=f;return R.openCommandActionDescriptor=(k==null?void 0:k.donotRegisterOpenCommand)?void 0:(m=R.openCommandActionDescriptor)!==null&&m!==void 0?m:{id:R.id},C.getOrSet(this.viewContainers,y,[]).push(R),(k==null?void 0:k.isDefault)&&this.defaultViewContainers.push(R),this._onDidRegister.fire({viewContainer:R,viewContainerLocation:y}),R}deregisterViewContainer(f){for(const y of this.viewContainers.keys()){const k=this.viewContainers.get(y),m=k==null?void 0:k.indexOf(f);if(m!==-1){k==null||k.splice(m,1),k.length===0&&this.viewContainers.delete(y),this._onDidDeregister.fire({viewContainer:f,viewContainerLocation:y});return}}}get(f){return this.all.filter(y=>y.id===f)[0]}getViewContainers(f){return[...this.viewContainers.get(f)||[]]}getViewContainerLocation(f){return[...this.viewContainers.keys()].filter(y=>this.getViewContainers(y).filter(k=>(k==null?void 0:k.id)===f.id).length>0)[0]}getDefaultViewContainer(f){return this.defaultViewContainers.find(y=>this.getViewContainerLocation(y)===f)}}D.Registry.add(s.ViewContainersRegistry,new _);var r;(function(n){n.Open="2_open",n.Debug="4_debug",n.SCM="5_scm",n.More="9_more"})(r=e.ViewContentGroups||(e.ViewContentGroups={}));function l(n,f){var y,k,m,E;const R=(y=n.group)!==null&&y!==void 0?y:r.More,F=(k=f.group)!==null&&k!==void 0?k:r.More;return R!==F?R.localeCompare(F):((m=n.order)!==null&&m!==void 0?m:5)-((E=f.order)!==null&&E!==void 0?E:5)}class u extends w.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new b.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new b.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new b.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new b.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new P.SetMap}registerViews(f,y){this.registerViews2([{views:f,viewContainer:y}])}registerViews2(f){f.forEach(({views:y,viewContainer:k})=>this.addViews(y,k)),this._onViewsRegistered.fire(f)}deregisterViews(f,y){const k=this.removeViews(f,y);k.length&&this._onViewsDeregistered.fire({views:k,viewContainer:y})}moveViews(f,y){for(const k of this._views.keys())if(k!==y){const m=this.removeViews(f,k);m.length&&(this.addViews(m,y),this._onDidChangeContainer.fire({views:m,from:k,to:y}))}}getViews(f){return this._views.get(f)||[]}getView(f){for(const y of this._viewContainers){const k=(this._views.get(y)||[]).filter(m=>m.id===f)[0];if(k)return k}return null}getViewContainer(f){for(const y of this._viewContainers)if((this._views.get(y)||[]).filter(m=>m.id===f)[0])return y;return null}registerViewWelcomeContent(f,y){return this._viewWelcomeContents.add(f,y),this._onDidChangeViewWelcomeContent.fire(f),w.toDisposable(()=>{this._viewWelcomeContents.delete(f,y),this._onDidChangeViewWelcomeContent.fire(f)})}getViewWelcomeContent(f){const y=[];return this._viewWelcomeContents.forEach(f,k=>y.push(k)),i.mergeSort(y,l),y}addViews(f,y){let k=this._views.get(y);k||(k=[],this._views.set(y,k),this._viewContainers.push(y));for(const m of f){if(this.getView(m.id)!==null)throw new Error(T.localize(1,null,m.id));k.push(m)}}removeViews(f,y){const k=this._views.get(y);if(!k)return[];const m=[],E=[];for(const R of k)f.includes(R)?m.push(R):E.push(R);return m.length&&(E.length?this._views.set(y,E):(this._views.delete(y),this._viewContainers.splice(this._viewContainers.indexOf(y),1))),m}}D.Registry.add(s.ViewsRegistry,new u),e.IViewsService=A.createDecorator("viewsService"),e.FocusedViewContext=new S.RawContextKey("focusedView","",T.localize(2,null));function t(n){return`view.${n}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=A.createDecorator("viewDescriptorService");var o;(function(n){n[n.Default=0]="Default",n[n.Expand=1]="Expand"})(o=e.ViewVisibilityState||(e.ViewVisibilityState={}));var a;(function(n){n[n.None=0]="None",n[n.Collapsed=1]="Collapsed",n[n.Expanded=2]="Expanded"})(a=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class c{constructor(f,y){this.resolved=!1,this._hasResolve=!1,I.mixin(this,f),this._hasResolve=!!y,this.resolve=async k=>{var m,E;if(y&&!this.resolved){const R=await y(k);R&&(this.tooltip=(m=this.tooltip)!==null&&m!==void 0?m:R.tooltip,this.command=(E=this.command)!==null&&E!==void 0?E:R.command)}k.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=c}),define(we[159],Ee([0,1,2,142,153,17,143,158]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function D(h){return(v,...g)=>h(v.get(S.ICommandService),...g)}class i{static execute(v,g){const _={forceReuseWindow:g&&g.reuseWindow,remoteAuthority:g&&g.remoteAuthority};return v.executeCommand("_files.newWindow",_)}}e.NewWindowAPICommand=i,i.ID="vscode.newWindow",S.CommandsRegistry.registerCommand({id:i.ID,handler:D(i.execute),description:{description:"Opens an new window",args:[]}}),S.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(h,v){return h.get(T.IWorkspacesService).removeRecentlyOpened([v])});class P{static execute(v,g){return typeof g=="string"?g=g.match(/^[^:/?#]+:\/\//)?b.URI.parse(g):b.URI.file(g):g=b.URI.revive(g),v.executeCommand("_workbench.removeFromRecentlyOpened",g)}}e.RemoveFromRecentlyOpenedAPICommand=P,P.ID="vscode.removeFromRecentlyOpened",S.CommandsRegistry.registerCommand(P.ID,D(P.execute));class I{static execute(v,g){const _=typeof g=="string"?{extensionId:g}:g;return v.executeCommand("workbench.action.openIssueReporter",_)}}e.OpenIssueReporter=I,I.ID="vscode.openIssueReporter",S.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(h,v){const g=h.get(T.IWorkspacesService);let _;const r=v.uri,l=v.label;return v.type==="workspace"?_={workspace:await g.getWorkspaceIdentifier(r),label:l}:v.type==="folder"?_={folderUri:r,label:l}:_={fileUri:r,label:l},g.addRecentlyOpened([_])}),S.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(h){return h.get(T.IWorkspacesService).getRecentlyOpened()}),S.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(h,v){const g=h.get(A.ILogService),_=h.get(w.IEnvironmentService);_.isExtensionDevelopment&&!!_.extensionTestsLocationURI&&g.setLevel(v)}),S.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(h){return h.get(A.ILogService).getLevel()}),S.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(h,v){const g=h.get(C.IViewDescriptorService),_=g.getViewContainerById(v.destinationId);if(!!_){for(const r of v.viewIds){const l=g.getViewDescriptorById(r);(l==null?void 0:l.canMoveView)&&g.moveViewsToContainer([l],_,C.ViewVisibilityState.Default)}await h.get(C.IViewsService).openViewContainer(_.id,!0)}});class p{static execute(v,g){return!Array.isArray(g==null?void 0:g.viewIds)||typeof(g==null?void 0:g.destinationId)!="string"?Promise.reject("Invalid arguments"):v.executeCommand("_workbench.action.moveViews",g)}}e.MoveViewsAPICommand=p,p.ID="vscode.moveViews",S.CommandsRegistry.registerCommand({id:p.ID,handler:D(p.execute),description:{description:"Move Views",args:[]}});class d{static execute(v,g){return v.executeCommand("_workbench.open",g)}}d.ID="vscode.open",S.CommandsRegistry.registerCommand(d.ID,D(d.execute));class s{static execute(v,g,_,r,l){return v.executeCommand("_workbench.diff",[g,_,r])}}s.ID="vscode.diff",S.CommandsRegistry.registerCommand(s.ID,D(s.execute))}),define(we[160],Ee([0,1,3,15,135]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class A{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new b.Emitter,this._onExit=new b.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(C){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=C}onEvent(C){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=C}onRequest(C){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=C}sendResponse(C){C.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${C.command}`)):this.internalSend("response",C)}sendRequest(C,D,i,P){const I={command:C};if(D&&Object.keys(D).length>0&&(I.arguments=D),this.internalSend("request",I),typeof P=="number"){const p=setTimeout(()=>{clearTimeout(p);const d=this.pendingRequests.get(I.seq);if(d){this.pendingRequests.delete(I.seq);const s={type:"response",seq:0,request_seq:I.seq,success:!1,command:C,message:T.localize(0,null,P,C)};d(s)}},P)}return i&&this.pendingRequests.set(I.seq,i),I.seq}acceptMessage(C){this.messageCallback?this.messageCallback(C):(this.queue.push(C),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(C,D){return C.type!=="event"||D.type!=="event"}async processQueue(){let C;for(;this.queue.length;){if((!C||this.needsTaskBoundaryBetween(this.queue[0],C))&&await S.timeout(0),C=this.queue.shift(),!C)return;switch(C.type){case"event":this.eventCallback&&this.eventCallback(C);break;case"request":this.requestCallback&&this.requestCallback(C);break;case"response":const D=C,i=this.pendingRequests.get(D.request_seq);i&&(this.pendingRequests.delete(D.request_seq),i(D));break}}}internalSend(C,D){D.type=C,D.seq=this.sequence++,this.sendMessage(D)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const C=new Map;this.pendingRequests.forEach((D,i)=>C.set(i,D)),await S.timeout(500),C.forEach((D,i)=>{D({type:"response",seq:0,request_seq:i,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(i)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=A}),define(we[161],Ee([0,1,8,2,12,23,16]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const C=/{([^}]+)}/g;function D(o,a,c){return o.replace(C,function(n,f){return a&&f.length>0&&f[0]!=="_"?n:c&&c.hasOwnProperty(f)?c[f]:n})}e.formatPII=D;function i(o){const a={};for(const c of Object.keys(o))c.startsWith("!")||(a[c]=o[c]);return a}e.filterExceptionsFromTelemetry=i;function P(o){return o.configuration.request==="attach"&&!I(o)}e.isSessionAttach=P;function I(o){let a=o.configuration.type;if(!!a)return a==="vslsShare"&&(a=o.configuration.adapterProxy.configuration.type),b.equalsIgnoreCase(a,"extensionhost")||b.equalsIgnoreCase(a,"pwa-extensionhost")?o:o.parentSession?I(o.parentSession):void 0}e.getExtensionHostDebugSession=I;function p(o){return o.type&&(o.label||o.program||o.runtime)}e.isDebuggerMainContribution=p;function d(o,a,c){let n,f=0,y=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,k=null;for(;k=y.exec(o);){let m=k.index+1,E=m+k[0].length;if(m<=a&&E>=c){n=k[0],f=m;break}}if(n){let m=/\w+/g,E=null;for(;(E=m.exec(n))&&!(E.index+1+f+E[0].length>=c););E&&(n=n.substring(0,m.lastIndex))}return n?{start:f,end:f+n.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=d;const s=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function h(o){return!!(o&&o.match(s))}e.isUri=h;function v(o){if(typeof o.path=="string"&&!(typeof o.sourceReference=="number"&&o.sourceReference>0)){if(h(o.path))return S.URI.parse(o.path);if(T.isAbsolute(o.path))return S.URI.file(o.path)}return o.path}function g(o){if(typeof o.path=="object"){const a=S.URI.revive(o.path);if(a)return a.scheme===w.Schemas.file?a.fsPath:a.toString()}return o.path}function _(o,a){const c=a?v:g,n=A.deepClone(o);return l(n,(f,y)=>{f&&y&&(y.path=c(y))}),n}e.convertToDAPaths=_;function r(o,a){const c=a?v:g,n=A.deepClone(o);return l(n,(f,y)=>{!f&&y&&(y.path=c(y))}),n}e.convertToVSCPaths=r;function l(o,a){switch(o.type){case"event":const c=o;switch(c.event){case"output":a(!1,c.body.source);break;case"loadedSource":a(!1,c.body.source);break;case"breakpoint":a(!1,c.body.breakpoint.source);break;default:break}break;case"request":const n=o;switch(n.command){case"setBreakpoints":a(!0,n.arguments.source);break;case"breakpointLocations":a(!0,n.arguments.source);break;case"source":a(!0,n.arguments.source);break;case"gotoTargets":a(!0,n.arguments.source);break;case"launchVSCode":n.arguments.args.forEach(y=>a(!1,y));break;default:break}break;case"response":const f=o;if(f.success&&f.body)switch(f.command){case"stackTrace":f.body.stackFrames.forEach(y=>a(!1,y.source));break;case"loadedSources":f.body.sources.forEach(y=>a(!1,y));break;case"scopes":f.body.scopes.forEach(y=>a(!1,y.source));break;case"setFunctionBreakpoints":f.body.breakpoints.forEach(y=>a(!1,y.source));break;case"setBreakpoints":f.body.breakpoints.forEach(y=>a(!1,y.source));break;default:break}break}}function u(o){return o.filter(a=>{var c;return!((c=a.presentation)===null||c===void 0?void 0:c.hidden)}).sort((a,c)=>a.presentation?c.presentation?a.presentation.group?c.presentation.group?a.presentation.group!==c.presentation.group?a.presentation.group.localeCompare(c.presentation.group):t(a.presentation.order,c.presentation.order):-1:c.presentation.group?1:t(a.presentation.order,c.presentation.order):-1:c.presentation?1:0)}e.getVisibleAndSorted=u;function t(o,a){return typeof o!="number"?typeof a!="number"?0:1:typeof a!="number"?-1:o-a}}),define(we[40],Ee([0,1,28,16,12,21,64]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var C;(function(k){k[k.Markdown=1]="Markdown",k[k.Code=2]="Code"})(C=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var D;(function(k){k[k.Running=1]="Running",k[k.Idle=2]="Idle"})(D=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,runnable:!0,cellEditable:!0,cellRunnable:!0,cellHasExecutionOrder:!0,displayOrder:e.NOTEBOOK_DISPLAY_ORDER,custom:{},runState:D.Idle,trusted:!0};var i;(function(k){k[k.Running=1]="Running",k[k.Idle=2]="Idle",k[k.Success=3]="Success",k[k.Error=4]="Error"})(i=e.NotebookCellRunState||(e.NotebookCellRunState={}));var P;(function(k){k[k.ModelChange=1]="ModelChange",k[k.Move=2]="Move",k[k.CellClearOutput=3]="CellClearOutput",k[k.CellsClearOutput=4]="CellsClearOutput",k[k.ChangeLanguage=5]="ChangeLanguage",k[k.Initialize=6]="Initialize",k[k.ChangeCellMetadata=7]="ChangeCellMetadata",k[k.Output=8]="Output",k[k.OutputItem=9]="OutputItem",k[k.ChangeCellContent=10]="ChangeCellContent",k[k.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",k[k.Unknown=12]="Unknown"})(P=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var I;(function(k){k[k.Handle=0]="Handle",k[k.Index=1]="Index"})(I=e.SelectionStateType||(e.SelectionStateType={}));var p;(function(k){k[k.Replace=1]="Replace",k[k.Output=2]="Output",k[k.Metadata=3]="Metadata",k[k.CellLanguage=4]="CellLanguage",k[k.DocumentMetadata=5]="DocumentMetadata",k[k.OutputsSplice=6]="OutputsSplice",k[k.Move=7]="Move",k[k.Unknown=8]="Unknown",k[k.CellContent=9]="CellContent",k[k.OutputItems=10]="OutputItems"})(p=e.CellEditType||(e.CellEditType={}));function d(k){const m=s.parse(k);return m?m.notebook.toString():k.toString()}e.getCellUndoRedoComparisonKey=d;var s;(function(k){k.scheme=S.Schemas.vscodeNotebookCell;const m=/^ch(\d{7,})/;function E(K,G){return K.with({scheme:k.scheme,fragment:`ch${G.toString().padStart(7,"0")}${K.scheme!==S.Schemas.file?K.scheme:""}`})}k.generate=E;function R(K){if(K.scheme===k.scheme){const G=m.exec(K.fragment);if(!!G)return{handle:Number(G[1]),notebook:K.with({scheme:K.fragment.substr(G[0].length)||S.Schemas.file,fragment:null})}}}k.parse=R;function F(K,G){return K.with({scheme:S.Schemas.vscodeNotebookCellMetadata,fragment:`ch${G.toString().padStart(7,"0")}${K.scheme!==S.Schemas.file?K.scheme:""}`})}k.generateCellMetadataUri=F;function $(K){if(K.scheme===S.Schemas.vscodeNotebookCellMetadata){const G=m.exec(K.fragment);if(!!G)return{handle:Number(G[1]),notebook:K.with({scheme:K.fragment.substr(G[0].length)||S.Schemas.file,fragment:null})}}}k.parseCellMetadataUri=$})(s=e.CellUri||(e.CellUri={}));const h=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function v(k){var m,E;return(E=(m=h.get(k))===null||m===void 0?void 0:m.alwaysSecure)!==null&&E!==void 0?E:!1}e.mimeTypeIsAlwaysSecure=v;function g(k){var m,E;return(E=(m=h.get(k))===null||m===void 0?void 0:m.supportedByCore)!==null&&E!==void 0?E:!1}e.mimeTypeSupportedByCore=g;function _(k,m){return A.isWindows&&(k=k.replace(/\//g,"\\"),m=m.replace(/\//g,"\\")),b.match(k,m)}function r(k,m,E,R){let F=0;for(let $=0;$<m.length;$++){if(_(m[$],k))return F;F++}for(let $=0;$<E.length;$++){if(_(E[$],k))return F;F++}for(let $=0;$<R.length;$++){if(_(R[$],k))return F;F++}return F}function l(k,m,E,R){return k.sort(($,K)=>r($,m,E,R)-r(K,m,E,R))}e.sortMimeTypes=l;function u(k,m,E,R=(F,$)=>F===$){const F=[];function $(H,ue,N){if(!(ue===0&&N.length===0)){const O=F[F.length-1];O&&O.start+O.deleteCount===H?(O.deleteCount+=ue,O.toInsert.push(...N)):F.push({start:H,deleteCount:ue,toInsert:N})}}let K=0,G=0;for(;;){if(K===k.length){$(K,0,m.slice(G));break}if(G===m.length){$(K,k.length-K,[]);break}const H=k[K],ue=m[G];if(R(H,ue)){K+=1,G+=1;continue}E(ue)?($(K,1,[]),K+=1):($(K,0,[ue]),G+=1)}return F}e.diff=u,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new w.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new w.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(k){k.default="default",k.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function o(k){const m=k;return!!((typeof m.include=="string"||b.isRelativePattern(m.include))&&(typeof m.exclude=="string"||b.isRelativePattern(m.exclude)))}e.isDocumentExcludePattern=o;function a(k,m,E){if(Array.isArray(k.viewType)&&k.viewType.indexOf(m)>=0||k.viewType===m)return!0;if(k.filenamePattern){let R=o(k.filenamePattern)?k.filenamePattern.include:k.filenamePattern,F=o(k.filenamePattern)?k.filenamePattern.exclude:void 0;if(b.match(R,T.basename(E.fsPath).toLowerCase()))return!(F&&b.match(F,T.basename(E.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=a;class c{constructor(m){this.textModel=m}getElements(){const m=new Int32Array(this.textModel.cells.length);for(let E=0;E<this.textModel.cells.length;E++)m[E]=this.textModel.cells[E].getHashValue();return m}}e.CellSequence=c,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var n;(function(k){k[k.LEFT=0]="LEFT",k[k.RIGHT=1]="RIGHT"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function f(k){const m=k.shift();return m===void 0?[]:k.reduce(function(E,R){return R<=E[0][1]?E[0][1]=R+1:E.unshift([R,R+1]),E},[[m,m+1]]).reverse().map(E=>({start:E[0],end:E[1]}))}e.cellIndexesToRanges=f;function y(k){return k.reduce((E,R)=>{for(let F=R.start;F<R.end;F++)E.push(F);return E},[])}e.cellRangesToIndexes=y});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[7],Ee([0,1,11,10,80,22,13,2,29,65,90,40]),function(oe,e,b,S,T,A,w,C,D,i,P,I){"use strict";var p,d,s,h,v,g,_,r,l,u,t,o,a,c,n,f;Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessageSeverity=e.TestRunState=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTrigger=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function y(U){function M(){return Reflect.construct(U,arguments,this.constructor)}return Object.defineProperty(M,"name",Object.getOwnPropertyDescriptor(U,"name")),Object.setPrototypeOf(M,U),Object.setPrototypeOf(M.prototype,U.prototype),M}let k=s=class{constructor(M){p.set(this,void 0),nt(this,p,M)}static from(...M){let ie=M;return new s(function(){if(ie){for(const De of ie)De&&typeof De.dispose=="function"&&De.dispose();ie=void 0}})}dispose(){typeof Be(this,p)=="function"&&(Be(this,p).call(this),nt(this,p,void 0))}};p=new WeakMap,k=s=Ke([y],k),e.Disposable=k;let m=h=class{constructor(M,ie){if(M<0)throw S.illegalArgument("line must be non-negative");if(ie<0)throw S.illegalArgument("character must be non-negative");this._line=M,this._character=ie}static Min(...M){if(M.length===0)throw new TypeError;let ie=M[0];for(let De=1;De<M.length;De++){const Ve=M[De];Ve.isBefore(ie)&&(ie=Ve)}return ie}static Max(...M){if(M.length===0)throw new TypeError;let ie=M[0];for(let De=1;De<M.length;De++){const Ve=M[De];Ve.isAfter(ie)&&(ie=Ve)}return ie}static isPosition(M){if(!M)return!1;if(M instanceof h)return!0;let{line:ie,character:De}=M;return typeof ie=="number"&&typeof De=="number"}get line(){return this._line}get character(){return this._character}isBefore(M){return this._line<M._line?!0:M._line<this._line?!1:this._character<M._character}isBeforeOrEqual(M){return this._line<M._line?!0:M._line<this._line?!1:this._character<=M._character}isAfter(M){return!this.isBeforeOrEqual(M)}isAfterOrEqual(M){return!this.isBefore(M)}isEqual(M){return this._line===M._line&&this._character===M._character}compareTo(M){return this._line<M._line?-1:this._line>M.line?1:this._character<M._character?-1:this._character>M._character?1:0}translate(M,ie=0){if(M===null||ie===null)throw S.illegalArgument();let De;return typeof M=="undefined"?De=0:typeof M=="number"?De=M:(De=typeof M.lineDelta=="number"?M.lineDelta:0,ie=typeof M.characterDelta=="number"?M.characterDelta:0),De===0&&ie===0?this:new h(this.line+De,this.character+ie)}with(M,ie=this.character){if(M===null||ie===null)throw S.illegalArgument();let De;return typeof M=="undefined"?De=this.line:typeof M=="number"?De=M:(De=typeof M.line=="number"?M.line:this.line,ie=typeof M.character=="number"?M.character:this.character),De===this.line&&ie===this.character?this:new h(De,ie)}toJSON(){return{line:this.line,character:this.character}}};m=h=Ke([y],m),e.Position=m;let E=v=class{constructor(M,ie,De,Ve){let Ze,Q;if(typeof M=="number"&&typeof ie=="number"&&typeof De=="number"&&typeof Ve=="number"?(Ze=new m(M,ie),Q=new m(De,Ve)):M instanceof m&&ie instanceof m&&(Ze=M,Q=ie),!Ze||!Q)throw new Error("Invalid arguments");Ze.isBefore(Q)?(this._start=Ze,this._end=Q):(this._start=Q,this._end=Ze)}static isRange(M){return M instanceof v?!0:M?m.isPosition(M.start)&&m.isPosition(M.end):!1}get start(){return this._start}get end(){return this._end}contains(M){return M instanceof v?this.contains(M._start)&&this.contains(M._end):M instanceof m?!(M.isBefore(this._start)||this._end.isBefore(M)):!1}isEqual(M){return this._start.isEqual(M._start)&&this._end.isEqual(M._end)}intersection(M){const ie=m.Max(M.start,this._start),De=m.Min(M.end,this._end);if(!ie.isAfter(De))return new v(ie,De)}union(M){if(this.contains(M))return this;if(M.contains(this))return M;const ie=m.Min(M.start,this._start),De=m.Max(M.end,this.end);return new v(ie,De)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(M,ie=this.end){if(M===null||ie===null)throw S.illegalArgument();let De;return M?m.isPosition(M)?De=M:(De=M.start||this.start,ie=M.end||this.end):De=this.start,De.isEqual(this._start)&&ie.isEqual(this.end)?this:new v(De,ie)}toJSON(){return[this.start,this.end]}};E=v=Ke([y],E),e.Range=E;let R=g=class extends E{constructor(M,ie,De,Ve){let Ze,Q;if(typeof M=="number"&&typeof ie=="number"&&typeof De=="number"&&typeof Ve=="number"?(Ze=new m(M,ie),Q=new m(De,Ve)):M instanceof m&&ie instanceof m&&(Ze=M,Q=ie),!Ze||!Q)throw new Error("Invalid arguments");super(Ze,Q);this._anchor=Ze,this._active=Q}static isSelection(M){return M instanceof g?!0:M?E.isRange(M)&&m.isPosition(M.anchor)&&m.isPosition(M.active)&&typeof M.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};R=g=Ke([y],R),e.Selection=R;class F{constructor(M,ie,De){if(typeof M!="string"||M.length===0)throw S.illegalArgument("host");if(typeof ie!="number"||ie===0||Math.round(ie)!==ie)throw S.illegalArgument("port");if(typeof De!="undefined"&&(typeof De!="string"||De.length===0||!/^[0-9A-Za-z\-]+$/.test(De)))throw S.illegalArgument("connectionToken");this.host=M,this.port=Math.round(ie),this.connectionToken=De}}e.ResolvedAuthority=F;class $ extends Error{constructor(M,ie=P.RemoteAuthorityResolverErrorCode.Unknown,De){super(M);this._message=M,this._code=ie,this._detail=De,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,$.prototype)}static NotAvailable(M,ie){return new $(M,P.RemoteAuthorityResolverErrorCode.NotAvailable,ie)}static TemporarilyNotAvailable(M){return new $(M,P.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=$;var K;(function(U){U[U.LF=1]="LF",U[U.CRLF=2]="CRLF"})(K=e.EndOfLine||(e.EndOfLine={}));var G;(function(U){U[U.Replace=1]="Replace",U[U.Append=2]="Append",U[U.Prepend=3]="Prepend"})(G=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let H=_=class{constructor(M,ie){this._range=M,this._newText=ie}static isTextEdit(M){return M instanceof _?!0:M?E.isRange(M)&&typeof M.newText=="string":!1}static replace(M,ie){return new _(M,ie)}static insert(M,ie){return _.replace(new E(M,M),ie)}static delete(M){return _.replace(M,"")}static setEndOfLine(M){const ie=new _(new E(new m(0,0),new m(0,0)),"");return ie.newEol=M,ie}get range(){return this._range}set range(M){if(M&&!E.isRange(M))throw S.illegalArgument("range");this._range=M}get newText(){return this._newText||""}set newText(M){if(M&&typeof M!="string")throw S.illegalArgument("newText");this._newText=M}get newEol(){return this._newEol}set newEol(M){if(M&&typeof M!="number")throw S.illegalArgument("newEol");this._newEol=M}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};H=_=Ke([y],H),e.TextEdit=H;var ue;(function(U){U[U.File=1]="File",U[U.Text=2]="Text",U[U.Cell=3]="Cell",U[U.CellOutput=4]="CellOutput",U[U.CellReplace=5]="CellReplace",U[U.CellOutputItem=6]="CellOutputItem"})(ue=e.FileEditType||(e.FileEditType={}));let N=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(M,ie,De,Ve){this._edits.push({_type:1,from:M,to:ie,options:De,metadata:Ve})}createFile(M,ie,De){this._edits.push({_type:1,from:void 0,to:M,options:ie,metadata:De})}deleteFile(M,ie,De){this._edits.push({_type:1,from:M,to:void 0,options:ie,metadata:De})}replaceNotebookMetadata(M,ie,De){this._edits.push({_type:3,metadata:De,uri:M,edit:{editType:5,metadata:Object.assign(Object.assign({},I.notebookDocumentMetadataDefaults),ie)},notebookMetadata:ie})}replaceNotebookCells(M,ie,De,Ve,Ze){(ie!==De||Ve.length>0)&&this._edits.push({_type:5,uri:M,index:ie,count:De-ie,cells:Ve,metadata:Ze})}replaceNotebookCellOutput(M,ie,De,Ve){this._editNotebookCellOutput(M,ie,!1,De,Ve)}appendNotebookCellOutput(M,ie,De,Ve){this._editNotebookCellOutput(M,ie,!0,De,Ve)}replaceNotebookCellOutputItems(M,ie,De,Ve,Ze){this._editNotebookCellOutputItems(M,ie,De,!1,Ve,Ze)}appendNotebookCellOutputItems(M,ie,De,Ve,Ze){this._editNotebookCellOutputItems(M,ie,De,!0,Ve,Ze)}_editNotebookCellOutputItems(M,ie,De,Ve,Ze,Q){this._edits.push({_type:6,metadata:Q,uri:M,index:ie,outputId:De,append:Ve,newOutputItems:Ze})}_editNotebookCellOutput(M,ie,De,Ve,Ze){this._edits.push({_type:4,metadata:Ze,uri:M,index:ie,append:De,newOutputs:Ve,newMetadata:void 0})}replaceNotebookCellMetadata(M,ie,De,Ve){this._edits.push({_type:3,metadata:Ve,uri:M,edit:{editType:3,index:ie,metadata:De}})}replace(M,ie,De,Ve){this._edits.push({_type:2,uri:M,edit:new H(ie,De),metadata:Ve})}insert(M,ie,De,Ve){this.replace(M,new E(ie,ie),De,Ve)}delete(M,ie,De){this.replace(M,ie,"",De)}has(M){return this._edits.some(ie=>ie._type===2&&ie.uri.toString()===M.toString())}set(M,ie){if(ie)for(const De of ie)De&&this._edits.push({_type:2,uri:M,edit:De});else{for(let De=0;De<this._edits.length;De++){const Ve=this._edits[De];Ve._type===2&&Ve.uri.toString()===M.toString()&&(this._edits[De]=void 0)}b.coalesceInPlace(this._edits)}}get(M){const ie=[];for(let De of this._edits)De._type===2&&De.uri.toString()===M.toString()&&ie.push(De.edit);return ie}entries(){const M=new A.ResourceMap;for(let ie of this._edits)if(ie._type===2){let De=M.get(ie.uri);De||(De=[ie.uri,[]],M.set(ie.uri,De)),De[1].push(ie.edit)}return[...M.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};N=Ke([y],N),e.WorkspaceEdit=N;let O=r=class{constructor(M){this._tabstop=1,this.value=M||""}static isSnippetString(M){return M instanceof r?!0:M?typeof M.value=="string":!1}static _escape(M){return M.replace(/\$|}|\\/g,"\\$&")}appendText(M){return this.value+=r._escape(M),this}appendTabstop(M=this._tabstop++){return this.value+="$",this.value+=M,this}appendPlaceholder(M,ie=this._tabstop++){if(typeof M=="function"){const De=new r;De._tabstop=this._tabstop,M(De),this._tabstop=De._tabstop,M=De.value}else M=r._escape(M);return this.value+="${",this.value+=ie,this.value+=":",this.value+=M,this.value+="}",this}appendChoice(M,ie=this._tabstop++){const De=M.map(Ve=>Ve.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ie,this.value+="|",this.value+=De,this.value+="|}",this}appendVariable(M,ie){if(typeof ie=="function"){const De=new r;De._tabstop=this._tabstop,ie(De),this._tabstop=De._tabstop,ie=De.value}else typeof ie=="string"&&(ie=ie.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=M,ie&&(this.value+=":",this.value+=ie),this.value+="}",this}};O=r=Ke([y],O),e.SnippetString=O;var x;(function(U){U[U.Unnecessary=1]="Unnecessary",U[U.Deprecated=2]="Deprecated"})(x=e.DiagnosticTag||(e.DiagnosticTag={}));var L;(function(U){U[U.Hint=3]="Hint",U[U.Information=2]="Information",U[U.Warning=1]="Warning",U[U.Error=0]="Error"})(L=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let z=l=class{constructor(M,ie){if(this.uri=M,ie)if(ie instanceof E)this.range=ie;else if(ie instanceof m)this.range=new E(ie,ie);else throw new Error("Illegal argument")}static isLocation(M){return M instanceof l?!0:M?E.isRange(M.range)&&C.URI.isUri(M.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};z=l=Ke([y],z),e.Location=z;let ae=class{constructor(M,ie){this.location=M,this.message=ie}static is(M){return M?typeof M.message=="string"&&M.location&&E.isRange(M.location.range)&&C.URI.isUri(M.location.uri):!1}static isEqual(M,ie){return M===ie?!0:!M||!ie?!1:M.message===ie.message&&M.location.range.isEqual(ie.location.range)&&M.location.uri.toString()===ie.location.uri.toString()}};ae=Ke([y],ae),e.DiagnosticRelatedInformation=ae;let re=class{constructor(M,ie,De=L.Error){if(!E.isRange(M))throw new TypeError("range must be set");if(!ie)throw new TypeError("message must be set");this.range=M,this.message=ie,this.severity=De}toJSON(){return{severity:L[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(M,ie){return M===ie?!0:!M||!ie?!1:M.message===ie.message&&M.severity===ie.severity&&M.code===ie.code&&M.severity===ie.severity&&M.source===ie.source&&M.range.isEqual(ie.range)&&b.equals(M.tags,ie.tags)&&b.equals(M.relatedInformation,ie.relatedInformation,ae.isEqual)}};re=Ke([y],re),e.Diagnostic=re;let de=class{constructor(M,ie){if(!M)throw new Error("Illegal argument, contents must be defined");Array.isArray(M)?this.contents=M:T.isMarkdownString(M)?this.contents=[M]:this.contents=[M],this.range=ie}};de=Ke([y],de),e.Hover=de;var fe;(function(U){U[U.Text=0]="Text",U[U.Read=1]="Read",U[U.Write=2]="Write"})(fe=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Ae=class{constructor(M,ie=fe.Text){this.range=M,this.kind=ie}toJSON(){return{range:this.range,kind:fe[this.kind]}}};Ae=Ke([y],Ae),e.DocumentHighlight=Ae;var je;(function(U){U[U.File=0]="File",U[U.Module=1]="Module",U[U.Namespace=2]="Namespace",U[U.Package=3]="Package",U[U.Class=4]="Class",U[U.Method=5]="Method",U[U.Property=6]="Property",U[U.Field=7]="Field",U[U.Constructor=8]="Constructor",U[U.Enum=9]="Enum",U[U.Interface=10]="Interface",U[U.Function=11]="Function",U[U.Variable=12]="Variable",U[U.Constant=13]="Constant",U[U.String=14]="String",U[U.Number=15]="Number",U[U.Boolean=16]="Boolean",U[U.Array=17]="Array",U[U.Object=18]="Object",U[U.Key=19]="Key",U[U.Null=20]="Null",U[U.EnumMember=21]="EnumMember",U[U.Struct=22]="Struct",U[U.Event=23]="Event",U[U.Operator=24]="Operator",U[U.TypeParameter=25]="TypeParameter"})(je=e.SymbolKind||(e.SymbolKind={}));var Te;(function(U){U[U.Deprecated=1]="Deprecated"})(Te=e.SymbolTag||(e.SymbolTag={}));let xe=u=class{constructor(M,ie,De,Ve,Ze){this.name=M,this.kind=ie,this.containerName=Ze,typeof De=="string"&&(this.containerName=De),Ve instanceof z?this.location=Ve:De instanceof E&&(this.location=new z(Ve,De)),u.validate(this)}static validate(M){if(!M.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:je[this.kind],location:this.location,containerName:this.containerName}}};xe=u=Ke([y],xe),e.SymbolInformation=xe;let W=t=class{constructor(M,ie,De,Ve,Ze){this.name=M,this.detail=ie,this.kind=De,this.range=Ve,this.selectionRange=Ze,this.children=[],t.validate(this)}static validate(M){if(!M.name)throw new Error("name must not be falsy");if(!M.range.contains(M.selectionRange))throw new Error("selectionRange must be contained in fullRange");M.children&&M.children.forEach(t.validate)}};W=t=Ke([y],W),e.DocumentSymbol=W;var J;(function(U){U[U.Automatic=1]="Automatic",U[U.Manual=2]="Manual"})(J=e.CodeActionTrigger||(e.CodeActionTrigger={}));let ee=class{constructor(M,ie){this.title=M,this.kind=ie}};ee=Ke([y],ee),e.CodeAction=ee;let te=o=class{constructor(M){this.value=M}append(M){return new o(this.value?this.value+o.sep+M:M)}intersects(M){return this.contains(M)||M.contains(this)}contains(M){return this.value===M.value||M.value.startsWith(this.value+o.sep)}};te.sep=".",te=o=Ke([y],te),e.CodeActionKind=te,te.Empty=new te(""),te.QuickFix=te.Empty.append("quickfix"),te.Refactor=te.Empty.append("refactor"),te.RefactorExtract=te.Refactor.append("extract"),te.RefactorInline=te.Refactor.append("inline"),te.RefactorRewrite=te.Refactor.append("rewrite"),te.Source=te.Empty.append("source"),te.SourceOrganizeImports=te.Source.append("organizeImports"),te.SourceFixAll=te.Source.append("fixAll");let me=class{constructor(M,ie){if(this.range=M,this.parent=ie,ie&&!ie.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};me=Ke([y],me),e.SelectionRange=me;class Ce{constructor(M,ie,De,Ve,Ze,Q){this.kind=M,this.name=ie,this.detail=De,this.uri=Ve,this.range=Ze,this.selectionRange=Q}}e.CallHierarchyItem=Ce;class Oe{constructor(M,ie){this.fromRanges=ie,this.from=M}}e.CallHierarchyIncomingCall=Oe;class ge{constructor(M,ie){this.fromRanges=ie,this.to=M}}e.CallHierarchyOutgoingCall=ge;let ke=class{constructor(M,ie){this.range=M,this.command=ie}get isResolved(){return!!this.command}};ke=Ke([y],ke),e.CodeLens=ke;let Pe=a=class{constructor(M,ie=!1){d.set(this,void 0),nt(this,d,new T.MarkdownString(M,{supportThemeIcons:ie}))}static isMarkdownString(M){return M instanceof a?!0:M&&M.appendCodeblock&&M.appendMarkdown&&M.appendText&&M.value!==void 0}get value(){return Be(this,d).value}set value(M){Be(this,d).value=M}get isTrusted(){return Be(this,d).isTrusted}set isTrusted(M){Be(this,d).isTrusted=M}get supportThemeIcons(){return Be(this,d).supportThemeIcons}appendText(M){return Be(this,d).appendText(M),this}appendMarkdown(M){return Be(this,d).appendMarkdown(M),this}appendCodeblock(M,ie){return Be(this,d).appendCodeblock(ie!=null?ie:"",M),this}};d=new WeakMap,Pe=a=Ke([y],Pe),e.MarkdownString=Pe;let $e=class{constructor(M,ie){this.label=M,this.documentation=ie}};$e=Ke([y],$e),e.ParameterInformation=$e;let _e=class{constructor(M,ie){this.label=M,this.documentation=ie,this.parameters=[]}};_e=Ke([y],_e),e.SignatureInformation=_e;let Ge=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ge=Ke([y],Ge),e.SignatureHelp=Ge;var V;(function(U){U[U.Invoke=1]="Invoke",U[U.TriggerCharacter=2]="TriggerCharacter",U[U.ContentChange=3]="ContentChange"})(V=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var X;(function(U){U[U.Other=0]="Other",U[U.Type=1]="Type",U[U.Parameter=2]="Parameter"})(X=e.InlineHintKind||(e.InlineHintKind={}));let ve=class{constructor(M,ie,De){this.text=M,this.range=ie,this.kind=De}};ve=Ke([y],ve),e.InlineHint=ve;var Me;(function(U){U[U.Invoke=0]="Invoke",U[U.TriggerCharacter=1]="TriggerCharacter",U[U.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Me=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var We;(function(U){U[U.Text=0]="Text",U[U.Method=1]="Method",U[U.Function=2]="Function",U[U.Constructor=3]="Constructor",U[U.Field=4]="Field",U[U.Variable=5]="Variable",U[U.Class=6]="Class",U[U.Interface=7]="Interface",U[U.Module=8]="Module",U[U.Property=9]="Property",U[U.Unit=10]="Unit",U[U.Value=11]="Value",U[U.Enum=12]="Enum",U[U.Keyword=13]="Keyword",U[U.Snippet=14]="Snippet",U[U.Color=15]="Color",U[U.File=16]="File",U[U.Reference=17]="Reference",U[U.Folder=18]="Folder",U[U.EnumMember=19]="EnumMember",U[U.Constant=20]="Constant",U[U.Struct=21]="Struct",U[U.Event=22]="Event",U[U.Operator=23]="Operator",U[U.TypeParameter=24]="TypeParameter",U[U.User=25]="User",U[U.Issue=26]="Issue"})(We=e.CompletionItemKind||(e.CompletionItemKind={}));var Ue;(function(U){U[U.Deprecated=1]="Deprecated"})(Ue=e.CompletionItemTag||(e.CompletionItemTag={}));let et=class{constructor(M,ie){this.label=M,this.kind=ie}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&We[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};et=Ke([y],et),e.CompletionItem=et;let B=class{constructor(M=[],ie=!1){this.items=M,this.isIncomplete=ie}};B=Ke([y],B),e.CompletionList=B;var Z;(function(U){U[U.Active=-1]="Active",U[U.Beside=-2]="Beside",U[U.One=1]="One",U[U.Two=2]="Two",U[U.Three=3]="Three",U[U.Four=4]="Four",U[U.Five=5]="Five",U[U.Six=6]="Six",U[U.Seven=7]="Seven",U[U.Eight=8]="Eight",U[U.Nine=9]="Nine"})(Z=e.ViewColumn||(e.ViewColumn={}));var ce;(function(U){U[U.Left=1]="Left",U[U.Right=2]="Right"})(ce=e.StatusBarAlignment||(e.StatusBarAlignment={}));var j;(function(U){U[U.Off=0]="Off",U[U.On=1]="On",U[U.Relative=2]="Relative"})(j=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Y;(function(U){U[U.Manual=1]="Manual",U[U.AfterDelay=2]="AfterDelay",U[U.FocusOut=3]="FocusOut"})(Y=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var le;(function(U){U[U.Default=0]="Default",U[U.InCenter=1]="InCenter",U[U.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",U[U.AtTop=3]="AtTop"})(le=e.TextEditorRevealType||(e.TextEditorRevealType={}));var he;(function(U){U[U.Keyboard=1]="Keyboard",U[U.Mouse=2]="Mouse",U[U.Command=3]="Command"})(he=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var be;(function(U){U[U.OpenOpen=0]="OpenOpen",U[U.ClosedClosed=1]="ClosedClosed",U[U.OpenClosed=2]="OpenClosed",U[U.ClosedOpen=3]="ClosedOpen"})(be=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(U){function M(ie){switch(ie){case"keyboard":return U.Keyboard;case"mouse":return U.Mouse;case"api":return U.Command}}U.fromValue=M}(he=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let He=class{constructor(M,ie){if(ie&&!C.URI.isUri(ie))throw S.illegalArgument("target");if(!E.isRange(M)||M.isEmpty)throw S.illegalArgument("range");this.range=M,this.target=ie}};He=Ke([y],He),e.DocumentLink=He;let Ne=class{constructor(M,ie,De,Ve){this.red=M,this.green=ie,this.blue=De,this.alpha=Ve}};Ne=Ke([y],Ne),e.Color=Ne;let ze=class{constructor(M,ie){if(ie&&!(ie instanceof Ne))throw S.illegalArgument("color");if(!E.isRange(M)||M.isEmpty)throw S.illegalArgument("range");this.range=M,this.color=ie}};ze=Ke([y],ze),e.ColorInformation=ze;let Je=class{constructor(M){if(!M||typeof M!="string")throw S.illegalArgument("label");this.label=M}};Je=Ke([y],Je),e.ColorPresentation=Je;var Xe;(function(U){U[U.RGB=0]="RGB",U[U.HEX=1]="HEX",U[U.HSL=2]="HSL"})(Xe=e.ColorFormat||(e.ColorFormat={}));var pe;(function(U){U[U.Error=0]="Error",U[U.Warning=1]="Warning",U[U.Information=2]="Information"})(pe=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var Se;(function(U){U[U.Always=1]="Always",U[U.Silent=2]="Silent",U[U.Never=3]="Never"})(Se=e.TaskRevealKind||(e.TaskRevealKind={}));var se;(function(U){U[U.Shared=1]="Shared",U[U.Dedicated=2]="Dedicated",U[U.New=3]="New"})(se=e.TaskPanelKind||(e.TaskPanelKind={}));let q=c=class{constructor(M,ie){if(typeof M!="string"||typeof ie!="string")throw S.illegalArgument("name");this._id=M}static from(M){switch(M){case"clean":return c.Clean;case"build":return c.Build;case"rebuild":return c.Rebuild;case"test":return c.Test;default:return}}get id(){return this._id}};q.Clean=new c("clean","Clean"),q.Build=new c("build","Build"),q.Rebuild=new c("rebuild","Rebuild"),q.Test=new c("test","Test"),q=c=Ke([y],q),e.TaskGroup=q;function Re(U){let M="";for(let ie=0;ie<U.length;ie++)M+=U[ie].replace(/,/g,",,")+",";return M}let Le=class{constructor(M,ie,De){if(typeof M!="string")throw S.illegalArgument("process");this._args=[],this._process=M,ie!==void 0&&(Array.isArray(ie)?(this._args=ie,this._options=De):this._options=ie)}get process(){return this._process}set process(M){if(typeof M!="string")throw S.illegalArgument("process");this._process=M}get args(){return this._args}set args(M){Array.isArray(M)||(M=[]),this._args=M}get options(){return this._options}set options(M){this._options=M}computeId(){const M=[];if(M.push("process"),this._process!==void 0&&M.push(this._process),this._args&&this._args.length>0)for(let ie of this._args)M.push(ie);return Re(M)}};Le=Ke([y],Le),e.ProcessExecution=Le;let Ye=class{constructor(M,ie,De){if(this._args=[],Array.isArray(ie)){if(!M)throw S.illegalArgument("command can't be undefined or null");if(typeof M!="string"&&typeof M.value!="string")throw S.illegalArgument("command");this._command=M,this._args=ie,this._options=De}else{if(typeof M!="string")throw S.illegalArgument("commandLine");this._commandLine=M,this._options=ie}}get commandLine(){return this._commandLine}set commandLine(M){if(typeof M!="string")throw S.illegalArgument("commandLine");this._commandLine=M}get command(){return this._command?this._command:""}set command(M){if(typeof M!="string"&&typeof M.value!="string")throw S.illegalArgument("command");this._command=M}get args(){return this._args}set args(M){this._args=M||[]}get options(){return this._options}set options(M){this._options=M}computeId(){const M=[];if(M.push("shell"),this._commandLine!==void 0&&M.push(this._commandLine),this._command!==void 0&&M.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ie of this._args)M.push(typeof ie=="string"?ie:ie.value);return Re(M)}};Ye=Ke([y],Ye),e.ShellExecution=Ye;var Ie;(function(U){U[U.Escape=1]="Escape",U[U.Strong=2]="Strong",U[U.Weak=3]="Weak"})(Ie=e.ShellQuoting||(e.ShellQuoting={}));var st;(function(U){U[U.Global=1]="Global",U[U.Workspace=2]="Workspace"})(st=e.TaskScope||(e.TaskScope={}));class rt{constructor(M){this._callback=M}computeId(){return"customExecution"+D.generateUuid()}set callback(M){this._callback=M}get callback(){return this._callback}}e.CustomExecution=rt;let qe=n=class{constructor(M,ie,De,Ve,Ze,Q){this.__deprecated=!1,this._definition=this.definition=M;let ne;typeof ie=="string"?(this._name=this.name=ie,this._source=this.source=De,this.execution=Ve,ne=Ze,this.__deprecated=!0):ie===st.Global||ie===st.Workspace?(this.target=ie,this._name=this.name=De,this._source=this.source=Ve,this.execution=Ze,ne=Q):(this.target=ie,this._name=this.name=De,this._source=this.source=Ve,this.execution=Ze,ne=Q),typeof ne=="string"?(this._problemMatchers=[ne],this._hasDefinedMatchers=!0):Array.isArray(ne)?(this._problemMatchers=ne,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(M){this.__id=M}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof Le?this._definition={type:n.ProcessType,id:this._execution.computeId()}:this._execution instanceof Ye?this._definition={type:n.ShellType,id:this._execution.computeId()}:this._execution instanceof rt?this._definition={type:n.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:n.EmptyType,id:D.generateUuid()}}get definition(){return this._definition}set definition(M){if(M==null)throw S.illegalArgument("Kind can't be undefined or null");this.clear(),this._definition=M}get scope(){return this._scope}set target(M){this.clear(),this._scope=M}get name(){return this._name}set name(M){if(typeof M!="string")throw S.illegalArgument("name");this.clear(),this._name=M}get execution(){return this._execution}set execution(M){M===null&&(M=void 0),this.clear(),this._execution=M;const ie=this._definition.type;(n.EmptyType===ie||n.ProcessType===ie||n.ShellType===ie||n.ExtensionCallbackType===ie)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(M){if(Array.isArray(M))this.clear(),this._problemMatchers=M,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(M){M!==!0&&M!==!1&&(M=!1),this.clear(),this._isBackground=M}get source(){return this._source}set source(M){if(typeof M!="string"||M.length===0)throw S.illegalArgument("source must be a string of length > 0");this.clear(),this._source=M}get group(){return this._group}set group(M){M===null&&(M=void 0),this.clear(),this._group=M}get detail(){return this._detail}set detail(M){M===null&&(M=void 0),this._detail=M}get presentationOptions(){return this._presentationOptions}set presentationOptions(M){M==null&&(M=Object.create(null)),this.clear(),this._presentationOptions=M}get runOptions(){return this._runOptions}set runOptions(M){M==null&&(M=Object.create(null)),this.clear(),this._runOptions=M}};qe.ExtensionCallbackType="customExecution",qe.ProcessType="process",qe.ShellType="shell",qe.EmptyType="$empty",qe=n=Ke([y],qe),e.Task=qe;var ut;(function(U){U[U.SourceControl=1]="SourceControl",U[U.Window=10]="Window",U[U.Notification=15]="Notification"})(ut=e.ProgressLocation||(e.ProgressLocation={}));let dt=class{constructor(M,ie=ht.None){this.collapsibleState=ie,C.URI.isUri(M)?this.resourceUri=M:this.label=M}};dt=Ke([y],dt),e.TreeItem=dt;var ht;(function(U){U[U.None=0]="None",U[U.Collapsed=1]="Collapsed",U[U.Expanded=2]="Expanded"})(ht=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let vt=class{constructor(M,ie){this.id=M,this.color=ie}};vt=Ke([y],vt),e.ThemeIcon=vt,vt.File=new vt("file"),vt.Folder=new vt("folder");let yt=class{constructor(M){this.id=M}};yt=Ke([y],yt),e.ThemeColor=yt;var St;(function(U){U[U.Global=1]="Global",U[U.Workspace=2]="Workspace",U[U.WorkspaceFolder=3]="WorkspaceFolder"})(St=e.ConfigurationTarget||(e.ConfigurationTarget={}));let gt=class{constructor(M,ie){if(typeof M!="string"&&(!M||!C.URI.isUri(M)&&!C.URI.isUri(M.uri)))throw S.illegalArgument("base");if(typeof ie!="string")throw S.illegalArgument("pattern");typeof M=="string"?(this.baseFolder=C.URI.file(M),this.base=M):C.URI.isUri(M)?(this.baseFolder=M,this.base=M.fsPath):(this.baseFolder=M.uri,this.base=M.uri.fsPath),this.pattern=ie}};gt=Ke([y],gt),e.RelativePattern=gt;let mt=class{constructor(M,ie,De,Ve){this.enabled=typeof M=="boolean"?M:!0,typeof ie=="string"&&(this.condition=ie),typeof De=="string"&&(this.hitCondition=De),typeof Ve=="string"&&(this.logMessage=Ve)}get id(){return this._id||(this._id=D.generateUuid()),this._id}};mt=Ke([y],mt),e.Breakpoint=mt;let ct=class extends mt{constructor(M,ie,De,Ve,Ze){super(ie,De,Ve,Ze);if(M===null)throw S.illegalArgument("location");this.location=M}};ct=Ke([y],ct),e.SourceBreakpoint=ct;let _t=class extends mt{constructor(M,ie,De,Ve,Ze){super(ie,De,Ve,Ze);this.functionName=M}};_t=Ke([y],_t),e.FunctionBreakpoint=_t;let pt=class extends mt{constructor(M,ie,De,Ve,Ze,Q,ne){super(Ve,Ze,Q,ne);if(!ie)throw S.illegalArgument("dataId");this.label=M,this.dataId=ie,this.canPersist=De}};pt=Ke([y],pt),e.DataBreakpoint=pt;let Tt=class{constructor(M,ie,De){this.command=M,this.args=ie||[],this.options=De}};Tt=Ke([y],Tt),e.DebugAdapterExecutable=Tt;let It=class{constructor(M,ie){this.port=M,this.host=ie}};It=Ke([y],It),e.DebugAdapterServer=It;let kt=class{constructor(M){this.path=M}};kt=Ke([y],kt),e.DebugAdapterNamedPipeServer=kt;let wt=class{constructor(M){this.implementation=M}};wt=Ke([y],wt),e.DebugAdapterInlineImplementation=wt;let Bt=class{constructor(M,ie){this.range=M,this.expression=ie}};Bt=Ke([y],Bt),e.EvaluatableExpression=Bt;let xt=class{constructor(M,ie){this.range=M,this.text=ie}};xt=Ke([y],xt),e.InlineValueText=xt;let at=class{constructor(M,ie,De=!0){this.range=M,this.variableName=ie,this.caseSensitiveLookup=De}};at=Ke([y],at),e.InlineValueVariableLookup=at;let Et=class{constructor(M,ie){this.range=M,this.expression=ie}};Et=Ke([y],Et),e.InlineValueEvaluatableExpression=Et;let Wt=class{constructor(M){this.stoppedLocation=M}};Wt=Ke([y],Wt),e.InlineValueContext=Wt;var an;(function(U){U[U.Changed=1]="Changed",U[U.Created=2]="Created",U[U.Deleted=3]="Deleted"})(an=e.FileChangeType||(e.FileChangeType={}));let Rt=f=class extends Error{constructor(M,ie=i.FileSystemProviderErrorCode.Unknown,De){var Ve;super(C.URI.isUri(M)?M.toString(!0):M);this.code=(Ve=De==null?void 0:De.name)!==null&&Ve!==void 0?Ve:"Unknown",i.markAsFileSystemProviderError(this,ie),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,f.prototype),typeof Error.captureStackTrace=="function"&&typeof De=="function"&&Error.captureStackTrace(this,De)}static FileExists(M){return new f(M,i.FileSystemProviderErrorCode.FileExists,f.FileExists)}static FileNotFound(M){return new f(M,i.FileSystemProviderErrorCode.FileNotFound,f.FileNotFound)}static FileNotADirectory(M){return new f(M,i.FileSystemProviderErrorCode.FileNotADirectory,f.FileNotADirectory)}static FileIsADirectory(M){return new f(M,i.FileSystemProviderErrorCode.FileIsADirectory,f.FileIsADirectory)}static NoPermissions(M){return new f(M,i.FileSystemProviderErrorCode.NoPermissions,f.NoPermissions)}static Unavailable(M){return new f(M,i.FileSystemProviderErrorCode.Unavailable,f.Unavailable)}};Rt=f=Ke([y],Rt),e.FileSystemError=Rt;let ot=class{constructor(M,ie,De){this.start=M,this.end=ie,this.kind=De}};ot=Ke([y],ot),e.FoldingRange=ot;var ln;(function(U){U[U.Comment=1]="Comment",U[U.Imports=2]="Imports",U[U.Region=3]="Region"})(ln=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Pt;(function(U){U[U.Collapsed=0]="Collapsed",U[U.Expanded=1]="Expanded"})(Pt=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Ot;(function(U){U[U.Editing=0]="Editing",U[U.Preview=1]="Preview"})(Ot=e.CommentMode||(e.CommentMode={}));class Jt{constructor(M,ie=[]){this.tokenTypes=M,this.tokenModifiers=ie}}e.SemanticTokensLegend=Jt;function un(U){return typeof U=="undefined"||w.isStringArray(U)}class $t{constructor(M){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,M){this._hasLegend=!0;for(let ie=0,De=M.tokenTypes.length;ie<De;ie++)this._tokenTypeStrToInt.set(M.tokenTypes[ie],ie);for(let ie=0,De=M.tokenModifiers.length;ie<De;ie++)this._tokenModifierStrToInt.set(M.tokenModifiers[ie],ie)}}push(M,ie,De,Ve,Ze){if(typeof M=="number"&&typeof ie=="number"&&typeof De=="number"&&typeof Ve=="number"&&(typeof Ze=="number"||typeof Ze=="undefined"))return typeof Ze=="undefined"&&(Ze=0),this._pushEncoded(M,ie,De,Ve,Ze);if(E.isRange(M)&&typeof ie=="string"&&un(De))return this._push(M,ie,De);throw S.illegalArgument()}_push(M,ie,De){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(M.start.line!==M.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ie))throw new Error("`tokenType` is not in the provided legend");const Ve=M.start.line,Ze=M.start.character,Q=M.end.character-M.start.character,ne=this._tokenTypeStrToInt.get(ie);let ye=0;if(De)for(const tt of De){if(!this._tokenModifierStrToInt.has(tt))throw new Error("`tokenModifier` is not in the provided legend");const it=this._tokenModifierStrToInt.get(tt);ye|=1<<it>>>0}this._pushEncoded(Ve,Ze,Q,ne,ye)}_pushEncoded(M,ie,De,Ve,Ze){if(this._dataIsSortedAndDeltaEncoded&&(M<this._prevLine||M===this._prevLine&&ie<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const ye=this._data.length/5|0;let tt=0,it=0;for(let lt=0;lt<ye;lt++){let bt=this._data[5*lt],Dt=this._data[5*lt+1];bt===0?(bt=tt,Dt+=it):bt+=tt,this._data[5*lt]=bt,this._data[5*lt+1]=Dt,tt=bt,it=Dt}}let Q=M,ne=ie;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(Q-=this._prevLine,Q===0&&(ne-=this._prevChar)),this._data[this._dataLen++]=Q,this._data[this._dataLen++]=ne,this._data[this._dataLen++]=De,this._data[this._dataLen++]=Ve,this._data[this._dataLen++]=Ze,this._prevLine=M,this._prevChar=ie}static _sortAndDeltaEncode(M){let ie=[];const De=M.length/5|0;for(let ne=0;ne<De;ne++)ie[ne]=ne;ie.sort((ne,ye)=>{const tt=M[5*ne],it=M[5*ye];if(tt===it){const lt=M[5*ne+1],bt=M[5*ye+1];return lt-bt}return tt-it});const Ve=new Uint32Array(M.length);let Ze=0,Q=0;for(let ne=0;ne<De;ne++){const ye=5*ie[ne],tt=M[ye+0],it=M[ye+1],lt=M[ye+2],bt=M[ye+3],Dt=M[ye+4],En=tt-Ze,kn=En===0?it-Q:it,Qt=5*ne;Ve[Qt+0]=En,Ve[Qt+1]=kn,Ve[Qt+2]=lt,Ve[Qt+3]=bt,Ve[Qt+4]=Dt,Ze=tt,Q=it}return Ve}build(M){return this._dataIsSortedAndDeltaEncoded?new Ht(new Uint32Array(this._data),M):new Ht($t._sortAndDeltaEncode(this._data),M)}}e.SemanticTokensBuilder=$t;class Ht{constructor(M,ie){this.resultId=ie,this.data=M}}e.SemanticTokens=Ht;class Yt{constructor(M,ie,De){this.start=M,this.deleteCount=ie,this.data=De}}e.SemanticTokensEdit=Yt;class Ft{constructor(M,ie){this.resultId=ie,this.edits=M}}e.SemanticTokensEdits=Ft;var cn;(function(U){U[U.Separate=0]="Separate",U[U.MergeWithParent=1]="MergeWithParent"})(cn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var zt;(function(U){U[U.Initial=1]="Initial",U[U.Dynamic=2]="Dynamic"})(zt=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Lt=class{constructor(){}};Lt.Back={iconPath:new vt("arrow-left")},Lt=Ke([y],Lt),e.QuickInputButtons=Lt;var dn;(function(U){U[U.UI=1]="UI",U[U.Workspace=2]="Workspace"})(dn=e.ExtensionKind||(e.ExtensionKind={}));class hn{constructor(M,ie,De){this.badge=M,this.tooltip=ie,this.color=De}static validate(M){if(M.badge&&M.badge.length!==1&&M.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!M.color&&!M.badge&&!M.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=hn;let Ct=class{constructor(M){this.kind=M}};Ct=Ke([y],Ct),e.ColorTheme=Ct;var fn;(function(U){U[U.Light=1]="Light",U[U.Dark=2]="Dark",U[U.HighContrast=3]="HighContrast"})(fn=e.ColorThemeKind||(e.ColorThemeKind={}));class mn{constructor(M,ie){this._start=M,this._end=ie}get start(){return this._start}get end(){return this._end}}e.NotebookCellRange=mn;class Vt{constructor(M,ie,De,Ve,Ze,Q,ne,ye,tt,it,lt,bt){this.editable=M,this.breakpointMargin=ie,this.runnable=De,this.hasExecutionOrder=Ve,this.executionOrder=Ze,this.runState=Q,this.runStartTime=ne,this.statusMessage=ye,this.lastRunDuration=tt,this.inputCollapsed=it,this.outputCollapsed=lt,this.custom=bt}with(M){let{editable:ie,breakpointMargin:De,runnable:Ve,hasExecutionOrder:Ze,executionOrder:Q,runState:ne,runStartTime:ye,statusMessage:tt,lastRunDuration:it,inputCollapsed:lt,outputCollapsed:bt,custom:Dt}=M;return ie===void 0?ie=this.editable:ie===null&&(ie=void 0),De===void 0?De=this.breakpointMargin:De===null&&(De=void 0),Ve===void 0?Ve=this.runnable:Ve===null&&(Ve=void 0),Ze===void 0?Ze=this.hasExecutionOrder:Ze===null&&(Ze=void 0),Q===void 0?Q=this.executionOrder:Q===null&&(Q=void 0),ne===void 0?ne=this.runState:ne===null&&(ne=void 0),ye===void 0?ye=this.runStartTime:ye===null&&(ye=void 0),tt===void 0?tt=this.statusMessage:tt===null&&(tt=void 0),it===void 0?it=this.lastRunDuration:it===null&&(it=void 0),lt===void 0?lt=this.inputCollapsed:lt===null&&(lt=void 0),bt===void 0?bt=this.outputCollapsed:bt===null&&(bt=void 0),Dt===void 0?Dt=this.custom:Dt===null&&(Dt=void 0),ie===this.editable&&De===this.breakpointMargin&&Ve===this.runnable&&Ze===this.hasExecutionOrder&&Q===this.executionOrder&&ne===this.runState&&ye===this.runStartTime&&tt===this.statusMessage&&it===this.lastRunDuration&&lt===this.inputCollapsed&&bt===this.outputCollapsed&&Dt===this.custom?this:new Vt(ie,De,Ve,Ze,Q,ne,ye,tt,it,lt,bt,Dt)}}e.NotebookCellMetadata=Vt;class jt{constructor(M=!0,ie=!0,De=!0,Ve=!0,Ze=!0,Q=I.NOTEBOOK_DISPLAY_ORDER,ne={},ye=Fe.Idle,tt=!0){this.editable=M,this.runnable=ie,this.cellEditable=De,this.cellRunnable=Ve,this.cellHasExecutionOrder=Ze,this.displayOrder=Q,this.custom=ne,this.runState=ye,this.trusted=tt}with(M){let{editable:ie,runnable:De,cellEditable:Ve,cellRunnable:Ze,cellHasExecutionOrder:Q,displayOrder:ne,custom:ye,runState:tt,trusted:it}=M;return ie===void 0?ie=this.editable:ie===null&&(ie=void 0),De===void 0?De=this.runnable:De===null&&(De=void 0),Ve===void 0?Ve=this.cellEditable:Ve===null&&(Ve=void 0),Ze===void 0?Ze=this.cellRunnable:Ze===null&&(Ze=void 0),Q===void 0?Q=this.cellHasExecutionOrder:Q===null&&(Q=void 0),ne===void 0?ne=this.displayOrder:ne===null&&(ne=void 0),ye===void 0?ye=this.custom:ye===null&&(ye=void 0),tt===void 0?tt=this.runState:tt===null&&(tt=void 0),it===void 0?it=this.trusted:it===null&&(it=void 0),ie===this.editable&&De===this.runnable&&Ve===this.cellEditable&&Ze===this.cellRunnable&&Q===this.cellHasExecutionOrder&&ne===this.displayOrder&&ye===this.custom&&tt===this.runState&&it===this.trusted?this:new jt(ie,De,Ve,Ze,Q,ne,ye,tt,it)}}e.NotebookDocumentMetadata=jt;class Nt{constructor(M,ie,De){this.mime=M,this.value=ie,this.metadata=De}static isNotebookCellOutputItem(M){return M instanceof Nt}}e.NotebookCellOutputItem=Nt;class Xt{constructor(M,ie,De){this.outputs=M,typeof ie=="string"?(this.id=ie,this.metadata=De):(this.id=D.generateUuid(),this.metadata=ie!=null?ie:De)}}e.NotebookCellOutput=Xt;var Zt;(function(U){U[U.Markdown=1]="Markdown",U[U.Code=2]="Code"})(Zt=e.NotebookCellKind||(e.NotebookCellKind={}));var qt;(function(U){U[U.Running=1]="Running",U[U.Idle=2]="Idle",U[U.Success=3]="Success",U[U.Error=4]="Error"})(qt=e.NotebookCellRunState||(e.NotebookCellRunState={}));var Fe;(function(U){U[U.Running=1]="Running",U[U.Idle=2]="Idle"})(Fe=e.NotebookRunState||(e.NotebookRunState={}));var Kt;(function(U){U[U.Left=1]="Left",U[U.Right=2]="Right"})(Kt=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var Gt;(function(U){U[U.Default=0]="Default",U[U.InCenter=1]="InCenter",U[U.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",U[U.AtTop=3]="AtTop"})(Gt=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let ft=class{constructor(M,ie){this.label=M,this.timestamp=ie}};ft=Ke([y],ft),e.TimelineItem=ft;var gn;(function(U){U[U.Production=1]="Production",U[U.Development=2]="Development",U[U.Test=3]="Test"})(gn=e.ExtensionMode||(e.ExtensionMode={}));var pn;(function(U){U[U.Node=1]="Node",U[U.Webworker=2]="Webworker"})(pn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var en;(function(U){U[U.Other=0]="Other",U[U.Comment=1]="Comment",U[U.String=2]="String",U[U.RegEx=4]="RegEx"})(en=e.StandardTokenType||(e.StandardTokenType={}));class tn{constructor(M,ie){this.ranges=M,this.wordPattern=ie}}e.LinkedEditingRanges=tn;var vn;(function(U){U[U.Unset=0]="Unset",U[U.Queued=1]="Queued",U[U.Running=2]="Running",U[U.Passed=3]="Passed",U[U.Failed=4]="Failed",U[U.Skipped=5]="Skipped",U[U.Errored=6]="Errored"})(vn=e.TestRunState||(e.TestRunState={}));var _n;(function(U){U[U.Error=0]="Error",U[U.Warning=1]="Warning",U[U.Information=2]="Information",U[U.Hint=3]="Hint"})(_n=e.TestMessageSeverity||(e.TestMessageSeverity={}));var bn;(function(U){U[U.None=0]="None",U[U.Option=1]="Option",U[U.Default=2]="Default",U[U.Preferred=3]="Preferred"})(bn=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var wn;(function(U){U[U.Untrusted=0]="Untrusted",U[U.Trusted=1]="Trusted",U[U.Unknown=2]="Unknown"})(wn=e.WorkspaceTrustState||(e.WorkspaceTrustState={}))}),define(we[93],Ee([0,1,44,16,8,116,83,7,11]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const i=new Map;function P(s,h){h?i.set(s,h):i.delete(s)}e.setWordDefinitionFor=P;function I(s){return i.get(s)}e.getWordDefinitionFor=I;class p extends A.MirrorTextModel{constructor(h,v,g,_,r,l,u,t){super(v,g,_,r);this._proxy=h,this._languageId=l,this._isDirty=u,this._notebook=t,this._isDisposed=!1}dispose(){b.ok(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(h){return D.equals(this._lines,h)}get document(){if(!this._document){const h=this;this._document={get uri(){return h._uri},get fileName(){return h._uri.fsPath},get isUntitled(){return h._uri.scheme===S.Schemas.untitled},get languageId(){return h._languageId},get version(){return h._versionId},get isClosed(){return h._isDisposed},get isDirty(){return h._isDirty},get notebook(){return h._notebook},save(){return h._save()},getText(v){return v?h._getTextInRange(v):h.getText()},get eol(){return h._eol===`
`?C.EndOfLine.LF:C.EndOfLine.CRLF},get lineCount(){return h._lines.length},lineAt(v){return h._lineAt(v)},offsetAt(v){return h._offsetAt(v)},positionAt(v){return h._positionAt(v)},validateRange(v){return h._validateRange(v)},validatePosition(v){return h._validatePosition(v)},getWordRangeAtPosition(v,g){return h._getWordRangeAtPosition(v,g)}}}return Object.freeze(this._document)}_acceptLanguageId(h){b.ok(!this._isDisposed),this._languageId=h}_acceptIsDirty(h){b.ok(!this._isDisposed),this._isDirty=h}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(h){const v=this._validateRange(h);if(v.isEmpty)return"";if(v.isSingleLine)return this._lines[v.start.line].substring(v.start.character,v.end.character);const g=this._eol,_=v.start.line,r=v.end.line,l=[];l.push(this._lines[_].substring(v.start.character));for(let u=_+1;u<r;u++)l.push(this._lines[u]);return l.push(this._lines[r].substring(0,v.end.character)),l.join(g)}_lineAt(h){let v;if(h instanceof C.Position?v=h.line:typeof h=="number"&&(v=h),typeof v!="number"||v<0||v>=this._lines.length||Math.floor(v)!==v)throw new Error("Illegal value for `line`");return new d(v,this._lines[v],v===this._lines.length-1)}_offsetAt(h){return h=this._validatePosition(h),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(h.line-1)+h.character}_positionAt(h){h=Math.floor(h),h=Math.max(0,h),this._ensureLineStarts();const v=this._lineStarts.getIndexOf(h),g=this._lines[v.index].length;return new C.Position(v.index,Math.min(v.remainder,g))}_validateRange(h){if(!(h instanceof C.Range))throw new Error("Invalid argument");const v=this._validatePosition(h.start),g=this._validatePosition(h.end);return v===h.start&&g===h.end?h:new C.Range(v.line,v.character,g.line,g.character)}_validatePosition(h){if(!(h instanceof C.Position))throw new Error("Invalid argument");if(this._lines.length===0)return h.with(0,0);let{line:v,character:g}=h,_=!1;if(v<0)v=0,g=0,_=!0;else if(v>=this._lines.length)v=this._lines.length-1,g=this._lines[v].length,_=!0;else{const r=this._lines[v].length;g<0?(g=0,_=!0):g>r&&(g=r,_=!0)}return _?new C.Position(v,g):h}_getWordRangeAtPosition(h,v){const g=this._validatePosition(h);if(!v)v=I(this._languageId);else if(T.regExpLeadsToEndlessLoop(v))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${v.source}' because it matches the empty string.`);const _=w.getWordAtText(g.character+1,w.ensureValidWordDefinition(v),this._lines[g.line],0);if(_)return new C.Range(g.line,_.startColumn-1,g.line,_.endColumn-1)}}e.ExtHostDocumentData=p;class d{constructor(h,v,g){this._line=h,this._text=v,this._isLastLine=g}get lineNumber(){return this._line}get text(){return this._text}get range(){return new C.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new C.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=d}),define(we[162],Ee([0,1,7,3,85,6,60,22,2,29]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class P{constructor(p,d,s,h){this._notebook=s,this._selector=h,this._disposables=new A.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this.uri=D.URI.from({scheme:"vscode-concat-doc",path:i.generateUuid()}),this._init(),this._disposables.add(d.onDidChangeDocument(g=>{const _=this._cellUris.get(g.document.uri);_!==void 0&&(this._cellLengths.changeValue(_,this._cells[_].document.getText().length+1),this._cellLines.changeValue(_,this._cells[_].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const v=g=>{g===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(p.onDidChangeCellLanguage(g=>v(g.document))),this._disposables.add(p.onDidChangeNotebookCells(g=>v(g.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new C.ResourceMap;const p=[],d=[];for(const s of this._notebook.cells)s.cellKind===b.NotebookCellKind.Code&&(!this._selector||w.score(this._selector,s.uri,s.language,!0))&&(this._cellUris.set(s.uri,this._cells.length),this._cells.push(s),p.push(s.document.getText().length+1),d.push(s.document.lineCount));this._cellLengths=new T.PrefixSumComputer(new Uint32Array(p)),this._cellLines=new T.PrefixSumComputer(new Uint32Array(d))}get version(){return this._versionId}getText(p){var d,s;if(!p){let r="";for(const l of this._cells)r+=l.document.getText()+`
`;return r=r.slice(0,-1),r}if(p.isEmpty)return"";const h=this.locationAt(p.start),v=this.locationAt(p.end),g=this._cells[(d=this._cellUris.get(h.uri))!==null&&d!==void 0?d:-1],_=this._cells[(s=this._cellUris.get(v.uri))!==null&&s!==void 0?s:-1];if(!g||!_)return"";if(g===_)return g.document.getText(new b.Range(h.range.start,v.range.end));{const r=g.document.getText(new b.Range(h.range.start,new b.Position(g.document.lineCount,0))),l=_.document.getText(new b.Range(new b.Position(0,0),v.range.end));return r+`
`+l}}offsetAt(p){const d=this._cellLines.getIndexOf(p.line),s=this._cellLengths.getAccumulatedValue(d.index-1),h=this._cells[d.index].document.offsetAt(p.with(d.remainder));return s+h}positionAt(p){if(typeof p=="number"){const s=this._cellLengths.getIndexOf(p),h=this._cellLines.getAccumulatedValue(s.index-1);return this._cells[s.index].document.positionAt(s.remainder).translate(h)}const d=this._cellUris.get(p.uri);if(d!==void 0){const s=this._cellLines.getAccumulatedValue(d-1);return new b.Position(s+p.range.start.line,p.range.start.character)}return new b.Position(0,0)}locationAt(p){b.Range.isRange(p)||(p=new b.Range(p,p));const d=this._cellLines.getIndexOf(p.start.line);let s=d;p.isEmpty||(s=this._cellLines.getIndexOf(p.end.line));const h=new b.Position(d.remainder,p.start.character),v=new b.Position(s.remainder,p.end.character),g=new b.Range(h,v),_=this._cells[d.index];return new b.Location(_.uri,_.document.validateRange(g))}contains(p){return this._cellUris.has(p)}validateRange(p){const d=this.validatePosition(p.start),s=this.validatePosition(p.end);return p.with(d,s)}validatePosition(p){const d=this._cellLines.getIndexOf(p.line),s=new b.Position(d.remainder,p.character),h=this._cells[d.index].document.validatePosition(s),v=this._cellLines.getAccumulatedValue(d.index-1);return new b.Position(v+h.line,h.character)}}e.ExtHostNotebookConcatDocument=P}),define(we[163],Ee([0,1,7,14,3]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let A=class{constructor(C){this._actual=new b.ColorTheme(b.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new T.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(C){let D=C==="light"?b.ColorThemeKind.Light:C==="dark"?b.ColorThemeKind.Dark:b.ColorThemeKind.HighContrast;this._actual=new b.ColorTheme(D),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};A=Ke([Qe(0,S.IExtHostRpcService)],A),e.ExtHostTheming=A}),define(we[164],Ee([0,1,4,64]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new S.RawContextKey("customExecutionSupported",!0),e.ShellExecutionSupportedContext=new S.RawContextKey("shellExecutionSupported",!1),e.ProcessExecutionSupportedContext=new S.RawContextKey("processExecutionSupported",!1),e.ITaskService=b.createDecorator("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(we[165],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function b(T){return[...T.entries()]}e.serializeEnvironmentVariableCollection=b;function S(T){return new Map(T)}e.deserializeEnvironmentVariableCollection=S}),define(we[166],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var b;(function(w){w[w.Add=0]="Add",w[w.Update=1]="Update",w[w.Remove=2]="Remove",w[w.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",w[w.DeltaRootsComplete=4]="DeltaRootsComplete"})(b=e.TestDiffOpType||(e.TestDiffOpType={}));const S=(w,C)=>`${w}:${C.toString()}`;e.getTestSubscriptionKey=S;class T{add(C){}update(C){}remove(C,D){}complete(){}}e.IncrementalChangeCollector=T;class A{constructor(){this.items=new Map,this.roots=new Set}apply(C){const D=this.createChangeCollector();for(const i of C)switch(i[0]){case 0:{const P=i[1];if(P.parent){if(this.items.has(P.parent)){const I=this.items.get(P.parent);I.children.add(P.item.extId);const p=this.createItem(P,I);this.items.set(P.item.extId,p),D.add(p)}}else{this.roots.add(P.item.extId);const I=this.createItem(P);this.items.set(P.item.extId,I),D.add(I)}break}case 1:{const P=i[1],I=this.items.get(P.item.extId);I&&(Object.assign(I.item,P.item),D.update(I));break}case 2:{const P=this.items.get(i[1]);if(!P)break;P.parent?this.items.get(P.parent).children.delete(P.item.extId):this.roots.delete(P.item.extId);const I=[[i[1]]];for(;I.length;)for(const p of I.pop()){const d=this.items.get(p);d&&(I.push(d.children),this.items.delete(p),D.remove(d,d!==P))}break}case 3:this.updateBusyProviders(i[1]);break;case 4:this.updatePendingRoots(i[1]);break}D.complete()}updateBusyProviders(C){}updatePendingRoots(C){}createChangeCollector(){return new T}}e.AbstractIncrementalTestCollection=A}),define(we[167],Ee([0,1,12,36,13,23,21,59,137]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class i{constructor(I,p,d){if(this._contributedVariables=new Map,this._context=I,this._labelService=p,d)if(w.isWindows){const s=Object.create(null);this._envVariables=s,Object.keys(d).forEach(h=>{s[h.toLowerCase()]=d[h]})}else this._envVariables=d}resolve(I,p){return this.recursiveResolve(I?I.uri:void 0,p)}resolveAnyBase(I,p,d,s){const h=A.deepClone(p);return w.isWindows&&h.windows?Object.keys(h.windows).forEach(v=>h[v]=h.windows[v]):w.isMacintosh&&h.osx?Object.keys(h.osx).forEach(v=>h[v]=h.osx[v]):w.isLinux&&h.linux&&Object.keys(h.linux).forEach(v=>h[v]=h.linux[v]),delete h.windows,delete h.osx,delete h.linux,this.recursiveResolve(I?I.uri:void 0,h,d,s)}resolveAny(I,p,d){return this.resolveAnyBase(I,p,d)}resolveAnyMap(I,p,d){const s=new Map;return{newConfig:this.resolveAnyBase(I,p,d,s),resolvedVariables:s}}resolveWithInteractionReplace(I,p,d,s){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(I,p,d,s){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(I,p){if(this._contributedVariables.has(I))throw new Error("Variable "+I+" is contributed twice.");this._contributedVariables.set(I,p)}recursiveResolve(I,p,d,s){if(T.isString(p))return this.resolveString(I,p,d,s);if(T.isArray(p))return p.map(h=>this.recursiveResolve(I,h,d,s));if(T.isObject(p)){let h=Object.create(null);return Object.keys(p).forEach(v=>{const g=this.resolveString(I,v,d,s);h[g]=this.recursiveResolve(I,p[v],d,s)}),h}return p}resolveString(I,p,d,s){return p.replace(i.VARIABLE_REGEXP,(v,g)=>{if(g.includes(i.VARIABLE_LHS))return v;let _=this.evaluateSingleVariable(v,g,I,d);return s&&s.set(g,_),_})}fsPath(I){return this._labelService?this._labelService.getUriLabel(I,{noPrefix:!0}):I.fsPath}evaluateSingleVariable(I,p,d,s){let h;const v=p.split(":");v.length>1&&(p=v[0],h=v[1]);const g=()=>{const l=this._context.getFilePath();if(l)return l;throw new Error(D.localize(0,null,I))},_=()=>{const l=g();if(this._context.getWorkspaceFolderPathForFile){const u=this._context.getWorkspaceFolderPathForFile();if(u)return u}throw new Error(D.localize(1,null,I,b.basename(l)))},r=()=>{if(h){const l=this._context.getFolderUri(h);if(l)return l;throw new Error(D.localize(2,null,I,h))}if(d)return d;throw this._context.getWorkspaceFolderCount()>1?new Error(D.localize(3,null,I)):new Error(D.localize(4,null,I))};switch(p){case"env":if(h){if(this._envVariables){const l=this._envVariables[w.isWindows?h.toLowerCase():h];if(T.isString(l))return l}return""}throw new Error(D.localize(5,null,I));case"config":if(h){const l=this._context.getConfigurationValue(d,h);if(T.isUndefinedOrNull(l))throw new Error(D.localize(6,null,I,h));if(T.isObject(l))throw new Error(D.localize(7,null,I,h));return l}throw new Error(D.localize(8,null,I));case"command":return this.resolveFromMap(I,h,s,"command");case"input":return this.resolveFromMap(I,h,s,"input");default:switch(p){case"workspaceRoot":case"workspaceFolder":return C.normalizeDriveLetter(this.fsPath(r()));case"cwd":return d||h?C.normalizeDriveLetter(this.fsPath(r())):S.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return b.basename(this.fsPath(r()));case"lineNumber":const l=this._context.getLineNumber();if(l)return l;throw new Error(D.localize(9,null,I));case"selectedText":const u=this._context.getSelectedText();if(u)return u;throw new Error(D.localize(10,null,I));case"file":return g();case"fileWorkspaceFolder":return _();case"relativeFile":return d||h?b.relative(this.fsPath(r()),g()):g();case"relativeFileDirname":const t=b.dirname(g());if(d||h){const n=b.relative(this.fsPath(r()),t);return n.length===0?".":n}return t;case"fileDirname":return b.dirname(g());case"fileExtname":return b.extname(g());case"fileBasename":return b.basename(g());case"fileBasenameNoExtension":const o=b.basename(g());return o.slice(0,o.length-b.extname(o).length);case"fileDirnameBasename":return b.basename(b.dirname(g()));case"execPath":const a=this._context.getExecPath();return a||I;case"execInstallFolder":const c=this._context.getAppRoot();return c||I;case"pathSeparator":return b.sep;default:try{const n=h?`${p}:${h}`:p;return this.resolveFromMap(I,n,s,void 0)}catch(n){return I}}}}resolveFromMap(I,p,d,s){if(p&&d){const h=s===void 0?d[p]:d[s+":"+p];if(typeof h=="string")return h;throw new Error(D.localize(11,null,I))}return I}}e.AbstractVariableResolverService=i,i.VARIABLE_LHS="${",i.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[168],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=b.createDecorator("editorGroupsService");var S;(function(p){p[p.UP=0]="UP",p[p.DOWN=1]="DOWN",p[p.LEFT=2]="LEFT",p[p.RIGHT=3]="RIGHT"})(S=e.GroupDirection||(e.GroupDirection={}));var T;(function(p){p[p.HORIZONTAL=0]="HORIZONTAL",p[p.VERTICAL=1]="VERTICAL"})(T=e.GroupOrientation||(e.GroupOrientation={}));var A;(function(p){p[p.FIRST=0]="FIRST",p[p.LAST=1]="LAST",p[p.NEXT=2]="NEXT",p[p.PREVIOUS=3]="PREVIOUS"})(A=e.GroupLocation||(e.GroupLocation={}));var w;(function(p){p[p.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",p[p.EVEN=1]="EVEN",p[p.TOGGLE=2]="TOGGLE"})(w=e.GroupsArrangement||(e.GroupsArrangement={}));var C;(function(p){p[p.COPY_EDITORS=0]="COPY_EDITORS",p[p.MOVE_EDITORS=1]="MOVE_EDITORS"})(C=e.MergeGroupMode||(e.MergeGroupMode={}));var D;(function(p){p[p.CREATION_TIME=0]="CREATION_TIME",p[p.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",p[p.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(D=e.GroupsOrder||(e.GroupsOrder={}));var i;(function(p){p[p.GROUP_ACTIVE=0]="GROUP_ACTIVE",p[p.GROUP_INDEX=1]="GROUP_INDEX",p[p.EDITOR_OPEN=2]="EDITOR_OPEN",p[p.EDITOR_CLOSE=3]="EDITOR_CLOSE",p[p.EDITOR_MOVE=4]="EDITOR_MOVE",p[p.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",p[p.EDITOR_LABEL=6]="EDITOR_LABEL",p[p.EDITOR_PIN=7]="EDITOR_PIN",p[p.EDITOR_STICKY=8]="EDITOR_STICKY",p[p.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(i=e.GroupChangeKind||(e.GroupChangeKind={}));var P;(function(p){p[p.NEW_EDITOR=1]="NEW_EDITOR",p[p.MOVE_EDITOR=2]="MOVE_EDITOR",p[p.COPY_EDITOR=3]="COPY_EDITOR"})(P=e.OpenEditorContext||(e.OpenEditorContext={}));function I(p){return p.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=I}),define(we[169],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=b.createDecorator("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(we[9],Ee([0,1,63,7,138,2,32,80,87,169,13,222,58,23,11,40]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestResults=e.TestItem=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var v;(function(pe){function Se(q){const{selectionStartLineNumber:Re,selectionStartColumn:Le,positionLineNumber:Ye,positionColumn:Ie}=q,st=new S.Position(Re-1,Le-1),rt=new S.Position(Ye-1,Ie-1);return new S.Selection(st,rt)}pe.to=Se;function se(q){const{anchor:Re,active:Le}=q;return{selectionStartLineNumber:Re.line+1,selectionStartColumn:Re.character+1,positionLineNumber:Le.line+1,positionColumn:Le.character+1}}pe.from=se})(v=e.Selection||(e.Selection={}));var g;(function(pe){function Se(q){if(!!q){const{start:Re,end:Le}=q;return{startLineNumber:Re.line+1,startColumn:Re.character+1,endLineNumber:Le.line+1,endColumn:Le.character+1}}}pe.from=Se;function se(q){if(!!q){const{startLineNumber:Re,startColumn:Le,endLineNumber:Ye,endColumn:Ie}=q;return new S.Range(Re-1,Le-1,Ye-1,Ie-1)}}pe.to=se})(g=e.Range||(e.Range={}));var _;(function(pe){function Se(se){switch(se){case 1:return S.StandardTokenType.Comment;case 0:return S.StandardTokenType.Other;case 4:return S.StandardTokenType.RegEx;case 2:return S.StandardTokenType.String}}pe.to=Se})(_=e.TokenType||(e.TokenType={}));var r;(function(pe){function Se(q){return new S.Position(q.lineNumber-1,q.column-1)}pe.to=Se;function se(q){return{lineNumber:q.line+1,column:q.character+1}}pe.from=se})(r=e.Position||(e.Position={}));var l;(function(pe){function Se(q){switch(q){case S.DiagnosticTag.Unnecessary:return 1;case S.DiagnosticTag.Deprecated:return 2}}pe.from=Se;function se(q){switch(q){case 1:return S.DiagnosticTag.Unnecessary;case 2:return S.DiagnosticTag.Deprecated;default:return}}pe.to=se})(l=e.DiagnosticTag||(e.DiagnosticTag={}));var u;(function(pe){function Se(q){let Re;return q.code&&(P.isString(q.code)||P.isNumber(q.code)?Re=String(q.code):Re={value:String(q.code.value),target:q.code.target}),Object.assign(Object.assign({},g.from(q.range)),{message:q.message,source:q.source,code:Re,severity:o.from(q.severity),relatedInformation:q.relatedInformation&&q.relatedInformation.map(t.from),tags:Array.isArray(q.tags)?s.coalesce(q.tags.map(l.from)):void 0})}pe.from=Se;function se(q){var Re;const Le=new S.Diagnostic(g.to(q),q.message,o.to(q.severity));return Le.source=q.source,Le.code=P.isString(q.code)?q.code:(Re=q.code)===null||Re===void 0?void 0:Re.value,Le.relatedInformation=q.relatedInformation&&q.relatedInformation.map(t.to),Le.tags=q.tags&&s.coalesce(q.tags.map(l.to)),Le}pe.to=se})(u=e.Diagnostic||(e.Diagnostic={}));var t;(function(pe){function Se(q){return Object.assign(Object.assign({},g.from(q.location.range)),{message:q.message,resource:q.location.uri})}pe.from=Se;function se(q){return new S.DiagnosticRelatedInformation(new S.Location(q.resource,g.to(q)),q.message)}pe.to=se})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var o;(function(pe){function Se(q){switch(q){case S.DiagnosticSeverity.Error:return D.MarkerSeverity.Error;case S.DiagnosticSeverity.Warning:return D.MarkerSeverity.Warning;case S.DiagnosticSeverity.Information:return D.MarkerSeverity.Info;case S.DiagnosticSeverity.Hint:return D.MarkerSeverity.Hint}return D.MarkerSeverity.Error}pe.from=Se;function se(q){switch(q){case D.MarkerSeverity.Info:return S.DiagnosticSeverity.Information;case D.MarkerSeverity.Warning:return S.DiagnosticSeverity.Warning;case D.MarkerSeverity.Error:return S.DiagnosticSeverity.Error;case D.MarkerSeverity.Hint:return S.DiagnosticSeverity.Hint;default:return S.DiagnosticSeverity.Error}}pe.to=se})(o=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var a;(function(pe){function Se(q){return typeof q=="number"&&q>=S.ViewColumn.One?q-1:q===S.ViewColumn.Beside?i.SIDE_GROUP:i.ACTIVE_GROUP}pe.from=Se;function se(q){if(typeof q=="number"&&q>=0)return q+1;throw new Error("invalid 'EditorGroupColumn'")}pe.to=se})(a=e.ViewColumn||(e.ViewColumn={}));function c(pe){return typeof pe.range!="undefined"}function n(pe){return pe.length===0?!0:!!c(pe[0])}e.isDecorationOptionsArr=n;var f;(function(pe){function Se(Ie){return Ie.map(pe.from)}pe.fromMany=Se;function se(Ie){return Ie&&typeof Ie=="object"&&typeof Ie.language=="string"&&typeof Ie.value=="string"}function q(Ie){let st;if(se(Ie)){const{language:dt,value:ht}=Ie;st={value:"```"+dt+`
`+ht+"\n```\n"}}else S.MarkdownString.isMarkdownString(Ie)?st={value:Ie.value,isTrusted:Ie.isTrusted,supportThemeIcons:Ie.supportThemeIcons}:typeof Ie=="string"?st={value:Ie}:st={value:""};const rt=Object.create(null);st.uris=rt;const qe=dt=>{try{let ht=A.URI.parse(dt,!0);ht=ht.with({query:Re(ht.query,rt)}),rt[dt]=ht}catch(ht){}return""},ut=new I.Renderer;return ut.link=qe,ut.image=dt=>qe(C.parseHrefAndDimensions(dt).href),I(st.value,{renderer:ut}),st}pe.from=q;function Re(Ie,st){if(!Ie)return Ie;let rt;try{rt=p.parse(Ie)}catch(ut){}if(!rt)return Ie;let qe=!1;return rt=d.cloneAndChange(rt,ut=>{if(A.URI.isUri(ut)){const dt=`__uri_${Math.random().toString(16).slice(2,8)}`;return st[dt]=ut,qe=!0,dt}else return}),qe?JSON.stringify(rt):Ie}function Le(Ie){const st=new S.MarkdownString(Ie.value,Ie.supportThemeIcons);return st.isTrusted=Ie.isTrusted,st}pe.to=Le;function Ye(Ie){if(!!Ie)return typeof Ie=="string"?Ie:pe.from(Ie)}pe.fromStrict=Ye})(f=e.MarkdownString||(e.MarkdownString={}));function y(pe){return n(pe)?pe.map(Se=>({range:g.from(Se.range),hoverMessage:Array.isArray(Se.hoverMessage)?f.fromMany(Se.hoverMessage):Se.hoverMessage?f.from(Se.hoverMessage):void 0,renderOptions:Se.renderOptions})):pe.map(Se=>({range:g.from(Se)}))}e.fromRangeOrRangeWithMessage=y;function k(pe){return typeof pe=="undefined"?pe:typeof pe=="string"?A.URI.file(pe):pe}e.pathOrURIToURI=k;var m;(function(pe){function Se(se){return typeof se=="undefined"?se:{contentText:se.contentText,contentIconPath:se.contentIconPath?k(se.contentIconPath):void 0,border:se.border,borderColor:se.borderColor,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,color:se.color,backgroundColor:se.backgroundColor,margin:se.margin,width:se.width,height:se.height}}pe.from=Se})(m=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var E;(function(pe){function Se(se){return typeof se=="undefined"?se:{backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?k(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?m.from(se.before):void 0,after:se.after?m.from(se.after):void 0}}pe.from=Se})(E=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var R;(function(pe){function Se(se){if(typeof se=="undefined")return se;switch(se){case S.DecorationRangeBehavior.OpenOpen:return 0;case S.DecorationRangeBehavior.ClosedClosed:return 1;case S.DecorationRangeBehavior.OpenClosed:return 2;case S.DecorationRangeBehavior.ClosedOpen:return 3}}pe.from=Se})(R=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var F;(function(pe){function Se(se){return{isWholeLine:se.isWholeLine,rangeBehavior:se.rangeBehavior?R.from(se.rangeBehavior):void 0,overviewRulerLane:se.overviewRulerLane,light:se.light?E.from(se.light):void 0,dark:se.dark?E.from(se.dark):void 0,backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?k(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?m.from(se.before):void 0,after:se.after?m.from(se.after):void 0}}pe.from=Se})(F=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var $;(function(pe){function Se(q){return{text:q.newText,eol:q.newEol&&X.from(q.newEol),range:g.from(q.range)}}pe.from=Se;function se(q){const Re=new S.TextEdit(g.to(q.range),q.text);return Re.newEol=typeof q.eol=="undefined"?void 0:X.to(q.eol),Re}pe.to=se})($=e.TextEdit||(e.TextEdit={}));var K;(function(pe){function Se(q,Re,Le){var Ye,Ie,st;const rt={edits:[]};if(q instanceof S.WorkspaceEdit)for(let qe of q._allEntries())if(qe._type===1)rt.edits.push({_type:1,oldUri:qe.from,newUri:qe.to,options:qe.options,metadata:qe.metadata});else if(qe._type===2){const ut=Re==null?void 0:Re.getDocument(qe.uri);rt.edits.push({_type:2,resource:qe.uri,edit:$.from(qe.edit),modelVersionId:ut==null?void 0:ut.version,metadata:qe.metadata})}else qe._type===3?rt.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,edit:qe.edit,notebookMetadata:qe.notebookMetadata,notebookVersionId:(Ye=Le==null?void 0:Le.lookupNotebookDocument(qe.uri))===null||Ye===void 0?void 0:Ye.notebookDocument.version}):qe._type===4?(qe.newOutputs&&rt.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,edit:{editType:2,index:qe.index,append:qe.append,outputs:qe.newOutputs.map(be.from)}}),qe.newMetadata&&rt.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,edit:{editType:3,index:qe.index,metadata:qe.newMetadata}})):qe._type===5?rt.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,notebookVersionId:(Ie=Le==null?void 0:Le.lookupNotebookDocument(qe.uri))===null||Ie===void 0?void 0:Ie.notebookDocument.version,edit:{editType:1,index:qe.index,count:qe.count,cells:qe.cells.map(le.from)}}):qe._type===6&&rt.edits.push({_type:3,metadata:qe.metadata,resource:qe.uri,edit:{editType:10,index:qe.index,outputId:qe.outputId,items:((st=qe.newOutputItems)===null||st===void 0?void 0:st.map(he.from))||[],append:qe.append}});return rt}pe.from=Se;function se(q){const Re=new S.WorkspaceEdit;for(const Le of q.edits)Le.edit?Re.replace(A.URI.revive(Le.resource),g.to(Le.edit.range),Le.edit.text):Re.renameFile(A.URI.revive(Le.oldUri),A.URI.revive(Le.newUri),Le.options);return Re}pe.to=se})(K=e.WorkspaceEdit||(e.WorkspaceEdit={}));var G;(function(pe){const Se=Object.create(null);Se[S.SymbolKind.File]=0,Se[S.SymbolKind.Module]=1,Se[S.SymbolKind.Namespace]=2,Se[S.SymbolKind.Package]=3,Se[S.SymbolKind.Class]=4,Se[S.SymbolKind.Method]=5,Se[S.SymbolKind.Property]=6,Se[S.SymbolKind.Field]=7,Se[S.SymbolKind.Constructor]=8,Se[S.SymbolKind.Enum]=9,Se[S.SymbolKind.Interface]=10,Se[S.SymbolKind.Function]=11,Se[S.SymbolKind.Variable]=12,Se[S.SymbolKind.Constant]=13,Se[S.SymbolKind.String]=14,Se[S.SymbolKind.Number]=15,Se[S.SymbolKind.Boolean]=16,Se[S.SymbolKind.Array]=17,Se[S.SymbolKind.Object]=18,Se[S.SymbolKind.Key]=19,Se[S.SymbolKind.Null]=20,Se[S.SymbolKind.EnumMember]=21,Se[S.SymbolKind.Struct]=22,Se[S.SymbolKind.Event]=23,Se[S.SymbolKind.Operator]=24,Se[S.SymbolKind.TypeParameter]=25;function se(Re){return typeof Se[Re]=="number"?Se[Re]:6}pe.from=se;function q(Re){for(const Le in Se)if(Se[Le]===Re)return Number(Le);return S.SymbolKind.Property}pe.to=q})(G=e.SymbolKind||(e.SymbolKind={}));var H;(function(pe){function Se(q){switch(q){case S.SymbolTag.Deprecated:return 1}}pe.from=Se;function se(q){switch(q){case 1:return S.SymbolTag.Deprecated}}pe.to=se})(H=e.SymbolTag||(e.SymbolTag={}));var ue;(function(pe){function Se(q){return{name:q.name,kind:G.from(q.kind),tags:q.tags&&q.tags.map(H.from),containerName:q.containerName,location:z.from(q.location)}}pe.from=Se;function se(q){const Re=new S.SymbolInformation(q.name,G.to(q.kind),q.containerName,z.to(q.location));return Re.tags=q.tags&&q.tags.map(H.to),Re}pe.to=se})(ue=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var N;(function(pe){function Se(q){var Re,Le;const Ye={name:q.name||"!!MISSING: name!!",detail:q.detail,range:g.from(q.range),selectionRange:g.from(q.selectionRange),kind:G.from(q.kind),tags:(Le=(Re=q.tags)===null||Re===void 0?void 0:Re.map(H.from))!==null&&Le!==void 0?Le:[]};return q.children&&(Ye.children=q.children.map(Se)),Ye}pe.from=Se;function se(q){const Re=new S.DocumentSymbol(q.name,q.detail,G.to(q.kind),g.to(q.range),g.to(q.selectionRange));return s.isNonEmptyArray(q.tags)&&(Re.tags=q.tags.map(H.to)),q.children&&(Re.children=q.children.map(se)),Re}pe.to=se})(N=e.DocumentSymbol||(e.DocumentSymbol={}));var O;(function(pe){function Se(se){const q=new S.CallHierarchyItem(G.to(se.kind),se.name,se.detail||"",A.URI.revive(se.uri),g.to(se.range),g.to(se.selectionRange));return q._sessionId=se._sessionId,q._itemId=se._itemId,q}pe.to=Se})(O=e.CallHierarchyItem||(e.CallHierarchyItem={}));var x;(function(pe){function Se(se){return new S.CallHierarchyIncomingCall(O.to(se.from),se.fromRanges.map(q=>g.to(q)))}pe.to=Se})(x=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var L;(function(pe){function Se(se){return new S.CallHierarchyOutgoingCall(O.to(se.to),se.fromRanges.map(q=>g.to(q)))}pe.to=Se})(L=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var z;(function(pe){function Se(q){return{range:q.range&&g.from(q.range),uri:q.uri}}pe.from=Se;function se(q){return new S.Location(q.uri,g.to(q.range))}pe.to=se})(z=e.location||(e.location={}));var ae;(function(pe){function Se(q){const Re=q,Le=q;return{originSelectionRange:Re.originSelectionRange?g.from(Re.originSelectionRange):void 0,uri:Re.targetUri?Re.targetUri:Le.uri,range:g.from(Re.targetRange?Re.targetRange:Le.range),targetSelectionRange:Re.targetSelectionRange?g.from(Re.targetSelectionRange):void 0}}pe.from=Se;function se(q){return{targetUri:q.uri,targetRange:g.to(q.range),targetSelectionRange:q.targetSelectionRange?g.to(q.targetSelectionRange):void 0,originSelectionRange:q.originSelectionRange?g.to(q.originSelectionRange):void 0}}pe.to=se})(ae=e.DefinitionLink||(e.DefinitionLink={}));var re;(function(pe){function Se(q){return{range:g.from(q.range),contents:f.fromMany(q.contents)}}pe.from=Se;function se(q){return new S.Hover(q.contents.map(f.to),g.to(q.range))}pe.to=se})(re=e.Hover||(e.Hover={}));var de;(function(pe){function Se(q){return{range:g.from(q.range),expression:q.expression}}pe.from=Se;function se(q){return new S.EvaluatableExpression(g.to(q.range),q.expression)}pe.to=se})(de=e.EvaluatableExpression||(e.EvaluatableExpression={}));var fe;(function(pe){function Se(q){if(q instanceof S.InlineValueText)return{type:"text",range:g.from(q.range),text:q.text};if(q instanceof S.InlineValueVariableLookup)return{type:"variable",range:g.from(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};if(q instanceof S.InlineValueEvaluatableExpression)return{type:"expression",range:g.from(q.range),expression:q.expression};throw new Error("Unknown 'InlineValue' type")}pe.from=Se;function se(q){switch(q.type){case"text":return{range:g.to(q.range),text:q.text};case"variable":return{range:g.to(q.range),variableName:q.variableName,caseSensitiveLookup:q.caseSensitiveLookup};case"expression":return{range:g.to(q.range),expression:q.expression}}}pe.to=se})(fe=e.InlineValue||(e.InlineValue={}));var Ae;(function(pe){function Se(q){return{stoppedLocation:g.from(q.stoppedLocation)}}pe.from=Se;function se(q){return new S.InlineValueContext(g.to(q.stoppedLocation))}pe.to=se})(Ae=e.InlineValueContext||(e.InlineValueContext={}));var je;(function(pe){function Se(q){return{range:g.from(q.range),kind:q.kind}}pe.from=Se;function se(q){return new S.DocumentHighlight(g.to(q.range),q.kind)}pe.to=se})(je=e.DocumentHighlight||(e.DocumentHighlight={}));var Te;(function(pe){function Se(se){switch(se){case 1:return S.CompletionTriggerKind.TriggerCharacter;case 2:return S.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return S.CompletionTriggerKind.Invoke}}pe.to=Se})(Te=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var xe;(function(pe){function Se(se){return{triggerKind:Te.to(se.triggerKind),triggerCharacter:se.triggerCharacter}}pe.to=Se})(xe=e.CompletionContext||(e.CompletionContext={}));var W;(function(pe){function Se(q){switch(q){case S.CompletionItemTag.Deprecated:return 1}}pe.from=Se;function se(q){switch(q){case 1:return S.CompletionItemTag.Deprecated}}pe.to=se})(W=e.CompletionItemTag||(e.CompletionItemTag={}));var J;(function(pe){const Se=new Map([[S.CompletionItemKind.Method,0],[S.CompletionItemKind.Function,1],[S.CompletionItemKind.Constructor,2],[S.CompletionItemKind.Field,3],[S.CompletionItemKind.Variable,4],[S.CompletionItemKind.Class,5],[S.CompletionItemKind.Interface,7],[S.CompletionItemKind.Struct,6],[S.CompletionItemKind.Module,8],[S.CompletionItemKind.Property,9],[S.CompletionItemKind.Unit,12],[S.CompletionItemKind.Value,13],[S.CompletionItemKind.Constant,14],[S.CompletionItemKind.Enum,15],[S.CompletionItemKind.EnumMember,16],[S.CompletionItemKind.Keyword,17],[S.CompletionItemKind.Snippet,27],[S.CompletionItemKind.Text,18],[S.CompletionItemKind.Color,19],[S.CompletionItemKind.File,20],[S.CompletionItemKind.Reference,21],[S.CompletionItemKind.Folder,23],[S.CompletionItemKind.Event,10],[S.CompletionItemKind.Operator,11],[S.CompletionItemKind.TypeParameter,24],[S.CompletionItemKind.Issue,26],[S.CompletionItemKind.User,25]]);function se(Le){var Ye;return(Ye=Se.get(Le))!==null&&Ye!==void 0?Ye:9}pe.from=se;const q=new Map([[0,S.CompletionItemKind.Method],[1,S.CompletionItemKind.Function],[2,S.CompletionItemKind.Constructor],[3,S.CompletionItemKind.Field],[4,S.CompletionItemKind.Variable],[5,S.CompletionItemKind.Class],[7,S.CompletionItemKind.Interface],[6,S.CompletionItemKind.Struct],[8,S.CompletionItemKind.Module],[9,S.CompletionItemKind.Property],[12,S.CompletionItemKind.Unit],[13,S.CompletionItemKind.Value],[14,S.CompletionItemKind.Constant],[15,S.CompletionItemKind.Enum],[16,S.CompletionItemKind.EnumMember],[17,S.CompletionItemKind.Keyword],[27,S.CompletionItemKind.Snippet],[18,S.CompletionItemKind.Text],[19,S.CompletionItemKind.Color],[20,S.CompletionItemKind.File],[21,S.CompletionItemKind.Reference],[23,S.CompletionItemKind.Folder],[10,S.CompletionItemKind.Event],[11,S.CompletionItemKind.Operator],[24,S.CompletionItemKind.TypeParameter],[25,S.CompletionItemKind.User],[26,S.CompletionItemKind.Issue]]);function Re(Le){var Ye;return(Ye=q.get(Le))!==null&&Ye!==void 0?Ye:S.CompletionItemKind.Property}pe.to=Re})(J=e.CompletionItemKind||(e.CompletionItemKind={}));var ee;(function(pe){function Se(se,q){var Re;const Le=new S.CompletionItem(typeof se.label=="string"?se.label:se.label.name);return typeof se.label!="string"&&(Le.label2=se.label),Le.insertText=se.insertText,Le.kind=J.to(se.kind),Le.tags=(Re=se.tags)===null||Re===void 0?void 0:Re.map(W.to),Le.detail=se.detail,Le.documentation=C.isMarkdownString(se.documentation)?f.to(se.documentation):se.documentation,Le.sortText=se.sortText,Le.filterText=se.filterText,Le.preselect=se.preselect,Le.commitCharacters=se.commitCharacters,w.Range.isIRange(se.range)?Le.range=g.to(se.range):typeof se.range=="object"&&(Le.range={inserting:g.to(se.range.insert),replacing:g.to(se.range.replace)}),Le.keepWhitespace=typeof se.insertTextRules=="undefined"?!1:Boolean(se.insertTextRules&1),typeof se.insertTextRules!="undefined"&&se.insertTextRules&4?Le.insertText=new S.SnippetString(se.insertText):(Le.insertText=se.insertText,Le.textEdit=Le.range instanceof S.Range?new S.TextEdit(Le.range,Le.insertText):void 0),se.additionalTextEdits&&se.additionalTextEdits.length>0&&(Le.additionalTextEdits=se.additionalTextEdits.map(Ye=>$.to(Ye))),Le.command=q&&se.command?q.fromInternal(se.command):void 0,Le}pe.to=Se})(ee=e.CompletionItem||(e.CompletionItem={}));var te;(function(pe){function Se(q){return{label:q.label,documentation:q.documentation?f.fromStrict(q.documentation):void 0}}pe.from=Se;function se(q){return{label:q.label,documentation:C.isMarkdownString(q.documentation)?f.to(q.documentation):q.documentation}}pe.to=se})(te=e.ParameterInformation||(e.ParameterInformation={}));var me;(function(pe){function Se(q){return{label:q.label,documentation:q.documentation?f.fromStrict(q.documentation):void 0,parameters:Array.isArray(q.parameters)?q.parameters.map(te.from):[],activeParameter:q.activeParameter}}pe.from=Se;function se(q){return{label:q.label,documentation:C.isMarkdownString(q.documentation)?f.to(q.documentation):q.documentation,parameters:Array.isArray(q.parameters)?q.parameters.map(te.to):[],activeParameter:q.activeParameter}}pe.to=se})(me=e.SignatureInformation||(e.SignatureInformation={}));var Ce;(function(pe){function Se(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(me.from):[]}}pe.from=Se;function se(q){return{activeSignature:q.activeSignature,activeParameter:q.activeParameter,signatures:Array.isArray(q.signatures)?q.signatures.map(me.to):[]}}pe.to=se})(Ce=e.SignatureHelp||(e.SignatureHelp={}));var Oe;(function(pe){function Se(q){var Re;return{text:q.text,range:g.from(q.range),kind:ge.from((Re=q.kind)!==null&&Re!==void 0?Re:S.InlineHintKind.Other),description:q.description&&f.fromStrict(q.description),whitespaceBefore:q.whitespaceBefore,whitespaceAfter:q.whitespaceAfter}}pe.from=Se;function se(q){const Re=new S.InlineHint(q.text,g.to(q.range),ge.to(q.kind));return Re.whitespaceAfter=q.whitespaceAfter,Re.whitespaceBefore=q.whitespaceBefore,Re.description=C.isMarkdownString(q.description)?f.to(q.description):q.description,Re}pe.to=se})(Oe=e.InlineHint||(e.InlineHint={}));var ge;(function(pe){function Se(q){return q}pe.from=Se;function se(q){return q}pe.to=se})(ge=e.InlineHintKind||(e.InlineHintKind={}));var ke;(function(pe){function Se(q){return{range:g.from(q.range),url:q.target,tooltip:q.tooltip}}pe.from=Se;function se(q){let Re;if(q.url)try{Re=typeof q.url=="string"?A.URI.parse(q.url,!0):A.URI.revive(q.url)}catch(Le){}return new S.DocumentLink(g.to(q.range),Re)}pe.to=se})(ke=e.DocumentLink||(e.DocumentLink={}));var Pe;(function(pe){function Se(q){const Re=new S.ColorPresentation(q.label);return q.textEdit&&(Re.textEdit=$.to(q.textEdit)),q.additionalTextEdits&&(Re.additionalTextEdits=q.additionalTextEdits.map(Le=>$.to(Le))),Re}pe.to=Se;function se(q){return{label:q.label,textEdit:q.textEdit?$.from(q.textEdit):void 0,additionalTextEdits:q.additionalTextEdits?q.additionalTextEdits.map(Re=>$.from(Re)):void 0}}pe.from=se})(Pe=e.ColorPresentation||(e.ColorPresentation={}));var $e;(function(pe){function Se(q){return new S.Color(q[0],q[1],q[2],q[3])}pe.to=Se;function se(q){return[q.red,q.green,q.blue,q.alpha]}pe.from=se})($e=e.Color||(e.Color={}));var _e;(function(pe){function Se(q){return{range:g.from(q.range)}}pe.from=Se;function se(q){return new S.SelectionRange(g.to(q.range))}pe.to=se})(_e=e.SelectionRange||(e.SelectionRange={}));var Ge;(function(pe){function Se(se){switch(se){case 2:return S.TextDocumentSaveReason.AfterDelay;case 1:return S.TextDocumentSaveReason.Manual;case 3:case 4:return S.TextDocumentSaveReason.FocusOut}}pe.to=Se})(Ge=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var V;(function(pe){function Se(q){switch(q){case S.TextEditorLineNumbersStyle.Off:return 0;case S.TextEditorLineNumbersStyle.Relative:return 2;case S.TextEditorLineNumbersStyle.On:default:return 1}}pe.from=Se;function se(q){switch(q){case 0:return S.TextEditorLineNumbersStyle.Off;case 2:return S.TextEditorLineNumbersStyle.Relative;case 1:default:return S.TextEditorLineNumbersStyle.On}}pe.to=se})(V=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var X;(function(pe){function Se(q){if(q===S.EndOfLine.CRLF)return 1;if(q===S.EndOfLine.LF)return 0}pe.from=Se;function se(q){if(q===1)return S.EndOfLine.CRLF;if(q===0)return S.EndOfLine.LF}pe.to=se})(X=e.EndOfLine||(e.EndOfLine={}));var ve;(function(pe){function Se(se){if(typeof se=="object")return se.viewId;switch(se){case S.ProgressLocation.SourceControl:return 3;case S.ProgressLocation.Window:return 10;case S.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}pe.from=Se})(ve=e.ProgressLocation||(e.ProgressLocation={}));var Me;(function(pe){function Se(se){const q={start:se.start+1,end:se.end+1};return se.kind&&(q.kind=We.from(se.kind)),q}pe.from=Se})(Me=e.FoldingRange||(e.FoldingRange={}));var We;(function(pe){function Se(se){if(se)switch(se){case S.FoldingRangeKind.Comment:return b.FoldingRangeKind.Comment;case S.FoldingRangeKind.Imports:return b.FoldingRangeKind.Imports;case S.FoldingRangeKind.Region:return b.FoldingRangeKind.Region}}pe.from=Se})(We=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Ue;(function(pe){function Se(se){if(se)return{pinned:typeof se.preview=="boolean"?!se.preview:void 0,inactive:se.background,preserveFocus:se.preserveFocus,selection:typeof se.selection=="object"?g.from(se.selection):void 0,override:typeof se.override=="boolean"?T.EditorOverride.DISABLED:void 0}}pe.from=Se})(Ue=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var et;(function(pe){function Se(q){return q instanceof S.RelativePattern||typeof q=="string"?q:se(q)?new S.RelativePattern(q.base,q.pattern):q}pe.from=Se;function se(q){const Re=q;return Re&&typeof Re.base=="string"&&typeof Re.pattern=="string"}})(et=e.GlobPattern||(e.GlobPattern={}));var B;(function(pe){function Se(se){if(se){if(Array.isArray(se))return se.map(Se);if(typeof se=="string")return se;{const q=se;return{language:q.language,scheme:q.scheme,pattern:typeof q.pattern=="undefined"?void 0:et.from(q.pattern),exclusive:q.exclusive}}}else return}pe.from=Se})(B=e.LanguageSelector||(e.LanguageSelector={}));var Z;(function(pe){function Se(q){return{start:q.start,end:q.end}}pe.from=Se;function se(q){return new S.NotebookCellRange(q.start,q.end)}pe.to=se})(Z=e.NotebookCellRange||(e.NotebookCellRange={}));var ce;(function(pe){function Se(se){return new S.NotebookCellMetadata(se.editable,se.breakpointMargin,se.runnable,se.hasExecutionOrder,se.executionOrder,se.runState,se.runStartTime,se.statusMessage,se.lastRunDuration,se.inputCollapsed,se.outputCollapsed,se.custom)}pe.to=Se})(ce=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var j;(function(pe){function Se(q){return q}pe.from=Se;function se(q){return new S.NotebookDocumentMetadata(q.editable,q.runnable,q.cellEditable,q.cellRunnable,q.cellHasExecutionOrder,q.displayOrder,q.custom,q.runState,q.trusted)}pe.to=se})(j=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var Y;(function(pe){function Se(q){switch(q){case S.NotebookCellKind.Markdown:return h.CellKind.Markdown;case S.NotebookCellKind.Code:default:return h.CellKind.Code}}pe.from=Se;function se(q){switch(q){case h.CellKind.Markdown:return S.NotebookCellKind.Markdown;case h.CellKind.Code:default:return S.NotebookCellKind.Code}}pe.to=se})(Y=e.NotebookCellKind||(e.NotebookCellKind={}));var le;(function(pe){function Se(se){return{cellKind:Y.from(se.cellKind),language:se.language,source:se.source,metadata:se.metadata,outputs:se.outputs.map(q=>({outputId:q.id,metadata:q.metadata,outputs:(q.outputs||[]).map(Re=>({mime:Re.mime,value:Re.value,metadata:Re.metadata}))}))}}pe.from=Se})(le=e.NotebookCellData||(e.NotebookCellData={}));var he;(function(pe){function Se(q){return{mime:q.mime,value:q.value,metadata:q.metadata}}pe.from=Se;function se(q){return new S.NotebookCellOutputItem(q.mime,q.value,q.metadata)}pe.to=se})(he=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var be;(function(pe){function Se(q){return{outputId:q.id,outputs:q.outputs.map(he.from),metadata:q.metadata}}pe.from=Se;function se(q){const Re=q.outputs.map(he.to);return new S.NotebookCellOutput(Re,q.outputId,q.metadata)}pe.to=se})(be=e.NotebookCellOutput||(e.NotebookCellOutput={}));var He;(function(pe){function Se(Le){if(Le!=null){if(Le instanceof S.RelativePattern||typeof Le=="string")return Le;if(Re(Le))return new S.RelativePattern(Le.base,Le.pattern);if(q(Le))return{include:et.from(Le.include)||void 0,exclude:et.from(Le.exclude)||void 0}}}pe.from=Se;function se(Le){return typeof Le=="string"?Le:Re(Le)?{base:Le.base,pattern:Le.pattern}:{include:Le.include,exclude:Le.exclude}}pe.to=se;function q(Le){const Ye=Le,Ie=et.from(Ye.include);if(!(Ie&&Ie instanceof S.RelativePattern||typeof Ie=="string"))return!1;const st=et.from(Ye.exclude);return!!(st&&st instanceof S.RelativePattern||typeof st=="string")}function Re(Le){const Ye=Le;return Ye&&typeof Ye.base=="string"&&typeof Ye.pattern=="string"}})(He=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Ne;(function(pe){function Se(se){return{backgroundColor:se.backgroundColor,borderColor:se.borderColor,top:se.top?m.from(se.top):void 0}}pe.from=Se})(Ne=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var ze;(function(pe){function Se(q){var Re,Le;return{state:q.state,duration:q.duration,messages:(Le=(Re=q.messages)===null||Re===void 0?void 0:Re.map(Ye=>({message:f.fromStrict(Ye.message)||"",severity:Ye.severity,expectedOutput:Ye.expectedOutput,actualOutput:Ye.actualOutput,location:Ye.location?z.from(Ye.location):void 0})))!==null&&Le!==void 0?Le:[]}}pe.from=Se;function se(q){return{state:q.state,messages:q.messages.map(Re=>({message:typeof Re.message=="string"?Re.message:f.to(Re.message),severity:Re.severity,expectedOutput:Re.expectedOutput,actualOutput:Re.actualOutput,location:Re.location&&z.to({range:Re.location.range,uri:A.URI.revive(Re.location.uri)})})),duration:q.duration}}pe.to=se})(ze=e.TestState||(e.TestState={}));var Je;(function(pe){function Se(q){var Re,Le;return{extId:q.id,label:q.label,location:q.location?z.from(q.location):void 0,debuggable:(Re=q.debuggable)!==null&&Re!==void 0?Re:!1,description:q.description,runnable:(Le=q.runnable)!==null&&Le!==void 0?Le:!0}}pe.from=Se;function se(q){return{id:q.extId,label:q.label,location:q.location&&z.to({range:q.location.range,uri:A.URI.revive(q.location.uri)}),debuggable:q.debuggable,description:q.description,runnable:q.runnable}}pe.toShallow=se})(Je=e.TestItem||(e.TestItem={}));var Xe;(function(pe){function Se(Re,Le){var Ye,Ie,st;const rt={completedAt:Le.completedAt,id:Re,items:[]},qe=[[null,Le.results]];for(;qe.length;){const[ut,dt]=qe.pop();for(const ht of dt){const vt={children:(Ie=(Ye=ht.children)===null||Ye===void 0?void 0:Ye.map(yt=>yt.id))!==null&&Ie!==void 0?Ie:[],computedState:ht.result.state,item:Je.from(ht),state:ze.from(ht.result),retired:void 0,parent:(st=ut==null?void 0:ut.item.extId)!==null&&st!==void 0?st:null,providerId:"",direct:!ut};rt.items.push(vt),ht.children&&qe.push([vt,ht.children])}}return rt}pe.from=Se;const se=(Re,Le)=>Object.assign(Object.assign({},Je.toShallow(Re.item)),{result:ze.to(Re.state),children:Re.children.map(Ye=>Le.get(Ye)).filter(P.isDefined).map(Ye=>se(Ye,Le))});function q(Re){const Le=[],Ye=new Map;for(const Ie of Re.items)Ye.set(Ie.item.extId,Ie),Ie.direct&&Le.push(Ie);return{completedAt:Re.completedAt,results:Le.map(Ie=>se(Ie,Ye))}}pe.to=q})(Xe=e.TestResults||(e.TestResults={}))}),define(we[170],Ee([0,1,2,10,7,9,47]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class C{constructor(i,P,I,p={timeout:1500,errors:3}){this._logService=i,this._documents=P,this._mainThreadBulkEdits=I,this._thresholds=p,this._callbacks=new w.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(i){return(P,I,p)=>{const s={dispose:this._callbacks.push([P,I,i])};return Array.isArray(p)&&p.push(s),s}}async $participateInSave(i,P){const I=b.URI.revive(i);let p=!1;const d=setTimeout(()=>p=!0,this._thresholds.timeout),s=[];try{for(let h of[...this._callbacks]){if(p)break;const v=this._documents.getDocument(I),g=await this._deliverEventAsyncAndBlameBadListeners(h,{document:v,reason:A.TextDocumentSaveReason.to(P)});s.push(g)}}finally{clearTimeout(d)}return s}_deliverEventAsyncAndBlameBadListeners([i,P,I],p){const d=this._badListeners.get(i);return typeof d=="number"&&d>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(I,i,P,p).then(()=>!0,s=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' threw ERROR`),this._logService.error(s),!(s instanceof Error)||s.message!=="concurrent_edits"){const h=this._badListeners.get(i);this._badListeners.set(i,h?h+1:1),typeof h=="number"&&h>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(i,P,I,p){const d=[],s=Date.now(),{document:h,reason:v}=p,{version:g}=h,_=Object.freeze({document:h,reason:v,waitUntil(r){if(Object.isFrozen(d))throw S.illegalState("waitUntil can not be called async");d.push(Promise.resolve(r))}});try{P.apply(I,[_])}catch(r){return Promise.reject(r)}return Object.freeze(d),new Promise((r,l)=>{const u=setTimeout(()=>l(new Error("timeout")),this._thresholds.timeout);return Promise.all(d).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${i.identifier.value}' finished after ${Date.now()-s}ms`),clearTimeout(u),r(t)}).catch(t=>{clearTimeout(u),l(t)})}).then(r=>{const l={edits:[]};for(const u of r)if(Array.isArray(u)&&u.every(t=>t instanceof T.TextEdit))for(const{newText:t,newEol:o,range:a}of u)l.edits.push({_type:2,resource:h.uri,edit:{range:a&&A.Range.from(a),text:t,eol:o&&A.EndOfLine.from(o)}});if(l.edits.length!==0)return g===h.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(l):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=C}),define(we[171],Ee([0,1,3,15,28,2,9,7]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class D{constructor(I,p,d,s,h){this._onDidCreate=new b.Emitter,this._onDidChange=new b.Emitter,this._onDidDelete=new b.Emitter,this._config=0,d&&(this._config+=1),s&&(this._config+=2),h&&(this._config+=4);const v=T.parse(p),g=I(_=>{if(!d)for(let r of _.created){const l=A.URI.revive(r);v(l.fsPath)&&this._onDidCreate.fire(l)}if(!s)for(let r of _.changed){const l=A.URI.revive(r);v(l.fsPath)&&this._onDidChange.fire(l)}if(!h)for(let r of _.deleted){const l=A.URI.revive(r);v(l.fsPath)&&this._onDidDelete.fire(l)}});this._disposable=C.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,g)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class i{constructor(I,p,d){this._logService=p,this._extHostDocumentsAndEditors=d,this._onFileSystemEvent=new b.Emitter,this._onDidRenameFile=new b.Emitter,this._onDidCreateFile=new b.Emitter,this._onDidDeleteFile=new b.Emitter,this._onWillRenameFile=new S.AsyncEmitter,this._onWillCreateFile=new S.AsyncEmitter,this._onWillDeleteFile=new S.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(I,p,d,s){return new D(this._onFileSystemEvent.event,I,p,d,s)}$onFileEvent(I){this._onFileSystemEvent.fire(I)}$onDidRunFileOperation(I,p){switch(I){case 2:this._onDidRenameFile.fire(Object.freeze({files:p.map(d=>({oldUri:A.URI.revive(d.source),newUri:A.URI.revive(d.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:p.map(d=>A.URI.revive(d.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:p.map(d=>A.URI.revive(d.target))}));break;default:}}getOnWillRenameFileEvent(I){return this._createWillExecuteEvent(I,this._onWillRenameFile)}getOnWillCreateFileEvent(I){return this._createWillExecuteEvent(I,this._onWillCreateFile)}getOnWillDeleteFileEvent(I){return this._createWillExecuteEvent(I,this._onWillDeleteFile)}_createWillExecuteEvent(I,p){return(d,s,h)=>{const v=function(_){d.call(s,_)};return v.extension=I,p.event(v,void 0,h)}}async $onWillRunFileOperation(I,p,d,s){switch(I){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:p.map(h=>({oldUri:A.URI.revive(h.source),newUri:A.URI.revive(h.target)}))},d,s);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:p.map(h=>A.URI.revive(h.target))},d,s);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:p.map(h=>A.URI.revive(h.target))},d,s)}}async _fireWillEvent(I,p,d,s){const h=new Set,v=[];if(await I.fireAsync(p,s,async(_,r)=>{var l;const u=Date.now(),t=await Promise.resolve(_);t instanceof C.WorkspaceEdit&&(v.push(t),h.add((l=r.extension.displayName)!==null&&l!==void 0?l:r.extension.identifier.value)),Date.now()-u>d&&this._logService.warn("SLOW file-participant",r.extension.identifier)}),!s.isCancellationRequested&&v.length!==0){const g={edits:[]};for(let _ of v){let{edits:r}=w.WorkspaceEdit.from(_,this._extHostDocumentsAndEditors);g.edits=g.edits.concat(r)}return{edit:g,extensionNames:Array.from(h)}}}}e.ExtHostFileSystemEventService=i}),define(we[172],Ee([0,1,3,6,16,2,9,40]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class D{constructor(p,d,s,h){this.start=p,this.deletedCount=d,this.deletedItems=s,this.items=h}static asApiEvent(p){return Object.freeze({start:p.start,deletedCount:p.deletedCount,deletedItems:p.deletedItems,items:p.items.map(d=>d.cell)})}}class i{constructor(p,d,s){var h;this._notebook=p,this._extHostDocument=d,this._cellData=s,this._onDidDispose=new b.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=s.handle,this.uri=A.URI.revive(s.uri),this.cellKind=s.cellKind,this._outputs=s.outputs.map(w.NotebookCellOutput.to),this._metadata=w.NotebookCellMetadata.to((h=s.metadata)!==null&&h!==void 0?h:{})}static asModelAddData(p,d){return{EOL:d.eol,lines:d.source,modeId:d.language,uri:d.uri,isDirty:!1,versionId:1,notebook:p}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const p=this,d=this._extHostDocument.getDocument(this.uri);if(!d)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return p._notebook.getCellIndex(p)},notebook:p._notebook.notebookDocument,uri:p.uri,cellKind:w.NotebookCellKind.to(this._cellData.cellKind),document:d.document,get language(){return d.document.languageId},get outputs(){return p._outputs.slice(0)},set outputs(s){throw new Error("Use WorkspaceEdit to update cell outputs.")},get metadata(){return p._metadata},set metadata(s){throw new Error("Use WorkspaceEdit to update cell metadata.")}})}return this._cell}setOutputs(p){this._outputs=p.map(w.NotebookCellOutput.to)}setOutputItems(p,d,s){const h=s.map(w.NotebookCellOutputItem.to),v=this._outputs.find(g=>g.id===p);v&&(d||(v.outputs.length=0),v.outputs.push(...h))}setMetadata(p){this._metadata=w.NotebookCellMetadata.to(p)}}e.ExtHostCell=i;class P extends S.Disposable{constructor(p,d,s,h,v,g,_){super();this._proxy=p,this._documentsAndEditors=d,this._emitter=s,this._viewType=h,this._contentOptions=v,this._metadata=g,this.uri=_,this.handle=P._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),S.dispose(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const p=this;this._notebook=Object.freeze({get uri(){return p.uri},get version(){return p._versionId},get fileName(){return p.uri.fsPath},get viewType(){return p._viewType},get isDirty(){return p._isDirty},get isUntitled(){return p.uri.scheme===T.Schemas.untitled},get cells(){return p._cells.map(d=>d.cell)},get metadata(){return p._metadata},set metadata(d){throw new Error("Use WorkspaceEdit to update metadata.")},get contentOptions(){return p._contentOptions},save(){return p._save()}})}return this._notebook}updateBackup(p){var d;(d=this._backup)===null||d===void 0||d.delete(),this._backup=p}disposeBackup(){var p;(p=this._backup)===null||p===void 0||p.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(p){const d=Object.assign(Object.assign({},C.notebookDocumentMetadataDefaults),p.metadata);this._metadata=this._metadata.with(d),this._emitter.emitDocumentMetadataChange({document:this.notebookDocument})}acceptModelChanged(p,d){this._versionId=p.versionId,this._isDirty=d,p.rawEvents.forEach(s=>{s.kind===C.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(s.changes,!0),s.kind===C.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(s.changes,!1):s.kind===C.NotebookCellsChangeType.Move?this._moveCell(s.index,s.newIdx):s.kind===C.NotebookCellsChangeType.Output?this._setCellOutputs(s.index,s.outputs):s.kind===C.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(s.index,s.outputId,s.append,s.outputItems):s.kind===C.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(s.index,s.language):s.kind===C.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(s.index,s.metadata)})}async _save(){return this._disposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(p,d){if(!this._disposed){const s=[],h=[],v=[];p.reverse().forEach(g=>{var _;const l=g[2].map(o=>{const a=new i(this,this._documentsAndEditors,o);if(d||h.push(i.asModelAddData(this.notebookDocument,o)),!this._cellDisposableMapping.has(a.handle)){const c=new S.DisposableStore;c.add(a),this._cellDisposableMapping.set(a.handle,c)}return a});for(let o=g[0];o<g[0]+g[1];o++)(_=this._cellDisposableMapping.get(this._cells[o].handle))===null||_===void 0||_.dispose(),this._cellDisposableMapping.delete(this._cells[o].handle);const u=new D(g[0],g[1],[],l),t=this._cells.splice(g[0],g[1],...l);for(let o of t)v.push(o.uri),u.deletedItems.push(o.cell);s.push(u)}),this._documentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:h,removedDocuments:v}),d||this._emitter.emitModelChange({document:this.notebookDocument,changes:s.map(D.asApiEvent)})}}_moveCell(p,d){const s=this._cells.splice(p,1);this._cells.splice(d,0,...s);const h=[{start:p,deletedCount:1,deletedItems:s.map(v=>v.cell),items:[]},{start:d,deletedCount:0,deletedItems:[],items:s.map(v=>v.cell)}];this._emitter.emitModelChange({document:this.notebookDocument,changes:h})}_setCellOutputs(p,d){const s=this._cells[p];s.setOutputs(d),this._emitter.emitCellOutputsChange({document:this.notebookDocument,cells:[s.cell]})}_setCellOutputItems(p,d,s,h){const v=this._cells[p];v.setOutputItems(d,s,h),this._emitter.emitCellOutputsChange({document:this.notebookDocument,cells:[v.cell]})}_changeCellLanguage(p,d){const s=this._cells[p],h={document:this.notebookDocument,cell:s.cell,language:d};this._emitter.emitCellLanguageChange(h)}_changeCellMetadata(p,d){const s=this._cells[p];s.setMetadata(d||{});const h={document:this.notebookDocument,cell:s.cell};this._emitter.emitCellMetadataChange(h)}getCellFromIndex(p){return this._cells[p]}getCell(p){return this._cells.find(d=>d.handle===p)}getCellIndex(p){return this._cells.indexOf(p)}}e.ExtHostNotebookDocument=P,P._handlePool=0}),define(we[173],Ee([0,1,10,3,7,9,40]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class C{constructor(P){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=P}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(P){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:Object.assign(Object.assign({},w.notebookDocumentMetadataDefaults),P)})}replaceCellMetadata(P,I){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:P,metadata:I})}replaceCellOutput(P,I){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:P,outputs:I.map(p=>A.NotebookCellOutput.from(p))})}replaceCells(P,I,p){this._throwIfFinalized(),!(P===I&&p.length===0)&&this._collectedEdits.push({editType:1,index:P,count:I-P,cells:p.map(A.NotebookCellData.from)})}}class D{constructor(P,I,p,d){this.id=P,this._viewType=I,this._proxy=p,this.notebookData=d,this._selections=[],this._visibleRanges=[],this._active=!1,this._visible=!1,this._onDidDispose=new S.Emitter,this.onDidDispose=this._onDidDispose.event,this._hasDecorationsForKey=Object.create(null)}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const P=this;this._editor={get document(){return P.notebookData.notebookDocument},get selection(){return P._selection},get selections(){return P._selections},get visibleRanges(){return P._visibleRanges},revealRange(I,p){P._proxy.$tryRevealRange(P.id,A.NotebookCellRange.from(I),p!=null?p:T.NotebookEditorRevealType.Default)},get viewColumn(){return P._viewColumn},get onDidDispose(){return P.onDidDispose},edit(I){const p=new C(this.document.version);return I(p),P._applyEdit(p.finalize())},get kernel(){return P._kernel},setDecorations(I,p){return P.setDecorations(I,p)}}}return this._editor}_acceptKernel(P){this._kernel=P}get visible(){return this._visible}set visible(P){throw b.readonly("visible")}_acceptVisibility(P){this._visible=P}_acceptVisibleRanges(P){this._visibleRanges=P}_acceptSelections(P){var I;const p=P[0];this._selection=p?(I=this.notebookData.getCellFromIndex(p.start))===null||I===void 0?void 0:I.cell:void 0,this._selections=P.map(d=>new T.NotebookCellRange(d.start,d.end))}get active(){return this._active}set active(P){throw b.readonly("active")}_acceptActive(P){this._active=P}_applyEdit(P){if(P.cellEdits.length===0)return Promise.resolve(!0);const I=[];let p=-1;for(let d=0;d<P.cellEdits.length;d++){if(p<0){I.push(P.cellEdits[d]),p++;continue}const h=I[p];if(h.editType===1&&P.cellEdits[d].editType===1){const v=P.cellEdits[d];if(v.editType!==5&&h.index===v.index){h.cells.push(...P.cellEdits[d].cells),h.count+=P.cellEdits[d].count;continue}}I.push(P.cellEdits[d]),p++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,P.documentVersionId,I)}setDecorations(P,I){const p=I.start===I.end;if(!(p&&!this._hasDecorationsForKey[P.key]))return p?delete this._hasDecorationsForKey[P.key]:this._hasDecorationsForKey[P.key]=!0,this._proxy.$trySetDecorations(this.id,A.NotebookCellRange.from(I),P.key)}}e.ExtHostNotebookEditor=D}),define(we[174],Ee([0,1,9,147,129,20,45]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class C{constructor(I){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=I}withProgress(I,p,d){const s=this._handles++,{title:h,location:v,cancellable:g}=p,_=T.localize(0,null,I.displayName||I.name);return this._proxy.$startProgress(s,{location:b.ProgressLocation.from(v),title:h,source:_,cancellable:g},I),this._withProgress(s,d,!!g)}_withProgress(I,p,d){let s;d&&(s=new A.CancellationTokenSource,this._mapHandleToCancellationSource.set(I,s));const h=g=>{this._proxy.$progressEnd(g),this._mapHandleToCancellationSource.delete(g),s&&s.dispose()};let v;try{v=p(new i(this._proxy,I),d&&s?s.token:A.CancellationToken.None)}catch(g){throw h(I),g}return v.then(g=>h(I),g=>h(I)),v}$acceptProgressCanceled(I){const p=this._mapHandleToCancellationSource.get(I);p&&(p.cancel(),this._mapHandleToCancellationSource.delete(I))}}e.ExtHostProgress=C;function D(P,I){return P.message=I.message,typeof I.increment=="number"&&(typeof P.increment=="number"?P.increment+=I.increment:P.increment=I.increment),P}class i extends S.Progress{constructor(I,p){super(d=>this.throttledReport(d));this._proxy=I,this._handle=p}throttledReport(I){this._proxy.$progressReport(this._handle,I)}}Ke([w.throttle(100,(P,I)=>D(P,I),()=>Object.create(null))],i.prototype,"throttledReport",null)}),define(we[94],Ee([0,1,44,10,53,9,7]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class C{constructor(p,d){const s=C._Keys.nextId();p.$registerTextEditorDecorationType(s,A.DecorationRenderOptions.from(d)),this.value=Object.freeze({key:s,dispose(){p.$removeTextEditorDecorationType(s)}})}}e.TextEditorDecorationType=C,C._Keys=new T.IdGenerator("TextEditorDecorationType");class D{constructor(p,d){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=p,this._documentVersionId=p.version,this._undoStopBefore=d.undoStopBefore,this._undoStopAfter=d.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(p,d){this._throwIfFinalized();let s=null;if(p instanceof w.Position)s=new w.Range(p,p);else if(p instanceof w.Range)s=p;else throw new Error("Unrecognized location");this._pushEdit(s,d,!1)}insert(p,d){this._throwIfFinalized(),this._pushEdit(new w.Range(p,p),d,!0)}delete(p){this._throwIfFinalized();let d=null;if(p instanceof w.Range)d=p;else throw new Error("Unrecognized location");this._pushEdit(d,null,!0)}_pushEdit(p,d,s){const h=this._document.validateRange(p);this._collectedEdits.push({range:h,text:d,forceMoveMarkers:s})}setEndOfLine(p){if(this._throwIfFinalized(),p!==w.EndOfLine.LF&&p!==w.EndOfLine.CRLF)throw S.illegalArgument("endOfLine");this._setEndOfLine=p}}e.TextEditorEdit=D;class i{constructor(p,d,s,h){this._proxy=p,this._id=d,this._accept(s),this._logService=h;const v=this;this.value={get tabSize(){return v._tabSize},set tabSize(g){v._setTabSize(g)},get insertSpaces(){return v._insertSpaces},set insertSpaces(g){v._setInsertSpaces(g)},get cursorStyle(){return v._cursorStyle},set cursorStyle(g){v._setCursorStyle(g)},get lineNumbers(){return v._lineNumbers},set lineNumbers(g){v._setLineNumbers(g)}}}_accept(p){this._tabSize=p.tabSize,this._insertSpaces=p.insertSpaces,this._cursorStyle=p.cursorStyle,this._lineNumbers=A.TextEditorLineNumbersStyle.to(p.lineNumbers)}_validateTabSize(p){if(p==="auto")return"auto";if(typeof p=="number"){const d=Math.floor(p);return d>0?d:null}if(typeof p=="string"){const d=parseInt(p,10);return isNaN(d)?null:d>0?d:null}return null}_setTabSize(p){const d=this._validateTabSize(p);if(d!==null){if(typeof d=="number"){if(this._tabSize===d)return;this._tabSize=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:d}))}}_validateInsertSpaces(p){return p==="auto"?"auto":p==="false"?!1:Boolean(p)}_setInsertSpaces(p){const d=this._validateInsertSpaces(p);if(typeof d=="boolean"){if(this._insertSpaces===d)return;this._insertSpaces=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:d}))}_setCursorStyle(p){this._cursorStyle!==p&&(this._cursorStyle=p,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:p})))}_setLineNumbers(p){this._lineNumbers!==p&&(this._lineNumbers=p,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:A.TextEditorLineNumbersStyle.from(p)})))}assign(p){const d={};let s=!1;if(typeof p.tabSize!="undefined"){const h=this._validateTabSize(p.tabSize);h==="auto"?(s=!0,d.tabSize=h):typeof h=="number"&&this._tabSize!==h&&(this._tabSize=h,s=!0,d.tabSize=h)}if(typeof p.insertSpaces!="undefined"){const h=this._validateInsertSpaces(p.insertSpaces);h==="auto"?(s=!0,d.insertSpaces=h):this._insertSpaces!==h&&(this._insertSpaces=h,s=!0,d.insertSpaces=h)}typeof p.cursorStyle!="undefined"&&this._cursorStyle!==p.cursorStyle&&(this._cursorStyle=p.cursorStyle,s=!0,d.cursorStyle=p.cursorStyle),typeof p.lineNumbers!="undefined"&&this._lineNumbers!==p.lineNumbers&&(this._lineNumbers=p.lineNumbers,s=!0,d.lineNumbers=A.TextEditorLineNumbersStyle.from(p.lineNumbers)),s&&this._warnOnError(this._proxy.$trySetOptions(this._id,d))}_warnOnError(p){p.catch(d=>this._logService.warn(d))}}e.ExtHostTextEditorOptions=i;class P{constructor(p,d,s,h,v,g,_,r){this.id=p,this._proxy=d,this._logService=s,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=v,this._options=new i(this._proxy,this.id,g,s),this._visibleRanges=_,this._viewColumn=r;const l=this;this.value=Object.freeze({get document(){return h.getValue()},set document(u){throw S.readonly("document")},get selection(){return l._selections&&l._selections[0]},set selection(u){if(!(u instanceof w.Selection))throw S.illegalArgument("selection");l._selections=[u],l._trySetSelection()},get selections(){return l._selections},set selections(u){if(!Array.isArray(u)||u.some(t=>!(t instanceof w.Selection)))throw S.illegalArgument("selections");l._selections=u,l._trySetSelection()},get visibleRanges(){return l._visibleRanges},set visibleRanges(u){throw S.readonly("visibleRanges")},get options(){return l._options.value},set options(u){l._disposed||l._options.assign(u)},get viewColumn(){return l._viewColumn},set viewColumn(u){throw S.readonly("viewColumn")},edit(u,t={undoStopBefore:!0,undoStopAfter:!0}){if(l._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const o=new D(h.getValue(),t);return u(o),l._applyEdit(o)},insertSnippet(u,t,o={undoStopBefore:!0,undoStopAfter:!0}){if(l._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let a;if(!t||Array.isArray(t)&&t.length===0)a=l._selections.map(c=>A.Range.from(c));else if(t instanceof w.Position){const{lineNumber:c,column:n}=A.Position.from(t);a=[{startLineNumber:c,startColumn:n,endLineNumber:c,endColumn:n}]}else if(t instanceof w.Range)a=[A.Range.from(t)];else{a=[];for(const c of t)if(c instanceof w.Range)a.push(A.Range.from(c));else{const{lineNumber:n,column:f}=A.Position.from(c);a.push({startLineNumber:n,startColumn:f,endLineNumber:n,endColumn:f})}}return d.$tryInsertSnippet(p,u.value,a,o)},setDecorations(u,t){const o=t.length===0;o&&!l._hasDecorationsForKey.has(u.key)||(o?l._hasDecorationsForKey.delete(u.key):l._hasDecorationsForKey.add(u.key),l._runOnProxy(()=>{if(A.isDecorationOptionsArr(t))return d.$trySetDecorations(p,u.key,A.fromRangeOrRangeWithMessage(t));{const a=new Array(4*t.length);for(let c=0,n=t.length;c<n;c++){const f=t[c];a[4*c]=f.start.line+1,a[4*c+1]=f.start.character+1,a[4*c+2]=f.end.line+1,a[4*c+3]=f.end.character+1}return d.$trySetDecorationsFast(p,u.key,a)}}))},revealRange(u,t){l._runOnProxy(()=>d.$tryRevealRange(p,A.Range.from(u),t||w.TextEditorRevealType.Default))},show(u){d.$tryShowEditor(p,A.ViewColumn.from(u))},hide(){d.$tryHideEditor(p)}})}dispose(){b.ok(!this._disposed),this._disposed=!0}_acceptOptions(p){b.ok(!this._disposed),this._options._accept(p)}_acceptVisibleRanges(p){b.ok(!this._disposed),this._visibleRanges=p}_acceptViewColumn(p){b.ok(!this._disposed),this._viewColumn=p}_acceptSelections(p){b.ok(!this._disposed),this._selections=p}async _trySetSelection(){const p=this._selections.map(A.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,p)),this.value}_applyEdit(p){const d=p.finalize();if(d.edits.length===0&&!d.setEndOfLine)return Promise.resolve(!0);const s=d.edits.map(v=>v.range);s.sort((v,g)=>v.end.line===g.end.line?v.end.character===g.end.character?v.start.line===g.start.line?v.start.character-g.start.character:v.start.line-g.start.line:v.end.character-g.end.character:v.end.line-g.end.line);for(let v=0,g=s.length-1;v<g;v++){const _=s[v].end;if(s[v+1].start.isBefore(_))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const h=d.edits.map(v=>({range:A.Range.from(v.range),text:v.text,forceMoveMarkers:v.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,d.documentVersionId,h,{setEndOfLine:typeof d.setEndOfLine=="number"?A.EndOfLine.from(d.setEndOfLine):void 0,undoStopBefore:d.undoStopBefore,undoStopAfter:d.undoStopAfter})}_runOnProxy(p){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):p().then(()=>this,d=>(d instanceof Error&&d.name==="DISPOSED"||this._logService.warn(d),null))}}e.ExtHostTextEditor=P}),define(we[175],Ee([0,1,132,24,2,3,6,15,7,13,11,9,20]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function d(v,g){if(i.isString(v))return{label:v};if(v&&typeof v=="object"&&typeof v.label=="string"){let _;return Array.isArray(v.highlights)&&(_=v.highlights.filter(r=>r.length===2&&typeof r[0]=="number"&&typeof r[1]=="number"),_=_.length?_:void 0),{label:v.label,highlights:_}}}class s{constructor(g,_,r){this._proxy=g,this.commands=_,this.logService=r,this.treeViews=new Map;function l(u){return u&&u.$treeViewId&&u.$treeItemHandle}_.registerArgumentProcessor({processArgument:u=>l(u)?this.convertArgument(u):Array.isArray(u)&&u.length>0?u.map(t=>l(t)?this.convertArgument(t):t):u})}registerTreeDataProvider(g,_,r){const l=this.createTreeView(g,{treeDataProvider:_},r);return{dispose:()=>l.dispose()}}createTreeView(g,_,r){if(!_||!_.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const l=this._proxy.$registerTreeViewDataProvider(g,{showCollapseAll:!!_.showCollapseAll,canSelectMany:!!_.canSelectMany}),u=this.createExtHostTreeView(g,_,r);return{get onDidCollapseElement(){return u.onDidCollapseElement},get onDidExpandElement(){return u.onDidExpandElement},get selection(){return u.selectedElements},get onDidChangeSelection(){return u.onDidChangeSelection},get visible(){return u.visible},get onDidChangeVisibility(){return u.onDidChangeVisibility},get message(){return u.message},set message(t){u.message=t},get title(){return u.title},set title(t){u.title=t},get description(){return u.description},set description(t){u.description=t},reveal:(t,o)=>u.reveal(t,o),dispose:async()=>{await l,this.treeViews.delete(g),u.dispose()}}}$getChildren(g,_){const r=this.treeViews.get(g);return r?r.getChildren(_):Promise.reject(new Error(b.localize(0,null,g)))}async $hasResolve(g){const _=this.treeViews.get(g);if(!_)throw new Error(b.localize(1,null,g));return _.hasResolve}$resolve(g,_,r){const l=this.treeViews.get(g);if(!l)throw new Error(b.localize(2,null,g));return l.resolveTreeItem(_,r)}$setExpanded(g,_,r){const l=this.treeViews.get(g);if(!l)throw new Error(b.localize(3,null,g));l.setExpanded(_,r)}$setSelection(g,_){const r=this.treeViews.get(g);if(!r)throw new Error(b.localize(4,null,g));r.setSelection(_)}$setVisible(g,_){const r=this.treeViews.get(g);if(!r)throw new Error(b.localize(5,null,g));r.setVisible(_)}createExtHostTreeView(g,_,r){const l=new h(g,_,this._proxy,this.commands.converter,this.logService,r);return this.treeViews.set(g,l),l}convertArgument(g){const _=this.treeViews.get(g.$treeViewId);return _?_.getExtensionElement(g.$treeItemHandle):null}}e.ExtHostTreeViews=s;class h extends w.Disposable{constructor(g,_,r,l,u,t){super();if(this.viewId=g,this.proxy=r,this.commands=l,this.logService=u,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new A.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new A.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new A.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new A.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new A.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new p.CancellationTokenSource,t.contributes&&t.contributes.views)for(const c in t.contributes.views)for(const n of t.contributes.views[c])n.id===g&&(this._title=n.name);this.dataProvider=_.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(c=>this._onDidChangeData.fire({message:!1,element:c})));let o,a;this._register(A.Event.debounce(this._onDidChangeData.event,(c,n)=>(c||(c={message:!1,elements:[]}),n.element!==!1&&(o||(o=new Promise(f=>a=f),this.refreshPromise=this.refreshPromise.then(()=>o)),c.elements.push(n.element)),n.message&&(c.message=!0),c),200,!0)(({message:c,elements:n})=>{n.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const f=a;return o=null,this.refresh(n).then(()=>f())})),c&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(g=>this.getExtensionElement(g)).filter(g=>!i.isUndefinedOrNull(g))}getChildren(g){const _=g?this.getExtensionElement(g):void 0;if(g&&!_)return this.logService.error(`No tree item with id '${g}' found.`),Promise.resolve([]);const r=this.getChildrenNodes(g);return(r?Promise.resolve(r):this.fetchChildrenNodes(_)).then(l=>l.map(u=>u.item))}getExtensionElement(g){return this.elements.get(g)}reveal(g,_){_=_||{select:!0,focus:!1};const r=i.isUndefinedOrNull(_.select)?!0:_.select,l=i.isUndefinedOrNull(_.focus)?!1:_.focus,u=i.isUndefinedOrNull(_.expand)?!1:_.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):g?this.refreshPromise.then(()=>this.resolveUnknownParentChain(g)).then(t=>this.resolveTreeNode(g,t[t.length-1]).then(o=>this.proxy.$reveal(this.viewId,{item:o.item,parentChain:t.map(a=>a.item)},{select:r,focus:l,expand:u})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:r,focus:l,expand:u})}get message(){return this._message}set message(g){this._message=g,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(g){this._title=g,this.proxy.$setTitle(this.viewId,g,this._description)}get description(){return this._description}set description(g){this._description=g,this.proxy.$setTitle(this.viewId,this._title,g)}setExpanded(g,_){const r=this.getExtensionElement(g);r&&(_?this._onDidExpandElement.fire(Object.freeze({element:r})):this._onDidCollapseElement.fire(Object.freeze({element:r})))}setSelection(g){P.equals(this._selectedHandles,g)||(this._selectedHandles=g,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(g){g!==this._visible&&(this._visible=g,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(g,_){var r;if(!!this.dataProvider.resolveTreeItem){const l=this.elements.get(g);if(l){const u=this.nodes.get(l);if(u){const t=(r=await this.dataProvider.resolveTreeItem(u.extensionItem,l,_))!==null&&r!==void 0?r:u.extensionItem;return u.item.tooltip=this.getTooltip(t.tooltip),u.item.command=this.getCommand(u.disposableStore,t.command),u.item}}}}resolveUnknownParentChain(g){return this.resolveParent(g).then(_=>_?this.resolveUnknownParentChain(_).then(r=>this.resolveTreeNode(_,r[r.length-1]).then(l=>(r.push(l),r))):Promise.resolve([]))}resolveParent(g){const _=this.nodes.get(g);return _?Promise.resolve(_.parent?this.elements.get(_.parent.item.handle):void 0):C.asPromise(()=>this.dataProvider.getParent(g))}resolveTreeNode(g,_){const r=this.nodes.get(g);return r?Promise.resolve(r):C.asPromise(()=>this.dataProvider.getTreeItem(g)).then(l=>this.createHandle(g,l,_,!0)).then(l=>this.getChildren(_?_.item.handle:void 0).then(()=>{const u=this.getExtensionElement(l);if(u){const t=this.nodes.get(u);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${l}`)}))}getChildrenNodes(g){if(g){let _;if(typeof g=="string"){const r=this.getExtensionElement(g);_=r?this.nodes.get(r):void 0}else _=g;return _&&_.children||null}return this.roots}async fetchChildrenNodes(g){this.clearChildren(g);const _=new p.CancellationTokenSource(this._refreshCancellationSource.token);try{const r=g?this.nodes.get(g):void 0,l=await this.dataProvider.getChildren(g);if(_.token.isCancellationRequested)return[];const u=await Promise.all(P.coalesce(l||[]).map(async t=>{const o=await this.dataProvider.getTreeItem(t);return o&&!_.token.isCancellationRequested?this.createAndRegisterTreeNode(t,o,r):null}));return _.token.isCancellationRequested?[]:P.coalesce(u)}finally{_.dispose()}}refresh(g){if(g.some(r=>!r))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new p.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const r=this.getHandlesToRefresh(g);if(r.length)return this.refreshHandles(r)}return Promise.resolve(void 0)}getHandlesToRefresh(g){const _=new Set;for(const l of g){const u=this.nodes.get(l);if(u&&!_.has(u.item.handle)){let t=u;for(;t&&t.parent&&!_.has(t.parent.item.handle);){const o=this.elements.get(t.parent.item.handle);t=o?this.nodes.get(o):void 0}t&&!t.parent&&_.add(u.item.handle)}}const r=[];return _.forEach(l=>{const u=this.elements.get(l);if(u){const t=this.nodes.get(u);t&&(!t.parent||!_.has(t.parent.item.handle))&&r.push(l)}}),r}refreshHandles(g){const _={};return Promise.all(g.map(r=>this.refreshNode(r).then(l=>{l&&(_[r]=l.item)}))).then(()=>Object.keys(_).length?this.proxy.$refresh(this.viewId,_):void 0)}refreshNode(g){const _=this.getExtensionElement(g);if(_){const r=this.nodes.get(_);if(r)return this.clearChildren(_),C.asPromise(()=>this.dataProvider.getTreeItem(_)).then(l=>{if(l){const u=this.createTreeNode(_,l,r.parent);return this.updateNodeCache(_,u,r,r.parent),r.dispose(),u}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(g,_,r){const l=this.createTreeNode(g,_,r);if(_.id&&this.elements.has(l.item.handle))throw new Error(b.localize(6,null,_.id));return this.addNodeToCache(g,l),this.addNodeToParentCache(l,r),l}getTooltip(g){return D.MarkdownString.isMarkdownString(g)?I.MarkdownString.from(g):g}getCommand(g,_){return _?this.commands.toInternal(_,g):void 0}createTreeNode(g,_,r){const l=new w.DisposableStore,u=this.createHandle(g,_,r),t=this.getLightIconPath(_);return{item:{handle:u,parentHandle:r?r.item.handle:void 0,label:d(_.label,this.extension),description:_.description,resourceUri:_.resourceUri,tooltip:this.getTooltip(_.tooltip),command:this.getCommand(l,_.command),contextValue:_.contextValue,icon:t,iconDark:this.getDarkIconPath(_)||t,themeIcon:this.getThemeIcon(_),collapsibleState:i.isUndefinedOrNull(_.collapsibleState)?D.TreeItemCollapsibleState.None:_.collapsibleState,accessibilityInformation:_.accessibilityInformation},extensionItem:_,parent:r,children:void 0,disposableStore:l,dispose(){l.dispose()}}}getThemeIcon(g){return g.iconPath instanceof D.ThemeIcon?g.iconPath:void 0}createHandle(g,{id:_,label:r,resourceUri:l},u,t){if(_)return`${h.ID_HANDLE_PREFIX}/${_}`;const o=d(r,this.extension),a=u?u.item.handle:h.LABEL_HANDLE_PREFIX;let c=o?o.label:l?S.basename(l):"";c=c.indexOf("/")!==-1?c.replace("/","//"):c;const n=this.nodes.has(g)?this.nodes.get(g).item.handle:void 0,f=this.getChildrenNodes(u)||[];let y,k=0;do{if(y=`${a}/${k}:${c}`,t||!this.elements.has(y)||n===y)break;k++}while(k<=f.length);return y}getLightIconPath(g){if(g.iconPath&&!(g.iconPath instanceof D.ThemeIcon))return typeof g.iconPath=="string"||T.URI.isUri(g.iconPath)?this.getIconPath(g.iconPath):this.getIconPath(g.iconPath.light)}getDarkIconPath(g){if(g.iconPath&&!(g.iconPath instanceof D.ThemeIcon)&&g.iconPath.dark)return this.getIconPath(g.iconPath.dark)}getIconPath(g){return T.URI.isUri(g)?g:T.URI.file(g)}addNodeToCache(g,_){this.elements.set(_.item.handle,g),this.nodes.set(g,_)}updateNodeCache(g,_,r,l){this.elements.delete(_.item.handle),this.nodes.delete(g),_.item.handle!==r.item.handle&&this.elements.delete(r.item.handle),this.addNodeToCache(g,_);const u=this.getChildrenNodes(l)||[],t=u.filter(o=>o.item.handle===r.item.handle)[0];t&&u.splice(u.indexOf(t),1,_)}addNodeToParentCache(g,_){_?(_.children||(_.children=[]),_.children.push(g)):(this.roots||(this.roots=[]),this.roots.push(g))}clearChildren(g){if(g){const _=this.nodes.get(g);if(_){if(_.children)for(const r of _.children){const l=this.elements.get(r.item.handle);l&&this.clear(l)}_.children=void 0}}else this.clearAll()}clear(g){const _=this.nodes.get(g);if(_){if(_.children)for(const r of _.children){const l=this.elements.get(r.item.handle);l&&this.clear(l)}this.nodes.delete(g),this.elements.delete(_.item.handle),_.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(g=>g.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}h.LABEL_HANDLE_PREFIX="0",h.ID_HANDLE_PREFIX="1"}),define(we[176],Ee([0,1,11,15,45,9]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class w{constructor(){this.testIdsToInternal=new Set}getTestById(s){return b.mapFind(this.testIdsToInternal,h=>{const v=h.get(s);return v&&[h,v]})}createForHierarchy(s=()=>{}){return new i(this.createIdMap(),s)}createIdMap(){const s=new D;return this.testIdsToInternal.add(s),{object:s,dispose:()=>this.testIdsToInternal.delete(s)}}}e.OwnedTestCollection=w;var C;(function(d){d[d.Disconnected=0]="Disconnected",d[d.IsChild=1]="IsChild",d[d.IsParent=2]="IsParent",d[d.IsSame=3]="IsSame"})(C=e.TestPosition||(e.TestPosition={}));class D{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(s){if(this.map.has(s.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${s.item.extId}`);this.map.set(s.item.extId,s),s.parent||this._roots.add(s)}has(s){return this.map.has(s)}delete(s){const h=this.map.get(s);return h?(this.map.delete(s),this._roots.delete(h),!0):!1}get(s){return this.map.get(s)}comparePositions(s,h){const v=typeof s=="string"?this.map.get(s):s,g=typeof h=="string"?this.map.get(h):h;if(!v||!g)return 0;if(v===g)return 3;for(let _=this.map.get(g.parent);_;_=this.map.get(_.parent))if(_===v)return 1;for(let _=this.map.get(v.parent);_;_=this.map.get(_.parent))if(_===g)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=D;class i{constructor(s,h){this.testIdToInternal=s,this.publishDiff=h,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new S.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(s,h){this.addItem(s,h,null),this.debounceSendDiff.schedule()}getTestByReference(s){return this.testItemToInternal.get(s)}onItemChange(s,h){const v=this.testItemToInternal.get(s);if(!v){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(s,h,v.parent),this.debounceSendDiff.schedule()}collectDiff(){const s=this.diff;return this.diff=[],s}pushDiff(s){this.diff.push(s),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(s,h,v){let g=this.testItemToInternal.get(s);if(g)g.previousEquals(s)||(g.item=A.TestItem.from(s),g.previousEquals=p(s),this.diff.push([1,{parent:v,providerId:h,item:g.item}]));else{if(this.testIdToInternal.object.has(s.id))throw new Error(`Attempted to insert a duplicate test item ID ${s.id}`);g={actual:s,parent:v,item:A.TestItem.from(s),providerId:h,previousChildren:new Set,previousEquals:p(s)},this.testIdToInternal.object.add(g),this.testItemToInternal.set(s,g),this.diff.push([0,{parent:v,providerId:h,item:g.item}])}if(s.children){const _=g.previousChildren,r=new Set;for(const l of s.children){const u=this.testIdToInternal.object.get(l.id);u&&u.actual!==l&&this.removeItembyId(l.id);const t=this.addItem(l,h,g.item.extId);_.delete(t.item.extId),r.add(t.item.extId)}for(const l of _)this.removeItembyId(l);g.previousChildren=r}return g}removeItembyId(s){this.diff.push([2,s]);const h=[this.testIdToInternal.object.get(s)];for(;h.length;){const v=h.pop();if(!!v){this.testIdToInternal.object.delete(v.item.extId),this.testItemToInternal.delete(v.actual);for(const g of v.previousChildren)h.push(this.testIdToInternal.object.get(g))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const s=this.collectDiff();s.length&&this.publishDiff(s)}}Ke([T.throttle(200)],i.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=i;const I=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),p=d=>{const s=[];for(const h of I)s.push(d[h]);return h=>{for(let v=0;v<I.length;v++)if(s[v]!==h[I[v]])return!1;return!0}}}),define(we[177],Ee([0,1,25,3,12]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class A{constructor(P){this.removedDueToLooping=P}}e.DeltaExtensionsResult=A;class w{constructor(P){this._onDidChange=new S.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=P,this._initialize()}_initialize(){this._extensionDescriptions.sort(D),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const P of this._extensionDescriptions){if(this._extensionsMap.has(b.ExtensionIdentifier.toKey(P.identifier))){console.error("Extension `"+P.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(b.ExtensionIdentifier.toKey(P.identifier),P),this._extensionsArr.push(P),Array.isArray(P.activationEvents))for(let I of P.activationEvents)I==="onUri"&&(I=`onUri:${b.ExtensionIdentifier.toKey(P.identifier)}`),this._activationMap.has(I)||this._activationMap.set(I,[]),this._activationMap.get(I).push(P)}}keepOnly(P){const I=new Set;P.forEach(p=>I.add(b.ExtensionIdentifier.toKey(p))),this._extensionDescriptions=this._extensionDescriptions.filter(p=>I.has(b.ExtensionIdentifier.toKey(p.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(P,I){P.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(P));const p=w._findLoopingExtensions(this._extensionDescriptions);if(I=I.concat(p.map(d=>d.identifier)),I.length>0){const d=new Set;I.forEach(s=>d.add(b.ExtensionIdentifier.toKey(s))),this._extensionDescriptions=this._extensionDescriptions.filter(s=>!d.has(b.ExtensionIdentifier.toKey(s.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new A(p)}static _findLoopingExtensions(P){const I=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(v){this._nodesSet.has(v)||(this._nodesSet.add(v),this._nodesArr.push(v))}addArc(v,g){this.addNode(v),this.addNode(g),this._arcs.has(v)?this._arcs.get(v).push(g):this._arcs.set(v,[g])}getArcs(v){return this._arcs.has(v)?this._arcs.get(v):[]}hasOnlyGoodArcs(v,g){const _=I.getArcs(v);for(let r=0;r<_.length;r++)if(!g.has(_[r]))return!1;return!0}getNodes(){return this._nodesArr}};let p=new Map;for(let v of P){const g=b.ExtensionIdentifier.toKey(v.identifier);if(p.set(g,v),v.extensionDependencies)for(let _ of v.extensionDependencies){const r=b.ExtensionIdentifier.toKey(_);I.addArc(g,r)}}let d=new Set;I.getNodes().filter(v=>I.getArcs(v).length===0).forEach(v=>d.add(v));let s=I.getNodes().filter(v=>!d.has(v)),h;do{h=!1;for(let v=0;v<s.length;v++){const g=s[v];I.hasOnlyGoodArcs(g,d)&&(s.splice(v,1),v--,d.add(g),h=!0)}}while(h);return s.map(v=>p.get(v))}containsActivationEvent(P){return this._activationMap.has(P)}containsExtension(P){return this._extensionsMap.has(b.ExtensionIdentifier.toKey(P))}getExtensionDescriptionsForActivationEvent(P){const I=this._activationMap.get(P);return I?I.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(P){const I=this._extensionsMap.get(b.ExtensionIdentifier.toKey(P));return I||void 0}}e.ExtensionDescriptionRegistry=w;var C;(function(i){i[i.Builtin=0]="Builtin",i[i.User=1]="User",i[i.Dev=2]="Dev"})(C||(C={}));function D(i,P){const I=i.isBuiltin?0:i.isUnderDevelopment?2:1,p=P.isBuiltin?0:P.isUnderDevelopment?2:1;if(I!==p)return I-p;const d=T.posix.basename(i.extensionLocation.path),s=T.posix.basename(P.extensionLocation.path);return d<s?-1:d>s?1:0}}),define(we[178],Ee([0,1,26]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var S;(function(C){C[C.VersionMismatch=55]="VersionMismatch",C[C.StartTimeout60s=56]="StartTimeout60s",C[C.UnexpectedError=81]="UnexpectedError"})(S=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var T;(function(C){C[C.Initialized=0]="Initialized",C[C.Ready=1]="Ready",C[C.Terminate=2]="Terminate"})(T=e.MessageType||(e.MessageType={}));function A(C){const D=b.VSBuffer.alloc(1);switch(C){case 0:D.writeUInt8(1,0);break;case 1:D.writeUInt8(2,0);break;case 2:D.writeUInt8(3,0);break}return D}e.createMessageOfType=A;function w(C,D){if(C.byteLength!==1)return!1;switch(C.readUInt8(0)){case 1:return D===0;case 2:return D===1;case 3:return D===2;default:return!1}}e.isMessageOfType=w}),define(we[33],Ee([0,1,3,2,4,25,144]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new A.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:S.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=T.createDecorator("extensionService");class C{constructor(l){this.dependency=l}}e.MissingDependencyError=C;var D;(function(r){r[r.LocalProcess=0]="LocalProcess",r[r.LocalWebWorker=1]="LocalWebWorker",r[r.Remote=2]="Remote"})(D=e.ExtensionHostKind||(e.ExtensionHostKind={}));class i{constructor(l,u,t,o){this.codeLoadingTime=l,this.activateCallTime=u,this.activateResolvedTime=t,this.activationReason=o}}e.ActivationTimes=i;class P{constructor(l,u){this.description=l,this.value=u}}e.ExtensionPointContribution=P,e.ExtensionHostLogFileName="exthost";var I;(function(r){r[r.Normal=0]="Normal",r[r.Immediate=1]="Immediate"})(I=e.ActivationKind||(e.ActivationKind={}));function p(r){r.enableProposedApi||d(r)}e.checkProposedApiEnabled=p;function d(r){throw new Error(`[${r.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${r.identifier.value}`)}e.throwProposedApiError=d;function s(r){r.requiresWorkspaceTrust||h(r)}e.checkRequiresWorkspaceTrust=s;function h(r){throw new Error(`[${r.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=h;function v(r){return{type:r.isBuiltin?0:1,isBuiltin:r.isBuiltin||r.isUserBuiltin,identifier:{id:w.getGalleryExtensionId(r.publisher,r.name),uuid:r.uuid},manifest:r,location:r.extensionLocation}}e.toExtension=v;function g(r){return Object.assign(Object.assign({identifier:new A.ExtensionIdentifier(r.identifier.id),isBuiltin:r.type===0,isUserBuiltin:r.type===1&&r.isBuiltin,isUnderDevelopment:!1,extensionLocation:r.location},r.manifest),{uuid:r.identifier.uuid})}e.toExtensionDescription=g;class _{constructor(){this.onDidRegisterExtensions=b.Event.None,this.onDidChangeExtensionsStatus=b.Event.None,this.onDidChangeExtensions=b.Event.None,this.onWillActivateByEvent=b.Event.None,this.onDidChangeResponsiveChange=b.Event.None}activateByEvent(l){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(l){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(l){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(l){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(l,u){}_activateById(l,u){return Promise.resolve()}_onWillActivateExtension(l){}_onDidActivateExtension(l,u,t,o,a){}_onExtensionRuntimeError(l,u){}_onExtensionHostExit(l){}}e.NullExtensionService=_}),define(we[179],Ee([0,1,127,25,33,17]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const w=Promise.resolve(void 0);class C{constructor(h,v,g,_){this.startup=h,this.codeLoadingTime=v,this.activateCallTime=g,this.activateResolvedTime=_}}e.ExtensionActivationTimes=C,C.NONE=new C(!1,-1,-1,-1);class D{constructor(h){this._startup=h,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(h,v){return h===-1||v===-1?-1:v-h}build(){return new C(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=D;class i{constructor(h,v,g,_,r,l){this.activationFailed=h,this.activationFailedError=v,this.activationTimes=g,this.module=_,this.exports=r,this.subscriptions=l}}e.ActivatedExtension=i;class P extends i{constructor(h){super(!1,null,h,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=P;class I extends i{constructor(){super(!1,null,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=I;class p extends i{constructor(h){super(!0,h,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=p;let d=class{constructor(h,v,g,_,r){this._logService=r,this._registry=h,this._resolvedExtensionsSet=new Set,v.forEach(l=>this._resolvedExtensionsSet.add(S.ExtensionIdentifier.toKey(l))),this._hostExtensionsMap=new Map,g.forEach(l=>this._hostExtensionsMap.set(S.ExtensionIdentifier.toKey(l),l)),this._host=_,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(h){const v=S.ExtensionIdentifier.toKey(h);return this._activatedExtensions.has(v)}getActivatedExtension(h){const v=S.ExtensionIdentifier.toKey(h),g=this._activatedExtensions.get(v);if(!g)throw new Error("Extension `"+h.value+"` is not known or not activated");return g}activateByEvent(h,v){if(this._alreadyActivatedEvents[h])return w;const g=this._registry.getExtensionDescriptionsForActivationEvent(h);return this._activateExtensions(g.map(_=>({id:_.identifier,reason:{startup:v,extensionId:_.identifier,activationEvent:h}}))).then(()=>{this._alreadyActivatedEvents[h]=!0})}activateById(h,v){const g=this._registry.getExtensionDescription(h);if(!g)throw new Error("Extension `"+h+"` is not known");return this._activateExtensions([{id:g.identifier,reason:v}])}_handleActivateRequest(h,v,g){if(this._hostExtensionsMap.has(S.ExtensionIdentifier.toKey(h.id))){v[S.ExtensionIdentifier.toKey(h.id)]=h;return}const _=this._registry.getExtensionDescription(h.id);if(!_){this._host.onExtensionActivationError(h.id,new T.MissingDependencyError(h.id.value));const u=new Error(`Unknown dependency '${h.id.value}'`);this._activatedExtensions.set(S.ExtensionIdentifier.toKey(h.id),new p(u));return}const r=typeof _.extensionDependencies=="undefined"?[]:_.extensionDependencies;let l=!0;for(let u=0,t=r.length;u<t;u++){const o=r[u];if(!this._resolvedExtensionsSet.has(S.ExtensionIdentifier.toKey(o))){const a=this._activatedExtensions.get(S.ExtensionIdentifier.toKey(o));if(!(a&&!a.activationFailed)){if(a&&a.activationFailed){this._host.onExtensionActivationError(_.identifier,b.localize(0,null,_.displayName||_.identifier.value,o));const f=new Error(`Dependency ${o} failed to activate`);f.detail=a.activationFailedError,this._activatedExtensions.set(S.ExtensionIdentifier.toKey(_.identifier),new p(f));return}if(this._hostExtensionsMap.has(S.ExtensionIdentifier.toKey(o))){l=!1,v[S.ExtensionIdentifier.toKey(o)]={id:this._hostExtensionsMap.get(S.ExtensionIdentifier.toKey(o)),reason:h.reason};continue}const c=this._registry.getExtensionDescription(o);if(c){l=!1,v[S.ExtensionIdentifier.toKey(o)]={id:c.identifier,reason:h.reason};continue}this._host.onExtensionActivationError(_.identifier,new T.MissingDependencyError(o));const n=new Error(`Unknown dependency '${o}'`);this._activatedExtensions.set(S.ExtensionIdentifier.toKey(_.identifier),new p(n));return}}}l?v[S.ExtensionIdentifier.toKey(_.identifier)]=h:g.push(h)}_activateExtensions(h){if(h.length===0||(h=h.filter(r=>!this._activatedExtensions.has(S.ExtensionIdentifier.toKey(r.id))),h.length===0))return Promise.resolve(void 0);const v=Object.create(null),g=[];for(let r=0,l=h.length;r<l;r++)this._handleActivateRequest(h[r],v,g);for(let r=0,l=g.length;r<l;r++){const u=S.ExtensionIdentifier.toKey(g[r].id);v[u]&&delete v[u]}const _=Object.keys(v).map(r=>v[r]);return g.length===0?Promise.all(_.map(r=>this._activateExtension(r.id,r.reason))).then(r=>{}):this._activateExtensions(_).then(r=>this._activateExtensions(g))}_activateExtension(h,v){const g=S.ExtensionIdentifier.toKey(h);if(this._activatedExtensions.has(g))return Promise.resolve(void 0);const _=this._activatingExtensions.get(g);if(_)return _;const r=this._host.actualActivateExtension(h,v).then(void 0,l=>(this._host.onExtensionActivationError(h,b.localize(1,null,h.value,l.message)),this._logService.error(`Activating extension ${h.value} failed due to an error:`),this._logService.error(l),new p(l))).then(l=>{this._activatedExtensions.set(g,l),this._activatingExtensions.delete(g)});return this._activatingExtensions.set(g,r),r}};d=Ke([Qe(4,A.ILogService)],d),e.ExtensionsActivator=d}),define(we[180],Ee([0,1,10]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class S{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((A,w)=>{this._actualOk=A,this._actualErr=w,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(A){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=A,this._actual&&this._actualOk(A))}resolveErr(A){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=A,this._actual?this._actualErr(A):b.onUnexpectedError(A))}then(A,w){return this._ensureActual().then(A,w)}catch(A){return this._ensureActual().then(void 0,A)}finally(A){return this._ensureActual().finally(A)}}e.LazyPromise=S}),define(we[95],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class b{constructor(D,i){this.isMain=D,this.sid=i,this.nid=++b.count}}e.ProxyIdentifier=b,b.count=0;const S=[];function T(C){const D=new b(!0,C);return S[D.nid]=D,D}e.createMainContextProxyIdentifier=T;function A(C){const D=new b(!1,C);return S[D.nid]=D,D}e.createExtHostContextProxyIdentifier=A;function w(C){return S[C].sid}e.getStringIdentifierForProxy=w}),define(we[5],Ee([0,1,2,95,58]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var A;(function(r){r[r.Desktop=1]="Desktop",r[r.Web=2]="Web"})(A=e.UIKind||(e.UIKind={}));var w;(function(r){r[r.Default=0]="Default",r[r.InCenter=1]="InCenter",r[r.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",r[r.AtTop=3]="AtTop"})(w=e.TextEditorRevealType||(e.TextEditorRevealType={}));var C;(function(r){r[r.Editable=0]="Editable",r[r.SupportsHotExit=1]="SupportsHotExit"})(C=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var D;(function(r){r[r.Markdown=1]="Markdown",r[r.Code=2]="Code"})(D=e.CellKind||(e.CellKind={}));var i;(function(r){r[r.Text=1]="Text",r[r.Error=2]="Error",r[r.Rich=3]="Rich"})(i=e.CellOutputKind||(e.CellOutputKind={}));var P;(function(r){r[r.Default=0]="Default",r[r.InCenter=1]="InCenter",r[r.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",r[r.AtTop=3]="AtTop"})(P=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var I;(function(r){r[r.None=0]="None",r[r.Process=1]="Process",r[r.Output=2]="Output"})(I=e.CandidatePortSource||(e.CandidatePortSource={}));var p;(function(r){r.name="$ident";function l(t,o){return Object.defineProperty(t,r.name,{value:o,enumerable:!0}),t}r.mixin=l;function u(t){return t[r.name]}r.of=u})(p=e.ObjectIdentifier||(e.ObjectIdentifier={}));class d{static mixin(l){return l._id=d._n++,l}}e.IdObject=d,d._n=0;var s;(function(r){r.label="a",r.kind="b",r.detail="c",r.documentation="d",r.sortText="e",r.filterText="f",r.preselect="g",r.insertText="h",r.insertTextRules="i",r.range="j",r.commitCharacters="k",r.additionalTextEdits="l",r.command="m",r.kindModifier="n",r.label2="o"})(s=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var h;(function(r){r.defaultRanges="a",r.completions="b",r.isIncomplete="c",r.duration="d"})(h=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var v;(function(r){r[r.File=1]="File",r[r.Text=2]="Text",r[r.Cell=3]="Cell"})(v=e.WorkspaceEditType||(e.WorkspaceEditType={}));function g(r){if(r&&r.edits)for(const l of r.edits)typeof l.resource=="object"?l.resource=b.URI.revive(l.resource):(l.newUri=b.URI.revive(l.newUri),l.oldUri=b.URI.revive(l.oldUri)),l.metadata&&l.metadata.iconPath&&(l.metadata=T.revive(l.metadata));return r}e.reviveWorkspaceEditDto=g;var _;(function(r){r[r.Workspace=0]="Workspace",r[r.TextDocument=1]="TextDocument"})(_=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:S.createMainContextProxyIdentifier("MainThreadAuthentication"),MainThreadBulkEdits:S.createMainContextProxyIdentifier("MainThreadBulkEdits"),MainThreadClipboard:S.createMainContextProxyIdentifier("MainThreadClipboard"),MainThreadCommands:S.createMainContextProxyIdentifier("MainThreadCommands"),MainThreadComments:S.createMainContextProxyIdentifier("MainThreadComments"),MainThreadConfiguration:S.createMainContextProxyIdentifier("MainThreadConfiguration"),MainThreadConsole:S.createMainContextProxyIdentifier("MainThreadConsole"),MainThreadDebugService:S.createMainContextProxyIdentifier("MainThreadDebugService"),MainThreadDecorations:S.createMainContextProxyIdentifier("MainThreadDecorations"),MainThreadDiagnostics:S.createMainContextProxyIdentifier("MainThreadDiagnostics"),MainThreadDialogs:S.createMainContextProxyIdentifier("MainThreadDiaglogs"),MainThreadDocuments:S.createMainContextProxyIdentifier("MainThreadDocuments"),MainThreadDocumentContentProviders:S.createMainContextProxyIdentifier("MainThreadDocumentContentProviders"),MainThreadTextEditors:S.createMainContextProxyIdentifier("MainThreadTextEditors"),MainThreadEditorInsets:S.createMainContextProxyIdentifier("MainThreadEditorInsets"),MainThreadEditorTabs:S.createMainContextProxyIdentifier("MainThreadEditorTabs"),MainThreadErrors:S.createMainContextProxyIdentifier("MainThreadErrors"),MainThreadTreeViews:S.createMainContextProxyIdentifier("MainThreadTreeViews"),MainThreadDownloadService:S.createMainContextProxyIdentifier("MainThreadDownloadService"),MainThreadKeytar:S.createMainContextProxyIdentifier("MainThreadKeytar"),MainThreadLanguageFeatures:S.createMainContextProxyIdentifier("MainThreadLanguageFeatures"),MainThreadLanguages:S.createMainContextProxyIdentifier("MainThreadLanguages"),MainThreadLog:S.createMainContextProxyIdentifier("MainThread"),MainThreadMessageService:S.createMainContextProxyIdentifier("MainThreadMessageService"),MainThreadOutputService:S.createMainContextProxyIdentifier("MainThreadOutputService"),MainThreadProgress:S.createMainContextProxyIdentifier("MainThreadProgress"),MainThreadQuickOpen:S.createMainContextProxyIdentifier("MainThreadQuickOpen"),MainThreadStatusBar:S.createMainContextProxyIdentifier("MainThreadStatusBar"),MainThreadSecretState:S.createMainContextProxyIdentifier("MainThreadSecretState"),MainThreadStorage:S.createMainContextProxyIdentifier("MainThreadStorage"),MainThreadTelemetry:S.createMainContextProxyIdentifier("MainThreadTelemetry"),MainThreadTerminalService:S.createMainContextProxyIdentifier("MainThreadTerminalService"),MainThreadWebviews:S.createMainContextProxyIdentifier("MainThreadWebviews"),MainThreadWebviewPanels:S.createMainContextProxyIdentifier("MainThreadWebviewPanels"),MainThreadWebviewViews:S.createMainContextProxyIdentifier("MainThreadWebviewViews"),MainThreadCustomEditors:S.createMainContextProxyIdentifier("MainThreadCustomEditors"),MainThreadUrls:S.createMainContextProxyIdentifier("MainThreadUrls"),MainThreadUriOpeners:S.createMainContextProxyIdentifier("MainThreadUriOpeners"),MainThreadWorkspace:S.createMainContextProxyIdentifier("MainThreadWorkspace"),MainThreadFileSystem:S.createMainContextProxyIdentifier("MainThreadFileSystem"),MainThreadExtensionService:S.createMainContextProxyIdentifier("MainThreadExtensionService"),MainThreadSCM:S.createMainContextProxyIdentifier("MainThreadSCM"),MainThreadSearch:S.createMainContextProxyIdentifier("MainThreadSearch"),MainThreadTask:S.createMainContextProxyIdentifier("MainThreadTask"),MainThreadWindow:S.createMainContextProxyIdentifier("MainThreadWindow"),MainThreadLabelService:S.createMainContextProxyIdentifier("MainThreadLabelService"),MainThreadNotebook:S.createMainContextProxyIdentifier("MainThreadNotebook"),MainThreadTheming:S.createMainContextProxyIdentifier("MainThreadTheming"),MainThreadTunnelService:S.createMainContextProxyIdentifier("MainThreadTunnelService"),MainThreadTimeline:S.createMainContextProxyIdentifier("MainThreadTimeline"),MainThreadTesting:S.createMainContextProxyIdentifier("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:S.createExtHostContextProxyIdentifier("ExtHostCommands"),ExtHostConfiguration:S.createExtHostContextProxyIdentifier("ExtHostConfiguration"),ExtHostDiagnostics:S.createExtHostContextProxyIdentifier("ExtHostDiagnostics"),ExtHostDebugService:S.createExtHostContextProxyIdentifier("ExtHostDebugService"),ExtHostDecorations:S.createExtHostContextProxyIdentifier("ExtHostDecorations"),ExtHostDocumentsAndEditors:S.createExtHostContextProxyIdentifier("ExtHostDocumentsAndEditors"),ExtHostDocuments:S.createExtHostContextProxyIdentifier("ExtHostDocuments"),ExtHostDocumentContentProviders:S.createExtHostContextProxyIdentifier("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:S.createExtHostContextProxyIdentifier("ExtHostDocumentSaveParticipant"),ExtHostEditors:S.createExtHostContextProxyIdentifier("ExtHostEditors"),ExtHostTreeViews:S.createExtHostContextProxyIdentifier("ExtHostTreeViews"),ExtHostFileSystem:S.createExtHostContextProxyIdentifier("ExtHostFileSystem"),ExtHostFileSystemInfo:S.createExtHostContextProxyIdentifier("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:S.createExtHostContextProxyIdentifier("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:S.createExtHostContextProxyIdentifier("ExtHostLanguageFeatures"),ExtHostQuickOpen:S.createExtHostContextProxyIdentifier("ExtHostQuickOpen"),ExtHostExtensionService:S.createExtHostContextProxyIdentifier("ExtHostExtensionService"),ExtHostLogService:S.createExtHostContextProxyIdentifier("ExtHostLogService"),ExtHostTerminalService:S.createExtHostContextProxyIdentifier("ExtHostTerminalService"),ExtHostSCM:S.createExtHostContextProxyIdentifier("ExtHostSCM"),ExtHostSearch:S.createExtHostContextProxyIdentifier("ExtHostSearch"),ExtHostTask:S.createExtHostContextProxyIdentifier("ExtHostTask"),ExtHostWorkspace:S.createExtHostContextProxyIdentifier("ExtHostWorkspace"),ExtHostWindow:S.createExtHostContextProxyIdentifier("ExtHostWindow"),ExtHostWebviews:S.createExtHostContextProxyIdentifier("ExtHostWebviews"),ExtHostWebviewPanels:S.createExtHostContextProxyIdentifier("ExtHostWebviewPanels"),ExtHostCustomEditors:S.createExtHostContextProxyIdentifier("ExtHostCustomEditors"),ExtHostWebviewViews:S.createExtHostContextProxyIdentifier("ExtHostWebviewViews"),ExtHostEditorInsets:S.createExtHostContextProxyIdentifier("ExtHostEditorInsets"),ExtHostEditorTabs:S.createExtHostContextProxyIdentifier("ExtHostEditorTabs"),ExtHostProgress:S.createMainContextProxyIdentifier("ExtHostProgress"),ExtHostComments:S.createMainContextProxyIdentifier("ExtHostComments"),ExtHostSecretState:S.createMainContextProxyIdentifier("ExtHostSecretState"),ExtHostStorage:S.createMainContextProxyIdentifier("ExtHostStorage"),ExtHostUrls:S.createExtHostContextProxyIdentifier("ExtHostUrls"),ExtHostUriOpeners:S.createExtHostContextProxyIdentifier("ExtHostUriOpeners"),ExtHostOutputService:S.createMainContextProxyIdentifier("ExtHostOutputService"),ExtHosLabelService:S.createMainContextProxyIdentifier("ExtHostLabelService"),ExtHostNotebook:S.createMainContextProxyIdentifier("ExtHostNotebook"),ExtHostTheming:S.createMainContextProxyIdentifier("ExtHostTheming"),ExtHostTunnelService:S.createMainContextProxyIdentifier("ExtHostTunnelService"),ExtHostAuthentication:S.createMainContextProxyIdentifier("ExtHostAuthentication"),ExtHostTimeline:S.createMainContextProxyIdentifier("ExtHostTimeline"),ExtHostTesting:S.createMainContextProxyIdentifier("ExtHostTesting")}}),define(we[71],Ee([0,1,5,3,4]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class A{constructor(C){this._onDidChangePassword=new S.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=C.getProxy(b.MainContext.MainThreadSecretState)}async $onDidChangePassword(C){this._onDidChangePassword.fire(C)}get(C,D){return this._proxy.$getPassword(C,D)}store(C,D,i){return this._proxy.$setPassword(C,D,i)}delete(C,D){return this._proxy.$deletePassword(C,D)}}e.ExtHostSecretState=A,e.IExtHostSecretState=T.createDecorator("IExtHostSecretState")}),define(we[72],Ee([0,1,4,17,5,14]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=b.createDecorator("IExtHostApiDeprecationService");let w=class{constructor(D,i){this._extHostLogService=i,this._reportedUsages=new Set,this._telemetryShape=D.getProxy(T.MainContext.MainThreadTelemetry)}report(D,i,P){const I=this.getUsageKey(D,i);this._reportedUsages.has(I)||(this._reportedUsages.add(I),i.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${D}' is deprecated. ${P}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:i.identifier.value,apiId:D}))}getUsageKey(D,i){return`${D}-${i.identifier.value}`}};w=Ke([Qe(0,A.IExtHostRpcService),Qe(1,S.ILogService)],w),e.ExtHostApiDeprecationService=w,e.NullApiDeprecationService=Object.freeze(new class{report(C,D,i){}})}),define(we[181],Ee([0,1,3,5,7,25]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class w{constructor(D){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new b.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new b.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=D.getProxy(S.MainContext.MainThreadAuthentication)}$setProviders(D){return this._providers=D,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(D,i,P,I={}){const p=A.ExtensionIdentifier.toKey(D.identifier),d=this._inFlightRequests.get(p)||[],s=P.sort().join(" ");let h=d.find(v=>v.scopes===s);if(h)return h.result;{const v=this._getSession(D,p,i,P,I);h={scopes:s,result:v},d.push(h),this._inFlightRequests.set(p,d);try{await v}finally{const g=d.findIndex(_=>_.scopes===s);g>-1&&(d.splice(g),this._inFlightRequests.set(p,d))}return v}}async _getSession(D,i,P,I,p={}){await this._proxy.$ensureProvider(P);const d=D.displayName||D.name;return this._proxy.$getSession(P,I,i,d,p)}async removeSession(D,i){const P=this._authenticationProviders.get(D);return P?P.provider.removeSession(i):this._proxy.$removeSession(D,i)}registerAuthenticationProvider(D,i,P,I){var p;if(this._authenticationProviders.get(D))throw new Error(`An authentication provider with id '${D}' is already registered.`);this._authenticationProviders.set(D,{label:i,provider:P,options:I!=null?I:{supportsMultipleAccounts:!1}}),this._providers.find(s=>s.id===D)||this._providers.push({id:D,label:i});const d=P.onDidChangeSessions(s=>{var h,v,g;this._proxy.$sendDidChangeSessions(D,{added:(h=s.added)!==null&&h!==void 0?h:[],changed:(v=s.changed)!==null&&v!==void 0?v:[],removed:(g=s.removed)!==null&&g!==void 0?g:[]})});return this._proxy.$registerAuthenticationProvider(D,i,(p=I==null?void 0:I.supportsMultipleAccounts)!==null&&p!==void 0?p:!1),new T.Disposable(()=>{d.dispose(),this._authenticationProviders.delete(D);const s=this._providers.findIndex(h=>h.id===D);s>-1&&this._providers.splice(s),this._proxy.$unregisterAuthenticationProvider(D)})}$createSession(D,i){const P=this._authenticationProviders.get(D);if(P)return Promise.resolve(P.provider.createSession(i));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$removeSession(D,i){const P=this._authenticationProviders.get(D);if(P)return Promise.resolve(P.provider.removeSession(i));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$getSessions(D,i){const P=this._authenticationProviders.get(D);if(P)return Promise.resolve(P.provider.getSessions(i));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$onDidChangeAuthenticationSessions(D,i){return this._onDidChangeSessions.fire({provider:{id:D,label:i}}),Promise.resolve()}$onDidChangeAuthenticationProviders(D,i){return D.forEach(P=>{this._providers.some(I=>I.id===P.id)||this._providers.push(P)}),i.forEach(P=>{const I=this._providers.findIndex(p=>p.id===P.id);I>-1&&this._providers.splice(I)}),this._onDidChangeAuthenticationProviders.fire({added:D,removed:i}),Promise.resolve()}}e.ExtHostAuthentication=w}),define(we[182],Ee([0,1,5,14,9]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let A=class{constructor(C,D,i){this._extHostDocumentsAndEditors=D,this._extHostNotebooks=i,this._proxy=C.getProxy(b.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(C){const D=T.WorkspaceEdit.from(C,this._extHostDocumentsAndEditors,this._extHostNotebooks);return this._proxy.$tryApplyWorkspaceEdit(D)}};A=Ke([Qe(0,S.IExtHostRpcService)],A),e.ExtHostBulkEdits=A}),define(we[183],Ee([0,1,5]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class S{constructor(A){const w=A.getProxy(b.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return w.$readText()},writeText(C){return w.$writeText(C)}})}}e.ExtHostClipboard=S}),define(we[73],Ee([0,1,13,7,9,23,5,11,17,58,32,39,2,6,4,14]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let v=class{constructor(t,o){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(w.MainContext.MainThreadCommands),this._logService=o,this.converter=new g(this,a=>{const c=this._apiCommands.get(a);return(c==null?void 0:c.result)===r.Void?c:void 0},o),this._argumentProcessors=[{processArgument(a){return i.revive(a)}},{processArgument(a){return A.cloneAndChange(a,function(c){if(P.Range.isIRange(c))return T.Range.to(c);if(I.Position.isIPosition(c))return T.Position.to(c);if(P.Range.isIRange(c.range)&&p.URI.isUri(c.uri))return T.location.to(c);if(!Array.isArray(c))return c})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const o=this.registerCommand(!1,t.id,async(...a)=>{const c=t.args.map((f,y)=>{if(!f.validate(a[y]))throw new Error(`Invalid argument '${f.name}' when running '${t.id}', received: ${a[y]}`);return f.convert(a[y])}),n=await this.executeCommand(t.internalId,...c);return t.result.convert(n,a,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new S.Disposable(()=>{o.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,o,a,c,n){if(this._logService.trace("ExtHostCommands#registerCommand",o),!o.trim().length)throw new Error("invalid id");if(this._commands.has(o))throw new Error(`command '${o}' already exists`);return this._commands.set(o,{callback:a,thisArg:c,description:n}),t&&this._proxy.$registerCommand(o),new S.Disposable(()=>{this._commands.delete(o)&&t&&this._proxy.$unregisterCommand(o)})}executeCommand(t,...o){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,o,!0)}async _doExecuteCommand(t,o,a){if(this._commands.has(t))return this._executeContributedCommand(t,o);{const c=A.cloneAndChange(o,function(n){if(n instanceof S.Position)return T.Position.from(n);if(n instanceof S.Range)return T.Range.from(n);if(n instanceof S.Location)return T.location.from(n);if(!Array.isArray(n))return n});try{const n=await this._proxy.$executeCommand(t,c,a);return i.revive(n)}catch(n){if(n instanceof Error&&n.message==="$executeCommand:retry")return this._doExecuteCommand(t,o,!1);throw n}}}async _executeContributedCommand(t,o){const a=this._commands.get(t);if(!a)throw new Error("Unknown command");let{callback:c,thisArg:n,description:f}=a;if(f)for(let y=0;y<f.args.length;y++)try{b.validateConstraint(o[y],f.args[y].constraint)}catch(k){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${f.args[y].name}' - ${f.args[y].description}`)}try{return await c.apply(n,o)}catch(y){if(t===this.converter.delegatingCommandId){const k=this.converter.getActualCommand(...o);k&&(t=k.command)}throw this._logService.error(y,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...o){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(o=o.map(a=>this._argumentProcessors.reduce((c,n)=>n.processArgument(c),a)),this._executeContributedCommand(t,o)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(o=>(t&&(o=o.filter(a=>a[0]!=="_")),o))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[o,a]of this._commands){let{description:c}=a;c&&(t[o]=c)}return Promise.resolve(t)}};v=Ke([Qe(0,h.IExtHostRpcService),Qe(1,D.ILogService)],v),e.ExtHostCommands=v,e.IExtHostCommands=s.createDecorator("IExtHostCommands");class g{constructor(t,o,a){this._commands=t,this._lookupApiCommand=o,this._logService=a,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,o){if(!!t){const a={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return a;const c=this._lookupApiCommand(t.command);if(c)a.id=c.internalId,a.arguments=c.args.map((n,f)=>n.convert(t.arguments&&t.arguments[f]));else if(C.isNonEmptyArray(t.arguments)){const n=++this._cachIdPool;this._cache.set(n,t),o.add(d.toDisposable(()=>{this._cache.delete(n),this._logService.trace("CommandsConverter#DISPOSE",n)})),a.$ident=n,a.id=this.delegatingCommandId,a.arguments=[n],this._logService.trace("CommandsConverter#CREATE",t.command,n)}return a}}fromInternal(t){const o=w.ObjectIdentifier.of(t);return typeof o=="number"?this._cache.get(o):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const o=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],o?o.command:"MISSING"),o?this._commands.executeCommand(o.command,...o.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=g;class _{constructor(t,o,a,c){this.name=t,this.description=o,this.validate=a,this.convert=c}optional(){return new _(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,o){return new _(t!=null?t:this.name,o!=null?o:this.description,this.validate,this.convert)}}e.ApiCommandArgument=_,_.Uri=new _("uri","Uri of a text document",u=>p.URI.isUri(u),u=>u),_.Position=new _("position","A position in a text document",u=>S.Position.isPosition(u),T.Position.from),_.Range=new _("range","A range in a text document",u=>S.Range.isRange(u),T.Range.from),_.Selection=new _("selection","A selection in a text document",u=>S.Selection.isSelection(u),T.Selection.from),_.Number=new _("number","",u=>typeof u=="number",u=>u),_.String=new _("string","",u=>typeof u=="string",u=>u),_.CallHierarchyItem=new _("item","A call hierarchy item",u=>u instanceof S.CallHierarchyItem,T.CallHierarchyItem.to);class r{constructor(t,o){this.description=t,this.convert=o}}e.ApiCommandResult=r,r.Void=new r("no result",u=>u);class l{constructor(t,o,a,c,n){this.id=t,this.internalId=o,this.description=a,this.args=c,this.result=n}}e.ApiCommand=l}),define(we[184],Ee([0,1,6,9,7,63,73,159,11,84]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const P=[new w.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",p(S.DocumentHighlight.to))),new w.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[w.ApiCommandArgument.Uri],new w.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(s,h)=>{if(!D.isFalsyOrEmpty(s)){class v extends T.SymbolInformation{static to(_){const r=new v(_.name,S.SymbolKind.to(_.kind),_.containerName||"",new T.Location(h[0],S.Range.to(_.range)));return r.detail=_.detail,r.range=r.location.range,r.selectionRange=S.Range.to(_.selectionRange),r.children=_.children?_.children.map(v.to):[],r}}return s.map(v.to)}})),new w.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[w.ApiCommandArgument.Uri,new w.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new w.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(S.TextEdit.to))),new w.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Range,new w.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new w.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(S.TextEdit.to))),new w.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position,new w.ApiCommandArgument("ch","Trigger character",s=>typeof s=="string",s=>s),new w.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new w.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(S.TextEdit.to))),new w.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new w.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new w.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new w.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new w.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Location-instances.",p(S.location.to))),new w.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A promise that resolves to an array of Hover-instances.",p(S.Hover.to))),new w.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[w.ApiCommandArgument.Uri,new w.ApiCommandArgument("position","A position in a text document",s=>Array.isArray(s)&&s.every(h=>T.Position.isPosition(h)),s=>s.map(S.Position.from))],new w.ApiCommandResult("A promise that resolves to an array of ranges.",s=>s.map(h=>{let v;for(const g of h.reverse())v=new T.SelectionRange(S.Range.to(g),v);return v}))),new w.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[w.ApiCommandArgument.String.with("query","Search string")],new w.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",s=>{const h=[];if(Array.isArray(s))for(let v of s)h.push(...v[1].map(S.WorkspaceSymbol.to));return h})),new w.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position],new w.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyItem.to))),new w.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[w.ApiCommandArgument.CallHierarchyItem],new w.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyIncomingCall.to))),new w.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[w.ApiCommandArgument.CallHierarchyItem],new w.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(S.CallHierarchyOutgoingCall.to))),new w.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position,w.ApiCommandArgument.String.with("newName","The new symbol name")],new w.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",s=>{if(!!s){if(s.rejectReason)throw new Error(s.rejectReason);return S.WorkspaceEdit.to(s)}})),new w.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new w.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",s=>s.map(S.DocumentLink.to))),new w.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[w.ApiCommandArgument.Uri],new w.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new T.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new w.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[w.ApiCommandArgument.Uri],new w.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const h=i.decodeSemanticTokensDto(s);if(h.type==="full")return new T.SemanticTokens(h.data,void 0)}})),new w.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[w.ApiCommandArgument.Uri],new w.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new T.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new w.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Range],new w.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const h=i.decodeSemanticTokensDto(s);if(h.type==="full")return new T.SemanticTokens(h.data,void 0)}})),new w.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position,w.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),w.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new w.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(s,h,v)=>{if(!s)return new T.CompletionList([]);const g=s.suggestions.map(_=>S.CompletionItem.to(_,v));return new T.CompletionList(g,s.incomplete)})),new w.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Position,w.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new w.ApiCommandResult("A promise that resolves to SignatureHelp.",s=>{if(s)return S.SignatureHelp.to(s)})),new w.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new w.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(s,h,v)=>p(g=>new T.CodeLens(S.Range.to(g.range),g.command&&v.fromInternal(g.command)))(s))),new w.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[w.ApiCommandArgument.Uri,new w.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",s=>T.Range.isRange(s),s=>T.Selection.isSelection(s)?S.Selection.from(s):S.Range.from(s)),w.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),w.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new w.ApiCommandResult("A promise that resolves to an array of Command-instances.",(s,h,v)=>p(g=>{if(g._isSynthetic){if(!g.command)throw new Error("Synthetic code actions must have a command");return v.fromInternal(g.command)}else{const _=new T.CodeAction(g.title,g.kind?new T.CodeActionKind(g.kind):void 0);return g.edit&&(_.edit=S.WorkspaceEdit.to(g.edit)),g.command&&(_.command=v.fromInternal(g.command)),_.isPreferred=g.isPreferred,_}})(s))),new w.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[w.ApiCommandArgument.Uri],new w.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",s=>s?s.map(h=>new T.ColorInformation(S.Range.to(h.range),S.Color.to(h.color))):[])),new w.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new w.ApiCommandArgument("color","The color to show and insert",s=>s instanceof T.Color,S.Color.from),new w.ApiCommandArgument("context","Context object with uri and range",s=>!0,s=>({uri:s.uri,range:S.Range.from(s.range)}))],new w.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",s=>s?s.map(S.ColorPresentation.to):[])),new w.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Range],new w.ApiCommandResult("A promise that resolves to an array of InlineHint objects",s=>s.map(S.InlineHint.to))),new w.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new w.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",p(s=>({viewType:s.viewType,displayName:s.displayName,options:{transientOutputs:s.options.transientOutputs,transientMetadata:s.options.transientMetadata},filenamePattern:s.filenamePattern.map(h=>S.NotebookExclusiveDocumentPattern.to(h))})))),new w.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[w.ApiCommandArgument.Uri,w.ApiCommandArgument.Range],new w.ApiCommandResult("A promise that resolves to an array of InlineValue objects",s=>s.map(S.InlineValue.to))),new w.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[w.ApiCommandArgument.Uri,new w.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)])).optional(),w.ApiCommandArgument.String.with("label","").optional()],w.ApiCommandResult.Void),new w.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[w.ApiCommandArgument.Uri.with("resource","Resource to open"),w.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new w.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)])).optional()],w.ApiCommandResult.Void),new w.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[w.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),w.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),w.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new w.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="object",s=>s&&[S.ViewColumn.from(s.viewColumn),S.TextEditorOpenOptions.from(s)]).optional()],w.ApiCommandResult.Void)];class I{constructor(h){this._disposables=new b.DisposableStore,this._commands=h}static register(h){return P.forEach(h.registerApiCommand,h),new I(h).registerCommands()}registerCommands(){const h=v=>(...g)=>v(this._commands,...g);this._register(C.RemoveFromRecentlyOpenedAPICommand.ID,h(C.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:v=>typeof v=="string"}]}),this._register(C.OpenIssueReporter.ID,h(C.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:v=>typeof v=="string"||typeof v=="object"&&typeof v.extensionId=="string"}]})}_register(h,v,g){const _=this._commands.registerCommand(!1,h,v,this,g);this._disposables.add(_)}}e.ExtHostApiCommands=I;function p(s){return h=>{if(Array.isArray(h))return h.map(s)}}function d(s){if(!!Array.isArray(s)){const h=[];for(const v of s)A.isLocationLink(v)?h.push(S.DefinitionLink.to(v)):h.push(S.location.to(v));return h}}}),define(we[185],Ee([0,1,15,45,3,6,2,63,25,9,7,5]),function(oe,e,b,S,T,A,w,C,D,i,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class p{constructor(l,u,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=l.getProxy(I.MainContext.MainThreadComments),u.registerArgumentProcessor({processArgument:o=>{if(o&&o.$mid===6){const a=this._commentControllers.get(o.handle);return a||o}else if(o&&o.$mid===7){const a=this._commentControllers.get(o.commentControlHandle);if(!a)return o;const c=a.getCommentThread(o.commentThreadHandle);return c||o}else if(o&&o.$mid===8){const a=this._commentControllers.get(o.thread.commentControlHandle);if(!a)return o;const c=a.getCommentThread(o.thread.commentThreadHandle);return c?{thread:c,text:o.text}:o}else if(o&&o.$mid===9){const a=this._commentControllers.get(o.thread.commentControlHandle);if(!a)return o;const c=a.getCommentThread(o.thread.commentThreadHandle);if(!c)return o;let n=o.commentUniqueId,f=c.getCommentByUniqueId(n);return f||o}else if(o&&o.$mid===10){const a=this._commentControllers.get(o.thread.commentControlHandle);if(!a)return o;const c=a.getCommentThread(o.thread.commentThreadHandle);if(!c)return o;let n=o.text,f=o.commentUniqueId,y=c.getCommentByUniqueId(f);return y?(y.body=n,y):o}return o}})}createCommentController(l,u,t){const o=p.handlePool++,a=new s(l,o,this._proxy,u,t);this._commentControllers.set(a.handle,a);const c=this._commentControllersByExtension.get(D.ExtensionIdentifier.toKey(l.identifier))||[];return c.push(a),this._commentControllersByExtension.set(D.ExtensionIdentifier.toKey(l.identifier),c),a}$createCommentThreadTemplate(l,u,t){const o=this._commentControllers.get(l);!o||o.$createCommentThreadTemplate(u,t)}async $updateCommentThreadTemplate(l,u,t){const o=this._commentControllers.get(l);!o||o.$updateCommentThreadTemplate(u,t)}$deleteCommentThread(l,u){const t=this._commentControllers.get(l);t&&t.$deleteCommentThread(u)}$provideCommentingRanges(l,u,t){const o=this._commentControllers.get(l);if(!o||!o.commentingRangeProvider)return Promise.resolve(void 0);const a=this._documents.getDocument(w.URI.revive(u));return b.asPromise(()=>o.commentingRangeProvider.provideCommentingRanges(a,t)).then(c=>c?c.map(n=>i.Range.from(n)):void 0)}$toggleReaction(l,u,t,o,a){const c=this._commentControllers.get(l);return!c||!c.reactionHandler?Promise.resolve(void 0):b.asPromise(()=>{const n=c.getCommentThread(u);if(n){const f=n.getCommentByUniqueId(o.uniqueIdInThread);if(c!==void 0&&f&&c.reactionHandler)return c.reactionHandler(f,g(a))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=p,p.handlePool=0;class d{constructor(l,u,t,o,a,c,n){this._proxy=l,this._commentController=u,this._id=t,this._uri=o,this._range=a,this._comments=c,this.handle=d._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new T.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new A.MutableDisposable,this._acceptInputDisposables.value=new A.DisposableStore,this._id===void 0&&(this._id=`${u.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,i.Range.from(this._range),n),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=c}set threadId(l){this._id=l}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(l){l.isEqual(this._range)||(this._range=l,this.modifications.range=l,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(l){this._canReply!==l&&(this._canReply=l,this.modifications.canReply=l,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(l){this._label=l,this.modifications.label=l,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(l){this._contextValue=l,this.modifications.contextValue=l,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(l){this._comments=l,this.modifications.comments=l,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(l){this._collapseState=l,this.modifications.collapsibleState=l,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new A.DisposableStore);const l=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),u={};l("range")&&(u.range=i.Range.from(this._range)),l("label")&&(u.label=this.label),l("contextValue")&&(u.contextValue=this.contextValue),l("comments")&&(u.comments=this._comments.map(t=>h(this,this._commentController,t,this._commentsMap))),l("collapsibleState")&&(u.collapseState=_(this._collapseState)),l("canReply")&&(u.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,u)}}getCommentByUniqueId(l){for(let u of this._commentsMap){let t=u[0],o=u[1];if(l===o)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(l=>l.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}d._handlePool=0,Ke([S.debounce(100)],d.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=d;class s{constructor(l,u,t,o,a){this._extension=l,this._handle=u,this._proxy=t,this._id=o,this._label=a,this._threads=new Map,this._proxy.$registerCommentController(this.handle,o,a)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(l){this._reactionHandler=l,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!l})}get options(){return this._options}set options(l){this._options=l,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(l,u,t,o){if(typeof l=="string"){const a=new d(this._proxy,this,l,u,t,o,this._extension.identifier);return this._threads.set(a.handle,a),a}else{const a=new d(this._proxy,this,void 0,l,u,t,this._extension.identifier);return this._threads.set(a.handle,a),a}}$createCommentThreadTemplate(l,u){const t=new d(this._proxy,this,void 0,w.URI.revive(l),i.Range.to(u),[],this._extension.identifier);return t.collapsibleState=C.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(l,u){let t=this._threads.get(l);t&&(t.range=i.Range.to(u))}$deleteCommentThread(l){let u=this._threads.get(l);u&&u.dispose(),this._threads.delete(l)}getCommentThread(l){return this._threads.get(l)}dispose(){this._threads.forEach(l=>{l.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function h(r,l,u,t){let o=t.get(u);o||(o=++r.commentHandle,t.set(u,o));const a=u.author&&u.author.iconPath?u.author.iconPath.toString():void 0;return{mode:u.mode,contextValue:u.contextValue,uniqueIdInThread:o,body:i.MarkdownString.from(u.body),userName:u.author.name,userIconPath:a,label:u.label,commentReactions:u.reactions?u.reactions.map(c=>v(c)):void 0}}function v(r){return{label:r.label,iconPath:r.iconPath?i.pathOrURIToURI(r.iconPath):void 0,count:r.count,hasReacted:r.authorHasReacted}}function g(r){return{label:r.label||"",count:r.count||0,iconPath:r.iconPath?w.URI.revive(r.iconPath):"",authorHasReacted:r.hasReacted||!1}}function _(r){if(r!==void 0)switch(r){case P.CommentThreadCollapsibleState.Expanded:return C.CommentThreadCollapsibleState.Expanded;case P.CommentThreadCollapsibleState.Collapsed:return C.CommentThreadCollapsibleState.Collapsed}return C.CommentThreadCollapsibleState.Collapsed}}),define(we[96],Ee([0,1,2,5,7,4,14,17,11,8,12]),function(oe,e,b,S,T,A,w,C,D,i,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let I=class nn{constructor(d,s){this._logService=s,this._provider=new Map,this._proxy=d.getProxy(S.MainContext.MainThreadDecorations)}registerFileDecorationProvider(d,s){const h=nn._handlePool++;this._provider.set(h,{provider:d,extensionId:s}),this._proxy.$registerDecorationProvider(h,s.value);const v=d.onDidChangeFileDecorations&&d.onDidChangeFileDecorations(g=>{if(!g){this._proxy.$onDidChange(h,null);return}let _=D.asArray(g);if(_.length<=nn._maxEventSize){this._proxy.$onDidChange(h,_);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",s.value,_.length);const r=_.map(t=>({uri:t,rank:i.count(t.path,"/")})),l=D.groupBy(r,(t,o)=>t.rank-o.rank||i.compare(t.uri.path,o.uri.path));let u=[];e:for(let t of l){let o;for(let a of t){let c=P.dirname(a.uri.path);if(o!==c&&(o=c,u.push(a.uri)>=nn._maxEventSize))break e}}this._proxy.$onDidChange(h,u)});return new T.Disposable(()=>{v==null||v.dispose(),this._proxy.$unregisterDecorationProvider(h),this._provider.delete(h)})}async $provideDecorations(d,s,h){if(!this._provider.has(d))return Object.create(null);const v=Object.create(null),{provider:g,extensionId:_}=this._provider.get(d);return await Promise.all(s.map(async r=>{try{const{uri:l,id:u}=r,t=await Promise.resolve(g.provideFileDecoration(b.URI.revive(l),h));if(!t)return;try{T.FileDecoration.validate(t),v[u]=[t.propagate,t.tooltip,t.badge,t.color]}catch(o){this._logService.warn(`INVALID decoration from extension '${_.value}': ${o}`)}}catch(l){this._logService.error(l)}})),v}};I._handlePool=0,I._maxEventSize=250,I=Ke([Qe(0,w.IExtHostRpcService),Qe(1,C.ILogService)],I),e.ExtHostDecorations=I,e.IExtHostDecorations=A.createDecorator("IExtHostDecorations")}),define(we[186],Ee([0,1,126,87,2,5,7,9,11,3,17,22]),function(oe,e,b,S,T,A,w,C,D,i,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class p{constructor(h,v,g,_,r){this._name=h,this._owner=v,this._maxDiagnosticsPerFile=g,this._proxy=_,this._onDidChangeDiagnostics=r,this._isDisposed=!1,this._data=new I.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(h,v){if(!h){this.clear();return}this._checkDisposed();let g=[];if(T.URI.isUri(h)){if(!v){this.delete(h);return}this._data.set(h,v.slice()),g=[h]}else if(Array.isArray(h)){g=[];let r;h=D.mergeSort([...h],p._compareIndexedTuplesByUri);for(const l of h){const[u,t]=l;if((!r||u.toString()!==r.toString())&&(r&&this._data.get(r).length===0&&this._data.delete(r),r=u,g.push(u),this._data.set(u,[])),t){const o=this._data.get(u);o&&o.push(...t)}else{const o=this._data.get(u);o&&(o.length=0)}}}if(this._onDidChangeDiagnostics.fire(g),!!this._proxy){const _=[];for(let r of g){let l=[];const u=this._data.get(r);if(u)if(u.length>this._maxDiagnosticsPerFile){l=[];const t=[w.DiagnosticSeverity.Error,w.DiagnosticSeverity.Warning,w.DiagnosticSeverity.Information,w.DiagnosticSeverity.Hint];e:for(let o=0;o<4;o++)for(let a of u)if(a.severity===t[o]&&l.push(C.Diagnostic.from(a))===this._maxDiagnosticsPerFile)break e;l.push({severity:S.MarkerSeverity.Info,message:b.localize(0,null,u.length-this._maxDiagnosticsPerFile),startLineNumber:l[l.length-1].startLineNumber,startColumn:l[l.length-1].startColumn,endLineNumber:l[l.length-1].endLineNumber,endColumn:l[l.length-1].endColumn})}else l=u.map(t=>C.Diagnostic.from(t));_.push([r,l])}this._proxy.$changeMany(this._owner,_)}}delete(h){this._checkDisposed(),this._onDidChangeDiagnostics.fire([h]),this._data.delete(h),this._proxy&&this._proxy.$changeMany(this._owner,[[h,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(h,v){this._checkDisposed();for(let g of this._data.keys())h.apply(v,[g,this.get(g),this])}get(h){this._checkDisposed();const v=this._data.get(h);return Array.isArray(v)?Object.freeze(v.slice(0)):[]}has(h){return this._checkDisposed(),Array.isArray(this._data.get(h))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(h,v){return h[0].toString()<v[0].toString()?-1:h[0].toString()>v[0].toString()?1:0}}e.DiagnosticCollection=p;let d=class Ut{constructor(h,v){this._logService=v,this._collections=new Map,this._onDidChangeDiagnostics=new i.Emitter,this.onDidChangeDiagnostics=i.Event.map(i.Event.debounce(this._onDidChangeDiagnostics.event,Ut._debouncer,50),Ut._mapper),this._proxy=h.getProxy(A.MainContext.MainThreadDiagnostics)}static _debouncer(h,v){return h?h.concat(v):v}static _mapper(h){const v=[],g=new Set;for(const _ of h)typeof _=="string"?g.has(_)||(g.add(_),v.push(T.URI.parse(_))):g.has(_.toString())||(g.add(_.toString()),v.push(_));return Object.freeze(v),{uris:v}}createDiagnosticCollection(h,v){const{_collections:g,_proxy:_,_onDidChangeDiagnostics:r,_logService:l}=this,u=new class{$changeMany(a,c){_.$changeMany(a,c),l.trace("[DiagnosticCollection] change many (extension, owner, uris)",h.value,a,c.length===0?"CLEARING":c)}$clear(a){_.$clear(a),l.trace("[DiagnosticCollection] remove all (extension, owner)",h.value,a)}dispose(){_.dispose()}};let t;if(!v)v="_generated_diagnostic_collection_name_#"+Ut._idPool++,t=v;else if(!g.has(v))t=v;else{this._logService.warn(`DiagnosticCollection with name '${v}' does already exist.`);do t=v+Ut._idPool++;while(g.has(t))}return new class extends p{constructor(){super(v,t,Ut._maxDiagnosticsPerFile,u,r);g.set(t,this)}dispose(){super.dispose(),g.delete(t)}}}getDiagnostics(h){if(h)return this._getDiagnostics(h);{const v=new Map,g=[];for(const _ of this._collections.values())_.forEach((r,l)=>{let u=v.get(r.toString());typeof u=="undefined"&&(u=g.length,v.set(r.toString(),u),g.push([r,[]])),g[u][1]=g[u][1].concat(...l)});return g}}_getDiagnostics(h){let v=[];for(let g of this._collections.values())g.has(h)&&(v=v.concat(g.get(h)));return v}$acceptMarkersChange(h){if(!this._mirrorCollection){const v="_generated_mirror",g=new p(v,v,Ut._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(v,g),this._mirrorCollection=g}for(const[v,g]of h)this._mirrorCollection.set(T.URI.revive(v),g.map(C.Diagnostic.to))}};d._idPool=0,d._maxDiagnosticsPerFile=1e3,d=Ke([Qe(1,P.ILogService)],d),e.ExtHostDiagnostics=d}),define(we[187],Ee([0,1,2,5]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class T{constructor(w){this._proxy=w.getProxy(S.MainContext.MainThreadDialogs)}showOpenDialog(w){return this._proxy.$showOpenDialog(w).then(C=>C?C.map(D=>b.URI.revive(D)):void 0)}showSaveDialog(w){return this._proxy.$showSaveDialog(w).then(C=>C?b.URI.revive(C):void 0)}}e.ExtHostDialogs=T}),define(we[188],Ee([0,1,10,2,7,5,16,20,8]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class i{constructor(I,p,d){this._documentsAndEditors=p,this._logService=d,this._documentContentProviders=new Map,this._proxy=I.getProxy(A.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(I,p){if(Object.keys(w.Schemas).indexOf(I)>=0)throw new Error(`scheme '${I}' already registered`);const d=i._handlePool++;this._documentContentProviders.set(d,p),this._proxy.$registerTextContentProvider(d,I);let s;return typeof p.onDidChange=="function"&&(s=p.onDidChange(h=>{if(h.scheme!==I){this._logService.warn(`Provider for scheme '${I}' is firing event for schema '${h.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(h)&&this.$provideTextDocumentContent(d,h).then(v=>{if(!(!v&&typeof v!="string")){const g=this._documentsAndEditors.getDocument(h);if(!!g){const _=D.splitLines(v);if(!g.equalLines(_))return this._proxy.$onVirtualDocumentChange(h,v)}}},b.onUnexpectedError)})),new T.Disposable(()=>{this._documentContentProviders.delete(d)&&this._proxy.$unregisterTextContentProvider(d),s&&(s.dispose(),s=void 0)})}$provideTextDocumentContent(I,p){const d=this._documentContentProviders.get(I);return d?Promise.resolve(d.provideTextDocumentContent(S.URI.revive(p),C.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${p.scheme}`))}}e.ExtHostDocumentContentProvider=i,i._handlePool=0}),define(we[189],Ee([0,1,3,6,2,5,93,9,13,23]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class P{constructor(p,d){this._onDidAddDocument=new b.Emitter,this._onDidRemoveDocument=new b.Emitter,this._onDidChangeDocument=new b.Emitter,this._onDidSaveDocument=new b.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new S.DisposableStore,this._documentLoader=new Map,this._proxy=p.getProxy(A.MainContext.MainThreadDocuments),this._documentsAndEditors=d,this._documentsAndEditors.onDidRemoveDocuments(s=>{for(const h of s)this._onDidRemoveDocument.fire(h.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(s=>{for(const h of s)this._onDidAddDocument.fire(h.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(p){if(!!p){const d=this._documentsAndEditors.getDocument(p);if(d)return d}}getDocument(p){const d=this.getDocumentData(p);if(!(d==null?void 0:d.document))throw new Error(`Unable to retrieve document from URI '${p}'`);return d.document}ensureDocumentData(p){const d=this._documentsAndEditors.getDocument(p);if(d)return Promise.resolve(d);let s=this._documentLoader.get(p.toString());return s||(s=this._proxy.$tryOpenDocument(p).then(h=>{this._documentLoader.delete(p.toString());const v=T.URI.revive(h);return D.assertIsDefined(this._documentsAndEditors.getDocument(v))},h=>(this._documentLoader.delete(p.toString()),Promise.reject(h))),this._documentLoader.set(p.toString(),s)),s}createDocumentData(p){return this._proxy.$tryCreateDocument(p).then(d=>T.URI.revive(d))}$acceptModelModeChanged(p,d,s){const h=T.URI.revive(p),v=this._documentsAndEditors.getDocument(h);if(!v)throw new Error("unknown document");this._onDidRemoveDocument.fire(v.document),v._acceptLanguageId(s),this._onDidAddDocument.fire(v.document)}$acceptModelSaved(p){const d=T.URI.revive(p),s=this._documentsAndEditors.getDocument(d);if(!s)throw new Error("unknown document");this.$acceptDirtyStateChanged(p,!1),this._onDidSaveDocument.fire(s.document)}$acceptDirtyStateChanged(p,d){const s=T.URI.revive(p),h=this._documentsAndEditors.getDocument(s);if(!h)throw new Error("unknown document");h._acceptIsDirty(d),this._onDidChangeDocument.fire({document:h.document,contentChanges:[]})}$acceptModelChanged(p,d,s){const h=T.URI.revive(p),v=this._documentsAndEditors.getDocument(h);if(!v)throw new Error("unknown document");v._acceptIsDirty(s),v.onEvents(d),this._onDidChangeDocument.fire(i.deepFreeze({document:v.document,contentChanges:d.changes.map(g=>({range:C.Range.to(g.range),rangeOffset:g.rangeOffset,rangeLength:g.rangeLength,text:g.text}))}))}setWordDefinitionFor(p,d){w.setWordDefinitionFor(p,d)}}e.ExtHostDocuments=P}),define(we[41],Ee([0,1,44,3,6,2,4,5,93,14,94,9,17,22,16,54,104]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class g{constructor(l){this.value=l,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let _=class{constructor(l,u){this._extHostRpc=l,this._logService=u,this._activeEditorId=null,this._editors=new Map,this._documents=new d.ResourceMap,this._onDidAddDocuments=new S.Emitter,this._onDidRemoveDocuments=new S.Emitter,this._onDidChangeVisibleTextEditors=new S.Emitter,this._onDidChangeActiveTextEditor=new S.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(l){this.acceptDocumentsAndEditorsDelta(l)}acceptDocumentsAndEditorsDelta(l){const u=[],t=[],o=[];if(l.removedDocuments)for(const a of l.removedDocuments){const c=A.URI.revive(a),n=this._documents.get(c);(n==null?void 0:n.unref())&&(this._documents.delete(c),u.push(n.value))}if(l.addedDocuments)for(const a of l.addedDocuments){const c=A.URI.revive(a.uri);let n=this._documents.get(c);if(n&&c.scheme!==s.Schemas.vscodeNotebookCell)throw new Error(`document '${c} already exists!'`);n||(n=new g(new D.ExtHostDocumentData(this._extHostRpc.getProxy(C.MainContext.MainThreadDocuments),c,a.lines,a.EOL,a.versionId,a.modeId,a.isDirty,a.notebook)),this._documents.set(c,n),t.push(n.value)),n.ref()}if(l.removedEditors)for(const a of l.removedEditors){const c=this._editors.get(a);this._editors.delete(a),c&&o.push(c)}if(l.addedEditors)for(const a of l.addedEditors){const c=A.URI.revive(a.documentUri);b.ok(this._documents.has(c),`document '${c}' does not exist`),b.ok(!this._editors.has(a.id),`editor '${a.id}' already exists!`);const n=this._documents.get(c).value,f=new P.ExtHostTextEditor(a.id,this._extHostRpc.getProxy(C.MainContext.MainThreadTextEditors),this._logService,new v.Lazy(()=>n.document),a.selections.map(I.Selection.to),a.options,a.visibleRanges.map(y=>I.Range.to(y)),typeof a.editorPosition=="number"?I.ViewColumn.to(a.editorPosition):void 0);this._editors.set(a.id,f)}l.newActiveEditor!==void 0&&(b.ok(l.newActiveEditor===null||this._editors.has(l.newActiveEditor),`active editor '${l.newActiveEditor}' does not exist`),this._activeEditorId=l.newActiveEditor),T.dispose(u),T.dispose(o),l.removedDocuments&&this._onDidRemoveDocuments.fire(u),l.addedDocuments&&this._onDidAddDocuments.fire(t),(l.removedEditors||l.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(a=>a.value)),l.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(l){var u;return(u=this._documents.get(l))===null||u===void 0?void 0:u.value}allDocuments(){return h.Iterable.map(this._documents.values(),l=>l.value)}getEditor(l){return this._editors.get(l)}activeEditor(l){if(!!this._activeEditorId){const u=this._editors.get(this._activeEditorId);return l?u:u==null?void 0:u.value}}allEditors(){return[...this._editors.values()]}};_=Ke([Qe(0,i.IExtHostRpcService),Qe(1,p.ILogService)],_),e.ExtHostDocumentsAndEditors=_,e.IExtHostDocumentsAndEditors=w.createDecorator("IExtHostDocumentsAndEditors")}),define(we[190],Ee([0,1,2,5,6,7,9,114,8,26]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class P{constructor(){this._schemes=[]}add(d){this._stateMachine=void 0,this._schemes.push(d)}delete(d){const s=this._schemes.indexOf(d);s>=0&&(this._schemes.splice(s,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const d=this._schemes.sort(),s=[];let h,v,g=14,_=14;for(const r of d){let l=h?D.commonPrefixLength(h,r):0;for(l===0?v=1:v=_;l<r.length;l++)l+1===r.length?(g=_,_=9):_+=1,s.push([v,r.toUpperCase().charCodeAt(l),_]),s.push([v,r.toLowerCase().charCodeAt(l),_]),v=_;h=r,_=g}s.push([9,58,10]),s.push([10,47,12]),this._stateMachine=new C.StateMachine(s)}}provideDocumentLinks(d){this._initStateMachine();const s=[],h=C.LinkComputer.computeLinks({getLineContent(v){return d.lineAt(v-1).text},getLineCount(){return d.lineCount}},this._stateMachine);for(const v of h){const g=w.DocumentLink.to(v);g.target&&s.push(g)}return s}}class I{constructor(d,s){this._extHostLanguageFeatures=s,this._linkProvider=new P,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=d.getProxy(S.MainContext.MainThreadFileSystem)}dispose(){var d;(d=this._linkProviderRegistration)===null||d===void 0||d.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(d,s,h,v={}){if(this._registeredSchemes.has(s))throw new Error(`a provider for the scheme '${s}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const g=this._handlePool++;this._linkProvider.add(s),this._registeredSchemes.add(s),this._fsProvider.set(g,h);let _=2;v.isCaseSensitive&&(_+=1024),v.isReadonly&&(_+=2048),typeof h.copy=="function"&&(_+=8),typeof h.open=="function"&&typeof h.close=="function"&&typeof h.read=="function"&&typeof h.write=="function"&&(_+=4),this._proxy.$registerFileSystemProvider(g,s,_).catch(l=>{console.error(`FAILED to register filesystem provider of ${d.value}-extension for the scheme ${s}`),console.error(l)});const r=h.onDidChangeFile(l=>{const u=[];for(const t of l){let{uri:o,type:a}=t;if(o.scheme===s){let c;switch(a){case A.FileChangeType.Changed:c=0;break;case A.FileChangeType.Created:c=1;break;case A.FileChangeType.Deleted:c=2;break;default:throw new Error("Unknown FileChangeType")}u.push({resource:o,type:c})}}this._proxy.$onFileSystemChange(g,u)});return T.toDisposable(()=>{r.dispose(),this._linkProvider.delete(s),this._registeredSchemes.delete(s),this._fsProvider.delete(g),this._proxy.$unregisterProvider(g)})}static _asIStat(d){const{type:s,ctime:h,mtime:v,size:g}=d;return{type:s,ctime:h,mtime:v,size:g}}$stat(d,s){return Promise.resolve(this._getFsProvider(d).stat(b.URI.revive(s))).then(I._asIStat)}$readdir(d,s){return Promise.resolve(this._getFsProvider(d).readDirectory(b.URI.revive(s)))}$readFile(d,s){return Promise.resolve(this._getFsProvider(d).readFile(b.URI.revive(s))).then(h=>i.VSBuffer.wrap(h))}$writeFile(d,s,h,v){return Promise.resolve(this._getFsProvider(d).writeFile(b.URI.revive(s),h.buffer,v))}$delete(d,s,h){return Promise.resolve(this._getFsProvider(d).delete(b.URI.revive(s),h))}$rename(d,s,h,v){return Promise.resolve(this._getFsProvider(d).rename(b.URI.revive(s),b.URI.revive(h),v))}$copy(d,s,h,v){const g=this._getFsProvider(d);if(!g.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(g.copy(b.URI.revive(s),b.URI.revive(h),v))}$mkdir(d,s){return Promise.resolve(this._getFsProvider(d).createDirectory(b.URI.revive(s)))}$watch(d,s,h,v){const g=this._getFsProvider(d).watch(b.URI.revive(h),v);this._watches.set(s,g)}$unwatch(d,s){const h=this._watches.get(s);h&&(h.dispose(),this._watches.delete(s))}$open(d,s,h){const v=this._getFsProvider(d);if(!v.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(v.open(b.URI.revive(s),h))}$close(d,s){const h=this._getFsProvider(d);if(!h.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(h.close(s))}$read(d,s,h,v){const g=this._getFsProvider(d);if(!g.read)throw new Error('FileSystemProvider does not implement "read"');const _=i.VSBuffer.alloc(v);return Promise.resolve(g.read(s,h,_.buffer,0,v)).then(r=>_.slice(0,r))}$write(d,s,h,v){const g=this._getFsProvider(d);if(!g.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(g.write(s,h,v.buffer,0,v.byteLength))}_getFsProvider(d){const s=this._fsProvider.get(d);if(!s){const h=new Error;throw h.name="ENOPRO",h.message="no provider",h}return s}}e.ExtHostFileSystem=I}),define(we[74],Ee([0,1,5,65,7,26,4,14,49]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let i=class At{constructor(I,p){const d=I.getProxy(b.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(s){return d.$stat(s).catch(At._handleError)},readDirectory(s){return d.$readdir(s).catch(At._handleError)},createDirectory(s){return d.$mkdir(s).catch(At._handleError)},async readFile(s){return d.$readFile(s).then(h=>h.buffer).catch(At._handleError)},writeFile(s,h){return d.$writeFile(s,A.VSBuffer.wrap(h)).catch(At._handleError)},delete(s,h){return d.$delete(s,Object.assign({recursive:!1,useTrash:!1},h)).catch(At._handleError)},rename(s,h,v){return d.$rename(s,h,Object.assign({overwrite:!1},v)).catch(At._handleError)},copy(s,h,v){return d.$copy(s,h,Object.assign({overwrite:!1},v)).catch(At._handleError)},isWritableFileSystem(s){const h=p.getCapabilities(s);if(typeof h=="number")return!(h&2048)}})}static _handleError(I){if(!(I instanceof Error))throw new T.FileSystemError(String(I));if(I.name==="ENOPRO")throw T.FileSystemError.Unavailable(I.message);switch(I.name){case S.FileSystemProviderErrorCode.FileExists:throw T.FileSystemError.FileExists(I.message);case S.FileSystemProviderErrorCode.FileNotFound:throw T.FileSystemError.FileNotFound(I.message);case S.FileSystemProviderErrorCode.FileNotADirectory:throw T.FileSystemError.FileNotADirectory(I.message);case S.FileSystemProviderErrorCode.FileIsADirectory:throw T.FileSystemError.FileIsADirectory(I.message);case S.FileSystemProviderErrorCode.NoPermissions:throw T.FileSystemError.NoPermissions(I.message);case S.FileSystemProviderErrorCode.Unavailable:throw T.FileSystemError.Unavailable(I.message);default:throw new T.FileSystemError(I.message,I.name)}}};i=Ke([Qe(0,C.IExtHostRpcService),Qe(1,D.IExtHostFileSystemInfo)],i),e.ExtHostConsumerFileSystem=i,e.IExtHostConsumerFileSystem=w.createDecorator("IExtHostConsumerFileSystem")}),define(we[191],Ee([0,1,6,5]),function(oe,e,b,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class T{constructor(w){this._handlePool=0,this._proxy=w.getProxy(S.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(w){const C=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(C,w),b.toDisposable(()=>{this._proxy.$unregisterResourceLabelFormatter(C)})}}e.ExtHostLabelService=T}),define(we[192],Ee([0,1,2,23,9,7,15,5,8,32,11,13,111,6,84,53,92,55,10]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class r{constructor(W,J){this._documents=W,this._provider=J}provideDocumentSymbols(W,J){const ee=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideDocumentSymbols(ee,J)).then(te=>{if(!P.isFalsyOrEmpty(te))return te[0]instanceof A.DocumentSymbol?te.map(T.DocumentSymbol.from):r._asDocumentSymbolTree(te)})}static _asDocumentSymbolTree(W){var J;W=W.slice(0).sort((me,Ce)=>{let Oe=me.location.range.start.compareTo(Ce.location.range.start);return Oe===0&&(Oe=Ce.location.range.end.compareTo(me.location.range.end)),Oe});const ee=[],te=[];for(const me of W){const Ce={name:me.name||"!!MISSING: name!!",kind:T.SymbolKind.from(me.kind),tags:((J=me.tags)===null||J===void 0?void 0:J.map(T.SymbolTag.from))||[],detail:"",containerName:me.containerName,range:T.Range.from(me.location.range),selectionRange:T.Range.from(me.location.range),children:[]};for(;;){if(te.length===0){te.push(Ce),ee.push(Ce);break}const Oe=te[te.length-1];if(i.Range.containsRange(Oe.range,Ce.range)&&!i.Range.equalsRange(Oe.range,Ce.range)){Oe.children&&Oe.children.push(Ce),te.push(Ce);break}te.pop()}}return ee}}class l{constructor(W,J,ee){this._documents=W,this._commands=J,this._provider=ee,this._cache=new v.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(W,J){const ee=this._documents.getDocument(W),te=await this._provider.provideCodeLenses(ee,J);if(!(!te||J.isCancellationRequested)){const me=this._cache.add(te),Ce=new d.DisposableStore;this._disposables.set(me,Ce);const Oe={cacheId:me,lenses:[]};for(let ge=0;ge<te.length;ge++)Oe.lenses.push({cacheId:[me,ge],range:T.Range.from(te[ge].range),command:this._commands.toInternal(te[ge].command,Ce)});return Oe}}async resolveCodeLens(W,J){var ee;const te=W.cacheId&&this._cache.get(...W.cacheId);if(!!te){let me;if(typeof this._provider.resolveCodeLens!="function"||te.isResolved?me=te:me=await this._provider.resolveCodeLens(te,J),me||(me=te),!J.isCancellationRequested){const Ce=W.cacheId&&this._disposables.get(W.cacheId[0]);if(!!Ce)return W.command=this._commands.toInternal((ee=me.command)!==null&&ee!==void 0?ee:l._badCmd,Ce),W}}}releaseCodeLenses(W){var J;(J=this._disposables.get(W))===null||J===void 0||J.dispose(),this._disposables.delete(W),this._cache.delete(W)}}l._badCmd={command:"missing",title:"!!MISSING: command!!"};function u(xe){return Array.isArray(xe)?xe.map(T.DefinitionLink.from):xe?[T.DefinitionLink.from(xe)]:[]}class t{constructor(W,J){this._documents=W,this._provider=J}provideDefinition(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideDefinition(te,me,ee)).then(u)}}class o{constructor(W,J){this._documents=W,this._provider=J}provideDeclaration(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideDeclaration(te,me,ee)).then(u)}}class a{constructor(W,J){this._documents=W,this._provider=J}provideImplementation(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideImplementation(te,me,ee)).then(u)}}class c{constructor(W,J){this._documents=W,this._provider=J}provideTypeDefinition(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideTypeDefinition(te,me,ee)).then(u)}}class n{constructor(W,J){this._documents=W,this._provider=J}provideHover(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideHover(te,me,ee)).then(Ce=>{if(!(!Ce||P.isFalsyOrEmpty(Ce.contents)))return Ce.range||(Ce.range=te.getWordRangeAtPosition(me)),Ce.range||(Ce.range=new A.Range(me,me)),T.Hover.from(Ce)})}}class f{constructor(W,J){this._documents=W,this._provider=J}provideEvaluatableExpression(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideEvaluatableExpression(te,me,ee)).then(Ce=>{if(Ce)return T.EvaluatableExpression.from(Ce)})}}class y{constructor(W,J){this._documents=W,this._provider=J}provideInlineValues(W,J,ee,te){const me=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideInlineValues(me,T.Range.to(J),T.InlineValueContext.to(ee),te)).then(Ce=>{if(Array.isArray(Ce))return Ce.map(Oe=>T.InlineValue.from(Oe))})}}class k{constructor(W,J){this._documents=W,this._provider=J}provideDocumentHighlights(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideDocumentHighlights(te,me,ee)).then(Ce=>{if(Array.isArray(Ce))return Ce.map(T.DocumentHighlight.from)})}}class m{constructor(W,J){this._documents=W,this._provider=J}provideLinkedEditingRanges(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.provideLinkedEditingRanges(te,me,ee)).then(Ce=>{if(Ce&&Array.isArray(Ce.ranges))return{ranges:P.coalesce(Ce.ranges.map(T.Range.from)),wordPattern:Ce.wordPattern}})}}class E{constructor(W,J){this._documents=W,this._provider=J}provideReferences(W,J,ee,te){const me=this._documents.getDocument(W),Ce=T.Position.to(J);return w.asPromise(()=>this._provider.provideReferences(me,Ce,ee,te)).then(Oe=>{if(Array.isArray(Oe))return Oe.map(T.location.from)})}}class R{constructor(W,J,ee,te,me,Ce,Oe){this._documents=W,this._commands=J,this._diagnostics=ee,this._provider=te,this._logService=me,this._extension=Ce,this._apiDeprecation=Oe,this._cache=new v.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(W,J,ee,te){const me=this._documents.getDocument(W),Ce=p.Selection.isISelection(J)?T.Selection.to(J):T.Range.to(J),Oe=[];for(const ke of this._diagnostics.getDiagnostics(W))if(Ce.intersection(ke.range)&&Oe.push(ke)>R._maxCodeActionsPerFile)break;const ge={diagnostics:Oe,only:ee.only?new A.CodeActionKind(ee.only):void 0};return w.asPromise(()=>this._provider.provideCodeActions(me,Ce,ge,te)).then(ke=>{var Pe;if(!(!P.isNonEmptyArray(ke)||te.isCancellationRequested)){const $e=this._cache.add(ke),_e=new d.DisposableStore;this._disposables.set($e,_e);const Ge=[];for(let V=0;V<ke.length;V++){const X=ke[V];!X||(R._isCommand(X)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ge.push({_isSynthetic:!0,title:X.title,command:this._commands.toInternal(X,_e)})):(ge.only&&(X.kind?ge.only.contains(X.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ge.only.value} 'requested but returned code action is of kind '${X.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ge.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ge.push({cacheId:[$e,V],title:X.title,command:X.command&&this._commands.toInternal(X.command,_e),diagnostics:X.diagnostics&&X.diagnostics.map(T.Diagnostic.from),edit:X.edit&&T.WorkspaceEdit.from(X.edit),kind:X.kind&&X.kind.value,isPreferred:X.isPreferred,disabled:(Pe=X.disabled)===null||Pe===void 0?void 0:Pe.reason})))}return{cacheId:$e,actions:Ge}}})}async resolveCodeAction(W,J){var ee;const[te,me]=W,Ce=this._cache.get(te,me);if(!(!Ce||R._isCommand(Ce))&&!!this._provider.resolveCodeAction){const Oe=(ee=await this._provider.resolveCodeAction(Ce,J))!==null&&ee!==void 0?ee:Ce;return(Oe==null?void 0:Oe.edit)?T.WorkspaceEdit.from(Oe.edit):void 0}}releaseCodeActions(W){var J;(J=this._disposables.get(W))===null||J===void 0||J.dispose(),this._disposables.delete(W),this._cache.delete(W)}static _isCommand(W){return typeof W.command=="string"&&typeof W.title=="string"}}R._maxCodeActionsPerFile=1e3;class F{constructor(W,J){this._documents=W,this._provider=J}provideDocumentFormattingEdits(W,J,ee){const te=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideDocumentFormattingEdits(te,J,ee)).then(me=>{if(Array.isArray(me))return me.map(T.TextEdit.from)})}}class ${constructor(W,J){this._documents=W,this._provider=J}provideDocumentRangeFormattingEdits(W,J,ee,te){const me=this._documents.getDocument(W),Ce=T.Range.to(J);return w.asPromise(()=>this._provider.provideDocumentRangeFormattingEdits(me,Ce,ee,te)).then(Oe=>{if(Array.isArray(Oe))return Oe.map(T.TextEdit.from)})}}class K{constructor(W,J){this._documents=W,this._provider=J,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(W,J,ee,te,me){const Ce=this._documents.getDocument(W),Oe=T.Position.to(J);return w.asPromise(()=>this._provider.provideOnTypeFormattingEdits(Ce,Oe,ee,te,me)).then(ge=>{if(Array.isArray(ge))return ge.map(T.TextEdit.from)})}}class G{constructor(W,J){this._provider=W,this._logService=J,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(W,J){const ee=C.IdObject.mixin({symbols:[]});return w.asPromise(()=>this._provider.provideWorkspaceSymbols(W,J)).then(te=>{if(P.isNonEmptyArray(te)){for(const me of te)if(!!me){if(!me.name){this._logService.warn("INVALID SymbolInformation, lacks name",me);continue}const Ce=C.IdObject.mixin(T.WorkspaceSymbol.from(me));this._symbolCache.set(Ce._id,me),ee.symbols.push(Ce)}}}).then(()=>(ee.symbols.length>0&&this._resultCache.set(ee._id,[ee.symbols[0]._id,ee.symbols[ee.symbols.length-1]._id]),ee))}async resolveWorkspaceSymbol(W,J){if(typeof this._provider.resolveWorkspaceSymbol!="function")return W;const ee=this._symbolCache.get(W._id);if(ee){const te=await w.asPromise(()=>this._provider.resolveWorkspaceSymbol(ee,J));return te&&S.mixin(W,T.WorkspaceSymbol.from(te),!0)}}releaseWorkspaceSymbols(W){const J=this._resultCache.get(W);if(J){for(let[ee,te]=J;ee<=te;ee++)this._symbolCache.delete(ee);this._resultCache.delete(W)}}}class H{constructor(W,J,ee){this._documents=W,this._provider=J,this._logService=ee}static supportsResolving(W){return typeof W.prepareRename=="function"}provideRenameEdits(W,J,ee,te){const me=this._documents.getDocument(W),Ce=T.Position.to(J);return w.asPromise(()=>this._provider.provideRenameEdits(me,Ce,ee,te)).then(Oe=>{if(!!Oe)return T.WorkspaceEdit.from(Oe)},Oe=>{const ge=H._asMessage(Oe);return ge?{rejectReason:ge,edits:void 0}:Promise.reject(Oe)})}resolveRenameLocation(W,J,ee){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const te=this._documents.getDocument(W),me=T.Position.to(J);return w.asPromise(()=>this._provider.prepareRename(te,me,ee)).then(Ce=>{let Oe,ge;if(A.Range.isRange(Ce)?(Oe=Ce,ge=te.getText(Ce)):I.isObject(Ce)&&(Oe=Ce.range,ge=Ce.placeholder),!!Oe){if(Oe.start.line>me.line||Oe.end.line<me.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:T.Range.from(Oe),text:ge}}},Ce=>{const Oe=H._asMessage(Ce);return Oe?{rejectReason:Oe,range:void 0,text:void 0}:Promise.reject(Ce)})}static _asMessage(W){return typeof W=="string"?W:W instanceof Error&&typeof W.message=="string"?W.message:void 0}}class ue{constructor(W,J){this.resultId=W,this.tokens=J}}class N{constructor(W,J){this._documents=W,this._provider=J,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(W,J,ee){const te=this._documents.getDocument(W),me=J!==0?this._previousResults.get(J):null;return w.asPromise(()=>me&&typeof me.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(te,me.resultId,ee):this._provider.provideDocumentSemanticTokens(te,ee)).then(Ce=>(me&&this._previousResults.delete(J),Ce?(Ce=N._fixProvidedSemanticTokens(Ce),this._send(N._convertToEdits(me,Ce),Ce)):null))}async releaseDocumentSemanticColoring(W){this._previousResults.delete(W)}static _fixProvidedSemanticTokens(W){return N._isSemanticTokens(W)?N._isCorrectSemanticTokens(W)?W:new A.SemanticTokens(new Uint32Array(W.data),W.resultId):N._isSemanticTokensEdits(W)?N._isCorrectSemanticTokensEdits(W)?W:new A.SemanticTokensEdits(W.edits.map(J=>new A.SemanticTokensEdit(J.start,J.deleteCount,J.data?new Uint32Array(J.data):J.data)),W.resultId):W}static _isSemanticTokens(W){return W&&!!W.data}static _isCorrectSemanticTokens(W){return W.data instanceof Uint32Array}static _isSemanticTokensEdits(W){return W&&Array.isArray(W.edits)}static _isCorrectSemanticTokensEdits(W){for(const J of W.edits)if(!(J.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(W,J){if(!N._isSemanticTokens(J)||!W||!W.tokens)return J;const ee=W.tokens,te=ee.length,me=J.data,Ce=me.length;let Oe=0;const ge=Math.min(te,Ce);for(;Oe<ge&&ee[Oe]===me[Oe];)Oe++;if(Oe===te&&Oe===Ce)return new A.SemanticTokensEdits([],J.resultId);let ke=0;const Pe=ge-Oe;for(;ke<Pe&&ee[te-ke-1]===me[Ce-ke-1];)ke++;return new A.SemanticTokensEdits([{start:Oe,deleteCount:te-Oe-ke,data:me.subarray(Oe,Ce-ke)}],J.resultId)}_send(W,J){if(N._isSemanticTokens(W)){const ee=this._nextResultId++;return this._previousResults.set(ee,new ue(W.resultId,W.data)),s.encodeSemanticTokensDto({id:ee,type:"full",data:W.data})}if(N._isSemanticTokensEdits(W)){const ee=this._nextResultId++;return N._isSemanticTokens(J)?this._previousResults.set(ee,new ue(J.resultId,J.data)):this._previousResults.set(ee,new ue(W.resultId)),s.encodeSemanticTokensDto({id:ee,type:"delta",deltas:(W.edits||[]).map(te=>({start:te.start,deleteCount:te.deleteCount,data:te.data}))})}return null}}e.DocumentSemanticTokensAdapter=N;class O{constructor(W,J){this._documents=W,this._provider=J}provideDocumentRangeSemanticTokens(W,J,ee){const te=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideDocumentRangeSemanticTokens(te,T.Range.to(J),ee)).then(me=>me?this._send(me):null)}_send(W){return s.encodeSemanticTokensDto({id:0,type:"full",data:W.data})}}e.DocumentRangeSemanticTokensAdapter=O;class x{constructor(W,J,ee,te,me){this._documents=W,this._commands=J,this._provider=ee,this._apiDeprecation=te,this._extension=me,this._cache=new v.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(W){return typeof W.resolveCompletionItem=="function"}async provideCompletionItems(W,J,ee,te){const me=this._documents.getDocument(W),Ce=T.Position.to(J),Oe=me.getWordRangeAtPosition(Ce)||new A.Range(Ce,Ce),ge=Oe.with({end:Ce}),ke=new g.StopWatch(!0),Pe=await w.asPromise(()=>this._provider.provideCompletionItems(me,Ce,te,T.CompletionContext.to(ee)));if(!!Pe&&!te.isCancellationRequested){const $e=Array.isArray(Pe)?new A.CompletionList(Pe):Pe,_e=x.supportsResolving(this._provider)?this._cache.add($e.items):this._cache.add([]),Ge=new d.DisposableStore;this._disposables.set(_e,Ge);const V=[],X={x:_e,b:V,a:{replace:T.Range.from(Oe),insert:T.Range.from(ge)},c:$e.isIncomplete||void 0,d:ke.elapsed()};for(let ve=0;ve<$e.items.length;ve++){const Me=$e.items[ve],We=this._convertCompletionItem(Me,[_e,ve],ge,Oe);V.push(We)}return X}}async resolveCompletionItem(W,J){if(typeof this._provider.resolveCompletionItem=="function"){const ee=this._cache.get(...W);if(!!ee){const te=await w.asPromise(()=>this._provider.resolveCompletionItem(ee,J));if(!!te)return this._convertCompletionItem(te,W)}}}releaseCompletionItems(W){var J;(J=this._disposables.get(W))===null||J===void 0||J.dispose(),this._disposables.delete(W),this._cache.delete(W)}_convertCompletionItem(W,J,ee,te){var me;const Ce=this._disposables.get(J[0]);if(!Ce)throw Error("DisposableStore is missing...");const Oe={x:J,a:(me=W.label)!==null&&me!==void 0?me:"",o:W.label2,b:W.kind!==void 0?T.CompletionItemKind.from(W.kind):void 0,n:W.tags&&W.tags.map(T.CompletionItemTag.from),c:W.detail,d:typeof W.documentation=="undefined"?void 0:T.MarkdownString.fromStrict(W.documentation),e:W.sortText!==W.label?W.sortText:void 0,f:W.filterText!==W.label?W.filterText:void 0,g:W.preselect||void 0,i:W.keepWhitespace?1:0,k:W.commitCharacters,l:W.additionalTextEdits&&W.additionalTextEdits.map(T.TextEdit.from),m:this._commands.toInternal(W.command,Ce)};W.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Oe.h=W.textEdit.newText):typeof W.insertText=="string"?Oe.h=W.insertText:W.insertText instanceof A.SnippetString&&(Oe.h=W.insertText.value,Oe.i|=4);let ge;return W.textEdit?ge=W.textEdit.range:W.range&&(ge=W.range),A.Range.isRange(ge)?Oe.j=T.Range.from(ge):ge&&(!(ee==null?void 0:ee.isEqual(ge.inserting))||!(te==null?void 0:te.isEqual(ge.replacing)))&&(Oe.j={insert:T.Range.from(ge.inserting),replace:T.Range.from(ge.replacing)}),Oe}}class L{constructor(W,J){this._documents=W,this._provider=J,this._cache=new v.Cache("SignatureHelp")}provideSignatureHelp(W,J,ee,te){const me=this._documents.getDocument(W),Ce=T.Position.to(J),Oe=this.reviveContext(ee);return w.asPromise(()=>this._provider.provideSignatureHelp(me,Ce,te,Oe)).then(ge=>{if(ge){const ke=this._cache.add([ge]);return Object.assign(Object.assign({},T.SignatureHelp.from(ge)),{id:ke})}})}reviveContext(W){let J;if(W.activeSignatureHelp){const ee=T.SignatureHelp.to(W.activeSignatureHelp),te=this._cache.get(W.activeSignatureHelp.id,0);te?(J=te,J.activeSignature=ee.activeSignature,J.activeParameter=ee.activeParameter):J=ee}return Object.assign(Object.assign({},W),{activeSignatureHelp:J})}releaseSignatureHelp(W){this._cache.delete(W)}}class z{constructor(W,J){this._documents=W,this._provider=J}provideInlineHints(W,J,ee){const te=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideInlineHints(te,T.Range.to(J),ee)).then(me=>me?{hints:me.map(T.InlineHint.from)}:void 0)}}class ae{constructor(W,J){this._documents=W,this._provider=J,this._cache=new v.Cache("DocumentLink")}provideLinks(W,J){const ee=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideDocumentLinks(ee,J)).then(te=>{if(!(!Array.isArray(te)||te.length===0)&&!J.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:te.map(T.DocumentLink.from)};{const me=this._cache.add(te),Ce={links:[],id:me};for(let Oe=0;Oe<te.length;Oe++){const ge=T.DocumentLink.from(te[Oe]);ge.cacheId=[me,Oe],Ce.links.push(ge)}return Ce}}})}resolveLink(W,J){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const ee=this._cache.get(...W);return ee?w.asPromise(()=>this._provider.resolveDocumentLink(ee,J)).then(te=>te&&T.DocumentLink.from(te)||void 0):Promise.resolve(void 0)}releaseLinks(W){this._cache.delete(W)}}class re{constructor(W,J){this._documents=W,this._provider=J}provideColors(W,J){const ee=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideDocumentColors(ee,J)).then(te=>Array.isArray(te)?te.map(Ce=>({color:T.Color.from(Ce.color),range:T.Range.from(Ce.range)})):[])}provideColorPresentations(W,J,ee){const te=this._documents.getDocument(W),me=T.Range.to(J.range),Ce=T.Color.to(J.color);return w.asPromise(()=>this._provider.provideColorPresentations(Ce,{document:te,range:me},ee)).then(Oe=>{if(!!Array.isArray(Oe))return Oe.map(T.ColorPresentation.from)})}}class de{constructor(W,J){this._documents=W,this._provider=J}provideFoldingRanges(W,J,ee){const te=this._documents.getDocument(W);return w.asPromise(()=>this._provider.provideFoldingRanges(te,J,ee)).then(me=>{if(!!Array.isArray(me))return me.map(T.FoldingRange.from)})}}class fe{constructor(W,J,ee){this._documents=W,this._provider=J,this._logService=ee}provideSelectionRanges(W,J,ee){const te=this._documents.getDocument(W),me=J.map(T.Position.to);return w.asPromise(()=>this._provider.provideSelectionRanges(te,me,ee)).then(Ce=>{if(!P.isNonEmptyArray(Ce))return[];if(Ce.length!==me.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Oe=[];for(let ge=0;ge<me.length;ge++){const ke=[];Oe.push(ke);let Pe=me[ge],$e=Ce[ge];for(;;){if(!$e.range.contains(Pe))throw new Error("INVALID selection range, must contain the previous range");if(ke.push(T.SelectionRange.from($e)),!$e.parent)break;Pe=$e.range,$e=$e.parent}}return Oe})}}class Ae{constructor(W,J){this._documents=W,this._provider=J,this._idPool=new h.IdGenerator(""),this._cache=new Map}async prepareSession(W,J,ee){const te=this._documents.getDocument(W),me=T.Position.to(J),Ce=await this._provider.prepareCallHierarchy(te,me,ee);if(!!Ce){const Oe=this._idPool.nextId();return this._cache.set(Oe,new Map),Array.isArray(Ce)?Ce.map(ge=>this._cacheAndConvertItem(Oe,ge)):[this._cacheAndConvertItem(Oe,Ce)]}}async provideCallsTo(W,J,ee){const te=this._itemFromCache(W,J);if(!te)throw new Error("missing call hierarchy item");const me=await this._provider.provideCallHierarchyIncomingCalls(te,ee);if(!!me)return me.map(Ce=>({from:this._cacheAndConvertItem(W,Ce.from),fromRanges:Ce.fromRanges.map(Oe=>T.Range.from(Oe))}))}async provideCallsFrom(W,J,ee){const te=this._itemFromCache(W,J);if(!te)throw new Error("missing call hierarchy item");const me=await this._provider.provideCallHierarchyOutgoingCalls(te,ee);if(!!me)return me.map(Ce=>({to:this._cacheAndConvertItem(W,Ce.to),fromRanges:Ce.fromRanges.map(Oe=>T.Range.from(Oe))}))}releaseSession(W){this._cache.delete(W)}_cacheAndConvertItem(W,J){var ee;const te=this._cache.get(W),me={_sessionId:W,_itemId:te.size.toString(36),name:J.name,detail:J.detail,kind:T.SymbolKind.from(J.kind),uri:J.uri,range:T.Range.from(J.range),selectionRange:T.Range.from(J.selectionRange),tags:(ee=J.tags)===null||ee===void 0?void 0:ee.map(T.SymbolTag.from)};return te.set(me._itemId,J),me}_itemFromCache(W,J){const ee=this._cache.get(W);return ee==null?void 0:ee.get(J)}}class je{constructor(W,J){this.adapter=W,this.extension=J}}class Te{constructor(W,J,ee,te,me,Ce,Oe){this._adapter=new Map,this._uriTransformer=J,this._proxy=W.getProxy(C.MainContext.MainThreadLanguageFeatures),this._documents=ee,this._commands=te,this._diagnostics=me,this._logService=Ce,this._apiDeprecation=Oe}_transformDocumentSelector(W){return P.coalesce(P.asArray(W).map(J=>this._doTransformDocumentSelector(J)))}_doTransformDocumentSelector(W){if(typeof W=="string")return{$serialized:!0,language:W};if(W)return{$serialized:!0,language:W.language,scheme:this._transformScheme(W.scheme),pattern:typeof W.pattern=="undefined"?void 0:T.GlobPattern.from(W.pattern),exclusive:W.exclusive}}_transformScheme(W){return this._uriTransformer&&typeof W=="string"?this._uriTransformer.transformOutgoingScheme(W):W}_createDisposable(W){return new A.Disposable(()=>{this._adapter.delete(W),this._proxy.$unregister(W)})}_nextHandle(){return Te._handlePool++}_withAdapter(W,J,ee,te,me=!1){const Ce=this._adapter.get(W);if(!Ce)return Promise.resolve(te);if(Ce.adapter instanceof J){let Oe;Ce.extension&&(Oe=Date.now(),this._logService.trace(`[${Ce.extension.identifier.value}] INVOKE provider '${J.name}'`));const ge=ee(Ce.adapter,Ce.extension),ke=Ce.extension;return ke&&Promise.resolve(ge).then(()=>this._logService.trace(`[${ke.identifier.value}] provider DONE after ${Date.now()-Oe}ms`),Pe=>{me&&Pe instanceof _.CancellationError||(this._logService.error(`[${ke.identifier.value}] provider FAILED`),this._logService.error(Pe))}),ge}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(W,J){const ee=this._nextHandle();return this._adapter.set(ee,new je(W,J)),ee}static _extLabel(W){return W.displayName||W.name}registerDocumentSymbolProvider(W,J,ee,te){const me=this._addNewAdapter(new r(this._documents,ee),W),Ce=te&&te.label||Te._extLabel(W);return this._proxy.$registerDocumentSymbolProvider(me,this._transformDocumentSelector(J),Ce),this._createDisposable(me)}$provideDocumentSymbols(W,J,ee){return this._withAdapter(W,r,te=>te.provideDocumentSymbols(b.URI.revive(J),ee),void 0)}registerCodeLensProvider(W,J,ee){const te=this._nextHandle(),me=typeof ee.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(te,new je(new l(this._documents,this._commands.converter,ee),W)),this._proxy.$registerCodeLensSupport(te,this._transformDocumentSelector(J),me);let Ce=this._createDisposable(te);if(me!==void 0){const Oe=ee.onDidChangeCodeLenses(ge=>this._proxy.$emitCodeLensEvent(me));Ce=A.Disposable.from(Ce,Oe)}return Ce}$provideCodeLenses(W,J,ee){return this._withAdapter(W,l,te=>te.provideCodeLenses(b.URI.revive(J),ee),void 0)}$resolveCodeLens(W,J,ee){return this._withAdapter(W,l,te=>te.resolveCodeLens(J,ee),void 0)}$releaseCodeLenses(W,J){this._withAdapter(W,l,ee=>Promise.resolve(ee.releaseCodeLenses(J)),void 0)}registerDefinitionProvider(W,J,ee){const te=this._addNewAdapter(new t(this._documents,ee),W);return this._proxy.$registerDefinitionSupport(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideDefinition(W,J,ee,te){return this._withAdapter(W,t,me=>me.provideDefinition(b.URI.revive(J),ee,te),[])}registerDeclarationProvider(W,J,ee){const te=this._addNewAdapter(new o(this._documents,ee),W);return this._proxy.$registerDeclarationSupport(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideDeclaration(W,J,ee,te){return this._withAdapter(W,o,me=>me.provideDeclaration(b.URI.revive(J),ee,te),[])}registerImplementationProvider(W,J,ee){const te=this._addNewAdapter(new a(this._documents,ee),W);return this._proxy.$registerImplementationSupport(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideImplementation(W,J,ee,te){return this._withAdapter(W,a,me=>me.provideImplementation(b.URI.revive(J),ee,te),[])}registerTypeDefinitionProvider(W,J,ee){const te=this._addNewAdapter(new c(this._documents,ee),W);return this._proxy.$registerTypeDefinitionSupport(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideTypeDefinition(W,J,ee,te){return this._withAdapter(W,c,me=>me.provideTypeDefinition(b.URI.revive(J),ee,te),[])}registerHoverProvider(W,J,ee,te){const me=this._addNewAdapter(new n(this._documents,ee),W);return this._proxy.$registerHoverProvider(me,this._transformDocumentSelector(J)),this._createDisposable(me)}$provideHover(W,J,ee,te){return this._withAdapter(W,n,me=>me.provideHover(b.URI.revive(J),ee,te),void 0)}registerEvaluatableExpressionProvider(W,J,ee,te){const me=this._addNewAdapter(new f(this._documents,ee),W);return this._proxy.$registerEvaluatableExpressionProvider(me,this._transformDocumentSelector(J)),this._createDisposable(me)}$provideEvaluatableExpression(W,J,ee,te){return this._withAdapter(W,f,me=>me.provideEvaluatableExpression(b.URI.revive(J),ee,te),void 0)}registerInlineValuesProvider(W,J,ee,te){const me=typeof ee.onDidChangeInlineValues=="function"?this._nextHandle():void 0,Ce=this._addNewAdapter(new y(this._documents,ee),W);this._proxy.$registerInlineValuesProvider(Ce,this._transformDocumentSelector(J),me);let Oe=this._createDisposable(Ce);if(me!==void 0){const ge=ee.onDidChangeInlineValues(ke=>this._proxy.$emitInlineValuesEvent(me));Oe=A.Disposable.from(Oe,ge)}return Oe}$provideInlineValues(W,J,ee,te,me){return this._withAdapter(W,y,Ce=>Ce.provideInlineValues(b.URI.revive(J),ee,te,me),void 0)}registerDocumentHighlightProvider(W,J,ee){const te=this._addNewAdapter(new k(this._documents,ee),W);return this._proxy.$registerDocumentHighlightProvider(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideDocumentHighlights(W,J,ee,te){return this._withAdapter(W,k,me=>me.provideDocumentHighlights(b.URI.revive(J),ee,te),void 0)}registerLinkedEditingRangeProvider(W,J,ee){const te=this._addNewAdapter(new m(this._documents,ee),W);return this._proxy.$registerLinkedEditingRangeProvider(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideLinkedEditingRanges(W,J,ee,te){return this._withAdapter(W,m,async me=>{const Ce=await me.provideLinkedEditingRanges(b.URI.revive(J),ee,te);if(Ce)return{ranges:Ce.ranges,wordPattern:Ce.wordPattern?Te._serializeRegExp(Ce.wordPattern):void 0}},void 0)}registerReferenceProvider(W,J,ee){const te=this._addNewAdapter(new E(this._documents,ee),W);return this._proxy.$registerReferenceSupport(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideReferences(W,J,ee,te,me){return this._withAdapter(W,E,Ce=>Ce.provideReferences(b.URI.revive(J),ee,te,me),void 0)}registerCodeActionProvider(W,J,ee,te){var me,Ce;const Oe=new d.DisposableStore,ge=this._addNewAdapter(new R(this._documents,this._commands.converter,this._diagnostics,ee,this._logService,W,this._apiDeprecation),W);return this._proxy.$registerQuickFixSupport(ge,this._transformDocumentSelector(J),{providedKinds:(me=te==null?void 0:te.providedCodeActionKinds)===null||me===void 0?void 0:me.map(ke=>ke.value),documentation:(Ce=te==null?void 0:te.documentation)===null||Ce===void 0?void 0:Ce.map(ke=>({kind:ke.kind.value,command:this._commands.converter.toInternal(ke.command,Oe)}))},Te._extLabel(W),Boolean(ee.resolveCodeAction)),Oe.add(this._createDisposable(ge)),Oe}$provideCodeActions(W,J,ee,te,me){return this._withAdapter(W,R,Ce=>Ce.provideCodeActions(b.URI.revive(J),ee,te,me),void 0)}$resolveCodeAction(W,J,ee){return this._withAdapter(W,R,te=>te.resolveCodeAction(J,ee),void 0)}$releaseCodeActions(W,J){this._withAdapter(W,R,ee=>Promise.resolve(ee.releaseCodeActions(J)),void 0)}registerDocumentFormattingEditProvider(W,J,ee){const te=this._addNewAdapter(new F(this._documents,ee),W);return this._proxy.$registerDocumentFormattingSupport(te,this._transformDocumentSelector(J),W.identifier,W.displayName||W.name),this._createDisposable(te)}$provideDocumentFormattingEdits(W,J,ee,te){return this._withAdapter(W,F,me=>me.provideDocumentFormattingEdits(b.URI.revive(J),ee,te),void 0)}registerDocumentRangeFormattingEditProvider(W,J,ee){const te=this._addNewAdapter(new $(this._documents,ee),W);return this._proxy.$registerRangeFormattingSupport(te,this._transformDocumentSelector(J),W.identifier,W.displayName||W.name),this._createDisposable(te)}$provideDocumentRangeFormattingEdits(W,J,ee,te,me){return this._withAdapter(W,$,Ce=>Ce.provideDocumentRangeFormattingEdits(b.URI.revive(J),ee,te,me),void 0)}registerOnTypeFormattingEditProvider(W,J,ee,te){const me=this._addNewAdapter(new K(this._documents,ee),W);return this._proxy.$registerOnTypeFormattingSupport(me,this._transformDocumentSelector(J),te,W.identifier),this._createDisposable(me)}$provideOnTypeFormattingEdits(W,J,ee,te,me,Ce){return this._withAdapter(W,K,Oe=>Oe.provideOnTypeFormattingEdits(b.URI.revive(J),ee,te,me,Ce),void 0)}registerWorkspaceSymbolProvider(W,J){const ee=this._addNewAdapter(new G(J,this._logService),W);return this._proxy.$registerNavigateTypeSupport(ee),this._createDisposable(ee)}$provideWorkspaceSymbols(W,J,ee){return this._withAdapter(W,G,te=>te.provideWorkspaceSymbols(J,ee),{symbols:[]})}$resolveWorkspaceSymbol(W,J,ee){return this._withAdapter(W,G,te=>te.resolveWorkspaceSymbol(J,ee),void 0)}$releaseWorkspaceSymbols(W,J){this._withAdapter(W,G,ee=>ee.releaseWorkspaceSymbols(J),void 0)}registerRenameProvider(W,J,ee){const te=this._addNewAdapter(new H(this._documents,ee,this._logService),W);return this._proxy.$registerRenameSupport(te,this._transformDocumentSelector(J),H.supportsResolving(ee)),this._createDisposable(te)}$provideRenameEdits(W,J,ee,te,me){return this._withAdapter(W,H,Ce=>Ce.provideRenameEdits(b.URI.revive(J),ee,te,me),void 0)}$resolveRenameLocation(W,J,ee,te){return this._withAdapter(W,H,me=>me.resolveRenameLocation(b.URI.revive(J),ee,te),void 0)}registerDocumentSemanticTokensProvider(W,J,ee,te){const me=this._nextHandle(),Ce=typeof ee.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(me,new je(new N(this._documents,ee),W)),this._proxy.$registerDocumentSemanticTokensProvider(me,this._transformDocumentSelector(J),te,Ce);let Oe=this._createDisposable(me);if(Ce){const ge=ee.onDidChangeSemanticTokens(ke=>this._proxy.$emitDocumentSemanticTokensEvent(Ce));Oe=A.Disposable.from(Oe,ge)}return Oe}$provideDocumentSemanticTokens(W,J,ee,te){return this._withAdapter(W,N,me=>me.provideDocumentSemanticTokens(b.URI.revive(J),ee,te),null,!0)}$releaseDocumentSemanticTokens(W,J){this._withAdapter(W,N,ee=>ee.releaseDocumentSemanticColoring(J),void 0)}registerDocumentRangeSemanticTokensProvider(W,J,ee,te){const me=this._addNewAdapter(new O(this._documents,ee),W);return this._proxy.$registerDocumentRangeSemanticTokensProvider(me,this._transformDocumentSelector(J),te),this._createDisposable(me)}$provideDocumentRangeSemanticTokens(W,J,ee,te){return this._withAdapter(W,O,me=>me.provideDocumentRangeSemanticTokens(b.URI.revive(J),ee,te),null,!0)}registerCompletionItemProvider(W,J,ee,te){const me=this._addNewAdapter(new x(this._documents,this._commands.converter,ee,this._apiDeprecation,W),W);return this._proxy.$registerSuggestSupport(me,this._transformDocumentSelector(J),te,x.supportsResolving(ee),`${W.identifier.value}(${te.join("")})`),this._createDisposable(me)}$provideCompletionItems(W,J,ee,te,me){return this._withAdapter(W,x,Ce=>Ce.provideCompletionItems(b.URI.revive(J),ee,te,me),void 0)}$resolveCompletionItem(W,J,ee){return this._withAdapter(W,x,te=>te.resolveCompletionItem(J,ee),void 0)}$releaseCompletionItems(W,J){this._withAdapter(W,x,ee=>ee.releaseCompletionItems(J),void 0)}registerSignatureHelpProvider(W,J,ee,te){const me=Array.isArray(te)?{triggerCharacters:te,retriggerCharacters:[]}:te,Ce=this._addNewAdapter(new L(this._documents,ee),W);return this._proxy.$registerSignatureHelpProvider(Ce,this._transformDocumentSelector(J),me),this._createDisposable(Ce)}$provideSignatureHelp(W,J,ee,te,me){return this._withAdapter(W,L,Ce=>Ce.provideSignatureHelp(b.URI.revive(J),ee,te,me),void 0)}$releaseSignatureHelp(W,J){this._withAdapter(W,L,ee=>ee.releaseSignatureHelp(J),void 0)}registerInlineHintsProvider(W,J,ee){const te=typeof ee.onDidChangeInlineHints=="function"?this._nextHandle():void 0,me=this._addNewAdapter(new z(this._documents,ee),W);this._proxy.$registerInlineHintsProvider(me,this._transformDocumentSelector(J),te);let Ce=this._createDisposable(me);if(te!==void 0){const Oe=ee.onDidChangeInlineHints(ge=>this._proxy.$emitInlineHintsEvent(te));Ce=A.Disposable.from(Ce,Oe)}return Ce}$provideInlineHints(W,J,ee,te){return this._withAdapter(W,z,me=>me.provideInlineHints(b.URI.revive(J),ee,te),void 0)}registerDocumentLinkProvider(W,J,ee){const te=this._addNewAdapter(new ae(this._documents,ee),W);return this._proxy.$registerDocumentLinkProvider(te,this._transformDocumentSelector(J),typeof ee.resolveDocumentLink=="function"),this._createDisposable(te)}$provideDocumentLinks(W,J,ee){return this._withAdapter(W,ae,te=>te.provideLinks(b.URI.revive(J),ee),void 0)}$resolveDocumentLink(W,J,ee){return this._withAdapter(W,ae,te=>te.resolveLink(J,ee),void 0)}$releaseDocumentLinks(W,J){this._withAdapter(W,ae,ee=>ee.releaseLinks(J),void 0)}registerColorProvider(W,J,ee){const te=this._addNewAdapter(new re(this._documents,ee),W);return this._proxy.$registerDocumentColorProvider(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideDocumentColors(W,J,ee){return this._withAdapter(W,re,te=>te.provideColors(b.URI.revive(J),ee),[])}$provideColorPresentations(W,J,ee,te){return this._withAdapter(W,re,me=>me.provideColorPresentations(b.URI.revive(J),ee,te),void 0)}registerFoldingRangeProvider(W,J,ee){const te=this._nextHandle(),me=typeof ee.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(te,new je(new de(this._documents,ee),W)),this._proxy.$registerFoldingRangeProvider(te,this._transformDocumentSelector(J),me);let Ce=this._createDisposable(te);if(me!==void 0){const Oe=ee.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(me));Ce=A.Disposable.from(Ce,Oe)}return Ce}$provideFoldingRanges(W,J,ee,te){return this._withAdapter(W,de,me=>me.provideFoldingRanges(b.URI.revive(J),ee,te),void 0)}registerSelectionRangeProvider(W,J,ee){const te=this._addNewAdapter(new fe(this._documents,ee,this._logService),W);return this._proxy.$registerSelectionRangeProvider(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$provideSelectionRanges(W,J,ee,te){return this._withAdapter(W,fe,me=>me.provideSelectionRanges(b.URI.revive(J),ee,te),[])}registerCallHierarchyProvider(W,J,ee){const te=this._addNewAdapter(new Ae(this._documents,ee),W);return this._proxy.$registerCallHierarchyProvider(te,this._transformDocumentSelector(J)),this._createDisposable(te)}$prepareCallHierarchy(W,J,ee,te){return this._withAdapter(W,Ae,me=>Promise.resolve(me.prepareSession(b.URI.revive(J),ee,te)),void 0)}$provideCallHierarchyIncomingCalls(W,J,ee,te){return this._withAdapter(W,Ae,me=>me.provideCallsTo(J,ee,te),void 0)}$provideCallHierarchyOutgoingCalls(W,J,ee,te){return this._withAdapter(W,Ae,me=>me.provideCallsFrom(J,ee,te),void 0)}$releaseCallHierarchy(W,J){this._withAdapter(W,Ae,ee=>Promise.resolve(ee.releaseSession(J)),void 0)}static _serializeRegExp(W){return{pattern:W.source,flags:D.regExpFlags(W)}}static _serializeIndentationRule(W){return{decreaseIndentPattern:Te._serializeRegExp(W.decreaseIndentPattern),increaseIndentPattern:Te._serializeRegExp(W.increaseIndentPattern),indentNextLinePattern:W.indentNextLinePattern?Te._serializeRegExp(W.indentNextLinePattern):void 0,unIndentedLinePattern:W.unIndentedLinePattern?Te._serializeRegExp(W.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(W){return{beforeText:Te._serializeRegExp(W.beforeText),afterText:W.afterText?Te._serializeRegExp(W.afterText):void 0,previousLineText:W.previousLineText?Te._serializeRegExp(W.previousLineText):void 0,action:W.action}}static _serializeOnEnterRules(W){return W.map(Te._serializeOnEnterRule)}setLanguageConfiguration(W,J,ee){let{wordPattern:te}=ee;if(te&&D.regExpLeadsToEndlessLoop(te))throw new Error(`Invalid language configuration: wordPattern '${te}' is not allowed to match the empty string.`);te?this._documents.setWordDefinitionFor(J,te):this._documents.setWordDefinitionFor(J,void 0),ee.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",W,"Do not use."),ee.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",W,"Do not use.");const me=this._nextHandle(),Ce={comments:ee.comments,brackets:ee.brackets,wordPattern:ee.wordPattern?Te._serializeRegExp(ee.wordPattern):void 0,indentationRules:ee.indentationRules?Te._serializeIndentationRule(ee.indentationRules):void 0,onEnterRules:ee.onEnterRules?Te._serializeOnEnterRules(ee.onEnterRules):void 0,__electricCharacterSupport:ee.__electricCharacterSupport,__characterPairSupport:ee.__characterPairSupport};return this._proxy.$setLanguageConfiguration(me,J,Ce),this._createDisposable(me)}$setWordDefinitions(W){for(const J of W)this._documents.setWordDefinitionFor(J.languageId,new RegExp(J.regexSource,J.regexFlags))}}e.ExtHostLanguageFeatures=Te,Te._handlePool=0}),define(we[193],Ee([0,1,5,9,7]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class A{constructor(C,D){this._proxy=C.getProxy(b.MainContext.MainThreadLanguages),this._documents=D}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(C,D){await this._proxy.$changeLanguage(C,D);const i=this._documents.getDocumentData(C);if(!i)throw new Error(`document '${C.toString}' NOT found`);return i.document}async tokenAtPosition(C,D){var i;const P=C.version,I=S.Position.from(D),p=await this._proxy.$tokensAtPosition(C.uri,I),d={type:T.StandardTokenType.Other,range:(i=C.getWordRangeAtPosition(D))!==null&&i!==void 0?i:new T.Range(D.line,D.character,D.line,D.character)};if(!p)return d;const s={range:S.Range.to(p.range),type:S.TokenType.to(p.type)};return!s.range.contains(D)||P!==C.version?d:s}}e.ExtHostLanguages=A}),define(we[194],Ee([0,1,5,17,33]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function A(C){return C&&C.title}let w=class{constructor(D,i){this._logService=i,this._proxy=D.getProxy(b.MainContext.MainThreadMessageService)}showMessage(D,i,P,I,p){const d={extension:D};let s;typeof I=="string"||A(I)?s=[I,...p]:(d.modal=I&&I.modal,d.useCustom=I&&I.useCustom,s=p),d.useCustom&&T.checkProposedApiEnabled(D);const h=[];for(let v=0;v<s.length;v++){const g=s[v];if(typeof g=="string")h.push({title:g,handle:v,isCloseAffordance:!1});else if(typeof g=="object"){let{title:_,isCloseAffordance:r}=g;h.push({title:_,isCloseAffordance:!!r,handle:v})}else this._logService.warn("Invalid message item:",g)}return this._proxy.$showMessage(i,P,d,h).then(v=>{if(typeof v=="number")return s[v]})}};w=Ke([Qe(1,S.ILogService)],w),e.ExtHostMessageService=w}),define(we[195],Ee([0,1,20,3,6,2,29,5,9,7,70,40,22,172,173,53,13,56]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class _ extends T.Disposable{constructor(n,f,y,k,m){super();this._editorId=n,this.uri=f,this._proxy=y,this._webviewInitData=k,this.document=m,this._onDidReceiveDocumentMessage=new S.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:E=>this._proxy.$postMessage(this._editorId,void 0,E),asWebviewUri:E=>this._asWebviewUri(E)}}onDidReceiveMessage(n,f){var y;this._onDidReceiveDocumentMessage.fire(f),n!==void 0&&((y=this._rendererIdToEmitters.get(n))===null||y===void 0||y.fire(f))}getRendererComm(n){const f=new S.Emitter;return this._rendererIdToEmitters.set(n,f),{editorId:this._editorId,onDidReceiveMessage:f.event,postMessage:y=>this._proxy.$postMessage(this._editorId,n,y),asWebviewUri:y=>this._asWebviewUri(y)}}_asWebviewUri(n){return P.asWebviewUri(this._webviewInitData,this._editorId,n)}}class r extends T.Disposable{constructor(n,f,y,k){super();this._proxy=n,this._handle=f,this._extension=y,this._provider=k,this._kernelToFriendlyId=new p.ResourceMap,this._friendlyIdToKernel=new p.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(m=>{const E=m==null?void 0:m.uri;this._proxy.$onNotebookKernelChange(this._handle,E)}))}async provideKernels(n,f){const y=await this._provider.provideKernels(n.notebookDocument,f)||[],k=new Map;let m=0;const E=new Set,R=this._kernelToFriendlyId.get(n.uri),F=y.map(K=>{let G=R==null?void 0:R.get(K);return G===void 0&&(K.id&&E.has(K.id)?G=`${this._extension.identifier.value}_${K.id}_${m++}`:G=`${this._extension.identifier.value}_${K.id||w.generateUuid()}`),k.set(K,G),{id:K.id,friendlyId:G,label:K.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:K.description,detail:K.detail,isPreferred:K.isPreferred,preloads:K.preloads,supportedLanguages:K.supportedLanguages}});this._kernelToFriendlyId.set(n.uri,k);const $=new Map;return k.forEach((K,G)=>{$.set(K,G)}),this._friendlyIdToKernel.set(n.uri,$),F}getKernelByFriendlyId(n,f){var y;return(y=this._friendlyIdToKernel.get(n))===null||y===void 0?void 0:y.get(f)}async resolveNotebook(n,f,y,k){var m;const E=(m=this._friendlyIdToKernel.get(f.uri))===null||m===void 0?void 0:m.get(n);if(E&&this._provider.resolveKernel)return this._provider.resolveKernel(E,f.notebookDocument,y,k)}async executeNotebook(n,f,y){var k;const m=(k=this._friendlyIdToKernel.get(f.uri))===null||k===void 0?void 0:k.get(n);if(!!m)return l(y?E=>m.executeCell(f.notebookDocument,y.cell,E):E=>m.executeAllCells(f.notebookDocument,E))}async cancelNotebook(n,f,y){var k;const m=(k=this._friendlyIdToKernel.get(f.uri))===null||k===void 0?void 0:k.get(n);if(!!m)return y?m.cancelCellExecution(f.notebookDocument,y.cell):m.cancelAllCellsExecution(f.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=r;async function l(c){const n=new b.CancellationTokenSource;try{await c(n.token)}finally{n.dispose()}}class u{constructor(n,f){const y=u._Keys.nextId();n.$registerNotebookEditorDecorationType(y,D.NotebookDecorationRenderOptions.from(f)),this.value={key:y,dispose(){n.$removeNotebookEditorDecorationType(y)}}}}e.NotebookEditorDecorationType=u,u._Keys=new h.IdGenerator("NotebookEditorDecorationType");class t{constructor(n,f,y,k,m,E){this._documentsAndEditors=y,this._webviewInitData=k,this.logService=m,this._extensionStoragePaths=E,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new p.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new S.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new S.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new S.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new S.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new S.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellLanguage=new S.Emitter,this.onDidChangeCellLanguage=this._onDidChangeCellLanguage.event,this._onDidChangeCellMetadata=new S.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new S.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new S.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new S.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new S.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new S.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new S.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=n.getProxy(C.MainContext.MainThreadNotebook),this._commandsConverter=f.converter,f.registerArgumentProcessor({processArgument:R=>{var F;if(R&&R.$mid===12){const $=(F=R.notebookEditor)===null||F===void 0?void 0:F.notebookUri,K=R.cell.handle,G=this._documents.get($),H=G==null?void 0:G.getCell(K);if(H)return H.cell}return R}})}get activeNotebookEditor(){var n;return(n=this._activeNotebookEditor)===null||n===void 0?void 0:n.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(n=>n.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(n){return this._documents.get(n)}_getNotebookDocument(n){const f=this._documents.get(n);if(!f)throw new Error(`NO notebook document for '${n}'`);return f}_getProviderData(n){const f=this._notebookContentProviders.get(n);if(!f)throw new Error(`NO provider for '${n}'`);return f}registerNotebookContentProvider(n,f,y,k){var m,E,R;if(this._notebookContentProviders.has(f))throw new Error(`Notebook provider for '${f}' already registered`);this._notebookContentProviders.set(f,{extension:n,provider:y});let F;y.onDidChangeNotebookContentOptions&&(F=y.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(f,y.options)}));const $=(m=k==null?void 0:k.viewOptions)===null||m===void 0?void 0:m.filenamePattern.map(K=>D.NotebookExclusiveDocumentPattern.from(K)).filter(K=>K!==void 0);return((E=k==null?void 0:k.viewOptions)===null||E===void 0?void 0:E.filenamePattern)&&!$&&console.warn(`Notebook content provider view options file name pattern is invalid ${(R=k==null?void 0:k.viewOptions)===null||R===void 0?void 0:R.filenamePattern}`),this._proxy.$registerNotebookProvider({id:n.identifier,location:n.extensionLocation,description:n.description},f,{transientOutputs:(k==null?void 0:k.transientOutputs)||!1,transientMetadata:(k==null?void 0:k.transientMetadata)||{},viewOptions:(k==null?void 0:k.viewOptions)&&$?{displayName:k.viewOptions.displayName,filenamePattern:$,exclusive:k.viewOptions.exclusive||!1}:void 0}),new i.Disposable(()=>{F==null||F.dispose(),this._notebookContentProviders.delete(f),this._proxy.$unregisterNotebookProvider(f)})}registerNotebookKernelProvider(n,f,y){const k=t._notebookKernelProviderHandlePool++,m=new r(this._proxy,k,n,y);return this._notebookKernelProviders.set(k,m),this._proxy.$registerNotebookKernelProvider({id:n.identifier,location:n.extensionLocation,description:n.description},k,{viewType:f.viewType,filenamePattern:f.filenamePattern?D.NotebookExclusiveDocumentPattern.from(f.filenamePattern):void 0}),new i.Disposable(()=>{m.dispose(),this._notebookKernelProviders.delete(k),this._proxy.$unregisterNotebookKernelProvider(k)})}createNotebookEditorDecorationType(n){return new u(this._proxy,n).value}async openNotebookDocument(n,f){const y=this._documents.get(A.URI.revive(n));if(y)return y.notebookDocument;await this._proxy.$tryOpenDocument(n,f);const k=this._documents.get(A.URI.revive(n));return v.assertIsDefined(k==null?void 0:k.notebookDocument)}_withAdapter(n,f,y){const k=this._documents.get(A.URI.revive(f));if(!k)return[];const m=this._notebookKernelProviders.get(n);return m?y(m,k):[]}async showNotebookDocument(n,f){var y;let k;typeof f=="object"?k={position:D.ViewColumn.from(f.viewColumn),preserveFocus:f.preserveFocus,selection:f.selection&&D.NotebookCellRange.from(f.selection),pinned:typeof f.preview=="boolean"?!f.preview:void 0}:k={preserveFocus:!1};const m=await this._proxy.$tryShowNotebookDocument(n.uri,n.viewType,k),E=m&&((y=this._editors.get(m))===null||y===void 0?void 0:y.editor);if(E)return E.editor;throw m?new Error(`Could NOT open editor for "${n.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${n.toString()}".`)}async $provideNotebookKernels(n,f,y){return this._withAdapter(n,f,(k,m)=>k.provideKernels(m,y))}async $resolveNotebookKernel(n,f,y,k,m){await this._withAdapter(n,y,async(E,R)=>{const F=this._webviewComm.get(f);F&&await E.resolveNotebook(k,R,F.contentProviderComm,m)})}async $resolveNotebookEditor(n,f,y){const k=this._notebookContentProviders.get(n),m=A.URI.revive(f),E=this._documents.get(m);if(!(!E||!k)){let R=this._webviewComm.get(y);R||(R=new _(y,m,this._proxy,this._webviewInitData,E),this._webviewComm.set(y,R)),!!k.provider.resolveNotebook&&await k.provider.resolveNotebook(E.notebookDocument,R.contentProviderComm)}}async $executeNotebookKernelFromProvider(n,f,y,k){await this._withAdapter(n,f,async(m,E)=>{const R=k!==void 0?E.getCell(k):void 0;return m.executeNotebook(y,E,R)})}async $cancelNotebookKernelFromProvider(n,f,y,k){await this._withAdapter(n,f,async(m,E)=>{const R=k!==void 0?E.getCell(k):void 0;return m.cancelNotebook(y,E,R)})}async $openNotebook(n,f,y){const{provider:k}=this._getProviderData(n),m=await k.openNotebook(A.URI.revive(f),{backupId:y});return{metadata:Object.assign(Object.assign({},I.notebookDocumentMetadataDefaults),m.metadata),cells:m.cells.map(D.NotebookCellData.from)}}async $saveNotebook(n,f,y){const k=this._getNotebookDocument(A.URI.revive(f)),{provider:m}=this._getProviderData(n);return await m.saveNotebook(k.notebookDocument,y),!0}async $saveNotebookAs(n,f,y,k){const m=this._getNotebookDocument(A.URI.revive(f)),{provider:E}=this._getProviderData(n);return await E.saveNotebookAs(A.URI.revive(y),m.notebookDocument,k),!0}async $backupNotebook(n,f,y){var k;const m=this._getNotebookDocument(A.URI.revive(f)),E=this._getProviderData(n),R=(k=this._extensionStoragePaths.workspaceValue(E.extension))!==null&&k!==void 0?k:this._extensionStoragePaths.globalValue(E.extension),F=String(g.hash([m.uri.toString(),this._backupIdPool++])),$=A.URI.joinPath(R,F),K=await E.provider.backupNotebook(m.notebookDocument,{destination:$},y);return m.updateBackup(K),K.id}$acceptNotebookActiveKernelChange(n){n.providerHandle!==void 0&&this._withAdapter(n.providerHandle,n.uri,async(f,y)=>{const k=n.kernelFriendlyId?f.getKernelByFriendlyId(A.URI.revive(n.uri),n.kernelFriendlyId):void 0;this._editors.forEach(m=>{m.editor.notebookData===y&&m.editor._acceptKernel(k)}),this._onDidChangeActiveNotebookKernel.fire({document:y.notebookDocument,kernel:k})})}$onDidReceiveMessage(n,f,y){var k;(k=this._webviewComm.get(n))===null||k===void 0||k.onDidReceiveMessage(f,y)}$acceptModelChanged(n,f,y){this._getNotebookDocument(A.URI.revive(n)).acceptModelChanged(f,y)}$acceptDirtyStateChanged(n,f){const y=this._getNotebookDocument(A.URI.revive(n));y.acceptModelChanged({rawEvents:[],versionId:y.notebookDocument.version},f)}$acceptModelSaved(n){const f=this._getNotebookDocument(A.URI.revive(n));this._onDidSaveNotebookDocument.fire(f.notebookDocument)}$acceptEditorPropertiesChanged(n,f){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",n,f);let y;this._editors.forEach(k=>{k.editor.id===n&&(y=k)}),!!y&&(f.visibleRanges&&(y.editor._acceptVisibleRanges(f.visibleRanges.ranges.map(D.NotebookCellRange.to)),this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:y.editor.editor,visibleRanges:y.editor.editor.visibleRanges})),f.selections&&(y.editor._acceptSelections(f.selections.selections),this._onDidChangeNotebookEditorSelection.fire({notebookEditor:y.editor.editor,selection:y.editor.editor.selection})))}$acceptDocumentPropertiesChanged(n,f){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",n.path,f),this._getNotebookDocument(A.URI.revive(n)).acceptDocumentPropertiesChanged(f)}_createExtHostEditor(n,f,y,k){var m;const E=n.uri;let R=this._webviewComm.get(f);R||(R=new _(f,E,this._proxy,this._webviewInitData,n),this._webviewComm.set(f,R));const F=new s.ExtHostNotebookEditor(f,n.notebookDocument.viewType,this._proxy,n);F._acceptSelections(y),F._acceptVisibleRanges(k),(m=this._editors.get(f))===null||m===void 0||m.editor.dispose(),this._editors.set(f,{editor:F})}$acceptDocumentAndEditorsDelta(n){var f,y,k,m,E;let R=!1;if(n.removedDocuments)for(const $ of n.removedDocuments){const K=A.URI.revive($),G=this._documents.get(K);G&&(G.dispose(),this._documents.delete(K),this._documentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:G.notebookDocument.cells.map(H=>H.uri)}),this._onDidCloseNotebookDocument.fire(G.notebookDocument));for(const H of this._editors.values())H.editor.notebookData.uri.toString()===K.toString()&&(H.editor.dispose(),this._editors.delete(H.editor.id),R=!0)}if(n.addedDocuments){const $=[];for(const K of n.addedDocuments){const G=A.URI.revive(K.uri),H=K.viewType;if(this._documents.has(G))throw new Error(`adding EXISTING notebook ${G}`);const ue=this,N=new d.ExtHostNotebookDocument(this._proxy,this._documentsAndEditors,{emitModelChange(O){ue._onDidChangeNotebookCells.fire(O)},emitCellOutputsChange(O){ue._onDidChangeCellOutputs.fire(O)},emitCellLanguageChange(O){ue._onDidChangeCellLanguage.fire(O)},emitCellMetadataChange(O){ue._onDidChangeCellMetadata.fire(O)},emitDocumentMetadataChange(O){ue._onDidChangeNotebookDocumentMetadata.fire(O)}},H,K.contentOptions,K.metadata?D.NotebookDocumentMetadata.to(K.metadata):new i.NotebookDocumentMetadata,G);N.acceptModelChanged({versionId:K.versionId,rawEvents:[{kind:I.NotebookCellsChangeType.Initialize,changes:[[0,0,K.cells]]}]},!1),$.push(...K.cells.map(O=>d.ExtHostCell.asModelAddData(N.notebookDocument,O))),(f=this._documents.get(G))===null||f===void 0||f.dispose(),this._documents.set(G,N),this._documentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:$}),this._onDidOpenNotebookDocument.fire(N.notebookDocument)}}if(n.addedEditors)for(const $ of n.addedEditors){if(this._editors.has($.id))return;const K=A.URI.revive($.documentUri),G=this._documents.get(K);G&&(this._createExtHostEditor(G,$.id,$.selections,$.visibleRanges.map(D.NotebookCellRange.to)),R=!0)}const F=[];if(n.removedEditors)for(const $ of n.removedEditors){const K=this._editors.get($);K&&(R=!0,this._editors.delete($),((y=this._activeNotebookEditor)===null||y===void 0?void 0:y.id)===K.editor.id&&(this._activeNotebookEditor=void 0),F.push(K))}if(R&&F.forEach($=>{$.editor.dispose()}),n.visibleEditors){this._visibleNotebookEditors=n.visibleEditors.map(K=>this._editors.get(K).editor).filter(K=>!!K);const $=new Set;this._visibleNotebookEditors.forEach(K=>$.add(K.id));for(const K of this._editors.values()){const G=$.has(K.editor.id);K.editor._acceptVisibility(G)}this._visibleNotebookEditors=[...this._editors.values()].map(K=>K.editor).filter(K=>K.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}if(n.newActiveEditor!==void 0){if(n.newActiveEditor){this._activeNotebookEditor=(k=this._editors.get(n.newActiveEditor))===null||k===void 0?void 0:k.editor,(m=this._activeNotebookEditor)===null||m===void 0||m._acceptActive(!0);for(const $ of this._editors.values())$.editor!==this._activeNotebookEditor&&$.editor._acceptActive(!1)}else{this._activeNotebookEditor=void 0;for(const $ of this._editors.values())$.editor._acceptActive(!1)}this._onDidChangeActiveNotebookEditor.fire((E=this._activeNotebookEditor)===null||E===void 0?void 0:E.editor)}}createNotebookCellStatusBarItemInternal(n,f,y){const k=new o(this._proxy,this._commandsConverter,n,f,y),m=I.CellUri.parse(n.uri);if(m){const E=this._documents.get(m.notebook);if(E){const R=E.getCell(m.handle);R&&S.Event.once(R.onDidDispose)(()=>k.dispose())}}return k}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class o extends T.Disposable{constructor(n,f,y,k,m){super();this._proxy=n,this._commands=f,this._cell=y,this._priority=m,this._id=o.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new T.DisposableStore),this._alignment=k!=null?k:i.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=a(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(n){this._alignment=n,this.update()}get priority(){return this._priority}set priority(n){this._priority=n,this.update()}get text(){return this._text}set text(n){this._text=n,this.update()}get tooltip(){return this._tooltip}set tooltip(n){this._tooltip=n,this.update()}get command(){var n;return(n=this._command)===null||n===void 0?void 0:n.fromApi}set command(n){var f;((f=this._command)===null||f===void 0?void 0:f.fromApi)!==n&&(this._internalCommandRegistration.clear(),typeof n=="string"?this._command={fromApi:n,internal:this._commands.toInternal({title:"",command:n},this._internalCommandRegistration)}:n?this._command={fromApi:n,internal:this._commands.toInternal(n,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(n){this._accessibilityInformation=n,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var n;if(!this._isDisposed){const f={alignment:this.alignment===i.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.uri,command:(n=this._command)===null||n===void 0?void 0:n.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,f)}}}e.NotebookCellStatusBarItemInternal=o,o.NEXT_ID=0;function a(c){return Object.freeze({cell:c.cell,get alignment(){return c.alignment},set alignment(n){c.alignment=n},get priority(){return c.priority},set priority(n){c.priority=n},get text(){return c.text},set text(n){c.text=n},get tooltip(){return c.tooltip},set tooltip(n){c.tooltip=n},get command(){return c.command},set command(n){c.command=n},get accessibilityInformation(){return c.accessibilityInformation},set accessibilityInformation(n){c.accessibilityInformation=n},show(){c.show()},hide(){c.hide()},dispose(){c.dispose()}})}}),define(we[97],Ee([0,1,5,3,6,26,4,14]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class D extends T.Disposable{constructor(s,h,v,g){super();this._onDidAppend=this._register(new S.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=s,this._proxy=g,this._id=g.$register(this.name,h,v),this._disposed=!1,this._offset=0}get name(){return this._name}append(s){this.validate(),this._offset+=s?A.VSBuffer.fromString(s).byteLength:0}update(){this._id.then(s=>this._proxy.$update(s))}appendLine(s){this.validate(),this.append(s+`
`)}clear(){this.validate();const s=this._offset;this._id.then(h=>this._proxy.$clear(h,s))}show(s,h){this.validate(),this._id.then(v=>this._proxy.$reveal(v,!!(typeof s=="boolean"?s:h)))}hide(){this.validate(),this._id.then(s=>this._proxy.$close(s))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(s=>this._proxy.$dispose(s)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=D;class i extends D{constructor(s,h){super(s,!1,void 0,h)}append(s){super.append(s),this._id.then(h=>this._proxy.$append(h,s)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=i;class P extends D{constructor(s,h,v){super(s,!0,h,v)}append(s){throw new Error("Not supported")}}class I{constructor(s,h){this.name=s,this._channel=h}append(s){this._channel.then(h=>h.append(s))}appendLine(s){this._channel.then(h=>h.appendLine(s))}clear(){this._channel.then(s=>s.clear())}show(s,h){this._channel.then(v=>v.show(s,h))}hide(){this._channel.then(s=>s.hide())}dispose(){this._channel.then(s=>s.dispose())}}e.LazyOutputChannel=I;let p=class{constructor(s){this._proxy=s.getProxy(b.MainContext.MainThreadOutputService)}$setVisibleChannel(s){}createOutputChannel(s){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");return new i(s,this._proxy)}createOutputChannelFromLogFile(s,h){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");if(!h)throw new Error("illegal argument `file`. must not be falsy");return new P(s,h,this._proxy)}};p=Ke([Qe(0,C.IExtHostRpcService)],p),e.ExtHostOutputService=p,e.IExtHostOutputService=w.createDecorator("IExtHostOutputService")}),define(we[196],Ee([0,1,15,20,3,6,5,2,7,10,11]),function(oe,e,b,S,T,A,w,C,D,i,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function I(p,d,s){const h=p.getProxy(w.MainContext.MainThreadQuickOpen);class v{constructor(a,c){this._sessions=new Map,this._instances=0,this._workspace=a,this._commands=c}showQuickPick(a,c,n,f=S.CancellationToken.None){this._onDidSelectItem=void 0;const y=Promise.resolve(a),k=++this._instances,m=h.$show(k,{placeHolder:n&&n.placeHolder,matchOnDescription:n&&n.matchOnDescription,matchOnDetail:n&&n.matchOnDetail,ignoreFocusLost:n&&n.ignoreFocusOut,canPickMany:n&&n.canPickMany},f),E={},R=m.then(()=>E);return Promise.race([R,y]).then(F=>{if(F!==E)return y.then($=>{const K=[];for(let G=0;G<$.length;G++){const H=$[G];let ue,N,O,x,L;typeof H=="string"?ue=H:(ue=H.label,N=H.description,O=H.detail,x=H.picked,L=H.alwaysShow),K.push({label:ue,description:N,handle:G,detail:O,picked:x,alwaysShow:L})}return n&&typeof n.onDidSelectItem=="function"&&(this._onDidSelectItem=G=>{n.onDidSelectItem($[G])}),h.$setItems(k,K),m.then(G=>{if(typeof G=="number")return $[G];if(Array.isArray(G))return G.map(H=>$[H])})})}).then(void 0,F=>{if(!i.isPromiseCanceledError(F))return h.$setError(k,F),Promise.reject(F)})}$onItemSelected(a){this._onDidSelectItem&&this._onDidSelectItem(a)}showInput(a,c=S.CancellationToken.None){return this._validateInput=a?a.validateInput:void 0,h.$input(a,typeof this._validateInput=="function",c).then(void 0,n=>{if(!i.isPromiseCanceledError(n))return Promise.reject(n)})}$validateInput(a){return this._validateInput?b.asPromise(()=>this._validateInput(a)):Promise.resolve(void 0)}async showWorkspaceFolderPick(a,c=S.CancellationToken.None){const n=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[a]);if(!!n){const f=await this._workspace.getWorkspaceFolders2();if(!!f)return f.find(y=>y.uri.toString()===n.uri.toString())}}createQuickPick(a,c){const n=new u(a,c,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}createInputBox(a){const c=new t(a,()=>this._sessions.delete(c._id));return this._sessions.set(c._id,c),c}$onDidChangeValue(a,c){const n=this._sessions.get(a);n&&n._fireDidChangeValue(c)}$onDidAccept(a){const c=this._sessions.get(a);c&&c._fireDidAccept()}$onDidChangeActive(a,c){const n=this._sessions.get(a);n instanceof u&&n._fireDidChangeActive(c)}$onDidChangeSelection(a,c){const n=this._sessions.get(a);n instanceof u&&n._fireDidChangeSelection(c)}$onDidTriggerButton(a,c){const n=this._sessions.get(a);n&&n._fireDidTriggerButton(c)}$onDidHide(a){const c=this._sessions.get(a);c&&c._fireDidHide()}}class g{constructor(a,c){this._extensionId=a,this._onDidDispose=c,this._id=u._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new T.Emitter,this._onDidChangeValueEmitter=new T.Emitter,this._onDidTriggerButtonEmitter=new T.Emitter,this._onDidHideEmitter=new T.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(a){this._title=a,this.update({title:a})}get step(){return this._steps}set step(a){this._steps=a,this.update({step:a})}get totalSteps(){return this._totalSteps}set totalSteps(a){this._totalSteps=a,this.update({totalSteps:a})}get enabled(){return this._enabled}set enabled(a){this._enabled=a,this.update({enabled:a})}get busy(){return this._busy}set busy(a){this._busy=a,this.update({busy:a})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(a){this._ignoreFocusOut=a,this.update({ignoreFocusOut:a})}get value(){return this._value}set value(a){this._value=a,this.update({value:a})}get placeholder(){return this._placeholder}set placeholder(a){this._placeholder=a,this.update({placeholder:a})}get buttons(){return this._buttons}set buttons(a){this._buttons=a.slice(),this._handlesToButtons.clear(),a.forEach((c,n)=>{const f=c===D.QuickInputButtons.Back?-1:n;this._handlesToButtons.set(f,c)}),this.update({buttons:a.map((c,n)=>({iconPath:_(c.iconPath),tooltip:c.tooltip,handle:c===D.QuickInputButtons.Back?-1:n}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(a){this._value=a,this._onDidChangeValueEmitter.fire(a)}_fireDidTriggerButton(a){const c=this._handlesToButtons.get(a);c&&this._onDidTriggerButtonEmitter.fire(c)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=A.dispose(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),h.$dispose(this._id))}update(a){if(!this._disposed){for(const c of Object.keys(a)){const n=a[c];this._pendingUpdate[c]=n===void 0?null:n}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){h.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}g._nextId=1;function _(o){if(o instanceof D.ThemeIcon)return{id:o.id};const a=l(o),c=r(o);return{dark:typeof a=="string"?C.URI.file(a):a,light:typeof c=="string"?C.URI.file(c):c}}function r(o){return typeof o=="object"&&"light"in o?o.light:o}function l(o){return typeof o=="object"&&"dark"in o?o.dark:o}class u extends g{constructor(a,c,n){super(a,n);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new T.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new T.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(a){this._items=a.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),a.forEach((c,n)=>{this._handlesToItems.set(n,c),this._itemsToHandles.set(c,n)}),this.update({items:a.map((c,n)=>({label:c.label,description:c.description,handle:n,detail:c.detail,picked:c.picked,alwaysShow:c.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(a){this._canSelectMany=a,this.update({canSelectMany:a})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(a){this._matchOnDescription=a,this.update({matchOnDescription:a})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(a){this._matchOnDetail=a,this.update({matchOnDetail:a})}get sortByLabel(){return this._sortByLabel}set sortByLabel(a){this._sortByLabel=a,this.update({sortByLabel:a})}get activeItems(){return this._activeItems}set activeItems(a){this._activeItems=a.filter(c=>this._itemsToHandles.has(c)),this.update({activeItems:this._activeItems.map(c=>this._itemsToHandles.get(c))})}get selectedItems(){return this._selectedItems}set selectedItems(a){this._selectedItems=a.filter(c=>this._itemsToHandles.has(c)),this.update({selectedItems:this._selectedItems.map(c=>this._itemsToHandles.get(c))})}_fireDidChangeActive(a){const c=P.coalesce(a.map(n=>this._handlesToItems.get(n)));this._activeItems=c,this._onDidChangeActiveEmitter.fire(c)}_fireDidChangeSelection(a){const c=P.coalesce(a.map(n=>this._handlesToItems.get(n)));this._selectedItems=c,this._onDidChangeSelectionEmitter.fire(c)}}class t extends g{constructor(a,c){super(a,c);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(a){this._password=a,this.update({password:a})}get prompt(){return this._prompt}set prompt(a){this._prompt=a,this.update({prompt:a})}get validationMessage(){return this._validationMessage}set validationMessage(a){this._validationMessage=a,this.update({validationMessage:a})}}return new v(d,s)}e.createExtHostQuickOpen=I}),define(we[197],Ee([0,1,2,3,45,6,15,5,11,105,17,25,33]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function d(c){if(c)return typeof c.iconPath=="string"?b.URI.file(c.iconPath):c.iconPath}function s(c,n){if(!c.iconPath&&!n.iconPath)return 0;if(c.iconPath){if(!n.iconPath)return 1}else return-1;const f=typeof c.iconPath=="string"?c.iconPath:c.iconPath.fsPath,y=typeof n.iconPath=="string"?n.iconPath:n.iconPath.fsPath;return i.comparePaths(f,y)}function h(c,n){let f=0;if(c.strikeThrough!==n.strikeThrough)return c.strikeThrough?1:-1;if(c.faded!==n.faded)return c.faded?1:-1;if(c.tooltip!==n.tooltip)return(c.tooltip||"").localeCompare(n.tooltip||"");if(f=s(c,n),f!==0)return f;if(c.light&&n.light)f=s(c.light,n.light);else{if(c.light)return 1;if(n.light)return-1}if(f!==0)return f;if(c.dark&&n.dark)f=s(c.dark,n.dark);else{if(c.dark)return 1;if(n.dark)return-1}return f}function v(c,n){if(c.command!==n.command)return c.command<n.command?-1:1;if(c.title!==n.title)return c.title<n.title?-1:1;if(c.tooltip!==n.tooltip){if(c.tooltip!==void 0&&n.tooltip!==void 0)return c.tooltip<n.tooltip?-1:1;if(c.tooltip!==void 0)return 1;if(n.tooltip!==void 0)return-1}if(c.arguments===n.arguments)return 0;if(c.arguments)if(n.arguments){if(c.arguments.length!==n.arguments.length)return c.arguments.length-n.arguments.length}else return 1;else return-1;for(let f=0;f<c.arguments.length;f++){const y=c.arguments[f],k=n.arguments[f];if(y!==k)return y<k?-1:1}return 0}function g(c,n){let f=i.comparePaths(c.resourceUri.fsPath,n.resourceUri.fsPath,!0);if(f!==0)return f;if(c.command&&n.command)f=v(c.command,n.command);else{if(c.command)return 1;if(n.command)return-1}if(f!==0)return f;if(c.decorations&&n.decorations)f=h(c.decorations,n.decorations);else{if(c.decorations)return 1;if(n.decorations)return-1}return f}function _(c,n){for(let f=0;f<c.length;f++)if(c[f]!==n[f])return!1;return!0}function r(c,n){return c.command===n.command&&c.title===n.title&&c.tooltip===n.tooltip&&(c.arguments&&n.arguments?_(c.arguments,n.arguments):c.arguments===n.arguments)}function l(c,n){return D.equals(c,n,r)}class u{constructor(n,f,y){this._extension=n,this._proxy=f,this._sourceControlHandle=y,this._value="",this._onDidChange=new S.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(n){this._proxy.$setInputBoxValue(this._sourceControlHandle,n),this.updateValue(n)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(n){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,n),this._placeholder=n}get validateInput(){return p.checkProposedApiEnabled(this._extension),this._validateInput}set validateInput(n){if(p.checkProposedApiEnabled(this._extension),n&&typeof n!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=n,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!n)}get visible(){return this._visible}set visible(n){n=!!n,this._visible!==n&&(this._visible=n,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,n))}$onInputBoxValueChange(n){this.updateValue(n)}updateValue(n){this._value=n,this._onDidChange.fire(n)}}e.ExtHostSCMInputBox=u;class t{constructor(n,f,y,k,m){this._proxy=n,this._commands=f,this._sourceControlHandle=y,this._id=k,this._label=m,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new S.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new S.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(n){this._label=n,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,n)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(n){this._hideWhenEmpty=n,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(n){this._resourceStates=[...n],this._onDidUpdateResourceStates.fire()}getResourceState(n){return this._resourceStatesMap.get(n)}$executeResourceCommand(n,f){const y=this._resourceStatesCommandsMap.get(n);return y?w.asPromise(()=>this._commands.executeCommand(y.command,...y.arguments||[],f)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var n;const f=[...this._resourceStates].sort(g),k=D.sortedDiff(this._resourceSnapshot,f,g).map(R=>{const F=R.toInsert.map($=>{const K=this._resourceHandlePool++;this._resourceStatesMap.set(K,$);const G=$.resourceUri,H=d($.decorations),ue=$.decorations&&d($.decorations.light)||H,N=$.decorations&&d($.decorations.dark)||H,O=[];let x;if($.command)if($.command.command==="vscode.open"||$.command.command==="vscode.diff"){const fe=new A.DisposableStore;x=this._commands.converter.toInternal($.command,fe),this._resourceStatesDisposablesMap.set(K,fe)}else this._resourceStatesCommandsMap.set(K,$.command);ue&&O.push(ue),N&&N.toString()!==(ue==null?void 0:ue.toString())&&O.push(N);const L=$.decorations&&$.decorations.tooltip||"",z=$.decorations&&!!$.decorations.strikeThrough,ae=$.decorations&&!!$.decorations.faded,re=$.contextValue||"";return{rawResource:[K,G,O,L,z,ae,re,x],handle:K}});return{start:R.start,deleteCount:R.deleteCount,toInsert:F}}),m=k.map(({start:R,deleteCount:F,toInsert:$})=>[R,F,$.map(K=>K.rawResource)]),E=k.reverse();for(const{start:R,deleteCount:F,toInsert:$}of E){const K=$.map(H=>H.handle),G=this._handlesSnapshot.splice(R,F,...K);for(const H of G)this._resourceStatesMap.delete(H),this._resourceStatesCommandsMap.delete(H),(n=this._resourceStatesDisposablesMap.get(H))===null||n===void 0||n.dispose(),this._resourceStatesDisposablesMap.delete(H)}return this._resourceSnapshot=f,m}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class o{constructor(n,f,y,k,m,E){this._proxy=f,this._commands=y,this._id=k,this._label=m,this._rootUri=E,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new A.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new A.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new S.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=o._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new u(n,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,k,m,E)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(n){this._count!==n&&(this._count=n,this._proxy.$updateSourceControl(this.handle,{count:n}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(n){this._quickDiffProvider=n,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!n})}get commitTemplate(){return this._commitTemplate}set commitTemplate(n){n!==this._commitTemplate&&(this._commitTemplate=n,this._proxy.$updateSourceControl(this.handle,{commitTemplate:n}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(n){this._acceptInputDisposables.value=new A.DisposableStore,this._acceptInputCommand=n;const f=this._commands.converter.toInternal(n,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:f})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(n){if(!(this._statusBarCommands&&n&&l(this._statusBarCommands,n))){this._statusBarDisposables.value=new A.DisposableStore,this._statusBarCommands=n;const f=(n||[]).map(y=>this._commands.converter.toInternal(y,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:f})}}get selected(){return this._selected}createResourceGroup(n,f){const y=new t(this._proxy,this._commands,this.handle,n,f),k=S.Event.once(y.onDidDispose)(()=>this.createdResourceGroups.delete(y));return this.createdResourceGroups.set(y,k),this.eventuallyAddResourceGroups(),y}eventuallyAddResourceGroups(){const n=[],f=[];for(const[y,k]of this.createdResourceGroups){k.dispose();const m=y.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(y),this.eventuallyUpdateResourceStates()});S.Event.once(y.onDidDispose)(()=>{this.updatedResourceGroups.delete(y),m.dispose(),this._groups.delete(y.handle),this._proxy.$unregisterGroup(this.handle,y.handle)}),n.push([y.handle,y.id,y.label,y.features]);const E=y._takeResourceStateSnapshot();E.length>0&&f.push([y.handle,E]),this._groups.set(y.handle,y)}this._proxy.$registerGroups(this.handle,n,f),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const n=[];this.updatedResourceGroups.forEach(f=>{const y=f._takeResourceStateSnapshot();y.length!==0&&n.push([f.handle,y])}),n.length>0&&this._proxy.$spliceResourceStates(this.handle,n),this.updatedResourceGroups.clear()}getResourceGroup(n){return this._groups.get(n)}setSelectionState(n){this._selected=n,this._onDidChangeSelection.fire(n)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(n=>n.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}o._handlePool=0,Ke([T.debounce(100)],o.prototype,"eventuallyAddResourceGroups",null),Ke([T.debounce(100)],o.prototype,"eventuallyUpdateResourceStates",null);let a=class Sn{constructor(n,f,y){this._commands=f,this.logService=y,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new S.Emitter,this._proxy=n.getProxy(C.MainContext.MainThreadSCM),this._telemetry=n.getProxy(C.MainContext.MainThreadTelemetry),f.registerArgumentProcessor({processArgument:k=>{if(k&&k.$mid===3){const m=this._sourceControls.get(k.sourceControlHandle);if(!m)return k;const E=m.getResourceGroup(k.groupHandle);return E?E.getResourceState(k.handle):k}else if(k&&k.$mid===4){const m=this._sourceControls.get(k.sourceControlHandle);return m?m.getResourceGroup(k.groupHandle):k}else if(k&&k.$mid===5){const m=this._sourceControls.get(k.handle);return m||k}return k}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(n,f,y,k){this.logService.trace("ExtHostSCM#createSourceControl",n.identifier.value,f,y,k),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:n.identifier.value});const m=Sn._handlePool++,E=new o(n,this._proxy,this._commands,f,y,k);this._sourceControls.set(m,E);const R=this._sourceControlsByExtension.get(I.ExtensionIdentifier.toKey(n.identifier))||[];return R.push(E),this._sourceControlsByExtension.set(I.ExtensionIdentifier.toKey(n.identifier),R),E}getLastInputBox(n){this.logService.trace("ExtHostSCM#getLastInputBox",n.identifier.value);const f=this._sourceControlsByExtension.get(I.ExtensionIdentifier.toKey(n.identifier)),y=f&&f[f.length-1];return y&&y.inputBox}$provideOriginalResource(n,f,y){const k=b.URI.revive(f);this.logService.trace("ExtHostSCM#$provideOriginalResource",n,k.toString());const m=this._sourceControls.get(n);return!m||!m.quickDiffProvider||!m.quickDiffProvider.provideOriginalResource?Promise.resolve(null):w.asPromise(()=>m.quickDiffProvider.provideOriginalResource(k,y)).then(E=>E||null)}$onInputBoxValueChange(n,f){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",n);const y=this._sourceControls.get(n);return y&&y.inputBox.$onInputBoxValueChange(f),Promise.resolve(void 0)}$executeResourceCommand(n,f,y,k){this.logService.trace("ExtHostSCM#$executeResourceCommand",n,f,y);const m=this._sourceControls.get(n);if(!m)return Promise.resolve(void 0);const E=m.getResourceGroup(f);return E?E.$executeResourceCommand(y,k):Promise.resolve(void 0)}$validateInput(n,f,y){this.logService.trace("ExtHostSCM#$validateInput",n);const k=this._sourceControls.get(n);return!k||!k.inputBox.validateInput?Promise.resolve(void 0):w.asPromise(()=>k.inputBox.validateInput(f,y)).then(m=>m?Promise.resolve([m.message,m.type]):Promise.resolve(void 0))}$setSelectedSourceControl(n){var f,y;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",n),n!==void 0&&((f=this._sourceControls.get(n))===null||f===void 0||f.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((y=this._sourceControls.get(this._selectedSourceControlHandle))===null||y===void 0||y.setSelectionState(!1)),this._selectedSourceControlHandle=n,Promise.resolve(void 0)}};a._handlePool=0,a=Ke([Qe(2,P.ILogService)],a),e.ExtHostSCM=a});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[198],Ee([0,1,7,5,130,6]),function(oe,e,b,S,T,A){"use strict";var w,C;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class D{constructor(p,d,s,h,v=b.StatusBarAlignment.Left,g,_){w.set(this,void 0),C.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new A.DisposableStore,nt(this,w,p),nt(this,C,d),this._id=D.ID_GEN++,this._statusId=s,this._statusName=h,this._alignment=v,this._priority=g,this._accessibilityInformation=_}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var p;return(p=this._command)===null||p===void 0?void 0:p.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(p){this._text=p,this.update()}set tooltip(p){this._tooltip=p,this.update()}set color(p){this._color=p,this.update()}set backgroundColor(p){p&&!D.ALLOWED_BACKGROUND_COLORS.has(p.id)&&(p=void 0),this._backgroundColor=p,this.update()}set command(p){var d;((d=this._command)===null||d===void 0?void 0:d.fromApi)!==p&&(this._internalCommandRegistration.clear(),typeof p=="string"?this._command={fromApi:p,internal:Be(this,C).toInternal({title:"",command:p},this._internalCommandRegistration)}:p?this._command={fromApi:p,internal:Be(this,C).toInternal(p,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(p){this._accessibilityInformation=p,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Be(this,w).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var p;this._timeoutHandle=void 0;let d=this._color;this._backgroundColor&&(d=D.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),Be(this,w).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(p=this._command)===null||p===void 0?void 0:p.internal,d,this._backgroundColor,this._alignment===b.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=D,w=new WeakMap,C=new WeakMap,D.ID_GEN=0,D.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new b.ThemeColor("statusBarItem.errorForeground")]]);class i{constructor(p){this._messages=[],this._item=p.createStatusBarEntry("status.extensionMessage",T.localize(0,null),b.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(p){const d={message:p};return this._messages.unshift(d),this._update(),new b.Disposable(()=>{const s=this._messages.indexOf(d);s>=0&&(this._messages.splice(s,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class P{constructor(p,d){this._proxy=p.getProxy(S.MainContext.MainThreadStatusBar),this._commands=d,this._statusMessage=new i(this)}createStatusBarEntry(p,d,s,h,v){return new D(this._proxy,this._commands,p,d,s,h,v)}setStatusBarMessage(p,d){const s=this._statusMessage.setMessage(p);let h;return typeof d=="number"?h=setTimeout(()=>s.dispose(),d):typeof d!="undefined"&&d.then(()=>s.dispose(),()=>s.dispose()),new b.Disposable(()=>{s.dispose(),clearTimeout(h)})}}e.ExtHostStatusBar=P}),define(we[75],Ee([0,1,5,3,4]),function(oe,e,b,S,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class A{constructor(C){this._onDidChangeStorage=new S.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=C.getProxy(b.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(C,D){this._proxy.$registerExtensionStorageKeysToSync(C,D)}getValue(C,D,i){return this._proxy.$getValue(C,D).then(P=>P||i)}setValue(C,D,i){return this._proxy.$setValue(C,D,i)}$acceptValue(C,D,i){this._onDidChangeStorage.fire({shared:C,key:D,value:i})}}e.ExtHostStorage=A,e.IExtHostStorage=T.createDecorator("IExtHostStorage")}),define(we[76],Ee([0,1,4,27,17,74,2]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=b.createDecorator("IExtensionStoragePaths");let C=class{constructor(i,P,I){var p;this._logService=P,this._extHostFileSystem=I,this._workspace=(p=i.workspace)!==null&&p!==void 0?p:void 0,this._environment=i.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(d=>this._value=d)}async _getOrCreateWorkspaceStoragePath(){var i;if(!this._workspace)return Promise.resolve(void 0);const P=this._workspace.id,I=w.URI.joinPath(this._environment.workspaceStorageHome,P);try{return await this._extHostFileSystem.value.stat(I),this._logService.trace("[ExtHostStorage] storage dir already exists",I),I}catch(p){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",I),await this._extHostFileSystem.value.createDirectory(I),await this._extHostFileSystem.value.writeFile(w.URI.joinPath(I,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(i=w.URI.revive(this._workspace.configuration))===null||i===void 0?void 0:i.toString(),name:this._workspace.name},void 0,2))),I}catch(p){this._logService.error("[ExtHostStorage]",p);return}}workspaceValue(i){if(this._value)return w.URI.joinPath(this._value,i.identifier.value)}globalValue(i){return w.URI.joinPath(this._environment.globalStorageHome,i.identifier.value.toLowerCase())}};C=Ke([Qe(0,S.IExtHostInitDataService),Qe(1,T.ILogService),Qe(2,A.IExtHostConsumerFileSystem)],C),e.ExtensionStoragePaths=C}),define(we[42],Ee([0,1,3,5,4,2,14,6,7,131,10,165,20,29,149]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=T.createDecorator("IExtHostTerminalService");class h{constructor(t,o,a,c){this._proxy=t,this._id=o,this._creationOptions=a,this._name=c,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(f=>this._pidPromiseComplete=f);const n=this;this.value={get name(){return n._name||""},get processId(){return n._pidPromise},get creationOptions(){return n._creationOptions},get exitStatus(){return n._exitStatus},sendText(f,y=!0){n._checkDisposed(),n._proxy.$sendText(n._id,f,y)},show(f){n._checkDisposed(),n._proxy.$show(n._id,f)},hide(){n._checkDisposed(),n._proxy.$hide(n._id)},dispose(){n._disposed||(n._disposed=!0,n._proxy.$dispose(n._id))},get dimensions(){if(!(n._cols===void 0||n._rows===void 0))return{columns:n._cols,rows:n._rows}}}}async create(t,o,a,c,n,f,y,k,m){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:o,cwd:a,env:c,waitOnExit:n,strictEnv:f,hideFromUser:y,isFeatureTerminal:k,isExtensionOwnedTerminal:m})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,o){return t===this._cols&&o===this._rows||t===0||o===0?!1:(this._cols=t,this._rows=o,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(o=>{o!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=h;class v{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new b.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new b.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new b.Emitter,this._onProcessTitleChanged=new b.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new b.Emitter}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,o){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:o})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(o=>this._onProcessData.fire(o)),this._pty.onDidClose&&this._pty.onDidClose((o=void 0)=>{this._onProcessExit.fire(o===void 0?void 0:o)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(o=>this._onProcessOverrideDimensions.fire(o&&{cols:o.columns,rows:o.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=v;let g=1,_=class extends C.Disposable{constructor(t,o){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new b.Emitter,this._onDidOpenTerminal=new b.Emitter,this._onDidChangeActiveTerminal=new b.Emitter,this._onDidChangeTerminalDimensions=new b.Emitter,this._proxy=o.getProxy(S.MainContext.MainThreadTerminalService),this._bufferer=new s.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new b.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[a,c]of this._terminalProcesses)c.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const o=new h(this._proxy,d.generateUuid(),t,t.name),a=new v(t.pty);return o.createExtensionTerminal().then(c=>{const n=this._setupExtHostProcessListeners(c,a);this._terminalProcessDisposables[c]=n}),this._terminals.push(o),o.value}attachPtyToTerminal(t,o){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const c=new v(o),n=this._setupExtHostProcessListeners(t,c);this._terminalProcessDisposables[t]=n}async $acceptActiveTerminalChanged(t){const o=this._activeTerminal;if(t===null){this._activeTerminal=void 0,o!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const a=this._getTerminalById(t);a&&(this._activeTerminal=a,o!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,o){const a=this._getTerminalById(t);a&&this._onDidWriteTerminalData.fire({terminal:a.value,data:o})}async $acceptTerminalDimensions(t,o,a){const c=this._getTerminalById(t);c&&c.setDimensions(o,a)&&this._onDidChangeTerminalDimensions.fire({terminal:c.value,dimensions:c.value.dimensions})}async $acceptTerminalMaximumDimensions(t,o,a){var c;(c=this._terminalProcesses.get(t))===null||c===void 0||c.resize(o,a)}async $acceptTerminalTitleChange(t,o){const a=this._getTerminalById(t);a&&(a.name=o)}async $acceptTerminalClosed(t,o){const a=this._getTerminalObjectIndexById(this._terminals,t);if(a!==null){const c=this._terminals.splice(a,1)[0];c.setExitCode(o),this._onDidCloseTerminal.fire(c.value)}}$acceptTerminalOpened(t,o,a,c){if(o){const y=this._getTerminalObjectIndexById(this._terminals,o);if(y!==null){this._terminals[y]._id=t,this._onDidOpenTerminal.fire(this.terminals[y]),this._terminals[y].isOpen=!0;return}}const n={name:c.name,shellPath:c.executable,shellArgs:c.args,cwd:typeof c.cwd=="string"?c.cwd:A.URI.revive(c.cwd),env:c.env,hideFromUser:c.hideFromUser},f=new h(this._proxy,t,n,a);this._terminals.push(f),this._onDidOpenTerminal.fire(f.value),f.isOpen=!0}async $acceptTerminalProcessId(t,o){const a=this._getTerminalById(t);a&&a._setProcessId(o)}async $startExtensionTerminal(t,o){const a=this._getTerminalById(t);if(!a)return{message:i.localize(0,null,t)};a.isOpen||await new Promise(n=>{const f=this.onDidOpenTerminal(async y=>{y===a.value&&(f.dispose(),n())})});const c=this._terminalProcesses.get(t);c?c.startSendingEvents(o):this._extensionTerminalAwaitingStart[t]={initialDimensions:o}}_setupExtHostProcessListeners(t,o){const a=new C.DisposableStore;a.add(o.onProcessReady(n=>this._proxy.$sendProcessReady(t,n.pid,n.cwd))),a.add(o.onProcessTitleChanged(n=>this._proxy.$sendProcessTitle(t,n))),this._bufferer.startBuffering(t,o.onProcessData),a.add(o.onProcessExit(n=>this._onProcessExit(t,n))),o.onProcessOverrideDimensions&&a.add(o.onProcessOverrideDimensions(n=>this._proxy.$sendOverrideDimensions(t,n))),this._terminalProcesses.set(t,o);const c=this._extensionTerminalAwaitingStart[t];return c&&o instanceof v&&(o.startSendingEvents(c.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),a}$acceptProcessAckDataEvent(t,o){var a;(a=this._terminalProcesses.get(t))===null||a===void 0||a.acknowledgeDataEvent(o)}$acceptProcessInput(t,o){var a;(a=this._terminalProcesses.get(t))===null||a===void 0||a.input(o)}$acceptProcessResize(t,o,a){var c;try{(c=this._terminalProcesses.get(t))===null||c===void 0||c.resize(o,a)}catch(n){if(n.code!=="EPIPE"&&n.code!=="ERR_IPC_CHANNEL_CLOSED")throw n}}$acceptProcessShutdown(t,o){var a;(a=this._terminalProcesses.get(t))===null||a===void 0||a.shutdown(o)}$acceptProcessRequestInitialCwd(t){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.getInitialCwd().then(a=>this._proxy.$sendProcessInitialCwd(t,a))}$acceptProcessRequestCwd(t){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.getCwd().then(a=>this._proxy.$sendProcessCwd(t,a))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new D.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,o){const a=this._getTerminalById(t);if(!a)return[];this._terminalLinkCache.delete(t);const c=this._terminalLinkCancellationSource.get(t);c&&c.dispose(!0);const n=new p.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,n);const f=[],y={terminal:a.value,line:o},k=[];for(const R of this._linkProviders)k.push(new Promise(async F=>{n.token.onCancellationRequested(()=>F({provider:R,links:[]}));const $=await R.provideTerminalLinks(y,n.token)||[];n.token.isCancellationRequested||F({provider:R,links:$})}));const m=await Promise.all(k);if(n.token.isCancellationRequested)return[];const E=new Map;for(const R of m)R&&R.links.length>0&&f.push(...R.links.map(F=>{const $={id:g++,startIndex:F.startIndex,length:F.length,label:F.tooltip};return E.set($.id,{provider:R.provider,link:F}),$}));return this._terminalLinkCache.set(t,E),f}$activateLink(t,o){var a;const c=(a=this._terminalLinkCache.get(t))===null||a===void 0?void 0:a.get(o);!c||c.provider.handleTerminalLink(c.link)}_onProcessExit(t,o){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const a=this._terminalProcessDisposables[t];a&&(a.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,o)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,o){const a=this._getTerminalObjectIndexById(t,o);return a!==null?t[a]:null}_getTerminalObjectIndexById(t,o){let a=null;return t.some((c,n)=>c._id===o?(a=n,!0):!1),a}getEnvironmentVariableCollection(t){let o=this._environmentVariableCollections.get(t.identifier.value);return o||(o=new r,this._setEnvironmentVariableCollection(t.identifier.value,o)),o}_syncEnvironmentVariableCollection(t,o){const a=I.serializeEnvironmentVariableCollection(o.map);this._proxy.$setEnvironmentVariableCollection(t,o.persistent,a.length===0?void 0:a)}$initEnvironmentVariableCollections(t){t.forEach(o=>{const a=o[0],c=new r(o[1]);this._setEnvironmentVariableCollection(a,c)})}_setEnvironmentVariableCollection(t,o){this._environmentVariableCollections.set(t,o),o.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,o)})}};_=Ke([Qe(1,w.IExtHostRpcService)],_),e.BaseExtHostTerminalService=_;class r{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new b.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,o){this._setIfDiffers(t,{value:o,type:D.EnvironmentVariableMutatorType.Replace})}append(t,o){this._setIfDiffers(t,{value:o,type:D.EnvironmentVariableMutatorType.Append})}prepend(t,o){this._setIfDiffers(t,{value:o,type:D.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,o){const a=this.map.get(t);(!a||a.value!==o.value||a.type!==o.type)&&(this.map.set(t,o),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,o){this.map.forEach((a,c)=>t.call(o,c,a,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=r;let l=class extends _{constructor(t){super(!1,t)}createTerminal(t,o,a){throw new P.NotSupportedError}createTerminalFromOptions(t){throw new P.NotSupportedError}getDefaultShell(t,o){return""}getDefaultShellArgs(t,o){throw new P.NotSupportedError}$spawnExtHostProcess(t,o,a,c,n,f){throw new P.NotSupportedError}$getAvailableShells(){throw new P.NotSupportedError}async $getDefaultShellAndArgs(t){throw new P.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};l=Ke([Qe(0,w.IExtHostRpcService)],l),e.WorkerExtHostTerminalService=l}),define(we[199],Ee([0,1,3,11,5,94,9,7]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class D{constructor(P,I){this._extHostDocumentsAndEditors=I,this._onDidChangeTextEditorSelection=new b.Emitter,this._onDidChangeTextEditorOptions=new b.Emitter,this._onDidChangeTextEditorVisibleRanges=new b.Emitter,this._onDidChangeTextEditorViewColumn=new b.Emitter,this._onDidChangeActiveTextEditor=new b.Emitter,this._onDidChangeVisibleTextEditors=new b.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=P.getProxy(T.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(p=>this._onDidChangeVisibleTextEditors.fire(p)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(p=>this._onDidChangeActiveTextEditor.fire(p))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(P){const I=this._extHostDocumentsAndEditors.allEditors();return P?I:I.map(p=>p.value)}async showTextDocument(P,I,p){let d;typeof I=="number"?d={position:w.ViewColumn.from(I),preserveFocus:p}:typeof I=="object"?d={position:w.ViewColumn.from(I.viewColumn),preserveFocus:I.preserveFocus,selection:typeof I.selection=="object"?w.Range.from(I.selection):void 0,pinned:typeof I.preview=="boolean"?!I.preview:void 0}:d={preserveFocus:!1};const s=await this._proxy.$tryShowTextDocument(P.uri,d),h=s&&this._extHostDocumentsAndEditors.getEditor(s);if(h)return h.value;throw s?new Error(`Could NOT open editor for "${P.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${P.uri.toString()}".`)}createTextEditorDecorationType(P){return new A.TextEditorDecorationType(this._proxy,P).value}$acceptEditorPropertiesChanged(P,I){const p=this._extHostDocumentsAndEditors.getEditor(P);if(!p)throw new Error("unknown text editor");if(I.options&&p._acceptOptions(I.options),I.selections){const d=I.selections.selections.map(w.Selection.to);p._acceptSelections(d)}if(I.visibleRanges){const d=S.coalesce(I.visibleRanges.map(w.Range.to));p._acceptVisibleRanges(d)}if(I.options&&this._onDidChangeTextEditorOptions.fire({textEditor:p.value,options:Object.assign(Object.assign({},I.options),{lineNumbers:w.TextEditorLineNumbersStyle.to(I.options.lineNumbers)})}),I.selections){const d=C.TextEditorSelectionChangeKind.fromValue(I.selections.source),s=I.selections.selections.map(w.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:p.value,selections:s,kind:d})}if(I.visibleRanges){const d=S.coalesce(I.visibleRanges.map(w.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:p.value,visibleRanges:d})}}$acceptEditorPositionData(P){for(const I in P){const p=this._extHostDocumentsAndEditors.getEditor(I);if(!p)throw new Error("Unknown text editor");const d=w.ViewColumn.to(P[I]);p.value.viewColumn!==d&&(p._acceptViewColumn(d),this._onDidChangeTextEditorViewColumn.fire({textEditor:p.value,viewColumn:d}))}}getDiffInformation(P){return Promise.resolve(this._proxy.$getDiffInformation(P))}}e.ExtHostEditors=D});var on=this&&this.__rest||function(oe,e){var b={};for(var S in oe)Object.prototype.hasOwnProperty.call(oe,S)&&e.indexOf(S)<0&&(b[S]=oe[S]);if(oe!=null&&typeof Object.getOwnPropertySymbols=="function")for(var T=0,S=Object.getOwnPropertySymbols(oe);T<S.length;T++)e.indexOf(S[T])<0&&Object.prototype.propertyIsEnumerable.call(oe,S[T])&&(b[S[T]]=oe[S[T]]);return b};define(we[200],Ee([0,1,2,4,5,6,7]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=S.createDecorator("IExtHostTimeline");class C{constructor(P,I){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=P.getProxy(T.MainContext.MainThreadTimeline),I.registerArgumentProcessor({processArgument:p=>{var d,s;if(p&&p.$mid===11){const h=p.uri===void 0?void 0:b.URI.revive(p.uri);return(s=(d=this._itemsBySourceAndUriMap.get(p.source))===null||d===void 0?void 0:d.get(D(h)))===null||s===void 0?void 0:s.get(p.handle)}return p}})}async $getTimeline(P,I,p,d,s){const h=this._providers.get(P);return h==null?void 0:h.provideTimeline(b.URI.revive(I),p,d,s)}registerTimelineProvider(P,I,p,d){const s=new A.DisposableStore,h=this.convertTimelineItem(I.id,d,s).bind(this);let v;I.onDidChange&&(v=I.onDidChange(_=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},_),{id:I.id})),this));const g=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},I),{scheme:P,onDidChange:void 0,async provideTimeline(_,r,l,u){var t;(u==null?void 0:u.resetCache)&&(s.clear(),(t=g.get(I.id))===null||t===void 0||t.clear());const o=await I.provideTimeline(_,r,l);if(o!=null){const a=h(_,u);return Object.assign(Object.assign({},o),{source:I.id,items:o.items.map(a)})}},dispose(){var _;for(const r of g.values())(_=r.get(I.id))===null||_===void 0||_.clear();v==null||v.dispose(),s.dispose()}}))}convertTimelineItem(P,I,p){return(d,s)=>{let h;if(s==null?void 0:s.cacheResults){let v=this._itemsBySourceAndUriMap.get(P);v===void 0&&(v=new Map,this._itemsBySourceAndUriMap.set(P,v));const g=D(d);h=v.get(g),h===void 0&&(h=new Map,v.set(g,h))}return v=>{var g,_;const{iconPath:r}=v,l=on(v,["iconPath"]),u=`${P}|${(g=v.id)!==null&&g!==void 0?g:v.timestamp}`;h==null||h.set(u,v);let t,o,a;return v.iconPath&&(r instanceof w.ThemeIcon?a={id:r.id}:b.URI.isUri(r)?(t=r,o=r):{light:t,dark:o}=r),Object.assign(Object.assign({},l),{id:(_=l.id)!==null&&_!==void 0?_:void 0,handle:u,source:P,command:v.command?I.toInternal(v.command,p):void 0,icon:t,iconDark:o,themeIcon:a,accessibilityInformation:v.accessibilityInformation})}}}registerTimelineProviderCore(P){if(this._providers.get(P.id))throw new Error(`Timeline Provider ${P.id} already exists.`);return this._proxy.$registerTimelineProvider({id:P.id,label:P.label,scheme:P.scheme}),this._providers.set(P.id,P),A.toDisposable(()=>{var p;for(const d of this._itemsBySourceAndUriMap.values())(p=d.get(P.id))===null||p===void 0||p.clear();this._providers.delete(P.id),this._proxy.$unregisterTimelineProvider(P.id),P.dispose()})}}e.ExtHostTimeline=C;function D(i){return i==null?void 0:i.toString()}}),define(we[201],Ee([0,1,6,16,2,5]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class w{constructor(D){this._openers=new Map,this._proxy=D.getProxy(A.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(D,i,P,I){if(this._openers.has(i))throw new Error(`Opener with id '${i}' already registered`);const p=I.schemes.find(d=>!w.supportedSchemes.has(d));if(p)throw new Error(`Scheme '${p}' is not supported. Only http and https are currently supported.`);return this._openers.set(i,P),this._proxy.$registerUriOpener(i,I.schemes,D,I.label),b.toDisposable(()=>{this._openers.delete(i),this._proxy.$unregisterUriOpener(i)})}async $canOpenUri(D,i,P){const I=this._openers.get(D);if(!I)throw new Error(`Unknown opener with id: ${D}`);const p=T.URI.revive(i);return I.canOpenExternalUri(p,P)}async $openUri(D,i,P){const I=this._openers.get(D);if(!I)throw new Error(`Unknown opener id: '${D}'`);return I.openExternalUri(T.URI.revive(i.resolvedUri),{sourceUri:T.URI.revive(i.sourceUri)},P)}}e.ExtHostUriOpeners=w,w.supportedSchemes=new Set([S.Schemas.http,S.Schemas.https])}),define(we[202],Ee([0,1,5,2,6,10,25]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class C{constructor(i){this.handles=new Set,this.handlers=new Map,this._proxy=i.getProxy(b.MainContext.MainThreadUrls)}registerUriHandler(i,P){if(this.handles.has(w.ExtensionIdentifier.toKey(i)))throw new Error(`Protocol handler already registered for extension ${i}`);const I=C.HandlePool++;return this.handles.add(w.ExtensionIdentifier.toKey(i)),this.handlers.set(I,P),this._proxy.$registerUriHandler(I,i),T.toDisposable(()=>{this.handles.delete(w.ExtensionIdentifier.toKey(i)),this.handlers.delete(I),this._proxy.$unregisterUriHandler(I)})}$handleExternalUri(i,P){const I=this.handlers.get(i);if(!I)return Promise.resolve(void 0);try{I.handleUri(S.URI.revive(P))}catch(p){A.onUnexpectedError(p)}return Promise.resolve(void 0)}async createAppUri(i){return S.URI.revive(await this._proxy.$createAppUri(i))}}e.ExtHostUrls=C,C.HandlePool=0});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[50],Ee([0,1,3,2,70,5]),function(oe,e,b,S,T,A){"use strict";var w,C,D,i,P,I,p,d,s,h,v;Object.defineProperty(e,"__esModule",{value:!0}),e.convertWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class g{constructor(a,c,n,f,y,k,m){w.set(this,void 0),C.set(this,void 0),D.set(this,void 0),i.set(this,void 0),P.set(this,void 0),I.set(this,void 0),p.set(this,""),d.set(this,void 0),s.set(this,!1),h.set(this,!1),this._onMessageEmitter=new b.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,v.set(this,new b.Emitter),this._onDidDispose=Be(this,v).event,nt(this,w,a),nt(this,C,c),nt(this,d,n),nt(this,i,f),nt(this,P,y),nt(this,I,k),nt(this,D,m)}dispose(){nt(this,s,!0),Be(this,v).fire(),Be(this,v).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(a){return nt(this,h,!0),T.asWebviewUri(Be(this,i),Be(this,w),a)}get cspSource(){return Be(this,i).webviewCspSource.replace("{{uuid}}",Be(this,w))}get html(){return this.assertNotDisposed(),Be(this,p)}set html(a){this.assertNotDisposed(),Be(this,p)!==a&&(nt(this,p,a),!Be(this,h)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(a)&&(nt(this,h,!0),Be(this,D).report("Webview vscode-resource: uris",Be(this,I),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Be(this,C).$setHtml(Be(this,w),a))}get options(){return this.assertNotDisposed(),Be(this,d)}set options(a){this.assertNotDisposed(),Be(this,C).$setOptions(Be(this,w),l(Be(this,I),Be(this,P),a)),nt(this,d,a)}async postMessage(a){return Be(this,s)?!1:Be(this,C).$postMessage(Be(this,w),a)}assertNotDisposed(){if(Be(this,s))throw new Error("Webview is disposed")}}e.ExtHostWebview=g,w=new WeakMap,C=new WeakMap,D=new WeakMap,i=new WeakMap,P=new WeakMap,I=new WeakMap,p=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,v=new WeakMap;class _{constructor(a,c,n,f,y){this.initData=c,this.workspace=n,this._logService=f,this._deprecationService=y,this._webviews=new Map,this._webviewProxy=a.getProxy(A.MainContext.MainThreadWebviews)}$onMessage(a,c){const n=this.getWebview(a);n&&n._onMessageEmitter.fire(c)}$onMissingCsp(a,c){this._logService.warn(`${c} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(a,c,n){const f=new g(a,this._webviewProxy,u(c),this.initData,this.workspace,n,this._deprecationService);return this._webviews.set(a,f),f._onDidDispose(()=>{this._webviews.delete(a)}),f}deleteWebview(a){this._webviews.delete(a)}getWebview(a){return this._webviews.get(a)}}e.ExtHostWebviews=_;function r(o){return{id:o.identifier,location:o.extensionLocation}}e.toExtensionData=r;function l(o,a,c){return Object.assign(Object.assign({},c),{localResourceRoots:c.localResourceRoots||t(o,a)})}e.convertWebviewOptions=l;function u(o){var a;return Object.assign(Object.assign({},o),{localResourceRoots:(a=o.localResourceRoots)===null||a===void 0?void 0:a.map(c=>S.URI.from(c))})}function t(o,a){return[...((a==null?void 0:a.getWorkspaceFolders())||[]).map(c=>c.uri),o.extensionLocation]}}),define(we[203],Ee([0,1,20,56,6,16,24,2,9,50,92,5,7]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class d{constructor(t,o){this.document=t,this._storagePath=o,this._backupCounter=1,this._edits=new P.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,o){await this.getEdit(t).undo(),o||this.disposeBackup()}async redo(t,o){await this.getEdit(t).redo(),o||this.disposeBackup()}disposeEdits(t){for(const o of t)this._edits.delete(o)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=l(this.document.uri)+this._backupCounter++;return w.joinPath(this._storagePath,t)}updateBackup(t){var o;(o=this._backup)===null||o===void 0||o.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const o=this._edits.get(t,0);if(!o)throw new Error("No edit found");return o}}class s{constructor(){this._documents=new Map}get(t,o){return this._documents.get(this.key(t,o))}add(t,o,a){const c=this.key(t,o.uri);if(this._documents.has(c))throw new Error(`Document already exists for viewType:${t} resource:${o.uri}`);const n=new d(o,a);return this._documents.set(c,n),n}delete(t,o){const a=this.key(t,o.uri);this._documents.delete(a)}key(t,o){return`${t}@@@${o}`}}var h;(function(u){u[u.Text=0]="Text",u[u.Custom=1]="Custom"})(h||(h={}));class v{constructor(){this._providers=new Map}addTextProvider(t,o,a){return this.add(0,t,o,a)}addCustomProvider(t,o,a){return this.add(1,t,o,a)}get(t){return this._providers.get(t)}add(t,o,a,c){if(this._providers.has(o))throw new Error(`Provider for viewType:${o} already registered`);return this._providers.set(o,{type:t,extension:a,provider:c}),new p.Disposable(()=>this._providers.delete(o))}}class g{constructor(t,o,a,c,n){this._extHostDocuments=o,this._extensionStoragePaths=a,this._extHostWebview=c,this._extHostWebviewPanels=n,this._editorProviders=new v,this._documents=new s,this._proxy=t.getProxy(I.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,o,a,c){const n=new T.DisposableStore;return _(a)?(n.add(this._editorProviders.addTextProvider(o,t,a)),this._proxy.$registerTextEditorProvider(i.toExtensionData(t),o,c.webviewOptions||{},{supportsMove:!!a.moveCustomTextEditor})):(n.add(this._editorProviders.addCustomProvider(o,t,a)),this.supportEditing(a)&&n.add(a.onDidChangeCustomDocument(f=>{const y=this.getCustomDocumentEntry(o,f.document.uri);if(r(f)){const k=y.addEdit(f);this._proxy.$onDidEdit(f.document.uri,o,k,f.label)}else this._proxy.$onContentChange(f.document.uri,o)})),this._proxy.$registerCustomEditorProvider(i.toExtensionData(t),o,c.webviewOptions||{},!!c.supportsMultipleEditorsPerDocument)),p.Disposable.from(n,new p.Disposable(()=>{this._proxy.$unregisterEditorProvider(o)}))}async $createCustomDocument(t,o,a,c){var n;const f=this._editorProviders.get(o);if(!f)throw new Error(`No provider found for '${o}'`);if(f.type!==1)throw new Error(`Invalid provide type for '${o}'`);const y=C.URI.revive(t),k=await f.provider.openCustomDocument(y,{backupId:a},c);let m;return this.supportEditing(f.provider)&&this._extensionStoragePaths&&(m=(n=this._extensionStoragePaths.workspaceValue(f.extension))!==null&&n!==void 0?n:this._extensionStoragePaths.globalValue(f.extension)),this._documents.add(o,k,m),{editable:this.supportEditing(f.provider)}}async $disposeCustomDocument(t,o){const a=this._editorProviders.get(o);if(!a)throw new Error(`No provider found for '${o}'`);if(a.type!==1)throw new Error(`Invalid provider type for '${o}'`);const c=C.URI.revive(t),{document:n}=this.getCustomDocumentEntry(o,c);this._documents.delete(o,n),n.dispose()}async $resolveWebviewEditor(t,o,a,c,n,f,y){const k=this._editorProviders.get(a);if(!k)throw new Error(`No provider found for '${a}'`);const m=D.ViewColumn.to(n),E=this._extHostWebview.createNewWebview(o,f,k.extension),R=this._extHostWebviewPanels.createNewWebviewPanel(o,a,c,m,f,E),F=C.URI.revive(t);switch(k.type){case 1:{const{document:$}=this.getCustomDocumentEntry(a,F);return k.provider.resolveCustomEditor($,R,y)}case 0:{const $=this._extHostDocuments.getDocument(F);return k.provider.resolveCustomTextEditor($,R,y)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,o,a){this.getCustomDocumentEntry(o,t).disposeEdits(a)}async $onMoveCustomEditor(t,o,a){const c=this._editorProviders.get(a);if(!c)throw new Error(`No provider found for '${a}'`);if(!c.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${a}'`);const n=this._extHostWebviewPanels.getWebviewPanel(t);if(!n)throw new Error("No webview found");const f=C.URI.revive(o),y=this._extHostDocuments.getDocument(f);await c.provider.moveCustomTextEditor(y,n,b.CancellationToken.None)}async $undo(t,o,a,c){return this.getCustomDocumentEntry(o,t).undo(a,c)}async $redo(t,o,a,c){return this.getCustomDocumentEntry(o,t).redo(a,c)}async $revert(t,o,a){const c=this.getCustomDocumentEntry(o,t);await this.getCustomEditorProvider(o).revertCustomDocument(c.document,a),c.disposeBackup()}async $onSave(t,o,a){const c=this.getCustomDocumentEntry(o,t);await this.getCustomEditorProvider(o).saveCustomDocument(c.document,a),c.disposeBackup()}async $onSaveAs(t,o,a,c){const n=this.getCustomDocumentEntry(o,t);return this.getCustomEditorProvider(o).saveCustomDocumentAs(n.document,C.URI.revive(a),c)}async $backup(t,o,a){const c=this.getCustomDocumentEntry(o,t),f=await this.getCustomEditorProvider(o).backupCustomDocument(c.document,{destination:c.getNewBackupUri()},a);return c.updateBackup(f),f.id}getCustomDocumentEntry(t,o){const a=this._documents.get(t,C.URI.revive(o));if(!a)throw new Error("No custom document found");return a}getCustomEditorProvider(t){const o=this._editorProviders.get(t),a=o==null?void 0:o.provider;if(!a||!this.supportEditing(a))throw new Error("Custom document is not editable");return a}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=g;function _(u){return typeof u.resolveCustomTextEditor=="function"}function r(u){return typeof u.undo=="function"&&typeof u.redo=="function"}function l(u){const t=u.scheme===A.Schemas.file||u.scheme===A.Schemas.untitled?u.fsPath:u.toString();return S.hash(t)+""}});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[204],Ee([0,1,3,6,2,29,9,50,5,7]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";var P,I,p,d,s,h,v,g,_,r,l,u,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class o extends S.Disposable{constructor(n,f,y,k,m,E,R){super();P.set(this,void 0),I.set(this,void 0),p.set(this,void 0),d.set(this,void 0),s.set(this,void 0),h.set(this,void 0),v.set(this,void 0),g.set(this,void 0),_.set(this,!0),r.set(this,!0),l.set(this,!1),u.set(this,this._register(new b.Emitter)),this.onDidDispose=Be(this,u).event,t.set(this,this._register(new b.Emitter)),this.onDidChangeViewState=Be(this,t).event,nt(this,P,n),nt(this,I,f),nt(this,p,y),nt(this,s,E),nt(this,g,m),nt(this,h,k),nt(this,d,R)}dispose(){Be(this,l)||(nt(this,l,!0),Be(this,u).fire(),Be(this,I).$disposeWebview(Be(this,P)),Be(this,d).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Be(this,d)}get viewType(){return this.assertNotDisposed(),Be(this,p)}get title(){return this.assertNotDisposed(),Be(this,h)}set title(n){this.assertNotDisposed(),Be(this,h)!==n&&(nt(this,h,n),Be(this,I).$setTitle(Be(this,P),n))}get iconPath(){return this.assertNotDisposed(),Be(this,v)}set iconPath(n){this.assertNotDisposed(),Be(this,v)!==n&&(nt(this,v,n),Be(this,I).$setIconPath(Be(this,P),T.URI.isUri(n)?{light:n,dark:n}:n))}get options(){return Be(this,s)}get viewColumn(){if(this.assertNotDisposed(),!(typeof Be(this,g)=="number"&&Be(this,g)<0))return Be(this,g)}get active(){return this.assertNotDisposed(),Be(this,r)}get visible(){return this.assertNotDisposed(),Be(this,_)}_updateViewState(n){Be(this,l)||(this.active!==n.active||this.visible!==n.visible||this.viewColumn!==n.viewColumn)&&(nt(this,r,n.active),nt(this,_,n.visible),nt(this,g,n.viewColumn),Be(this,t).fire({webviewPanel:this}))}reveal(n,f){this.assertNotDisposed(),Be(this,I).$reveal(Be(this,P),{viewColumn:n?w.ViewColumn.from(n):void 0,preserveFocus:!!f})}assertNotDisposed(){if(Be(this,l))throw new Error("Webview is disposed")}}P=new WeakMap,I=new WeakMap,p=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,v=new WeakMap,g=new WeakMap,_=new WeakMap,r=new WeakMap,l=new WeakMap,u=new WeakMap,t=new WeakMap;class a{constructor(n,f,y){this.webviews=f,this.workspace=y,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=n.getProxy(D.MainContext.MainThreadWebviewPanels)}static newHandle(){return A.generateUuid()}createWebviewPanel(n,f,y,k,m={}){const E=typeof k=="object"?k.viewColumn:k,R={viewColumn:w.ViewColumn.from(E),preserveFocus:typeof k=="object"&&!!k.preserveFocus},F=a.newHandle();this._proxy.$createWebviewPanel(C.toExtensionData(n),F,f,y,R,C.convertWebviewOptions(n,this.workspace,m));const $=this.webviews.createNewWebview(F,m,n);return this.createNewWebviewPanel(F,f,y,E,m,$)}$onDidChangeWebviewPanelViewStates(n){const f=Object.keys(n);f.sort((y,k)=>{const m=n[y],E=n[k];return m.active?1:E.active?-1:+m.visible-+E.visible});for(const y of f){const k=this.getWebviewPanel(y);if(!!k){const m=n[y];k._updateViewState({active:m.active,visible:m.visible,viewColumn:w.ViewColumn.to(m.position)})}}}async $onDidDisposeWebviewPanel(n){const f=this.getWebviewPanel(n);f==null||f.dispose(),this._webviewPanels.delete(n),this.webviews.deleteWebview(n)}registerWebviewPanelSerializer(n,f,y){if(this._serializers.has(f))throw new Error(`Serializer for '${f}' already registered`);return this._serializers.set(f,{serializer:y,extension:n}),this._proxy.$registerSerializer(f),new i.Disposable(()=>{this._serializers.delete(f),this._proxy.$unregisterSerializer(f)})}async $deserializeWebviewPanel(n,f,y,k,m,E){const R=this._serializers.get(f);if(!R)throw new Error(`No serializer found for '${f}'`);const{serializer:F,extension:$}=R,K=this.webviews.createNewWebview(n,E,$),G=this.createNewWebviewPanel(n,f,y,m,E,K);await F.deserializeWebviewPanel(G,k)}createNewWebviewPanel(n,f,y,k,m,E){const R=new o(n,this._proxy,f,y,k,m,E);return this._webviewPanels.set(n,R),R}getWebviewPanel(n){return this._webviewPanels.get(n)}}e.ExtHostWebviewPanels=a});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[205],Ee([0,1,3,6,50,5,7]),function(oe,e,b,S,T,A,w){"use strict";var C,D,i,P,I,p,d,s,h,v;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class g extends S.Disposable{constructor(l,u,t,o,a,c){super();C.set(this,void 0),D.set(this,void 0),i.set(this,void 0),P.set(this,void 0),I.set(this,!1),p.set(this,void 0),d.set(this,void 0),s.set(this,void 0),h.set(this,this._register(new b.Emitter)),this.onDidChangeVisibility=Be(this,h).event,v.set(this,this._register(new b.Emitter)),this.onDidDispose=Be(this,v).event,nt(this,i,t),nt(this,d,o),nt(this,C,l),nt(this,D,u),nt(this,P,a),nt(this,p,c)}dispose(){Be(this,I)||(nt(this,I,!0),Be(this,v).fire(),Be(this,P).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Be(this,d)}set title(l){this.assertNotDisposed(),Be(this,d)!==l&&(nt(this,d,l),Be(this,D).$setWebviewViewTitle(Be(this,C),l))}get description(){return this.assertNotDisposed(),Be(this,s)}set description(l){this.assertNotDisposed(),Be(this,s)!==l&&(nt(this,s,l),Be(this,D).$setWebviewViewDescription(Be(this,C),l))}get visible(){return Be(this,p)}get webview(){return Be(this,P)}get viewType(){return Be(this,i)}_setVisible(l){l===Be(this,p)||Be(this,I)||(nt(this,p,l),Be(this,h).fire())}show(l){this.assertNotDisposed(),Be(this,D).$show(Be(this,C),!!l)}assertNotDisposed(){if(Be(this,I))throw new Error("Webview is disposed")}}C=new WeakMap,D=new WeakMap,i=new WeakMap,P=new WeakMap,I=new WeakMap,p=new WeakMap,d=new WeakMap,s=new WeakMap,h=new WeakMap,v=new WeakMap;class _{constructor(l,u){this._extHostWebview=u,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=l.getProxy(A.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(l,u,t,o){if(this._viewProviders.has(u))throw new Error(`View provider for '${u}' already registered`);return this._viewProviders.set(u,{provider:t,extension:l}),this._proxy.$registerWebviewViewProvider(T.toExtensionData(l),u,o),new w.Disposable(()=>{this._viewProviders.delete(u),this._proxy.$unregisterWebviewViewProvider(u)})}async $resolveWebviewView(l,u,t,o,a){const c=this._viewProviders.get(u);if(!c)throw new Error(`No view provider found for '${u}'`);const{provider:n,extension:f}=c,y=this._extHostWebview.createNewWebview(l,{},f),k=new g(l,this._proxy,u,t,y,!0);this._webviewViews.set(l,k),await n.resolveWebviewView(k,{state:o},a)}async $onDidChangeWebviewViewVisibility(l,u){this.getWebviewView(l)._setVisible(u)}async $disposeWebviewView(l){const u=this.getWebviewView(l);this._webviewViews.delete(l),u.dispose(),this._extHostWebview.deleteWebview(l)}getWebviewView(l){const u=this._webviewViews.get(l);if(!u)throw new Error("No webview found");return u}}e.ExtHostWebviewViews=_}),define(we[98],Ee([0,1,3,5,2,16,8,4,14]),function(oe,e,b,S,T,A,w,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let i=class yn{constructor(I){this._onDidChangeWindowState=new b.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=yn.InitialState,this._proxy=I.getProxy(S.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(p=>this.$onDidChangeWindowFocus(p))}get state(){return this._state}$onDidChangeWindowFocus(I){I!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:I}),this._onDidChangeWindowState.fire(this._state))}openUri(I,p){let d;if(typeof I=="string"){d=I;try{I=T.URI.parse(I)}catch(s){return Promise.reject(`Invalid uri - '${I}'`)}}return w.isFalsyOrWhitespace(I.scheme)?Promise.reject("Invalid scheme - cannot be empty"):I.scheme===A.Schemas.command?Promise.reject(`Invalid scheme '${I.scheme}'`):this._proxy.$openUri(I,d,p)}async asExternalUri(I,p){if(w.isFalsyOrWhitespace(I.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([A.Schemas.http,A.Schemas.https]).has(I.scheme))return Promise.reject(`Invalid scheme '${I.scheme}'`);const d=await this._proxy.$asExternalUri(I,p);return T.URI.from(d)}};i.InitialState={focused:!0},i=Ke([Qe(0,D.IExtHostRpcService)],i),e.ExtHostWindow=i,e.IExtHostWindow=C.createDecorator("IExtHostWindow")}),define(we[206],Ee([0,1,17,5,27,14]),function(oe,e,b,S,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let w=class extends b.AbstractLogger{constructor(D,i){super();this._proxy=D.getProxy(S.MainContext.MainThreadLog),this._logFile=i.logFile.toJSON(),this.setLevel(i.logLevel)}$setLevel(D){this.setLevel(D)}trace(D,...i){this.getLevel()<=b.LogLevel.Trace&&this._proxy.$log(this._logFile,b.LogLevel.Trace,Array.from(arguments))}debug(D,...i){this.getLevel()<=b.LogLevel.Debug&&this._proxy.$log(this._logFile,b.LogLevel.Debug,Array.from(arguments))}info(D,...i){this.getLevel()<=b.LogLevel.Info&&this._proxy.$log(this._logFile,b.LogLevel.Info,Array.from(arguments))}warn(D,...i){this.getLevel()<=b.LogLevel.Warning&&this._proxy.$log(this._logFile,b.LogLevel.Warning,Array.from(arguments))}error(D,...i){this.getLevel()<=b.LogLevel.Error&&this._proxy.$log(this._logFile,b.LogLevel.Error,Array.from(arguments))}critical(D,...i){this.getLevel()<=b.LogLevel.Critical&&this._proxy.$log(this._logFile,b.LogLevel.Critical,Array.from(arguments))}flush(){}};w=Ke([Qe(0,A.IExtHostRpcService),Qe(1,T.IExtHostInitDataService)],w),e.ExtHostLogService=w}),define(we[207],Ee([0,1,15,20,10,3,6,109,180,95,26]),function(oe,e,b,S,T,A,w,C,D,i,P){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function p(c,n){try{return JSON.stringify(c,n)}catch(f){return"null"}}function d(c,n){return JSON.stringify(c,n)}function s(c){return c?(n,f)=>f&&f.$mid===1?c.transformOutgoing(f):f:null}var h;(function(c){c[c.LocalSide=0]="LocalSide",c[c.OtherSide=1]="OtherSide"})(h=e.RequestInitiator||(e.RequestInitiator={}));var v;(function(c){c[c.Responsive=0]="Responsive",c[c.Unresponsive=1]="Unresponsive"})(v=e.ResponsiveState||(e.ResponsiveState={}));const g=()=>{},_=Symbol.for("rpcProtocol"),r=Symbol.for("rpcProxy");class l extends w.Disposable{constructor(n,f=null,y=null){super();this[I]=!0,this._onDidChangeResponsiveState=this._register(new A.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=n,this._logger=f,this._uriTransformer=y,this._uriReplacer=s(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let k=0,m=i.ProxyIdentifier.count;k<m;k++)this._locals[k]=null,this._proxies[k]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new b.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(k=>this._receiveOneMessage(k))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(n=>{this._pendingRPCReplies[n].resolveErr(T.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(n){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+l.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(n){this._unresponsiveTime=Date.now()+l.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(n){this._responsiveState!==n&&(this._responsiveState=n,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(n){return this._uriTransformer?C.transformIncomingURIs(n,this._uriTransformer):n}getProxy(n){const{nid:f,sid:y}=n;return this._proxies[f]||(this._proxies[f]=this._createProxy(f,y)),this._proxies[f]}_createProxy(n,f){let y={get:(k,m)=>(typeof m=="string"&&!k[m]&&m.charCodeAt(0)===36&&(k[m]=(...E)=>this._remoteCall(n,m,E)),m===r?f:k[m])};return new Proxy(Object.create(null),y)}set(n,f){return this._locals[n.nid]=f,f}assertRegistered(n){for(let f=0,y=n.length;f<y;f++){const k=n[f];if(!this._locals[k.nid])throw new Error(`Missing actor ${k.sid} (isMain: ${k.isMain})`)}}_receiveOneMessage(n){if(!this._isDisposed){const f=n.byteLength,y=u.read(n,0),k=y.readUInt8(),m=y.readUInt32();switch(k){case 1:case 2:{let{rpcId:E,method:R,args:F}=t.deserializeRequestJSONArgs(y);this._uriTransformer&&(F=C.transformIncomingURIs(F,this._uriTransformer)),this._receiveRequest(f,m,E,R,F,k===2);break}case 3:case 4:{let{rpcId:E,method:R,args:F}=t.deserializeRequestMixedArgs(y);this._uriTransformer&&(F=C.transformIncomingURIs(F,this._uriTransformer)),this._receiveRequest(f,m,E,R,F,k===4);break}case 5:{this._logger&&this._logger.logIncoming(f,m,0,"ack"),this._onDidReceiveAcknowledge(m);break}case 6:{this._receiveCancel(f,m);break}case 7:{this._receiveReply(f,m,void 0);break}case 9:{let E=t.deserializeReplyOKJSON(y);this._uriTransformer&&(E=C.transformIncomingURIs(E,this._uriTransformer)),this._receiveReply(f,m,E);break}case 8:{let E=t.deserializeReplyOKVSBuffer(y);this._receiveReply(f,m,E);break}case 10:{let E=t.deserializeReplyErrError(y);this._uriTransformer&&(E=C.transformIncomingURIs(E,this._uriTransformer)),this._receiveReplyErr(f,m,E);break}case 11:{this._receiveReplyErr(f,m,void 0);break}default:console.error("received unexpected message"),console.error(n)}}}_receiveRequest(n,f,y,k,m,E){this._logger&&this._logger.logIncoming(n,f,1,`receiveRequest ${i.getStringIdentifierForProxy(y)}.${k}(`,m);const R=String(f);let F,$;if(E){const G=new S.CancellationTokenSource;m.push(G.token),F=this._invokeHandler(y,k,m),$=()=>G.cancel()}else F=this._invokeHandler(y,k,m),$=g;this._cancelInvokedHandlers[R]=$;const K=t.serializeAcknowledged(f);this._logger&&this._logger.logOutgoing(K.byteLength,f,1,"ack"),this._protocol.send(K),F.then(G=>{delete this._cancelInvokedHandlers[R];const H=t.serializeReplyOK(f,G,this._uriReplacer);this._logger&&this._logger.logOutgoing(H.byteLength,f,1,"reply:",G),this._protocol.send(H)},G=>{delete this._cancelInvokedHandlers[R];const H=t.serializeReplyErr(f,G);this._logger&&this._logger.logOutgoing(H.byteLength,f,1,"replyErr:",G),this._protocol.send(H)})}_receiveCancel(n,f){this._logger&&this._logger.logIncoming(n,f,1,"receiveCancel");const y=String(f);this._cancelInvokedHandlers[y]&&this._cancelInvokedHandlers[y]()}_receiveReply(n,f,y){this._logger&&this._logger.logIncoming(n,f,0,"receiveReply:",y);const k=String(f);if(!!this._pendingRPCReplies.hasOwnProperty(k)){const m=this._pendingRPCReplies[k];delete this._pendingRPCReplies[k],m.resolveOk(y)}}_receiveReplyErr(n,f,y){this._logger&&this._logger.logIncoming(n,f,0,"receiveReplyErr:",y);const k=String(f);if(!!this._pendingRPCReplies.hasOwnProperty(k)){const m=this._pendingRPCReplies[k];delete this._pendingRPCReplies[k];let E;y&&(y.$isError?(E=new Error,E.name=y.name,E.message=y.message,E.stack=y.stack):E=y),m.resolveErr(E)}}_invokeHandler(n,f,y){try{return Promise.resolve(this._doInvokeHandler(n,f,y))}catch(k){return Promise.reject(k)}}_doInvokeHandler(n,f,y){const k=this._locals[n];if(!k)throw new Error("Unknown actor "+i.getStringIdentifierForProxy(n));let m=k[f];if(typeof m!="function")throw new Error("Unknown method "+f+" on actor "+i.getStringIdentifierForProxy(n));return m.apply(k,y)}_remoteCall(n,f,y){if(this._isDisposed)return Promise.reject(T.canceled());let k=null;if(y.length>0&&S.CancellationToken.isCancellationToken(y[y.length-1])&&(k=y.pop()),k&&k.isCancellationRequested)return Promise.reject(T.canceled());const m=t.serializeRequestArguments(y,this._uriReplacer),E=++this._lastMessageId,R=String(E),F=new D.LazyPromise;k&&k.onCancellationRequested(()=>{const K=t.serializeCancel(E);this._logger&&this._logger.logOutgoing(K.byteLength,E,0,"cancel"),this._protocol.send(t.serializeCancel(E))}),this._pendingRPCReplies[R]=F,this._onWillSendRequest(E);const $=t.serializeRequest(E,n,f,m,!!k);return this._logger&&this._logger.logOutgoing($.byteLength,E,0,`request: ${i.getStringIdentifierForProxy(n)}.${f}(`,y),this._protocol.send($),F}}e.RPCProtocol=l,I=_,l.UNRESPONSIVE_TIME=3*1e3;class u{constructor(n,f){this._buff=n,this._offset=f}static alloc(n,f,y){let k=new u(P.VSBuffer.alloc(y+1+4),0);return k.writeUInt8(n),k.writeUInt32(f),k}static read(n,f){return new u(n,f)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(n){this._buff.writeUInt8(n,this._offset),this._offset+=1}readUInt8(){const n=this._buff.readUInt8(this._offset);return this._offset+=1,n}writeUInt32(n){this._buff.writeUInt32BE(n,this._offset),this._offset+=4}readUInt32(){const n=this._buff.readUInt32BE(this._offset);return this._offset+=4,n}static sizeShortString(n){return 1+n.byteLength}writeShortString(n){this._buff.writeUInt8(n.byteLength,this._offset),this._offset+=1,this._buff.set(n,this._offset),this._offset+=n.byteLength}readShortString(){const n=this._buff.readUInt8(this._offset);this._offset+=1;const y=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,y}static sizeLongString(n){return 4+n.byteLength}writeLongString(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readLongString(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const y=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,y}writeBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}static sizeVSBuffer(n){return 4+n.byteLength}writeVSBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readVSBuffer(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const f=this._buff.slice(this._offset,this._offset+n);return this._offset+=n,f}static sizeMixedArray(n,f){let y=0;y+=1;for(let k=0,m=n.length;k<m;k++){const E=n[k],R=f[k];switch(y+=1,R){case 1:y+=this.sizeLongString(E);break;case 2:y+=this.sizeVSBuffer(E);break;case 3:break}}return y}writeMixedArray(n,f){this._buff.writeUInt8(n.length,this._offset),this._offset+=1;for(let y=0,k=n.length;y<k;y++){const m=n[y];switch(f[y]){case 1:this.writeUInt8(1),this.writeLongString(m);break;case 2:this.writeUInt8(2),this.writeVSBuffer(m);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const n=this._buff.readUInt8(this._offset);this._offset+=1;let f=new Array(n);for(let y=0;y<n;y++)switch(this.readUInt8()){case 1:f[y]=this.readLongString();break;case 2:f[y]=this.readVSBuffer();break;case 3:f[y]=void 0;break}return f}}class t{static _arrayContainsBufferOrUndefined(n){for(let f=0,y=n.length;f<y;f++)if(n[f]instanceof P.VSBuffer||typeof n[f]=="undefined")return!0;return!1}static serializeRequestArguments(n,f){if(this._arrayContainsBufferOrUndefined(n)){let y=[],k=[];for(let m=0,E=n.length;m<E;m++){const R=n[m];R instanceof P.VSBuffer?(y[m]=R,k[m]=2):typeof R=="undefined"?(y[m]=P.VSBuffer.alloc(0),k[m]=3):(y[m]=P.VSBuffer.fromString(d(R,f)),k[m]=1)}return{type:"mixed",args:y,argsType:k}}return{type:"simple",args:d(n,f)}}static serializeRequest(n,f,y,k,m){return k.type==="mixed"?this._requestMixedArgs(n,f,y,k.args,k.argsType,m):this._requestJSONArgs(n,f,y,k.args,m)}static _requestJSONArgs(n,f,y,k,m){const E=P.VSBuffer.fromString(y),R=P.VSBuffer.fromString(k);let F=0;F+=u.sizeUInt8(),F+=u.sizeShortString(E),F+=u.sizeLongString(R);let $=u.alloc(m?2:1,n,F);return $.writeUInt8(f),$.writeShortString(E),$.writeLongString(R),$.buffer}static deserializeRequestJSONArgs(n){const f=n.readUInt8(),y=n.readShortString(),k=n.readLongString();return{rpcId:f,method:y,args:JSON.parse(k)}}static _requestMixedArgs(n,f,y,k,m,E){const R=P.VSBuffer.fromString(y);let F=0;F+=u.sizeUInt8(),F+=u.sizeShortString(R),F+=u.sizeMixedArray(k,m);let $=u.alloc(E?4:3,n,F);return $.writeUInt8(f),$.writeShortString(R),$.writeMixedArray(k,m),$.buffer}static deserializeRequestMixedArgs(n){const f=n.readUInt8(),y=n.readShortString(),k=n.readMixedArray(),m=new Array(k.length);for(let E=0,R=k.length;E<R;E++){const F=k[E];typeof F=="string"?m[E]=JSON.parse(F):m[E]=F}return{rpcId:f,method:y,args:m}}static serializeAcknowledged(n){return u.alloc(5,n,0).buffer}static serializeCancel(n){return u.alloc(6,n,0).buffer}static serializeReplyOK(n,f,y){return typeof f=="undefined"?this._serializeReplyOKEmpty(n):f instanceof P.VSBuffer?this._serializeReplyOKVSBuffer(n,f):this._serializeReplyOKJSON(n,p(f,y))}static _serializeReplyOKEmpty(n){return u.alloc(7,n,0).buffer}static _serializeReplyOKVSBuffer(n,f){let y=0;y+=u.sizeVSBuffer(f);let k=u.alloc(8,n,y);return k.writeVSBuffer(f),k.buffer}static deserializeReplyOKVSBuffer(n){return n.readVSBuffer()}static _serializeReplyOKJSON(n,f){const y=P.VSBuffer.fromString(f);let k=0;k+=u.sizeLongString(y);let m=u.alloc(9,n,k);return m.writeLongString(y),m.buffer}static deserializeReplyOKJSON(n){const f=n.readLongString();return JSON.parse(f)}static serializeReplyErr(n,f){return f?this._serializeReplyErrEror(n,f):this._serializeReplyErrEmpty(n)}static _serializeReplyErrEror(n,f){const y=P.VSBuffer.fromString(p(T.transformErrorForSerialization(f),null));let k=0;k+=u.sizeLongString(y);let m=u.alloc(10,n,k);return m.writeLongString(y),m.buffer}static deserializeReplyErrError(n){const f=n.readLongString();return JSON.parse(f)}static _serializeReplyErrEmpty(n){return u.alloc(11,n,0).buffer}}var o;(function(c){c[c.RequestJSONArgs=1]="RequestJSONArgs",c[c.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",c[c.RequestMixedArgs=3]="RequestMixedArgs",c[c.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",c[c.Acknowledged=5]="Acknowledged",c[c.Cancel=6]="Cancel",c[c.ReplyOKEmpty=7]="ReplyOKEmpty",c[c.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",c[c.ReplyOKJSON=9]="ReplyOKJSON",c[c.ReplyErrError=10]="ReplyErrError",c[c.ReplyErrEmpty=11]="ReplyErrEmpty"})(o||(o={}));var a;(function(c){c[c.String=1]="String",c[c.VSBuffer=2]="VSBuffer",c[c.Undefined=3]="Undefined"})(a||(a={}))}),define(we[208],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const b=function(A){const w=C=>{self.removeEventListener("message",w);const D=C.data;Object.defineProperties(self,{postMessage:{value(i,P){D.postMessage(i,P)}},onmessage:{get(){return D.onmessage},set(i){D.onmessage=i}}}),D.addEventListener("message",i=>{self.dispatchEvent(new MessageEvent("message",{data:i.data}))}),D.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(A)};self.addEventListener("message",w)}.toString();class S extends EventTarget{constructor(A,w,C){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const D=`((${b})('${w}'))`,i=new Blob([D],{type:"application/javascript"}),P=URL.createObjectURL(i),I=new MessageChannel,p=P,d={type:"_newWorker",id:p,port:I.port2,url:P,options:C};A(d,[I.port2]),this.postMessage=I.port1.postMessage.bind(I.port1),this.terminate=()=>{const s={type:"_terminateWorker",id:p};I.port1.postMessage(s),URL.revokeObjectURL(P),I.port1.close(),I.port2.close()},Object.defineProperties(this,{onmessage:{get(){return I.port1.onmessage},set(s){I.port1.onmessage=s}},onmessageerror:{get(){return I.port1.onmessageerror},set(s){I.port1.onmessageerror=s}}}),I.port1.addEventListener("messageerror",s=>{const h=new MessageEvent("messageerror",{data:s.data});this.dispatchEvent(h)}),I.port1.addEventListener("message",s=>{const h=new MessageEvent("message",{data:s.data});this.dispatchEvent(h)}),I.port1.start()}}e.NestedWorker=S}),define(we[209],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=b.createDecorator("remoteAgentService")}),define(we[210],Ee([0,1,16,12,21,2,4,209]),function(oe,e,b,S,T,A,w,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=w.createDecorator("pathService");let D=class{constructor(P,I){this.localUserHome=P,this.remoteAgentService=I,this.resolveOS=(async()=>{const p=await this.remoteAgentService.getEnvironment();return(p==null?void 0:p.os)||T.OS})(),this.resolveUserHome=(async()=>{const p=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(p==null?void 0:p.userHome)||P})()}async userHome(P){return(P==null?void 0:P.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(P=>P===1?S.win32:S.posix)}async fileURI(P){let I="";if(await this.resolveOS===1&&(P=P.replace(/\\/g,"/")),P[0]==="/"&&P[1]==="/"){const d=P.indexOf("/",2);d===-1?(I=P.substring(2),P="/"):(I=P.substring(2,d),P=P.substring(d)||"/")}return A.URI.from({scheme:b.Schemas.file,authority:I,path:P,query:"",fragment:""})}};D=Ke([Qe(1,C.IRemoteAgentService)],D),e.AbstractPathService=D}),define(we[43],Ee([0,1,11,28,23,38,8,4,12,10]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const P="\u27EA ",I=" characters skipped \u27EB",p=(P.length+I.length+5)*2;e.ISearchService=C.createDecorator("searchService");var d;(function(N){N[N.file=0]="file",N[N.text=1]="text"})(d=e.SearchProviderType||(e.SearchProviderType={}));var s;(function(N){N[N.File=1]="File",N[N.Text=2]="Text"})(s=e.QueryType||(e.QueryType={}));function h(N){return!!N.preview}e.resultIsMatch=h;function v(N){return!!N.resource}e.isFileMatch=v;function g(N){return!!N.message}e.isProgressMessage=g;var _;(function(N){N[N.Normal=0]="Normal",N[N.NewSearchStarted=1]="NewSearchStarted"})(_=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class r{constructor(O){this.resource=O,this.results=[]}}e.FileMatch=r;class l{constructor(O,x,L){this.ranges=x;const z=Array.isArray(x)?x:[x];if(L&&L.matchLines===1&&u(z)){O=w.getNLines(O,L.matchLines);let ae="",re=0,de=0;const fe=Math.floor(L.charsPerLine/5),Ae=[];for(const je of z){const Te=Math.max(je.startColumn-fe,0),xe=je.startColumn+L.charsPerLine;if(Te>de+fe+p){const W=P+(Te-de)+I;ae+=W+O.slice(Te,xe),re+=Te-(de+W.length)}else ae+=O.slice(de,xe);Ae.push(new o(0,je.startColumn-re,je.endColumn-re)),de=xe}this.preview={text:ae,matches:Array.isArray(this.ranges)?Ae:Ae[0]}}else{const ae=Array.isArray(x)?x[0].startLineNumber:x.startLineNumber;this.preview={text:O,matches:b.mapArrayOrNot(x,re=>new t(re.startLineNumber-ae,re.startColumn,re.endLineNumber-ae,re.endColumn))}}}}e.TextSearchMatch=l;function u(N){const O=N[0].startLineNumber;for(const x of N)if(x.startLineNumber!==O||x.endLineNumber!==O)return!1;return!0}class t{constructor(O,x,L,z){this.startLineNumber=O,this.startColumn=x,this.endLineNumber=L,this.endColumn=z}}e.SearchRange=t;class o extends t{constructor(O,x,L){super(O,x,O,L)}}e.OneLineRange=o;var a;(function(N){N.Default="default",N.FileNames="fileNames",N.Type="type",N.Modified="modified",N.CountDescending="countDescending",N.CountAscending="countAscending"})(a=e.SearchSortOrder||(e.SearchSortOrder={}));function c(N,O=!0){const x=N&&N.files&&N.files.exclude,L=O&&N&&N.search&&N.search.exclude;if(!(!x&&!L)){if(!x||!L)return x||L;let z=Object.create(null);return z=T.mixin(z,T.deepClone(x)),z=T.mixin(z,T.deepClone(L),!0),z}}e.getExcludes=c;function n(N,O){return N.excludePattern&&S.match(N.excludePattern,O)?!1:N.includePattern||N.usingSearchPaths?N.includePattern&&S.match(N.includePattern,O)?!0:N.usingSearchPaths?!!N.folderQueries&&N.folderQueries.some(x=>{const L=x.folder.fsPath;if(A.isEqualOrParent(O,L)){const z=D.relative(L,O);return!x.includePattern||!!S.match(x.includePattern,z)}else return!1}):!1:!0}e.pathIncludedInQuery=n;var f;(function(N){N[N.unknownEncoding=1]="unknownEncoding",N[N.regexParseError=2]="regexParseError",N[N.globParseError=3]="globParseError",N[N.invalidLiteral=4]="invalidLiteral",N[N.rgProcessError=5]="rgProcessError",N[N.other=6]="other",N[N.canceled=7]="canceled"})(f=e.SearchErrorCode||(e.SearchErrorCode={}));class y extends Error{constructor(O,x){super(O);this.code=x}}e.SearchError=y;function k(N){const O=N.message;if(i.isPromiseCanceledError(N))return new y(O,f.canceled);try{const x=JSON.parse(O);return new y(x.message,x.code)}catch(x){return new y(O,f.other)}}e.deserializeSearchError=k;function m(N){const O={message:N.message,code:N.code};return new Error(JSON.stringify(O))}e.serializeSearchError=m;function E(N){return N.type==="error"?!0:N.type==="success"}e.isSerializedSearchComplete=E;function R(N){return N.type==="success"}e.isSerializedSearchSuccess=R;function F(N){return!!N.path}e.isSerializedFileMatch=F;function $(N,O){const x=N.searchPath?N.searchPath:N.relativePath;return w.fuzzyContains(x,O)}e.isFilePatternMatch=$;class K{constructor(O){this.path=O,this.results=[]}addMatch(O){this.results.push(O)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=K;function G(N,O){const x=Object.assign(Object.assign({},N||{}),O||{});return Object.keys(x).filter(L=>{const z=x[L];return typeof z=="boolean"&&z})}e.resolvePatternsForProvider=G;class H{constructor(O,x){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},O.excludePattern||{}),x.excludePattern||{}),this._parsedExcludeExpression=S.parse(this._excludeExpression);let L=O.includePattern;x.includePattern&&(L?L=Object.assign(Object.assign({},L),x.includePattern):L=x.includePattern),L&&(this._parsedIncludeExpression=S.parse(L))}includedInQuerySync(O,x,L){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(O,x,L)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(O,x,L))}includedInQuery(O,x,L){return Promise.resolve(this._parsedExcludeExpression(O,x,L)).then(ae=>!!ae).then(ae=>ae?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(O,x,L)).then(re=>!!re):Promise.resolve(!0)).then(ae=>ae)}hasSiblingExcludeClauses(){return ue(this._excludeExpression)}}e.QueryGlobTester=H;function ue(N){for(const O in N)if(typeof N[O]!="boolean")return!0;return!1}}),define(we[31],Ee([0,1,11,15,20,3,22,16,78,24,8,13,2,133,4,17,146,48,49,27,14,7,43,5]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r,l,u,t,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function a(R,F,$){return new i.ExtUri(K=>y(K,$)).isEqual(R,F)}function c(R,F,$){return a(R.uri,F.uri,$)?0:P.compare(R.uri.toString(),F.uri.toString())}function n(R,F,$){return R.index!==F.index?R.index<F.index?-1:1:a(R.uri,F.uri,$)?P.compare(R.name,F.name):P.compare(R.uri.toString(),F.uri.toString())}function f(R,F,$,K){const G=R.slice(0).sort((ue,N)=>$(ue,N,K)),H=F.slice(0).sort((ue,N)=>$(ue,N,K));return b.delta(G,H,(ue,N)=>$(ue,N,K))}function y(R,F){const $=F.getCapabilities(R.scheme);return!($&&$&1024)}class k extends g.Workspace{constructor(F,$,K,G,H,ue){super(F,K.map(N=>new g.WorkspaceFolder(N)),G,ue);this._name=$,this._isUntitled=H,this._workspaceFolders=[],this._structure=w.TernarySearchTree.forUris(ue),K.forEach(N=>{this._workspaceFolders.push(N),this._structure.set(N.uri,N)})}static toExtHostWorkspace(F,$,K,G){if(!F)return{workspace:null,added:[],removed:[]};const{id:H,name:ue,folders:N,configuration:O,isUntitled:x}=F,L=[],z=$;$?N.forEach((fe,Ae)=>{const je=p.URI.revive(fe.uri),Te=k._findFolder(K||$,je,G);Te?(Te.name=fe.name,Te.index=fe.index,L.push(Te)):L.push({uri:je,name:fe.name,index:Ae})}):L.push(...N.map(({uri:fe,name:Ae,index:je})=>({uri:p.URI.revive(fe),name:Ae,index:je}))),L.sort((fe,Ae)=>fe.index<Ae.index?-1:1);const ae=new k(H,ue,L,O?p.URI.revive(O):null,!!x,fe=>y(fe,G)),{added:re,removed:de}=f(z?z.workspaceFolders:[],ae.workspaceFolders,c,G);return{workspace:ae,added:re,removed:de}}static _findFolder(F,$,K){for(let G=0;G<F.folders.length;G++){const H=F.workspaceFolders[G];if(a(H.uri,$,K))return H}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(F,$){return $&&this._structure.get(F)&&(F=i.dirname(F)),this._structure.findSubstr(F)}resolveWorkspaceFolder(F){return this._structure.get(F)}}let m=class{constructor(F,$,K,G){this._onDidChangeWorkspace=new A.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new A.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=u.WorkspaceTrustState.Unknown,this._logService=G,this._extHostFileSystemInfo=K,this._requestIdProvider=new D.Counter,this._barrier=new S.Barrier,this._proxy=F.getProxy(o.MainContext.MainThreadWorkspace),this._messageService=F.getProxy(o.MainContext.MainThreadMessageService);const H=$.workspace;this._confirmedWorkspace=H?new k(H.id,H.name,[],H.configuration?p.URI.revive(H.configuration):null,!!H.isUntitled,ue=>y(ue,K)):void 0}$initializeWorkspace(F,$){this._workspaceTrustState=$,this.$acceptWorkspaceData(F),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?p.URI.from({scheme:C.Schemas.untitled,path:i.basename(i.dirname(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(F,$,K,...G){const H=[];if(Array.isArray(G)&&G.forEach(L=>{p.URI.isUri(L.uri)&&!H.some(z=>a(z.uri,L.uri,this._extHostFileSystemInfo))&&H.push({uri:L.uri,name:L.name||i.basenameOrAuthority(L.uri)})}),this._unconfirmedWorkspace||[$,K].some(L=>typeof L!="number"||L<0)||K===0&&H.length===0)return!1;const ue=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if($+K>ue.length)return!1;const N=ue.slice(0);N.splice($,K,...H.map(L=>({uri:L.uri,name:L.name||i.basenameOrAuthority(L.uri),index:void 0})));for(let L=0;L<N.length;L++){const z=N[L];if(N.some((ae,re)=>re!==L&&a(z.uri,ae.uri,this._extHostFileSystemInfo)))return!1}N.forEach((L,z)=>L.index=z);const{added:O,removed:x}=f(ue,N,n,this._extHostFileSystemInfo);if(O.length===0&&x.length===0)return!1;if(this._proxy){const L=F.displayName||F.name;this._proxy.$updateWorkspaceFolders(L,$,K,H).then(void 0,z=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(v.Severity.Error,d.localize(0,null,L,z.toString()),{extension:F},[])})}return this.trySetWorkspaceFolders(N),!0}getWorkspaceFolder(F,$){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,$)}async getWorkspaceFolder2(F,$){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,$)}async resolveWorkspaceFolder(F){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(F)}getPath(){if(!!this._actualWorkspace){const{folders:F}=this._actualWorkspace;if(F.length!==0)return F[0].uri.fsPath}}getRelativePath(F,$){let K,G="";if(typeof F=="string"?(K=p.URI.file(F),G=F):typeof F!="undefined"&&(K=F,G=F.fsPath),!K)return G;const H=this.getWorkspaceFolder(K,!0);if(!H)return G;typeof $=="undefined"&&this._actualWorkspace&&($=this._actualWorkspace.folders.length>1);let ue=i.relativePath(H.uri,K);return $&&H.name&&(ue=`${H.name}/${ue}`),ue}trySetWorkspaceFolders(F){this._actualWorkspace&&(this._unconfirmedWorkspace=k.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:F,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(F){const{workspace:$,added:K,removed:G}=k.toExtHostWorkspace(F,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=$||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:K,removed:G}))}findFiles(F,$,K,G,H=T.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${G.value}, entryPoint: findFiles`);let ue;if($===null?ue=!1:$&&(typeof $=="string"?ue=$:ue=$.pattern),H&&H.isCancellationRequested)return Promise.resolve([]);const{includePattern:N,folder:O}=E(F);return this._proxy.$startFileSearch(I.withUndefinedAsNull(N),I.withUndefinedAsNull(O),I.withUndefinedAsNull(ue),I.withUndefinedAsNull(K),H).then(x=>Array.isArray(x)?x.map(L=>p.URI.revive(L)):[])}async findTextInFiles(F,$,K,G,H=T.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${G.value}, entryPoint: findTextInFiles`);const ue=this._requestIdProvider.getNext(),N=typeof $.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:$.previewOptions,{includePattern:O,folder:x}=E($.include),L=typeof $.exclude=="string"?$.exclude:$.exclude?$.exclude.pattern:void 0,z={ignoreSymlinks:typeof $.followSymlinks=="boolean"?!$.followSymlinks:void 0,disregardIgnoreFiles:typeof $.useIgnoreFiles=="boolean"?!$.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof $.useGlobalIgnoreFiles=="boolean"?!$.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof $.useDefaultExcludes=="boolean"?!$.useDefaultExcludes:!0,fileEncoding:$.encoding,maxResults:$.maxResults,previewOptions:N,afterContext:$.afterContext,beforeContext:$.beforeContext,includePattern:O,excludePattern:L},ae=!1;if(this._activeSearchCallbacks[ue]=re=>{if(!ae){const de=p.URI.revive(re.resource);re.results.forEach(fe=>{t.resultIsMatch(fe)?K({uri:de,preview:{text:fe.preview.text,matches:b.mapArrayOrNot(fe.preview.matches,Ae=>new u.Range(Ae.startLineNumber,Ae.startColumn,Ae.endLineNumber,Ae.endColumn))},ranges:b.mapArrayOrNot(fe.ranges,Ae=>new u.Range(Ae.startLineNumber,Ae.startColumn,Ae.endLineNumber,Ae.endColumn))}):K({uri:de,text:fe.text,lineNumber:fe.lineNumber})})}},H.isCancellationRequested)return{};try{const re=await this._proxy.$startTextSearch(F,I.withUndefinedAsNull(x),z,ue,H);return delete this._activeSearchCallbacks[ue],re||{}}catch(re){throw delete this._activeSearchCallbacks[ue],re}}$handleTextSearchResult(F,$){this._activeSearchCallbacks[$]&&this._activeSearchCallbacks[$](F)}saveAll(F){return this._proxy.$saveAll(F)}resolveProxy(F){return this._proxy.$resolveProxy(F)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(F){return this._proxy.$requireWorkspaceTrust(F)}$onDidChangeWorkspaceTrustState(F){this._workspaceTrustState=F.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(F))}};m=Ke([Qe(0,l.IExtHostRpcService),Qe(1,r.IExtHostInitDataService),Qe(2,_.IExtHostFileSystemInfo),Qe(3,h.ILogService)],m),e.ExtHostWorkspace=m,e.IExtHostWorkspace=s.createDecorator("IExtHostWorkspace");function E(R){let F,$;return R&&(typeof R=="string"?F=R:(F=R.pattern,$=R.baseFolder||p.URI.file(R.base))),{includePattern:F,folder:$}}}),define(we[34],Ee([0,1,23,3,31,5,7,148,67,13,15,4,14,17,2]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function h(o,a){if(a){const c=a.split(".");let n=o;for(let f=0;n&&f<c.length;f++)n=n[c[f]];return n}}function v(o){return o instanceof s.URI}function g(o){return o&&o.uri instanceof s.URI&&o.languageId&&typeof o.languageId=="string"}function _(o){return o&&!o.uri&&o.languageId&&typeof o.languageId=="string"}function r(o){return o&&o.uri instanceof s.URI&&(!o.name||typeof o.name=="string")&&(!o.index||typeof o.index=="number")}function l(o){if(v(o))return{resource:o};if(g(o))return{resource:o.uri,overrideIdentifier:o.languageId};if(_(o))return{overrideIdentifier:o.languageId};if(r(o))return{resource:o.uri};if(o===null)return{resource:null}}let u=class{constructor(a,c,n){this._proxy=a.getProxy(A.MainContext.MainThreadConfiguration),this._extHostWorkspace=c,this._logService=n,this._barrier=new P.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(a=>this._actual)}$initializeConfiguration(a){this._actual=new t(this._proxy,this._extHostWorkspace,a,this._logService),this._barrier.open()}$acceptConfigurationChanged(a,c){this.getConfigProvider().then(n=>n.$acceptConfigurationChanged(a,c))}};u=Ke([Qe(0,p.IExtHostRpcService),Qe(1,T.IExtHostWorkspace),Qe(2,d.ILogService)],u),e.ExtHostConfiguration=u;class t{constructor(a,c,n,f){this._onDidChangeConfiguration=new S.Emitter,this._proxy=a,this._logService=f,this._extHostWorkspace=c,this._configuration=C.Configuration.parse(n),this._configurationScopes=this._toMap(n.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(a,c){const n={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=C.Configuration.parse(a),this._configurationScopes=this._toMap(a.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(c,n))}getConfiguration(a,c,n){const f=l(c)||{},y=this._toReadonlyValue(a?h(this._configuration.getValue(void 0,f,this._extHostWorkspace.workspace),a):this._configuration.getValue(void 0,f,this._extHostWorkspace.workspace));a&&this._validateConfigurationAccess(a,f,n==null?void 0:n.identifier);function k(E){if(E==null)return null;if(typeof E=="boolean")return E?1:4;switch(E){case w.ConfigurationTarget.Global:return 1;case w.ConfigurationTarget.Workspace:return 4;case w.ConfigurationTarget.WorkspaceFolder:return 5}}const m={has(E){return typeof h(y,E)!="undefined"},get:(E,R)=>{this._validateConfigurationAccess(a?`${a}.${E}`:E,f,n==null?void 0:n.identifier);let F=h(y,E);if(typeof F=="undefined")F=R;else{let $;const K=(G,H)=>{let ue;const N=()=>{$=$||b.deepClone(y),ue=ue||h($,H)};return i.isObject(G)?new Proxy(G,{get:(O,x)=>{if(typeof x=="string"&&x.toLowerCase()==="tojson")return N(),()=>ue;if($)return ue=ue||h($,H),ue[x];const L=O[x];return typeof x=="string"?K(L,`${H}.${x}`):L},set:(O,x,L)=>(N(),ue&&(ue[x]=L),!0),deleteProperty:(O,x)=>(N(),ue&&delete ue[x],!0),defineProperty:(O,x,L)=>(N(),ue&&Object.defineProperty(ue,x,L),!0)}):G};F=K(F,E)}return F},update:(E,R,F,$)=>{E=a?`${a}.${E}`:E;const K=k(F);return R!==void 0?this._proxy.$updateConfigurationOption(K,E,R,f,$):this._proxy.$removeConfigurationOption(K,E,f,$)},inspect:E=>{var R,F,$,K,G,H,ue,N;E=a?`${a}.${E}`:E;const O=b.deepClone(this._configuration.inspect(E,f,this._extHostWorkspace.workspace));if(O)return{key:E,defaultValue:(R=O.default)===null||R===void 0?void 0:R.value,globalValue:(F=O.user)===null||F===void 0?void 0:F.value,workspaceValue:($=O.workspace)===null||$===void 0?void 0:$.value,workspaceFolderValue:(K=O.workspaceFolder)===null||K===void 0?void 0:K.value,defaultLanguageValue:(G=O.default)===null||G===void 0?void 0:G.override,globalLanguageValue:(H=O.user)===null||H===void 0?void 0:H.override,workspaceLanguageValue:(ue=O.workspace)===null||ue===void 0?void 0:ue.override,workspaceFolderLanguageValue:(N=O.workspaceFolder)===null||N===void 0?void 0:N.override,languageIds:O.overrideIdentifiers}}};return typeof y=="object"&&b.mixin(m,y,!1),Object.freeze(m)}_toReadonlyValue(a){const c=n=>i.isObject(n)?new Proxy(n,{get:(f,y)=>c(f[y]),set:(f,y,k)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(y)}' of object`)},deleteProperty:(f,y)=>{throw new Error(`TypeError: Cannot delete read only property '${String(y)}' of object`)},defineProperty:(f,y)=>{throw new Error(`TypeError: Cannot define property '${String(y)}' for a readonly object`)},setPrototypeOf:f=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):n;return c(a)}_validateConfigurationAccess(a,c,n){const f=D.OVERRIDE_PROPERTY_PATTERN.test(a)?4:this._configurationScopes.get(a),y=n?`[${n.value}] `:"";if(f===4){typeof(c==null?void 0:c.resource)=="undefined"&&this._logService.warn(`${y}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${a}', provide the URI of a resource or 'null' for any resource.`);return}if(f===3){(c==null?void 0:c.resource)&&this._logService.warn(`${y}Accessing a window scoped configuration for a resource is not expected. To associate '${a}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(a,c){const n=new C.ConfigurationChangeEvent(a,c,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(f,y)=>n.affectsConfiguration(f,l(y))})}_toMap(a){return a.reduce((c,n)=>(c.set(n[0],n[1]),c),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=I.createDecorator("IExtHostConfiguration")});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[99],Ee([0,1,2,15,3,5,7,31,41,34,20,42,14,27,4,16,21,17,72,164,10]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r,l){"use strict";var u;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(G){function H(N){if(N!=null)return N}G.from=H;function ue(N){if(N!=null)return N}G.to=ue})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var o;(function(G){function H(N){if(N!=null)return N}G.from=H;function ue(N){if(N!=null)return N}G.to=ue})(o=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var a;(function(G){function H(N){if(N!=null)return N}G.from=H;function ue(N){if(N!=null)return N}G.to=ue})(a=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var c;(function(G){function H(O){if(O){const x=O;return x&&!!x.process}else return!1}G.is=H;function ue(O){if(O!=null){const x={process:O.process,args:O.args};return O.options&&(x.options=a.from(O.options)),x}}G.from=ue;function N(O){if(O!=null)return new w.ProcessExecution(O.process,O.args,O.options)}G.to=N})(c=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var n;(function(G){function H(N){if(N!=null)return N}G.from=H;function ue(N){if(N!=null)return N}G.to=ue})(n=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var f;(function(G){function H(O){if(O){const x=O;return x&&(!!x.commandLine||!!x.command)}else return!1}G.is=H;function ue(O){if(O!=null){const x={};return O.commandLine!==void 0?x.commandLine=O.commandLine:(x.command=O.command,x.args=O.args),O.options&&(x.options=n.from(O.options)),x}}G.from=ue;function N(O){if(!(O==null||O.command===void 0&&O.commandLine===void 0))return O.commandLine?new w.ShellExecution(O.commandLine,O.options):new w.ShellExecution(O.command,O.args?O.args:[],O.options)}G.to=N})(f=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var y;(function(G){function H(O){if(O){let x=O;return x&&x.customExecution==="customExecution"}else return!1}G.is=H;function ue(O){return{customExecution:"customExecution"}}G.from=ue;function N(O,x){return x.get(O)}G.to=N})(y=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var k;(function(G){function H(ue,N){let O;return ue.scope!==void 0&&typeof ue.scope!="number"?O=ue.scope.uri:ue.scope!==void 0&&typeof ue.scope=="number"&&(ue.scope===w.TaskScope.Workspace&&N&&N.workspaceFile?O=N.workspaceFile:O=r.USER_TASKS_GROUP_KEY),{id:ue._id,workspaceFolder:O}}G.from=H})(k=e.TaskHandleDTO||(e.TaskHandleDTO={}));var m;(function(G){function H(O,x){if(O==null)return[];const L=[];for(let z of O){const ae=ue(z,x);ae&&L.push(ae)}return L}G.fromMany=H;function ue(O,x){if(O!=null){let L;O.execution instanceof w.ProcessExecution?L=c.from(O.execution):O.execution instanceof w.ShellExecution?L=f.from(O.execution):O.execution&&O.execution instanceof w.CustomExecution&&(L=y.from(O.execution));const z=t.from(O.definition);let ae;if(O.scope?typeof O.scope=="number"?ae=O.scope:ae=O.scope.uri:ae=w.TaskScope.Workspace,!(!z||!ae)){const re=O.group?O.group.id:void 0;return{_id:O._id,definition:z,name:O.name,source:{extensionId:x.identifier.value,label:O.source,scope:ae},execution:L,isBackground:O.isBackground,group:re,presentationOptions:o.from(O.presentationOptions),problemMatchers:O.problemMatchers,hasDefinedMatchers:O.hasDefinedMatchers,runOptions:O.runOptions?O.runOptions:{reevaluateOnRerun:!0},detail:O.detail}}}}G.from=ue;async function N(O,x,L){if(O!=null){let z;c.is(O.execution)?z=c.to(O.execution):f.is(O.execution)?z=f.to(O.execution):y.is(O.execution)&&(z=y.to(O._id,L));const ae=t.to(O.definition);let re;if(O.source&&(O.source.scope!==void 0?typeof O.source.scope=="number"?re=O.source.scope:re=await x.resolveWorkspaceFolder(b.URI.revive(O.source.scope)):re=w.TaskScope.Workspace),!(!ae||!re)){const de=new w.Task(ae,re,O.name,O.source.label,z,O.problemMatchers);return O.isBackground!==void 0&&(de.isBackground=O.isBackground),O.group!==void 0&&(de.group=w.TaskGroup.from(O.group)),O.presentationOptions&&(de.presentationOptions=o.to(O.presentationOptions)),O._id&&(de._id=O._id),O.detail&&(de.detail=O.detail),de}}}G.to=N})(m=e.TaskDTO||(e.TaskDTO={}));var E;(function(G){function H(N){return N}G.from=H;function ue(N){if(!!N)return Object.assign(Object.create(null),N)}G.to=ue})(E=e.TaskFilterDTO||(e.TaskFilterDTO={}));class R{constructor(H,ue,N){this._id=ue,this._task=N,u.set(this,void 0),nt(this,u,H)}get task(){return this._task}terminate(){Be(this,u).terminateTask(this)}fireDidStartProcess(H){}fireDidEndProcess(H){}}u=new WeakMap;var F;(function(G){function H(ue){return{id:ue._id,task:void 0}}G.from=H})(F=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let $=class{constructor(H,ue,N,O,x,L,z,ae){this._onDidExecuteTask=new T.Emitter,this._onDidTerminateTask=new T.Emitter,this._onDidTaskProcessStarted=new T.Emitter,this._onDidTaskProcessEnded=new T.Emitter,this._proxy=H.getProxy(A.MainContext.MainThreadTask),this._workspaceProvider=N,this._editorService=O,this._configurationService=x,this._terminalService=L,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=z,this._deprecationService=ae,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(H,ue,N){if(!N)return new w.Disposable(()=>{});const O=this.nextHandle();return this._handlers.set(O,{type:ue,provider:N,extension:H}),this._proxy.$registerTaskProvider(O,ue),new w.Disposable(()=>{this._handlers.delete(O),this._proxy.$unregisterTaskProvider(O)})}registerTaskSystem(H,ue){this._proxy.$registerTaskSystem(H,ue)}fetchTasks(H){return this._proxy.$fetchTasks(E.from(H)).then(async ue=>{const N=[];for(let O of ue){const x=await m.to(O,this._workspaceProvider,this._providedCustomExecutions2);x&&N.push(x)}return N})}get taskExecutions(){const H=[];return this._taskExecutions.forEach(ue=>H.push(ue)),H}terminateTask(H){if(!(H instanceof R))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(H._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(H,ue,N){const O=this._providedCustomExecutions2.get(H.id);if(O){if(this._activeCustomExecutions2.get(H.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(H.id,O),this._terminalService.attachPtyToTerminal(ue,await O.callback(N))}this._lastStartedTask=H.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(H)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(H){const ue=await this.getTaskExecution(H);this._taskExecutionPromises.delete(H.id),this._taskExecutions.delete(H.id),this.customExecutionComplete(H),this._onDidTerminateTask.fire({execution:ue})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(H){const ue=await this.getTaskExecution(H.id);this._onDidTaskProcessStarted.fire({execution:ue,processId:H.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(H){const ue=await this.getTaskExecution(H.id);this._onDidTaskProcessEnded.fire({execution:ue,exitCode:H.exitCode})}$provideTasks(H,ue){const N=this._handlers.get(H);if(!N)return Promise.reject(new Error("no handler found"));const O=[],x=S.asPromise(()=>N.provider.provideTasks(P.CancellationToken.None)).then(L=>this.provideTasksInternal(ue,O,N,L));return new Promise(L=>{x.then(z=>{Promise.all(O).then(()=>{L(z)})})})}async $resolveTask(H,ue){const N=this._handlers.get(H);if(!N)return Promise.reject(new Error("no handler found"));if(ue.definition.type!==N.type)throw new Error(`Unexpected: Task of type [${ue.definition.type}] cannot be resolved by provider of type [${N.type}].`);const O=await m.to(ue,this._workspaceProvider,this._providedCustomExecutions2);if(!O)throw new Error("Unexpected: Task cannot be resolved.");const x=await N.provider.resolveTask(O,P.CancellationToken.None);if(!!x){this.checkDeprecation(x,N);const L=m.from(x,N.extension);if(!L)throw new Error("Unexpected: Task cannot be resolved.");if(x.definition!==O.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return y.is(L.execution)&&await this.addCustomExecution(L,x,!0),await this.resolveTaskInternal(L)}}nextHandle(){return this._handleCounter++}async addCustomExecution(H,ue,N){const O=await this._proxy.$createTaskId(H);!N&&!this._providedCustomExecutions2.has(O)&&this._notProvidedCustomExecutions.add(O),this._providedCustomExecutions2.set(O,ue.execution)}async getTaskExecution(H,ue){if(typeof H=="string"){const x=this._taskExecutionPromises.get(H);if(!x)throw new Error("Unexpected: The specified task is missing an execution");return x}let N=this._taskExecutionPromises.get(H.id);if(N)return N;const O=new Promise(async(x,L)=>{const z=ue||await m.to(H.task,this._workspaceProvider,this._providedCustomExecutions2);z?x(new R(this,H.id,z)):L("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(H.id,O),O.then(x=>(this._taskExecutions.set(H.id,x),x),x=>Promise.reject(x))}checkDeprecation(H,ue){H._deprecated&&this._deprecationService.report("Task.constructor",ue.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(H){this._activeCustomExecutions2.get(H.id)&&this._activeCustomExecutions2.delete(H.id),this._notProvidedCustomExecutions.has(H.id)&&this._lastStartedTask!==H.id&&(this._providedCustomExecutions2.delete(H.id),this._notProvidedCustomExecutions.delete(H.id));let N=this._notProvidedCustomExecutions.values(),O=N.next();for(;!O.done;)!this._activeCustomExecutions2.has(O.value)&&this._lastStartedTask!==O.value&&(this._providedCustomExecutions2.delete(O.value),this._notProvidedCustomExecutions.delete(O.value)),O=N.next()}};$=Ke([Qe(0,p.IExtHostRpcService),Qe(1,d.IExtHostInitDataService),Qe(2,C.IExtHostWorkspace),Qe(3,D.IExtHostDocumentsAndEditors),Qe(4,i.IExtHostConfiguration),Qe(5,I.IExtHostTerminalService),Qe(6,g.ILogService),Qe(7,_.IExtHostApiDeprecationService)],$),e.ExtHostTaskBase=$;let K=class extends ${constructor(H,ue,N,O,x,L,z,ae){super(H,ue,N,O,x,L,z,ae);this.registerTaskSystem(h.Schemas.vscodeRemote,{scheme:h.Schemas.vscodeRemote,authority:"",platform:v.PlatformToString(0)})}async executeTask(H,ue){if(!ue.execution)throw new Error("Tasks to execute must include an execution");const N=m.from(ue,H);if(N===void 0)throw new Error("Task is not valid");if(y.is(N.execution))await this.addCustomExecution(N,ue,!1);else throw new l.NotSupportedError;const O=await this.getTaskExecution(await this._proxy.$getTaskExecution(N),ue);return this._proxy.$executeTask(N).catch(x=>{throw new Error(x)}),O}provideTasksInternal(H,ue,N,O){const x=[];if(O)for(let L of O){this.checkDeprecation(L,N),(!L.definition||!H[L.definition.type])&&this._logService.warn(`The task [${L.source}, ${L.name}] uses an undefined task type. The task will be ignored in the future.`);const z=m.from(L,N.extension);z&&y.is(z.execution)?(x.push(z),ue.push(this.addCustomExecution(z,L,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:x,extension:N.extension}}async resolveTaskInternal(H){if(y.is(H.execution))return H;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(H,ue){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(H,ue,N){}};K=Ke([Qe(0,p.IExtHostRpcService),Qe(1,d.IExtHostInitDataService),Qe(2,C.IExtHostWorkspace),Qe(3,D.IExtHostDocumentsAndEditors),Qe(4,i.IExtHostConfiguration),Qe(5,I.IExtHostTerminalService),Qe(6,g.ILogService),Qe(7,_.IExtHostApiDeprecationService)],K),e.WorkerExtHostTask=K,e.IExtHostTask=s.createDecorator("IExtHostTask")});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)},on=this&&this.__rest||function(oe,e){var b={};for(var S in oe)Object.prototype.hasOwnProperty.call(oe,S)&&e.indexOf(S)<0&&(b[S]=oe[S]);if(oe!=null&&typeof Object.getOwnPropertySymbols=="function")for(var T=0,S=Object.getOwnPropertySymbols(oe);T<S.length;T++)e.indexOf(S[T])<0&&Object.prototype.propertyIsEnumerable.call(oe,S[T])&&(b[S[T]]=oe[S[T]]);return b};define(we[211],Ee([0,1,11,15,20,3,52,6,23,13,2,29,5,41,14,9,7,31,176,166]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r){"use strict";var l,u;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(E,R)=>`${E}:${R.toString()}`;let o=class{constructor(R,F,$){this.documents=F,this.workspace=$,this.resultsChangedEmitter=new A.Emitter,this.providers=new Map,this.ownedTests=new _.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=R.getProxy(p.MainContext.MainThreadTesting),this.workspaceObservers=new k(this.proxy),this.textDocumentObservers=new m(this.proxy,F)}registerTestProvider(R){const F=I.generateUuid();this.providers.set(F,R),this.proxy.$registerTestProvider(F);const $=[...this.testSubscriptions.keys()];return setTimeout(()=>{var K;for(const G of $)(K=this.testSubscriptions.get(G))===null||K===void 0||K.subscribeFn(F,R)},0),new v.Disposable(()=>{this.providers.delete(F),this.proxy.$unregisterTestProvider(F)})}createTextDocumentTestObserver(R){return this.textDocumentObservers.checkout(R.uri)}createWorkspaceTestObserver(R){return this.workspaceObservers.checkout(R.uri)}async runTests(R,F=T.CancellationToken.None){const $=K=>K.map(this.getInternalTestForReference,this).filter(i.isDefined).map(G=>({providerId:G.providerId,testId:G.item.extId}));await this.proxy.$runTests({exclude:R.exclude?$(R.exclude).map(K=>K.testId):void 0,tests:$(R.tests),debug:R.debug},F)}publishExtensionProvidedResults(R,F){this.proxy.$publishExtensionProvidedResults(h.TestResults.from(I.generateUuid(),R),F)}$publishTestResults(R){this.results=Object.freeze(R.map(F=>D.deepFreeze(h.TestResults.to(F))).concat(this.results).sort((F,$)=>$.completedAt-F.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(R,F){const $=P.URI.revive(F),K=t(R,$);if(!this.testSubscriptions.has(K)){let G;if(R===1){let O=this.documents.getDocument($);if(!O){const x=new C.DisposableStore;O=await new Promise(L=>{x.add(S.disposableTimeout(()=>L(void 0),5e3)),x.add(this.documents.onDidAddDocuments(z=>{const ae=z.find(re=>re.document.uri.toString()===$.toString());ae&&L(ae)}))}).finally(()=>x.dispose())}if(O){const x=await this.workspace.getWorkspaceFolder2($,!1);G=L=>L.createDocumentTestHierarchy?L.createDocumentTestHierarchy(O.document):this.createDefaultDocumentTestHierarchy(L,O.document,x)}}else{const O=await this.workspace.getWorkspaceFolder2($,!1);O&&(G=x=>{var L;return(L=x.createWorkspaceTestHierarchy)===null||L===void 0?void 0:L.call(x,O)})}if(!!G){const H=(O,x)=>{var L;try{const z=G(x);if(!z)return;N.pushDiff([3,1]),ue.add(z),N.addRoot(z.root,O),Promise.resolve(z.discoveredInitialTests).then(()=>N.pushDiff([3,-1])),z.onDidChangeTest(ae=>N.onItemChange(ae,O)),(L=z.onDidInvalidateTest)===null||L===void 0||L.call(z,ae=>{const re=N.getTestByReference(ae);re?this.proxy.$retireTest(re.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(z){console.error(z)}},ue=new C.DisposableStore,N=ue.add(this.ownedTests.createForHierarchy(O=>this.proxy.$publishDiff(R,F,O)));for(const[O,x]of this.providers)H(O,x);N.pushDiff([4,-1]),this.testSubscriptions.set(K,{store:ue,collection:N,subscribeFn:H})}}}$unsubscribeFromTests(R,F){var $;const K=P.URI.revive(F),G=t(R,K);($=this.testSubscriptions.get(G))===null||$===void 0||$.store.dispose(),this.testSubscriptions.delete(G)}$acceptDiff(R,F,$){R===1?this.textDocumentObservers.acceptDiff(P.URI.revive(F),$):this.workspaceObservers.acceptDiff(P.URI.revive(F),$)}async $runTestsForProvider(R,F){const $=this.providers.get(R.providerId);if(!(!$||!$.runTests)){const K=R.ids.map(H=>{var ue;return(ue=this.ownedTests.getTestById(H))===null||ue===void 0?void 0:ue[1]}).filter(i.isDefined),G=R.excludeExtIds.map(H=>this.ownedTests.getTestById(H)).filter(i.isDefined).filter(([H,ue])=>K.some(N=>H.comparePositions(N,ue)===1));if(!!K.length)try{await $.runTests({setState:(H,ue)=>{for(const[N,O]of G){const x=N.comparePositions(O,H.id);if(x===1||x===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(R.runId,H.id,h.TestState.from(ue))},tests:K.map(H=>a.unwrap(H.actual)),exclude:G.map(([,H])=>a.unwrap(H.actual)),debug:R.debug},F);for(const{collection:H}of this.testSubscriptions.values())H.flushDiff();return}catch(H){throw console.error(H),H}}}$lookupTest(R){const F=this.ownedTests.getTestById(R.testId);if(!F)return Promise.resolve(void 0);const $=F[1],{actual:K,previousChildren:G,previousEquals:H}=$,ue=on($,["actual","previousChildren","previousEquals"]);return Promise.resolve(ue)}flushCollectionDiffs(){for(const{collection:R}of this.testSubscriptions.values())R.flushDiff()}getInternalTestForReference(R){var F,$;return($=(F=this.workspaceObservers.getMirroredTestDataByReference(R))!==null&&F!==void 0?F:b.mapFind(this.testSubscriptions.values(),K=>K.collection.getTestByReference(R)))!==null&&$!==void 0?$:this.textDocumentObservers.getMirroredTestDataByReference(R)}createDefaultDocumentTestHierarchy(R,F,$){var K,G;if(!!$){const H=(K=R.createWorkspaceTestHierarchy)===null||K===void 0?void 0:K.call(R,$);if(!!H){const ue=new A.Emitter;(G=H.onDidInvalidateTest)===null||G===void 0||G.call(H,O=>{const x=a.getWrapperForTestItem(O,F);x.hasNodeMatchingFilter&&ue.fire(x)});const N=new A.Emitter;return H.onDidChangeTest(O=>{const x=a.getWrapperForTestItem(O,F);if(x.hasNodeMatchingFilter){if(x.reset(),x.hasNodeMatchingFilter){N.fire(x);return}N.fire(x.visibleParent);return}const z=x.visibleParent;x.reset(),!!x.hasNodeMatchingFilter&&(z.reset(),N.fire(z))}),{root:a.getWrapperForTestItem(H.root,F),dispose:()=>{N.dispose(),a.removeFilter(F)},discoveredInitialTests:H.discoveredInitialTests,onDidInvalidateTest:ue.event,onDidChangeTest:N.event}}}}};o=Ke([Qe(0,s.IExtHostRpcService),Qe(1,d.IExtHostDocumentsAndEditors),Qe(2,g.IExtHostWorkspace)],o),e.ExtHostTesting=o;class a{constructor(R,F,$){this.actual=R,this.filterDocument=F,this.parent=$,this.getWrappedChildren()}static removeFilter(R){this.wrapperMap.delete(R)}static getWrapperForTestItem(R,F,$){let K=this.wrapperMap.get(F);if(K==null?void 0:K.has(R))return K.get(R);K||(K=new WeakMap,this.wrapperMap.set(F,K));const G=new a(R,F,$);return K.set(R,G),G}static unwrap(R){return R instanceof a?R.actual:R}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(R=>R.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var R;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((R=this.actual.location)===null||R===void 0?void 0:R.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(F=>F.hasNodeMatchingFilter)),this.matchesFilter}reset(){var R;this!==this.visibleParent&&((R=this.parent)===null||R===void 0||R.reset()),this.matchesFilter=void 0}getWrappedChildren(){var R;return((R=this.actual.children)===null||R===void 0?void 0:R.map(F=>a.getWrapperForTestItem(F,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=a,a.wrapperMap=new WeakMap;class c extends r.IncrementalChangeCollector{constructor(R,F){super();this.collection=R,this.emitter=F,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(R){this.added.add(R)}update(R){Object.assign(R.revived,h.TestItem.toShallow(R.item)),this.added.has(R)||this.updated.add(R)}remove(R){if(this.added.has(R)){this.added.delete(R);return}if(this.updated.delete(R),R.parent&&this.alreadyRemoved.has(R.parent)){this.alreadyRemoved.add(R.item.extId);return}this.removed.add(R)}getChangeEvent(){const{collection:R,added:F,updated:$,removed:K}=this;return{get added(){return[...F].map(R.getPublicTestItem,R)},get updated(){return[...$].map(R.getPublicTestItem,R)},get removed(){return[...K].map(R.getPublicTestItem,R)},get commonChangeAncestor(){let G;const H=x=>{if(!!x){const L=new Array(x.depth+1);for(let z=x.depth;z>=0;z--){if(!x)return;L[x.depth]=x,x=x.parent?R.getMirroredTestDataById(x.parent):void 0}return L}},ue=x=>{if(!(G&&G.length===0)){const L=H(x);if(!!L){if(!G){G=L;return}for(let z=G.length-1;z>=0;z--)G[z]!==L[z]&&G.pop()}}},N=x=>{if(!(G&&G.length===0))if(x.parent===null)G=[];else{const L=R.getMirroredTestDataById(x.parent);L&&ue(L)}};for(const x of F)N(x);for(const x of $)ue(x);for(const x of K)N(x);const O=G&&G[G.length-1];return O?R.getPublicTestItem(O):null}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class n extends r.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new A.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(R){let F=[];for(const $ of R){const K=this.items.get($);K&&F.push(this.getPublicTestItem(K))}return F}getMirroredTestDataById(R){return this.items.get(R)}getMirroredTestDataByReference(R){return this.items.get(R.id)}createItem(R,F){return Object.assign(Object.assign({},R),{revived:h.TestItem.toShallow(R.item),depth:F?F.depth+1:0,children:new Set})}createChangeCollector(){return new c(this,this.changeEmitter)}getPublicTestItem(R){return R.wrapped||(R.wrapped=new f(R,this)),R.wrapped}}e.MirroredTestCollection=n;class f{constructor(R,F){l.set(this,void 0),u.set(this,void 0),nt(this,l,R),nt(this,u,F)}get id(){return Be(this,l).revived.id}get label(){return Be(this,l).revived.label}get description(){return Be(this,l).revived.description}get location(){return Be(this,l).revived.location}get runnable(){var R;return(R=Be(this,l).revived.runnable)!==null&&R!==void 0?R:!0}get debuggable(){var R;return(R=Be(this,l).revived.debuggable)!==null&&R!==void 0?R:!1}get children(){return Be(this,u).getAllAsTestItem(Be(this,l).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(F=>F.toJSON()),providerId:Be(this,l).providerId,testId:this.id}}}l=new WeakMap,u=new WeakMap;class y{constructor(){this.resources=new Map}checkout(R){var F,$;const K=R.toString(),G=(F=this.resources.get(K))!==null&&F!==void 0?F:this.createObserverData(R);return($=G.pendingDeletion)===null||$===void 0||$.dispose(),G.observers++,{onDidChangeTest:G.tests.onDidChangeTests,onDidDiscoverInitialTests:new A.Emitter().event,get tests(){return G.tests.rootTestItems},dispose:w.once(()=>{--G.observers||(G.pendingDeletion=this.eventuallyDispose(R))})}}getMirroredTestDataByReference(R){for(const{tests:F}of this.resources.values()){const $=F.getMirroredTestDataByReference(R);if($)return $}}eventuallyDispose(R){return S.disposableTimeout(()=>this.unlisten(R),10*1e3)}createObserverData(R){const F=new n,$=this.listen(R,G=>F.apply(G)),K={observers:0,tests:F,listener:$};return this.resources.set(R.toString(),K),K}unlisten(R){var F;const $=R.toString(),K=this.resources.get($);K&&(K.observers=-1,(F=K.pendingDeletion)===null||F===void 0||F.dispose(),K.listener.dispose(),this.resources.delete($))}}class k extends y{constructor(R){super();this.proxy=R,this.diffListeners=new Map}acceptDiff(R,F){var $;($=this.diffListeners.get(R.toString()))===null||$===void 0||$(F)}listen(R,F){this.proxy.$subscribeToDiffs(0,R);const $=R.toString();return this.diffListeners.set($,F),new v.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,R),this.diffListeners.delete($)})}}class m extends y{constructor(R,F){super();this.proxy=R,this.documents=F,this.diffListeners=new Map}acceptDiff(R,F){var $;($=this.diffListeners.get(R.toString()))===null||$===void 0||$(F)}listen(R,F){if(!this.documents.getDocument(R))return new v.Disposable(()=>{});const K=R.toString();return this.diffListeners.set(K,F),this.proxy.$subscribeToDiffs(1,R),new v.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,R),this.diffListeners.delete(K)})}}}),define(we[212],Ee([0,1,11,51,28,59,22,16,12,24,8,13,2,112,136,89,48,168,210,43]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let l=class{constructor(k,m,E,R){this.configurationService=k,this.workspaceContextService=m,this.editorGroupsService=E,this.pathService=R}text(k,m,E={}){k=this.getContentPattern(k,E);const R=this.configurationService.getValue(),F=m&&m.some(K=>!this.configurationService.getValue({resource:K}).search.useRipgrep),$=this.commonQuery(m==null?void 0:m.map(v.toWorkspaceFolder),E);return Object.assign(Object.assign({},$),{type:2,contentPattern:k,previewOptions:E.previewOptions,maxFileSize:E.maxFileSize,usePCRE2:R.search.usePCRE2||F||!1,beforeContext:E.beforeContext,afterContext:E.afterContext,userDisabledExcludesAndIgnoreFiles:E.disregardExcludeSettings&&E.disregardIgnoreFiles})}getContentPattern(k,m){const E=this.configurationService.getValue();k.isRegExp&&(k.pattern=k.pattern.replace(/\r?\n/g,"\\n"));const R=Object.assign(Object.assign({},k),{wordSeparators:E.editor.wordSeparators});return this.isCaseSensitive(k,m)&&(R.isCaseSensitive=!0),this.isMultiline(k)&&(R.isMultiline=!0),R}file(k,m={}){const E=this.commonQuery(k,m);return Object.assign(Object.assign({},E),{type:1,filePattern:m.filePattern?m.filePattern.trim():m.filePattern,exists:m.exists,sortByScore:m.sortByScore,cacheKey:m.cacheKey})}handleIncludeExclude(k,m){return k?(k=Array.isArray(k)?k.map(c):c(k),m?this.parseSearchPaths(k):{pattern:t(...Array.isArray(k)?k:[k])}):{}}commonQuery(k=[],m={}){const E=this.handleIncludeExclude(m.includePattern,m.expandPatterns),R=this.handleIncludeExclude(m.excludePattern,m.expandPatterns),F=k.length>1,$=(E.searchPaths&&E.searchPaths.length?E.searchPaths.map(H=>this.getFolderQueryForSearchPath(H,m,R)):k.map(H=>this.getFolderQueryForRoot(H,m,R,F))).filter(H=>!!H),K={_reason:m._reason,folderQueries:$,usingSearchPaths:!!(E.searchPaths&&E.searchPaths.length),extraFileResources:m.extraFileResources,excludePattern:R.pattern,includePattern:E.pattern,onlyOpenEditors:m.onlyOpenEditors,maxResults:m.maxResults};if(m.onlyOpenEditors){const ue=b.coalesce(b.flatten(this.editorGroupsService.groups.map(O=>O.editors.map(x=>x.resource)))).filter(O=>r.pathIncludedInQuery(K,O.fsPath)),N=this.commonQueryFromFileList(ue);return Object.assign(Object.assign({},K),N)}const G=m.extraFileResources&&m.extraFileResources.filter(H=>r.pathIncludedInQuery(K,H.fsPath));return K.extraFileResources=G&&G.length?G:void 0,K}commonQueryFromFileList(k){const m=[],E=new w.ResourceMap,R={};let F=!1;return k.forEach($=>{var K,G;if($.scheme!==C.Schemas.walkThrough){const H=i.isAbsolutePath($),ue=$.scheme===C.Schemas.userData;if(H&&!ue){const N=(G=(K=this.workspaceContextService.getWorkspaceFolder($))===null||K===void 0?void 0:K.uri)!==null&&G!==void 0?G:$.with({path:D.dirname($.fsPath)});let O=E.get(N);O||(F=!0,O={folder:N,includePattern:{}},m.push(O),E.set(N,O));const x=D.relative(N.fsPath,$.fsPath);I.assertIsDefined(O.includePattern)[x.replace(/\\/g,"/")]=!0}else $.fsPath&&(F=!0,R[$.fsPath]=!0)}}),{folderQueries:m,includePattern:R,usingSearchPaths:!0,excludePattern:F?void 0:{"**/*":!0}}}isCaseSensitive(k,m){if(m.isSmartCase){if(k.isRegExp){if(P.containsUppercaseCharacter(k.pattern,!0))return!0}else if(P.containsUppercaseCharacter(k.pattern))return!0}return!!k.isCaseSensitive}isMultiline(k){return k.isMultiline||k.isRegExp&&d.isMultilineRegexSource(k.pattern)||k.pattern.indexOf(`
`)>=0?!0:!!k.isMultiline}parseSearchPaths(k){const m=N=>D.isAbsolute(N)||/^\.\.?([\/\\]|$)/.test(N),R=(Array.isArray(k)?k:o(k)).map(N=>{const O=this.pathService.resolvedUserHome;return O?A.untildify(N,O.scheme===C.Schemas.file?O.fsPath:O.path):N}),F=S.groupBy(R,N=>m(N)?"searchPaths":"exprSegments"),$=(F.exprSegments||[]).map(N=>P.rtrim(N,"/")).map(N=>P.rtrim(N,"\\")).map(N=>(N[0]==="."&&(N="*"+N),a(N))),K={},G=this.expandSearchPathPatterns(F.searchPaths||[]);G&&G.length&&(K.searchPaths=G);const H=b.flatten($),ue=t(...H);return ue&&(K.pattern=ue),K}getExcludesForFolder(k,m){return m.disregardExcludeSettings?void 0:r.getExcludes(k,!m.disregardSearchExcludeSettings)}expandSearchPathPatterns(k){if(!k||!k.length)return[];const m=b.flatten(k.map(R=>{let{pathPortion:F,globPortion:$}=u(R);$&&($=n($));const K=this.expandOneSearchPath(F);return b.flatten(K.map(G=>this.resolveOneSearchPathPattern(G,$)))})),E=new Map;return m.forEach(R=>{const F=R.searchPath.toString(),$=E.get(F);$?R.pattern&&($.pattern=$.pattern||{},$.pattern[R.pattern]=!0):E.set(F,{searchPath:R.searchPath,pattern:R.pattern?t(R.pattern):void 0})}),Array.from(E.values())}expandOneSearchPath(k){if(D.isAbsolute(k)){const m=this.workspaceContextService.getWorkspace().folders;return m[0]&&m[0].uri.scheme!==C.Schemas.file?[{searchPath:m[0].uri.with({path:k})}]:[{searchPath:p.URI.file(D.normalize(k))}]}if(this.workspaceContextService.getWorkbenchState()===2){const m=this.workspaceContextService.getWorkspace().folders[0].uri;if(k=c(k),k.startsWith("../")||k===".."){const R=D.posix.resolve(m.path,k);return[{searchPath:m.with({path:R})}]}const E=n(k);return[{searchPath:m,pattern:E}]}else{if(k==="./"||k===".\\")return[];{const m=k.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(m){const E=m[1],R=this.workspaceContextService.getWorkspace().folders.filter(F=>F.name===E);if(R.length)return R.map(F=>{const $=m[2];return{searchPath:F.uri,pattern:$&&n($)}});{const F=s.localize(0,null,E);throw new Error(F)}}}}return[]}resolveOneSearchPathPattern(k,m){const E=k.pattern&&m?`${k.pattern}/${m}`:k.pattern||m,R=[{searchPath:k.searchPath,pattern:E}];return E&&!E.endsWith("**")&&R.push({searchPath:k.searchPath,pattern:E+"/**"}),R}getFolderQueryForSearchPath(k,m,E){const R=this.getFolderQueryForRoot(v.toWorkspaceFolder(k.searchPath),m,E,!1);return R?Object.assign(Object.assign({},R),{includePattern:k.pattern}):null}getFolderQueryForRoot(k,m,E,R){let F;const $=p.URI.isUri(k)?k:k.uri;if(E.searchPaths){const N=E.searchPaths.filter(O=>i.isEqual(O.searchPath,$))[0];if(N&&!N.pattern)return null;N&&(F=N.pattern)}const K=this.configurationService.getValue({resource:$}),G=this.getExcludesForFolder(K,m),H=Object.assign(Object.assign({},G||{}),F||{}),ue=p.URI.isUri(k)?i.basename(k):k.name;return{folder:$,folderName:R?ue:void 0,excludePattern:Object.keys(H).length>0?H:void 0,fileEncoding:K.files&&K.files.encoding,disregardIgnoreFiles:typeof m.disregardIgnoreFiles=="boolean"?m.disregardIgnoreFiles:!K.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof m.disregardGlobalIgnoreFiles=="boolean"?m.disregardGlobalIgnoreFiles:!K.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof m.ignoreSymlinks=="boolean"?m.ignoreSymlinks:!K.search.followSymlinks}}};l=Ke([Qe(0,h.IConfigurationService),Qe(1,v.IWorkspaceContextService),Qe(2,g.IEditorGroupsService),Qe(3,_.IPathService)],l),e.QueryBuilder=l;function u(y){const k=y.match(/[\*\{\}\(\)\[\]\?]/);if(k){const m=k.index,E=y.substr(0,m).match(/[/|\\][^/\\]*$/);if(E){let R=y.substr(0,E.index);return R.match(/[/\\]/)||(R+="/"),{pathPortion:R,globPortion:y.substr((E.index||0)+1)}}}return{pathPortion:y}}function t(...y){return y.length?y.reduce((k,m)=>(k[m]=!0,k),Object.create(null)):void 0}function o(y){return T.splitGlobAware(y,",").map(k=>k.trim()).filter(k=>!!k.length)}function a(y){return[`**/${y}/**`,`**/${y}`].map(m=>m.replace(/\*\*\/\*\*/g,"**"))}function c(y){return y.replace(/\\/g,"/")}function n(y){return c(y).replace(/^\.\//,"").replace(/\/+$/g,"")}function f(y,k){y=b.distinct(y,R=>R.toString());const m=[],E=k.getWorkspace();return y&&y.forEach(R=>{let F;if(k.getWorkbenchState()===2)F=i.relativePath(E.folders[0].uri,R),F&&F!=="."&&(F="./"+F);else{const $=k.getWorkspaceFolder(R);if($){const K=$.name;if(E.folders.filter(H=>H.name===K).length===1){const H=i.relativePath($.uri,R);H===""?F=`./${$.name}`:F=`./${$.name}/${H}`}else F=R.fsPath}}F&&m.push(F)}),m}e.resolveResourcesForSearchIncludes=f}),define(we[213],Ee([0,1,24,2,20,10,4,212,43,48]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const P=7e3;function I(h,v){const g=v.activationEvents;if(!g)return Promise.resolve(void 0);const _=[],r=[];for(const c of g)if(/^workspaceContains:/.test(c)){const n=c.substr("workspaceContains:".length);n.indexOf("*")>=0||n.indexOf("?")>=0||h.forceUsingSearch?r.push(n):_.push(n)}if(_.length===0&&r.length===0)return Promise.resolve(void 0);let l;const u=new Promise((c,n)=>{l=c}),t=c=>l({activationEvent:c}),o=Promise.all(_.map(c=>p(h,c,t))).then(()=>{}),a=d(h,v.identifier,r,t);return Promise.all([o,a]).then(()=>{l(void 0)}),u}e.checkActivateWorkspaceContainsExtension=I;async function p(h,v,g){for(const _ of h.folders)if(await h.exists(b.joinPath(S.URI.revive(_),v))){g(`workspaceContains:${v}`);return}}async function d(h,v,g,_){if(g.length===0)return Promise.resolve(void 0);const r=new T.CancellationTokenSource,l=h.checkExists(h.folders,g,r.token),u=setTimeout(async()=>{r.cancel(),_(`workspaceContainsTimeout:${g.join(",")}`)},P);let t=!1;try{t=await l}catch(o){A.isPromiseCanceledError(o)||A.onUnexpectedError(o)}r.dispose(),clearTimeout(u),t&&_(`workspaceContains:${g.join(",")}`)}function s(h,v,g,_){const r=h.get(w.IInstantiationService),l=h.get(D.ISearchService),t=r.createInstance(C.QueryBuilder).file(v.map(o=>i.toWorkspaceFolder(S.URI.revive(o))),{_reason:"checkExists",includePattern:g,exists:!0});return l.fileSearch(t,_).then(o=>!!o.limitHit,o=>A.isPromiseCanceledError(o)?!1:Promise.reject(o))}e.checkGlobFileExists=s}),define(we[35],Ee([0,1,128,12,77,24,15,6,22,2,17,5,34,179,75,31,33,177,10,25,16,26,155,7,90,4,27,76,14,66,68,42,3,213,71,156]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r,l,u,t,o,a,c,n,f,y,k,m,E,R,F,$,K){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=c.createDecorator("IHostUtils");let G=class Dn extends C.Disposable{constructor(N,O,x,L,z,ae,re,de,fe,Ae){super();this._onDidChangeRemoteConnectionData=this._register(new R.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=O,this._extHostContext=x,this._initData=re,this._extHostWorkspace=L,this._extHostConfiguration=z,this._logService=ae,this._extHostTunnelService=fe,this._extHostTerminalService=Ae,this._disposables=new C.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(I.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(I.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(I.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new w.Barrier,this._readyToStartExtensionHost=new w.Barrier,this._readyToRunExtensions=new w.Barrier,this._registry=new g.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new s.ExtHostStorage(this._extHostContext),this._secretState=new $.ExtHostSecretState(this._extHostContext),this._storagePath=de,this._instaService=N.createChild(new k.ServiceCollection([s.IExtHostStorage,this._storage],[$.IExtHostSecretState,this._secretState]));const je=new Set;this._initData.hostExtensions.forEach(Te=>je.add(r.ExtensionIdentifier.toKey(Te))),this._activator=new d.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Te,xe)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Te,xe)},actualActivateExtension:async(Te,xe)=>{if(je.has(r.ExtensionIdentifier.toKey(Te)))return await this._mainThreadExtensionsProxy.$activateExtension(Te,xe),new d.HostExtension;const W=this._registry.getExtensionDescription(Te);return this._activateExtension(W,xe)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),T.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(N){_.onUnexpectedError(N)}}async deactivateAll(){let N=[];try{N=this._registry.getAllExtensionDescriptions().map(z=>z.identifier).filter(z=>this.isActivated(z)).map(z=>this._deactivate(z))}catch(O){}await Promise.all(N)}isActivated(N){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(N):!1}_activateByEvent(N,O){return this._activator.activateByEvent(N,O)}_activateById(N,O){return this._activator.activateById(N,O)}activateByIdWithErrors(N,O){return this._activateById(N,O).then(()=>{const x=this._activator.getActivatedExtension(N);if(x.activationFailed)return Promise.reject(x.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(N=>this._registry)}getExtensionExports(N){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(N).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const N=D.TernarySearchTree.forPaths(),O=this._registry.getAllExtensionDescriptions().map(x=>{if(!!this._getEntryPoint(x))return this._hostUtils.realpath(x.extensionLocation.fsPath).then(L=>N.set(i.URI.file(L).fsPath,x))});this._extensionPathIndex=Promise.all(O).then(()=>N)}return this._extensionPathIndex}_deactivate(N){let O=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(N))return O;const x=this._activator.getActivatedExtension(N);if(!x)return O;try{typeof x.module.deactivate=="function"&&(O=Promise.resolve(x.module.deactivate()).then(void 0,L=>Promise.resolve(void 0)))}catch(L){}try{C.dispose(x.subscriptions)}catch(L){}return O}async _activateExtension(N,O){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(N.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(N.identifier),this._doActivateExtension(N,O).then(x=>{const L=x.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(N.identifier,L.codeLoadingTime,L.activateCallTime,L.activateResolvedTime,O),this._logExtensionActivationTimes(N,O,"success",L),x},x=>{throw this._logExtensionActivationTimes(N,O,"failure"),x})}_logExtensionActivationTimes(N,O,x,L){const z=H(N,O);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},z),L||{}),{outcome:x}))}_doActivateExtension(N,O){const x=H(N,O);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",x);const L=this._getEntryPoint(N);if(!L)return Promise.resolve(new d.EmptyExtension(d.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${N.identifier.value} ${JSON.stringify(O)}`),this._logService.flush();const z=new d.ExtensionActivationTimesBuilder(O.startup);return Promise.all([this._loadCommonJSModule(N.identifier,A.joinPath(N.extensionLocation,L),z),this._loadExtensionContext(N)]).then(ae=>(T.mark(`code/extHost/willActivateExtension/${N.identifier.value}`),Dn._callActivate(this._logService,N.identifier,ae[0],ae[1],z))).then(ae=>(T.mark(`code/extHost/didActivateExtension/${N.identifier.value}`),ae))}_loadExtensionContext(N){const O=new t.ExtensionGlobalMemento(N,this._storage),x=new t.ExtensionMemento(N.identifier.value,!1,this._storage),L=new K.ExtensionSecrets(N,this._secretState),z=N.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?o.ExtensionMode.Test:o.ExtensionMode.Development:o.ExtensionMode.Production,ae=Date.now()-new Date(this._initData.telemetryInfo.firstSessionDate).getTime();return this._logService.trace(`ExtensionService#loadExtensionContext ${N.identifier.value}`),Promise.all([O.whenReady,x.whenReady,this._storagePath.whenReady]).then(()=>{const re=this;return Object.freeze({globalState:O,workspaceState:x,secrets:L,subscriptions:[],get extensionUri(){return N.extensionLocation},get extensionPath(){return N.extensionLocation.fsPath},asAbsolutePath(de){return S.join(N.extensionLocation.fsPath,de)},get storagePath(){var de;return(de=re._storagePath.workspaceValue(N))===null||de===void 0?void 0:de.fsPath},get globalStoragePath(){return re._storagePath.globalValue(N).fsPath},get logPath(){return S.join(re._initData.logsLocation.fsPath,N.identifier.value)},get logUri(){return i.URI.joinPath(re._initData.logsLocation,N.identifier.value)},get storageUri(){return re._storagePath.workspaceValue(N)},get globalStorageUri(){return re._storagePath.globalValue(N)},get extensionMode(){return z},get extensionId(){return v.checkProposedApiEnabled(N),N.identifier.value},get extensionVersion(){return v.checkProposedApiEnabled(N),N.version},get extensionRuntime(){return v.checkProposedApiEnabled(N),re.extensionRuntime},get isNewInstall(){return v.checkProposedApiEnabled(N),isNaN(ae)?!1:ae<1e3*60*60*24},get environmentVariableCollection(){return re._extHostTerminalService.getEnvironmentVariableCollection(N)}})})}static _callActivate(N,O,x,L,z){return x=x||{activate:void 0,deactivate:void 0},this._callActivateOptional(N,O,x,L,z).then(ae=>new d.ActivatedExtension(!1,null,z.build(),x,ae,L.subscriptions))}static _callActivateOptional(N,O,x,L,z){if(typeof x.activate=="function")try{z.activateCallStart(),N.trace(`ExtensionService#_callActivateOptional ${O.value}`);const ae=typeof global=="object"?global:self,re=x.activate.apply(ae,[L]);return z.activateCallStop(),z.activateResolveStart(),Promise.resolve(re).then(de=>(z.activateResolveStop(),de))}catch(ae){return Promise.reject(ae)}else return Promise.resolve(x)}_activateOneStartupFinished(N,O){this._activateById(N.identifier,{startup:!1,extensionId:N.identifier,activationEvent:O}).then(void 0,x=>{this._logService.error(x)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(T.getMarks());for(const N of this._registry.getAllExtensionDescriptions())if(N.activationEvents)for(const O of N.activationEvents)O==="onStartupFinished"&&this._activateOneStartupFinished(N,O)}_handleEagerExtensions(){const N=this._activateByEvent("*",!0).then(void 0,z=>{this._logService.error(z)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(z=>this._handleWorkspaceContainsEagerExtensions(z.added)));const O=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],x=this._handleWorkspaceContainsEagerExtensions(O),L=Promise.all([N,x]).then(()=>{});return Promise.race([L,w.timeout(1e4)]).then(()=>{this._activateAllStartupFinished()}),L}_handleWorkspaceContainsEagerExtensions(N){return N.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(O=>this._handleWorkspaceContainsEagerExtension(N,O))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(N,O){if(!this.isActivated(O.identifier)){const x=!this._initData.remote.isRemote&&!!this._initData.remote.authority,L={folders:N.map(ae=>ae.uri),forceUsingSearch:x,exists:ae=>this._hostUtils.exists(ae.fsPath),checkExists:(ae,re,de)=>this._mainThreadWorkspaceProxy.$checkExists(ae,re,de)},z=await F.checkActivateWorkspaceContainsExtension(L,O);if(!!z)return this._activateById(O.identifier,{startup:!0,extensionId:O.identifier,activationEvent:z.activationEvent}).then(void 0,ae=>this._logService.error(ae))}}_handleExtensionTests(){return this._doHandleExtensionTests().then(void 0,N=>(console.error(N),Promise.reject(N)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:N,extensionTestsLocationURI:O}=this._initData.environment;if(!(N&&O&&O.scheme===l.Schemas.file))return Promise.resolve(void 0);const x=A.originalFSPath(O);let L,z;try{L=await this._loadCommonJSModule(null,i.URI.file(x),new d.ExtensionActivationTimesBuilder(!1))}catch(ae){z=ae}return L&&typeof L.run=="function"?new Promise((ae,re)=>{const de=(Ae,je)=>{Ae?re(Ae.toString()):ae(void 0),this._testRunnerExit(Ae||typeof je=="number"&&je>0?1:0)},fe=L.run(x,de);fe&&fe.then&&fe.then(()=>{ae(),this._testRunnerExit(0)}).catch(Ae=>{re(Ae.toString()),this._testRunnerExit(1)})}):(this._testRunnerExit(1),Promise.reject(new Error(z?z.toString():b.localize(0,null,x))))}_testRunnerExit(N){this._logService.info(`extension host terminating: test runner requested exit with code ${N}`),this._logService.flush();const O=this._mainThreadExtensionsProxy.$onExtensionHostExit(N),x=this._extHostContext.drain();Promise.race([Promise.all([O,x]),w.timeout(5e3)]).then(()=>{this._logService.info(`exiting with code ${N}`),this._logService.flush(),this._hostUtils.exit(N)})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>this._handleExtensionTests()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(N,O){return this._resolvers[N]=O,C.toDisposable(()=>{delete this._resolvers[N]})}async $resolveAuthority(N,O){const x=N.indexOf("+");if(x===-1)throw new Error("Not an authority that can be resolved!");const L=N.substr(0,x);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${L}`,!1);const z=this._resolvers[L];if(!z)return{type:"error",error:{code:a.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${L}.`,detail:void 0}};try{T.mark(`code/extHost/willResolveAuthority/${L}`);const ae=await z.resolve(N,{resolveAttempt:O});T.mark(`code/extHost/didResolveAuthorityOK/${L}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(z));const re={authority:N,host:ae.host,port:ae.port,connectionToken:ae.connectionToken},de={extensionHostEnv:ae.extensionHostEnv};return{type:"ok",value:{authority:re,options:de,tunnelInformation:{environmentTunnels:ae.environmentTunnels}}}}catch(ae){if(T.mark(`code/extHost/didResolveAuthorityError/${L}`),ae instanceof o.RemoteAuthorityResolverError)return{type:"error",error:{code:ae._code,message:ae._message,detail:ae._detail}};throw ae}}$startExtensionHost(N){return this._registry.keepOnly(N),this._startExtensionHost()}$activateByEvent(N,O){return O===1?this._activateByEvent(N,!1):this._readyToRunExtensions.wait().then(x=>this._activateByEvent(N,!1))}async $activate(N,O){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(N)?(await this._activateById(N,O),!0):!1}async $deltaExtensions(N,O){N.forEach(L=>L.extensionLocation=i.URI.revive(L.extensionLocation));const x=await this.getExtensionPathIndex();return await Promise.all(O.map(async L=>{const z=this._registry.getExtensionDescription(L);if(!!z){const ae=await this._hostUtils.realpath(z.extensionLocation.fsPath);x.delete(i.URI.file(ae).fsPath)}})),await Promise.all(N.map(async L=>{const z=await this._hostUtils.realpath(L.extensionLocation.fsPath);x.set(i.URI.file(z).fsPath,L)})),this._registry.deltaExtensions(N,O),Promise.resolve(void 0)}async $test_latency(N){return N}async $test_up(N){return N.byteLength}async $test_down(N){let O=u.VSBuffer.alloc(N),x=Math.random()%256;for(let L=0;L<N;L++)O.writeUInt8(x,L);return O}async $updateRemoteConnectionData(N){this._remoteConnectionData=N,this._onDidChangeRemoteConnectionData.fire()}};G=Ke([Qe(0,c.IInstantiationService),Qe(1,e.IHostUtils),Qe(2,y.IExtHostRpcService),Qe(3,h.IExtHostWorkspace),Qe(4,p.IExtHostConfiguration),Qe(5,P.ILogService),Qe(6,n.IExtHostInitDataService),Qe(7,f.IExtensionStoragePaths),Qe(8,m.IExtHostTunnelService),Qe(9,E.IExtHostTerminalService)],G),e.AbstractExtHostExtensionService=G;function H(ue,N){return{id:ue.identifier.value,name:ue.name,extensionVersion:ue.version,publisherDisplayName:ue.publisher,activationEvents:ue.activationEvents?ue.activationEvents.join(","):null,isBuiltin:ue.isBuiltin,reason:N.activationEvent,reasonId:N.extensionId.value}}e.IExtHostExtensionService=c.createDecorator("IExtHostExtensionService")}),define(we[100],Ee([0,1,12,2,3,15,5,7,160,31,35,41,167,34,161,14,4,13]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=v.createDecorator("IExtHostDebugService");let _=class{constructor(n,f,y,k,m){this._workspaceService=f,this._extensionService=y,this._editorsService=k,this._configurationService=m,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new T.Emitter,this._onDidTerminateDebugSession=new T.Emitter,this._onDidChangeActiveDebugSession=new T.Emitter,this._onDidReceiveDebugSessionCustomEvent=new T.Emitter,this._debugServiceProxy=n.getProxy(w.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new T.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new l(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(E=>{E.onDidChange(R=>{this.registerAllDebugTypes(E)}),this.registerAllDebugTypes(E)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(n,f){const y=n;if(typeof y.sourceReference=="number"&&y.sourceReference>0){let k=`debug:${encodeURIComponent(y.path||"")}`,m="?";return f&&(k+=`${m}session=${encodeURIComponent(f.id)}`,m="&"),k+=`${m}ref=${y.sourceReference}`,S.URI.parse(k)}else{if(y.path)return S.URI.file(y.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(n){const f=[];for(const y of n.getAllExtensionDescriptions())if(y.contributes){const k=y.contributes.debuggers;if(k&&k.length>0)for(const m of k)s.isDebuggerMainContribution(m)&&f.push(m.type)}this._debugServiceProxy.$registerDebugTypes(f)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const n=[];return this._breakpoints.forEach(f=>n.push(f)),n}addBreakpoints(n){this.startBreakpoints();const f=n.filter(m=>{const E=m.id;return this._breakpoints.has(E)?!1:(this._breakpoints.set(E,m),!0)});this.fireBreakpointChanges(f,[],[]);const y=[],k=new Map;for(const m of f)if(m instanceof C.SourceBreakpoint){let E=k.get(m.location.uri.toString());E||(E={type:"sourceMulti",uri:m.location.uri,lines:[]},k.set(m.location.uri.toString(),E),y.push(E)),E.lines.push({id:m.id,enabled:m.enabled,condition:m.condition,hitCondition:m.hitCondition,logMessage:m.logMessage,line:m.location.range.start.line,character:m.location.range.start.character})}else m instanceof C.FunctionBreakpoint&&y.push({type:"function",id:m.id,enabled:m.enabled,hitCondition:m.hitCondition,logMessage:m.logMessage,condition:m.condition,functionName:m.functionName});return this._debugServiceProxy.$registerBreakpoints(y)}removeBreakpoints(n){this.startBreakpoints();const f=n.filter(E=>this._breakpoints.delete(E.id));this.fireBreakpointChanges([],f,[]);const y=f.filter(E=>E instanceof C.SourceBreakpoint).map(E=>E.id),k=f.filter(E=>E instanceof C.FunctionBreakpoint).map(E=>E.id),m=f.filter(E=>E instanceof C.DataBreakpoint).map(E=>E.id);return this._debugServiceProxy.$unregisterBreakpoints(y,k,m)}startDebugging(n,f,y){return this._debugServiceProxy.$startDebugging(n?n.uri:void 0,f,{parentSessionID:y.parentSession?y.parentSession.id:void 0,repl:y.consoleMode===C.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:y.noDebug,compact:y.compact})}stopDebugging(n){return this._debugServiceProxy.$stopDebugging(n?n.id:void 0)}registerDebugConfigurationProvider(n,f,y){if(!f)return new C.Disposable(()=>{});const k=this._configProviderHandleCounter++;return this._configProviders.push({type:n,handle:k,provider:f}),this._debugServiceProxy.$registerDebugConfigurationProvider(n,y,!!f.provideDebugConfigurations,!!f.resolveDebugConfiguration,!!f.resolveDebugConfigurationWithSubstitutedVariables,k),new C.Disposable(()=>{this._configProviders=this._configProviders.filter(m=>m.provider!==f),this._debugServiceProxy.$unregisterDebugConfigurationProvider(k)})}registerDebugAdapterDescriptorFactory(n,f,y){if(!y)return new C.Disposable(()=>{});if(!this.definesDebugType(n,f))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${f}' debugger.`);if(this.getAdapterDescriptorFactoryByType(f))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const k=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:f,handle:k,factory:y}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(f,k),new C.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(m=>m.factory!==y),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(k)})}registerDebugAdapterTrackerFactory(n,f){if(!f)return new C.Disposable(()=>{});const y=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:n,handle:y,factory:f}),new C.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(k=>k.factory!==f)})}async $runInTerminal(n,f){return Promise.resolve(void 0)}async $substituteVariables(n,f){if(!this._variableResolver){const[m,E]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(m||[],this._editorsService,E)}let y;const k=await this.getFolder(n);return k&&(y={uri:k.uri,name:k.name,index:k.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(y,f)}createDebugAdapter(n,f){if(n.type==="implementation")return new o(n.implementation)}createSignService(){}async $startDASession(n,f){const y=this,k=await this.getSession(f);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(k.type),k).then(m=>{if(!m)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${k.type}' (extension might have failed to activate)`);const E=this.convertToDto(m),R=this.createDebugAdapter(E,k);if(!R)throw new Error(`Couldn't create a debug adapter for type '${k.type}'.`);const F=R;return this._debugAdapters.set(n,F),this.getDebugAdapterTrackers(k).then($=>($&&this._debugAdaptersTrackers.set(n,$),F.onMessage(async K=>{if(K.type==="request"&&K.command==="handshake"){const G=K,H={type:"response",seq:0,command:G.command,request_seq:G.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const ue=await this._signService.sign(G.arguments.value);H.body={signature:ue},F.sendResponse(H)}else throw new Error("no signer")}catch(ue){H.success=!1,H.message=ue.message,F.sendResponse(H)}}else $&&$.onDidSendMessage&&$.onDidSendMessage(K),K=s.convertToVSCPaths(K,!0),y._debugServiceProxy.$acceptDAMessage(n,K)}),F.onError(K=>{$&&$.onError&&$.onError(K),this._debugServiceProxy.$acceptDAError(n,K.name,K.message,K.stack)}),F.onExit(K=>{$&&$.onExit&&$.onExit(g.withNullAsUndefined(K),void 0),this._debugServiceProxy.$acceptDAExit(n,g.withNullAsUndefined(K),void 0)}),$&&$.onWillStartSession&&$.onWillStartSession(),F.startSession()))})}$sendDAMessage(n,f){f=s.convertToDAPaths(f,!1);const y=this._debugAdaptersTrackers.get(n);y&&y.onWillReceiveMessage&&y.onWillReceiveMessage(f);const k=this._debugAdapters.get(n);k&&k.sendMessage(f)}$stopDASession(n){const f=this._debugAdaptersTrackers.get(n);this._debugAdaptersTrackers.delete(n),f&&f.onWillStopSession&&f.onWillStopSession();const y=this._debugAdapters.get(n);return this._debugAdapters.delete(n),y?y.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(n){const f=[],y=[],k=[];if(n.added)for(const m of n.added){const E=m.id;if(E&&!this._breakpoints.has(E)){let R;if(m.type==="function")R=new C.FunctionBreakpoint(m.functionName,m.enabled,m.condition,m.hitCondition,m.logMessage);else if(m.type==="data")R=new C.DataBreakpoint(m.label,m.dataId,m.canPersist,m.enabled,m.hitCondition,m.condition,m.logMessage);else{const F=S.URI.revive(m.uri);R=new C.SourceBreakpoint(new C.Location(F,new C.Position(m.line,m.character)),m.enabled,m.condition,m.hitCondition,m.logMessage)}R._id=E,this._breakpoints.set(E,R),f.push(R)}}if(n.removed)for(const m of n.removed){const E=this._breakpoints.get(m);E&&(this._breakpoints.delete(m),y.push(E))}if(n.changed){for(const m of n.changed)if(m.id){const E=this._breakpoints.get(m.id);if(E){if(E instanceof C.FunctionBreakpoint&&m.type==="function"){const R=E;R.enabled=m.enabled,R.condition=m.condition,R.hitCondition=m.hitCondition,R.logMessage=m.logMessage,R.functionName=m.functionName}else if(E instanceof C.SourceBreakpoint&&m.type==="source"){const R=E;R.enabled=m.enabled,R.condition=m.condition,R.hitCondition=m.hitCondition,R.logMessage=m.logMessage,R.location=new C.Location(S.URI.revive(m.uri),new C.Position(m.line,m.character))}k.push(E)}}}this.fireBreakpointChanges(f,y,k)}$provideDebugConfigurations(n,f,y){return A.asPromise(async()=>{const k=this.getConfigProviderByHandle(n);if(!k)throw new Error("no DebugConfigurationProvider found");if(!k.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const m=await this.getFolder(f);return k.provideDebugConfigurations(m,y)}).then(k=>{if(!k)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return k})}$resolveDebugConfiguration(n,f,y,k){return A.asPromise(async()=>{const m=this.getConfigProviderByHandle(n);if(!m)throw new Error("no DebugConfigurationProvider found");if(!m.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const E=await this.getFolder(f);return m.resolveDebugConfiguration(E,y,k)})}$resolveDebugConfigurationWithSubstitutedVariables(n,f,y,k){return A.asPromise(async()=>{const m=this.getConfigProviderByHandle(n);if(!m)throw new Error("no DebugConfigurationProvider found");if(!m.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const E=await this.getFolder(f);return m.resolveDebugConfigurationWithSubstitutedVariables(E,y,k)})}async $provideDebugAdapter(n,f){const y=this.getAdapterDescriptorFactoryByHandle(n);if(!y)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const k=await this.getSession(f);return this.getAdapterDescriptor(y,k).then(m=>{if(!m)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${k.type}'`);return this.convertToDto(m)})}async $acceptDebugSessionStarted(n){const f=await this.getSession(n);this._onDidStartDebugSession.fire(f)}async $acceptDebugSessionTerminated(n){const f=await this.getSession(n);f&&(this._onDidTerminateDebugSession.fire(f),this._debugSessions.delete(f.id))}async $acceptDebugSessionActiveChanged(n){this._activeDebugSession=n?await this.getSession(n):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(n,f){const y=await this.getSession(n);y&&y._acceptNameChanged(f)}async $acceptDebugSessionCustomEvent(n,f){const k={session:await this.getSession(n),event:f.event,body:f.body};this._onDidReceiveDebugSessionCustomEvent.fire(k)}convertToDto(n){if(n instanceof C.DebugAdapterExecutable)return{type:"executable",command:n.command,args:n.args,options:n.options};if(n instanceof C.DebugAdapterServer)return{type:"server",port:n.port,host:n.host};if(n instanceof C.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:n.path};if(n instanceof C.DebugAdapterInlineImplementation)return{type:"implementation",implementation:n.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(n){const f=this._adapterFactories.filter(y=>y.type===n);if(f.length>0)return f[0].factory}getAdapterDescriptorFactoryByHandle(n){const f=this._adapterFactories.filter(y=>y.handle===n);if(f.length>0)return f[0].factory}getConfigProviderByHandle(n){const f=this._configProviders.filter(y=>y.handle===n);if(f.length>0)return f[0].provider}definesDebugType(n,f){if(n.contributes){const y=n.contributes.debuggers;if(y&&y.length>0){for(const k of y)if(k.label&&k.type&&k.type===f)return!0}}return!1}getDebugAdapterTrackers(n){const y=n.configuration.type,k=this._trackerFactories.filter(m=>m.type===y||m.type==="*").map(m=>A.asPromise(()=>m.factory.createDebugAdapterTracker(n)).then(E=>E,E=>null));return Promise.race([Promise.all(k).then(m=>{const E=m.filter(R=>!!R);if(E.length>0)return new t(E)}),new Promise((m,E)=>{const R=setTimeout(()=>{clearTimeout(R),E(new Error("timeout"))},1e3)})]).catch(m=>{})}async getAdapterDescriptor(n,f){const y=f.configuration.debugServer;if(typeof y=="number")return Promise.resolve(new C.DebugAdapterServer(y));if(n){const m=await this._extensionService.getExtensionRegistry();return A.asPromise(()=>n.createDebugAdapterDescriptor(f,this.daExecutableFromPackage(f,m))).then(E=>{if(E)return E})}const k=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(f,k))}daExecutableFromPackage(n,f){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(n,f,y){(n.length>0||f.length>0||y.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:n,removed:f,changed:y}))}async getSession(n){if(n)if(typeof n=="string"){const f=this._debugSessions.get(n);if(f)return f}else{let f=this._debugSessions.get(n.id);if(!f){const y=await this.getFolder(n.folderUri);f=new r(this._debugServiceProxy,n.id,n.type,n.name,y,n.configuration),this._debugSessions.set(f.id,f),this._debugServiceProxy.$sessionCached(f.id)}return f}throw new Error("cannot find session")}getFolder(n){if(n){const f=S.URI.revive(n);return this._workspaceService.resolveWorkspaceFolder(f)}return Promise.resolve(void 0)}};_=Ke([Qe(0,h.IExtHostRpcService),Qe(1,i.IExtHostWorkspace),Qe(2,P.IExtHostExtensionService),Qe(3,I.IExtHostDocumentsAndEditors),Qe(4,d.IExtHostConfiguration)],_),e.ExtHostDebugServiceBase=_;class r{constructor(n,f,y,k,m,E){this._debugServiceProxy=n,this._id=f,this._type=y,this._name=k,this._workspaceFolder=m,this._configuration=E}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(n){this._name=n,this._debugServiceProxy.$setDebugSessionName(this._id,n)}_acceptNameChanged(n){this._name=n}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(n,f){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,n,f)}getDebugProtocolBreakpoint(n){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,n.id)}}e.ExtHostDebugSession=r;class l{constructor(n){this.value=Object.freeze({append(f){n.$appendDebugConsole(f)},appendLine(f){this.append(f+`
`)}})}}e.ExtHostDebugConsole=l;class u extends p.AbstractVariableResolverService{constructor(n,f,y,k,m){super({getFolderUri:E=>{const R=n.filter(F=>F.name===E);if(R&&R.length>0)return R[0].uri},getWorkspaceFolderCount:()=>n.length,getConfigurationValue:(E,R)=>y.getConfiguration(void 0,E).get(R),getAppRoot:()=>k?k.VSCODE_CWD:void 0,getExecPath:()=>k?k.VSCODE_EXEC_PATH:void 0,getFilePath:()=>{if(f){const E=f.activeEditor();if(E)return b.normalize(E.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(f&&m){const E=f.activeEditor();if(E){const R=m.getWorkspaceFolder(E.document.uri);if(R)return b.normalize(R.uri.fsPath)}}},getSelectedText:()=>{if(f){const E=f.activeEditor();if(E&&!E.selection.isEmpty)return E.document.getText(E.selection)}},getLineNumber:()=>{if(f){const E=f.activeEditor();if(E)return String(E.selection.end.line+1)}}},void 0,k)}}e.ExtHostVariableResolverService=u;class t{constructor(n){this.trackers=n}onWillStartSession(){this.trackers.forEach(n=>n.onWillStartSession?n.onWillStartSession():void 0)}onWillReceiveMessage(n){this.trackers.forEach(f=>f.onWillReceiveMessage?f.onWillReceiveMessage(n):void 0)}onDidSendMessage(n){this.trackers.forEach(f=>f.onDidSendMessage?f.onDidSendMessage(n):void 0)}onWillStopSession(){this.trackers.forEach(n=>n.onWillStopSession?n.onWillStopSession():void 0)}onError(n){this.trackers.forEach(f=>f.onError?f.onError(n):void 0)}onExit(n,f){this.trackers.forEach(y=>y.onExit?y.onExit(n,f):void 0)}}class o extends D.AbstractDebugAdapter{constructor(n){super();this.implementation=n,n.onDidSendMessage(f=>{this.acceptMessage(f)})}startSession(){return Promise.resolve(void 0)}sendMessage(n){this.implementation.handleMessage(n)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let a=class extends _{constructor(n,f,y,k,m){super(n,f,y,k,m)}createVariableResolver(n,f,y){return new u(n,f,y)}};a=Ke([Qe(0,h.IExtHostRpcService),Qe(1,i.IExtHostWorkspace),Qe(2,P.IExtHostExtensionService),Qe(3,I.IExtHostDocumentsAndEditors),Qe(4,d.IExtHostConfiguration)],a),e.WorkerExtHostDebugService=a}),define(we[214],Ee([0,1,77,2,5,34,33,25,14,27,4,35,36,17]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let s=class{constructor(r,l,u,t,o,a,c){this._apiFactory=r,this._extensionRegistry=l,this._instaService=u,this._extHostConfiguration=t,this._extHostExtensionService=o,this._initData=a,this._logService=c,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),b.mark("code/extHost/willWaitForConfig");const r=await this._extHostConfiguration.getConfigProvider();b.mark("code/extHost/didWaitForConfig");const l=await this._extHostExtensionService.getExtensionPathIndex();this.register(new h(this._apiFactory,l,this._extensionRegistry,r,this._logService)),this.register(this._instaService.createInstance(v)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(g,l,this._initData.environment.appUriScheme))}register(r){if(Array.isArray(r.nodeModuleName))for(let l of r.nodeModuleName)this._factories.set(l,r);else this._factories.set(r.nodeModuleName,r);typeof r.alternativeModuleName=="function"&&this._alternatives.push(l=>r.alternativeModuleName(l))}};s=Ke([Qe(2,P.IInstantiationService),Qe(3,A.IExtHostConfiguration),Qe(4,I.IExtHostExtensionService),Qe(5,i.IExtHostInitDataService),Qe(6,d.ILogService)],s),e.RequireInterceptor=s;class h{constructor(r,l,u,t,o){this._apiFactory=r,this._extensionPaths=l,this._extensionRegistry=u,this._configProvider=t,this._logService=o,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(r,l){const u=this._extensionPaths.findSubstr(l.fsPath);if(u){let t=this._extApiImpl.get(C.ExtensionIdentifier.toKey(u.identifier));return t||(t=this._apiFactory(u,this._extensionRegistry,this._configProvider),this._extApiImpl.set(C.ExtensionIdentifier.toKey(u.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((o,a)=>t+=`	${a} -> ${o.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${l.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(w.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let v=class{constructor(r,l){this.nodeModuleName="keytar";const{environment:u}=l,t=r.getProxy(T.MainContext.MainThreadKeytar);if(u.appRoot){let o=u.appRoot.fsPath;p.platform==="win32"&&(o=o.replace(/\\/g,"/")),o[o.length-1]==="/"&&(o=o.substr(0,o.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${o}/node_modules.asar/keytar`),this.alternativeNames.add(`${o}/node_modules/keytar`)}this._impl={getPassword:(o,a)=>t.$getPassword(o,a),setPassword:(o,a,c)=>t.$setPassword(o,a,c),deletePassword:(o,a)=>t.$deletePassword(o,a),findPassword:o=>t.$findPassword(o),findCredentials(o){return t.$findCredentials(o)}}}load(r,l){return this._impl}alternativeModuleName(r){const l=r.length;if(!(l<=7||!this.alternativeNames)){const u=l-7;if((r.charAt(u)==="/"||r.charAt(u)==="\\")&&r.endsWith("keytar")&&(r=r.replace(/\\/g,"/"),this.alternativeNames.has(r)))return"keytar"}}};v=Ke([Qe(0,D.IExtHostRpcService),Qe(1,i.IExtHostInitDataService)],v);let g=class{constructor(r,l,u){this._extensionPaths=r,this._appUriScheme=l,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=u.getProxy(T.MainContext.MainThreadTelemetry);const t=u.getProxy(T.MainContext.MainThreadWindow);this._impl=(o,a)=>{const c=S.URI.parse(o);return a?this.callOriginal(o,a):c.scheme==="http"||c.scheme==="https"?t.$openUri(c,o,{allowTunneling:!0}):c.scheme==="mailto"||c.scheme===this._appUriScheme?t.$openUri(c,o,{}):this.callOriginal(o,a)}}load(r,l,u){const t=this._extensionPaths.findSubstr(l.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=u(r),this._impl}callOriginal(r,l){return this.sendNoForwardTelemetry(),this._original(r,l)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};g=Ke([Qe(2,D.IExtHostRpcService)],g)}),define(we[215],Ee([0,1,15,10,77,6,2,5,207,17,62,66,27,145,14,69,35,42]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class _{constructor(l,u,t,o){this._disposables=new A.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const a=new D.RPCProtocol(l,null,o);u=_._transform(u,a);const c=new I.ServiceCollection(...P.getSingletonServiceDescriptors());c.set(p.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},u)),c.set(s.IExtHostRpcService,new s.ExtHostRpcService(a)),c.set(h.IURITransformerService,new h.URITransformerService(o)),c.set(v.IHostUtils,t);const n=new d.InstantiationService(c,!0),f=n.invokeFunction(E=>E.get(g.IExtHostTerminalService));this._disposables.add(f),this._logService=n.invokeFunction(E=>E.get(i.ILogService)),T.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",u),this._extensionService=n.invokeFunction(E=>E.get(v.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const y=new WeakMap;this._extensionService.getExtensionPathIndex().then(E=>{Error.prepareStackTrace=(R,F)=>{let $="",K,G;for(const H of F)$+=`
	at ${H.toString()}`,G=H.getFileName(),!K&&G&&(K=E.findSubstr(G));return y.set(R,K),`${R.name||"Error"}: ${R.message||""}${$}`}});const k=a.getProxy(C.MainContext.MainThreadExtensionService),m=a.getProxy(C.MainContext.MainThreadErrors);S.setUnexpectedErrorHandler(E=>{const R=S.transformErrorForSerialization(E),F=y.get(E);F?k.$onExtensionRuntimeError(F.identifier,R):m.$onUnexpectedError(R)})}terminate(l){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${l}`),this._logService.flush(),this._disposables.dispose(),S.setUnexpectedErrorHandler(t=>{});const u=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([b.timeout(4e3),u]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(l,u){l.extensions.forEach(o=>o.extensionLocation=w.URI.revive(u.transformIncomingURIs(o.extensionLocation))),l.environment.appRoot=w.URI.revive(u.transformIncomingURIs(l.environment.appRoot));const t=l.environment.extensionDevelopmentLocationURI;return t&&(l.environment.extensionDevelopmentLocationURI=t.map(o=>w.URI.revive(u.transformIncomingURIs(o)))),l.environment.extensionTestsLocationURI=w.URI.revive(u.transformIncomingURIs(l.environment.extensionTestsLocationURI)),l.environment.globalStorageHome=w.URI.revive(u.transformIncomingURIs(l.environment.globalStorageHome)),l.environment.workspaceStorageHome=w.URI.revive(u.transformIncomingURIs(l.environment.workspaceStorageHome)),l.logsLocation=w.URI.revive(u.transformIncomingURIs(l.logsLocation)),l.logFile=w.URI.revive(u.transformIncomingURIs(l.logFile)),l.workspace=u.transformIncomingURIs(l.workspace),l}}e.ExtensionHostMain=_}),define(we[216],Ee([0,1,12,20,61,28,24,55,43,36]),function(oe,e,b,S,T,A,w,C,D,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class P{constructor(d,s,h){this.config=d,this.provider=s,this.sessionToken=h,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=d.filePattern,this.includePattern=d.includePattern&&A.parse(d.includePattern),this.maxResults=d.maxResults||void 0,this.exists=d.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=d.excludePattern&&A.parse(d.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(d=>d.cancel()),this.activeCancellationTokens=new Set}search(d){const s=this.config.folderQueries||[];return new Promise((h,v)=>{const g=_=>{this.resultCount++,d(_)};if(this.isCanceled)return h({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(_=>{const r=_.toString(),l=b.basename(r);this.globalExcludePattern&&this.globalExcludePattern(r,l)||this.matchFile(g,{base:_,basename:l})}),Promise.all(s.map(_=>this.searchInFolder(_,g))).then(_=>{h({limitHit:this.isLimitHit,stats:_[0]||void 0})},_=>{v(new Error(T.toErrorMessage(_)))})})}searchInFolder(d,s){const h=new S.CancellationTokenSource;return new Promise((v,g)=>{const _=this.getSearchOptionsForFolder(d),r=this.initDirectoryTree(),l=new D.QueryGlobTester(this.config,d),u=!l.hasSiblingExcludeClauses();let t;new Promise(o=>i.nextTick(o)).then(()=>(this.activeCancellationTokens.add(h),t=C.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},_,h.token))).then(o=>{const a=t.elapsed(),c=C.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(o&&o.forEach(n=>{const f=b.posix.relative(d.folder.path,n.path);if(u){const y=b.basename(n.path);this.matchFile(s,{base:d.folder,relativePath:f,basename:y});return}this.addDirectoryEntries(r,d.folder,f,s)}),this.activeCancellationTokens.delete(h),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(r,l,s),{providerTime:a,postProcessTime:c.elapsed()})}).then(o=>{h.dispose(),v(o)},o=>{h.dispose(),g(o)})})}getSearchOptionsForFolder(d){const s=D.resolvePatternsForProvider(this.config.includePattern,d.includePattern),h=D.resolvePatternsForProvider(this.config.excludePattern,d.excludePattern);return{folder:d.folder,excludes:h,includes:s,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const d={rootEntries:[],pathToEntries:Object.create(null)};return d.pathToEntries["."]=d.rootEntries,d}addDirectoryEntries({pathToEntries:d},s,h,v){if(h===this.filePattern){const _=b.basename(this.filePattern);this.matchFile(v,{base:s,relativePath:this.filePattern,basename:_})}function g(_){const r=b.basename(_),l=b.dirname(_);let u=d[l];u||(u=d[l]=[],g(l)),u.push({base:s,relativePath:_,basename:r})}g(h)}matchDirectoryTree({rootEntries:d,pathToEntries:s},h,v){const g=this,_=this.filePattern;function r(l){const u=A.hasSiblingFn(()=>l.map(t=>t.basename));for(let t=0,o=l.length;t<o;t++){const a=l[t],{relativePath:c,basename:n}=a;if(!!h.includedInQuerySync(c,n,_!==n?u:void 0)){const f=s[c];if(f)r(f);else{if(c===_)continue;g.matchFile(v,a)}if(g.isLimitHit)break}}}r(d)}matchFile(d,s){(!this.includePattern||s.relativePath&&this.includePattern(s.relativePath,s.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||d(s))}}class I{constructor(){this.sessions=new Map}fileSearch(d,s,h,v){const g=this.getSessionTokenSource(d.cacheKey),_=new P(d,s,g&&g.token);let r=0;const l=u=>{r+=u.length,h(u.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(_,I.BATCH_SIZE,l,v).then(u=>({limitHit:u.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:r,detailStats:u.stats}}))}clearCache(d){const s=this.getSessionTokenSource(d);s&&s.cancel()}getSessionTokenSource(d){if(!!d)return this.sessions.has(d)||this.sessions.set(d,new S.CancellationTokenSource),this.sessions.get(d)}rawMatchToSearchItem(d){return d.relativePath?{resource:w.joinPath(d.base,d.relativePath)}:{resource:d.base}}doSearch(d,s,h,v){v.onCancellationRequested(()=>{d.cancel()});const g=r=>{r&&(_.push(r),s>0&&_.length>=s&&(h(_),_=[]))};let _=[];return d.search(g).then(r=>(_.length&&h(_),r),r=>(_.length&&h(_),Promise.reject(r)))}}e.FileSearchManager=I,I.BATCH_SIZE=512}),define(we[217],Ee([0,1,12,11,20,61,24,28,2,43,36,16]),function(oe,e,b,S,T,A,w,C,D,i,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class p{constructor(r,l,u){this.query=r,this.provider=l,this.fileUtils=u,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(r,l){const u=this.query.folderQueries||[],t=new T.CancellationTokenSource;return l.onCancellationRequested(()=>t.cancel()),new Promise((o,a)=>{this.collector=new s(r);let c=!1;const n=(f,y)=>{if(!c&&!this.isLimitHit){const k=this.resultSize(f);v(f)&&typeof this.query.maxResults=="number"&&this.resultCount+k>this.query.maxResults&&(this.isLimitHit=!0,c=!0,t.cancel(),f=this.trimResultToSize(f,this.query.maxResults-this.resultCount));const m=this.resultSize(f);this.resultCount+=m,(m>0||!v(f))&&this.collector.add(f,y)}};Promise.all(u.map((f,y)=>this.searchInFolder(f,k=>n(k,y),t.token))).then(f=>{t.dispose(),this.collector.flush();const y=f.some(k=>!!k&&!!k.limitHit);o({limitHit:this.isLimitHit||y,stats:{type:"textSearchProvider"}})},f=>{t.dispose();const y=A.toErrorMessage(f);a(new Error(y))})})}resultSize(r){return v(r)?Array.isArray(r.ranges)?r.ranges.length:1:0}trimResultToSize(r,l){const u=Array.isArray(r.ranges)?r.ranges:[r.ranges],t=Array.isArray(r.preview.matches)?r.preview.matches:[r.preview.matches];return{ranges:u.slice(0,l),preview:{matches:t.slice(0,l),text:r.preview.text},uri:r.uri}}searchInFolder(r,l,u){const t=new i.QueryGlobTester(this.query,r),o=[],a={report:n=>{if(!!this.validateProviderResult(n)){const f=r.folder.scheme===I.Schemas.file?C.hasSiblingPromiseFn(()=>this.fileUtils.readdir(w.dirname(n.uri))):void 0,y=w.relativePath(r.folder,n.uri);y&&o.push(t.includedInQuery(y,b.basename(y),f).then(k=>{k&&l(n)}))}}},c=this.getSearchOptionsForFolder(r);return new Promise(n=>P.nextTick(n)).then(()=>this.provider.provideTextSearchResults(d(this.query.contentPattern),c,a,u)).then(n=>Promise.all(o).then(()=>n))}validateProviderResult(r){if(v(r)){if(Array.isArray(r.ranges)){if(!Array.isArray(r.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(r.preview.matches.length!==r.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(r.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(r){const l=i.resolvePatternsForProvider(this.query.includePattern,r.includePattern),u=i.resolvePatternsForProvider(this.query.excludePattern,r.excludePattern),t={folder:D.URI.from(r.folder),excludes:u,includes:l,useIgnoreFiles:!r.disregardIgnoreFiles,useGlobalIgnoreFiles:!r.disregardGlobalIgnoreFiles,followSymlinks:!r.ignoreSymlinks,encoding:r.fileEncoding&&this.fileUtils.toCanonicalName(r.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=p;function d(_){return{isCaseSensitive:_.isCaseSensitive||!1,isRegExp:_.isRegExp||!1,isWordMatch:_.isWordMatch||!1,isMultiline:_.isMultiline||!1,pattern:_.pattern}}class s{constructor(r){this._onResult=r,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new g(512,l=>this.sendItems(l))}add(r,l){this._currentFileMatch&&(this._currentFolderIdx!==l||!w.isEqual(this._currentUri,r.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=l,this._currentFileMatch={resource:r.uri,results:[]}),this._currentFileMatch.results.push(h(r))}pushToCollector(){const r=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,r)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(r){this._onResult(r)}}e.TextSearchResultsCollector=s;function h(_){return v(_)?{preview:{matches:S.mapArrayOrNot(_.preview.matches,r=>({startLineNumber:r.start.line,startColumn:r.start.character,endLineNumber:r.end.line,endColumn:r.end.character})),text:_.preview.text},ranges:S.mapArrayOrNot(_.ranges,r=>({startLineNumber:r.start.line,startColumn:r.start.character,endLineNumber:r.end.line,endColumn:r.end.character}))}:{text:_.text,lineNumber:_.lineNumber}}function v(_){return!!_.preview}e.extensionResultIsMatch=v;class g{constructor(r,l){this.maxBatchSize=r,this.cb=l,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(r,l){!r||this.addItemToBatch(r,l)}addItems(r,l){!r||this.addItemsToBatch(r,l)}addItemToBatch(r,l){this.batch.push(r),this.batchSize+=l,this.onUpdate()}addItemsToBatch(r,l){this.batch=this.batch.concat(r),this.batchSize+=l,this.onUpdate()}onUpdate(){this.totalNumberCompleted<g.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},g.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=g,g.TIMEOUT=4e3,g.START_BATCH_AFTER_COUNT=50}),define(we[101],Ee([0,1,6,5,4,216,14,69,17,2,217]),function(oe,e,b,S,T,A,w,C,D,i,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=T.createDecorator("IExtHostSearch");let I=class{constructor(h,v,g){this.extHostRpc=h,this._uriTransformer=v,this._logService=g,this._proxy=this.extHostRpc.getProxy(S.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new A.FileSearchManager}_transformScheme(h){return this._uriTransformer.transformOutgoingScheme(h)}registerTextSearchProvider(h,v){if(this._textSearchUsedSchemes.has(h))throw new Error(`a text search provider for the scheme '${h}' is already registered`);this._textSearchUsedSchemes.add(h);const g=this._handlePool++;return this._textSearchProvider.set(g,v),this._proxy.$registerTextSearchProvider(g,this._transformScheme(h)),b.toDisposable(()=>{this._textSearchUsedSchemes.delete(h),this._textSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}registerFileSearchProvider(h,v){if(this._fileSearchUsedSchemes.has(h))throw new Error(`a file search provider for the scheme '${h}' is already registered`);this._fileSearchUsedSchemes.add(h);const g=this._handlePool++;return this._fileSearchProvider.set(g,v),this._proxy.$registerFileSearchProvider(g,this._transformScheme(h)),b.toDisposable(()=>{this._fileSearchUsedSchemes.delete(h),this._fileSearchProvider.delete(g),this._proxy.$unregisterProvider(g)})}$provideFileSearchResults(h,v,g,_){const r=p(g),l=this._fileSearchProvider.get(h);if(l)return this._fileSearchManager.fileSearch(r,l,u=>{this._proxy.$handleFileMatch(h,v,u.map(t=>t.resource))},_);throw new Error("unknown provider: "+h)}$clearCache(h){return this._fileSearchManager.clearCache(h),Promise.resolve(void 0)}$provideTextSearchResults(h,v,g,_){const r=this._textSearchProvider.get(h);if(!r||!r.provideTextSearchResults)throw new Error(`Unknown provider ${h}`);const l=p(g);return this.createTextSearchManager(l,r).search(t=>this._proxy.$handleTextMatch(h,v,t),_)}createTextSearchManager(h,v){return new P.TextSearchManager(h,v,{readdir:g=>Promise.resolve([]),toCanonicalName:g=>g})}};I=Ke([Qe(0,w.IExtHostRpcService),Qe(1,C.IURITransformerService),Qe(2,D.ILogService)],I),e.ExtHostSearch=I;function p(s){return Object.assign(Object.assign({},s),{folderQueries:s.folderQueries&&s.folderQueries.map(d),extraFileResources:s.extraFileResources&&s.extraFileResources.map(h=>i.URI.revive(h))})}e.reviveQuery=p;function d(s){return Object.assign(Object.assign({},s),{folder:i.URI.revive(s.folder)})}});var nt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},Be=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[218],Ee([0,1,125,20,10,3,12,57,2,119,82,113,60,65,5,184,183,73,185,34,186,187,188,170,189,41,35,190,171,192,193,194,97,174,196,197,198,75,42,199,175,9,7,202,50,98,31,33,24,51,157,191,91,96,99,100,101,17,69,14,27,195,163,68,72,181,200,162,76,74,205,203,204,182,49,211,201,71,154]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r,l,u,t,o,a,c,n,f,y,k,m,E,R,F,$,K,G,H,ue,N,O,x,L,z,ae,re,de,fe,Ae,je,Te,xe,W,J,ee,te,me,Ce,Oe,ge,ke,Pe,$e,_e,Ge,V,X,ve,Me,We,Ue,et,B,Z,ce,j,Y,le,he){"use strict";var be,He,Ne;Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function ze(Xe){const pe=Xe.get(ke.IExtHostInitDataService),Se=Xe.get(ce.IExtHostFileSystemInfo),se=Xe.get(We.IExtHostConsumerFileSystem),q=Xe.get(n.IExtHostExtensionService),Re=Xe.get(de.IExtHostWorkspace),Le=Xe.get(r.IExtHostConfiguration),Ye=Xe.get(Oe.IURITransformerService),Ie=Xe.get(ge.IExtHostRpcService),st=Xe.get(H.IExtHostStorage),rt=Xe.get(Me.IExtensionStoragePaths),qe=Xe.get(Ce.ILogService),ut=Xe.get(_e.IExtHostTunnelService),dt=Xe.get(Ge.IExtHostApiDeprecationService),ht=Xe.get(re.IExtHostWindow),vt=Xe.get(le.IExtHostSecretState);Ie.set(s.ExtHostContext.ExtHostFileSystemInfo,Se),Ie.set(s.ExtHostContext.ExtHostLogService,qe),Ie.set(s.ExtHostContext.ExtHostWorkspace,Re),Ie.set(s.ExtHostContext.ExtHostConfiguration,Le),Ie.set(s.ExtHostContext.ExtHostExtensionService,q),Ie.set(s.ExtHostContext.ExtHostStorage,st),Ie.set(s.ExtHostContext.ExtHostTunnelService,ut),Ie.set(s.ExtHostContext.ExtHostWindow,ht),Ie.set(s.ExtHostContext.ExtHostSecretState,vt);const yt=Ie.set(s.ExtHostContext.ExtHostDecorations,Xe.get(J.IExtHostDecorations)),St=Ie.set(s.ExtHostContext.ExtHostDocumentsAndEditors,Xe.get(c.IExtHostDocumentsAndEditors)),gt=Ie.set(s.ExtHostContext.ExtHostCommands,Xe.get(g.IExtHostCommands)),mt=Ie.set(s.ExtHostContext.ExtHostTerminalService,Xe.get(ue.IExtHostTerminalService)),ct=Ie.set(s.ExtHostContext.ExtHostDebugService,Xe.get(te.IExtHostDebugService)),_t=Ie.set(s.ExtHostContext.ExtHostSearch,Xe.get(me.IExtHostSearch)),pt=Ie.set(s.ExtHostContext.ExtHostTask,Xe.get(ee.IExtHostTask)),Tt=Ie.set(s.ExtHostContext.ExtHostOutputService,Xe.get(R.IExtHostOutputService)),It=Ie.set(s.ExtHostContext.ExtHostEditorTabs,new he.ExtHostEditorTabs),kt=Ie.set(s.ExtHostContext.ExtHostUrls,new z.ExtHostUrls(Ie)),wt=Ie.set(s.ExtHostContext.ExtHostDocuments,new a.ExtHostDocuments(Ie,St)),Bt=Ie.set(s.ExtHostContext.ExtHostDocumentContentProviders,new t.ExtHostDocumentContentProvider(Ie,St,qe)),xt=Ie.set(s.ExtHostContext.ExtHostDocumentSaveParticipant,new o.ExtHostDocumentSaveParticipant(qe,wt,Ie.getProxy(s.MainContext.MainThreadBulkEdits))),at=Ie.set(s.ExtHostContext.ExtHostNotebook,new Pe.ExtHostNotebookController(Ie,gt,St,pe.environment,qe,rt)),Et=Ie.set(s.ExtHostContext.ExtHostEditors,new N.ExtHostEditors(Ie,St)),Wt=Ie.set(s.ExtHostContext.ExtHostTreeViews,new O.ExtHostTreeViews(Ie.getProxy(s.MainContext.MainThreadTreeViews),gt,qe)),an=Ie.set(s.ExtHostContext.ExtHostEditorInsets,new Te.ExtHostEditorInsets(Ie.getProxy(s.MainContext.MainThreadEditorInsets),Et,pe.environment)),Rt=Ie.set(s.ExtHostContext.ExtHostDiagnostics,new l.ExtHostDiagnostics(Ie,qe)),ot=Ie.set(s.ExtHostContext.ExtHostLanguageFeatures,new k.ExtHostLanguageFeatures(Ie,Ye,wt,gt,Rt,qe,dt)),ln=Ie.set(s.ExtHostContext.ExtHostFileSystem,new f.ExtHostFileSystem(Ie,ot)),Pt=Ie.set(s.ExtHostContext.ExtHostFileSystemEventService,new y.ExtHostFileSystemEventService(Ie,qe,St)),Ot=Ie.set(s.ExtHostContext.ExtHostQuickOpen,$.createExtHostQuickOpen(Ie,Re,gt)),Jt=Ie.set(s.ExtHostContext.ExtHostSCM,new K.ExtHostSCM(Ie,gt,qe)),un=Ie.set(s.ExtHostContext.ExtHostComments,new _.ExtHostComments(Ie,gt,wt)),$t=Ie.set(s.ExtHostContext.ExtHostProgress,new F.ExtHostProgress(Ie.getProxy(s.MainContext.MainThreadProgress))),Ht=Ie.set(s.ExtHostContext.ExtHosLabelService,new xe.ExtHostLabelService(Ie)),Yt=Ie.set(s.ExtHostContext.ExtHostTheming,new $e.ExtHostTheming(Ie)),Ft=Ie.set(s.ExtHostContext.ExtHostAuthentication,new V.ExtHostAuthentication(Ie)),cn=Ie.set(s.ExtHostContext.ExtHostTimeline,new X.ExtHostTimeline(Ie,gt)),zt=Ie.set(s.ExtHostContext.ExtHostWebviews,new ae.ExtHostWebviews(Ie,pe.environment,Re,qe,dt)),Lt=Ie.set(s.ExtHostContext.ExtHostWebviewPanels,new B.ExtHostWebviewPanels(Ie,zt,Re)),dn=Ie.set(s.ExtHostContext.ExtHostCustomEditors,new et.ExtHostCustomEditors(Ie,wt,rt,zt,Lt)),hn=Ie.set(s.ExtHostContext.ExtHostWebviewViews,new Ue.ExtHostWebviewViews(Ie,zt)),Ct=Ie.set(s.ExtHostContext.ExtHostTesting,new j.ExtHostTesting(Ie,St,Re)),fn=Ie.set(s.ExtHostContext.ExtHostUriOpeners,new Y.ExtHostUriOpeners(Ie)),mn=je.values(s.ExtHostContext);Ie.assertRegistered(mn);const Vt=new Z.ExtHostBulkEdits(Ie,St,at),jt=new v.ExtHostClipboard(Ie),Nt=new E.ExtHostMessageService(Ie,qe),Xt=new u.ExtHostDialogs(Ie),Zt=new G.ExtHostStatusBar(Ie,gt.converter),qt=new m.ExtHostLanguages(Ie,wt);return h.ExtHostApiCommands.register(gt),function(Fe,Kt,Gt){const ft=function(){let Q=!Fe.isUnderDevelopment;function ne(ye){Q||(qe.info(`Extension '${Fe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),Q=!0)}return function ye(tt){if(Array.isArray(tt))tt.forEach(ye);else if(typeof tt=="string")ne(tt);else{const it=tt;typeof it.scheme=="undefined"&&ne(tt),!Fe.enableProposedApi&&typeof it.exclusive=="boolean"&&fe.throwProposedApiError(Fe)}return tt}}(),gn={getSession(Q,ne,ye){return Ft.getSession(Fe,Q,ne,ye)},get onDidChangeSessions(){return Ft.onDidChangeSessions},registerAuthenticationProvider(Q,ne,ye,tt){return Ft.registerAuthenticationProvider(Q,ne,ye,tt)},get onDidChangeAuthenticationProviders(){return fe.checkProposedApiEnabled(Fe),Ft.onDidChangeAuthenticationProviders},get providers(){return fe.checkProposedApiEnabled(Fe),Ft.providers},logout(Q,ne){return fe.checkProposedApiEnabled(Fe),Ft.removeSession(Q,ne)}},pn={registerCommand(Q,ne,ye){return gt.registerCommand(!0,Q,ne,ye)},registerTextEditorCommand(Q,ne,ye){return gt.registerCommand(!0,Q,(...tt)=>{const it=Et.getActiveTextEditor();if(!it){qe.warn("Cannot execute "+Q+" because there is no active text editor.");return}return it.edit(lt=>{ne.apply(ye,[it,lt,...tt])}).then(lt=>{lt||qe.warn("Edits from command "+Q+" were not applied.")},lt=>{qe.warn("An error occurred while running command "+Q,lt)})})},registerDiffInformationCommand:(Q,ne,ye)=>(fe.checkProposedApiEnabled(Fe),gt.registerCommand(!0,Q,async(...tt)=>{const it=St.activeEditor(!0);if(!it){qe.warn("Cannot execute "+Q+" because there is no active text editor.");return}const lt=await Et.getDiffInformation(it.id);ne.apply(ye,[lt,...tt])})),executeCommand(Q,...ne){return gt.executeCommand(Q,...ne)},getCommands(Q=!1){return gt.getCommands(Q)}},en={get machineId(){return pe.telemetryInfo.machineId},get sessionId(){return pe.telemetryInfo.sessionId},get language(){return pe.environment.appLanguage},get appName(){return pe.environment.appName},get appRoot(){var Q,ne;return(ne=(Q=pe.environment.appRoot)===null||Q===void 0?void 0:Q.fsPath)!==null&&ne!==void 0?ne:""},get uriScheme(){return pe.environment.appUriScheme},get clipboard(){return jt.value},get shell(){return mt.getDefaultShell(!1,Gt)},openExternal(Q,ne){return ht.openUri(Q,{allowTunneling:!!pe.remote.authority,allowContributedOpeners:ne==null?void 0:ne.allowContributedOpeners})},asExternalUri(Q){return Q.scheme===pe.environment.appUriScheme?kt.createAppUri(Q):ht.asExternalUri(Q,{allowTunneling:!!pe.remote.authority})},get remoteName(){return W.getRemoteName(pe.remote.authority)},get uiKind(){return pe.uiKind}};pe.environment.extensionTestsLocationURI||Object.freeze(en);const tn=pe.remote.isRemote?L.ExtensionKind.Workspace:L.ExtensionKind.UI,vn={registerTestProvider(Q){return fe.checkProposedApiEnabled(Fe),Ct.registerTestProvider(Q)},createDocumentTestObserver(Q){return fe.checkProposedApiEnabled(Fe),Ct.createTextDocumentTestObserver(Q)},createWorkspaceTestObserver(Q){return fe.checkProposedApiEnabled(Fe),Ct.createWorkspaceTestObserver(Q)},runTests(Q){return fe.checkProposedApiEnabled(Fe),Ct.runTests(Q)},publishTestResult(Q,ne=!0){return fe.checkProposedApiEnabled(Fe),Ct.publishExtensionProvidedResults(Q,ne)},get onDidChangeTestResults(){return fe.checkProposedApiEnabled(Fe),Ct.onResultsChanged},get testResults(){return fe.checkProposedApiEnabled(Fe),Ct.results}},_n={getExtension(Q){const ne=Kt.getExtensionDescription(Q);if(ne)return new Je(q,Fe.identifier,ne,tn)},get all(){return Kt.getAllExtensionDescriptions().map(Q=>new Je(q,Fe.identifier,Q,tn))},get onDidChange(){return Kt.onDidChange}},bn={createDiagnosticCollection(Q){return Rt.createDiagnosticCollection(Fe.identifier,Q)},get onDidChangeDiagnostics(){return Rt.onDidChangeDiagnostics},getDiagnostics:Q=>Rt.getDiagnostics(Q),getLanguages(){return qt.getLanguages()},setTextDocumentLanguage(Q,ne){return qt.changeLanguage(Q.uri,ne)},match(Q,ne){return p.score(x.LanguageSelector.from(Q),ne.uri,ne.languageId,!0)},registerCodeActionsProvider(Q,ne,ye){return ot.registerCodeActionProvider(Fe,ft(Q),ne,ye)},registerCodeLensProvider(Q,ne){return ot.registerCodeLensProvider(Fe,ft(Q),ne)},registerDefinitionProvider(Q,ne){return ot.registerDefinitionProvider(Fe,ft(Q),ne)},registerDeclarationProvider(Q,ne){return ot.registerDeclarationProvider(Fe,ft(Q),ne)},registerImplementationProvider(Q,ne){return ot.registerImplementationProvider(Fe,ft(Q),ne)},registerTypeDefinitionProvider(Q,ne){return ot.registerTypeDefinitionProvider(Fe,ft(Q),ne)},registerHoverProvider(Q,ne){return ot.registerHoverProvider(Fe,ft(Q),ne,Fe.identifier)},registerEvaluatableExpressionProvider(Q,ne){return ot.registerEvaluatableExpressionProvider(Fe,ft(Q),ne,Fe.identifier)},registerInlineValuesProvider(Q,ne){return fe.checkProposedApiEnabled(Fe),ot.registerInlineValuesProvider(Fe,ft(Q),ne,Fe.identifier)},registerDocumentHighlightProvider(Q,ne){return ot.registerDocumentHighlightProvider(Fe,ft(Q),ne)},registerLinkedEditingRangeProvider(Q,ne){return ot.registerLinkedEditingRangeProvider(Fe,ft(Q),ne)},registerReferenceProvider(Q,ne){return ot.registerReferenceProvider(Fe,ft(Q),ne)},registerRenameProvider(Q,ne){return ot.registerRenameProvider(Fe,ft(Q),ne)},registerDocumentSymbolProvider(Q,ne,ye){return ot.registerDocumentSymbolProvider(Fe,ft(Q),ne,ye)},registerWorkspaceSymbolProvider(Q){return ot.registerWorkspaceSymbolProvider(Fe,Q)},registerDocumentFormattingEditProvider(Q,ne){return ot.registerDocumentFormattingEditProvider(Fe,ft(Q),ne)},registerDocumentRangeFormattingEditProvider(Q,ne){return ot.registerDocumentRangeFormattingEditProvider(Fe,ft(Q),ne)},registerOnTypeFormattingEditProvider(Q,ne,ye,...tt){return ot.registerOnTypeFormattingEditProvider(Fe,ft(Q),ne,[ye].concat(tt))},registerDocumentSemanticTokensProvider(Q,ne,ye){return ot.registerDocumentSemanticTokensProvider(Fe,ft(Q),ne,ye)},registerDocumentRangeSemanticTokensProvider(Q,ne,ye){return ot.registerDocumentRangeSemanticTokensProvider(Fe,ft(Q),ne,ye)},registerSignatureHelpProvider(Q,ne,ye,...tt){return typeof ye=="object"?ot.registerSignatureHelpProvider(Fe,ft(Q),ne,ye):ot.registerSignatureHelpProvider(Fe,ft(Q),ne,typeof ye=="undefined"?[]:[ye,...tt])},registerCompletionItemProvider(Q,ne,...ye){return ot.registerCompletionItemProvider(Fe,ft(Q),ne,ye)},registerDocumentLinkProvider(Q,ne){return ot.registerDocumentLinkProvider(Fe,ft(Q),ne)},registerColorProvider(Q,ne){return ot.registerColorProvider(Fe,ft(Q),ne)},registerFoldingRangeProvider(Q,ne){return ot.registerFoldingRangeProvider(Fe,ft(Q),ne)},registerSelectionRangeProvider(Q,ne){return ot.registerSelectionRangeProvider(Fe,Q,ne)},registerCallHierarchyProvider(Q,ne){return ot.registerCallHierarchyProvider(Fe,Q,ne)},setLanguageConfiguration:(Q,ne)=>ot.setLanguageConfiguration(Fe,Q,ne),getTokenInformationAtPosition(Q,ne){return fe.checkProposedApiEnabled(Fe),qt.tokenAtPosition(Q,ne)},registerInlineHintsProvider(Q,ne){return fe.checkProposedApiEnabled(Fe),ot.registerInlineHintsProvider(Fe,Q,ne)}},wn={get activeTextEditor(){return Et.getActiveTextEditor()},get visibleTextEditors(){return Et.getVisibleTextEditors()},get activeTerminal(){return mt.activeTerminal},get terminals(){return mt.terminals},async showTextDocument(Q,ne,ye){const tt=await(D.URI.isUri(Q)?Promise.resolve(U.openTextDocument(Q)):Promise.resolve(Q));return Et.showTextDocument(tt,ne,ye)},createTextEditorDecorationType(Q){return Et.createTextEditorDecorationType(Q)},onDidChangeActiveTextEditor(Q,ne,ye){return Et.onDidChangeActiveTextEditor(Q,ne,ye)},onDidChangeVisibleTextEditors(Q,ne,ye){return Et.onDidChangeVisibleTextEditors(Q,ne,ye)},onDidChangeTextEditorSelection(Q,ne,ye){return Et.onDidChangeTextEditorSelection(Q,ne,ye)},onDidChangeTextEditorOptions(Q,ne,ye){return Et.onDidChangeTextEditorOptions(Q,ne,ye)},onDidChangeTextEditorVisibleRanges(Q,ne,ye){return Et.onDidChangeTextEditorVisibleRanges(Q,ne,ye)},onDidChangeTextEditorViewColumn(Q,ne,ye){return Et.onDidChangeTextEditorViewColumn(Q,ne,ye)},onDidCloseTerminal(Q,ne,ye){return mt.onDidCloseTerminal(Q,ne,ye)},onDidOpenTerminal(Q,ne,ye){return mt.onDidOpenTerminal(Q,ne,ye)},onDidChangeActiveTerminal(Q,ne,ye){return mt.onDidChangeActiveTerminal(Q,ne,ye)},onDidChangeTerminalDimensions(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),mt.onDidChangeTerminalDimensions(Q,ne,ye)},onDidWriteTerminalData(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),mt.onDidWriteTerminalData(Q,ne,ye)},get state(){return ht.state},onDidChangeWindowState(Q,ne,ye){return ht.onDidChangeWindowState(Q,ne,ye)},showInformationMessage(Q,...ne){return Nt.showMessage(Fe,C.default.Info,Q,ne[0],ne.slice(1))},showWarningMessage(Q,...ne){return Nt.showMessage(Fe,C.default.Warning,Q,ne[0],ne.slice(1))},showErrorMessage(Q,...ne){return Nt.showMessage(Fe,C.default.Error,Q,ne[0],ne.slice(1))},showQuickPick(Q,ne,ye){return Ot.showQuickPick(Q,!!Fe.enableProposedApi,ne,ye)},showWorkspaceFolderPick(Q){return Ot.showWorkspaceFolderPick(Q)},showInputBox(Q,ne){return Ot.showInput(Q,ne)},showOpenDialog(Q){return Xt.showOpenDialog(Q)},showSaveDialog(Q){return Xt.showSaveDialog(Q)},createStatusBarItem(Q,ne){let ye,tt,it,lt;return Q&&typeof Q!="number"?(ye=Q.id,tt=Q.name,it=Q.alignment,ne=Q.priority,lt=Q.accessibilityInformation):(ye=Fe.identifier.value,tt=b.localize(0,null,Fe.displayName||Fe.name),it=Q),Zt.createStatusBarEntry(ye,tt,it,ne,lt)},setStatusBarMessage(Q,ne){return Zt.setStatusBarMessage(Q,ne)},withScmProgress(Q){return dt.report("window.withScmProgress",Fe,"Use 'withProgress' instead."),$t.withProgress(Fe,{location:L.ProgressLocation.SourceControl},(ne,ye)=>Q({report(tt){}}))},withProgress(Q,ne){return $t.withProgress(Fe,Q,ne)},createOutputChannel(Q){return Tt.createOutputChannel(Q)},createWebviewPanel(Q,ne,ye,tt){return Lt.createWebviewPanel(Fe,Q,ne,ye,tt)},createWebviewTextEditorInset(Q,ne,ye,tt){return fe.checkProposedApiEnabled(Fe),an.createWebviewEditorInset(Q,ne,ye,tt,Fe)},createTerminal(Q,ne,ye){return typeof Q=="object"?"pty"in Q?mt.createExtensionTerminal(Q):mt.createTerminalFromOptions(Q):mt.createTerminal(Q,ne,ye)},registerTerminalLinkProvider(Q){return mt.registerLinkProvider(Q)},registerTreeDataProvider(Q,ne){return Wt.registerTreeDataProvider(Q,ne,Fe)},createTreeView(Q,ne){return Wt.createTreeView(Q,ne,Fe)},registerWebviewPanelSerializer:(Q,ne)=>Lt.registerWebviewPanelSerializer(Fe,Q,ne),registerCustomEditorProvider:(Q,ne,ye={})=>dn.registerCustomEditorProvider(Fe,Q,ne,ye),registerFileDecorationProvider(Q){return yt.registerFileDecorationProvider(Q,Fe.identifier)},registerUriHandler(Q){return kt.registerUriHandler(Fe.identifier,Q)},createQuickPick(){return Ot.createQuickPick(Fe.identifier,!!Fe.enableProposedApi)},createInputBox(){return Ot.createInputBox(Fe.identifier)},get activeColorTheme(){return Yt.activeColorTheme},onDidChangeActiveColorTheme(Q,ne,ye){return Yt.onDidChangeActiveColorTheme(Q,ne,ye)},registerWebviewViewProvider(Q,ne,ye){return hn.registerWebviewViewProvider(Fe,Q,ne,ye==null?void 0:ye.webviewOptions)},get activeNotebookEditor(){return fe.checkProposedApiEnabled(Fe),at.activeNotebookEditor},onDidChangeActiveNotebookEditor(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeActiveNotebookEditor(Q,ne,ye)},get visibleNotebookEditors(){return fe.checkProposedApiEnabled(Fe),at.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return fe.checkProposedApiEnabled(Fe),at.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookEditorSelection(Q,ne,ye)},onDidChangeNotebookEditorVisibleRanges(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookEditorVisibleRanges(Q,ne,ye)},showNotebookDocument(Q,ne){return fe.checkProposedApiEnabled(Fe),at.showNotebookDocument(Q,ne)},registerExternalUriOpener(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),fn.registerExternalUriOpener(Fe.identifier,Q,ne,ye)},get openEditors(){return fe.checkProposedApiEnabled(Fe),It.tabs},get onDidChangeOpenEditors(){return fe.checkProposedApiEnabled(Fe),It.onDidChangeTabs}},U={get rootPath(){return dt.report("workspace.rootPath",Fe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Re.getPath()},set rootPath(Q){throw T.readonly()},getWorkspaceFolder(Q){return Re.getWorkspaceFolder(Q)},get workspaceFolders(){return Re.getWorkspaceFolders()},get name(){return Re.name},set name(Q){throw T.readonly()},get workspaceFile(){return Re.workspaceFile},set workspaceFile(Q){throw T.readonly()},updateWorkspaceFolders:(Q,ne,...ye)=>Re.updateWorkspaceFolders(Fe,Q,ne||0,...ye),onDidChangeWorkspaceFolders:function(Q,ne,ye){return Re.onDidChangeWorkspace(Q,ne,ye)},asRelativePath:(Q,ne)=>Re.getRelativePath(Q,ne),findFiles:(Q,ne,ye,tt)=>Re.findFiles(x.GlobPattern.from(Q),x.GlobPattern.from(ne),ye,Fe.identifier,tt),findTextInFiles:(Q,ne,ye,tt)=>{let it,lt;return typeof ne=="object"?(it=ne,lt=ye):(it={},lt=ne,tt=ye),Re.findTextInFiles(Q,it||{},lt,Fe.identifier,tt)},saveAll:Q=>Re.saveAll(Q),applyEdit(Q){return Vt.applyWorkspaceEdit(Q)},createFileSystemWatcher:(Q,ne,ye,tt)=>Pt.createFileSystemWatcher(x.GlobPattern.from(Q),ne,ye,tt),get textDocuments(){return wt.getAllDocumentData().map(Q=>Q.document)},set textDocuments(Q){throw T.readonly()},openTextDocument(Q){let ne;const ye=Q;if(typeof Q=="string")ne=Promise.resolve(D.URI.file(Q));else if(D.URI.isUri(Q))ne=Promise.resolve(Q);else if(!ye||typeof ye=="object")ne=wt.createDocumentData(ye);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ne.then(tt=>wt.ensureDocumentData(tt).then(it=>it.document))},onDidOpenTextDocument:(Q,ne,ye)=>wt.onDidAddDocument(Q,ne,ye),onDidCloseTextDocument:(Q,ne,ye)=>wt.onDidRemoveDocument(Q,ne,ye),onDidChangeTextDocument:(Q,ne,ye)=>wt.onDidChangeDocument(Q,ne,ye),onDidSaveTextDocument:(Q,ne,ye)=>wt.onDidSaveDocument(Q,ne,ye),onWillSaveTextDocument:(Q,ne,ye)=>xt.getOnWillSaveTextDocumentEvent(Fe)(Q,ne,ye),onDidChangeConfiguration:(Q,ne,ye)=>Gt.onDidChangeConfiguration(Q,ne,ye),getConfiguration(Q,ne){return ne=arguments.length===1?void 0:ne,Gt.getConfiguration(Q,ne,Fe)},registerTextDocumentContentProvider(Q,ne){return Bt.registerTextDocumentContentProvider(Q,ne)},registerTaskProvider:(Q,ne)=>(dt.report("window.registerTaskProvider",Fe,"Use the corresponding function on the 'tasks' namespace instead"),pt.registerTaskProvider(Fe,Q,ne)),registerFileSystemProvider(Q,ne,ye){return ln.registerFileSystemProvider(Fe.identifier,Q,ne,ye)},get fs(){return se.value},registerFileSearchProvider:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),_t.registerFileSearchProvider(Q,ne)),registerTextSearchProvider:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),_t.registerTextSearchProvider(Q,ne)),registerRemoteAuthorityResolver:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),q.registerRemoteAuthorityResolver(Q,ne)),registerResourceLabelFormatter:Q=>(fe.checkProposedApiEnabled(Fe),Ht.$registerResourceLabelFormatter(Q)),onDidCreateFiles:(Q,ne,ye)=>Pt.onDidCreateFile(Q,ne,ye),onDidDeleteFiles:(Q,ne,ye)=>Pt.onDidDeleteFile(Q,ne,ye),onDidRenameFiles:(Q,ne,ye)=>Pt.onDidRenameFile(Q,ne,ye),onWillCreateFiles:(Q,ne,ye)=>Pt.getOnWillCreateFileEvent(Fe)(Q,ne,ye),onWillDeleteFiles:(Q,ne,ye)=>Pt.getOnWillDeleteFileEvent(Fe)(Q,ne,ye),onWillRenameFiles:(Q,ne,ye)=>Pt.getOnWillRenameFileEvent(Fe)(Q,ne,ye),openTunnel:Q=>(fe.checkProposedApiEnabled(Fe),ut.openTunnel(Fe,Q).then(ne=>{if(!ne)throw new Error("cannot open tunnel");return ne})),get tunnels(){return fe.checkProposedApiEnabled(Fe),ut.getTunnels()},onDidChangeTunnels:(Q,ne,ye)=>(fe.checkProposedApiEnabled(Fe),ut.onDidChangeTunnels(Q,ne,ye)),registerTimelineProvider:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),cn.registerTimelineProvider(Q,ne,Fe.identifier,gt.converter)),get trustState(){return fe.checkProposedApiEnabled(Fe),fe.checkRequiresWorkspaceTrust(Fe),Re.trustState},requireWorkspaceTrust:Q=>(fe.checkProposedApiEnabled(Fe),fe.checkRequiresWorkspaceTrust(Fe),Re.requireWorkspaceTrust(Q)),onDidChangeWorkspaceTrustState:(Q,ne,ye)=>Re.onDidChangeWorkspaceTrustState(Q,ne,ye)},M={get inputBox(){return dt.report("scm.inputBox",Fe,"Use 'SourceControl.inputBox' instead"),Jt.getLastInputBox(Fe)},createSourceControl(Q,ne,ye){return Jt.createSourceControl(Fe,Q,ne,ye)}},ie={createCommentController(Q,ne){return un.createCommentController(Fe,Q,ne)}},De={get activeDebugSession(){return ct.activeDebugSession},get activeDebugConsole(){return ct.activeDebugConsole},get breakpoints(){return ct.breakpoints},onDidStartDebugSession(Q,ne,ye){return ct.onDidStartDebugSession(Q,ne,ye)},onDidTerminateDebugSession(Q,ne,ye){return ct.onDidTerminateDebugSession(Q,ne,ye)},onDidChangeActiveDebugSession(Q,ne,ye){return ct.onDidChangeActiveDebugSession(Q,ne,ye)},onDidReceiveDebugSessionCustomEvent(Q,ne,ye){return ct.onDidReceiveDebugSessionCustomEvent(Q,ne,ye)},onDidChangeBreakpoints(Q,ne,ye){return ct.onDidChangeBreakpoints(Q,ne,ye)},registerDebugConfigurationProvider(Q,ne,ye){return ct.registerDebugConfigurationProvider(Q,ne,ye||L.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(Q,ne){return ct.registerDebugAdapterDescriptorFactory(Fe,Q,ne)},registerDebugAdapterTrackerFactory(Q,ne){return ct.registerDebugAdapterTrackerFactory(Q,ne)},startDebugging(Q,ne,ye){return!ye||typeof ye=="object"&&"configuration"in ye?ct.startDebugging(Q,ne,{parentSession:ye}):ct.startDebugging(Q,ne,ye||{})},stopDebugging(Q){return ct.stopDebugging(Q)},addBreakpoints(Q){return ct.addBreakpoints(Q)},removeBreakpoints(Q){return ct.removeBreakpoints(Q)},asDebugSourceUri(Q,ne){return ct.asDebugSourceUri(Q,ne)}},Ve={registerTaskProvider:(Q,ne)=>pt.registerTaskProvider(Fe,Q,ne),fetchTasks:Q=>pt.fetchTasks(Q),executeTask:Q=>pt.executeTask(Fe,Q),get taskExecutions(){return pt.taskExecutions},onDidStartTask:(Q,ne,ye)=>pt.onDidStartTask(Q,ne,ye),onDidEndTask:(Q,ne,ye)=>pt.onDidEndTask(Q,ne,ye),onDidStartTaskProcess:(Q,ne,ye)=>pt.onDidStartTaskProcess(Q,ne,ye),onDidEndTaskProcess:(Q,ne,ye)=>pt.onDidEndTaskProcess(Q,ne,ye)},Ze={openNotebookDocument:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),at.openNotebookDocument(Q,ne)),get onDidOpenNotebookDocument(){return fe.checkProposedApiEnabled(Fe),at.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return fe.checkProposedApiEnabled(Fe),at.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return fe.checkProposedApiEnabled(Fe),at.onDidSaveNotebookDocument},get notebookDocuments(){return fe.checkProposedApiEnabled(Fe),at.notebookDocuments.map(Q=>Q.notebookDocument)},get visibleNotebookEditors(){return fe.checkProposedApiEnabled(Fe),at.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return fe.checkProposedApiEnabled(Fe),at.onDidChangeVisibleNotebookEditors},get onDidChangeActiveNotebookKernel(){return fe.checkProposedApiEnabled(Fe),at.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(Q,ne,ye)=>(fe.checkProposedApiEnabled(Fe),at.registerNotebookContentProvider(Fe,Q,ne,ye)),registerNotebookKernelProvider:(Q,ne)=>(fe.checkProposedApiEnabled(Fe),at.registerNotebookKernelProvider(Fe,Q,ne)),createNotebookEditorDecorationType(Q){return fe.checkProposedApiEnabled(Fe),at.createNotebookEditorDecorationType(Q)},get activeNotebookEditor(){return fe.checkProposedApiEnabled(Fe),at.activeNotebookEditor},onDidChangeActiveNotebookEditor(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeActiveNotebookEditor(Q,ne,ye)},onDidChangeNotebookDocumentMetadata(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookDocumentMetadata(Q,ne,ye)},onDidChangeNotebookCells(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookCells(Q,ne,ye)},onDidChangeNotebookEditorSelection(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookEditorSelection(Q,ne,ye)},onDidChangeNotebookEditorVisibleRanges(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeNotebookEditorVisibleRanges(Q,ne,ye)},onDidChangeCellOutputs(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeCellOutputs(Q,ne,ye)},onDidChangeCellLanguage(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeCellLanguage(Q,ne,ye)},onDidChangeCellMetadata(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.onDidChangeCellMetadata(Q,ne,ye)},createConcatTextDocument(Q,ne){return fe.checkProposedApiEnabled(Fe),new ve.ExtHostNotebookConcatDocument(at,wt,Q,ne)},createCellStatusBarItem(Q,ne,ye){return fe.checkProposedApiEnabled(Fe),at.createNotebookCellStatusBarItemInternal(Q,ne,ye)}};return{version:pe.version,authentication:gn,commands:pn,comments:ie,debug:De,env:en,extensions:_n,languages:bn,notebook:Ze,scm:M,tasks:Ve,test:vn,window:wn,workspace:U,Breakpoint:L.Breakpoint,CallHierarchyIncomingCall:L.CallHierarchyIncomingCall,CallHierarchyItem:L.CallHierarchyItem,CallHierarchyOutgoingCall:L.CallHierarchyOutgoingCall,CancellationError:T.CancellationError,CancellationTokenSource:S.CancellationTokenSource,CandidatePortSource:s.CandidatePortSource,CodeAction:L.CodeAction,CodeActionKind:L.CodeActionKind,CodeActionTrigger:L.CodeActionTrigger,CodeLens:L.CodeLens,Color:L.Color,ColorInformation:L.ColorInformation,ColorPresentation:L.ColorPresentation,ColorThemeKind:L.ColorThemeKind,CommentMode:L.CommentMode,CommentThreadCollapsibleState:L.CommentThreadCollapsibleState,CompletionItem:L.CompletionItem,CompletionItemKind:L.CompletionItemKind,CompletionItemTag:L.CompletionItemTag,CompletionList:L.CompletionList,CompletionTriggerKind:L.CompletionTriggerKind,ConfigurationTarget:L.ConfigurationTarget,CustomExecution:L.CustomExecution,DebugAdapterExecutable:L.DebugAdapterExecutable,DebugAdapterInlineImplementation:L.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:L.DebugAdapterNamedPipeServer,DebugAdapterServer:L.DebugAdapterServer,DebugConfigurationProviderTriggerKind:L.DebugConfigurationProviderTriggerKind,DebugConsoleMode:L.DebugConsoleMode,DecorationRangeBehavior:L.DecorationRangeBehavior,Diagnostic:L.Diagnostic,DiagnosticRelatedInformation:L.DiagnosticRelatedInformation,DiagnosticSeverity:L.DiagnosticSeverity,DiagnosticTag:L.DiagnosticTag,Disposable:L.Disposable,DocumentHighlight:L.DocumentHighlight,DocumentHighlightKind:L.DocumentHighlightKind,DocumentLink:L.DocumentLink,DocumentSymbol:L.DocumentSymbol,EndOfLine:L.EndOfLine,EnvironmentVariableMutatorType:L.EnvironmentVariableMutatorType,EvaluatableExpression:L.EvaluatableExpression,InlineValueText:L.InlineValueText,InlineValueVariableLookup:L.InlineValueVariableLookup,InlineValueEvaluatableExpression:L.InlineValueEvaluatableExpression,EventEmitter:A.Emitter,ExtensionKind:L.ExtensionKind,ExtensionMode:L.ExtensionMode,ExternalUriOpenerPriority:L.ExternalUriOpenerPriority,FileChangeType:L.FileChangeType,FileDecoration:L.FileDecoration,FileSystemError:L.FileSystemError,FileType:d.FileType,FoldingRange:L.FoldingRange,FoldingRangeKind:L.FoldingRangeKind,FunctionBreakpoint:L.FunctionBreakpoint,Hover:L.Hover,IndentAction:I.IndentAction,Location:L.Location,MarkdownString:L.MarkdownString,OverviewRulerLane:P.OverviewRulerLane,ParameterInformation:L.ParameterInformation,Position:L.Position,ProcessExecution:L.ProcessExecution,ProgressLocation:L.ProgressLocation,QuickInputButtons:L.QuickInputButtons,Range:L.Range,RelativePattern:L.RelativePattern,Selection:L.Selection,SelectionRange:L.SelectionRange,SemanticTokens:L.SemanticTokens,SemanticTokensBuilder:L.SemanticTokensBuilder,SemanticTokensEdit:L.SemanticTokensEdit,SemanticTokensEdits:L.SemanticTokensEdits,SemanticTokensLegend:L.SemanticTokensLegend,ShellExecution:L.ShellExecution,ShellQuoting:L.ShellQuoting,SignatureHelp:L.SignatureHelp,SignatureHelpTriggerKind:L.SignatureHelpTriggerKind,SignatureInformation:L.SignatureInformation,SnippetString:L.SnippetString,SourceBreakpoint:L.SourceBreakpoint,StandardTokenType:L.StandardTokenType,StatusBarAlignment:L.StatusBarAlignment,SymbolInformation:L.SymbolInformation,SymbolKind:L.SymbolKind,SymbolTag:L.SymbolTag,Task:L.Task,TaskGroup:L.TaskGroup,TaskPanelKind:L.TaskPanelKind,TaskRevealKind:L.TaskRevealKind,TaskScope:L.TaskScope,TextDocumentSaveReason:L.TextDocumentSaveReason,TextEdit:L.TextEdit,TextEditorCursorStyle:i.TextEditorCursorStyle,TextEditorLineNumbersStyle:L.TextEditorLineNumbersStyle,TextEditorRevealType:L.TextEditorRevealType,TextEditorSelectionChangeKind:L.TextEditorSelectionChangeKind,ThemeColor:L.ThemeColor,ThemeIcon:L.ThemeIcon,TreeItem:L.TreeItem,TreeItemCollapsibleState:L.TreeItemCollapsibleState,UIKind:s.UIKind,Uri:D.URI,ViewColumn:L.ViewColumn,WorkspaceEdit:L.WorkspaceEdit,get InlineHint(){return L.InlineHint},get InlineHintKind(){return L.InlineHintKind},get RemoteAuthorityResolverError(){return L.RemoteAuthorityResolverError},get ResolvedAuthority(){return L.ResolvedAuthority},get SourceControlInputBoxValidationType(){return L.SourceControlInputBoxValidationType},get ExtensionRuntime(){return L.ExtensionRuntime},get TimelineItem(){return L.TimelineItem},get NotebookCellRange(){return L.NotebookCellRange},get NotebookCellKind(){return L.NotebookCellKind},get NotebookCellRunState(){return L.NotebookCellRunState},get NotebookDocumentMetadata(){return L.NotebookDocumentMetadata},get NotebookCellMetadata(){return L.NotebookCellMetadata},get NotebookRunState(){return L.NotebookRunState},get NotebookCellStatusBarAlignment(){return L.NotebookCellStatusBarAlignment},get NotebookEditorRevealType(){return L.NotebookEditorRevealType},get NotebookCellOutput(){return L.NotebookCellOutput},get NotebookCellOutputItem(){return L.NotebookCellOutputItem},get LinkedEditingRanges(){return L.LinkedEditingRanges},get TestRunState(){return L.TestRunState},get TestMessageSeverity(){return L.TestMessageSeverity},get WorkspaceTrustState(){return L.WorkspaceTrustState}}}}e.createApiFactoryAndRegisterActors=ze;class Je{constructor(pe,Se,se,q){be.set(this,void 0),He.set(this,void 0),Ne.set(this,void 0),nt(this,be,pe),nt(this,He,Se),nt(this,Ne,se.identifier),this.id=se.identifier.value,this.extensionUri=se.extensionLocation,this.extensionPath=w.normalize(Ae.originalFSPath(se.extensionLocation)),this.packageJSON=se,this.extensionKind=q}get isActive(){return Be(this,be).isActivated(Be(this,Ne))}get exports(){if(this.packageJSON.api!=="none")return Be(this,be).getExtensionExports(Be(this,Ne))}activate(){return Be(this,be).activateByIdWithErrors(Be(this,Ne),{startup:!1,extensionId:Be(this,He),activationEvent:"api"}).then(()=>this.exports)}}be=new WeakMap,He=new WeakMap,Ne=new WeakMap}),define(we[219],Ee([0,1,62,97,31,96,34,73,41,42,99,100,101,76,75,68,72,98,74,49,71]),function(oe,e,b,S,T,A,w,C,D,i,P,I,p,d,s,h,v,g,_,r,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),b.registerSingleton(d.IExtensionStoragePaths,d.ExtensionStoragePaths),b.registerSingleton(v.IExtHostApiDeprecationService,v.ExtHostApiDeprecationService),b.registerSingleton(C.IExtHostCommands,C.ExtHostCommands),b.registerSingleton(w.IExtHostConfiguration,w.ExtHostConfiguration),b.registerSingleton(_.IExtHostConsumerFileSystem,_.ExtHostConsumerFileSystem),b.registerSingleton(I.IExtHostDebugService,I.WorkerExtHostDebugService),b.registerSingleton(A.IExtHostDecorations,A.ExtHostDecorations),b.registerSingleton(D.IExtHostDocumentsAndEditors,D.ExtHostDocumentsAndEditors),b.registerSingleton(r.IExtHostFileSystemInfo,r.ExtHostFileSystemInfo),b.registerSingleton(S.IExtHostOutputService,S.ExtHostOutputService),b.registerSingleton(p.IExtHostSearch,p.ExtHostSearch),b.registerSingleton(s.IExtHostStorage,s.ExtHostStorage),b.registerSingleton(P.IExtHostTask,P.WorkerExtHostTask),b.registerSingleton(i.IExtHostTerminalService,i.WorkerExtHostTerminalService),b.registerSingleton(h.IExtHostTunnelService,h.ExtHostTunnelService),b.registerSingleton(g.IExtHostWindow,g.ExtHostWindow),b.registerSingleton(T.IExtHostWorkspace,T.ExtHostWorkspace),b.registerSingleton(l.IExtHostSecretState,l.ExtHostSecretState)}),define(we[220],Ee([0,1,218,35,214,7,15]),function(oe,e,b,S,T,A,w){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;var D;(function(p){var d;const s=(d=self.trustedTypes)===null||d===void 0?void 0:d.createPolicy("TrustedFunctionWorkaround",{createScript:(v,...g)=>{g.forEach(u=>{var t;if(!((t=self.trustedTypes)===null||t===void 0?void 0:t.isScript(u)))throw new Error("TrustedScripts only, please")});const _=g.slice(0,-1).join(","),r=g.pop().toString();return`(function anonymous(${_}) {
${r}
})`}});function h(...v){return s?self.eval(s.createScript("",...v)):new Function(...v)}p.create=h})(D||(D={}));class i extends T.RequireInterceptor{_installInterceptor(){}getModule(d,s){for(let h of this._alternatives){let v=h(d);if(v){d=v;break}}if(this._factories.has(d))return this._factories.get(d).load(d,s,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class P extends S.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=A.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const d=this._instaService.invokeFunction(b.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(i,d,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(d){return d.browser}async _loadCommonJSModule(d,s,h){var v,g,_,r,l,u,t,o;s=s.with({path:I(s.path,".js")}),d&&performance.mark(`code/extHost/willFetchExtensionCode/${d.value}`);const a=await fetch(s.toString(!0));if(d&&performance.mark(`code/extHost/didFetchExtensionCode/${d.value}`),a.status!==200)throw new Error(a.statusText);const c=await a.text(),n=`${s.toString(!0)}#vscode-extension`,f=`${c}
//# sourceURL=${n}`;let y;try{y=D.create((g=(v=P._ttpExtensionScripts)===null||v===void 0?void 0:v.createScript("module"))!==null&&g!==void 0?g:"module",(r=(_=P._ttpExtensionScripts)===null||_===void 0?void 0:_.createScript("exports"))!==null&&r!==void 0?r:"exports",(u=(l=P._ttpExtensionScripts)===null||l===void 0?void 0:l.createScript("require"))!==null&&u!==void 0?u:"require",(o=(t=P._ttpExtensionScripts)===null||t===void 0?void 0:t.createScript(f))!==null&&o!==void 0?o:f)}catch(R){throw d?console.error(`Loading code for extension ${d.value} failed: ${R.message}`):console.error(`Loading code failed: ${R.message}`),console.error(`${s.toString(!0)}${typeof R.line=="number"?` line ${R.line}`:""}${typeof R.column=="number"?` column ${R.column}`:""}`),console.error(R),R}const k={},m={exports:k},E=R=>{const F=this._fakeModules.getModule(R,s);if(F===void 0)throw new Error(`Cannot load module '${R}'`);return F};try{return h.codeLoadingStart(),d&&performance.mark(`code/extHost/willLoadExtensionCode/${d.value}`),y(m,k,E),m.exports!==k?m.exports:k}finally{d&&performance.mark(`code/extHost/didLoadExtensionCode/${d.value}`),h.codeLoadingStop()}}async $setRemoteEnvironment(d){throw new Error("Not supported")}async _waitForDebuggerAttachment(d=5e3){if(!!this._initData.environment.isExtensionDevelopmentDebug){const s=Date.now()+d;for(;Date.now()<s&&!("__jsDebugIsReady"in globalThis);)await w.timeout(10)}}}e.ExtHostExtensionService=P,P._ttpExtensionScripts=(C=self.trustedTypes)===null||C===void 0?void 0:C.createPolicy("ExtensionScripts",{createScript:p=>p});function I(p,d){return p.endsWith(d)?p:p+d}}),define(we[221],Ee([0,1,62,17,35,220,206]),function(oe,e,b,S,T,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),b.registerSingleton(T.IExtHostExtensionService,A.ExtHostExtensionService),b.registerSingleton(S.ILogService,w.ExtHostLogService)}),define(we[223],Ee([0,1,26,3,178,215,208,12,77,219,221]),function(oe,e,b,S,T,A,w,C,D){"use strict";var i;Object.defineProperty(e,"__esModule",{value:!0});const P=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const I=postMessage.bind(self);if(self.postMessage=()=>console.trace("'postMessage' has been blocked"),self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const v=(i=self.trustedTypes)===null||i===void 0?void 0:i.createPolicy("extensionHostWorker",{createScriptURL:_=>_}),g=self.Worker;Worker=function(_,r){const l=`importScripts('${_}');`;r=r||{},r.name=r.name||C.basename(_.toString());const u=new Blob([l],{type:"application/javascript"}),t=URL.createObjectURL(u);return new g(v?v.createScriptURL(t):t,r)}}else self.Worker=class extends w.NestedWorker{constructor(v,g){super(I,v,Object.assign({name:C.basename(v.toString())},g))}};const p=new class{exit(v){P()}async exists(v){return!0}async realpath(v){return v}};class d{constructor(){const g=new MessageChannel,_=new S.Emitter;let r=!1;I(g.port2,[g.port2]),g.port1.onmessage=l=>{const{data:u}=l;if(!(u instanceof ArrayBuffer)){console.warn("UNKNOWN data received",u);return}const t=b.VSBuffer.wrap(new Uint8Array(u,0,u.byteLength));if(T.isMessageOfType(t,2)){r=!0,h("received terminate message from renderer");return}_.fire(t)},this.protocol={onMessage:_.event,send:l=>{if(!r){const u=l.buffer.buffer.slice(l.buffer.byteOffset,l.buffer.byteOffset+l.buffer.byteLength);g.port1.postMessage(u,[u])}}}}}function s(v){return new Promise(g=>{const _=v.onMessage(r=>{_.dispose();const l=JSON.parse(r.toString());v.send(T.createMessageOfType(0)),g({protocol:v,initData:l})});v.send(T.createMessageOfType(1))})}let h=v=>P();(function(){const g=new d;D.mark("code/extHost/willConnectToRenderer"),s(g.protocol).then(_=>{D.mark("code/extHost/didWaitForInitData");const r=new A.ExtensionHostMain(_.protocol,_.initData,p,null);h=l=>r.terminate(l)})})()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fd6f3bce6709b121a895d042d343d71f317d74e7/core/vs/workbench/services/extensions/worker/extensionHostWorker.js.map
